<?php
namespace XLite\Model\Product;
/**
 * ProductStockAvailabilityPolicy encapsulates product availability logic (determines whether the product can be added to cart and what is the available amount).
 *
 * ProductStockAvailabilityPolicy is a serializable (to facilitate caching) class that defines an overridable (see ProductVariants and Wholesale) strategy of product availability calculation. Conceptually, ProductStockAvailabilityPolicy is similar to DDD's concept of value objects, though it is not exactly that.
 *
 * TODO: Can it be integrated into a Product entity as a value object in terms of DDD? Doctrine Embeddable?
 *
 * ProductStockAvailabilityPolicy determines whether the product can be added to a cart or not and what is the available amount. In the most basic scenario, a user can add a product to a cart when the available amount is greater than zero. The available amount, in turn, is defined as a product stock amount minus the amount that the user has already added to cart.
 */
class ProductStockAvailabilityPolicy extends \XLite\Module\CDev\Wholesale\Model\Product\WholesaleProductStockAvailabilityPolicy {}