-- MySQL dump 10.13  Distrib 5.6.41-84.1, for Linux (x86_64)
--
-- Host: localhost    Database: brownson_xcart5
-- ------------------------------------------------------
-- Server version	5.6.41-84.1

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `xc_access_control_cells`
--

DROP TABLE IF EXISTS `xc_access_control_cells`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_access_control_cells` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `hash` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `returnData` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `resendMethod` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `date` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `hash` (`hash`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_access_control_cells`
--

LOCK TABLES `xc_access_control_cells` WRITE;
/*!40000 ALTER TABLE `xc_access_control_cells` DISABLE KEYS */;
/*!40000 ALTER TABLE `xc_access_control_cells` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_access_control_entities`
--

DROP TABLE IF EXISTS `xc_access_control_entities`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_access_control_entities` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `type_id` int(10) unsigned DEFAULT NULL,
  `cell_id` int(10) unsigned DEFAULT NULL,
  `uid` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  KEY `IDX_45A98BAB59C54C8C93` (`type_id`),
  KEY `IDX_45A98BAB59CB39D93A` (`cell_id`),
  CONSTRAINT `FK_45A98BAB59C54C8C93` FOREIGN KEY (`type_id`) REFERENCES `xc_access_control_entity_types` (`id`) ON DELETE CASCADE,
  CONSTRAINT `FK_45A98BAB59CB39D93A` FOREIGN KEY (`cell_id`) REFERENCES `xc_access_control_cells` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_access_control_entities`
--

LOCK TABLES `xc_access_control_entities` WRITE;
/*!40000 ALTER TABLE `xc_access_control_entities` DISABLE KEYS */;
/*!40000 ALTER TABLE `xc_access_control_entities` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_access_control_entity_types`
--

DROP TABLE IF EXISTS `xc_access_control_entity_types`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_access_control_entity_types` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `type` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `type` (`type`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_access_control_entity_types`
--

LOCK TABLES `xc_access_control_entity_types` WRITE;
/*!40000 ALTER TABLE `xc_access_control_entity_types` DISABLE KEYS */;
INSERT INTO `xc_access_control_entity_types` VALUES (1,'\\XLite\\Model\\Order');
/*!40000 ALTER TABLE `xc_access_control_entity_types` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_access_control_zone_types`
--

DROP TABLE IF EXISTS `xc_access_control_zone_types`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_access_control_zone_types` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `name` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_access_control_zone_types`
--

LOCK TABLES `xc_access_control_zone_types` WRITE;
/*!40000 ALTER TABLE `xc_access_control_zone_types` DISABLE KEYS */;
INSERT INTO `xc_access_control_zone_types` VALUES (1,'order');
/*!40000 ALTER TABLE `xc_access_control_zone_types` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_access_control_zones`
--

DROP TABLE IF EXISTS `xc_access_control_zones`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_access_control_zones` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `cell_id` int(10) unsigned DEFAULT NULL,
  `type_id` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `cz` (`cell_id`,`type_id`),
  KEY `IDX_4519AE0547CB39D93A` (`cell_id`),
  KEY `IDX_4519AE0547C54C8C93` (`type_id`),
  CONSTRAINT `FK_4519AE0547C54C8C93` FOREIGN KEY (`type_id`) REFERENCES `xc_access_control_zone_types` (`id`) ON DELETE CASCADE,
  CONSTRAINT `FK_4519AE0547CB39D93A` FOREIGN KEY (`cell_id`) REFERENCES `xc_access_control_cells` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_access_control_zones`
--

LOCK TABLES `xc_access_control_zones` WRITE;
/*!40000 ALTER TABLE `xc_access_control_zones` DISABLE KEYS */;
/*!40000 ALTER TABLE `xc_access_control_zones` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_address_field`
--

DROP TABLE IF EXISTS `xc_address_field`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_address_field` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `serviceName` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `viewGetterName` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `schemaClass` varchar(256) COLLATE utf8_unicode_ci NOT NULL,
  `additional` tinyint(1) NOT NULL,
  `required` tinyint(1) NOT NULL,
  `enabled` tinyint(1) NOT NULL,
  `position` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `UNIQ_2A531832912ABBB5` (`serviceName`)
) ENGINE=InnoDB AUTO_INCREMENT=12 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_address_field`
--

LOCK TABLES `xc_address_field` WRITE;
/*!40000 ALTER TABLE `xc_address_field` DISABLE KEYS */;
INSERT INTO `xc_address_field` VALUES (1,'title','','\\XLite\\View\\FormField\\Select\\Title',0,0,0,0),(2,'firstname','','\\XLite\\View\\FormField\\Input\\Text',0,1,1,0),(3,'lastname','','\\XLite\\View\\FormField\\Input\\Text',0,1,1,0),(4,'street','','\\XLite\\View\\FormField\\Input\\Text',0,1,1,0),(5,'city','','\\XLite\\View\\FormField\\Input\\Text',0,1,1,0),(6,'country_code','country_name','\\XLite\\View\\FormField\\Select\\Country',0,1,1,0),(7,'state_id','state_name','\\XLite\\View\\FormField\\Select\\State',0,1,1,0),(8,'custom_state','state_name','\\XLite\\View\\FormField\\Input\\Text',0,0,1,0),(9,'zipcode','','\\XLite\\View\\FormField\\Input\\Text',0,1,1,0),(10,'phone','','\\XLite\\View\\FormField\\Input\\Text',0,0,1,0),(11,'type','type_name','\\XLite\\View\\FormField\\Select\\AddressType',0,0,0,0);
/*!40000 ALTER TABLE `xc_address_field` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_address_field_translation`
--

DROP TABLE IF EXISTS `xc_address_field_translation`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_address_field_translation` (
  `label_id` int(11) NOT NULL AUTO_INCREMENT,
  `id` int(11) DEFAULT NULL,
  `name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `code` char(2) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`label_id`),
  KEY `IDX_45430F4FF2BF396750` (`id`),
  CONSTRAINT `FK_45430F4FF2BF396750` FOREIGN KEY (`id`) REFERENCES `xc_address_field` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=12 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_address_field_translation`
--

LOCK TABLES `xc_address_field_translation` WRITE;
/*!40000 ALTER TABLE `xc_address_field_translation` DISABLE KEYS */;
INSERT INTO `xc_address_field_translation` VALUES (1,1,'Title','en'),(2,2,'First name','en'),(3,3,'Last name','en'),(4,4,'Address','en'),(5,5,'City','en'),(6,6,'Country','en'),(7,7,'State','en'),(8,8,'State','en'),(9,9,'Zip code','en'),(10,10,'Phone','en'),(11,11,'Address type','en');
/*!40000 ALTER TABLE `xc_address_field_translation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_address_field_value`
--

DROP TABLE IF EXISTS `xc_address_field_value`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_address_field_value` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `address_field_id` int(11) DEFAULT NULL,
  `address_id` int(11) DEFAULT NULL,
  `value` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `IDX_45620FAD37BAB8F931` (`address_field_id`),
  KEY `IDX_45620FAD37F5B7AF75` (`address_id`),
  CONSTRAINT `FK_45620FAD37BAB8F931` FOREIGN KEY (`address_field_id`) REFERENCES `xc_address_field` (`id`) ON DELETE SET NULL,
  CONSTRAINT `FK_45620FAD37F5B7AF75` FOREIGN KEY (`address_id`) REFERENCES `xc_profile_addresses` (`address_id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=61 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_address_field_value`
--

LOCK TABLES `xc_address_field_value` WRITE;
/*!40000 ALTER TABLE `xc_address_field_value` DISABLE KEYS */;
INSERT INTO `xc_address_field_value` VALUES (1,1,1,'Mr.'),(2,6,1,'US'),(3,2,1,'Guest'),(4,3,1,'Guest'),(5,10,1,'0123456789'),(6,4,1,'51 apt, 87 street'),(7,5,1,'Edmond'),(8,7,1,'595'),(9,6,1,'US'),(10,9,1,'73003'),(11,1,2,'Mr.'),(12,6,2,'US'),(13,2,2,'Guest'),(14,3,2,'Guest'),(15,10,2,'0123456789'),(16,4,2,'51 apt, 87 street'),(17,5,2,'Edmond'),(18,7,2,'595'),(19,6,2,'US'),(20,9,2,'73003'),(21,1,3,'Mr.'),(22,6,3,'US'),(23,2,3,'Guest'),(24,3,3,'Guest'),(25,10,3,'0123456789'),(26,4,3,'51 apt, 87 street'),(27,5,3,'Edmond'),(28,7,3,'595'),(29,6,3,'US'),(30,9,3,'73003'),(31,1,4,'Mr.'),(32,6,4,'US'),(33,2,4,'Guest'),(34,3,4,'Guest'),(35,10,4,'0123456789'),(36,4,4,'51 apt, 87 street'),(37,5,4,'Edmond'),(38,7,4,'595'),(39,6,4,'US'),(40,9,4,'73003'),(41,1,5,'Mr.'),(42,6,5,'US'),(43,2,5,'Guest'),(44,3,5,'Guest'),(45,10,5,'0123456789'),(46,4,5,'51 apt, 87 street'),(47,5,5,'Edmond'),(48,7,5,'595'),(49,6,5,'US'),(50,9,5,'73003'),(51,1,6,'Mr.'),(52,6,6,'US'),(53,2,6,'Guest'),(54,3,6,'Guest'),(55,10,6,'0123456789'),(56,4,6,'51 apt, 87 street'),(57,5,6,'Edmond'),(58,7,6,'595'),(59,6,6,'US'),(60,9,6,'73003');
/*!40000 ALTER TABLE `xc_address_field_value` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_attribute_group_translations`
--

DROP TABLE IF EXISTS `xc_attribute_group_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_attribute_group_translations` (
  `label_id` int(11) NOT NULL AUTO_INCREMENT,
  `id` int(10) unsigned DEFAULT NULL,
  `name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `code` char(2) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`label_id`),
  KEY `ci` (`code`,`id`),
  KEY `id` (`id`),
  CONSTRAINT `FK_458C43909EBF396750` FOREIGN KEY (`id`) REFERENCES `xc_attribute_groups` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_attribute_group_translations`
--

LOCK TABLES `xc_attribute_group_translations` WRITE;
/*!40000 ALTER TABLE `xc_attribute_group_translations` DISABLE KEYS */;
INSERT INTO `xc_attribute_group_translations` VALUES (1,1,'Display','en'),(2,2,'Cellular and Wireless','en'),(3,3,'Power and Battery','en'),(4,1,'Дисплей','ru'),(5,2,'Сотовая и беспроводняа связь','ru'),(6,3,'Батарея','ru');
/*!40000 ALTER TABLE `xc_attribute_group_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_attribute_groups`
--

DROP TABLE IF EXISTS `xc_attribute_groups`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_attribute_groups` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `product_class_id` int(10) unsigned DEFAULT NULL,
  `position` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `IDX_4559E382E821B06187` (`product_class_id`),
  CONSTRAINT `FK_4559E382E821B06187` FOREIGN KEY (`product_class_id`) REFERENCES `xc_product_classes` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_attribute_groups`
--

LOCK TABLES `xc_attribute_groups` WRITE;
/*!40000 ALTER TABLE `xc_attribute_groups` DISABLE KEYS */;
INSERT INTO `xc_attribute_groups` VALUES (1,2,10),(2,2,20),(3,2,30);
/*!40000 ALTER TABLE `xc_attribute_groups` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_attribute_option_translations`
--

DROP TABLE IF EXISTS `xc_attribute_option_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_attribute_option_translations` (
  `label_id` int(11) NOT NULL AUTO_INCREMENT,
  `id` int(10) unsigned DEFAULT NULL,
  `name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `code` char(2) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`label_id`),
  KEY `ci` (`code`,`id`),
  KEY `id` (`id`),
  CONSTRAINT `FK_4531550B83BF396750` FOREIGN KEY (`id`) REFERENCES `xc_attribute_options` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=3232 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_attribute_option_translations`
--

LOCK TABLES `xc_attribute_option_translations` WRITE;
/*!40000 ALTER TABLE `xc_attribute_option_translations` DISABLE KEYS */;
INSERT INTO `xc_attribute_option_translations` VALUES (1,1,'S','en'),(2,2,'M','en'),(3,3,'L','en'),(4,4,'XL','en'),(5,5,'XXL','en'),(8,8,'XXXL','en'),(109,109,'IndependentApparel','en'),(110,110,'YourStyle','en'),(111,111,'MyBestDress','en'),(112,112,'Toyty','en'),(113,113,'FunnyChildren','en'),(114,114,'MindSet','en'),(115,115,'GoodyBrand','en'),(116,116,'iBoutique','en'),(1001,1,'S','ru'),(1002,2,'M','ru'),(1003,3,'L','ru'),(1004,4,'XL','ru'),(1005,5,'XXL','ru'),(1008,8,'XXXL','ru'),(1109,109,'IndependentApparel','ru'),(1110,110,'YourStyle','ru'),(1111,111,'MyBestDress','ru'),(1112,112,'Toyty','ru'),(1113,113,'FunnyChildren','ru'),(1114,114,'MindSet','ru'),(1115,115,'GoodyBrand','ru'),(1116,116,'iBoutique','ru'),(1134,134,'Blue','en'),(1135,135,'Gold','en'),(1136,136,'Red','en'),(1143,143,'Blue','en'),(1144,144,'Gold','en'),(1145,145,'Red','en'),(1158,158,'Dr. Peter Venkman','en'),(1159,159,'Dr. Egon Spengler','en'),(1160,160,'Dr. Raymond Stantz','en'),(1161,161,'White','en'),(1162,162,'Black','en'),(1163,163,'Black','en'),(1164,164,'White','en'),(2001,1,'S','ru'),(2002,2,'M','ru'),(2003,3,'L','ru'),(2004,4,'XL','ru'),(2005,5,'XXL','ru'),(2008,8,'XXXL','ru'),(2109,109,'IndependentApparel','ru'),(2110,110,'YourStyle','ru'),(2111,111,'MyBestDress','ru'),(2112,112,'Toyty','ru'),(2113,113,'FunnyChildren','ru'),(2114,114,'MindSet','ru'),(2115,115,'GoodyBrand','ru'),(2116,116,'iBoutique','ru'),(3001,1,'S','ru'),(3002,2,'M','ru'),(3003,3,'L','ru'),(3004,4,'XL','ru'),(3005,5,'XXL','ru'),(3008,8,'XXXL','ru'),(3109,109,'IndependentApparel','ru'),(3110,110,'YourStyle','ru'),(3111,111,'MyBestDress','ru'),(3112,112,'Toyty','ru'),(3113,113,'FunnyChildren','ru'),(3114,114,'MindSet','ru'),(3115,115,'GoodyBrand','ru'),(3116,116,'iBoutique','ru'),(3134,134,'Синий','ru'),(3135,135,'Золотой','ru'),(3136,136,'Красный','ru'),(3143,143,'Синий','ru'),(3144,144,'Золотой','ru'),(3145,145,'Красный','ru'),(3158,158,'Питер Венкман','ru'),(3159,159,'Иган Спенглер','ru'),(3160,160,'Рэймонд Стэнтс','ru'),(3161,161,'Белый','ru'),(3162,162,'Черный','ru'),(3163,163,'Черный','ru'),(3164,164,'Белый','ru'),(3165,165,'16','en'),(3166,166,'64','en'),(3167,167,'128','en'),(3168,168,'Silver','en'),(3169,169,'Space Gray','en'),(3170,170,'Gold','en'),(3171,171,'A8 chip with 64‑bit architecture','en'),(3172,172,'Nano-SIM','en'),(3173,173,'Retina HD display','en'),(3174,174,'4.7','en'),(3175,175,'1334x750','en'),(3176,176,'Built-in rechargeable lithium-ion battery','en'),(3177,177,'Up to 14 hours on 3G','en'),(3178,178,'Up to 10 days (250 hours)','en'),(3179,179,'Up to 11 hours','en'),(3180,180,'Up to 50 hours','en'),(3181,181,'GSM/EDGE/LTE','en'),(3182,182,'802.11a/b/g/n/ac','en'),(3183,183,'Bluetooth 4.2','en'),(3184,184,'5.5','en'),(3185,185,'1920x1080','en'),(3186,186,'32','en'),(3187,187,'A7 chip with 64-bit architecture','en'),(3188,188,'White','en'),(3189,189,'Black','en'),(3190,190,'4','en'),(3191,191,'1136x640','en'),(3192,192,'Up to 10 hours on 3G','en'),(3193,193,'Up to 250 hours','en'),(3194,194,'Up to 10 hours','en'),(3195,195,'Up to 40 hours','en'),(3196,196,'GSM/EDGE','en'),(3197,197,'802.11a/b/g/n','en'),(3198,198,'Up to 24 hours on 3G','en'),(3199,199,'Up to 16 days (384 hours)','en'),(3200,200,'A9 chip with 64‑bit architecture','en'),(3201,201,'Purple','en'),(3202,202,'Green','en'),(3203,203,'Orange','en'),(3204,204,'Blue','en'),(3205,201,'Фиолетовый','ru'),(3206,202,'Зеленый','ru'),(3207,203,'Оранжевый','ru'),(3208,204,'Синий','ru'),(3209,205,'Rose Gold','en'),(3210,168,'Серебристый','ru'),(3211,169,'Серый космос','ru'),(3212,170,'Золотой','ru'),(3213,188,'Белый','ru'),(3214,189,'Черный','ru'),(3215,205,'Розовое золото','ru'),(3216,165,'16','ru'),(3217,166,'64','ru'),(3218,167,'128','ru'),(3219,186,'32','ru'),(3221,207,'Nano-SIM','ru'),(3223,209,'4','ru'),(3224,210,'1136x640','ru'),(3225,211,'Built-in rechargeable lithium-ion battery','ru'),(3226,212,'Up to 14 hours on 3G','ru'),(3227,213,'Up to 10 days (250 hours)','ru'),(3228,214,'Up to 10 hours','ru'),(3229,215,'Up to 40 hours','ru'),(3231,217,'802.11a/b/g/n/ac','ru');
/*!40000 ALTER TABLE `xc_attribute_option_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_attribute_options`
--

DROP TABLE IF EXISTS `xc_attribute_options`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_attribute_options` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `attribute_id` int(10) unsigned DEFAULT NULL,
  `addToNew` tinyint(1) NOT NULL,
  `position` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `IDX_452E486F4AB6E62EFA` (`attribute_id`),
  CONSTRAINT `FK_452E486F4AB6E62EFA` FOREIGN KEY (`attribute_id`) REFERENCES `xc_attributes` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=218 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_attribute_options`
--

LOCK TABLES `xc_attribute_options` WRITE;
/*!40000 ALTER TABLE `xc_attribute_options` DISABLE KEYS */;
INSERT INTO `xc_attribute_options` VALUES (1,1,1,0),(2,1,1,0),(3,1,1,0),(4,1,1,0),(5,1,1,0),(8,1,1,0),(109,50,0,0),(110,50,0,0),(111,50,0,0),(112,50,0,0),(113,50,0,0),(114,50,0,0),(115,50,0,0),(116,50,0,0),(134,56,0,0),(135,56,0,0),(136,56,0,0),(143,58,0,0),(144,58,0,0),(145,58,0,0),(158,61,0,0),(159,61,0,0),(160,61,0,0),(161,69,0,0),(162,69,0,0),(163,70,0,0),(164,70,0,0),(165,71,1,0),(166,71,1,0),(167,71,0,0),(168,73,0,0),(169,73,0,0),(170,73,0,0),(171,72,0,0),(172,74,0,0),(173,75,0,0),(174,76,0,0),(175,77,0,0),(176,78,0,0),(177,79,0,0),(178,80,0,0),(179,81,0,0),(180,82,0,0),(181,83,0,0),(182,84,0,0),(183,85,0,0),(184,76,0,0),(185,77,0,0),(186,71,0,0),(187,72,0,0),(188,73,0,0),(189,73,0,0),(190,76,0,0),(191,77,0,0),(192,79,0,0),(193,80,0,0),(194,81,0,0),(195,82,0,0),(196,83,0,0),(197,84,0,0),(198,79,0,0),(199,80,0,0),(200,72,0,0),(201,87,0,0),(202,87,0,0),(203,87,0,0),(204,87,0,0),(205,73,0,0),(207,74,0,0),(209,76,0,0),(210,77,0,0),(211,78,0,0),(212,79,0,0),(213,80,0,0),(214,81,0,0),(215,82,0,0),(217,84,0,0);
/*!40000 ALTER TABLE `xc_attribute_options` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_attribute_properties`
--

DROP TABLE IF EXISTS `xc_attribute_properties`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_attribute_properties` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `product_id` int(10) unsigned DEFAULT NULL,
  `attribute_id` int(10) unsigned DEFAULT NULL,
  `position` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `IDX_453C3647F44584665A` (`product_id`),
  KEY `IDX_453C3647F4B6E62EFA` (`attribute_id`),
  CONSTRAINT `FK_453C3647F44584665A` FOREIGN KEY (`product_id`) REFERENCES `xc_products` (`product_id`) ON DELETE CASCADE,
  CONSTRAINT `FK_453C3647F4B6E62EFA` FOREIGN KEY (`attribute_id`) REFERENCES `xc_attributes` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_attribute_properties`
--

LOCK TABLES `xc_attribute_properties` WRITE;
/*!40000 ALTER TABLE `xc_attribute_properties` DISABLE KEYS */;
/*!40000 ALTER TABLE `xc_attribute_properties` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_attribute_translations`
--

DROP TABLE IF EXISTS `xc_attribute_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_attribute_translations` (
  `label_id` int(11) NOT NULL AUTO_INCREMENT,
  `id` int(10) unsigned DEFAULT NULL,
  `name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `unit` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `code` char(2) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`label_id`),
  KEY `ci` (`code`,`id`),
  KEY `id` (`id`),
  CONSTRAINT `FK_458BBAD04BBF396750` FOREIGN KEY (`id`) REFERENCES `xc_attributes` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=175 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_attribute_translations`
--

LOCK TABLES `xc_attribute_translations` WRITE;
/*!40000 ALTER TABLE `xc_attribute_translations` DISABLE KEYS */;
INSERT INTO `xc_attribute_translations` VALUES (1,1,'Size','','en'),(50,50,'Manufacturer','','en'),(51,1,'Размер','','ru'),(100,50,'Производитель','','ru'),(106,56,'Color','','en'),(108,58,'Color','','en'),(111,61,'Character','','en'),(112,62,'Captain America','','en'),(113,63,'Iron Man','','en'),(114,64,'Hulk','','en'),(115,65,'Thor','','en'),(116,66,'Black','','en'),(117,67,'Pink','','en'),(118,68,'Blue','','en'),(119,69,'Color','','en'),(120,70,'Color','','en'),(126,56,'Цвет','','ru'),(128,58,'Цвет','','ru'),(131,61,'Персонаж','','ru'),(132,62,'Капитан Америка','','ru'),(133,63,'Железный человек','','ru'),(134,64,'Халк','','ru'),(135,65,'Тор','','ru'),(136,66,'Черный','','ru'),(137,67,'Розовый','','ru'),(138,68,'Синий','','ru'),(139,69,'Цвет','','ru'),(140,70,'Цвет','','ru'),(141,71,'Capacity, GB','','en'),(142,72,'Chip','','en'),(143,73,'Color','','en'),(144,74,'Sim card','','en'),(145,75,'Display type','','en'),(146,76,'Dimension, inches','','en'),(147,77,'Resolution','','en'),(148,78,'Battery type','','en'),(149,79,'Talk time','','en'),(150,80,'Standby time','','en'),(151,81,'Video playback','','en'),(152,82,'Audio playback','','en'),(153,83,'GSM model','','en'),(154,84,'Wi-Fi','','en'),(155,85,'Bluetooth','','en'),(156,86,'GPS','','en'),(157,87,'Color','','en'),(158,87,'Цвет','','ru'),(159,73,'Цвет','','ru'),(160,71,'Объем памяти, GB','','ru'),(161,72,'Chip','','ru'),(162,74,'Sim card','','ru'),(163,75,'Display type','','ru'),(164,76,'Dimension, inches','','ru'),(165,77,'Resolution','','ru'),(166,78,'Battery type','','ru'),(167,79,'Talk time','','ru'),(168,80,'Standby time','','ru'),(169,81,'Video playback','','ru'),(170,82,'Audio playback','','ru'),(171,83,'GSM model','','ru'),(172,84,'Wi-Fi','','ru'),(173,85,'Bluetooth','','ru'),(174,86,'GPS','','ru');
/*!40000 ALTER TABLE `xc_attribute_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_attribute_values_checkbox`
--

DROP TABLE IF EXISTS `xc_attribute_values_checkbox`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_attribute_values_checkbox` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `product_id` int(10) unsigned DEFAULT NULL,
  `attribute_id` int(10) unsigned DEFAULT NULL,
  `value` tinyint(1) NOT NULL,
  `priceModifier` decimal(14,4) NOT NULL,
  `priceModifierType` char(1) COLLATE utf8_unicode_ci NOT NULL,
  `weightModifier` decimal(14,4) NOT NULL,
  `weightModifierType` char(1) COLLATE utf8_unicode_ci NOT NULL,
  `defaultValue` tinyint(1) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `product_id` (`product_id`),
  KEY `attribute_id` (`attribute_id`),
  KEY `value` (`value`),
  CONSTRAINT `FK_453CA3503B4584665A` FOREIGN KEY (`product_id`) REFERENCES `xc_products` (`product_id`) ON DELETE CASCADE,
  CONSTRAINT `FK_453CA3503BB6E62EFA` FOREIGN KEY (`attribute_id`) REFERENCES `xc_attributes` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=21 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_attribute_values_checkbox`
--

LOCK TABLES `xc_attribute_values_checkbox` WRITE;
/*!40000 ALTER TABLE `xc_attribute_values_checkbox` DISABLE KEYS */;
INSERT INTO `xc_attribute_values_checkbox` VALUES (1,16,62,0,0.0000,'a',0.0000,'a',0),(2,16,63,1,19.9900,'a',0.0000,'a',0),(3,16,64,0,0.0000,'a',0.0000,'a',0),(4,16,65,0,0.0000,'a',0.0000,'a',0),(5,16,62,1,19.9900,'a',0.0000,'a',0),(7,16,64,1,19.9900,'a',0.0000,'a',0),(8,16,65,1,19.9900,'a',0.0000,'a',0),(9,31,66,1,0.0000,'a',0.0000,'a',0),(10,31,66,0,0.0000,'a',0.0000,'a',0),(11,31,67,1,0.0000,'a',0.0000,'a',0),(12,31,67,0,0.0000,'a',0.0000,'a',0),(13,31,68,1,0.0000,'a',0.0000,'a',0),(14,31,68,0,0.0000,'a',0.0000,'a',0),(15,42,86,1,0.0000,'p',0.0000,'p',0),(18,37,86,1,0.0000,'p',0.0000,'p',0),(19,41,86,1,0.0000,'p',0.0000,'p',0),(20,16,63,0,0.0000,'a',0.0000,'a',0);
/*!40000 ALTER TABLE `xc_attribute_values_checkbox` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_attribute_values_checkbox_translations`
--

DROP TABLE IF EXISTS `xc_attribute_values_checkbox_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_attribute_values_checkbox_translations` (
  `label_id` int(11) NOT NULL AUTO_INCREMENT,
  `id` int(10) unsigned DEFAULT NULL,
  `code` char(2) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`label_id`),
  KEY `ci` (`code`,`id`),
  KEY `id` (`id`),
  CONSTRAINT `FK_455A770E51BF396750` FOREIGN KEY (`id`) REFERENCES `xc_attribute_values_checkbox` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_attribute_values_checkbox_translations`
--

LOCK TABLES `xc_attribute_values_checkbox_translations` WRITE;
/*!40000 ALTER TABLE `xc_attribute_values_checkbox_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `xc_attribute_values_checkbox_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_attribute_values_select`
--

DROP TABLE IF EXISTS `xc_attribute_values_select`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_attribute_values_select` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `attribute_option_id` int(10) unsigned DEFAULT NULL,
  `product_id` int(10) unsigned DEFAULT NULL,
  `attribute_id` int(10) unsigned DEFAULT NULL,
  `position` int(11) NOT NULL,
  `priceModifier` decimal(14,4) NOT NULL,
  `priceModifierType` char(1) COLLATE utf8_unicode_ci NOT NULL,
  `weightModifier` decimal(14,4) NOT NULL,
  `weightModifierType` char(1) COLLATE utf8_unicode_ci NOT NULL,
  `defaultValue` tinyint(1) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `product_id` (`product_id`),
  KEY `attribute_id` (`attribute_id`),
  KEY `attribute_option_id` (`attribute_option_id`),
  CONSTRAINT `FK_4565258CAB1AE56DE9` FOREIGN KEY (`attribute_option_id`) REFERENCES `xc_attribute_options` (`id`) ON DELETE CASCADE,
  CONSTRAINT `FK_4565258CAB4584665A` FOREIGN KEY (`product_id`) REFERENCES `xc_products` (`product_id`) ON DELETE CASCADE,
  CONSTRAINT `FK_4565258CABB6E62EFA` FOREIGN KEY (`attribute_id`) REFERENCES `xc_attributes` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=434 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_attribute_values_select`
--

LOCK TABLES `xc_attribute_values_select` WRITE;
/*!40000 ALTER TABLE `xc_attribute_values_select` DISABLE KEYS */;
INSERT INTO `xc_attribute_values_select` VALUES (202,114,1,50,0,0.0000,'a',0.0000,'a',0),(204,112,17,50,0,0.0000,'a',0.0000,'a',0),(205,112,13,50,0,0.0000,'a',0.0000,'a',0),(215,112,6,50,0,0.0000,'a',0.0000,'a',0),(219,113,18,50,0,0.0000,'a',0.0000,'a',0),(264,134,7,56,0,0.0000,'a',0.0000,'a',0),(265,135,7,56,0,0.0000,'a',0.0000,'a',0),(266,136,7,56,0,0.0000,'a',0.0000,'a',0),(273,143,9,58,0,0.0000,'a',0.0000,'a',0),(274,144,9,58,0,0.0000,'a',0.0000,'a',0),(275,145,9,58,0,0.0000,'a',0.0000,'a',0),(288,158,13,61,0,0.0000,'a',0.0000,'a',0),(289,159,13,61,0,0.0000,'a',0.0000,'a',0),(290,160,13,61,0,0.0000,'a',0.0000,'a',0),(291,161,32,69,0,0.0000,'a',0.0000,'a',0),(292,162,32,69,0,0.0000,'a',0.0000,'a',0),(293,163,40,70,0,0.0000,'a',0.0000,'a',0),(294,164,40,70,0,0.0000,'a',0.0000,'a',0),(295,165,37,71,0,0.0000,'a',0.0000,'a',0),(296,166,37,71,0,100.0000,'a',0.0000,'a',0),(297,167,37,71,0,200.0000,'a',0.0000,'a',0),(298,200,37,72,0,0.0000,'a',0.0000,'a',0),(299,169,37,73,0,0.0000,'a',0.0000,'a',0),(300,168,37,73,0,0.0000,'a',0.0000,'a',0),(301,170,37,73,0,0.0000,'a',0.0000,'a',0),(302,172,37,74,0,0.0000,'a',0.0000,'a',0),(303,173,37,75,0,0.0000,'a',0.0000,'a',0),(304,174,37,76,0,0.0000,'a',0.0000,'a',0),(305,175,37,77,0,0.0000,'a',0.0000,'a',0),(306,176,37,78,0,0.0000,'a',0.0000,'a',0),(307,177,37,79,0,0.0000,'a',0.0000,'a',0),(308,178,37,80,0,0.0000,'a',0.0000,'a',0),(309,179,37,81,0,0.0000,'a',0.0000,'a',0),(310,180,37,82,0,0.0000,'a',0.0000,'a',0),(311,181,37,83,0,0.0000,'a',0.0000,'a',0),(312,182,37,84,0,0.0000,'a',0.0000,'a',0),(313,183,37,85,0,0.0000,'a',0.0000,'a',0),(314,165,41,71,0,0.0000,'a',0.0000,'a',0),(315,166,41,71,0,100.0000,'a',0.0000,'a',0),(316,167,41,71,0,200.0000,'a',0.0000,'a',0),(317,200,41,72,0,0.0000,'a',0.0000,'a',0),(318,169,41,73,0,0.0000,'a',0.0000,'a',0),(319,168,41,73,0,0.0000,'a',0.0000,'a',0),(320,170,41,73,0,0.0000,'a',0.0000,'a',0),(321,172,41,74,0,0.0000,'a',0.0000,'a',0),(322,173,41,75,0,0.0000,'a',0.0000,'a',0),(323,184,41,76,0,0.0000,'a',0.0000,'a',0),(324,185,41,77,0,0.0000,'a',0.0000,'a',0),(325,176,41,78,0,0.0000,'a',0.0000,'a',0),(326,198,41,79,0,0.0000,'a',0.0000,'a',0),(327,199,41,80,0,0.0000,'a',0.0000,'a',0),(328,194,41,81,0,0.0000,'a',0.0000,'a',0),(329,195,41,82,0,0.0000,'a',0.0000,'a',0),(330,181,41,83,0,0.0000,'a',0.0000,'a',0),(331,182,41,84,0,0.0000,'a',0.0000,'a',0),(332,183,41,85,0,0.0000,'a',0.0000,'a',0),(333,165,42,71,0,0.0000,'a',0.0000,'a',0),(335,166,42,71,0,200.0000,'a',0.0000,'a',0),(337,169,42,73,0,0.0000,'a',0.0000,'a',0),(338,168,42,73,0,0.0000,'a',0.0000,'a',0),(339,170,42,73,0,0.0000,'a',0.0000,'a',0),(340,172,42,74,0,0.0000,'a',0.0000,'a',0),(342,190,42,76,0,0.0000,'a',0.0000,'a',0),(343,191,42,77,0,0.0000,'a',0.0000,'a',0),(344,176,42,78,0,0.0000,'a',0.0000,'a',0),(345,177,42,79,0,0.0000,'a',0.0000,'a',0),(346,178,42,80,0,0.0000,'a',0.0000,'a',0),(347,194,42,81,0,0.0000,'a',0.0000,'a',0),(348,195,42,82,0,0.0000,'a',0.0000,'a',0),(350,182,42,84,0,0.0000,'a',0.0000,'a',0),(352,1,6,1,0,0.0000,'a',0.0000,'a',0),(353,2,6,1,0,0.0000,'a',0.0000,'a',0),(354,3,6,1,0,0.0000,'a',0.0000,'a',0),(355,4,6,1,0,0.0000,'a',0.0000,'a',0),(356,5,6,1,0,0.0000,'a',0.0000,'a',0),(357,8,6,1,0,0.0000,'a',0.0000,'a',0),(360,1,10,1,0,0.0000,'a',0.0000,'a',0),(361,2,10,1,0,0.0000,'a',0.0000,'a',0),(362,3,10,1,0,0.0000,'a',0.0000,'a',0),(363,4,10,1,0,0.0000,'a',0.0000,'a',0),(368,1,8,1,0,0.0000,'a',0.0000,'a',0),(369,2,8,1,0,0.0000,'a',0.0000,'a',0),(370,3,8,1,0,0.0000,'a',0.0000,'a',0),(371,4,8,1,0,0.0000,'a',0.0000,'a',0),(372,5,8,1,0,0.0000,'a',0.0000,'a',0),(373,8,8,1,0,0.0000,'a',0.0000,'a',0),(376,1,3,1,0,0.0000,'a',0.0000,'a',0),(377,2,3,1,0,0.0000,'a',0.0000,'a',0),(378,3,3,1,0,0.0000,'a',0.0000,'a',0),(379,4,3,1,0,0.0000,'a',0.0000,'a',0),(382,1,1,1,0,0.0000,'a',0.0000,'a',0),(383,2,1,1,0,0.0000,'a',0.0000,'a',0),(384,3,1,1,0,0.0000,'a',0.0000,'a',0),(385,4,1,1,0,0.0000,'a',0.0000,'a',0),(388,1,2,1,0,0.0000,'a',0.0000,'a',0),(389,2,2,1,0,0.0000,'a',0.0000,'a',0),(390,3,2,1,0,0.0000,'a',0.0000,'a',0),(391,4,2,1,0,0.0000,'a',0.0000,'a',0),(392,5,2,1,0,0.0000,'a',0.0000,'a',0),(393,8,2,1,0,0.0000,'a',0.0000,'a',0),(394,111,2,50,0,0.0000,'a',0.0000,'a',0),(395,1,4,1,0,0.0000,'a',0.0000,'a',0),(396,2,4,1,0,0.0000,'a',0.0000,'a',0),(397,3,4,1,0,0.0000,'a',0.0000,'a',0),(398,4,4,1,0,0.0000,'a',0.0000,'a',0),(401,114,4,50,0,0.0000,'a',0.0000,'a',0),(402,1,9,1,0,0.0000,'a',0.0000,'a',0),(403,2,9,1,0,0.0000,'a',0.0000,'a',0),(404,3,9,1,0,0.0000,'a',0.0000,'a',0),(405,4,9,1,0,0.0000,'a',0.0000,'a',0),(406,5,9,1,0,0.0000,'a',0.0000,'a',0),(407,8,9,1,0,0.0000,'a',0.0000,'a',0),(408,110,9,50,0,0.0000,'a',0.0000,'a',0),(409,1,7,1,0,0.0000,'a',0.0000,'a',0),(410,2,7,1,0,0.0000,'a',0.0000,'a',0),(411,3,7,1,0,0.0000,'a',0.0000,'a',0),(412,4,7,1,0,0.0000,'a',0.0000,'a',0),(413,5,7,1,0,0.0000,'a',0.0000,'a',0),(414,8,7,1,0,0.0000,'a',0.0000,'a',0),(415,115,7,50,0,0.0000,'a',0.0000,'a',0),(416,1,5,1,0,0.0000,'a',0.0000,'a',0),(417,2,5,1,0,0.0000,'a',0.0000,'a',0),(418,3,5,1,0,0.0000,'a',0.0000,'a',0),(419,4,5,1,0,0.0000,'a',0.0000,'a',0),(422,114,5,50,0,0.0000,'a',0.0000,'a',0),(423,113,8,50,0,0.0000,'a',0.0000,'a',0),(424,114,3,50,0,0.0000,'a',0.0000,'a',0),(425,115,10,50,0,0.0000,'a',0.0000,'a',0),(426,201,4,87,0,0.0000,'a',0.0000,'a',0),(427,202,4,87,0,0.0000,'a',0.0000,'a',0),(428,203,4,87,0,0.0000,'a',0.0000,'a',0),(429,204,4,87,0,0.0000,'a',0.0000,'a',0),(430,205,42,73,0,0.0000,'a',0.0000,'a',0),(431,200,42,72,0,0.0000,'a',0.0000,'a',0),(432,173,42,75,0,0.0000,'a',0.0000,'a',0),(433,183,42,85,0,0.0000,'a',0.0000,'a',0);
/*!40000 ALTER TABLE `xc_attribute_values_select` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_attribute_values_select_translations`
--

DROP TABLE IF EXISTS `xc_attribute_values_select_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_attribute_values_select_translations` (
  `label_id` int(11) NOT NULL AUTO_INCREMENT,
  `id` int(10) unsigned DEFAULT NULL,
  `code` char(2) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`label_id`),
  KEY `ci` (`code`,`id`),
  KEY `id` (`id`),
  CONSTRAINT `FK_45CDF9A7AFBF396750` FOREIGN KEY (`id`) REFERENCES `xc_attribute_values_select` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_attribute_values_select_translations`
--

LOCK TABLES `xc_attribute_values_select_translations` WRITE;
/*!40000 ALTER TABLE `xc_attribute_values_select_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `xc_attribute_values_select_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_attribute_values_text`
--

DROP TABLE IF EXISTS `xc_attribute_values_text`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_attribute_values_text` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `product_id` int(10) unsigned DEFAULT NULL,
  `attribute_id` int(10) unsigned DEFAULT NULL,
  `editable` tinyint(1) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `product_id` (`product_id`),
  KEY `attribute_id` (`attribute_id`),
  CONSTRAINT `FK_45560D03DA4584665A` FOREIGN KEY (`product_id`) REFERENCES `xc_products` (`product_id`) ON DELETE CASCADE,
  CONSTRAINT `FK_45560D03DAB6E62EFA` FOREIGN KEY (`attribute_id`) REFERENCES `xc_attributes` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_attribute_values_text`
--

LOCK TABLES `xc_attribute_values_text` WRITE;
/*!40000 ALTER TABLE `xc_attribute_values_text` DISABLE KEYS */;
/*!40000 ALTER TABLE `xc_attribute_values_text` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_attribute_values_text_translations`
--

DROP TABLE IF EXISTS `xc_attribute_values_text_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_attribute_values_text_translations` (
  `label_id` int(11) NOT NULL AUTO_INCREMENT,
  `id` int(10) unsigned DEFAULT NULL,
  `value` longtext COLLATE utf8_unicode_ci NOT NULL,
  `code` char(2) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`label_id`),
  KEY `ci` (`code`,`id`),
  KEY `id` (`id`),
  CONSTRAINT `FK_45753A596BF396750` FOREIGN KEY (`id`) REFERENCES `xc_attribute_values_text` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_attribute_values_text_translations`
--

LOCK TABLES `xc_attribute_values_text_translations` WRITE;
/*!40000 ALTER TABLE `xc_attribute_values_text_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `xc_attribute_values_text_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_attributes`
--

DROP TABLE IF EXISTS `xc_attributes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_attributes` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `product_class_id` int(10) unsigned DEFAULT NULL,
  `attribute_group_id` int(10) unsigned DEFAULT NULL,
  `product_id` int(10) unsigned DEFAULT NULL,
  `visible` tinyint(1) NOT NULL DEFAULT '1',
  `position` int(11) NOT NULL,
  `decimals` int(11) NOT NULL,
  `type` char(1) COLLATE utf8_unicode_ci NOT NULL,
  `addToNew` char(1) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`),
  KEY `IDX_459665298321B06187` (`product_class_id`),
  KEY `IDX_459665298362D643B7` (`attribute_group_id`),
  KEY `IDX_45966529834584665A` (`product_id`),
  CONSTRAINT `FK_459665298321B06187` FOREIGN KEY (`product_class_id`) REFERENCES `xc_product_classes` (`id`) ON DELETE CASCADE,
  CONSTRAINT `FK_45966529834584665A` FOREIGN KEY (`product_id`) REFERENCES `xc_products` (`product_id`) ON DELETE CASCADE,
  CONSTRAINT `FK_459665298362D643B7` FOREIGN KEY (`attribute_group_id`) REFERENCES `xc_attribute_groups` (`id`) ON DELETE SET NULL
) ENGINE=InnoDB AUTO_INCREMENT=88 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_attributes`
--

LOCK TABLES `xc_attributes` WRITE;
/*!40000 ALTER TABLE `xc_attributes` DISABLE KEYS */;
INSERT INTO `xc_attributes` VALUES (1,1,NULL,NULL,1,0,0,'S',''),(50,NULL,NULL,NULL,1,0,0,'S',''),(56,NULL,NULL,7,1,0,0,'S',''),(58,NULL,NULL,9,1,0,0,'S',''),(61,NULL,NULL,13,1,0,0,'S',''),(62,NULL,NULL,16,1,0,0,'C',''),(63,NULL,NULL,16,1,0,0,'C',''),(64,NULL,NULL,16,1,0,0,'C',''),(65,NULL,NULL,16,1,0,0,'C',''),(66,NULL,NULL,31,1,0,0,'C',''),(67,NULL,NULL,31,1,0,0,'C',''),(68,NULL,NULL,31,1,0,0,'C',''),(69,NULL,NULL,32,1,0,0,'S',''),(70,NULL,NULL,40,1,0,0,'S',''),(71,2,NULL,NULL,1,0,0,'S',''),(72,2,NULL,NULL,1,0,0,'S',''),(73,2,NULL,NULL,1,0,0,'S',''),(74,2,NULL,NULL,0,0,0,'S',''),(75,2,1,NULL,1,0,0,'S',''),(76,2,1,NULL,1,0,0,'S',''),(77,2,1,NULL,1,0,0,'S',''),(78,2,3,NULL,0,0,0,'S',''),(79,2,3,NULL,0,0,0,'S',''),(80,2,3,NULL,0,0,0,'S',''),(81,2,3,NULL,0,0,0,'S',''),(82,2,3,NULL,0,0,0,'S',''),(83,2,2,NULL,1,0,0,'S',''),(84,2,2,NULL,1,0,0,'S',''),(85,2,2,NULL,0,0,0,'S',''),(86,2,2,NULL,1,0,0,'C',''),(87,NULL,NULL,4,1,0,0,'S','');
/*!40000 ALTER TABLE `xc_attributes` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_banner_rotation_image`
--

DROP TABLE IF EXISTS `xc_banner_rotation_image`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_banner_rotation_image` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `banner_rotation_slide_id` int(10) unsigned DEFAULT NULL,
  `alt` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `width` int(11) NOT NULL,
  `height` int(11) NOT NULL,
  `hash` char(32) COLLATE utf8_unicode_ci DEFAULT NULL,
  `needProcess` tinyint(1) NOT NULL,
  `path` varchar(512) COLLATE utf8_unicode_ci NOT NULL,
  `fileName` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `mime` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `storageType` varchar(1) COLLATE utf8_unicode_ci NOT NULL,
  `size` int(10) unsigned NOT NULL,
  `date` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `UNIQ_BDC50932217A8232` (`banner_rotation_slide_id`),
  CONSTRAINT `FK_45BDC50932217A8232` FOREIGN KEY (`banner_rotation_slide_id`) REFERENCES `xc_banner_rotation_slide` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_banner_rotation_image`
--

LOCK TABLES `xc_banner_rotation_image` WRITE;
/*!40000 ALTER TABLE `xc_banner_rotation_image` DISABLE KEYS */;
INSERT INTO `xc_banner_rotation_image` VALUES (1,1,'Apparel',4000,920,NULL,1,'banner_apparel_2x.jpg','','image/jpeg','r',0,1537174035),(2,2,'Toys',4000,920,NULL,1,'banner_toys_2x.jpg','','image/jpeg','r',0,1537174035);
/*!40000 ALTER TABLE `xc_banner_rotation_image` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_banner_rotation_slide`
--

DROP TABLE IF EXISTS `xc_banner_rotation_slide`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_banner_rotation_slide` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `enabled` tinyint(1) NOT NULL,
  `link` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `position` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_banner_rotation_slide`
--

LOCK TABLES `xc_banner_rotation_slide` WRITE;
/*!40000 ALTER TABLE `xc_banner_rotation_slide` DISABLE KEYS */;
INSERT INTO `xc_banner_rotation_slide` VALUES (1,1,'cart.php?target=category&category_id=4',20),(2,1,'cart.php?target=category&category_id=5',10);
/*!40000 ALTER TABLE `xc_banner_rotation_slide` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_capost_delivery_service_options`
--

DROP TABLE IF EXISTS `xc_capost_delivery_service_options`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_capost_delivery_service_options` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `code` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `mandatory` tinyint(1) NOT NULL,
  `qualifierRequired` tinyint(1) NOT NULL,
  `qualifierMax` decimal(14,4) DEFAULT NULL,
  `serviceId` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `IDX_4585C93F5589697FA8` (`serviceId`),
  CONSTRAINT `FK_4585C93F5589697FA8` FOREIGN KEY (`serviceId`) REFERENCES `xc_capost_delivery_services` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_capost_delivery_service_options`
--

LOCK TABLES `xc_capost_delivery_service_options` WRITE;
/*!40000 ALTER TABLE `xc_capost_delivery_service_options` DISABLE KEYS */;
/*!40000 ALTER TABLE `xc_capost_delivery_service_options` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_capost_delivery_services`
--

DROP TABLE IF EXISTS `xc_capost_delivery_services`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_capost_delivery_services` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `code` varchar(32) COLLATE utf8_unicode_ci NOT NULL,
  `countryCode` varchar(2) COLLATE utf8_unicode_ci NOT NULL,
  `name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `expiry` int(10) unsigned NOT NULL,
  `maxWeight` int(11) NOT NULL,
  `minWeight` int(11) NOT NULL,
  `maxLength` decimal(11,1) NOT NULL,
  `minLength` decimal(11,1) NOT NULL,
  `maxWidth` decimal(11,1) NOT NULL,
  `minWidth` decimal(11,1) NOT NULL,
  `maxHeight` decimal(11,1) NOT NULL,
  `minHeight` decimal(11,1) NOT NULL,
  `lengthPlusGirthMax` decimal(11,1) DEFAULT NULL,
  `lengthHeightWidthSumMax` decimal(11,1) DEFAULT NULL,
  `oversizeLimit` decimal(11,1) DEFAULT NULL,
  `densityFactor` int(11) DEFAULT NULL,
  `canShipInMailingTube` tinyint(1) NOT NULL,
  `canShipUnpackaged` tinyint(1) NOT NULL,
  `allowedAsReturnService` tinyint(1) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `code_country` (`code`,`countryCode`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_capost_delivery_services`
--

LOCK TABLES `xc_capost_delivery_services` WRITE;
/*!40000 ALTER TABLE `xc_capost_delivery_services` DISABLE KEYS */;
/*!40000 ALTER TABLE `xc_capost_delivery_services` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_capost_return_items`
--

DROP TABLE IF EXISTS `xc_capost_return_items`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_capost_return_items` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `amount` int(10) unsigned NOT NULL,
  `returnId` int(10) unsigned DEFAULT NULL,
  `orderItemId` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `IDX_4532022371B43D59E` (`returnId`),
  KEY `IDX_453202237BBF22A26` (`orderItemId`),
  CONSTRAINT `FK_4532022371B43D59E` FOREIGN KEY (`returnId`) REFERENCES `xc_capost_returns` (`id`) ON DELETE CASCADE,
  CONSTRAINT `FK_453202237BBF22A26` FOREIGN KEY (`orderItemId`) REFERENCES `xc_order_items` (`item_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_capost_return_items`
--

LOCK TABLES `xc_capost_return_items` WRITE;
/*!40000 ALTER TABLE `xc_capost_return_items` DISABLE KEYS */;
/*!40000 ALTER TABLE `xc_capost_return_items` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_capost_return_link_storage`
--

DROP TABLE IF EXISTS `xc_capost_return_link_storage`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_capost_return_link_storage` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `path` varchar(512) COLLATE utf8_unicode_ci NOT NULL,
  `fileName` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `mime` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `storageType` varchar(1) COLLATE utf8_unicode_ci NOT NULL,
  `size` int(10) unsigned NOT NULL,
  `date` int(10) unsigned NOT NULL,
  `linkId` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `UNIQ_784CAF87AEC98E42` (`linkId`),
  CONSTRAINT `FK_45784CAF87AEC98E42` FOREIGN KEY (`linkId`) REFERENCES `xc_capost_return_links` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_capost_return_link_storage`
--

LOCK TABLES `xc_capost_return_link_storage` WRITE;
/*!40000 ALTER TABLE `xc_capost_return_link_storage` DISABLE KEYS */;
/*!40000 ALTER TABLE `xc_capost_return_link_storage` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_capost_return_links`
--

DROP TABLE IF EXISTS `xc_capost_return_links`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_capost_return_links` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `rel` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `href` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `idx` int(11) DEFAULT NULL,
  `mediaType` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `returnId` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `IDX_4533BC6A621B43D59E` (`returnId`),
  CONSTRAINT `FK_4533BC6A621B43D59E` FOREIGN KEY (`returnId`) REFERENCES `xc_capost_returns` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_capost_return_links`
--

LOCK TABLES `xc_capost_return_links` WRITE;
/*!40000 ALTER TABLE `xc_capost_return_links` DISABLE KEYS */;
/*!40000 ALTER TABLE `xc_capost_return_links` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_capost_returns`
--

DROP TABLE IF EXISTS `xc_capost_returns`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_capost_returns` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `status` char(2) COLLATE utf8_unicode_ci NOT NULL,
  `date` int(10) unsigned NOT NULL,
  `lastRenewDate` int(11) NOT NULL,
  `notes` longtext COLLATE utf8_unicode_ci NOT NULL,
  `adminNotes` longtext COLLATE utf8_unicode_ci NOT NULL,
  `trackingPin` varchar(16) COLLATE utf8_unicode_ci DEFAULT NULL,
  `orderId` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `IDX_45A90646B3FA237437` (`orderId`),
  KEY `date` (`date`),
  KEY `status` (`status`),
  CONSTRAINT `FK_45A90646B3FA237437` FOREIGN KEY (`orderId`) REFERENCES `xc_orders` (`order_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_capost_returns`
--

LOCK TABLES `xc_capost_returns` WRITE;
/*!40000 ALTER TABLE `xc_capost_returns` DISABLE KEYS */;
/*!40000 ALTER TABLE `xc_capost_returns` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_categories`
--

DROP TABLE IF EXISTS `xc_categories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_categories` (
  `category_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `parent_id` int(10) unsigned DEFAULT NULL,
  `ogMeta` longtext COLLATE utf8_unicode_ci NOT NULL,
  `useCustomOG` tinyint(1) NOT NULL,
  `demo` tinyint(1) NOT NULL,
  `useClasses` char(1) COLLATE utf8_unicode_ci NOT NULL,
  `lpos` int(11) NOT NULL,
  `rpos` int(11) NOT NULL,
  `enabled` tinyint(1) NOT NULL,
  `show_title` tinyint(1) NOT NULL,
  `depth` int(11) NOT NULL,
  `pos` int(11) NOT NULL,
  `root_category_look` varchar(32) COLLATE utf8_unicode_ci DEFAULT NULL,
  `metaDescType` varchar(1) COLLATE utf8_unicode_ci NOT NULL,
  `xcPendingExport` tinyint(1) NOT NULL,
  PRIMARY KEY (`category_id`),
  KEY `IDX_459D0DF19B727ACA70` (`parent_id`),
  KEY `lpos` (`lpos`),
  KEY `rpos` (`rpos`),
  KEY `enabled` (`enabled`),
  CONSTRAINT `FK_459D0DF19B727ACA70` FOREIGN KEY (`parent_id`) REFERENCES `xc_categories` (`category_id`) ON DELETE SET NULL
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_categories`
--

LOCK TABLES `xc_categories` WRITE;
/*!40000 ALTER TABLE `xc_categories` DISABLE KEYS */;
INSERT INTO `xc_categories` VALUES (1,NULL,'',0,0,'A',1,16,1,0,-1,0,'icons','A',0),(2,1,'',0,1,'A',2,3,1,1,0,30,NULL,'A',0),(3,1,'',0,1,'A',4,5,0,1,0,20,NULL,'A',0),(4,1,'',0,1,'A',6,7,1,1,0,10,NULL,'A',0),(5,1,'',0,1,'A',8,15,1,1,0,40,NULL,'A',0),(6,5,'',0,1,'A',9,10,1,1,1,10,NULL,'A',0),(7,5,'',0,1,'A',11,12,1,1,1,20,NULL,'A',0),(8,5,'',0,1,'A',13,14,1,1,1,30,NULL,'A',0);
/*!40000 ALTER TABLE `xc_categories` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_category_banners`
--

DROP TABLE IF EXISTS `xc_category_banners`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_category_banners` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `category_id` int(10) unsigned DEFAULT NULL,
  `alt` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `width` int(11) NOT NULL,
  `height` int(11) NOT NULL,
  `hash` char(32) COLLATE utf8_unicode_ci DEFAULT NULL,
  `needProcess` tinyint(1) NOT NULL,
  `path` varchar(512) COLLATE utf8_unicode_ci NOT NULL,
  `fileName` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `mime` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `storageType` varchar(1) COLLATE utf8_unicode_ci NOT NULL,
  `size` int(10) unsigned NOT NULL,
  `date` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `UNIQ_69B8F0D412469DE2` (`category_id`),
  CONSTRAINT `FK_4569B8F0D412469DE2` FOREIGN KEY (`category_id`) REFERENCES `xc_categories` (`category_id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_category_banners`
--

LOCK TABLES `xc_category_banners` WRITE;
/*!40000 ALTER TABLE `xc_category_banners` DISABLE KEYS */;
INSERT INTO `xc_category_banners` VALUES (1,2,'',2720,800,NULL,1,'banner_igoods_clean.jpg','','image/jpeg','r',125253,1394109447),(2,3,'',2720,800,NULL,1,'banner_igoods_clean.jpg','','image/jpeg','r',125253,1394109447),(3,4,'',2720,800,NULL,1,'banner_apparel_clean.jpg','','image/jpeg','r',122998,1394109447),(4,5,'',2720,800,NULL,1,'banner_toys_clean.jpg','','image/jpeg','r',124298,1394109447);
/*!40000 ALTER TABLE `xc_category_banners` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_category_class_links`
--

DROP TABLE IF EXISTS `xc_category_class_links`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_category_class_links` (
  `category_id` int(10) unsigned NOT NULL,
  `class_id` int(10) unsigned NOT NULL,
  PRIMARY KEY (`category_id`,`class_id`),
  KEY `IDX_453F5DB31312469DE2` (`category_id`),
  KEY `IDX_453F5DB313EA000B10` (`class_id`),
  CONSTRAINT `FK_453F5DB31312469DE2` FOREIGN KEY (`category_id`) REFERENCES `xc_categories` (`category_id`) ON DELETE CASCADE,
  CONSTRAINT `FK_453F5DB313EA000B10` FOREIGN KEY (`class_id`) REFERENCES `xc_product_classes` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_category_class_links`
--

LOCK TABLES `xc_category_class_links` WRITE;
/*!40000 ALTER TABLE `xc_category_class_links` DISABLE KEYS */;
/*!40000 ALTER TABLE `xc_category_class_links` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_category_images`
--

DROP TABLE IF EXISTS `xc_category_images`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_category_images` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `category_id` int(10) unsigned DEFAULT NULL,
  `alt` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `width` int(11) NOT NULL,
  `height` int(11) NOT NULL,
  `hash` char(32) COLLATE utf8_unicode_ci DEFAULT NULL,
  `needProcess` tinyint(1) NOT NULL,
  `path` varchar(512) COLLATE utf8_unicode_ci NOT NULL,
  `fileName` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `mime` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `storageType` varchar(1) COLLATE utf8_unicode_ci NOT NULL,
  `size` int(10) unsigned NOT NULL,
  `date` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `UNIQ_3EDA5C4B12469DE2` (`category_id`),
  CONSTRAINT `FK_453EDA5C4B12469DE2` FOREIGN KEY (`category_id`) REFERENCES `xc_categories` (`category_id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_category_images`
--

LOCK TABLES `xc_category_images` WRITE;
/*!40000 ALTER TABLE `xc_category_images` DISABLE KEYS */;
INSERT INTO `xc_category_images` VALUES (1,2,'',434,555,NULL,1,'igoods.png','','image/png','r',265767,1394109447),(2,3,'',434,555,NULL,1,'igoods.png','','image/png','r',265767,1394109447),(3,4,'',600,640,NULL,1,'1814_star_trek_command_cycle_jersey.jpeg','','image/jpeg','r',56283,1278412215),(4,5,'',600,590,NULL,1,'ijrm_back_to_the_future_vinyl_idols.png','','image/png','r',276157,1537174034),(5,6,'',600,590,NULL,1,'ijrm_back_to_the_future_vinyl_idols.png','','image/png','r',276157,1537174034),(6,7,'',600,481,NULL,1,'ivvg_beer_briefcase_1.jpeg','','image/jpeg','r',54394,1537174034),(7,8,'',600,600,NULL,1,'17f0_3d_bmo_mug_1.jpeg','','image/jpeg','r',38929,1537174035);
/*!40000 ALTER TABLE `xc_category_images` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_category_membership_links`
--

DROP TABLE IF EXISTS `xc_category_membership_links`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_category_membership_links` (
  `category_id` int(10) unsigned NOT NULL,
  `membership_id` int(10) unsigned NOT NULL,
  PRIMARY KEY (`category_id`,`membership_id`),
  KEY `IDX_45A0AA75DD12469DE2` (`category_id`),
  KEY `IDX_45A0AA75DD1FB354CD` (`membership_id`),
  CONSTRAINT `FK_45A0AA75DD12469DE2` FOREIGN KEY (`category_id`) REFERENCES `xc_categories` (`category_id`) ON DELETE CASCADE,
  CONSTRAINT `FK_45A0AA75DD1FB354CD` FOREIGN KEY (`membership_id`) REFERENCES `xc_memberships` (`membership_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_category_membership_links`
--

LOCK TABLES `xc_category_membership_links` WRITE;
/*!40000 ALTER TABLE `xc_category_membership_links` DISABLE KEYS */;
/*!40000 ALTER TABLE `xc_category_membership_links` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_category_products`
--

DROP TABLE IF EXISTS `xc_category_products`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_category_products` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `category_id` int(10) unsigned DEFAULT NULL,
  `product_id` int(10) unsigned DEFAULT NULL,
  `orderby` int(11) NOT NULL,
  `orderbyInProduct` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `pair` (`category_id`,`product_id`),
  KEY `IDX_457121122812469DE2` (`category_id`),
  KEY `IDX_45712112284584665A` (`product_id`),
  KEY `orderby` (`orderby`),
  KEY `orderbyInProduct` (`orderbyInProduct`),
  CONSTRAINT `FK_457121122812469DE2` FOREIGN KEY (`category_id`) REFERENCES `xc_categories` (`category_id`) ON DELETE CASCADE,
  CONSTRAINT `FK_45712112284584665A` FOREIGN KEY (`product_id`) REFERENCES `xc_products` (`product_id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=43 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_category_products`
--

LOCK TABLES `xc_category_products` WRITE;
/*!40000 ALTER TABLE `xc_category_products` DISABLE KEYS */;
INSERT INTO `xc_category_products` VALUES (1,2,37,10,0),(2,2,41,20,0),(3,2,42,30,0),(4,3,39,10,0),(5,3,36,20,0),(6,3,34,30,0),(7,3,32,40,0),(8,3,31,50,0),(9,3,29,60,0),(10,3,28,70,0),(11,3,33,80,0),(12,3,35,90,0),(13,3,30,100,0),(14,3,40,110,0),(15,3,38,120,0),(16,4,1,0,0),(17,4,9,0,0),(18,4,8,0,0),(19,4,7,0,0),(20,4,6,0,0),(21,4,5,0,0),(22,4,4,0,0),(23,4,3,0,0),(24,4,2,0,0),(25,4,10,0,0),(26,6,11,0,0),(27,6,12,0,0),(28,6,13,0,0),(29,6,14,0,0),(30,6,15,0,0),(31,6,16,0,0),(32,6,17,0,0),(33,6,18,0,0),(34,7,19,0,0),(35,7,20,0,0),(36,7,21,0,0),(37,7,22,0,0),(38,7,23,0,0),(39,7,24,0,0),(40,8,25,0,0),(41,8,26,0,0),(42,8,27,0,0);
/*!40000 ALTER TABLE `xc_category_products` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_category_quick_flags`
--

DROP TABLE IF EXISTS `xc_category_quick_flags`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_category_quick_flags` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `category_id` int(10) unsigned DEFAULT NULL,
  `subcategories_count_all` int(11) NOT NULL,
  `subcategories_count_enabled` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `UNIQ_5BA9C50312469DE2` (`category_id`),
  CONSTRAINT `FK_455BA9C50312469DE2` FOREIGN KEY (`category_id`) REFERENCES `xc_categories` (`category_id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_category_quick_flags`
--

LOCK TABLES `xc_category_quick_flags` WRITE;
/*!40000 ALTER TABLE `xc_category_quick_flags` DISABLE KEYS */;
INSERT INTO `xc_category_quick_flags` VALUES (1,1,4,3),(2,2,0,0),(3,3,0,0),(4,4,0,0),(5,5,3,3),(6,6,0,0),(7,7,0,0),(8,8,0,0);
/*!40000 ALTER TABLE `xc_category_quick_flags` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_category_translations`
--

DROP TABLE IF EXISTS `xc_category_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_category_translations` (
  `label_id` int(11) NOT NULL AUTO_INCREMENT,
  `id` int(10) unsigned DEFAULT NULL,
  `name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `description` longtext COLLATE utf8_unicode_ci NOT NULL,
  `metaTags` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `metaDesc` longtext COLLATE utf8_unicode_ci NOT NULL,
  `metaTitle` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `code` char(2) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`label_id`),
  KEY `ci` (`code`,`id`),
  KEY `id` (`id`),
  CONSTRAINT `FK_459ED79EA5BF396750` FOREIGN KEY (`id`) REFERENCES `xc_categories` (`category_id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_category_translations`
--

LOCK TABLES `xc_category_translations` WRITE;
/*!40000 ALTER TABLE `xc_category_translations` DISABLE KEYS */;
INSERT INTO `xc_category_translations` VALUES (1,1,'Catalog','<h1>Welcome to X-Cart Demo Store!</h1><p>It illustrates operation and features of X-Cart - all-in-one eCommerce solution for swift and easy launch of a professional online store. Orders placed here cannot be fulfilled as all the sample products listed in this store are for demonstration and testing purposes only.</p>','','','','en'),(2,2,'iGoods - Product Filter','','','','','en'),(3,3,'Electronics','','','','','en'),(4,4,'Apparel','','','','','en'),(5,5,'Toys','','','','','en'),(6,6,'Geek toys','','','','','en'),(7,7,'Office Pranks','','','','','en'),(8,8,'Home & office','','','','','en');
/*!40000 ALTER TABLE `xc_category_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_clean_urls`
--

DROP TABLE IF EXISTS `xc_clean_urls`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_clean_urls` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `page_id` int(10) unsigned DEFAULT NULL,
  `news_message_id` int(10) unsigned DEFAULT NULL,
  `product_id` int(10) unsigned DEFAULT NULL,
  `category_id` int(10) unsigned DEFAULT NULL,
  `cleanURL` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `IDX_45F2542545C4663E4` (`page_id`),
  KEY `IDX_45F2542545BF05C450` (`news_message_id`),
  KEY `IDX_45F25425454584665A` (`product_id`),
  KEY `IDX_45F254254512469DE2` (`category_id`),
  KEY `cleanURL` (`cleanURL`),
  CONSTRAINT `FK_45F254254512469DE2` FOREIGN KEY (`category_id`) REFERENCES `xc_categories` (`category_id`) ON DELETE CASCADE,
  CONSTRAINT `FK_45F25425454584665A` FOREIGN KEY (`product_id`) REFERENCES `xc_products` (`product_id`) ON DELETE CASCADE,
  CONSTRAINT `FK_45F2542545BF05C450` FOREIGN KEY (`news_message_id`) REFERENCES `xc_news` (`id`) ON DELETE CASCADE,
  CONSTRAINT `FK_45F2542545C4663E4` FOREIGN KEY (`page_id`) REFERENCES `xc_pages` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=53 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_clean_urls`
--

LOCK TABLES `xc_clean_urls` WRITE;
/*!40000 ALTER TABLE `xc_clean_urls` DISABLE KEYS */;
INSERT INTO `xc_clean_urls` VALUES (1,1,NULL,NULL,NULL,'terms-and-conditions.html'),(2,2,NULL,NULL,NULL,'shipping.html'),(3,NULL,NULL,1,NULL,'mordorable-fitted-ladies-tee.html'),(4,NULL,NULL,2,NULL,'octopus-cardigan.html'),(5,NULL,NULL,3,NULL,'spiderman-selfie-ladies-tee.html'),(6,NULL,NULL,4,NULL,'star-wars-tissue-weight-fitted-ladies-tee.html'),(7,NULL,NULL,5,NULL,'wonder-woman-hockey-stripe-ladies-tee.html'),(8,NULL,NULL,6,NULL,'star-trek-command-cycle-jersey.html'),(9,NULL,NULL,7,NULL,'star-trek-uniform-polos.html'),(10,NULL,NULL,8,NULL,'bow-ties-are-cool.html'),(11,NULL,NULL,9,NULL,'star-trek-tng-uniform-tee.html'),(12,NULL,NULL,10,NULL,'ewok-ladies-hooded-tank-top.html'),(13,NULL,NULL,11,NULL,'dota-2-series-3-micro-plush-blind-box.html'),(14,NULL,NULL,12,NULL,'minions-pop-vinyl-figures.html'),(15,NULL,NULL,13,NULL,'vinyl-idolz-ghostbusters.html'),(16,NULL,NULL,14,NULL,'dota-2-sniper-plush.html'),(17,NULL,NULL,15,NULL,'soft-kitty-singing-plush.html'),(18,NULL,NULL,16,NULL,'avengers-age-of-ultron-fabrikations-plush.html'),(19,NULL,NULL,17,NULL,'ollie-the-app-controlled-robot.html'),(20,NULL,NULL,18,NULL,'powerup-r-3-0-smartphone-controlled-paper-airplane.html'),(21,NULL,NULL,19,NULL,'chocolate-covered-edible-bugs-gift-pack.html'),(22,NULL,NULL,20,NULL,'canned-unicorn-meat.html'),(23,NULL,NULL,21,NULL,'the-thinkgeek-annoy-a-tron.html'),(24,NULL,NULL,22,NULL,'legendary-hero-8-bit-heart-bouquet.html'),(25,NULL,NULL,23,NULL,'executive-building-brick-set-chrome-.html'),(26,NULL,NULL,24,NULL,'blizzard-diablo-goblin-bank-with-sound.html'),(27,NULL,NULL,25,NULL,'ghostbusters-stay-puft-marshmallow-face-mug.html'),(28,NULL,NULL,26,NULL,'build-on-brick-mug.html'),(29,NULL,NULL,27,NULL,'superhero-mom-mug.html'),(30,NULL,NULL,28,NULL,'olloclip-iphone-macro-3-in-1-lens-system.html'),(31,NULL,NULL,29,NULL,'gunnar-vayper-gaming-glasses.html'),(32,NULL,NULL,30,NULL,'astro-a50-halo-edition.html'),(33,NULL,NULL,31,NULL,'cup-of-mojo-bluetooth-speaker.html'),(34,NULL,NULL,32,NULL,'jbl-pebbles-pc-speakers.html'),(35,NULL,NULL,33,NULL,'bright-idea-usb-powered-light-bulb.html'),(36,NULL,NULL,34,NULL,'mj-technology-android-tablet-with-built-in-hdtv-tuner.html'),(37,NULL,NULL,35,NULL,'bactrack-vio-bluetooth-app-enabled-breathalyzer.html'),(38,NULL,NULL,36,NULL,'coffee-cup-power-inverter-v2-0.html'),(39,NULL,NULL,37,NULL,'apple-iphone-6-16gb.html'),(40,NULL,NULL,38,NULL,'canon-ef-24-105mm-f-4l-is-usm.html'),(41,NULL,NULL,39,NULL,'apple-watch-sport-42mm-with-sport-band.html'),(42,NULL,NULL,40,NULL,'astro-a30-system.html'),(43,NULL,NULL,41,NULL,'apple-iphone-6-plus-options-amp-attributes-.html'),(44,NULL,NULL,42,NULL,'apple-iphone-5s.html'),(45,NULL,NULL,NULL,1,'catalog'),(46,NULL,NULL,NULL,2,'igoods'),(47,NULL,NULL,NULL,3,'electronics'),(48,NULL,NULL,NULL,4,'apparel'),(49,NULL,NULL,NULL,5,'toys'),(50,NULL,NULL,NULL,6,'geek-toys'),(51,NULL,NULL,NULL,7,'office-pranks-and-cube-warfare'),(52,NULL,NULL,NULL,8,'home-and-office');
/*!40000 ALTER TABLE `xc_clean_urls` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_config`
--

DROP TABLE IF EXISTS `xc_config`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_config` (
  `config_id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(32) COLLATE utf8_unicode_ci NOT NULL,
  `category` varchar(64) COLLATE utf8_unicode_ci NOT NULL,
  `type` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `orderby` int(11) NOT NULL,
  `value` longtext COLLATE utf8_unicode_ci NOT NULL,
  `widgetParameters` longtext COLLATE utf8_unicode_ci COMMENT '(DC2Type:array)',
  PRIMARY KEY (`config_id`),
  UNIQUE KEY `nc` (`name`,`category`),
  KEY `orderby` (`orderby`),
  KEY `type` (`type`)
) ENGINE=InnoDB AUTO_INCREMENT=451 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_config`
--

LOCK TABLES `xc_config` WRITE;
/*!40000 ALTER TABLE `xc_config` DISABLE KEYS */;
INSERT INTO `xc_config` VALUES (1,'admin_presentation','General','separator',40000,'','N;'),(2,'admin_security','Security','checkbox',1000,'N','N;'),(3,'anonymous','Shipping','separator',3000,'','N;'),(4,'anonymous_address','Shipping','text',4000,'','N;'),(5,'anonymous_country','Shipping','country',5000,'US','N;'),(6,'anonymous_state','Shipping','state',6000,'562','a:1:{s:9:\"selectOne\";b:1;}'),(7,'anonymous_custom_state','Shipping','text',7000,'','N;'),(8,'anonymous_city','Shipping','text',8000,'Los Angeles','N;'),(9,'anonymous_zipcode','Shipping','text',9000,'90001','N;'),(10,'anonymous_address_type','Shipping','\\XLite\\View\\FormField\\Select\\AddressType',10000,'R','N;'),(11,'aggregate_css','Performance','XLite\\View\\FormField\\Input\\Checkbox\\OnOff',2000,'Y','N;'),(12,'aggregate_js','Performance','XLite\\View\\FormField\\Input\\Checkbox\\OnOff',3000,'Y','N;'),(13,'use_view_cache','Performance','XLite\\View\\FormField\\Input\\Checkbox\\OnOff',4000,'Y','N;'),(14,'use_dynamic_image_resizing','Performance','hidden',5000,'','N;'),(15,'use_lazy_load','Performance','hidden',5200,'','N;'),(16,'unsharp_mask_filter_on_resize','Performance','hidden',5100,'','N;'),(17,'layout_type','Layout','XLite\\View\\FormField\\Select\\LayoutType',1000,'left','N;'),(18,'layout_type_home','Layout','XLite\\View\\FormField\\Select\\LayoutType',1010,'one','N;'),(19,'cli_key','Security','',11000,'','N;'),(20,'company_address','Company','separator',38500,'','N;'),(21,'company_contacts','Company','separator',45500,'','N;'),(22,'company_fax','Company','XLite\\View\\FormField\\Input\\Text\\Phone',42000,'','N;'),(23,'company_identity','Company','separator',35000,'','N;'),(24,'company_name','Company','text',36000,'*Your company name*','N;'),(25,'company_website','Company','text',37000,'','N;'),(26,'terms_url','General','text',38000,'terms-and-conditions.html','N;'),(27,'customer_presentation','General','separator',20000,'','N;'),(28,'customer_security','Security','checkbox',100,'N','N;'),(29,'date_format','Units','XLite\\View\\FormField\\Select\\DateFormat',66000,'%b %e, %Y','N;'),(30,'week_start','Units','XLite\\View\\FormField\\Select\\DayOfWeek',67000,'sun','N;'),(31,'csv_delim','Units','XLite\\View\\FormField\\Select\\CSVDelimiter',70000,',','N;'),(32,'export_import_charset','Units','XLite\\View\\FormField\\Select\\IconvCharset',72500,'UTF-8','N;'),(33,'default_language','General','',33000,'en','N;'),(34,'default_admin_language','General','',33500,'en','N;'),(35,'default_offline_payment','Payments','text',0,'','N;'),(36,'default_purchase_limit','General','XLite\\View\\FormField\\Input\\Text\\Integer',29300,'9999','a:1:{s:3:\"min\";i:1;}'),(37,'default_select_payment','Payments','text',0,'','N;'),(38,'display_check_number','General','checkbox',21500,'Y','N;'),(39,'show_out_of_stock_products','General','XLite\\View\\FormField\\Select\\ShowOutOfStockProducts',20000,'directLink','N;'),(40,'default_prod_display_mode','General','XLite\\View\\FormField\\Select\\DefaultDisplayModeForProductsList',25000,'grid','N;'),(41,'license','License','text',0,'','N;'),(42,'location_address','Company','text',39000,'*Your company address*','N;'),(43,'location_country','Company','country',40000,'US','a:2:{s:9:\"selectOne\";b:0;s:3:\"all\";b:1;}'),(44,'location_state','Company','state',41000,'591','N;'),(45,'location_custom_state','Company','text',41500,'','N;'),(46,'location_city','Company','text',42000,'New York','N;'),(47,'location_zipcode','Company','text',43000,'10001','N;'),(48,'origin_use_company','Company','checkbox',38000,'1','N;'),(49,'origin_address','Company','text',39000,'','N;'),(50,'origin_country','Company','country',40000,'US','a:2:{s:9:\"selectOne\";b:0;s:3:\"all\";b:1;}'),(51,'origin_state','Company','state',41000,'','N;'),(52,'origin_custom_state','Company','text',41500,'','N;'),(53,'origin_city','Company','text',42000,'','N;'),(54,'origin_zipcode','Company','text',43000,'','N;'),(55,'company_phone','Company','text',44000,'(555) 555-5555','N;'),(56,'login_lifetime','General','XLite\\View\\FormField\\Input\\Text\\Integer',45000,'3','a:1:{s:3:\"min\";i:1;}'),(57,'maximal_order_amount','General','XLite\\View\\FormField\\Input\\Text\\FloatInput',29000,'99999','a:1:{s:3:\"min\";i:1;}'),(58,'minimal_order_amount','General','XLite\\View\\FormField\\Input\\Text\\FloatInput',28000,'0','a:1:{s:3:\"min\";i:0;}'),(59,'order_number_counter','General','XLite\\View\\FormField\\Input\\Text\\Integer',39000,'6','N;'),(60,'cart_ttl','General','XLite\\View\\FormField\\Input\\Text\\Integer',39500,'7','N;'),(61,'internal_cron_enabled','General','checkbox',39800,'Y','N;'),(62,'orders_department','Company','XLite\\View\\FormField\\Select\\MultipleEmails',48000,'a:1:{i:0;s:17:\"nogard@x-cart.com\";}','N;'),(63,'orders_per_page','General','XLite\\View\\FormField\\Input\\Text\\Integer',43000,'30','a:1:{s:3:\"min\";i:1;}'),(64,'products_per_page','General','XLite\\View\\FormField\\Input\\Text\\Integer',25000,'12','a:1:{s:3:\"min\";i:1;}'),(65,'products_per_page_max','General','XLite\\View\\FormField\\Input\\Text\\Integer',25000,'100','a:1:{s:3:\"min\";i:1;}'),(66,'products_per_page_admin','General','XLite\\View\\FormField\\Input\\Text\\Integer',41000,'10','a:1:{s:3:\"min\";i:1;}'),(67,'force_choose_product_options','General','XLite\\View\\FormField\\Select\\ForceProductOptions',29900,'','N;'),(68,'redirect_to_cart','General','checkbox',30000,'N','N;'),(69,'shop_closed','Internal','checkbox',11000,'Y','N;'),(70,'shop_currency','General','',60500,'840','N;'),(71,'trailing_zeroes','General','',60500,'0','N;'),(72,'site_administrator','Company','XLite\\View\\FormField\\Select\\MultipleEmails',46000,'a:1:{i:0;s:17:\"nogard@x-cart.com\";}','N;'),(73,'smtp_password','Email','XLite\\View\\FormField\\Input\\PasswordWithValue',16000,'','N;'),(74,'smtp_security','Email','XLite\\View\\FormField\\Select\\SMTPSecurity',17000,'no','N;'),(75,'smtp_server_port','Email','XLite\\View\\FormField\\Input\\Text\\Integer',13000,'25','a:2:{s:3:\"min\";i:0;s:3:\"max\";i:65535;}'),(76,'smtp_server_url','Email','text',12000,'','N;'),(77,'smtp_username','Email','text',15000,'','N;'),(78,'start_year','Company','XLite\\View\\FormField\\Input\\Text\\PastYear',38000,'2018','N;'),(79,'subcategories_look','General','XLite\\View\\FormField\\Select\\SubcategoriesLook',22000,'icons','N;'),(80,'default_products_sort_order','General','XLite\\View\\FormField\\Select\\DefaultProductSortOrder',22500,'default','N;'),(81,'default_search_sort_order','General','XLite\\View\\FormField\\Select\\DefaultProductSortOrder',22501,'default','N;'),(82,'support_department','Company','XLite\\View\\FormField\\Select\\MultipleEmails',49000,'a:1:{i:0;s:17:\"nogard@x-cart.com\";}','N;'),(83,'time_format','Units','XLite\\View\\FormField\\Select\\TimeFormat',67000,'%H:%M','N;'),(84,'time_zone','Units','XLite\\View\\FormField\\Select\\TimeZone',68000,'America/Denver','N;'),(85,'users_department','Company','XLite\\View\\FormField\\Select\\MultipleEmails',47000,'a:1:{i:0;s:17:\"nogard@x-cart.com\";}','N;'),(86,'users_per_page','General','XLite\\View\\FormField\\Input\\Text\\Integer',42000,'30','a:1:{s:3:\"min\";i:1;}'),(87,'mail_from_type','Email','XLite\\View\\FormField\\Select\\EmailFrom',10500,'contact','N;'),(88,'mail_from_manual','Email','\\XLite\\View\\FormField\\Input\\Text\\EmailFromManual',10600,'','a:1:{s:8:\"required\";b:1;}'),(89,'use_smtp','Email','\\XLite\\View\\FormField\\Input\\Checkbox\\UseSmtp',11000,'','N;'),(90,'use_smtp_auth','Email','XLite\\View\\FormField\\Input\\Checkbox\\OnOff',14000,'','N;'),(91,'version','Version','',0,'5.3.5.5','N;'),(92,'weight_symbol','Units','text',62000,'lbs','N;'),(93,'weight_unit','Units','XLite\\View\\FormField\\Select\\WeightUnit',61000,'lbs','N;'),(94,'weight_trailing_zeroes','Units','checkbox',62100,'Y','N;'),(95,'weight_format','Units','XLite\\View\\FormField\\Select\\FloatFormat',62200,'|.','N;'),(96,'dim_symbol','Units','text',62500,'in','N;'),(97,'dim_unit','Units','XLite\\View\\FormField\\Select\\DimUnit',62300,'in','N;'),(98,'curl_cainfo','Environment','text',11000,'','N;'),(99,'curl_capath','Environment','text',12000,'','N;'),(100,'force_login_before_checkout','General','checkbox',30500,'Y','N;'),(101,'enable_add2cart_button_grid','General','checkbox',30100,'Y','N;'),(102,'requires_shipping_default','General','',0,'1','N;'),(103,'clean_url_flag','CleanURL','XLite\\View\\FormField\\Input\\Checkbox\\CleanUrl',1000,'1','N;'),(104,'general_options','CleanURL','separator',10000,'','N;'),(105,'default_site_title','CleanURL','XLite\\View\\FormField\\Label\\TranslationLabel',11000,'default-site-title','N;'),(106,'default_site_meta_description','CleanURL','XLite\\View\\FormField\\Label\\TranslationLabel',12000,'default-meta-description','N;'),(107,'default_site_meta_keywords','CleanURL','XLite\\View\\FormField\\Label\\TranslationLabel',13000,'default-meta-keywords','N;'),(108,'home_page_title_and_meta','CleanURL','XLite\\View\\FormField\\CleanUrls\\FrontPage',14000,'','N;'),(109,'page_title_format','CleanURL','XLite\\View\\FormField\\CleanUrls\\PageTitleFormat',15000,'','N;'),(110,'company_name','CleanURL','XLite\\View\\FormField\\Input\\Checkbox\\OnOff',15100,'1','N;'),(111,'parent_category_path','CleanURL','XLite\\View\\FormField\\Input\\Checkbox\\OnOff',15200,'1','N;'),(112,'object_name','CleanURL','XLite\\View\\FormField\\Input\\Checkbox\\OnOffReadOnly',15300,'1','N;'),(113,'object_name_in_page_title_order','CleanURL','XLite\\View\\FormField\\Input\\Checkbox\\FirstLast',16000,'0','N;'),(114,'clean_urls_about','CleanURL','separator',20000,'','N;'),(115,'about_widget','CleanURL','XLite\\View\\FormField\\CleanUrls\\AboutCleanUrls',21000,'','N;'),(116,'allow_membership_request','General','checkbox',39900,'N','N;'),(117,'upgrade_wave_sep','Environment','separator',20000,'','N;'),(118,'upgrade_wave','Environment','XLite\\View\\FormField\\Select\\UpgradeWave',21000,'','N;'),(119,'quick_data_rebuilding','CacheManagement','checkbox',10000,'N','N;'),(120,'fields_settings_section','Email','separator',1000,'','N;'),(121,'reply_to_customer','Email','\\XLite\\View\\FormField\\Label\\ReplyToCustomer',10700,'','N;'),(122,'reply_to_admin','Email','\\XLite\\View\\FormField\\Label\\ReplyToAdmin',10800,'','N;'),(123,'smtp_section','Email','\\XLite\\View\\FormField\\Separator\\Regular',10950,'','N;'),(124,'enabled','BannerRotation','XLite\\View\\FormField\\Input\\Checkbox\\OnOff',10000,'1','N;'),(125,'interval','BannerRotation','XLite\\View\\FormField\\Input\\Text\\FloatInput',30000,'5','N;'),(126,'attach_pdf_invoices','NotificationAttachments','XLite\\View\\FormField\\Input\\Checkbox\\OnOff',10000,'0','N;'),(127,'contact_us_comment','Company','XLite\\View\\FormField\\ContactUsComment',49500,'','N;'),(128,'deliverability_check','Company','XLite\\View\\FormField\\DeliverabilityCheck',49400,'','N;'),(129,'enable_form','CDev\\ContactUs','XLite\\View\\FormField\\Input\\Checkbox\\YesNo',100,'1','N;'),(130,'email','CDev\\ContactUs','XLite\\View\\FormField\\Input\\Text\\Email',200,'','N;'),(131,'showEmail','CDev\\ContactUs','XLite\\View\\FormField\\Input\\Checkbox\\YesNo',300,'1','N;'),(132,'contact_us_sep_1','CDev\\ContactUs','separator',1000,'','N;'),(133,'recaptcha_public_key','CDev\\ContactUs','text',1100,'','N;'),(134,'recaptcha_private_key','CDev\\ContactUs','text',1200,'','N;'),(135,'number_of_bestsellers','CDev\\Bestsellers','XLite\\View\\FormField\\Input\\Text\\Integer',115,'4','a:1:{s:3:\"min\";i:1;}'),(136,'ttl','CDev\\Egoods','XLite\\View\\FormField\\Input\\Text\\Integer',100,'3','a:1:{s:3:\"min\";i:0;}'),(137,'attempts_limit','CDev\\Egoods','XLite\\View\\FormField\\Input\\Text\\Integer',200,'3','a:1:{s:3:\"min\";i:0;}'),(138,'enable_history','CDev\\Egoods','XLite\\View\\FormField\\Input\\Checkbox\\YesNo',300,'1','N;'),(139,'esd_fullfilment','CDev\\Egoods','XLite\\View\\FormField\\Input\\Checkbox\\YesNo',400,'','N;'),(140,'approve_before_download','CDev\\Egoods','XLite\\View\\FormField\\Input\\Checkbox\\YesNo',500,'','N;'),(141,'sendfile_info','CDev\\Egoods','XLite\\Module\\CDev\\Egoods\\View\\FormField\\Label\\Sendfile',600,'','N;'),(142,'amazon_separator','CDev\\Egoods','separator',1000,'0','N;'),(143,'enable_signed_urls','CDev\\Egoods','XLite\\View\\FormField\\Input\\Checkbox\\YesNo',1100,'0','N;'),(144,'amazon_access','CDev\\Egoods','XLite\\View\\FormField\\Input\\Text',1200,'','N;'),(145,'amazon_secret','CDev\\Egoods','XLite\\View\\FormField\\Input\\Text',1300,'','N;'),(146,'bucket','CDev\\Egoods','XLite\\View\\FormField\\Input\\Text',1400,'','N;'),(147,'bucket_region','CDev\\Egoods','hidden',1500,'','N;'),(148,'featured_products_look','CDev\\FeaturedProducts','XLite\\Module\\CDev\\FeaturedProducts\\View\\FormField\\FeaturedProductsLook',10,'grid','N;'),(149,'key','CDev\\FedEx','XLite\\View\\FormField\\Input\\Text',10,'','N;'),(150,'password','CDev\\FedEx','XLite\\View\\FormField\\Input\\PasswordWithValue',20,'','N;'),(151,'account_number','CDev\\FedEx','XLite\\View\\FormField\\Input\\Text',30,'','N;'),(152,'meter_number','CDev\\FedEx','XLite\\View\\FormField\\Input\\Text',40,'','N;'),(153,'test_mode','CDev\\FedEx','XLite\\View\\FormField\\Input\\Checkbox\\OnOffWithoutOffLabel',50,'','N;'),(154,'debug_enabled','CDev\\FedEx','XLite\\View\\FormField\\Input\\Checkbox\\OnOffWithoutOffLabel',60,'','N;'),(155,'additionalSettingsSeparator','CDev\\FedEx','separator',100,'','N;'),(156,'carrierTypesSeparator','CDev\\FedEx','separator',200,'','N;'),(157,'fdxe','CDev\\FedEx','XLite\\View\\FormField\\Input\\Checkbox\\OnOffWithoutOffLabel',210,'','N;'),(158,'fdxg','CDev\\FedEx','XLite\\View\\FormField\\Input\\Checkbox\\OnOffWithoutOffLabel',220,'','N;'),(159,'fxsp','CDev\\FedEx','XLite\\View\\FormField\\Input\\Checkbox\\OnOffWithoutOffLabel',230,'','N;'),(160,'fxsp_hub_id','CDev\\FedEx','XLite\\Module\\CDev\\FedEx\\View\\FormField\\Select\\HubId',235,'','N;'),(161,'fxsp_indicia','CDev\\FedEx','XLite\\Module\\CDev\\FedEx\\View\\FormField\\Select\\Indicia',240,'','N;'),(162,'rate_request_type','CDev\\FedEx','XLite\\Module\\CDev\\FedEx\\View\\FormField\\Select\\RateRequestType',300,'NONE','N;'),(163,'packaging','CDev\\FedEx','XLite\\Module\\CDev\\FedEx\\View\\FormField\\Select\\Packaging',310,'','N;'),(164,'dropoff_type','CDev\\FedEx','XLite\\Module\\CDev\\FedEx\\View\\FormField\\Select\\DropOffType',320,'','N;'),(165,'ship_date','CDev\\FedEx','XLite\\Module\\CDev\\FedEx\\View\\FormField\\Select\\ShipDate',330,'0','N;'),(166,'currency_code','CDev\\FedEx','XLite\\Module\\CDev\\FedEx\\View\\FormField\\Select\\CurrencyCode',340,'0','N;'),(167,'currency_rate','CDev\\FedEx','XLite\\View\\FormField\\Input\\Text\\FloatInput',350,'1','N;'),(168,'dimensions','CDev\\FedEx','serialized',360,'a:3:{i:0;i:10;i:1;i:10;i:2;i:10;}','N;'),(169,'max_weight','CDev\\FedEx','XLite\\View\\FormField\\Input\\Text\\FloatInput',370,'70','N;'),(170,'specialServicesSeparator','CDev\\FedEx','separator',400,'','N;'),(171,'dg_accessibility','CDev\\FedEx','XLite\\Module\\CDev\\FedEx\\View\\FormField\\Select\\DangerousGoodsAccessibility',410,'','N;'),(172,'signature','CDev\\FedEx','XLite\\Module\\CDev\\FedEx\\View\\FormField\\Select\\Signature',420,'','N;'),(173,'cacheOnDeliverySeparator','CDev\\FedEx','separator',500,'','N;'),(174,'cod_type','CDev\\FedEx','XLite\\Module\\CDev\\FedEx\\View\\FormField\\Select\\CODType',510,'ANY','N;'),(175,'advancedOptionsSeparator','CDev\\FedEx','separator',600,'','N;'),(176,'opt_saturday_pickup','CDev\\FedEx','XLite\\View\\FormField\\Input\\Checkbox\\OnOffWithoutOffLabel',610,'','N;'),(177,'opt_residential_delivery','CDev\\FedEx','XLite\\View\\FormField\\Input\\Checkbox\\OnOffWithoutOffLabel',620,'','N;'),(178,'send_insured_value','CDev\\FedEx','XLite\\View\\FormField\\Input\\Checkbox\\OnOffWithoutOffLabel',630,'1','N;'),(179,'ga_account','CDev\\GoogleAnalytics','text',100,'','N;'),(180,'ga_tracking_type','CDev\\GoogleAnalytics','XLite\\Module\\CDev\\GoogleAnalytics\\View\\FormField\\Select\\TrackingType',200,'1','N;'),(181,'ga_code_version','CDev\\GoogleAnalytics','XLite\\Module\\CDev\\GoogleAnalytics\\View\\FormField\\Select\\CodeVersion',300,'U','N;'),(182,'ecommerce_enabled','CDev\\GoogleAnalytics','XLite\\View\\FormField\\Input\\Checkbox\\OnOff',400,'1','N;'),(183,'purchase_only_on_paid','CDev\\GoogleAnalytics','XLite\\View\\FormField\\Input\\Checkbox\\OnOff',450,'1','N;'),(184,'debug_mode','CDev\\GoogleAnalytics','XLite\\View\\FormField\\Input\\Checkbox\\OnOff',500,'','N;'),(185,'gosocial_sep_1','CDev\\GoSocial','separator',5000,'','N;'),(186,'fb_app_id','CDev\\GoSocial','text',5100,'','N;'),(187,'fb_app_namespace','CDev\\GoSocial','text',5200,'','N;'),(188,'fb_admins','CDev\\GoSocial','text',5300,'','N;'),(189,'gosocial_sep_6','CDev\\GoSocial','separator',1000,'','N;'),(190,'fb_share_use','CDev\\GoSocial','checkbox',1050,'1','N;'),(191,'gosocial_sep_2','CDev\\GoSocial','separator',1300,'','N;'),(192,'like_settings_warning','CDev\\GoSocial','XLite\\Module\\CDev\\GoSocial\\View\\FormField\\Label\\LikeSettingsWarning',1325,'1','N;'),(193,'fb_like_use','CDev\\GoSocial','checkbox',1350,'','N;'),(194,'fb_like_layout','CDev\\GoSocial','XLite\\Module\\CDev\\GoSocial\\View\\FormField\\Select\\FBLayoutStyle',1400,'button_count','N;'),(195,'fb_like_show_faces','CDev\\GoSocial','checkbox',1420,'1','N;'),(196,'fb_like_verb','CDev\\GoSocial','XLite\\Module\\CDev\\GoSocial\\View\\FormField\\Select\\FBVerbDisplay',1440,'like','N;'),(197,'fb_like_colorscheme','CDev\\GoSocial','XLite\\Module\\CDev\\GoSocial\\View\\FormField\\Select\\FBLikeColorScheme',1460,'light','N;'),(198,'gosocial_sep_21','CDev\\GoSocial','separator',1500,'','N;'),(199,'fb_comments_use','CDev\\GoSocial','checkbox',1600,'1','N;'),(200,'fb_comments_num_posts','CDev\\GoSocial','XLite\\View\\FormField\\Input\\Text\\Integer',1700,'8','a:1:{s:3:\"min\";i:1;}'),(201,'fb_comments_colorscheme','CDev\\GoSocial','XLite\\Module\\CDev\\GoSocial\\View\\FormField\\Select\\FBCommentsColorScheme',1750,'light','N;'),(202,'gosocial_sep_3','CDev\\GoSocial','separator',2000,'','N;'),(203,'tweet_use','CDev\\GoSocial','checkbox',2050,'1','N;'),(204,'tweet_show_count','CDev\\GoSocial','checkbox',2100,'1','N;'),(205,'tweet_via','CDev\\GoSocial','text',2200,'','N;'),(206,'tweet_recommend','CDev\\GoSocial','text',2300,'','N;'),(207,'tweet_hashtag','CDev\\GoSocial','text',2300,'','N;'),(208,'gosocial_sep_4','CDev\\GoSocial','separator',3000,'','N;'),(209,'gplus_use','CDev\\GoSocial','checkbox',3050,'1','N;'),(210,'gplus_page_id','CDev\\GoSocial','text',3100,'','N;'),(211,'gosocial_sep_5','CDev\\GoSocial','separator',4000,'','N;'),(212,'pinterest_use','CDev\\GoSocial','checkbox',4050,'1','N;'),(213,'show_admin_welcome','CDev\\Paypal','checkbox',100,'Y','N;'),(214,'paypalLoginOptions','CDev\\Paypal','\\XLite\\Module\\CDev\\Paypal\\View\\FormField\\Instructions',200,'','N;'),(215,'loginRedirectURLProtocol','CDev\\Paypal','XLite\\Module\\CDev\\Paypal\\View\\FormField\\Select\\Protocol',300,'http','N;'),(216,'loginClientId','CDev\\Paypal','text',400,'','N;'),(217,'loginClientSecret','CDev\\Paypal','text',500,'','N;'),(218,'loginMode','CDev\\Paypal','XLite\\View\\FormField\\Select\\TestLiveMode',600,'test','N;'),(219,'loginScopes','CDev\\Paypal','XLite\\Module\\CDev\\Paypal\\View\\FormField\\Select\\Scopes',700,'a:6:{i:0;s:6:\"openid\";i:1;s:5:\"email\";i:2;s:7:\"profile\";i:3;s:7:\"address\";i:4;s:5:\"phone\";i:5;s:47:\"https://uri.paypal.com/services/expresscheckout\";}','N;'),(220,'esd_fullfilment','CDev\\PINCodes','XLite\\View\\FormField\\Input\\Checkbox\\YesNo',400,'','N;'),(221,'approve_before_download','CDev\\PINCodes','XLite\\View\\FormField\\Input\\Checkbox\\YesNo',500,'','N;'),(222,'sep_product_advisor_na','CDev\\ProductAdvisor','separator',10,'','N;'),(223,'na_enabled','CDev\\ProductAdvisor','checkbox',20,'Y','N;'),(224,'na_max_days','CDev\\ProductAdvisor','XLite\\View\\FormField\\Input\\Text\\Integer',30,'30','a:1:{s:3:\"min\";i:0;}'),(225,'na_max_count_in_full_list','CDev\\ProductAdvisor','XLite\\View\\FormField\\Input\\Text\\Integer',40,'30','a:1:{s:3:\"min\";i:0;}'),(226,'na_mark_with_label','CDev\\ProductAdvisor','XLite\\Module\\CDev\\ProductAdvisor\\View\\FormField\\Select\\MarkProducts',50,'C','N;'),(227,'na_max_count_in_block','CDev\\ProductAdvisor','XLite\\View\\FormField\\Input\\Text\\Integer',80,'3','a:1:{s:3:\"min\";i:0;}'),(228,'na_from_current_category','CDev\\ProductAdvisor','checkbox',90,'N','N;'),(229,'sep_product_advisor_cs','CDev\\ProductAdvisor','separator',1000,'','N;'),(230,'cs_enabled','CDev\\ProductAdvisor','checkbox',1010,'Y','N;'),(231,'cs_mark_with_label','CDev\\ProductAdvisor','XLite\\Module\\CDev\\ProductAdvisor\\View\\FormField\\Select\\MarkProducts',1020,'C','N;'),(232,'cs_display_date','CDev\\ProductAdvisor','checkbox',1030,'Y','N;'),(233,'cs_from_current_category','CDev\\ProductAdvisor','checkbox',1050,'N','N;'),(234,'cs_max_count_in_block','CDev\\ProductAdvisor','XLite\\View\\FormField\\Input\\Text\\Integer',1080,'3','a:1:{s:3:\"min\";i:0;}'),(235,'sep_product_advisor_rv','CDev\\ProductAdvisor','separator',2000,'','N;'),(236,'rv_enabled','CDev\\ProductAdvisor','checkbox',2010,'Y','N;'),(237,'rv_max_count_in_block','CDev\\ProductAdvisor','XLite\\View\\FormField\\Input\\Text\\Integer',2020,'10','a:1:{s:3:\"min\";i:0;}'),(238,'sep_product_advisor_cbb','CDev\\ProductAdvisor','separator',3000,'','N;'),(239,'cbb_enabled','CDev\\ProductAdvisor','checkbox',3010,'Y','N;'),(240,'cbb_max_count_in_block','CDev\\ProductAdvisor','XLite\\View\\FormField\\Input\\Text\\Integer',3020,'5','a:1:{s:3:\"min\";i:0;}'),(241,'sep_product_advisor_cvb','CDev\\ProductAdvisor','separator',4000,'','N;'),(242,'cvb_enabled','CDev\\ProductAdvisor','checkbox',4010,'Y','N;'),(243,'cvb_max_count_in_block','CDev\\ProductAdvisor','XLite\\View\\FormField\\Input\\Text\\Integer',4020,'5','a:1:{s:3:\"min\";i:0;}'),(244,'sale_enabled','CDev\\Sale','checkbox',20,'Y','N;'),(245,'sale_in_current_category','CDev\\Sale','checkbox',30,'Y','N;'),(246,'sale_max_count_in_block','CDev\\Sale','text',80,'6','N;'),(247,'logo','CDev\\SimpleCMS','XLite\\Module\\CDev\\SimpleCMS\\View\\FormField\\Input\\Logo',100,'','N;'),(248,'favicon','CDev\\SimpleCMS','XLite\\Module\\CDev\\SimpleCMS\\View\\FormField\\Input\\Favicon',200,'','N;'),(249,'appleIcon','CDev\\SimpleCMS','XLite\\Module\\CDev\\SimpleCMS\\View\\FormField\\Input\\AppleIcon',250,'','N;'),(250,'page_changefreq','CDev\\XMLSitemap','XLite\\Module\\CDev\\SimpleCMS\\View\\FormField\\Select\\ChangeFrequency',400,'daily','N;'),(251,'page_priority','CDev\\XMLSitemap','XLite\\View\\FormField\\Input\\Text\\FloatInput',800,'0.5','a:3:{s:3:\"min\";i:0;s:3:\"max\";i:1;s:1:\"e\";i:1;}'),(252,'show_default_menu','CDev\\SimpleCMS','checkbox',300,'Y','N;'),(253,'welcome_changefreq','CDev\\XMLSitemap','XLite\\Module\\CDev\\XMLSitemap\\View\\FormField\\Select\\ChangeFrequency',100,'daily','N;'),(254,'category_changefreq','CDev\\XMLSitemap','XLite\\Module\\CDev\\XMLSitemap\\View\\FormField\\Select\\ChangeFrequency',200,'daily','N;'),(255,'product_changefreq','CDev\\XMLSitemap','XLite\\Module\\CDev\\XMLSitemap\\View\\FormField\\Select\\ChangeFrequency',300,'daily','N;'),(256,'welcome_priority','CDev\\XMLSitemap','XLite\\View\\FormField\\Input\\Text\\FloatInput',500,'0.5','a:3:{s:3:\"min\";i:0;s:3:\"max\";i:1;s:1:\"e\";i:1;}'),(257,'category_priority','CDev\\XMLSitemap','XLite\\View\\FormField\\Input\\Text\\FloatInput',600,'0.5','a:3:{s:3:\"min\";i:0;s:3:\"max\";i:1;s:1:\"e\";i:1;}'),(258,'product_priority','CDev\\XMLSitemap','XLite\\View\\FormField\\Input\\Text\\FloatInput',700,'0.5','a:3:{s:3:\"min\";i:0;s:3:\"max\";i:1;s:1:\"e\";i:1;}'),(259,'enable_in_stock_only_filter','XC\\ProductFilter','checkbox',100,'1','N;'),(260,'enable_price_range_filter','XC\\ProductFilter','checkbox',200,'1','N;'),(261,'enable_attributes_filter','XC\\ProductFilter','checkbox',300,'1','N;'),(262,'attributes_filter_by_category','XC\\ProductFilter','checkbox',400,'1','N;'),(263,'attributes_filter_cache_mode','XC\\ProductFilter','XLite\\Module\\XC\\ProductFilter\\View\\FormField\\Select\\CacheResetMode',500,'1','N;'),(264,'attributes_sorting_type','XC\\ProductFilter','XLite\\Module\\XC\\ProductFilter\\View\\FormField\\Select\\AttributesSortingType',600,'A','N;'),(265,'url_part_type','XC\\ProductFilter','XLite\\Module\\XC\\ProductFilter\\View\\FormField\\Select\\UrlPartType',700,'G','N;'),(266,'whoCanLeaveFeedback','XC\\Reviews','\\XLite\\Module\\XC\\Reviews\\View\\FormField\\Select\\WhoCanLeaveFeedback',10,'R','N;'),(267,'disablePendingReviews','XC\\Reviews','checkbox',20,'1','N;'),(268,'reviewsCountPerTab','XC\\Reviews','\\XLite\\View\\FormField\\Input\\Text\\Integer',30,'5','a:1:{s:3:\"min\";i:1;}'),(269,'enableCustomersFollowup','XC\\Reviews','\\XLite\\View\\FormField\\Input\\Checkbox\\OnOff',50,'','N;'),(270,'followupTimeout','XC\\Reviews','\\XLite\\View\\FormField\\Input\\Text\\Integer',60,'15','a:1:{s:3:\"min\";i:0;}'),(271,'use_custom_css','XC\\ThemeTweaker','checkbox',10,'','N;'),(272,'use_custom_js','XC\\ThemeTweaker','checkbox',20,'','N;'),(273,'userID','XC\\UPS','XLite\\View\\FormField\\Input\\Text',10,'','N;'),(274,'password','XC\\UPS','XLite\\View\\FormField\\Input\\PasswordWithValue',20,'','N;'),(275,'accessKey','XC\\UPS','XLite\\View\\FormField\\Input\\Text',30,'','N;'),(276,'shipper_number','XC\\UPS','XLite\\View\\FormField\\Input\\Text',40,'','N;'),(277,'test_mode','XC\\UPS','XLite\\View\\FormField\\Input\\Checkbox\\OnOffWithoutOffLabel',50,'1','N;'),(278,'additionalSettingsSeparator','XC\\UPS','separator',100,'','N;'),(279,'packageSettingsSeparator','XC\\UPS','separator',200,'','N;'),(280,'packaging_type','XC\\UPS','XLite\\Module\\XC\\UPS\\View\\FormField\\Select\\PackagingType',210,'00','N;'),(281,'dimensions','XC\\UPS','serialized',220,'a:3:{i:0;i:10;i:1;i:10;i:2;i:10;}','N;'),(282,'max_weight','XC\\UPS','XLite\\View\\FormField\\Input\\Text\\FloatInput',230,'150','N;'),(283,'serviceOptionsSeparator','XC\\UPS','separator',300,'','N;'),(284,'pickup_type','XC\\UPS','XLite\\Module\\XC\\UPS\\View\\FormField\\Select\\PickupType',310,'01','N;'),(285,'saturday_pickup','XC\\UPS','XLite\\View\\FormField\\Input\\Checkbox\\OnOffWithoutOffLabel',320,'','N;'),(286,'additional_handling','XC\\UPS','XLite\\View\\FormField\\Input\\Checkbox\\OnOffWithoutOffLabel',330,'','N;'),(287,'saturday_delivery','XC\\UPS','XLite\\View\\FormField\\Input\\Checkbox\\OnOffWithoutOffLabel',340,'','N;'),(288,'negotiated_rates','XC\\UPS','XLite\\View\\FormField\\Input\\Checkbox\\OnOffWithoutOffLabel',350,'','N;'),(289,'delivery_conf','XC\\UPS','XLite\\Module\\XC\\UPS\\View\\FormField\\Select\\DeliveryConfirmation',360,'0','N;'),(290,'extra_cover','XC\\UPS','XLite\\View\\FormField\\Input\\Checkbox\\OnOffWithoutOffLabel',370,'','N;'),(291,'extra_cover_value','XC\\UPS','XLite\\View\\FormField\\Input\\Text\\Price',380,'0','N;'),(292,'cacheOnDeliverySeparator','XC\\UPS','separator',400,'','N;'),(293,'currencyConversionSeparator','XC\\UPS','separator',500,'','N;'),(294,'currency_code','XC\\UPS','XLite\\View\\FormField\\Input\\Text',510,'','N;'),(295,'currency_rate','XC\\UPS','XLite\\View\\FormField\\Input\\Text\\FloatInput',520,'1','N;'),(296,'additionalOptionsSeparator','XC\\UPS','separator',600,'','N;'),(297,'debug_enabled','XC\\UPS','XLite\\View\\FormField\\Input\\Checkbox\\OnOffWithoutOffLabel',610,'1','N;'),(298,'top_news_length','XC\\News','XLite\\View\\FormField\\Input\\Text\\Integer',100,'5','a:1:{s:3:\"min\";i:1;}'),(299,'items_per_page','XC\\News','XLite\\View\\FormField\\Input\\Text\\Integer',200,'50','a:1:{s:3:\"min\";i:1;}'),(300,'news_changefreq','CDev\\XMLSitemap','XLite\\Module\\CDev\\XMLSitemap\\View\\FormField\\Select\\ChangeFrequency',400,'daily','N;'),(301,'news_priority','CDev\\XMLSitemap','XLite\\View\\FormField\\Input\\Text\\FloatInput',800,'0.5','a:3:{s:3:\"min\";i:0;s:3:\"max\";i:1;s:1:\"e\";i:1;}'),(302,'freight_shipping_calc_mode','XC\\FreeShipping','XLite\\Module\\XC\\FreeShipping\\View\\FormField\\FreightMode',10,'F','N;'),(303,'default_provider','XC\\Geolocation','XLite\\Module\\XC\\Geolocation\\View\\FormField\\Select\\DefaultProvider',10,'0','N;'),(304,'display_location_popup','XC\\Geolocation','XLite\\View\\FormField\\Input\\Checkbox\\OnOffWithoutOffLabel',20,'1','N;'),(305,'extended_database','XC\\Geolocation','XLite\\View\\FormField\\FileUploader\\ChunkUpload',30,'','a:2:{s:13:\"successAction\";s:11:\"geolocation\";s:10:\"extensions\";s:5:\".mmdb\";}'),(306,'current_database','XC\\Geolocation','XLite\\Module\\XC\\Geolocation\\View\\FormField\\Label\\CurrentDatabase',40,'','N;'),(307,'checkout_type','General','XLite\\Module\\XC\\FastLaneCheckout\\View\\FormField\\Select\\CheckoutType',200,'fast-lane','N;'),(308,'use_custom_colors','XC\\FroalaEditor','XLite\\View\\FormField\\Input\\Checkbox\\OnOffWithoutOffLabel',10,'','N;'),(309,'custom_colors','XC\\FroalaEditor','XLite\\Module\\XC\\FroalaEditor\\View\\FormField\\ColorPalettePicker',20,'','N;'),(310,'mailChimpSeparator','XC\\MailChimp','separator',100,'','N;'),(311,'mailChimpAPIKey','XC\\MailChimp','text',200,'','N;'),(312,'analytics360enabled','XC\\MailChimp','\\XLite\\View\\FormField\\Input\\Checkbox\\OnOff',300,'1','N;'),(313,'abandonedCartEnabled','XC\\MailChimp','\\XLite\\View\\FormField\\Input\\Checkbox\\OnOff',350,'','N;'),(314,'defaultAutomationListId','XC\\MailChimp','\\XLite\\Module\\XC\\MailChimp\\View\\FormField\\Select\\Lists',375,'','N;'),(315,'doubleOptinDisabled','XC\\MailChimp','\\XLite\\View\\FormField\\Input\\Checkbox\\OnOff',400,'','N;'),(316,'subscriptionElementType','XC\\MailChimp','XLite\\Module\\XC\\MailChimp\\View\\FormField\\Select\\ElementType',500,'checkbox','N;'),(317,'updateInterval','XC\\MailChimp','XLite\\Module\\XC\\MailChimp\\View\\FormField\\Select\\UpdateInterval',600,'never','N;'),(318,'send_coupons','XC\\MailChimp','XLite\\Module\\XC\\MailChimp\\View\\FormField\\Select\\SendCoupons',700,'all','N;'),(319,'write_key','XC\\Concierge','hidden',100,'0Xhidk9qjbFQav8TRzHrzlIXXF0MjV4D','N;'),(320,'company_id','XC\\Concierge','hidden',200,'c3c5e8003425dac2f3b28627812f18de','N;'),(321,'user_id','XC\\Concierge','hidden',300,'nogard@x-cart.com','N;'),(322,'additional_config_loaded','XC\\Concierge','hidden',400,'true','N;'),(323,'fcm_show_product_num','QSL\\FlyoutCategoriesMenu','checkbox',10,'N','N;'),(324,'fcm_word_wrap','QSL\\FlyoutCategoriesMenu','checkbox',20,'Y','N;'),(325,'fcm_show_triangle','QSL\\FlyoutCategoriesMenu','checkbox',30,'Y','N;'),(326,'api_key','QSL\\CloudSearch','hidden',0,'9f35b2bad207fae77c32ca42c3fea28d','N;'),(327,'secret_key','QSL\\CloudSearch','hidden',0,'d477d436504118ce4e831c89cb1e0f2991c818042ec06791b7f17014e3d6af77','N;'),(328,'dashboard','QSL\\CloudSearch','\\XLite\\Module\\QSL\\CloudSearch\\View\\FormField\\Dashboard',0,'','N;'),(329,'isCloudFiltersEnabled','QSL\\CloudSearch','hidden',20,'','N;'),(330,'quantity','XC\\CustomerAttachments','\\XLite\\View\\FormField\\Input\\Text\\Integer',0,'10','a:1:{s:3:\"min\";i:0;}'),(331,'extensions','XC\\CustomerAttachments','text',0,'','a:1:{s:7:\"comment\";s:68:\"Enter file extensions separated by comma; for example, \"jpg,txt,svg\"\";}'),(332,'file_size','XC\\CustomerAttachments','\\XLite\\Module\\XC\\CustomerAttachments\\View\\FormField\\Input\\Text\\FileSizeInteger',0,'0','a:1:{s:3:\"min\";i:0;}'),(333,'create_nfo_mode','XC\\NotFinishedOrders','XLite\\Module\\XC\\NotFinishedOrders\\View\\FormField\\Select\\CreateNFOMode',5,'onFailure','N;'),(334,'clear_cart_on_order_change','XC\\NotFinishedOrders','XLite\\View\\FormField\\Select\\YesNo',10,'Y','N;'),(335,'limit_nf_order_ttl','XC\\NotFinishedOrders','XLite\\View\\FormField\\Input\\Checkbox\\OnOffWithoutOffLabel',20,'1','N;'),(336,'nf_order_ttl','XC\\NotFinishedOrders','XLite\\View\\FormField\\Input\\Text\\Integer',30,'30','N;'),(337,'allow_vendor_communication','XC\\VendorMessages','XLite\\View\\FormField\\Input\\Checkbox\\OnOffWithoutOffLabel',200,'0','N;'),(338,'show_tags_sidebar','XC\\ProductTags','checkbox',100,'','N;'),(339,'enable_tags_filter','XC\\ProductFilter','checkbox',350,'1','N;'),(340,'wizard_state','XC\\Onboarding','hidden',0,'visible','N;'),(341,'test_mode','CDev\\AustraliaPost','XLite\\View\\FormField\\Input\\Checkbox\\OnOffWithoutOffLabel',10,'1','N;'),(342,'api_key','CDev\\AustraliaPost','XLite\\View\\FormField\\Input\\Text',20,'','N;'),(343,'packageSettingsSeparator','CDev\\AustraliaPost','separator',100,'','N;'),(344,'package_type','CDev\\AustraliaPost','',0,'Parcel','N;'),(345,'package_box_type','CDev\\AustraliaPost','XLite\\Module\\CDev\\AustraliaPost\\View\\FormField\\PackageBoxType',110,'AUS_PARCEL_TYPE_BOXED_OTH','N;'),(346,'dimensions','CDev\\AustraliaPost','serialized',120,'a:3:{i:0;i:10;i:1;i:10;i:2;i:10;}','N;'),(347,'additionalSettingsSeparator','CDev\\AustraliaPost','separator',200,'','N;'),(348,'service_option','CDev\\AustraliaPost','XLite\\Module\\CDev\\AustraliaPost\\View\\FormField\\ServiceOption',210,'AUS_SERVICE_OPTION_STANDARD','N;'),(349,'extra_cover','CDev\\AustraliaPost','XLite\\View\\FormField\\Input\\Checkbox\\OnOffWithoutOffLabel',220,'','N;'),(350,'extra_cover_value','CDev\\AustraliaPost','XLite\\View\\FormField\\Input\\Text\\Price',230,'0','N;'),(351,'currency_rate','CDev\\AustraliaPost','XLite\\View\\FormField\\Input\\Text\\FloatInput',240,'1','N;'),(352,'enable_new_methods','CDev\\AustraliaPost','XLite\\View\\FormField\\Input\\Checkbox\\OnOffWithoutOffLabel',250,'1','N;'),(353,'debug_enabled','CDev\\AustraliaPost','XLite\\View\\FormField\\Input\\Checkbox\\OnOffWithoutOffLabel',260,'1','N;'),(354,'max_weight','CDev\\AustraliaPost','',0,'20','N;'),(355,'email','CDev\\Moneybookers','text',100,'','N;'),(356,'logo_url','CDev\\Moneybookers','XLite\\View\\FormField\\Input\\Text\\URL',200,'','N;'),(357,'test','CDev\\Moneybookers','checkbox',300,'0','N;'),(358,'secret_word','CDev\\Moneybookers','text',400,'','N;'),(359,'prefix','CDev\\Moneybookers','text',500,'xcart','N;'),(360,'id','CDev\\Moneybookers','',0,'','N;'),(361,'ignore_memberships','CDev\\SalesTax','checkbox',150,'Y','N;'),(362,'addressType','CDev\\SalesTax','\\XLite\\Module\\CDev\\SalesTax\\View\\FormField\\AddressType',160,'billing','N;'),(363,'taxableBase','CDev\\SalesTax','\\XLite\\Module\\CDev\\SalesTax\\View\\FormField\\TaxableBase',170,'DST+SH','N;'),(364,'dataProvider','CDev\\USPS','XLite\\Module\\CDev\\USPS\\View\\FormField\\Select\\DataProvider',2,'pitneyBowes','N;'),(365,'pbEmailId','CDev\\USPS','XLite\\View\\FormField\\Input\\Text',10,'','N;'),(366,'pbShipperId','CDev\\USPS','',10,'','N;'),(367,'userid','CDev\\USPS','XLite\\View\\FormField\\Input\\Text',10,'','N;'),(368,'server_url','CDev\\USPS','XLite\\View\\FormField\\Input\\Text\\URL',20,'http://stg-production.shippingapis.com/ShippingApi.dll','N;'),(369,'additionalSettingsSeparator','CDev\\USPS','separator',100,'','N;'),(370,'commonOptionsSeparator','CDev\\USPS','separator',200,'','N;'),(371,'package_size','CDev\\USPS','XLite\\Module\\CDev\\USPS\\View\\FormField\\Select\\PackageSize',205,'REGULAR','N;'),(372,'dimensions','CDev\\USPS','serialized',210,'a:3:{i:0;i:10;i:1;i:7;i:2;i:9;}','N;'),(373,'girth','CDev\\USPS','XLite\\View\\FormField\\Input\\Text\\FloatInput',220,'0','N;'),(374,'max_weight','CDev\\USPS','XLite\\View\\FormField\\Input\\Text\\FloatInput',230,'70','N;'),(375,'machinable','CDev\\USPS','XLite\\View\\FormField\\Input\\Checkbox\\OnOffWithoutOffLabel',235,'1','N;'),(376,'currency_rate','CDev\\USPS','XLite\\View\\FormField\\Input\\Text\\FloatInput',240,'1','N;'),(377,'domesticUSPSSeparator','CDev\\USPS','separator',300,'','N;'),(378,'container','CDev\\USPS','XLite\\Module\\CDev\\USPS\\View\\FormField\\Select\\Container',310,'VARIABLE','N;'),(379,'first_class_mail_type','CDev\\USPS','XLite\\Module\\CDev\\USPS\\View\\FormField\\Select\\FirstClassMailType',330,'PARCEL','N;'),(380,'use_rate_type','CDev\\USPS','XLite\\Module\\CDev\\USPS\\View\\FormField\\Select\\UseRateType',350,'Rate','N;'),(381,'pb_domestic_parcel_type','CDev\\USPS','XLite\\Module\\CDev\\USPS\\View\\FormField\\Select\\PBDomesticParcelType',360,'PKG','N;'),(382,'domestic_all_services_type','CDev\\USPS','XLite\\Module\\CDev\\USPS\\View\\FormField\\Select\\AllServicesType',370,'online','N;'),(383,'internationalUSPSSeparator','CDev\\USPS','separator',400,'','N;'),(384,'mail_type','CDev\\USPS','XLite\\Module\\CDev\\USPS\\View\\FormField\\Select\\MailType',410,'Package','N;'),(385,'container_intl','CDev\\USPS','XLite\\Module\\CDev\\USPS\\View\\FormField\\Select\\ContainerIntl',420,'RECTANGULAR','N;'),(386,'commercial','CDev\\USPS','XLite\\View\\FormField\\Input\\Checkbox\\OnOffWithoutOffLabel',430,'','N;'),(387,'gxg','CDev\\USPS','XLite\\View\\FormField\\Input\\Checkbox\\OnOffWithoutOffLabel',440,'','N;'),(388,'gxg_pobox','CDev\\USPS','XLite\\View\\FormField\\Input\\Checkbox\\OnOffWithoutOffLabel',450,'','N;'),(389,'gxg_gift','CDev\\USPS','XLite\\View\\FormField\\Input\\Checkbox\\OnOffWithoutOffLabel',460,'','N;'),(390,'pb_international_parcel_type','CDev\\USPS','XLite\\Module\\CDev\\USPS\\View\\FormField\\Select\\PBInternationalParcelType',470,'PKG','N;'),(391,'cacheOnDeliverySeparator','CDev\\USPS','separator',500,'','N;'),(392,'use_cod_price','CDev\\USPS','XLite\\View\\FormField\\Input\\Checkbox\\OnOffWithoutOffLabel',510,'1','N;'),(393,'cod_price','CDev\\USPS','XLite\\View\\FormField\\Input\\Text\\Price',520,'6.95','N;'),(394,'additionalOptionsSeparator','CDev\\USPS','separator',600,'','N;'),(395,'debug_enabled','CDev\\USPS','XLite\\View\\FormField\\Input\\Checkbox\\OnOffWithoutOffLabel',610,'','N;'),(396,'pbSandbox','CDev\\USPS','XLite\\View\\FormField\\Input\\Checkbox\\OnOffWithoutOffLabel',605,'','N;'),(397,'autoenable_new_methods','CDev\\USPS','XLite\\View\\FormField\\Input\\Checkbox\\OnOffWithoutOffLabel',620,'1','N;'),(398,'xpc_shopping_cart_id','CDev\\XPaymentsConnector','XLite\\Module\\CDev\\XPaymentsConnector\\View\\FormField\\Input\\Text\\StoreID',1010,'','N;'),(399,'xpc_xpayments_url','CDev\\XPaymentsConnector','XLite\\Module\\CDev\\XPaymentsConnector\\View\\FormField\\Input\\Text\\URLipv6',1020,'','N;'),(400,'xpc_public_key','CDev\\XPaymentsConnector','textarea',1030,'','N;'),(401,'xpc_private_key','CDev\\XPaymentsConnector','textarea',1040,'','N;'),(402,'xpc_private_key_password','CDev\\XPaymentsConnector','text',1050,'','N;'),(403,'xpc_allowed_ip_addresses','CDev\\XPaymentsConnector','text',1060,'','N;'),(404,'xpc_currency','CDev\\XPaymentsConnector','XLite\\View\\FormField\\Select\\Currency',1070,'840','N;'),(405,'xpc_api_version','CDev\\XPaymentsConnector','hidden',1080,'1.3','N;'),(406,'xpc_use_iframe','CDev\\XPaymentsConnector','checkbox',1090,'1','N;'),(407,'xpc_allowed_modules_load_date','CDev\\XPaymentsConnector','hidden',2000,'0','N;'),(408,'xpc_allowed_modules','CDev\\XPaymentsConnector','hidden',2010,'','N;'),(409,'xpc_zero_auth_method_id','CDev\\XPaymentsConnector','XLite\\Module\\CDev\\XPaymentsConnector\\View\\FormField\\Select\\ZeroAuthPaymentMethods',1100,'0','N;'),(410,'xpc_zero_auth_amount','CDev\\XPaymentsConnector','XLite\\Module\\CDev\\XPaymentsConnector\\View\\FormField\\Input\\Text\\ZeroAuthAmount',1110,'0','N;'),(411,'xpc_zero_auth_description','CDev\\XPaymentsConnector','XLite\\Module\\CDev\\XPaymentsConnector\\View\\FormField\\Input\\Text\\ZeroAuthDescription',1130,'','N;'),(412,'wizard_enabled','XC\\CanadaPost','',0,'1','N;'),(413,'wizard_hash','XC\\CanadaPost','',0,'','N;'),(414,'user','XC\\CanadaPost','XLite\\View\\FormField\\Input\\Text',10,'','N;'),(415,'password','XC\\CanadaPost','XLite\\View\\FormField\\Input\\PasswordWithValue',20,'','N;'),(416,'developer_mode','XC\\CanadaPost','XLite\\View\\FormField\\Input\\Checkbox\\OnOffWithoutOffLabel',30,'','N;'),(417,'debug_enabled','XC\\CanadaPost','XLite\\View\\FormField\\Input\\Checkbox\\OnOffWithoutOffLabel',40,'','N;'),(418,'additionalSettingsSeparator','XC\\CanadaPost','separator',100,'','N;'),(419,'quote_type','XC\\CanadaPost','XLite\\Module\\XC\\CanadaPost\\View\\FormField\\Select\\QuoteType',110,'C','N;'),(420,'customer_number','XC\\CanadaPost','XLite\\View\\FormField\\Input\\Text',120,'','N;'),(421,'currency_rate','XC\\CanadaPost','XLite\\View\\FormField\\Input\\Text\\FloatInput',130,'1','N;'),(422,'contractShippingSeparator','XC\\CanadaPost','separator',200,'','N;'),(423,'contract_id','XC\\CanadaPost','XLite\\View\\FormField\\Input\\Text',210,'','N;'),(424,'pick_up_type','XC\\CanadaPost','XLite\\Module\\XC\\CanadaPost\\View\\FormField\\Select\\PickUpType',220,'','N;'),(425,'deposit_site_num','XC\\CanadaPost','XLite\\Module\\XC\\CanadaPost\\View\\FormField\\Input\\Text\\DepositSiteNum',230,'','N;'),(426,'detailed_manifests','XC\\CanadaPost','XLite\\View\\FormField\\Input\\Checkbox\\OnOffWithoutOffLabel',240,'1','N;'),(427,'manifest_name','XC\\CanadaPost','XLite\\View\\FormField\\Input\\Text',250,'','N;'),(428,'deliverToPostOfficeSeparator','XC\\CanadaPost','separator',300,'','N;'),(429,'deliver_to_po_enabled','XC\\CanadaPost','XLite\\View\\FormField\\Input\\Checkbox\\OnOffWithoutOffLabel',310,'','N;'),(430,'max_post_offices','XC\\CanadaPost','XLite\\View\\FormField\\Input\\Text\\Integer',320,'5','N;'),(431,'parcelCharacteristicsSeparator','XC\\CanadaPost','separator',400,'','N;'),(432,'length','XC\\CanadaPost','XLite\\View\\FormField\\Input\\Text\\FloatInput',410,'10','N;'),(433,'width','XC\\CanadaPost','XLite\\View\\FormField\\Input\\Text\\FloatInput',420,'9','N;'),(434,'height','XC\\CanadaPost','XLite\\View\\FormField\\Input\\Text\\FloatInput',430,'7','N;'),(435,'max_weight','XC\\CanadaPost','XLite\\View\\FormField\\Input\\Text\\FloatInput',440,'30','N;'),(436,'document','XC\\CanadaPost','XLite\\View\\FormField\\Input\\Checkbox\\OnOffWithoutOffLabel',450,'','N;'),(437,'unpackaged','XC\\CanadaPost','XLite\\View\\FormField\\Input\\Checkbox\\OnOffWithoutOffLabel',460,'','N;'),(438,'mailing_tube','XC\\CanadaPost','XLite\\View\\FormField\\Input\\Checkbox\\OnOffWithoutOffLabel',470,'','N;'),(439,'oversized','XC\\CanadaPost','XLite\\View\\FormField\\Input\\Checkbox\\OnOffWithoutOffLabel',480,'','N;'),(440,'parcelSeparator','XC\\CanadaPost','separator',500,'','N;'),(441,'way_to_deliver','XC\\CanadaPost','XLite\\Module\\XC\\CanadaPost\\View\\FormField\\Select\\DeliveryWayType',510,'','N;'),(442,'signature','XC\\CanadaPost','XLite\\View\\FormField\\Input\\Checkbox\\OnOffWithoutOffLabel',520,'','N;'),(443,'age_proof','XC\\CanadaPost','XLite\\Module\\XC\\CanadaPost\\View\\FormField\\Select\\AgeProofType',530,'','N;'),(444,'coverage','XC\\CanadaPost','XLite\\View\\FormField\\Input\\Text\\FloatInput',540,'0','N;'),(445,'non_delivery','XC\\CanadaPost','XLite\\Module\\XC\\CanadaPost\\View\\FormField\\Select\\NonDeliveryType',550,'','N;'),(446,'time_zone','General','',0,'Europe/Moscow','N;'),(447,'timestamp','Version','0',0,'1539949691','N;'),(448,'prnotice_index','Internal','0',0,'0','N;'),(449,'shop_key','Internal','0',0,'9b1b41b665c301a084b28f76e06dcc75','N;'),(450,'price_in_list','XC\\ProductVariants','\\XLite\\Module\\XC\\ProductVariants\\View\\FormField\\Select\\PriceInList',100,'D','N;');
/*!40000 ALTER TABLE `xc_config` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_config_translations`
--

DROP TABLE IF EXISTS `xc_config_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_config_translations` (
  `label_id` int(11) NOT NULL AUTO_INCREMENT,
  `id` int(11) DEFAULT NULL,
  `option_name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `option_comment` longtext COLLATE utf8_unicode_ci NOT NULL,
  `code` char(2) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`label_id`),
  KEY `ci` (`code`,`id`),
  KEY `id` (`id`),
  CONSTRAINT `FK_4556A33BC3BF396750` FOREIGN KEY (`id`) REFERENCES `xc_config` (`config_id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=537 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_config_translations`
--

LOCK TABLES `xc_config_translations` WRITE;
/*!40000 ALTER TABLE `xc_config_translations` DISABLE KEYS */;
INSERT INTO `xc_config_translations` VALUES (1,1,'Administrator Zone settings','','en'),(2,2,'Use HTTPS in the Administrator Zone','','en'),(3,3,'Default customer address','','en'),(4,4,'Address line','','en'),(5,5,'Country','','en'),(6,6,'State','','en'),(7,7,'State','','en'),(8,8,'City','','en'),(9,9,'Zip/postal code','','en'),(10,10,'Address type','','en'),(11,11,'Aggregate CSS files (enable for better performance)','','en'),(12,12,'Aggregate JS files (enable for better performance)','','en'),(13,13,'Use widget cache (enable for better performance)','','en'),(14,17,'Default layout','','en'),(15,18,'Home page layout','','en'),(16,19,'CLI mode key','','en'),(17,20,'Company address','','en'),(18,21,'Contacts','','en'),(19,22,'Fax','','en'),(20,23,'Identity','','en'),(21,24,'Company name','Changing the value of this or any other fields on this page will not affect the signature in your store\'s email notifications. The signature for notifications can be edited on the <a href=\"admin.php?target=notification_common\">Header, greeting & signature</a> page.','en'),(22,25,'Company website','','en'),(23,26,'Terms and conditions relative URL','','en'),(24,27,'Customer Zone settings','','en'),(25,28,'Use HTTPS in the Customer Zone (for login, Checkout and profile pages)','','en'),(26,29,'Date format','','en'),(27,30,'First day of week','','en'),(28,31,'CSV column delimiter','','en'),(29,32,'Import/export charset','','en'),(30,35,'Payment method to be assumed in case of zero order totals','','en'),(31,36,'Maximum order quantity (per product)','','en'),(32,37,'Default payment method','','en'),(33,38,'Display check number for eCheck payment method','','en'),(34,39,'How to show out of stock products','','en'),(35,40,'Default display mode for products list','','en'),(36,42,'Street address','','en'),(37,43,'Country','','en'),(38,44,'State','','en'),(39,45,'State','','en'),(40,46,'City','','en'),(41,47,'Zip/postal code','','en'),(42,48,'Use your company address as your ship-from address','See <a href=\"admin.php?target=settings&page=Company#company-address\">company address</a>','en'),(43,49,'Street address','','en'),(44,50,'Country','','en'),(45,51,'State','','en'),(46,52,'State','','en'),(47,53,'City','','en'),(48,54,'Zip/postal code','','en'),(49,55,'Phone','','en'),(50,56,'Number of days to store the last login data','','en'),(51,57,'Maximum allowed order subtotal','','en'),(52,58,'Minimum allowed order subtotal','','en'),(53,59,'Next order #','You can change the number that will be assigned on the next order. The new order number should be greater than the current one.','en'),(54,60,'Cart TTL (days)','Specify the number of days after which a stored shopping cart should be considered old and should be removed. Leave empty if old carts should never be removed (not recommended)','en'),(55,61,'Enable internal cron service','This setting allows you to enable/disable the use of your store\'s internal cron service. This service schedules the run of certain maintenance tasks for your store - like removing customers\' expired shopping carts - at the periodicity of once per 100 user sessions.','en'),(56,62,'Sales department e-mails','The first email in this field (the one marked dark blue) will be used as the \"Reply-To:\" address for low limit warning messages.<br/><br/>All addresses in this field will be used as the \"TO:\" address for notifications about orders (creation of new orders, changes of order status, etc).','en'),(57,63,'Orders per page','','en'),(58,64,'Products per category listing page','','en'),(59,65,'Maximum products per category listing page','','en'),(60,66,'Products per page','','en'),(61,67,'Force customer to choose product options before the product can be added to cart','','en'),(62,68,'Redirect customer to the cart page after a product is added to cart','','en'),(63,69,'Close the shop temporarily (not available in Demo store)','','en'),(64,70,'Shop currency','','en'),(65,71,'Hide trailing zeros in fractional part','','en'),(66,72,'Site administrator e-mails','The first email in this field (the one marked dark blue) will be used as the \"Reply-To:\" address for most notifications about user profiles.<br/><br/>All addresses in this field will be used as the \"TO:\" address for information on access to your store in safe mode (Hard and Soft reset links), notifications about failed administrator login attempts, low limit warnings, etc.','en'),(67,73,'Password','','en'),(68,74,'Secure connection','','en'),(69,75,'SMTP port','By default, SMTP uses TCP port 25. However, if you are going to use secure SSL/TLS encrypted SMTP, you need to specify the correct TCP port number for your system here. Typically, port number for secure SMTP is 465.','en'),(70,76,'SMTP server','','en'),(71,77,'Username','','en'),(72,78,'Year when store started its operation','','en'),(73,79,'Subcategory listings format','','en'),(74,80,'Default order to sort products within a category','','en'),(75,81,'Default order to sort products within a search result','','en'),(76,82,'HelpDesk/Support service e-mails','Addresses for messages sent by store visitors via the Contact us form.','en'),(77,83,'Time format','','en'),(78,84,'Time zone','','en'),(79,85,'Customer relations e-mails','The first email in this field (the one marked dark blue) will be used as the \"Reply-To:\" address for password reset messages.<br/><br/>All addresses in this field will be used as the \"TO:\" address for notifications about user profile related events (creation of a new user profile, deletion of a user profile, etc).','en'),(80,86,'Users per page','','en'),(81,87,'Email to use for the FROM field','Please do not confuse this with Reply-to. Reply-to addresses for your emails will be selected from the Contact information section automatically according to the type of email message.','en'),(82,89,'Use SMTP server','','en'),(83,90,'Use authentication','','en'),(84,92,'Weight symbol','','en'),(85,93,'Weight unit','','en'),(86,94,'Hide trailing zeros in fractional part','','en'),(87,95,'Weight format','','en'),(88,96,'Dimensional symbol','','en'),(89,97,'Dimensional unit','','en'),(90,98,'Path to Certificate Authority (CA) bundle','','en'),(91,99,'Directory holding CA certificates','','en'),(92,100,'Ask anonymous users to create an account or sign in before checkout','','en'),(93,101,'Display \"Add to cart\" buttons for products in grid view','','en'),(94,104,'General options','','en'),(95,105,'Default site title','','en'),(96,106,'Default site meta description','','en'),(97,107,'Default site meta keywords','','en'),(98,108,'Home page title and meta','','en'),(99,109,'Page title format','','en'),(100,110,'Company name','','en'),(101,111,'Parent category path','','en'),(102,112,'Object name (category, product, etc)','','en'),(103,113,'Show object name in page title','','en'),(104,114,'About clean urls','','en'),(105,116,'Allow customers to sign up for membership','','en'),(106,117,'Upgrade options','','en'),(107,118,'Upgrade access level','','en'),(108,119,'Perform quick data calculation during store re-deployment','Calculated quick data enhances your store\'s performance by allowing quick product sorting. If you want quick data to be calculated along with store re-deployment, make sure this setting is enabled before running the \"Re-deploy the store\" tool. Keep the setting disabled if you want to do the re-deployment without the calculation of quick data.','en'),(109,120,'FROM/REPLY-TO settings','','en'),(110,120,'Настройки FROM/REPLY-TO','','ru'),(111,121,'Email to use for the REPLY-to field in customer emails','','en'),(112,122,'Email to use for the REPLY-to field in admin emails','','en'),(113,123,'SMTP','','en'),(114,124,'Enabled','','en'),(115,125,'Banner interval (in seconds)','Set to \"0\" to disable automatic rotation','en'),(116,126,'Send the PDF version of invoices in the attachments','','en'),(117,129,'Enable form','','en'),(118,130,'E-mail address of the message recipient','If the field is blank, then administration email is used','en'),(119,131,'Show email as text','','en'),(120,132,'reCAPTCHA','','en'),(121,133,'Site key','To use reCAPTCHA you should get Site and Secret keys from <a href=\"https://www.google.com/recaptcha/admin/create\">https://www.google.com/recaptcha/admin/create</a>','en'),(122,134,'Secret key','','en'),(123,135,'Number of products in the bestsellers list','','en'),(124,136,'Download link TTL (days)','Set zero for unlimited access. If you are using Amazon Signed URLs, TTL is limited to 7 days.','en'),(125,136,'Время действия ссылки на скачку (в днях)','При значении 0 - неограниченный доступ. Для ссылок Amazon S3, подписанных ключом, время ограничено 7 днями.','ru'),(126,137,'Downloads limit (per 1 ordered item)','Set zero for unlimited access. If you are using Amazon Signed URLs, this settings controls the limit of link renewal, because it is impossible to control downloads on the Signed URL.','en'),(127,137,'Лимит скачек (на 1 позицию заказа)','При значении 0 - безлимитный доступ. Для ссылок Amazon S3, подписанных ключом, эта настройка контролирует количество доступов к ссылке, так как невозможно ограничить количество скачек по такой ссылке.','ru'),(128,138,'Keep a history of downloads','Amazon S3 Signed URLs are counted per link access (not download), because X-Cart can not track downloads on the Amazon S3 Storage.','en'),(129,138,'Сохранять историю загрузок','Для ссылок Amazon S3, подписанных ключом, учитывается количество доступов, а не скачек, так как X-Cart не имеет доступа к истории скачек хранилища Amazon S3.','ru'),(130,139,'Show only ESD related fulfilment statuses','With this option enabled, only 3 statuses will be available: New, Delivered and Will Not Deliver. You can rename the statuses as you require using the \"Custom Order Statuses\" module','en'),(131,139,'Отображать только статусы для цифровой дистрибуции','При включении данной настройки будет доступны только 3 статуса доставки: Новый, Доставлен и Доставка отменена. Переименовать их можно при помощи модуля Custom Order Statuses','ru'),(132,140,'Approve before providing access to download','','en'),(133,140,'Одобрение перед предоставлением доступа на скачивание','','ru'),(134,142,'Amazon Signed URLs','','en'),(135,143,'Enable usage of Presigned URLs for Amazon S3 links','Use Amazon S3 to host your digital files on Amazon and control access to your e-goods by presigned URLs. Learn more at <a href=\"https://kb.x-cart.com/en/modules/egoods/\" target=\"_blank\">E-goods module</a> article at X-Cart Knowledge Base.','en'),(136,143,'Включить ссылки, подписанные ключом, для файлов на хранилище Amazon S3','С помощью хранилища Amazon S3 можно экономить серверное дисковое пространство и контролировать доступ к скачиваемым товарам. Подробнее о конфигурации можно узнать на странице <a href=\"https://kb.x-cart.ru/modules/egoods/\" target=\"_blank\">Цифровые товары</a> в базе знаний X-Cart.','ru'),(137,144,'Amazon Access Key','','en'),(138,145,'Amazon Secret Key','','en'),(139,146,'S3 Bucket name','','en'),(140,146,'S3 Bucket','','ru'),(141,148,'Featured products look and feel','','en'),(142,149,'FedEx authentication key','','en'),(143,150,'FedEx authentication password','','en'),(144,151,'FedEx account number','','en'),(145,152,'FedEx meter number','','en'),(146,153,'Test mode','','en'),(147,154,'Enable debugging','','en'),(148,155,'Additional settings','','en'),(149,156,'Carrier type(s)','','en'),(150,157,'FedEx Express (FDXE)','','en'),(151,158,'FedEx Ground (FDXG)','','en'),(152,159,'FedEx SmartPost (FXSP)','','en'),(153,160,'Hub ID','','en'),(154,161,'Indicia','','en'),(155,162,'Rate request type','','en'),(156,163,'Packaging','','en'),(157,164,'Dropoff type','','en'),(158,165,'Ship date (days)','','en'),(159,166,'Currency code','','en'),(160,167,'Currency rate','If the currency specified above differs from the currency the store uses for payments, specify a conversion rate to convert the shipping cost returned by FedEx into your store\'s currency. If the currencies are the same, leave this set to 1.','en'),(161,168,'Package dimensions (inches)','','en'),(162,169,'Maximum package weight','','en'),(163,170,'Special services','','en'),(164,171,'Dangerous Goods/Accessibility','','en'),(165,172,'Signature option','','en'),(166,173,'Cash on delivery','','en'),(167,174,'COD type','','en'),(168,175,'Advanced options','','en'),(169,176,'Shipment is scheduled for Saturday pickup (the option will be used if ship date is Saturday)','','en'),(170,177,'Shipment from residential address','','en'),(171,178,'Send package cost to calculate insurance','','en'),(172,149,'Ключ идентификации FedEx','','ru'),(173,150,'Пароль FedEx','','ru'),(174,151,'Номер счета FedEx','','ru'),(175,152,'FedEx meter number','','ru'),(176,153,'Режим тестирования','','ru'),(177,154,'Включить отладку','','ru'),(178,155,'Дополнительные настройки','','ru'),(179,156,'Тип(ы) перевозчика(ов)','','ru'),(180,157,'FedEx Express (FDXE)','','ru'),(181,158,'FedEx Ground (FDXG)','','ru'),(182,159,'FedEx SmartPost (FXSP)','','ru'),(183,163,'Упаковка','','ru'),(184,164,'Возврат тары','','ru'),(185,165,'Дата отгрузки (дни)','','ru'),(186,166,'Код валюты','','ru'),(187,167,'Коэффициент пересчета валюты','Если валюта выше отличается от валюты, используемой для оплаты в магазине, укажите коэффициент пересчёта для перевода стоимости доставки, предоставленной FedEx, в валюту магазина. Если валюты совпадают, оставьте значение 1.','ru'),(188,168,'Размеры упаковки (в дюймах)','','ru'),(189,169,'Максимальный вес упаковки','','ru'),(190,170,'Специальные услуги','','ru'),(191,171,'Опасные Товары/Доступность','','ru'),(192,172,'Показать все сохраненные кредитные карты','','ru'),(193,173,'Оплата при получении','','ru'),(194,174,'Тип наложного платежа','','ru'),(195,175,'Расширенные опции','','ru'),(196,176,'Погрузка назначена на Субботу (эта опция используется, если день отгрузки - Суббота)','','ru'),(197,177,'Доставка с адреса расположения','','ru'),(198,178,'Рассчитывать размер страховки по стоимости посылки','','ru'),(199,179,'Web Property ID','','en'),(200,180,'What are you tracking','','en'),(201,181,'Google Analytics code version','','en'),(202,182,'Enable eCommerce Google Analytics','','en'),(203,183,'Register purchase only on Paid status change','','en'),(204,184,'Debug mode','','en'),(205,179,'Web Property ID','','ru'),(206,180,'Что отслеживается','','ru'),(207,181,'Версия кода Google Analytics','','ru'),(208,182,'Включить eCommerce Google Analytics','','ru'),(209,183,'Регистрировать покупку только после смены статуса на \"Оплачен\"','','ru'),(210,184,'Режим отладки','','ru'),(211,185,'Facebook application settings','','en'),(212,186,'Facebook Application ID','Facebook Platform application ID that administers your site pages. You can get this ID by visiting the page at <a href=\"https://developers.facebook.com/apps/\">https://developers.facebook.com/apps/</a><br /><br />You should specify this field:<ul><li>to make your site statistics appear in the Facebook Insights dashboard</li><li>to enable a moderator interface on Facebook where comments from all product pages can be easily moderated together</li></ul>','en'),(213,187,'Facebook Application Namespace','Specify the same app namespace that you entered when configured your Facebook Platform application.','en'),(214,188,'Facebook Admins','Comma-separated list of the Facebook User IDs of page administrators. Include at least your own Facebook User ID.','en'),(215,189,'Facebook Share Button settings','','en'),(216,190,'Display the Share button on product pages','The Share button lets a customer share your product pages with friends on Facebook.','en'),(217,191,'Facebook Like Button settings','','en'),(218,192,'We recommend using the Share button instead of Like.','','en'),(219,193,'Display the Like button on product pages','The Like button lets a customer share your product pages with friends on Facebook. The button will not be displayed if Facebook application id is not set.','en'),(220,194,'Layout style','There are three options:<ul><li>\"standard\" - displays social text to the right of the button and friends\' profile photos below</li><li>\"button\" - displays the total number of likes to the right of the button</li><li>\"box\" - displays the total number of likes above the button.</li></ul>','en'),(221,195,'Show profile pictures below the Like button','Profile pictures appear in the \"standard\" layout style only.','en'),(222,196,'The verb to display in the Like button','','en'),(223,197,'The color scheme for the like button','','en'),(224,198,'Facebook comments settings','','en'),(225,199,'Display the Facebook Comments tab on product pages','To moderate comments, specify your Facebook User ID in the \"Facebook Admins\" field below.<br />To enable the moderator interface on Facebook where comments from all product pages can be easily moderated together, specify your Facebook App ID in the \"Facebook Application ID\" field below.','en'),(226,200,'Number of posts to show on the tab by default','','en'),(227,201,'The color scheme for the comments','','en'),(228,202,'Tweet button settings','','en'),(229,203,'Display the Tweet button on product pages','The Tweet button allows customers to easily share your product pages with their Twitter followers.','en'),(230,204,'Show the count box along with the Tweet button','The count box shows how many times the product page has been Tweeted.','en'),(231,205,'Account name of the user to attribute the Tweet to (optional)','Also used as username of website in Twitter Card Tags','en'),(232,206,'Account name of the user to follow after sending a Tweet (optional)','Twitter will suggest that customers follow this user once they have sent a Tweet using the Tweet button.','en'),(233,207,'Hashtag to show within the Tweet button and in the text of the tweet status (optional)','','en'),(234,208,'Google+ button settings','','en'),(235,209,'Display the Google+ button on product pages','','en'),(236,210,'Google+ page id','','en'),(237,211,'Pinterest button settings','','en'),(238,212,'Display the Pinterest button on product pages','','en'),(239,205,'Имя учетной записи пользователя, автора Tweet (опционально)','Также используется как твиттер сайта в Twitter Card Tags','ru'),(240,213,'Show \"Admin welcome\" block','','en'),(241,214,'PayPal Login','To enable PayPal login, you need to create a PayPal application for your website. The recommended procedure is to go to the My Apps page and create an app for testing, then to go live with this app. For detailed instructions on creating the app, see PayPal documentation at <a href=\"https://developer.paypal.com/docs/integration/admin/manage-apps/\">https://developer.paypal.com/docs/integration/admin/manage-apps/</a>. Be sure to specify your \"App return URL\" as the value of \"Redirect URL\" field below.<br /><br />Once the app has been created, be sure to copy your Client Id and Client Secret from the app details and credentials and have them stored in the fields below.','en'),(242,215,'Redirect URL','','en'),(243,216,'Client Id','','en'),(244,217,'Client Secret','','en'),(245,218,'Test/Live mode','','en'),(246,219,'Login scopes','','en'),(247,220,'Show only ESD related fulfilment statuses','This option leave only 3 method: New, Delivered and Will Not Deliver. You can rename it with \"Custom Order Statuses\" module','en'),(248,220,'Отображать только статусы для цифровой дистрибуции','Данная настройка оставит только 3 статуса доставки: Новый, Доставлен и Доставка отменена. Переименовать их можно при помощи модуля Custom Order Statuses','ru'),(249,221,'Approve before providing access','','en'),(250,221,'Одобрение перед предоставлением доступа','','ru'),(251,222,'\"New arrivals\" block settings','','en'),(252,223,'Enable \"New arrivals\" feature in catalog','','en'),(253,224,'Number of days to keep products marked as new arrivals','Specify a non-zero value; otherwise, 30 days will be used by default.','en'),(254,225,'Maximum number of products to display in complete new arrivals list','Limits the total number of products that can be displayed when user clicks the \"All new arrivals\" link in the \"New arrivals\" block. Leave 0 for no limit.','en'),(255,226,'Label new products','','en'),(256,227,'Maximum number of products to display in \"New arrivals\" block','Defines the maximum number of products that can be displayed in the \"New arrivals\" block. Specify a non-zero value; otherwise, 3 products will be displayed by default. If the specified value is less than the total amount of products on complete new arrivals list, that value will be used instead. Drupal block settings can override this option (when the DrupalConnector module is enabled).','en'),(257,228,'Show new products only from category being viewed by customer','Drupal block settings can override this option (when the DrupalConnector module is enabled).','en'),(258,229,'\"Coming soon\" block settings','','en'),(259,230,'Enable \"Coming soon\" feature in catalog','','en'),(260,231,'Label upcoming products','','en'),(261,232,'Show arrival date on product details pages','','en'),(262,233,'Show \"coming soon\" products only from category being viewed by customer','Drupal block settings can override this option (when the DrupalConnector module is enabled).','en'),(263,234,'Maximum number of products to display in \"Coming soon\" block','Defines a maximum number of products that can be displayed in the \"Coming soon\" block. Specify a non-zero value; otherwise, 3 products will be displayed by default. Drupal block settings can override this option (when the DrupalConnector module is enabled).','en'),(264,235,'\"Recently viewed\" block settings','','en'),(265,236,'Display \"Recently viewed\" block in catalog','','en'),(266,237,'Maximum number of products to display in \"Recently viewed\" block','Defines the maximum amount of products that can be displayed in the \"Recently viewed\" block. Leave 0 for no limit. Drupal block settings can override this option (when the DrupalConnector module is enabled).','en'),(267,238,'\"Customers who bought this product also bought\" block settings','','en'),(268,239,'Display block in catalog','','en'),(269,240,'Maximum number of products to display in block','Defines the maximum number of products that can be displayed in the \"Customers who bought this product also bought\" block. Specify a non-zero value; otherwise, 3 products will be displayed by default. Drupal block settings can override this option (when the DrupalConnector module is enabled).','en'),(270,241,'\"Customers who viewed this product bought\" block settings','','en'),(271,242,'Display block in catalog','','en'),(272,243,'Maximum number of products to display in block','Defines the maximum number of products that can be displayed in the \"Customers who viewed this product bought\" block. Specify a non-zero value; otherwise, 3 products will be displayed by default. Drupal block settings can override this option (when the DrupalConnector module is enabled).','en'),(273,244,'Display the \"Products on sale\" block in the storefront','','en'),(274,245,'Display only the products on sale which are in the category being viewed (or its subcategories)','','en'),(275,246,'The maximum number of products to be displayed in the \"Products on sale\" block','The maximum number of products to be displayed in the \"Products on sale\" block. Set zero to display all products in the block. Drupal block settings can override this option (when the DrupalConnector module is enabled).','en'),(276,247,'Logo','','en'),(277,248,'Favicon','For the icon to be displayed properly in all web browsers, we recommend using the icon size of 32x32 px','en'),(278,249,'Apple icon','','en'),(279,250,'Frequency of content renewal for Static page','','en'),(280,251,'Priority for Static page','The value should range from 0 to 1.','en'),(281,252,'Show the default menu along with the custom one','','en'),(282,253,'Frequency of content renewal for Welcome page','','en'),(283,254,'Frequency of content renewal for Category page','','en'),(284,255,'Frequency of content renewal for Product page','','en'),(285,256,'Priority for Welcome page','The value should range from 0 to 1.','en'),(286,257,'Priority for Category page','The value should range from 0 to 1.','en'),(287,258,'Priority for Product page','The value should range from 0 to 1.','en'),(288,259,'Enable \"In stock only\" filter','','en'),(289,260,'Enable \"Price range\" filter','','en'),(290,261,'Enable \"Attributes\" filter','','en'),(291,262,'Show only available attributes and tags for products in category','If the setting is disabled, the filter shows all the attribute values and tags used in your store. If the setting is enabled, X-Cart generates a data cache that is used to display in the filter only the attribute values and tags that are actually used for the products in the category being viewed. Please be aware that the availability of the products for specific user membership levels is not taken into account during cache generation.','en'),(292,263,'Cache reset mode','Cache is first generated when a category page is opened. When attribute, tag or product data is changed, the generated cache is removed. It is then generated again when any category is opened.','en'),(293,264,'Sort order for class attributes','This setting affects only the attributes themselves, not their values. The values are sorted alphabetically.','en'),(294,265,'Generate the URL query string for filter with','This setting defines how the URL query string should be assembled when selecting the parameters that will be used to filter products.','en'),(295,259,'Включить фильтр \"Только товары в наличии\"','','ru'),(296,260,'Включить фильтр \"Цена\"','','ru'),(297,261,'Включить фильтр \"Атрибуты\"','','ru'),(298,262,'Отображать только атрибуты и теги, реально используемые для товаров в категории','Если данная настройка выключена, в фильтре показываются все значения атрибутов и все теги, используемые в магазине. Если настройка включена, X-Cart генерирует кеш данных, позволяющий отображать в фильтре только те значения атрибутов и теги, которые реально используются для товаров в просматриваемой категории. Обратите внимание, что доступность товаров для отдельных групп пользователей при генерации кеша не учитывается.','ru'),(299,263,'Режим обновления кэша','Кеш впервые генерируется при открытии страницы категории. При внесении изменений в данные атрибутов, тегов или товаров, кеш сбрасывается. Затем он генерируется заново, когда происходит открытие любой категории.','ru'),(300,264,'Порядок сортировки классовых атрибутов','Эта настройка влияет только на сами атрибуты, а не их значения. Значения сортируются в алфавитном порядке.','ru'),(301,265,'Строить строку запроса в URL для фильтра используя','Данная настройка позволяет выбрать, каким образом должен собираться URL страницы при наборе параметров, по которым будет осуществляться фильтрация товаров.','ru'),(302,266,'Who can leave feedback','','en'),(303,267,'Admin moderates all reviews before showing them to customers','','en'),(304,268,'The quantity of reviews for tabs product reviews','','en'),(305,269,'Request customers to review the purchased products after successful orders','A successful order means an order that has been paid for and delivered.','en'),(306,269,'Отправлять покупателям приглашение оставить отзыв о купленных товарах после успешного заказа','Успешным заказом считается заказ, оплаченный и доставленный покупателю.','ru'),(307,270,'How many days later to send a review request','','en'),(308,270,'Через сколько дней отправлять приглашение оставить отзыв','','ru'),(309,271,'Use custom css','','en'),(310,272,'Use custom javascript','','en'),(311,273,'User ID','','en'),(312,274,'Password','','en'),(313,275,'Access key','','en'),(314,276,'UPS Account number','A shipper\'s UPS account number is required when requesting to receive the negotiated rates.','en'),(315,277,'Test mode','','en'),(316,278,'Additional settings','','en'),(317,279,'Package settings','','en'),(318,280,'Package box type','','en'),(319,281,'Package dimensions','','en'),(320,282,'Maximum package weight','','en'),(321,283,'Service options','','en'),(322,284,'Pickup type','','en'),(323,285,'Saturday pickup','','en'),(324,286,'Additional handling','','en'),(325,287,'Saturday delivery','','en'),(326,288,'Use negotiated rates','','en'),(327,289,'Delivery confirmation','','en'),(328,290,'Add insured value','','en'),(329,291,'Insured value','','en'),(330,292,'Cash on delivery','','en'),(331,293,'Currency conversion options','','en'),(332,294,'Shipping cost currency','','en'),(333,295,'Currency rate','If the UPS returns rates in currency which is differ from the currency the store uses for payments you need to specify the conversion rate to convert the shipping cost returned by UPS into the necessary currency. Otherwise leave 1.','en'),(334,296,'Additional options','','en'),(335,297,'Enable debugging','This option enables logging of all communication between shopping cart and UPS server.','en'),(336,298,'Number of news messages in the Top news list','','en'),(337,298,'Количество новостей в списке Последних новостей','','ru'),(338,299,'News messages per page','','en'),(339,299,'Количество новостей на странице','','ru'),(340,300,'Frequency of content renewal for News Message page','','en'),(341,301,'Priority for News Message page','The value should range from 0 to 1.','en'),(342,302,'Shipping cost for products with a defined shipping freight value should be calculated as','','en'),(343,302,'Стоимость доставки для товаров с заданным значением поля \"Фиксированная стоимость доставки\" должна быть равна','','ru'),(344,303,'Default geolocation provider','','en'),(345,303,'Приоритетный источник данных о местоположении','','ru'),(346,304,'Display location select widget','','en'),(347,304,'Отображать виджет смены местоположения','','ru'),(348,305,'Upload extended database','You can upload an extended .mmdb database to get user location by IP more accurately','en'),(349,305,'Загрузить расширенную базу данных','Вы можете загрузить расширенную базу данных в формате .mmdb для более точного определения местоположения','ru'),(350,306,'Database file in use','','en'),(351,306,'Текущая база данных','','ru'),(352,307,'Checkout type','','en'),(353,308,'Use custom colors','','en'),(354,309,'Custom colors','','en'),(355,310,'MailChimp settings','','en'),(356,311,'MailChimp API key','','en'),(357,312,'Enable E-commerce analytics','','en'),(358,313,'Enable Abandoned Carts','','en'),(359,314,'Default list for automatic campaigns','','en'),(360,315,'Enable single opt-in for customers','When this option is enabled customers are not prompted to confirm the subscription by email (contrary to double opt-in). Abusing this option might get your account banned by MailChimp.','en'),(361,316,'Subscription select element type','This option controls the way your customers select a subscription. Select box allows subscription to only one mail list while check box allows subscription to multiple lists. For Checkout page always stays checkbox.','en'),(362,317,'Update MailChimp lists every','Select the time interval for the periodical list updates.','en'),(363,318,'Type of discount coupons that should be uploaded to MailChimp','The MailChimp promo rules are:<br> - Code<br> - Discount amount<br> - Active from<br> - Active till <br>Discount coupons configured using any rules outside this rule set will be treated as not matching the MailChimp rules.','en'),(364,318,'Тип купонов на скидку, который следует загружать в MailChimp','Промо-правила MailChimp: <br> - Код<br> - Сумма скидки<br> - Активен с<br> - Активен по <br>Купоны, настроенные с использованием каких-либо правил сверх этого набора, будут считаться не соответствующим промо-правилам MailChimp.','ru'),(365,310,'Настройки MailChimp','','ru'),(366,311,'API ключ MailChimp','','ru'),(367,312,'Включить аналитику Ecommerce','','ru'),(368,313,'Включить Abandoned Carts','','ru'),(369,314,'Список рассылок для автоматических кампаний','','ru'),(370,315,'Включить режим подписки \"single opt-in\"','Когда этоа опция включена клиенты не будут получать запрос на подтверждение подписки (в отличие от метода \"double opt-in\"). Злоупотребление данной опцией может привести к блокировке вашей учетной записи MailChimp!','ru'),(371,316,'Тип элемента выбора подписки','Эта опция управляет тем, как ваши клиенты выбирают подписку на рассылку. Список позволяет подписаться только на одну рассылку из списка за раз, когда как галочка позволяет подписаться на несколько рассылок сразу. Для страницы оплаты всегда остаётся галочка.','ru'),(372,317,'Обновлять список рассылок MailChimp каждые','Выберите временной интервал для обновления информации о списках рассылок.','ru'),(373,319,'Write key','','en'),(374,320,'Company Id','','en'),(375,321,'User Id','','en'),(376,322,'Additional config loaded','','en'),(377,323,'Show number of products in category','Select to show the number of products in a category next to the category\'s name','en'),(378,324,'Wrap long category names','Enable word wrapping for long category names','en'),(379,325,'Show category triangles','Select to display a tiny triangle next the names of categories that include subcategories. Categories that do not contain subcategories will not be furnished with a triangle. Having this option activated would help your store visitors to navigate through your category tree better','en'),(380,329,'Enable CloudFilters','','en'),(381,329,'Включить CloudFilters','','ru'),(382,330,'Max number of files that can be attached','','en'),(383,330,'Максимальное количество файлов, которые можно присоединить','','ru'),(384,331,'Allowed file extensions','','en'),(385,331,'Допустимые расширения','','ru'),(386,332,'Max file size (MB). Set to \"0\" (zero) for unlimited','','en'),(387,332,'Максимальный размер файла (МБ). Используйте \"0\" (ноль) при отсутствии ограничений размера','','ru'),(388,333,'Not finished order will be created','','en'),(389,333,'Создавать незавершенный заказ','','ru'),(390,334,'Clear cart if administrator changes order','','en'),(391,334,'Очищать корзину при изменении заказа администратором','','ru'),(392,335,'Limit lifetime of not finished order','','en'),(393,335,'Ограничить срок действия незавершенного заказа','','ru'),(394,336,'Time to use the order for future attempts (days)','0 means that every failed attempt will be recorded as individual not finished order and its data will not be used in the next attempts.','en'),(395,336,'Срок действия незавершенного заказа (в днях)','Если задать срок равным 0 (нулю), то каждая неудачная попытка оплаты будет создавать отдельный незавершенный заказ, и данные этого заказа не будут внесены в будущие попытки.','ru'),(396,337,'Allow direct communication between vendor and buyer in the \"Warehouse\" multivendor mode','','en'),(397,337,'Разрешить обмен сообщениями между продавцом и покупателем в режиме \"Общий склад\"','','ru'),(398,338,'Show tags list in the sidebar','','en'),(399,339,'Enable \"Tags\" filter','','en'),(400,338,'Показывать список тегов в боковой колонке','','ru'),(401,339,'Включить фильтр \"Теги\"','','ru'),(402,341,'Test mode','','en'),(403,342,'API key','A unique 32 character API key is used to authorise inbound requests to the APIs. To obtain an API key please visit <a href=\"http://auspost.com.au/devcentre\">http://auspost.com.au/devcentre</a> and follow the link to create your Australia Post ID. After registration has been successfully completed you will be emailed an API key.','en'),(404,343,'Package settings','','en'),(405,345,'Package box type','','en'),(406,346,'Package dimensions (mm)','','en'),(407,347,'Additional settings','','en'),(408,348,'Service option','','en'),(409,349,'Extra cover type','','en'),(410,350,'Extra cover value','The specified value (if not empty) will be used as an extra cover value. Otherwise an order total will be used.','en'),(411,351,'Currency rate','Specify rate X, where 1 AUD = X in shop currency.','en'),(412,352,'Enable new methods','When AustraliaPost return shipping methods which does not exists in the available methods list, these methods will be created in the list automatically. You can specify should these methods be created as enabled and accessible customers just after they created, or these methods must be hidden from customer until you manually validate them.','en'),(413,353,'Enable debugging','This option enables logging of all communication between the shopping cart and AustraliaPost server.','en'),(414,355,'Merchant\'s skrill.com account','','en'),(415,356,'Company logo URL','','en'),(416,357,'Test mode','','en'),(417,358,'Secret word','The uppercase MD5 value of the ASCII equivalent of the secret word submitted in the \"Merchant Tools\" section of the Merchant.s online Skrill account.','en'),(418,359,'Invoice number prefix','','en'),(419,361,'Use the same tax rates for all user membership levels','','en'),(420,362,'Address for sales tax calculation','','en'),(421,363,'Taxable base','','en'),(422,364,'Data provider','','en'),(423,365,'PitneyBowes merchant emailId','','en'),(424,366,'PitneyBowes merchant shipperId','','en'),(425,367,'User ID','','en'),(426,368,'U.S.P.S. API server URL','Enter the URL provided to you by U.S.P.S. in the notification about your successful registration for the U. S. Postal Service\'s Web Tools Application Program Interfaces. For example: <ul><li>http://stg-production.shippingapis.com/ShippingApi.dll</li><li>http://production.shippingapis.com/ShippingAPI.dll</li></ul>','en'),(427,369,'Additional settings','','en'),(428,370,'Common options','','en'),(429,371,'Package Size (length + girth, inches)','','en'),(430,372,'Package dimensions (inches)','','en'),(431,373,'Girth','Required for large size and if the container is non-rectangular or variable','en'),(432,374,'Maximum package weight','','en'),(433,375,'Machinable','','en'),(434,376,'Currency conversion rate','Specify rate X, where 1 USD = X in shop currency.<br/>The shipping cost is always returned in US Dollars. So if the store uses a different currency for payments, you need to specify a conversion rate to convert the shipping cost returned by the shipping service into your store\'s currency. If the same currency is used, leave this set to 1.','en'),(435,377,'Domestic U.S.P.S.','','en'),(436,378,'Container','','en'),(437,379,'First-Class mail type','','en'),(438,380,'Pricing type to be used','','en'),(439,381,'Parcel type','','en'),(440,382,'Request rates for','','en'),(441,383,'International U.S.P.S.','','en'),(442,384,'Mail type','','en'),(443,385,'Container','','en'),(444,386,'Get commercial base postage','','en'),(445,387,'Global Express Guarantee (GXG)','','en'),(446,388,'GXG destination is a post office box','','en'),(447,389,'GXG package contains a gift','','en'),(448,390,'Parcel type','','en'),(449,391,'Cash on delivery','','en'),(450,392,'Use a fixed amount Collect on Delivery fee','If you are planning to allow your customers to use the COD payment method for orders shipped with USPS shipping methods, you can make the calculation of shipping costs faster by setting a fixed extra fee for using the COD payment method.<br /><br />If a fixed amount COD fee is not set on the store\'s end, it will be calculated on the USPS end, and to get information about the COD fee amount the store will need to send several requests to the USPS API (one for each USPS service type), which may take up to 14 seconds. When using a fixed amount COD fee, the store will only send a single request to the USPS API, which will take under one second.<br /><br />Using a <b>fixed amount COD fee</b> allows the store to calculate the shipping cost much faster and is the <b>recommended option</b>.','en'),(451,393,'Fixed COD price','If you have selected to use a fixed COD fee, specify the fee amount here. The COD fee will be used for all shipping methods returned by the USPS server.<br /><br />You can find the current price for the USPS Collect on Delivery (COD) extra service on this page: <a href=\"https://www.usps.com/business/add-extra-services.htm\" target=\"_blank\">https://www.usps.com/business/add-extra-services.htm</a>','en'),(452,394,'Additional options','','en'),(453,395,'Log all communication between shopping cart and USPS server','','en'),(454,396,'Sandbox mode','','en'),(455,397,'Auto enable new USPS shipping methods','','en'),(456,364,'Data provider','','ru'),(457,365,'PitneyBowes merchant emailId','','ru'),(458,366,'PitneyBowes merchant shipperId','','ru'),(459,367,'Идентификатор пользователя','','ru'),(460,368,'Веб-адрес API сервера U.S.P.S.','Введите веб-адрес, указанный в уведомлении от U.S.P.S. об успешной регистрации в U. S. Postal Service Web Tools Application Program Interfaces. Например: <ul><li>http://testing.shippingapis.com/ShippingAPITest.dll</li><li>http://production.shippingapis.com/ShippingAPI.dll</li></ul>','ru'),(461,369,'Дополнительные настройки','','ru'),(462,370,'Общие настройки','','ru'),(463,372,'Размеры упаковки (в дюймах)','','ru'),(464,373,'Периметр (дюймы)','Для больших размеров и непрямоугольного и неизменяемого контейнера.','ru'),(465,374,'Максимальный вес упаковки','','ru'),(466,376,'Коэффициент пересчета валюты','Укажите ставку X, где 1 USD = X в валюте магазина.<br/>Стоимость доставки всегда определяется в американских доллрах. Если в магазине используется другая валюта, необходимо указать коэффициент пересчёта стоимости доставки, полученной от службы доставки, в валюту магазина. Если валюта совпадает, оставить коэффициент равным 1.','ru'),(467,377,'Локальный U.S.P.S.','','ru'),(468,378,'Тара','','ru'),(469,371,'Размеры упаковки (длина+обхват, в дюймах)','','ru'),(470,379,'Тип почтового отправления для сервиса First-Class','','ru'),(471,375,'Машинная обработка','','ru'),(472,380,'Используемый тип цены (розничная, коммерческая и т.п.)','','ru'),(473,381,'Тип почтового отправления','','ru'),(474,383,'Международная служба U.S.P.S.','','ru'),(475,384,'Тип почтового отправления','','ru'),(476,385,'Тара','','ru'),(477,386,'Воспользоваться услугой Commercial Base','','ru'),(478,387,'Служба доставки Global Express Guarantee (GXG)','','ru'),(479,388,'Пункт назначения GXG - абонентский ящик','','ru'),(480,389,'В посылке GXG есть подарок','','ru'),(481,390,'Тип почтового отправления','','ru'),(482,391,'Оплата при получении','','ru'),(483,392,'Использовать фиксированную сумму наценки на доставку наложенным платежом','Если вы планируете предоставлять покупателям возможность оплаты заказа при получении при доставке методами USPS, вы можете ускорить расчет стоимости доставки заказа, установив фиксированную наценку за использование данного метода оплаты. В случае, когда размер наценки не задан жестко на стороне магазина, расчет наценки будет осуществляться на стороне USPS, и для получения информации о размере наценки магазин должен будет отправить несколько запросов к USPS API (по одному для каждого типа сервисов USPS), что в общей сложности может занять до 20 сек. При использовании фиксированной наценки магазин будет делать всего один запрос к USPS API, на который ему потребуется менее одной секунды. Использование фиксированной наценки значительно ускоряет расчет стоимости доставки методами USPS и является рекомендуемой опцией.','ru'),(484,393,'Fixed COD price','Если вы выбрали использование фиксированной наценки на COD, укажите здесь ее значение. Это значение будет использовано для всех методов доставки USPS. Вы можете найти актуальное значение наценки за использование услуги Collect on delivery на этой странице: <a href=\"https://www.usps.com/business/add-extra-services.htm\" target=\"_blank\">https://www.usps.com/business/add-extra-services.htm</a>','ru'),(485,394,'Дополнительные опции','','ru'),(486,395,'Записать всю коммуникацию магазина с сервером USPS','','ru'),(487,396,'Sandbox mode','','ru'),(488,397,'Добавлять новые методы USPS включенными','','ru'),(489,398,'Store ID','Store ID is an unique value generated by X-Payments for this shopping cart. This value should be obtained from this online store details page in X-Payments back-end.','en'),(490,399,'X-Payments URL','URL of your X-Payments installation (specify the URL beginning with https://). The store will send payment transaction requests to this URL.','en'),(491,400,'Public key','Public key is used to encrypt requests from the store to your X-Payments installation. This value should be obtained from this online store details page in X-Payments back-end.','en'),(492,401,'Private key','Private key is used to decrypt responses and callback requests that the store receives from your X-Payments installation. This value should be obtained from this online store details page in X-Payments back-end.','en'),(493,402,'Private key password','Private key password is used to decrypt the Private key. This value should be obtained from this online store details page in X-Payments back-end.','en'),(494,403,'IP addresses for X-Payments callbacks (optional)','X-Payments sends callback requests to the store from specific IP addresses. To secure the data transfer and avoid fraudulent requests, specify these IP addresses here as a comma-separated list.','en'),(495,404,'Payment currency','All the payments will be made using the currency specified here.','en'),(496,405,'API version compatibility','','en'),(497,406,'Use iframe','','en'),(498,407,'Date when the payment methods were loaded from site','','en'),(499,408,'List of payment methods allowed by X-Payments','','en'),(500,409,'Payment method for card setup','','en'),(501,410,'Authorize amount for card setup','Which amount should be authorized on card. Recommended 0.00, 0.01 or 1.00. Note: if you chose 0.00 make sure the payment gateway supports such authorization','en'),(502,411,'Description of the card setup payment','Description of card setup authorization. It`s sent to the payment gateway and can be seen by you and your customers thru the bank receipt.','en'),(503,414,'User','','en'),(504,415,'Password','','en'),(505,416,'Developer mode','','en'),(506,417,'Log all communications between shopping cart and CanadaPost server','','en'),(507,418,'Additional settings','','en'),(508,419,'Quote type','','en'),(509,420,'Customer number','','en'),(510,421,'Currency rate','(specify rate X, where 1 CAD = X in shop currency)','en'),(511,422,'Contract shipping options','','en'),(512,423,'Contract ID','','en'),(513,424,'Shipments pick up type','','en'),(514,425,'Site number of the deposit location','Look up the site number using <a href=\"https://www.canadapost.ca/cpotools/apps/fdl/business/findDepositLocation?execution=e1s1\">Find a Deposit Location</a>','en'),(515,426,'Render detailed manifest','','en'),(516,427,'Contact name for the manifest address','','en'),(517,428,'Deliver to Post Office options','','en'),(518,429,'Enable \"Deliver to Post Office\" feature','','en'),(519,430,'Maximum Post Offices that will be displayed','','en'),(520,431,'Parcel characteristics','','en'),(521,432,'Package length (cm)','Longest dimension. (3.1 digits e.g. 999.9 pattern)','en'),(522,433,'Package width (cm)','Second longest dimension. (3.1 digits e.g. 999.9 pattern)','en'),(523,434,'Package height (cm)','Shortest dimension. (3.1 digits e.g. 999.9 pattern)','en'),(524,435,'Package maximum weight (kg)','This value will be used to separate ordered products into several packages by weight','en'),(525,436,'Document','Indicates whether the shipment is a document or not.','en'),(526,437,'Unpackaged','Indicates whether a shipment is unpackaged or not. For example, auto tires may be an example of an unpackaged shipment.','en'),(527,438,'Mailing tube','Indicates whether a shipment is contained in a mailing tube. (e.g. a poster tube)','en'),(528,439,'Oversized','Indicates whether the parcel is oversized or not.','en'),(529,440,'Parcel options','','en'),(530,441,'Way to deliver','','en'),(531,442,'Signature','','en'),(532,443,'Proof of age','','en'),(533,444,'Coverage','In percent of the order subtotal (0 - do not use coverage)','en'),(534,445,'Non-delivery instructions','','en'),(535,450,'How to show variant prices in product lists','If you choose to switch to the \"Price range\" option, the first time you do so be sure to run a recalculation of <a href=\"admin.php?target=cache_management\">quick data</a>. This has to be done either before or after the switch. Without the recalculation some features may not work correctly.','en'),(536,450,'Как отображать цены вариантов в списках товаров','При первом переключении в режим диапазона необходимо запустить перестройку <a href=\"admin.php?target=cache_management\">quick data</a>. Это нужно сделать либо до, либо после переключения. Без перестройки quick data некоторые функции могут работать некорректно.','ru');
/*!40000 ALTER TABLE `xc_config_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_content_images`
--

DROP TABLE IF EXISTS `xc_content_images`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_content_images` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `width` int(11) NOT NULL,
  `height` int(11) NOT NULL,
  `hash` char(32) COLLATE utf8_unicode_ci DEFAULT NULL,
  `needProcess` tinyint(1) NOT NULL,
  `path` varchar(512) COLLATE utf8_unicode_ci NOT NULL,
  `fileName` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `mime` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `storageType` varchar(1) COLLATE utf8_unicode_ci NOT NULL,
  `size` int(10) unsigned NOT NULL,
  `date` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_content_images`
--

LOCK TABLES `xc_content_images` WRITE;
/*!40000 ALTER TABLE `xc_content_images` DISABLE KEYS */;
/*!40000 ALTER TABLE `xc_content_images` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_content_videos`
--

DROP TABLE IF EXISTS `xc_content_videos`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_content_videos` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `path` varchar(512) COLLATE utf8_unicode_ci NOT NULL,
  `fileName` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `mime` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `storageType` varchar(1) COLLATE utf8_unicode_ci NOT NULL,
  `size` int(10) unsigned NOT NULL,
  `date` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_content_videos`
--

LOCK TABLES `xc_content_videos` WRITE;
/*!40000 ALTER TABLE `xc_content_videos` DISABLE KEYS */;
/*!40000 ALTER TABLE `xc_content_videos` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_conversation_members`
--

DROP TABLE IF EXISTS `xc_conversation_members`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_conversation_members` (
  `conversation_id` int(10) unsigned NOT NULL,
  `profile_id` int(11) NOT NULL,
  PRIMARY KEY (`conversation_id`,`profile_id`),
  KEY `IDX_456165ADA39AC0396` (`conversation_id`),
  KEY `IDX_456165ADA3CCFA12B8` (`profile_id`),
  CONSTRAINT `FK_456165ADA39AC0396` FOREIGN KEY (`conversation_id`) REFERENCES `xc_conversations` (`id`) ON DELETE CASCADE,
  CONSTRAINT `FK_456165ADA3CCFA12B8` FOREIGN KEY (`profile_id`) REFERENCES `xc_profiles` (`profile_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_conversation_members`
--

LOCK TABLES `xc_conversation_members` WRITE;
/*!40000 ALTER TABLE `xc_conversation_members` DISABLE KEYS */;
/*!40000 ALTER TABLE `xc_conversation_members` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_conversations`
--

DROP TABLE IF EXISTS `xc_conversations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_conversations` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `order_id` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `UNIQ_845131BB8D9F6D38` (`order_id`),
  CONSTRAINT `FK_45845131BB8D9F6D38` FOREIGN KEY (`order_id`) REFERENCES `xc_orders` (`order_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_conversations`
--

LOCK TABLES `xc_conversations` WRITE;
/*!40000 ALTER TABLE `xc_conversations` DISABLE KEYS */;
/*!40000 ALTER TABLE `xc_conversations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_countries`
--

DROP TABLE IF EXISTS `xc_countries`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_countries` (
  `code` char(2) COLLATE utf8_unicode_ci NOT NULL,
  `currency_id` int(10) unsigned DEFAULT NULL,
  `id` int(11) NOT NULL,
  `code3` char(3) COLLATE utf8_unicode_ci NOT NULL,
  `enabled` tinyint(1) NOT NULL,
  PRIMARY KEY (`code`),
  UNIQUE KEY `UNIQ_C4F7794977153098` (`code`),
  KEY `IDX_45C4F7794938248176` (`currency_id`),
  KEY `enabled` (`enabled`),
  CONSTRAINT `FK_45C4F7794938248176` FOREIGN KEY (`currency_id`) REFERENCES `xc_currencies` (`currency_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_countries`
--

LOCK TABLES `xc_countries` WRITE;
/*!40000 ALTER TABLE `xc_countries` DISABLE KEYS */;
INSERT INTO `xc_countries` VALUES ('AD',978,20,'AND',1),('AE',784,784,'ARE',1),('AF',971,4,'AFG',1),('AG',951,28,'ATG',1),('AI',951,660,'AIA',1),('AL',8,8,'ALB',1),('AM',51,51,'ARM',1),('AO',973,24,'AGO',1),('AQ',NULL,10,'ATA',1),('AR',32,32,'ARG',1),('AS',840,16,'ASM',1),('AT',978,40,'AUT',1),('AU',36,36,'AUS',1),('AW',533,533,'ABW',1),('AX',978,248,'ALA',1),('AZ',944,31,'AZE',1),('BA',977,70,'BIH',1),('BB',52,52,'BRB',1),('BD',50,50,'BGD',1),('BE',978,56,'BEL',1),('BF',952,854,'BFA',1),('BG',975,100,'BGR',1),('BH',48,48,'BHR',1),('BI',108,108,'BDI',1),('BJ',952,204,'BEN',1),('BL',978,652,'BLM',1),('BM',60,60,'BMU',1),('BN',96,96,'BRN',1),('BO',68,68,'BOL',1),('BQ',840,535,'BES',1),('BR',986,76,'BRA',1),('BS',44,44,'BHS',1),('BT',356,64,'BTN',1),('BV',578,74,'BVT',1),('BW',72,72,'BWA',1),('BY',974,112,'BLR',1),('BZ',84,84,'BLZ',1),('CA',124,124,'CAN',1),('CC',36,166,'CCK',1),('CD',976,180,'COD',1),('CF',950,140,'CAF',1),('CG',950,178,'COG',1),('CH',756,756,'CHE',1),('CI',950,384,'CIV',1),('CK',554,184,'COK',1),('CL',152,152,'CHL',1),('CM',950,120,'CMR',1),('CN',156,156,'CHN',1),('CO',170,170,'COL',1),('CR',188,188,'CRI',1),('CU',192,192,'CUB',1),('CV',132,132,'CPV',1),('CW',532,531,'CUW',1),('CX',36,162,'CXR',1),('CY',978,196,'CYP',1),('CZ',203,203,'CZE',1),('DE',978,276,'DEU',1),('DJ',262,262,'DJI',1),('DK',208,208,'DNK',1),('DM',951,212,'DMA',1),('DO',214,214,'DOM',1),('DZ',12,12,'DZA',1),('EC',840,218,'ECU',1),('EE',978,233,'EST',1),('EG',818,818,'EGY',1),('EH',504,732,'ESH',1),('ER',232,232,'ERI',1),('ES',978,724,'ESP',1),('ET',230,231,'ETH',1),('FI',978,246,'FIN',1),('FJ',242,242,'FJI',1),('FK',238,238,'FLK',1),('FM',840,583,'FSM',1),('FO',208,234,'FRO',1),('FR',978,250,'FRA',1),('GA',950,266,'GAB',1),('GB',826,826,'GBR',1),('GD',951,308,'GRD',1),('GE',981,268,'GEO',1),('GF',978,254,'GUF',1),('GG',826,831,'GGY',1),('GH',936,288,'GHA',1),('GI',292,292,'GIB',1),('GL',208,304,'GRL',1),('GM',270,270,'GMB',1),('GN',324,324,'GIN',1),('GP',978,312,'GLP',1),('GQ',950,226,'GNQ',1),('GR',978,300,'GRC',1),('GS',826,239,'SGS',1),('GT',320,320,'GTM',1),('GU',840,316,'GUM',1),('GW',952,624,'GNB',1),('GY',328,328,'GUY',1),('HK',344,344,'HKG',1),('HM',36,334,'HMD',1),('HN',340,340,'HND',1),('HR',191,191,'HRV',1),('HT',332,332,'HTI',1),('HU',348,348,'HUN',1),('ID',360,360,'IDN',1),('IE',978,372,'IRL',1),('IL',376,376,'ISR',1),('IM',826,833,'IMN',1),('IN',356,356,'IND',1),('IO',840,86,'IOT',1),('IQ',368,368,'IRQ',1),('IR',364,364,'IRN',1),('IS',352,352,'ISL',1),('IT',978,380,'ITA',1),('JE',826,832,'JEY',1),('JM',388,388,'JAM',1),('JO',400,400,'JOR',1),('JP',392,392,'JPN',1),('KE',404,404,'KEN',1),('KG',417,417,'KGZ',1),('KH',116,116,'KHM',1),('KI',36,296,'KIR',1),('KM',174,174,'COM',1),('KN',951,659,'KNA',1),('KP',408,408,'PRK',1),('KR',410,410,'KOR',1),('KW',414,414,'KWT',1),('KY',136,136,'CYM',1),('KZ',398,398,'KAZ',1),('LA',418,418,'LAO',1),('LB',422,422,'LBN',1),('LC',951,662,'LCA',1),('LI',756,438,'LIE',1),('LK',144,144,'LKA',1),('LR',430,430,'LBR',1),('LS',426,426,'LSO',1),('LT',440,440,'LTU',1),('LU',978,442,'LUX',1),('LV',428,428,'LVA',1),('LY',434,434,'LBY',1),('MA',504,504,'MAR',1),('MC',978,492,'MCO',1),('MD',498,498,'MDA',1),('ME',978,499,'MNE',1),('MF',978,663,'MAF',1),('MG',969,450,'MDG',1),('MH',840,584,'MHL',1),('MK',807,807,'MKD',1),('ML',952,466,'MLI',1),('MM',64,104,'MMR',1),('MN',496,496,'MNG',1),('MO',446,446,'MAC',1),('MP',840,580,'MNP',1),('MQ',978,474,'MTQ',1),('MR',478,478,'MRT',1),('MS',951,500,'MSR',1),('MT',978,470,'MLT',1),('MU',480,480,'MUS',1),('MV',462,462,'MDV',1),('MW',454,454,'MWI',1),('MX',484,484,'MEX',1),('MY',458,458,'MYS',1),('MZ',943,508,'MOZ',1),('NA',516,516,'NAM',1),('NC',953,540,'NCL',1),('NE',952,562,'NER',1),('NF',36,574,'NFK',1),('NG',566,566,'NGA',1),('NI',558,558,'NIC',1),('NL',978,528,'NLD',1),('NO',578,578,'NOR',1),('NP',524,524,'NPL',1),('NR',36,520,'NRU',1),('NU',554,570,'NIU',1),('NZ',554,554,'NZL',1),('OM',512,512,'OMN',1),('PA',590,591,'PAN',1),('PE',604,604,'PER',1),('PF',953,258,'PYF',1),('PG',598,598,'PNG',1),('PH',608,608,'PHL',1),('PK',586,586,'PAK',1),('PL',985,616,'POL',1),('PM',978,666,'SPM',1),('PN',554,612,'PCN',1),('PR',840,630,'PRI',1),('PS',400,275,'PSE',1),('PT',978,620,'PRT',1),('PW',840,585,'PLW',1),('PY',600,600,'PRY',1),('QA',634,634,'QAT',1),('RE',978,638,'REU',1),('RO',946,642,'ROU',1),('RS',941,688,'SRB',1),('RU',643,643,'RUS',1),('RW',646,646,'RWA',1),('SA',682,682,'SAU',1),('SB',90,90,'SLB',1),('SC',690,690,'SYC',1),('SD',938,729,'SDN',1),('SE',752,752,'SWE',1),('SG',702,702,'SGP',1),('SH',654,654,'SHN',1),('SI',978,705,'SVN',1),('SJ',978,744,'SJM',1),('SK',978,703,'SVK',1),('SL',694,694,'SLE',1),('SM',978,674,'SMR',1),('SN',952,686,'SEN',1),('SO',706,706,'SOM',1),('SR',968,740,'SUR',1),('SS',728,728,'SSD',1),('ST',678,678,'STP',1),('SV',222,222,'SLV',1),('SX',532,534,'SXM',1),('SY',760,760,'SYR',1),('SZ',748,748,'SWZ',1),('TC',840,796,'TCA',1),('TD',950,148,'TCD',1),('TF',978,260,'ATF',1),('TG',952,768,'TGO',1),('TH',764,764,'THA',1),('TJ',972,762,'TJK',1),('TK',554,772,'TKL',1),('TL',840,626,'TLS',1),('TM',934,795,'TKM',1),('TN',788,788,'TUN',1),('TO',776,776,'TON',1),('TR',949,792,'TUR',1),('TT',780,780,'TTO',1),('TV',36,798,'TUV',1),('TW',901,158,'TWN',1),('TZ',834,834,'TZA',1),('UA',980,804,'UKR',1),('UG',800,800,'UGA',1),('UM',840,581,'UMI',1),('US',840,840,'USA',1),('UY',858,858,'URY',1),('UZ',860,860,'UZB',1),('VA',978,336,'VAT',1),('VC',951,670,'VCT',1),('VE',937,862,'VEN',1),('VG',840,92,'VGB',1),('VI',840,850,'VIR',1),('VN',704,704,'VNM',1),('VU',548,548,'VUT',1),('WF',953,876,'WLF',1),('WS',882,882,'WSM',1),('YE',886,887,'YEM',1),('YT',978,175,'MYT',1),('ZA',710,710,'ZAF',1),('ZM',894,894,'ZMB',1),('ZW',932,716,'ZWE',1);
/*!40000 ALTER TABLE `xc_countries` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_country_translations`
--

DROP TABLE IF EXISTS `xc_country_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_country_translations` (
  `label_id` int(11) NOT NULL AUTO_INCREMENT,
  `id` char(2) COLLATE utf8_unicode_ci DEFAULT NULL,
  `country` varchar(64) COLLATE utf8_unicode_ci NOT NULL,
  `code` char(2) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`label_id`),
  KEY `ci` (`code`,`id`),
  KEY `country` (`country`),
  KEY `id` (`id`),
  CONSTRAINT `FK_45758727C3BF396750` FOREIGN KEY (`id`) REFERENCES `xc_countries` (`code`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=250 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_country_translations`
--

LOCK TABLES `xc_country_translations` WRITE;
/*!40000 ALTER TABLE `xc_country_translations` DISABLE KEYS */;
INSERT INTO `xc_country_translations` VALUES (1,'AF','Afghanistan','en'),(2,'AX','Åland Islands','en'),(3,'AL','Albania','en'),(4,'DZ','Algeria','en'),(5,'AS','American Samoa','en'),(6,'AD','Andorra','en'),(7,'AO','Angola','en'),(8,'AI','Anguilla','en'),(9,'AQ','Antarctica','en'),(10,'AG','Antigua and Barbuda','en'),(11,'AR','Argentina','en'),(12,'AM','Armenia','en'),(13,'AW','Aruba','en'),(14,'AU','Australia','en'),(15,'AT','Austria','en'),(16,'AZ','Azerbaijan','en'),(17,'BS','Bahamas','en'),(18,'BH','Bahrain','en'),(19,'BD','Bangladesh','en'),(20,'BB','Barbados','en'),(21,'BY','Belarus','en'),(22,'BE','Belgium','en'),(23,'BZ','Belize','en'),(24,'BJ','Benin','en'),(25,'BM','Bermuda','en'),(26,'BT','Bhutan','en'),(27,'BO','Bolivia, Plurinational State of','en'),(28,'BQ','Bonaire, Sint Eustatius and Saba','en'),(29,'BA','Bosnia and Herzegowina','en'),(30,'BW','Botswana','en'),(31,'BV','Bouvet Island','en'),(32,'BR','Brazil','en'),(33,'IO','British Indian Ocean Territory','en'),(34,'BN','Brunei Darussalam','en'),(35,'BG','Bulgaria','en'),(36,'BF','Burkina Faso','en'),(37,'BI','Burundi','en'),(38,'KH','Cambodia','en'),(39,'CM','Cameroon','en'),(40,'CA','Canada','en'),(41,'CV','Cape Verde','en'),(42,'KY','Cayman Islands','en'),(43,'CF','Central African Republic','en'),(44,'TD','Chad','en'),(45,'CL','Chile','en'),(46,'CN','China','en'),(47,'CX','Christmas Island','en'),(48,'CC','Cocos (Keeling) Islands','en'),(49,'CO','Colombia','en'),(50,'KM','Comoros','en'),(51,'CG','Congo','en'),(52,'CD','Congo, the Democratic Republic of the','en'),(53,'CK','Cook Islands','en'),(54,'CR','Costa Rica','en'),(55,'CI','Côte d\'Ivoire','en'),(56,'HR','Croatia','en'),(57,'CU','Cuba','en'),(58,'CW','Curaçao','en'),(59,'CY','Cyprus','en'),(60,'CZ','Czech Republic','en'),(61,'DK','Denmark','en'),(62,'DJ','Djibouti','en'),(63,'DM','Dominica','en'),(64,'DO','Dominican Republic','en'),(65,'EC','Ecuador','en'),(66,'EG','Egypt','en'),(67,'SV','El Salvador','en'),(68,'GQ','Equatorial Guinea','en'),(69,'ER','Eritrea','en'),(70,'EE','Estonia','en'),(71,'ET','Ethiopia','en'),(72,'FK','Falkland Islands (Malvinas)','en'),(73,'FO','Faroe Islands','en'),(74,'FJ','Fiji','en'),(75,'FI','Finland','en'),(76,'FR','France','en'),(77,'GF','French Guiana','en'),(78,'PF','French Polynesia','en'),(79,'TF','French Southern Territories','en'),(80,'GA','Gabon','en'),(81,'GM','Gambia','en'),(82,'GE','Georgia','en'),(83,'DE','Germany','en'),(84,'GH','Ghana','en'),(85,'GI','Gibraltar','en'),(86,'GR','Greece','en'),(87,'GL','Greenland','en'),(88,'GD','Grenada','en'),(89,'GP','Guadeloupe','en'),(90,'GU','Guam','en'),(91,'GT','Guatemala','en'),(92,'GG','Guernsey','en'),(93,'GN','Guinea','en'),(94,'GW','Guinea-Bissau','en'),(95,'GY','Guyana','en'),(96,'HT','Haiti','en'),(97,'HM','Heard and McDonald Islands','en'),(98,'VA','Holy See (Vatican City State)','en'),(99,'HN','Honduras','en'),(100,'HK','Hong Kong','en'),(101,'HU','Hungary','en'),(102,'IS','Iceland','en'),(103,'IN','India','en'),(104,'ID','Indonesia','en'),(105,'IR','Iran, Islamic Republic of','en'),(106,'IQ','Iraq','en'),(107,'IE','Ireland','en'),(108,'IM','Isle of Man','en'),(109,'IL','Israel','en'),(110,'IT','Italy','en'),(111,'JM','Jamaica','en'),(112,'JP','Japan','en'),(113,'JE','Jersey','en'),(114,'JO','Jordan','en'),(115,'KZ','Kazakhstan','en'),(116,'KE','Kenya','en'),(117,'KI','Kiribati','en'),(118,'KP','Korea, Democratic People\'s Republic of','en'),(119,'KR','Korea, Republic of','en'),(120,'KW','Kuwait','en'),(121,'KG','Kyrgyzstan','en'),(122,'LA','Lao People\'s Democratic Republic','en'),(123,'LV','Latvia','en'),(124,'LB','Lebanon','en'),(125,'LS','Lesotho','en'),(126,'LR','Liberia','en'),(127,'LY','Libya','en'),(128,'LI','Liechtenstein','en'),(129,'LT','Lithuania','en'),(130,'LU','Luxembourg','en'),(131,'MO','Macao','en'),(132,'MK','Macedonia','en'),(133,'MG','Madagascar','en'),(134,'MW','Malawi','en'),(135,'MY','Malaysia','en'),(136,'MV','Maldives','en'),(137,'ML','Mali','en'),(138,'MT','Malta','en'),(139,'MH','Marshall Islands','en'),(140,'MQ','Martinique','en'),(141,'MR','Mauritania','en'),(142,'MU','Mauritius','en'),(143,'YT','Mayotte','en'),(144,'MX','Mexico','en'),(145,'FM','Micronesia, Federated States of','en'),(146,'MD','Moldova, Republic of','en'),(147,'MC','Monaco','en'),(148,'MN','Mongolia','en'),(149,'ME','Montenegro','en'),(150,'MS','Montserrat','en'),(151,'MA','Morocco','en'),(152,'MZ','Mozambique','en'),(153,'MM','Myanmar','en'),(154,'NA','Namibia','en'),(155,'NR','Nauru','en'),(156,'NP','Nepal','en'),(157,'NL','Netherlands','en'),(158,'NC','New Caledonia','en'),(159,'NZ','New Zealand','en'),(160,'NI','Nicaragua','en'),(161,'NE','Niger','en'),(162,'NG','Nigeria','en'),(163,'NU','Niue','en'),(164,'NF','Norfolk Island','en'),(165,'MP','Northern Mariana Islands','en'),(166,'NO','Norway','en'),(167,'OM','Oman','en'),(168,'PK','Pakistan','en'),(169,'PW','Palau','en'),(170,'PS','Palestinian Territory, Occupied','en'),(171,'PA','Panama','en'),(172,'PG','Papua New Guinea','en'),(173,'PY','Paraguay','en'),(174,'PE','Peru','en'),(175,'PH','Philippines','en'),(176,'PN','Pitcairn','en'),(177,'PL','Poland','en'),(178,'PT','Portugal','en'),(179,'PR','Puerto Rico','en'),(180,'QA','Qatar','en'),(181,'RE','Réunion','en'),(182,'RO','Romania','en'),(183,'RU','Russian Federation','en'),(184,'RW','Rwanda','en'),(185,'BL','Saint Barthélemy','en'),(186,'SH','Saint Helena, Ascension and Tristan da Cunha','en'),(187,'KN','Saint Kitts and Nevis','en'),(188,'LC','Saint Lucia','en'),(189,'MF','Saint Martin','en'),(190,'PM','Saint Pierre and Miquelon','en'),(191,'VC','Saint Vincent and the Grenadines','en'),(192,'WS','Samoa','en'),(193,'SM','San Marino','en'),(194,'ST','Sao Tome and Principe','en'),(195,'SA','Saudi Arabia','en'),(196,'SN','Senegal','en'),(197,'RS','Serbia','en'),(198,'SC','Seychelles','en'),(199,'SL','Sierra Leone','en'),(200,'SG','Singapore','en'),(201,'SX','Sint Maarten','en'),(202,'SK','Slovakia','en'),(203,'SI','Slovenia','en'),(204,'SB','Solomon Islands','en'),(205,'SO','Somalia','en'),(206,'ZA','South Africa','en'),(207,'GS','South Georgia and the South Sandwich Islands','en'),(208,'SS','South Sudan','en'),(209,'ES','Spain','en'),(210,'LK','Sri Lanka','en'),(211,'SD','Sudan','en'),(212,'SR','Suriname','en'),(213,'SJ','Svalbard and Jan Mayen','en'),(214,'SZ','Swaziland','en'),(215,'SE','Sweden','en'),(216,'CH','Switzerland','en'),(217,'SY','Syrian Arab Republic','en'),(218,'TW','Taiwan, Province of China','en'),(219,'TJ','Tajikistan','en'),(220,'TZ','Tanzania, United Republic of','en'),(221,'TH','Thailand','en'),(222,'TL','Timor-Leste','en'),(223,'TG','Togo','en'),(224,'TK','Tokelau','en'),(225,'TO','Tonga','en'),(226,'TT','Trinidad and Tobago','en'),(227,'TN','Tunisia','en'),(228,'TR','Turkey','en'),(229,'TM','Turkmenistan','en'),(230,'TC','Turks and Caicos Islands','en'),(231,'TV','Tuvalu','en'),(232,'UG','Uganda','en'),(233,'UA','Ukraine','en'),(234,'AE','United Arab Emirates','en'),(235,'GB','United Kingdom','en'),(236,'US','United States','en'),(237,'UM','United States Minor Outlying Islands','en'),(238,'UY','Uruguay','en'),(239,'UZ','Uzbekistan','en'),(240,'VU','Vanuatu','en'),(241,'VE','Venezuela, Bolivarian Republic of','en'),(242,'VN','Viet Nam','en'),(243,'VG','Virgin Islands, British','en'),(244,'VI','Virgin Islands, U.S.','en'),(245,'WF','Wallis And Futuna Islands','en'),(246,'EH','Western Sahara','en'),(247,'YE','Yemen','en'),(248,'ZM','Zambia','en'),(249,'ZW','Zimbabwe','en');
/*!40000 ALTER TABLE `xc_country_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_coupon_categories`
--

DROP TABLE IF EXISTS `xc_coupon_categories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_coupon_categories` (
  `coupon_id` int(10) unsigned NOT NULL,
  `category_id` int(10) unsigned NOT NULL,
  PRIMARY KEY (`coupon_id`,`category_id`),
  KEY `IDX_452EB1BB6066C5951B` (`coupon_id`),
  KEY `IDX_452EB1BB6012469DE2` (`category_id`),
  CONSTRAINT `FK_452EB1BB6012469DE2` FOREIGN KEY (`category_id`) REFERENCES `xc_categories` (`category_id`) ON DELETE CASCADE,
  CONSTRAINT `FK_452EB1BB6066C5951B` FOREIGN KEY (`coupon_id`) REFERENCES `xc_coupons` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_coupon_categories`
--

LOCK TABLES `xc_coupon_categories` WRITE;
/*!40000 ALTER TABLE `xc_coupon_categories` DISABLE KEYS */;
/*!40000 ALTER TABLE `xc_coupon_categories` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_coupons`
--

DROP TABLE IF EXISTS `xc_coupons`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_coupons` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `code` char(16) COLLATE utf8_unicode_ci NOT NULL,
  `enabled` tinyint(1) NOT NULL,
  `value` decimal(14,4) NOT NULL,
  `type` char(1) COLLATE utf8_unicode_ci NOT NULL,
  `comment` varchar(64) COLLATE utf8_unicode_ci NOT NULL,
  `uses` int(10) unsigned NOT NULL,
  `dateRangeBegin` int(10) unsigned NOT NULL,
  `dateRangeEnd` int(10) unsigned NOT NULL,
  `totalRangeBegin` decimal(14,4) NOT NULL,
  `totalRangeEnd` decimal(14,4) NOT NULL,
  `usesLimit` int(10) unsigned NOT NULL,
  `usesLimitPerUser` int(10) unsigned NOT NULL,
  `singleUse` tinyint(1) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `ce` (`code`,`enabled`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_coupons`
--

LOCK TABLES `xc_coupons` WRITE;
/*!40000 ALTER TABLE `xc_coupons` DISABLE KEYS */;
/*!40000 ALTER TABLE `xc_coupons` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_currencies`
--

DROP TABLE IF EXISTS `xc_currencies`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_currencies` (
  `currency_id` int(10) unsigned NOT NULL,
  `code` char(3) COLLATE utf8_unicode_ci NOT NULL,
  `symbol` varchar(16) COLLATE utf8_unicode_ci NOT NULL,
  `prefix` varchar(32) COLLATE utf8_unicode_ci NOT NULL,
  `suffix` varchar(32) COLLATE utf8_unicode_ci NOT NULL,
  `e` smallint(6) NOT NULL,
  `decimalDelimiter` varchar(8) COLLATE utf8_unicode_ci NOT NULL,
  `thousandDelimiter` varchar(8) COLLATE utf8_unicode_ci NOT NULL,
  `roundUp` varchar(255) COLLATE utf8_unicode_ci NOT NULL DEFAULT 'N',
  PRIMARY KEY (`currency_id`),
  UNIQUE KEY `UNIQ_903AF16077153098` (`code`),
  KEY `code` (`code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_currencies`
--

LOCK TABLES `xc_currencies` WRITE;
/*!40000 ALTER TABLE `xc_currencies` DISABLE KEYS */;
INSERT INTO `xc_currencies` VALUES (8,'ALL','L','L','',2,'.','','N'),(12,'DZD','د.ج','د.ج','',2,'.','','N'),(32,'ARS','$','$','',2,'.','','N'),(36,'AUD','$','$','',2,'.','','N'),(44,'BSD','$','$','',2,'.','','N'),(48,'BHD','.د.ب','.د.ب','',3,'.','','N'),(50,'BDT','৳','৳','',2,'.','','N'),(51,'AMD','դր.','դր.','',2,'.','','N'),(52,'BBD','$','$','',2,'.','','N'),(60,'BMD','$','$','',2,'.','','N'),(64,'BTN','Nu','Nu','',2,'.','','N'),(68,'BOB','$','$','',2,'.','','N'),(72,'BWP','P','P','',2,'.','','N'),(84,'BZD','$','$','',2,'.','','N'),(90,'SBD','$','$','',2,'.','','N'),(96,'BND','$','$','',2,'.','','N'),(104,'MMK','K','K','',2,'.','','N'),(108,'BIF','₣','₣','',0,'.','','N'),(116,'KHR','$','$','',2,'.','','N'),(124,'CAD','$','$','',2,'.','','N'),(132,'CVE','$','$','',2,'.','','N'),(136,'KYD','$','$','',2,'.','','N'),(144,'LKR','Re','Re','',2,'.','','N'),(152,'CLP','$','$','',0,'.','','N'),(156,'CNY','¥','¥','',2,'.','','N'),(170,'COP','$','$','',2,'.','','N'),(174,'KMF','₣','₣','',0,'.','','N'),(188,'CRC','₡','₡','',2,'.','','N'),(191,'HRK','Kn','Kn','',2,'.','','N'),(192,'CUP','$','$','',2,'.','','N'),(203,'CZK','Kč','Kč','',2,'.','','N'),(208,'DKK','kr','kr','',2,'.','','N'),(214,'DOP','$','$','',2,'.','','N'),(222,'SVC','₡','₡','',2,'.','','N'),(230,'ETB','Br','Br','',2,'.','','N'),(232,'ERN','Nfk','Nfk','',2,'.','','N'),(238,'FKP','£','£','',2,'.','','N'),(242,'FJD','$','$','',2,'.','','N'),(262,'DJF','₣','₣','',0,'.','','N'),(270,'GMD','D','D','',2,'.','','N'),(292,'GIP','£','£','',2,'.','','N'),(320,'GTQ','Q','Q','',2,'.','','N'),(324,'GNF','₣','₣','',0,'.','','N'),(328,'GYD','$','$','',2,'.','','N'),(332,'HTG','G','G','',2,'.','','N'),(340,'HNL','L','L','',2,'.','','N'),(344,'HKD','$','$','',2,'.','','N'),(348,'HUF','ƒ','ƒ','',2,'.','','N'),(352,'ISK','kr','kr','',0,'.','','N'),(356,'INR','₹','₹','',2,'.','','N'),(360,'IDR','Rp','Rp','',0,'.','','N'),(364,'IRR','﷼','﷼','',2,'.','','N'),(368,'IQD','ع.د','ع.د','',3,'.','','N'),(376,'ILS','₪','₪','',2,'.','','N'),(388,'JMD','$','$','',2,'.','','N'),(392,'JPY','¥','¥','',0,'.','','N'),(398,'KZT','₸','₸','',2,'.','','N'),(400,'JOD','د.ا','د.ا','',3,'.','','N'),(404,'KES','KSh','KSh','',2,'.','','N'),(408,'KPW','₩','₩','',2,'.','','N'),(410,'KRW','₩','₩','',0,'.','','N'),(414,'KWD','د.ك','د.ك','',3,'.','','N'),(417,'KGS','C','C','',2,'.','','N'),(418,'LAK','₭','₭','',2,'.','','N'),(422,'LBP','.ل.ل','.ل.ل','',2,'.','','N'),(426,'LSL','L','L','',2,'.','','N'),(428,'LVL','Ls','Ls','',2,'.','','N'),(430,'LRD','$','$','',2,'.','','N'),(434,'LYD','ل.د','ل.د','',3,'.','','N'),(440,'LTL','Lt','Lt','',2,'.','','N'),(446,'MOP','$','$','',2,'.','','N'),(454,'MWK','K','K','',2,'.','','N'),(458,'MYR','RM','RM','',2,'.','','N'),(462,'MVR','Rf','Rf','',2,'.','','N'),(478,'MRO','UM','UM','',0,'.','','N'),(480,'MUR','Re','Re','',2,'.','','N'),(484,'MXN','$','$','',2,'.','','N'),(496,'MNT','₮','₮','',2,'.','','N'),(498,'MDL','L','L','',2,'.','','N'),(504,'MAD','د. م.','د. م.','',2,'.','','N'),(512,'OMR','ر.ع.','ر.ع.','',3,'.','','N'),(516,'NAD','N$','N$','',2,'.','','N'),(524,'NPR','Re','Re','',2,'.','','N'),(532,'ANG','ƒ','ƒ','',2,'.','','N'),(533,'AWG','ƒ','ƒ','',2,'.','','N'),(548,'VUV','Vt','Vt','',0,'.','','N'),(554,'NZD','$','$','',2,'.','','N'),(558,'NIO','$','$','',2,'.','','N'),(566,'NGN','₦','₦','',2,'.','','N'),(578,'NOK','kr','kr','',2,'.','','N'),(586,'PKR','Re','Re','',2,'.','','N'),(590,'PAB','B/.','B/.','',2,'.','','N'),(598,'PGK','K','K','',2,'.','','N'),(600,'PYG','₲','₲','',0,'.','','N'),(604,'PEN','S/.','S/.','',2,'.','','N'),(608,'PHP','₱','₱','',2,'.','','N'),(634,'QAR','ر.ق','ر.ق','',2,'.','','N'),(643,'RUB','₽','','₽',2,'.','','N'),(646,'RWF','₣','₣','',0,'.','','N'),(654,'SHP','£','£','',2,'.','','N'),(678,'STD','Db','Db','',2,'.','','N'),(682,'SAR','ر.س','ر.س','',2,'.','','N'),(690,'SCR','Re','Re','',2,'.','','N'),(694,'SLL','Le','Le','',2,'.','','N'),(702,'SGD','$','$','',2,'.','','N'),(704,'VND','₫','₫','',0,'.','','N'),(706,'SOS','S','S','',2,'.','','N'),(710,'ZAR','R','R','',2,'.','','N'),(728,'SSP','SSP','SSP','',2,'.','','N'),(748,'SZL','L','L','',2,'.','','N'),(752,'SEK','kr','kr','',2,'.','','N'),(756,'CHF','₣','₣','',2,'.','','N'),(760,'SYP','S£','S£','',2,'.','','N'),(764,'THB','฿','฿','',2,'.','','N'),(776,'TOP','$','$','',2,'.','','N'),(780,'TTD','$','$','',2,'.','','N'),(784,'AED','د.إ','د.إ','',2,'.','','N'),(788,'TND','د.ت','د.ت','',3,'.','','N'),(800,'UGX','USh','USh','',2,'.','','N'),(807,'MKD','ден.','ден.','',2,'.','','N'),(818,'EGP','LE','LE','',2,'.','','N'),(826,'GBP','£','£','',2,'.','','N'),(834,'TZS','TSh','TSh','',2,'.','','N'),(840,'USD','$','$','',2,'.','','N'),(858,'UYU','$','$','',2,'.','','N'),(860,'UZS','сўм','сўм','',2,'.','','N'),(882,'WST','$','$','',2,'.','','N'),(886,'YER','﷼','﷼','',2,'.','','N'),(894,'ZMK','K','K','',2,'.','','N'),(901,'TWD','NT$','NT$','',2,'.','','N'),(932,'ZWL','Z$','Z$','',2,'.','','N'),(934,'TMT','m','m','',2,'.','','N'),(936,'GHS','₵','₵','',2,'.','','N'),(937,'VEF','Bs','Bs','',2,'.','','N'),(938,'SDG','£','£','',2,'.','','N'),(941,'RSD','дин.','дин.','',2,'.','','N'),(943,'MZN','MT','MT','',2,'.','','N'),(944,'AZN','m','m','',2,'.','','N'),(946,'RON','L','L','',2,'.','','N'),(949,'TRY','₤','₤','',2,'.','','N'),(950,'XAF','₣','₣','',0,'.','','N'),(951,'XCD','$','$','',2,'.','','N'),(952,'XOF','₣','₣','',0,'.','','N'),(953,'XPF','₣','₣','',0,'.','','N'),(968,'SRD','$','$','',2,'.','','N'),(969,'MGA','Ar.','Ar.','',0,'.','','N'),(971,'AFN','؋','؋','',2,'.','','N'),(972,'TJS','с.','с.','',2,'.','','N'),(973,'AOA','Kz','Kz','',2,'.','','N'),(974,'BYR','Br','','Br',0,'.','','N'),(975,'BGN','лв','лв','',2,'.','','N'),(976,'CDF','₣','₣','',2,'.','','N'),(977,'BAM','KM','KM','',2,'.','','N'),(978,'EUR','€','€','',2,'.','','N'),(980,'UAH','₴','₴','',2,'.','','N'),(981,'GEL','ლ.','ლ.','',2,'.','','N'),(985,'PLN','zł','zł','',2,'.','','N'),(986,'BRL','$','$','',2,'.','','N');
/*!40000 ALTER TABLE `xc_currencies` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_currency_translations`
--

DROP TABLE IF EXISTS `xc_currency_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_currency_translations` (
  `label_id` int(11) NOT NULL AUTO_INCREMENT,
  `id` int(10) unsigned DEFAULT NULL,
  `name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `code` char(2) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`label_id`),
  KEY `ci` (`code`,`id`),
  KEY `id` (`id`),
  CONSTRAINT `FK_45E560C647BF396750` FOREIGN KEY (`id`) REFERENCES `xc_currencies` (`currency_id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=159 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_currency_translations`
--

LOCK TABLES `xc_currency_translations` WRITE;
/*!40000 ALTER TABLE `xc_currency_translations` DISABLE KEYS */;
INSERT INTO `xc_currency_translations` VALUES (1,784,'UAE Dirtham','en'),(2,971,'Afghani','en'),(3,8,'Lek','en'),(4,51,'Armenian Dram','en'),(5,532,'Netherlands Antillian Guilder','en'),(6,973,'Kwanza','en'),(7,32,'Argentine Peso','en'),(8,36,'Australian Dollar','en'),(9,533,'Aruban Guilder','en'),(10,944,'Azerbaijanian Manat','en'),(11,977,'Convertible Marks','en'),(12,52,'Barbados Dollar','en'),(13,50,'Bangladesh Taka','en'),(14,975,'Bulgarian Lev','en'),(15,48,'Bahraini dinar','en'),(16,108,'Burundi Franc','en'),(17,60,'Bermudian Dollar','en'),(18,96,'Brunei Dollar','en'),(19,68,'Boliviano','en'),(20,986,'Brazilian Real','en'),(21,44,'Bahamian dollar','en'),(22,64,'Ngultrum','en'),(23,72,'Botswana Pula','en'),(24,974,'Belarussian Rouble','en'),(25,84,'Belize Dollar','en'),(26,124,'Canadian Dollar','en'),(27,976,'Franc Congolais','en'),(28,756,'Swiss Franc','en'),(29,152,'Chilean Peso','en'),(30,156,'Chinese Renminbi Yuan','en'),(31,170,'Colombian Peso','en'),(32,188,'Cost Rican Colon','en'),(33,192,'Cuban Peso','en'),(34,132,'Cape Verde Escudo','en'),(35,203,'Czech Koruna','en'),(36,262,'Djibouti Franc','en'),(37,208,'Danish Krone','en'),(38,214,'Dominican Peso','en'),(39,12,'Algerian Dinar','en'),(40,818,'Egyptian Pound','en'),(41,232,'Nakfa','en'),(42,230,'Ethiopian Birr','en'),(43,978,'Euro','en'),(44,242,'Fiji Dollar','en'),(45,238,'Falkland Islands Pound','en'),(46,826,'Pound Sterling','en'),(47,981,'Lari','en'),(48,936,'Ghana Cedi','en'),(49,292,'Gilbraltar Pound','en'),(50,270,'Dalasi','en'),(51,324,'Guinea Franc','en'),(52,320,'Quetzal','en'),(53,328,'Guyana Dollar','en'),(54,344,'Hong Kong Dollar','en'),(55,340,'Lempira','en'),(56,191,'Croatian Kuna','en'),(57,332,'Gourde','en'),(58,348,'Hungary Forint','en'),(59,360,'Indonesian Rupiah','en'),(60,376,'New Israeli Sheqel','en'),(61,356,'Indian Rupee','en'),(62,368,'Iraqi Dinar','en'),(63,364,'Iranian Rial','en'),(64,352,'Iceland Krona','en'),(65,388,'Jamaican Dollar','en'),(66,400,'Jordanian Dinar','en'),(67,392,'Japanese Yen','en'),(68,404,'Kenyan Shilling','en'),(69,417,'Son','en'),(70,116,'Cambodian riel','en'),(71,174,'Comoro Franc','en'),(72,408,'North Korean Won','en'),(73,410,'South Korean Won','en'),(74,414,'Kuwaiti Dinar','en'),(75,136,'Cayman Islands Dollar','en'),(76,398,'Tenge','en'),(77,418,'Kip','en'),(78,422,'Lebanese Pound','en'),(79,144,'Sri Lanka Rupee','en'),(80,430,'Liberian Dollar','en'),(81,426,'Loti','en'),(82,440,'Lithuanian Litus','en'),(83,428,'Latvian Lats','en'),(84,434,'Libyan Dinar','en'),(85,504,'Moroccan Dirtham','en'),(86,498,'Moldovan Leu','en'),(87,969,'Malagasy Ariary','en'),(88,807,'Denar','en'),(89,104,'Kyat','en'),(90,496,'Tugrik','en'),(91,446,'Pataca','en'),(92,478,'Ouguiya','en'),(93,480,'Mauritius Rupee','en'),(94,462,'Rufiyaa','en'),(95,454,'Malawian kwacha','en'),(96,484,'Mexican Peso','en'),(97,458,'Ringgit Malaysia','en'),(98,943,'Mozambique Metical','en'),(99,516,'Namibia Dollar','en'),(100,566,'Naira','en'),(101,558,'Cordoba Oro','en'),(102,578,'Norwegian Krone','en'),(103,524,'Nepalese Rupee','en'),(104,554,'New Zealand Dollar','en'),(105,512,'Rial Omani','en'),(106,590,'Balboa','en'),(107,604,'Nuevo Sol','en'),(108,598,'Kina','en'),(109,608,'Philippine Peso','en'),(110,586,'Pakistan Rupee','en'),(111,985,'Polish Zloty','en'),(112,600,'Guarani','en'),(113,634,'Qatari Rial','en'),(114,946,'Romanian Leu','en'),(115,941,'Serbian Dinar','en'),(116,643,'Russian Ruble','en'),(117,646,'Rwanda Franc','en'),(118,682,'Saudi Riyal','en'),(119,90,'Solomon Islands Dollar','en'),(120,690,'Seychelles Rupee','en'),(121,938,'Sudanese Pound','en'),(122,752,'Swedish Krona','en'),(123,702,'Singapore Dollar','en'),(124,654,'Saint Helena Pound','en'),(125,694,'Leone','en'),(126,706,'Somali Shilling','en'),(127,968,'Surinam Dollar','en'),(128,728,'South Sudanese Pound','en'),(129,678,'Dobra','en'),(130,222,'El Salvador Colon','en'),(131,760,'Syrian Pound','en'),(132,748,'Lilangeni','en'),(133,764,'Thailand Baht','en'),(134,972,'Somoni','en'),(135,934,'Turkmenistan New Manat','en'),(136,788,'Tunisian Dinar','en'),(137,776,'Pa\'anga','en'),(138,949,'Turkish Lira','en'),(139,780,'Trinidad and Tobago Dollar','en'),(140,901,'New Taiwan Dollar','en'),(141,834,'Tanzanian Shilling','en'),(142,980,'Hryvnia','en'),(143,800,'Uganda Shilling','en'),(144,840,'US Dollar','en'),(145,858,'Peso Uruguayo','en'),(146,860,'Uzbekistan som','en'),(147,937,'Bolivar Fuerte','en'),(148,704,'Vietnamese Dong','en'),(149,548,'Vatu','en'),(150,882,'Tala','en'),(151,950,'CFA Franc BEAC','en'),(152,951,'East Caribbean Dollar','en'),(153,952,'CFA Franc BCEAO','en'),(154,953,'CFP Franc','en'),(155,886,'Yemeni Rial','en'),(156,710,'South Africa Rand','en'),(157,894,'Zambian kwacha','en'),(158,932,'Zimbabwe Dollar','en');
/*!40000 ALTER TABLE `xc_currency_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_custom_global_tab_translation`
--

DROP TABLE IF EXISTS `xc_custom_global_tab_translation`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_custom_global_tab_translation` (
  `label_id` int(11) NOT NULL AUTO_INCREMENT,
  `id` int(10) unsigned DEFAULT NULL,
  `name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `brief_info` longtext COLLATE utf8_unicode_ci NOT NULL,
  `content` longtext COLLATE utf8_unicode_ci NOT NULL,
  `code` char(2) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`label_id`),
  KEY `IDX_45A95B1F3CBF396750` (`id`),
  CONSTRAINT `FK_45A95B1F3CBF396750` FOREIGN KEY (`id`) REFERENCES `xc_custom_global_tabs` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_custom_global_tab_translation`
--

LOCK TABLES `xc_custom_global_tab_translation` WRITE;
/*!40000 ALTER TABLE `xc_custom_global_tab_translation` DISABLE KEYS */;
INSERT INTO `xc_custom_global_tab_translation` VALUES (1,1,'Shipping info','We deliver worldwide','To replace this text with your store\'s actual shipping info, go to \"Catalog -> Product tabs\" and edit the Shipping info page.','en'),(2,1,'Доставка','Мы доставляем по всему миру','Для замены данного текста на настоящий текст информации о доставке товаров из вашего магазина, перейдите в секцию \"Каталог -> Вкладки страницы товара\" и редактируйте страницу \"Доставка\".','ru'),(3,2,'Payment methods','<p><img class=\"fr-draggable fr-dii fr-fil\" src=\"skins/customer/images/demo/tabs/logos-payments-tab.png\" alt=\"Accepted payment methods\" style=\"width:300px;\" /></p>','<p>We accept the following payment methods:</p><p><img class=\"fr-draggable fr-dii\" src=\"skins/customer/images/demo/tabs/logos-payments-tab.png\" style=\"width:400px;\" /></p><p>To replace this text with your store\'s actual info on payment methods, go to \"Catalog -&gt; Product tabs\" and edit the Payment methods page.</p>','en'),(4,2,'Способы оплаты','<p><img class=\"fr-draggable fr-dii fr-fil\" src=\"skins/customer/images/demo/tabs/logos-payments-tab.png\" alt=\"Методы оплаты\" style=\"width:300px;\" /></p>','<p>Мы принимаем следующие способы оплаты:</p><p><img class=\"fr-draggable fr-dii\" src=\"skins/customer/images/demo/tabs/logos-payments-tab.png\" style=\"width:400px;\" /></p><p>Для замены данного текста на настоящий текст информации о способах оплаты для вашего магазина, перейдите в секцию \"Каталог -> Вкладки страницы товара\" и редактируйте страницу \"Способы оплаты\".</p>','ru'),(5,3,'Return Policy','We accept returns','This page is intended for your policy regarding returns and refunds.<br/><br/> Here you can provide information as to what products can be returned, how many days your customers have to return their purchase, whether they will receive a refund in the original form of payment, a replacement or a store credit, who pays for the shipping of the previously purchased products to the store, and so on.<br/><br/> To replace this text with your store\'s actual return policy, go to \"Catalog -> Product tabs\" and edit the Return Policy page.','en'),(6,3,'Правила обмена и возврата','Мы принимаем возвраты','Данная страница предназначена для размещения информации о правилах обмена и возврата товаров.<br/><br/> Здесь вы можете указать, возврат каких товаров может быть осуществлен, в пределах какого срока ваши покупатели могут вернуть приобретенный товар, будет ли осуществлен возврат средств на исходный метод оплаты, либо же будет осуществлена замена товара или возврат средств в форме товарного кредита, кто оплачивает доставку ранее купленного товара обратно в магазин, и так далее.<br/><br/> Для замены данного текста на настоящий текст правил обмена и возврата товаров для вашего магазина, перейдите в секцию \"Каталог -> Вкладки страницы товара\" и редактируйте страницу \"Правила обмена и возврата\".','ru');
/*!40000 ALTER TABLE `xc_custom_global_tab_translation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_custom_global_tabs`
--

DROP TABLE IF EXISTS `xc_custom_global_tabs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_custom_global_tabs` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `global_tab_id` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `UNIQ_5C09BCAD629D8673` (`global_tab_id`),
  CONSTRAINT `FK_455C09BCAD629D8673` FOREIGN KEY (`global_tab_id`) REFERENCES `xc_global_product_tabs` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_custom_global_tabs`
--

LOCK TABLES `xc_custom_global_tabs` WRITE;
/*!40000 ALTER TABLE `xc_custom_global_tabs` DISABLE KEYS */;
INSERT INTO `xc_custom_global_tabs` VALUES (1,5),(2,6),(3,7);
/*!40000 ALTER TABLE `xc_custom_global_tabs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_customer_attachments_storage`
--

DROP TABLE IF EXISTS `xc_customer_attachments_storage`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_customer_attachments_storage` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `item_id` int(11) DEFAULT NULL,
  `path` varchar(512) COLLATE utf8_unicode_ci NOT NULL,
  `fileName` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `mime` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `storageType` varchar(1) COLLATE utf8_unicode_ci NOT NULL,
  `size` int(10) unsigned NOT NULL,
  `date` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  KEY `IDX_45ACB714E4126F525E` (`item_id`),
  CONSTRAINT `FK_45ACB714E4126F525E` FOREIGN KEY (`item_id`) REFERENCES `xc_order_items` (`item_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_customer_attachments_storage`
--

LOCK TABLES `xc_customer_attachments_storage` WRITE;
/*!40000 ALTER TABLE `xc_customer_attachments_storage` DISABLE KEYS */;
/*!40000 ALTER TABLE `xc_customer_attachments_storage` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_data_source_parameters`
--

DROP TABLE IF EXISTS `xc_data_source_parameters`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_data_source_parameters` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `data_source_id` int(10) unsigned DEFAULT NULL,
  `name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `value` longtext COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`),
  KEY `IDX_456D9196CA1A935C57` (`data_source_id`),
  CONSTRAINT `FK_456D9196CA1A935C57` FOREIGN KEY (`data_source_id`) REFERENCES `xc_data_sources` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_data_source_parameters`
--

LOCK TABLES `xc_data_source_parameters` WRITE;
/*!40000 ALTER TABLE `xc_data_source_parameters` DISABLE KEYS */;
/*!40000 ALTER TABLE `xc_data_source_parameters` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_data_sources`
--

DROP TABLE IF EXISTS `xc_data_sources`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_data_sources` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `type` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_data_sources`
--

LOCK TABLES `xc_data_sources` WRITE;
/*!40000 ALTER TABLE `xc_data_sources` DISABLE KEYS */;
/*!40000 ALTER TABLE `xc_data_sources` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_entity_type_versions`
--

DROP TABLE IF EXISTS `xc_entity_type_versions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_entity_type_versions` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `entityType` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `version` char(36) COLLATE utf8_unicode_ci NOT NULL COMMENT '(DC2Type:guid)',
  PRIMARY KEY (`id`),
  UNIQUE KEY `UNIQ_4A1BBA741F08814A` (`entityType`)
) ENGINE=InnoDB AUTO_INCREMENT=1094 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_entity_type_versions`
--

LOCK TABLES `xc_entity_type_versions` WRITE;
/*!40000 ALTER TABLE `xc_entity_type_versions` DISABLE KEYS */;
INSERT INTO `xc_entity_type_versions` VALUES (6,'XLite\\Model\\Currency','f6362a0a-c093-43c1-96e1-5b4041979045'),(7,'XLite\\Model\\CurrencyTranslation','ea5e1e70-836f-4fd6-8ac8-a63ba1f817bc'),(8,'XLite\\Model\\Membership','49006f73-c270-4793-8cd5-39c4dc163cf5'),(9,'XLite\\Model\\MembershipTranslation','e528937a-e8d0-4b64-9777-936d9022d652'),(10,'XLite\\Model\\Language','60138e40-a5cd-44b4-b59f-3c2284d91996'),(11,'XLite\\Model\\LanguageTranslation','c5c0e1f6-0540-4c11-94e5-00cb937e9cc8'),(15,'XLite\\Model\\Country','9c8b2b25-bc80-4628-b338-cb66e705bf84'),(16,'XLite\\Model\\CountryTranslation','ba5b834f-4e98-45c8-94aa-03dbc2b4e4f3'),(17,'XLite\\Model\\State','b2a44b9e-12db-4692-b212-63e36d1a69e0'),(18,'XLite\\Model\\Region','ffc9b427-2d47-455b-b39f-62acb9d38da8'),(27,'XLite\\Model\\AddressField','4ef9c2a8-172d-4bc9-a42d-394db4b93a5c'),(28,'XLite\\Model\\AddressFieldTranslation','3cd9e29d-8b79-4070-9f0b-c0c81b5deb9f'),(30,'XLite\\Model\\Order\\Status\\Payment','0ff9331c-bf54-4b75-bdbe-920861239c93'),(31,'XLite\\Model\\Order\\Status\\PaymentTranslation','cd53c949-e19a-4da5-b992-8d2851155d96'),(38,'XLite\\Model\\SearchFilter','b11ecd00-94de-41f1-b2a8-1063bff08dfe'),(39,'XLite\\Model\\SearchFilterTranslation','f17a9c78-e108-46c3-8306-740fbfb02e26'),(40,'XLite\\Model\\AccessControlEntityType','a40b2a73-ced6-47d0-ad2a-133f5465136b'),(41,'XLite\\Model\\AccessControlZoneType','f282230f-5961-4108-be36-ad34af263a3b'),(126,'XLite\\Model\\MoneyModificator','af70db6e-2f7c-4165-b229-11f59e7df372'),(137,'XLite\\Module\\CDev\\SimpleCMS\\Model\\Page','d9a407de-819f-4e24-9ba1-690c97d3ba9f'),(139,'XLite\\Module\\CDev\\SimpleCMS\\Model\\PageTranslation','f2b6ea0e-2235-4965-96eb-41d6f7974631'),(153,'XLite\\Model\\RoleTranslation','035a87e8-f6c1-4bed-a58f-5fff2029485e'),(219,'XLite\\Model\\ImageSettings','189998f5-311e-47ee-b6b7-52eee956026b'),(235,'XLite\\Model\\Task','3311c1d4-0996-468a-bf08-cf5473a5a4ff'),(258,'XLite\\Model\\Order\\Status\\Shipping','5f3760a6-5de8-4b34-96f1-493d947c4a55'),(259,'XLite\\Model\\Order\\Status\\ShippingTranslation','62624fc8-409c-44c8-b239-5714cec78b4e'),(260,'XLite\\Model\\Order\\Status\\Property','56d5f5c6-2853-42de-9fc5-57da688e8e66'),(263,'XLite\\Model\\Role\\Permission','8a7ab44b-b133-47e0-b652-3203b5577540'),(271,'XLite\\Model\\Role\\PermissionTranslation','29a8234f-af76-4c8d-bb08-82d3f752da4f'),(305,'XLite\\Model\\Order\\Modifier','7a142ab8-1749-4f97-9d89-429107f5f32f'),(595,'XLite\\Model\\ProductTranslation','f4d1d067-8572-4f1c-97ce-b44b5da85c54'),(646,'XLite\\Model\\Image\\Category\\Banner','a11c34b9-5392-4b99-98a2-58bac8878745'),(674,'XLite\\Model\\CleanURL','bbab8087-1e54-41b9-8447-8612040ed8b6'),(675,'XLite\\Model\\Image\\Category\\Image','84876a2e-7fe3-4134-b704-152ce0db196e'),(676,'XLite\\Model\\CategoryTranslation','665e8ebc-a5bb-4582-994a-7b602e4226b8'),(679,'XLite\\Model\\CategoryProducts','58807878-8c91-4ea2-8776-a495f6dc2b9a'),(680,'XLite\\Model\\Category\\QuickFlags','733b9baa-eea9-4378-87d0-6446e7e8c4cb'),(683,'XLite\\Model\\BannerRotationSlide','b8db94ca-c444-4954-b9d6-9e6daa73392d'),(684,'XLite\\Model\\Image\\BannerRotationImage','d2e3dab2-78c3-4f3f-8092-9610df87be48'),(693,'XLite\\Module\\XC\\CustomProductTabs\\Model\\Product\\CustomGlobalTab','e8afd6a6-eeef-4453-88b0-d6bb91cec76d'),(695,'XLite\\Model\\Product\\GlobalTabProvider','9a82de19-b0ff-4c43-81d9-7d3fe1a5fae3'),(696,'XLite\\Module\\XC\\CustomProductTabs\\Model\\Product\\CustomGlobalTabTranslation','93cb94ad-6284-4a9b-9dc5-2e9f9383ff31'),(697,'XLite\\Model\\Product\\GlobalTab','5236d183-6322-4484-a978-2fee1da52f66'),(705,'XLite\\Module\\CDev\\FeaturedProducts\\Model\\FeaturedProduct','710ab910-6d87-4c95-b461-6edb7f4737b5'),(721,'XLite\\Module\\CDev\\SimpleCMS\\Model\\Menu','f8e41d70-a474-4e88-acce-1e3ca7ba4bda'),(722,'XLite\\Module\\CDev\\SimpleCMS\\Model\\MenuTranslation','f44f3e0c-6b8c-4ba3-ac6a-95aa0545b4f8'),(723,'XLite\\Module\\CDev\\SimpleCMS\\Model\\Menu\\QuickFlags','cf49609c-e973-4250-be61-8e1f06652856'),(772,'XLite\\Model\\Category','867e5fff-8950-42db-8bb8-93f173ce1aee'),(808,'XLite\\Model\\Payment\\TransactionData','201d356c-7374-4fc7-a052-d90d2ed0a41b'),(814,'XLite\\Model\\Address','71ab0c24-f708-4194-aa95-c93132dc54b5'),(815,'XLite\\Model\\AddressFieldValue','582b7d21-9bb4-4b79-9c62-75893411efd4'),(816,'XLite\\Model\\Payment\\Transaction','575d35e3-59ac-408b-93e2-0cfe33a5026a'),(818,'XLite\\Model\\Order','eaff43d4-191b-4bd1-a781-4ce587eddb3c'),(819,'XLite\\Model\\OrderItem','ee41f7e9-78af-4998-821b-b35e099a9513'),(820,'XLite\\Model\\Order\\Surcharge','2bb503dd-b9c7-4435-8476-b537d0188641'),(821,'XLite\\Model\\OrderHistoryEvents','353be44b-8739-4bb1-9a7d-6e0064a98447'),(843,'XLite\\Model\\Product','79b935f0-b1ac-4c0a-aa26-c20bc3ee2198'),(844,'XLite\\Model\\QuickData','3431701b-0f0d-4547-beed-ee86aa76bf33'),(846,'XLite\\Model\\ZoneElement','696dc340-3489-425e-9bbc-9902987cc15e'),(918,'XLite\\Model\\Shipping\\Markup','830df62e-0432-4165-943a-3c4feef74cd3'),(919,'XLite\\Model\\Zone','80ccd374-1bd4-416b-a252-c195325bbb85'),(922,'XLite\\Model\\Image\\Product\\Image','a87f65ce-bc0a-4046-a5a9-920df05cf8b9'),(924,'XLite\\Model\\Payment\\MethodSetting','f7f18dba-ae04-43f7-8505-d44eb3e97e77'),(927,'XLite\\Model\\Role','9e518b39-516f-4e90-b1ab-ac69fee8afec'),(942,'XLite\\Model\\Profile','45623dc6-a21f-4e2f-b395-5637a4c5e048'),(946,'XLite\\Model\\Payment\\MethodTranslation','f91b9227-f452-4c13-8a32-9d0d0bf2de37'),(947,'XLite\\Model\\Shipping\\Method','f45c27c6-ef65-4eec-864a-aac9487f5fa8'),(948,'XLite\\Model\\Shipping\\MethodTranslation','1fc232e8-d3a0-43f5-b53d-7e82115d3bc2'),(951,'XLite\\Model\\Module','add7ea43-a6c8-482b-afd9-8b53d6173db3'),(955,'XLite\\Model\\LanguageLabel','6ec1a633-c17d-48c9-a129-1ed9b3747c9c'),(957,'XLite\\Model\\Notification','416cfa70-46fa-49a2-bc3c-532e6aa3a469'),(959,'XLite\\Model\\Config','28be0dc4-ccb3-4040-8849-8f259b1c8944'),(961,'XLite\\Model\\LanguageLabelTranslation','b5c44ebc-f44f-4611-80a1-29b9757d6e60'),(962,'XLite\\Model\\NotificationTranslation','fd772e60-d36b-40bd-b7b3-67d277de41f7'),(963,'XLite\\Model\\ConfigTranslation','6709a10d-7216-4f86-b33b-3dccad0719e4'),(1025,'XLite\\Model\\Payment\\Method','7c74c9e0-8cd0-41b6-a6bd-b5f5e177c45a'),(1093,'XLite\\Model\\ViewList','872abced-91db-43ba-ac35-790c7fa2f6d9');
/*!40000 ALTER TABLE `xc_entity_type_versions` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_event_tasks`
--

DROP TABLE IF EXISTS `xc_event_tasks`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_event_tasks` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `arguments` longtext COLLATE utf8_unicode_ci NOT NULL COMMENT '(DC2Type:array)',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_event_tasks`
--

LOCK TABLES `xc_event_tasks` WRITE;
/*!40000 ALTER TABLE `xc_event_tasks` DISABLE KEYS */;
/*!40000 ALTER TABLE `xc_event_tasks` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_featured_products`
--

DROP TABLE IF EXISTS `xc_featured_products`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_featured_products` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `product_id` int(10) unsigned DEFAULT NULL,
  `category_id` int(10) unsigned DEFAULT NULL,
  `orderBy` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `pair` (`category_id`,`product_id`),
  KEY `IDX_45CE976A6E4584665A` (`product_id`),
  KEY `IDX_45CE976A6E12469DE2` (`category_id`),
  CONSTRAINT `FK_45CE976A6E12469DE2` FOREIGN KEY (`category_id`) REFERENCES `xc_categories` (`category_id`) ON DELETE CASCADE,
  CONSTRAINT `FK_45CE976A6E4584665A` FOREIGN KEY (`product_id`) REFERENCES `xc_products` (`product_id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_featured_products`
--

LOCK TABLES `xc_featured_products` WRITE;
/*!40000 ALTER TABLE `xc_featured_products` DISABLE KEYS */;
INSERT INTO `xc_featured_products` VALUES (1,16,1,10),(2,15,1,20),(3,4,1,30),(4,13,1,40),(5,37,1,50),(6,41,1,60),(7,42,1,70),(8,30,1,80);
/*!40000 ALTER TABLE `xc_featured_products` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_form_ids`
--

DROP TABLE IF EXISTS `xc_form_ids`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_form_ids` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `session_id` int(11) DEFAULT NULL,
  `form_id` varchar(32) COLLATE utf8_unicode_ci NOT NULL,
  `date` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `fs` (`form_id`,`session_id`),
  KEY `session_id` (`session_id`),
  CONSTRAINT `FK_45AD266A12613FECDF` FOREIGN KEY (`session_id`) REFERENCES `xc_sessions` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_form_ids`
--

LOCK TABLES `xc_form_ids` WRITE;
/*!40000 ALTER TABLE `xc_form_ids` DISABLE KEYS */;
INSERT INTO `xc_form_ids` VALUES (2,12,'XbvUhgM4WOVlQMqh1SetUnqZPeOVDL8O',1539953316),(3,11,'JLJSMYw9D4VyJHxWlI5WA7qV2FOZt66r',1539953316),(4,13,'u1Yhv5BOuWX6IBtK2hODmmWvPhWolV7k',1539953336);
/*!40000 ALTER TABLE `xc_form_ids` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_global_product_tab_provider`
--

DROP TABLE IF EXISTS `xc_global_product_tab_provider`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_global_product_tab_provider` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `tab_id` int(10) unsigned DEFAULT NULL,
  `code` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `IDX_455120A7CB8D0C9323` (`tab_id`),
  CONSTRAINT `FK_455120A7CB8D0C9323` FOREIGN KEY (`tab_id`) REFERENCES `xc_global_product_tabs` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_global_product_tab_provider`
--

LOCK TABLES `xc_global_product_tab_provider` WRITE;
/*!40000 ALTER TABLE `xc_global_product_tab_provider` DISABLE KEYS */;
INSERT INTO `xc_global_product_tab_provider` VALUES (1,1,'Core'),(2,2,'Core'),(3,3,'CDev\\GoSocial'),(4,4,'XC\\Reviews'),(5,5,'Core'),(6,6,'Core'),(7,7,'Core');
/*!40000 ALTER TABLE `xc_global_product_tab_provider` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_global_product_tabs`
--

DROP TABLE IF EXISTS `xc_global_product_tabs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_global_product_tabs` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `enabled` tinyint(1) NOT NULL,
  `link` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `position` int(11) NOT NULL,
  `service_name` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `service_name` (`service_name`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_global_product_tabs`
--

LOCK TABLES `xc_global_product_tabs` WRITE;
/*!40000 ALTER TABLE `xc_global_product_tabs` DISABLE KEYS */;
INSERT INTO `xc_global_product_tabs` VALUES (1,1,NULL,10,'Description'),(2,1,NULL,20,'Specification'),(3,1,NULL,30,'Comments'),(4,1,NULL,60,'Reviews'),(5,1,'Shipping_info',60,NULL),(6,1,'Payment_methods',70,NULL),(7,1,'Return_Policy',80,NULL);
/*!40000 ALTER TABLE `xc_global_product_tabs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_iframe_contents`
--

DROP TABLE IF EXISTS `xc_iframe_contents`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_iframe_contents` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `url` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `method` varchar(16) COLLATE utf8_unicode_ci NOT NULL,
  `data` longtext COLLATE utf8_unicode_ci NOT NULL COMMENT '(DC2Type:array)',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_iframe_contents`
--

LOCK TABLES `xc_iframe_contents` WRITE;
/*!40000 ALTER TABLE `xc_iframe_contents` DISABLE KEYS */;
/*!40000 ALTER TABLE `xc_iframe_contents` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_images_settings`
--

DROP TABLE IF EXISTS `xc_images_settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_images_settings` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `code` varchar(64) COLLATE utf8_unicode_ci NOT NULL,
  `model` varchar(200) COLLATE utf8_unicode_ci NOT NULL,
  `moduleName` varchar(200) COLLATE utf8_unicode_ci NOT NULL,
  `width` int(11) NOT NULL,
  `height` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `code_model_module` (`code`,`model`,`moduleName`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_images_settings`
--

LOCK TABLES `xc_images_settings` WRITE;
/*!40000 ALTER TABLE `xc_images_settings` DISABLE KEYS */;
INSERT INTO `xc_images_settings` VALUES (1,'Default','XLite\\Model\\Image\\Product\\Image','default',300,300),(2,'LGThumbnailList','XLite\\Model\\Image\\Product\\Image','default',160,160),(3,'LGThumbnailGrid','XLite\\Model\\Image\\Product\\Image','default',160,160),(4,'Default','XLite\\Model\\Image\\Category\\Image','default',160,160),(5,'Default','XLite\\Model\\Image\\Category\\Image','XC\\CrispWhiteSkin',100,120),(6,'LGThumbnailGrid','XLite\\Model\\Image\\Product\\Image','XC\\CrispWhiteSkin',262,280),(7,'LGThumbnailList','XLite\\Model\\Image\\Product\\Image','XC\\CrispWhiteSkin',262,280),(8,'Default','XLite\\Model\\Image\\Product\\Image','XC\\CrispWhiteSkin',366,440);
/*!40000 ALTER TABLE `xc_images_settings` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_import_logs`
--

DROP TABLE IF EXISTS `xc_import_logs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_import_logs` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `date` int(11) NOT NULL,
  `type` char(1) COLLATE utf8_unicode_ci NOT NULL,
  `code` char(32) COLLATE utf8_unicode_ci NOT NULL,
  `arguments` longtext COLLATE utf8_unicode_ci NOT NULL COMMENT '(DC2Type:array)',
  `file` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `row` int(10) unsigned NOT NULL,
  `processor` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_import_logs`
--

LOCK TABLES `xc_import_logs` WRITE;
/*!40000 ALTER TABLE `xc_import_logs` DISABLE KEYS */;
/*!40000 ALTER TABLE `xc_import_logs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_job_states`
--

DROP TABLE IF EXISTS `xc_job_states`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_job_states` (
  `id` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `progress` int(11) NOT NULL,
  `startedAt` decimal(10,0) NOT NULL,
  `cancelled` tinyint(1) NOT NULL,
  `finished` tinyint(1) NOT NULL,
  `data` longtext COLLATE utf8_unicode_ci NOT NULL COMMENT '(DC2Type:array)',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_job_states`
--

LOCK TABLES `xc_job_states` WRITE;
/*!40000 ALTER TABLE `xc_job_states` DISABLE KEYS */;
/*!40000 ALTER TABLE `xc_job_states` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_language_label_translations`
--

DROP TABLE IF EXISTS `xc_language_label_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_language_label_translations` (
  `label_id` int(11) NOT NULL AUTO_INCREMENT,
  `id` int(11) DEFAULT NULL,
  `label` longtext COLLATE utf8_unicode_ci NOT NULL,
  `code` char(2) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`label_id`),
  KEY `ci` (`code`,`id`),
  KEY `id` (`id`),
  CONSTRAINT `FK_45D36B6764BF396750` FOREIGN KEY (`id`) REFERENCES `xc_language_labels` (`label_id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=5479 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_language_label_translations`
--

LOCK TABLES `xc_language_label_translations` WRITE;
/*!40000 ALTER TABLE `xc_language_label_translations` DISABLE KEYS */;
INSERT INTO `xc_language_label_translations` VALUES (1,1,'%','en'),(2,2,'Most popular','en'),(3,3,'Newest','en'),(4,4,'Alphabetically','en'),(5,5,'Tags','en'),(6,6,'All tags','en'),(7,7,'All tags','en'),(8,8,'All','en'),(9,9,'Accounting','en'),(10,10,'Administration','en'),(11,11,'Delivery','en'),(12,12,'Development','en'),(13,13,'Fulfillment','en'),(14,14,'Marketing','en'),(15,15,'Payment processing','en'),(16,16,'Statistics','en'),(17,17,'Translation','en'),(18,18,'User experience','en'),(19,19,'Website design','en'),(20,20,'Sales Channels','en'),(21,21,'Orders','en'),(22,22,'Security','en'),(23,23,'Migration','en'),(24,24,'Price modifiers','en'),(25,25,'Checkout','en'),(26,26,'Products','en'),(27,27,'Fraud prevention','en'),(28,28,'Before editing attributes specific for the chosen type you should save the changes. <br /><br />Changing the type of a product attribute after having defined values for this attribute for some products will result in losing the defined attribute values.','en'),(29,29,'For details refer to <a href=\"{{licenseAgreementURL}}\" target=\"_blank\">X-Cart license agreement</a>.','en'),(30,30,'We are sorry, the Marketplace server is currently unavailable. Your license could not be registered. Please try again later.','en'),(31,31,'<a href=\"{{contactURL}}\" target=\"_blank\">Contact us</a> if you have any questions','en'),(32,32,'Activate your license key','en'),(33,33,'To activate your X-Cart license, enter your secret key into the field below and click Activate.','en'),(34,34,'To activate your X-Cart or commercial module license, enter your license key into the field below and click Activate.','en'),(35,35,'To set up Tax Rates, find and install appropriate add-on modules from the <a href=\"{{url}}\">Marketplace</a>','en'),(36,36,'Simplify tax compilance process and reduce the sales tax audit risk with <a href=\"{{url}}\">AvaTax Sales Tax Automation</a>','en'),(37,37,'Purchase premium license','en'),(38,38,'Activate free license','en'),(39,39,'activate existing key','en'),(40,40,'Enter your license key here','en'),(41,41,'Activate','en'),(42,42,'Need a license key?','en'),(43,43,'You must register your installation before you can use it for real sales. Registration can be accomplished by activating a free license with limited features or by purchasing a premium license.','en'),(44,44,'Removal of this message is allowed only through activation of a free or premium license.','en'),(45,45,'Free Edition has a limited set of features, so all the modules of the Business package will be removed in your store. However, you will be able to <a href=\'{{purchaseURL}}\'>upgrade</a> your Free version to Premium at any time and install addons from the Premium package.<br /><br /><strong>Here\'s a list of modules that are not available under free license. After the activation of a free license key all these modules will be removed from your installation.</strong>','en'),(46,46,'Evaluation notice','en'),(47,47,'Don\'t have an account yet?','en'),(48,48,'Go to checkout as a New customer','en'),(49,49,'Weight','en'),(50,50,'Weight ({{symbol}})','en'),(51,51,'Add to cart','en'),(52,52,'Description','en'),(53,53,'SKU','en'),(54,54,'Previous','en'),(55,55,'Next product','en'),(56,56,'Clear cart','en'),(57,57,'Continue shopping','en'),(58,58,'Submit','en'),(59,59,'Submit','en'),(60,60,'Delivery','en'),(61,61,'(!) This product is out of stock or not available','en'),(62,62,'Update','en'),(63,63,'Grand total','en'),(64,64,'Shipping cost','en'),(65,65,'Free','en'),(66,66,'Subtotal','en'),(67,67,'Tax','en'),(68,68,'n/a','en'),(69,69,'Delete item','en'),(70,70,'Continue...','en'),(71,71,'The text was copied to your clipboard','en'),(72,72,'When X-Cart aggregates CSS and JS files, the result is cached. If you change your JS/CSS files directly in the file system after they have been included into the cache, you will not see the functionality or style changes you have made. To make your changes visible, clear the aggregation cache.','en'),(73,73,'When X-Cart uses widgets cache, the static content of product lists is stored into a temporary cache. After editing the content (modifying the product descriptions, titles or photos), you should clear the widgets cache to make these changes visible in the front end right away. If you do not clear it, the changes will be updated anyway, but it may require more time','en'),(74,74,'The language you want to add has not been found','en'),(75,75,'This language already exists','en'),(76,76,'The {{language}} language has been added successfully','en'),(77,77,'The language you want to delete has not been found','en'),(78,78,'The {{language}} language has been deleted successfully','en'),(79,79,'Language not found','en'),(80,80,'The default interface language cannot be disabled','en'),(81,81,'The {{language}} language has been disabled','en'),(82,82,'The {{language}} language has been enabled','en'),(83,83,'The text labels have been updated','en'),(84,84,'Couldn\'t update the text labels: the translation language is not specified','en'),(85,85,'Couldn\'t update the text labels: the default language is set as the translation language','en'),(86,86,'Couldn\'t update the text labels: the translation language has not been found','en'),(87,87,'The text labels have been deleted','en'),(88,88,'Couldn\'t delete the text labels: text labels not found or not specified','en'),(89,89,'The text label has been deleted','en'),(90,90,'Couldn\'t delete the text label: text label not found or not specified','en'),(91,91,'Couldn\'t add the text label: name not specified.','en'),(92,92,'Couldn\'t add the text label: text label already exists.','en'),(93,93,'The text label has been added successfully','en'),(94,94,'The text label has been updated successfully','en'),(95,95,'The language you are trying to edit has not been found','en'),(96,96,'The language data has been saved','en'),(97,97,'The maximum upload file size is {{upload_max_filesize}}','en'),(98,98,'Search','en'),(99,99,'Next','en'),(100,100,'Custom HTML title','en'),(101,101,'Show category title','en'),(102,102,'Category icon','en'),(103,103,'Top banner','en'),(104,104,'<a href=\"https://devs.x-cart.com/en/how-to_articles/how_to_change_the_height_of_the_top_category_banner.html\">Learn more about the top banner and how it shows in the page layout</a>','en'),(105,105,'Meta tags','en'),(106,106,'Meta desc','en'),(107,107,'View image','en'),(108,108,'From computer','en'),(109,109,'Via URL','en'),(110,110,'Upload via URL','en'),(111,111,'Copy to file system','en'),(112,112,'Alt','en'),(113,113,'Copy','en'),(114,114,'Copy to clipboard','en'),(115,115,'Select file','en'),(116,116,'Undelete','en'),(117,117,'Show all labels','en'),(118,118,'{{n}} items found','en'),(119,119,'No modules found for \"<em>{{search_string}}</em>\"','en'),(120,120,'Language options','en'),(121,121,'{{language}} labels','en'),(122,122,'Select language','en'),(123,123,'No other languages defined','en'),(124,124,'Languages','en'),(125,125,'Help','en'),(126,126,'Knowledge Base','en'),(127,127,'Suggest an idea','en'),(128,128,'Report a bug','en'),(129,129,'Translations','en'),(130,130,'X-Cart News','en'),(131,131,'Our Blog','en'),(132,132,'Clear search','en'),(133,133,'New membership','en'),(134,134,'Any availability status','en'),(135,135,'Only enabled','en'),(136,136,'Only disabled','en'),(137,137,'Any class','en'),(138,138,'Default tax class','en'),(139,139,'Images','en'),(140,140,'Attributes','en'),(141,141,'Cloned products','en'),(142,142,'New category','en'),(143,143,'Subcat','en'),(144,144,'Main categories','en'),(145,145,'Add new label','en'),(146,146,'Add language','en'),(147,147,'{{n}} items total','en'),(148,148,'{{count}} item(s)','en'),(149,149,'Add new language','en'),(150,150,'Save','en'),(151,151,'Provide a translation of the text label into each of the languages used at your store. If the text label does not have a translation for a specific language, the translation of the label into the default language will be used instead. If the default language translation is also not available, the Label Name will be used.','en'),(152,152,'Purchase {{list}} license to install this add-on or','en'),(153,153,'Purchase {{list}} license to enable this add-on or','en'),(154,154,'The following modules will be disabled','en'),(155,155,'You can install these updates after <a href=\"{{URL}}\" target=\"_blank\">purchasing</a> and activating your X-Cart license key.','en'),(156,156,'Label name','en'),(157,157,'required','en'),(158,158,'Confirm deletion','en'),(159,159,'You are about to delete the {{language}} language. This operation is irreversible. Are you sure you want to continue?','en'),(160,160,'Delete','en'),(161,161,'Cancel','en'),(162,162,'{{language}} Language (Code: {{code}})','en'),(163,163,'Language name in {{language}}','en'),(164,164,'Native language name','en'),(165,165,'Disable','en'),(166,166,'Enable','en'),(167,167,'Set this language as default for the Customer area','en'),(168,168,'A disabled language cannot be set as default for the Customer area','en'),(169,169,'Delete Language','en'),(170,170,'Edit label','en'),(171,171,'Edit labels','en'),(172,172,'Please specify a pattern to find the required labels','en'),(173,173,'Module not found. Cannot uninstall.','en'),(174,174,'The module has been uninstalled successfully','en'),(175,175,'The {{module}} module has been uninstalled successfully','en'),(176,176,'The {{module}} module was installed with errors: the database was not updated correctly','en'),(177,177,'The {{module}} module was installed incorrectly. Please see logs for more information.','en'),(178,178,'The {{module}} module has been installed; however, the module has a wrong module control class','en'),(179,179,'The modules have been updated','en'),(180,180,'Congratulations! Your order has been placed.<br />You will receive your order confirmation shortly.','en'),(181,181,'{{count}} item in cart','en'),(182,182,'{{count}} items in cart','en'),(183,183,'See all {{count}} items','en'),(184,184,'Last added items','en'),(185,185,'Other items','en'),(186,186,'The selected shipping method has been deleted successfully','en'),(187,187,'The shipping methods have been updated','en'),(188,188,'The selected zones have been deleted successfully','en'),(189,189,'Zone details have been updated successfully','en'),(190,190,'The new zone has been created successfully','en'),(191,191,'This product is in <a href=\"{{href}}\">your cart</a>','en'),(192,192,'Your shopping cart - {{count}} item','en'),(193,193,'Your shopping cart - {{count}} items','en'),(194,194,'Greetings, {{name}}','en'),(195,195,'{{count}} items','en'),(196,196,'<div class=\"minicart-items-number\">{{count}}</div> <div class=\"minicart-items-text\">item</div>','en'),(197,197,'<div class=\"minicart-items-number\">{{count}}</div> <div class=\"minicart-items-text\">items</div>','en'),(198,198,'The email you provided is already in use. You can continue as guest or <a href=\"{{URL}}\" class=\"sign-in log-in\">Sign in</a>','en'),(199,199,'This user name is already taken. Please choose a different user name or <a href=\"{{URL}}\" class=\"log-in\">sign in</a>','en'),(200,200,'I accept the <a href=\"{{URL}}\" target=\"_blank\">Terms &amp; Conditions</a>','en'),(201,201,'By clicking the \"Place order\" button you confirm that you accept the <a href=\"{{URL}}\">Terms &amp; Conditions</a>','en'),(202,202,'Place order: {{total}}','en'),(203,203,'Proceed to payment: {{total}}','en'),(204,204,'Enter a correct email','en'),(205,205,'Enter an integer','en'),(206,206,'Enter a number','en'),(207,207,'Zero cannot be used','en'),(208,208,'Enter a positive number','en'),(209,209,'Enter a negative number','en'),(210,210,'This field is required','en'),(211,211,'\'{{field}}\' field is required','en'),(212,212,'Image #{{index}}','en'),(213,213,'Top {{count}} products','en'),(214,214,'\"{{name}}\" module settings','en'),(215,215,'The benchmark evaluates server environment, namely:<br />1. File subsystem - read and write speed.<br />2. Database server - computing speed, DB data read and write speed.<br />3. Computing power - speed of computing and exchanging data in the memory.<br /><span>The total test time is the sum of the times taken by each of these tests.</span>','en'),(216,216,'Thank you for using {{company}} services','en'),(217,217,'The confirmation URL link was sent to {{email}}','en'),(218,218,'An email with your account information was sent to {{email}}. Please make sure you can log in using the received data.','en'),(219,219,'Show filter options','en'),(220,220,'Customer note','en'),(221,221,'Customer','en'),(222,222,'Anonymous Customer','en'),(223,223,'Anonymous Customer, <a href=\"{{URL}}\">Registered User with the same email</a>','en'),(224,224,'Registered Customer','en'),(225,225,'Registered Customer, <a href=\"{{URL}}\">Anonymous Customer with the same email</a>','en'),(226,226,'The user will be registered; a password will be sent to the user via email','en'),(227,227,'Merge with Registered','en'),(228,228,'Invoice #{{id}}','en'),(229,229,'Welcome to X-Cart','en'),(230,230,'Quantity','en'),(231,231,'Total','en'),(232,232,'Cart is empty','en'),(233,233,'{{count}} item','en'),(234,234,'Items','en'),(235,235,'items','en'),(236,236,'Checkout','en'),(237,237,'View cart','en'),(238,238,'Email address','en'),(239,239,'Password','en'),(240,240,'Recover password','en'),(241,241,'Your cart','en'),(242,242,'This is a demo store powered by X-Cart, using PHP5 templates technology and MySQL database.','en'),(243,243,'Price','en'),(244,244,'Product name','en'),(245,245,'Please let us know if you want to <a href=\"//ideas.x-cart.com/forums/229428-x-cart-5-ideas\" target=\"_blank\">suggest an idea</a> or <a href=\"//www.x-cart.com/custom-development.html\" target=\"_blank\">contact us</a> for a free quote for custom development service</a>','en'),(246,246,'Please clarify your search request or search in the <a href=\"{{marketplace}}\">Marketplace</a>','en'),(247,247,'Select one...','en'),(248,248,'Other','en'),(249,249,'Hello, {{name}}','en'),(250,250,'All','en'),(251,251,'None','en'),(252,252,'[Root level]','en'),(253,253,'-- No categories --','en'),(254,254,'Sort by','en'),(255,255,'Pending membership','en'),(256,256,'{{count}} result(s) found','en'),(257,257,'per page','en'),(258,258,'<span>{{count}}</span> order','en'),(259,259,'<span>{{count}}</span> orders','en'),(260,260,'Logged in!','en'),(261,261,'Log off','en'),(262,262,'Account settings','en'),(263,263,'User <strong>{{login}}</strong> is logged in.','en'),(264,264,'{{count}} products found','en'),(265,265,'Thank you for registering a customer account.<br />As a registered customer you can enjoy a simplified checkout process and review your order history.<br /><br />A registration confirmation message with your account details has been sent to your email <b>{profile.login}</b>.<br />Please use your registration email and password every time you place orders at our store.<br /><br />You are now logged in and welcome to continue shopping.','en'),(266,266,'<span class=\"begin-record-number\">{{begin}}</span>&ndash;<span class=\"end-record-number\">{{end}}</span> of <span class=\"records-count\">{{total}}</span>','en'),(267,267,'{{value}} bytes','en'),(268,268,'{{value}} kB','en'),(269,269,'{{value}} MB','en'),(270,270,'{{value}} GB','en'),(271,271,'Including {{name}}','en'),(272,272,'{{years}} year(s)','en'),(273,273,'{{months}} month(s)','en'),(274,274,'{{days}} day(s)','en'),(275,275,'{{hours}} hour(s)','en'),(276,276,'{{minutes}} minute(s)','en'),(277,277,'{{seconds}} second(s)','en'),(278,278,'Import will overwrite the existing product information. This operation cannot be undone.','en'),(279,279,'To find out the data format for import, you can create a sample data file <a href=\"{{url}}\">by exporting your existing products</a>. Then you can prepare your import file using the same format.','en'),(280,280,'Note that data import time will depend on the size of the file being imported.','en'),(281,281,'Cannot import the field \'{{name}}\': unknown field','en'),(282,282,'String is inconsistent with the title: the number of columns is {{wrong}} instead of {{right}}','en'),(283,283,'The required field \'{{name}}\' is not defined or empty. The product has not been created','en'),(284,284,'{{url}} image unable to load','en'),(285,285,'During import {{count}} errors were generated. For details, <a href=\"{{url}}\">download</a> the log files.','en'),(286,286,'Some products might have been imported incorrectly. Please check your catalog. Find the IDs of such products in the import log file above.','en'),(287,287,'Order #{{id}}, {{date}}','en'),(288,288,'Order #{{id}}','en'),(289,289,'The {{name}} field is empty','en'),(290,290,'The value of the {{name}} field must be greater than {{min}}','en'),(291,291,'The value of the {{name}} field must be less than {{max}}','en'),(292,292,'Incorrect value format in {{name}} field.','en'),(293,293,'The value of the {{name}} field must not be longer than {{max}}','en'),(294,294,'To boost your sales, try the \"<a href=\"{{discountCoupons}}\">Coupons</a>\", \"<a href=\"{{sale}}\">Sale</a>\", \"<a href=\"{{productAdvisor}}\">Product Advisor</a>\" and \"<a href=\"{{volumeDiscounts}}\">Volume Discounts</a>\" addons. You may also be interested in other <a href=\"{{marketingTag}}\">Marketing</a> extensions from our Marketplace','en'),(295,295,'Trying to access the shop at <a href=\"{{url}}\">{{url}}</a> ...','en'),(296,296,'To fix this problem take the following steps: <ul><li>make sure the HTTPS protocol is enabled by your hosting service provider;</li><li>check your HTTPS settings (the \'https_host\' parameter in the \'etc/config.php\' file must be valid);</li><li>reload this page.</li></ul>','en'),(297,297,'To upload the database data directly from your local computer, click \"Browse\", choose an SQL dump file and click \"Upload and restore\". This method is more convenient; however, it has a file size limitation of {{N}}.','en'),(298,298,'You may upload a file named sqldump.sql.php to the var/backup/ directory of your X-Cart installation on the web server and click \"Restore from server\".','en'),(299,299,'Maximum upload file size is {{N}}.','en'),(300,300,'Unable to install the module \"{{X}}\":  required modules have not been installed or activated.','en'),(301,301,'cannot set {{X}} permissions','en'),(302,302,'Incorrect owner of {{X}} directory','en'),(303,303,'Cannot set {{X}} permissions for subdirectories:','en'),(304,304,'Incorrect owner of {{X}} file','en'),(305,305,'File size exceeds the maximum size of ({{size}})','en'),(306,306,'File was not loaded due to a server side failure.','en'),(307,307,'{{count}} item available','en'),(308,308,'{{count}} items available','en'),(309,309,'{{count}} product(s) removed','en'),(310,310,'{{count}} product(s) created','en'),(311,311,'{{count}} entities  removed','en'),(312,312,'{{count}} entities created','en'),(313,313,'Select a country or a state from the list, specify the zone where the country or state should be listed and click \"Apply\". To select more than one country/state, hold down the CTRL key while selecting the items. A zone must contain either countries or states. You cannot include both states and countries into the same zone.','en'),(314,314,'If you store product images in the database, they are included in the SQL dump file. If the product images are located on the file system, they are not included in the SQL dump file. To back up such images you need to download them directly from the server.','en'),(315,315,'You can choose one of the following options:<ol class=\"ordered-list\"><li>Download the database data (SQL dump) directly to your local computer - please click the \'Download SQL file\' button.</li><li>Save the database data as a file on the web server (\'var/backup/sqldump.sql.php\') - please click the \'Create SQL file\' button.</li></ol>','en'),(316,316,'Dear {{name}}!','en'),(317,317,'Thank you for your business. Please come back soon!','en'),(318,318,'{{percent}}% off','en'),(319,319,'Placed on <span class=\"date\">{{date}}</span> by <span class=\"name\">{{name}}</span>','en'),(320,320,'Placed on <span class=\"date\">{{date}}</span> by <a href=\"{{url}}\" class=\"name\">{{name}}</a>','en'),(321,321,'Order Total: <span>{{total}}</span>','en'),(322,322,'Oops! Our payment system has not informed us whether your last order was paid for, or not. Is there a payment form that you have not completed yet? If so, please complete and submit it. Or you can quickly <a href=\"{{url}}\">re-order the products</a> from your last incomplete order.','en'),(323,323,'Payment transaction [method: {{trx_method}}, type: {{trx_type}}, amount: {{trx_value}}, status: {{trx_status}}]','en'),(324,324,'Back end payment transaction [method: {{trx_method}}, type: {{trx_type}}, amount: {{trx_value}}, status: {{trx_status}}]','en'),(325,325,'Trial period &mdash; {{X}} day(s) left','en'),(326,326,'Editing attribute groups on this page will not affect other product classes that use these groups. Removing a group does not delete attributes from the group, but makes them show up among other attributes having no associated groups.','en'),(327,327,'What\'s new','en'),(328,328,'Your account email is {{email}}','en'),(329,329,'Your account password is {{password}}','en'),(330,330,'Here you can provide titles and descriptions for your payment methods and set the order in which they should appear on the storefront.<br><strong>Title</strong> &mdash; name of the custom payment method as should be displayed to customers;your custom payment name shown for customer;<br><strong>Description</strong> &mdash; short description of the payment method that should appear right below its title.','en'),(331,331,'Watch this short video and learn the basics of how online payment processing works. You will also find out what to look for when choosing the best payment processing solution for your business.','en'),(332,332,'{{count}} methods available','en'),(333,333,'The payment method has been enabled','en'),(334,334,'The payment method has been disabled','en'),(335,335,'The payment method has been removed','en'),(336,336,'The payment method has not been configured properly','en'),(337,337,'Duplicated clean URL: {{value}}','en'),(338,338,'Attributes for \"{{class}}\" product class','en'),(339,339,'{{count}} attributes in group','en'),(340,340,'Order {{order_number}} has been placed','en'),(341,341,'This module is available for X-Cart hosted stores only. <a href=\"{{url}}\">Click here for more information.</a>','en'),(342,342,'Low inventory products ({{count}})','en'),(343,343,'{{value}} orders yesterday','en'),(344,344,'{{value}} orders last week','en'),(345,345,'{{value}} orders last month','en'),(346,346,'{{value}} yesterday','en'),(347,347,'{{value}} last week','en'),(348,348,'{{value}} last month','en'),(349,349,'No orders yesterday','en'),(350,350,'No orders last week','en'),(351,351,'No orders last month','en'),(352,352,'No orders yet','en'),(353,353,'No orders','en'),(354,354,'To use the secure protocol you need an SSL certificate purchased for the \"<span>{{domain}}</span>\" domain and installed on your server.','en'),(355,355,'To enable the secure protocol for your website pages you need a valid SSL certificate purchased for the \"<span>{{domain}}</span>\" website domain and installed on your server.','en'),(356,356,'Pre-launch checklist:','en'),(357,357,'{{size}}','en'),(358,358,'Exported on {{date}}','en'),(359,359,'No write permissions to directory {{path}}. Please set the necessary permissions to directory {{path}}.','en'),(360,360,'Failed write to file {{path}}. There may not be enough disk space. Please check if there is enough disk space.','en'),(361,361,'Export is complete. <a href=\"{{url}}\">Check results and download</a>.','en'),(362,362,'This will increase the shipping cost by {{XX}}','en'),(363,363,'{{count}} products','en'),(364,364,'Subcategories: {{count}}','en'),(365,365,'Manage category: {{category_name}}','en'),(366,366,'Subcategories for','en'),(367,367,'OrderID or email, ID1-ID2 for range','en'),(368,368,'All Order Statuses','en'),(369,369,'Enter date range','en'),(370,370,'Authorized','en'),(371,371,'Shipped','en'),(372,372,'Cancelled','en'),(373,373,'Expired','en'),(374,374,'Refund requested','en'),(375,375,'Refunded','en'),(376,376,'Partially refunded','en'),(377,377,'Selected:','en'),(378,378,'Days','en'),(379,379,'Close','en'),(380,380,'MO','en'),(381,381,'TU','en'),(382,382,'WE','en'),(383,383,'TH','en'),(384,384,'FR','en'),(385,385,'SA','en'),(386,386,'SU','en'),(387,387,'JANUARY','en'),(388,388,'FEBRUARY','en'),(389,389,'MARCH','en'),(390,390,'APRIL','en'),(391,391,'MAY','en'),(392,392,'JUNE','en'),(393,393,'JULY','en'),(394,394,'AUGUST','en'),(395,395,'SEPTEMBER','en'),(396,396,'OCTOBER','en'),(397,397,'NOVEMBER','en'),(398,398,'DECEMBER','en'),(399,399,'Shortcuts','en'),(400,400,'Past','en'),(401,401,'7days','en'),(402,402,'14days','en'),(403,403,'30days','en'),(404,404,'Previous','en'),(405,405,'Week','en'),(406,406,'Month','en'),(407,407,'Quarter','en'),(408,408,'Year','en'),(409,409,'Date range should be longer than %d days','en'),(410,410,'Date range should be less than %d days','en'),(411,411,'Please select a date range longer than %d days','en'),(412,412,'Please select a date range shorter than %d days','en'),(413,413,'Please select a date range between %d and %d days','en'),(414,414,'Please select a date range','en'),(415,415,'Enter keyword','en'),(416,416,'All membership levels','en'),(417,417,'No membership','en'),(418,418,'All User Types','en'),(419,419,'Please select one ...','en'),(420,420,'Please select an option','en'),(421,421,'Search keywords','en'),(422,422,'Search payment method','en'),(423,423,'Any category','en'),(424,424,'Any status','en'),(425,425,'Search in','en'),(426,426,'{{count}} label(s)','en'),(427,427,'This language was added by the module {{module}} and cannot be removed.','en'),(428,428,'{{count}} language(s) removed','en'),(429,429,'{{count}} language label(s) removed','en'),(430,430,'No payment methods available. Please contact the <a href=\"mailto:{{email}}\">store administrator</a>.','en'),(431,431,'Edit states ({{count}})','en'),(432,432,'{{count}} state(s) removed','en'),(433,433,'{{count}} state(s) created','en'),(434,434,'{{count}} zone(s) removed','en'),(435,435,'{{count}} zone(s) created','en'),(436,436,'This is the default zone which matches all possible addresses.<br />The default zone can be edited but cannot be removed.','en'),(437,437,'Examples:<br /><br />2204%<br />38?45<br />23%<br /><br /><b>?</b> - any character<br /><b>%</b> - any character sequence, even empty','en'),(438,438,'Examples:<br /><br />New York<br />New%<br />%Y?rk<br /><br /><b>?</b> - any character<br /><b>%</b> - any character sequence, even empty','en'),(439,439,'Examples:<br /><br />%Water St%<br />%Coney Is?and%<br /><br /><b>?</b> - any character<br /><b>%</b> - any character sequence, even empty','en'),(440,440,'{{count}} shipping method(s) created','en'),(441,441,'{{count}} shipping method(s) removed','en'),(442,442,'Edit rates ({{count}})','en'),(443,443,'Your first name','en'),(444,444,'Your last name','en'),(445,445,'1000 Example street','en'),(446,446,'Example city','en'),(447,447,'California','en'),(448,448,'90001','en'),(449,449,'+12130000000','en'),(450,450,'email@example.com','en'),(451,451,'Specification','en'),(452,452,'Not all the upgrade packs have been downloaded. This may have been caused by one of the following:<ul class=\'marked-list\'><li>slow Internet connection;</li><li>an internal problem on the Marketplace server;</li><li>a problem with your X-Cart license (expired license key, license key not matching the module license, etc.)</li></ul>','en'),(453,453,'A new customer? Enter your email','en'),(454,454,'ABA routing number','en'),(455,455,'Absolute','en'),(456,456,'Accept','en'),(457,457,'Orders','en'),(458,458,'Online methods','en'),(459,459,'Access denied!','en'),(460,460,'Access information','en'),(461,461,'Access is locked out','en'),(462,462,'Access level','en'),(463,463,'Account','en'),(464,464,'Account details','en'),(465,465,'Account status','en'),(466,466,'Account summary','en'),(467,467,'Activate license key','en'),(468,468,'Activate your paid module license','en'),(469,469,'Active','en'),(470,470,'Active from','en'),(471,471,'Active till','en'),(472,472,'Add','en'),(473,473,'Add Product','en'),(474,474,'Add alternative payment method','en'),(475,475,'Add category','en'),(476,476,'Add child','en'),(477,477,'Add discount','en'),(478,478,'Add featured products','en'),(479,479,'Add file','en'),(480,480,'Add image','en'),(481,481,'Add rate','en'),(482,482,'Add new','en'),(483,483,'Add new address','en'),(484,484,'Add new country','en'),(485,485,'Add new exception','en'),(486,486,'Add new membership level','en'),(487,487,'Add new option','en'),(488,488,'Add new option group','en'),(489,489,'Add new state','en'),(490,490,'Add offline payment method','en'),(491,491,'Add payment method','en'),(492,492,'Add shipping method','en'),(493,493,'Add subcategory','en'),(494,494,'Add user','en'),(495,495,'Add your <a href=\"{{URL}}\">products</a>','en'),(496,496,'Add zone','en'),(497,497,'Add-ons','en'),(498,498,'Add/update options','en'),(499,499,'Added','en'),(500,500,'Joined','en'),(501,501,'Added to cart','en'),(502,502,'Address','en'),(503,503,'Address book','en'),(504,504,'Address details','en'),(505,505,'Address field','en'),(506,506,'Address fields','en'),(507,507,'Address pattern','en'),(508,508,'Admin','en'),(509,509,'Administrator area','en'),(510,510,'Administrator','en'),(511,511,'All add-ons','en'),(512,512,'All customers','en'),(513,513,'All memberships','en'),(514,514,'All the necessary adaptation will be done by the developer (covered by extended warranty).','en'),(515,515,'All products on sale','en'),(516,516,'All shipping methods','en'),(517,517,'All address zones','en'),(518,518,'All the products are in sufficient quantities','en'),(519,519,'All time','en'),(520,520,'PayPal all-in-one solutions','en'),(521,521,'No merchant account required. Simple onboarding for you and easy checkout for your customers.','en'),(522,522,'Alphabetically','en'),(523,523,'Already have an account?','en'),(524,524,'Alternative payment methods','en'),(525,525,'Alternative text','en'),(526,526,'Amount','en'),(527,527,'Amount: high to low','en'),(528,528,'Amount: low to high','en'),(529,529,'An upgrade is a dangerous process that may result in a crashed website. It is strongly recommended to create a full backup of your store (the code and the database) and download it to a local computer before proceeding to the next step.','en'),(530,530,'Another state','en'),(531,531,'Any membership level','en'),(532,532,'Any product class','en'),(533,533,'Any zone','en'),(534,534,'Appearance','en'),(535,535,'Apply destination','en'),(536,536,'Apply price','en'),(537,537,'Are you sure you want to continue?','en'),(538,538,'Are you sure you want to delete the selected user?','en'),(539,539,'Are you sure you want to disable this add-on?','en'),(540,540,'Are you sure you want to enable this add-on?','en'),(541,541,'Are you sure you want to uninstall this add-on?','en'),(542,542,'Are you sure you wish to delete the selected zones?','en'),(543,543,'Are you sure?','en'),(544,544,'Arrival date','en'),(545,545,'Asynchronous','en'),(546,546,'Ask.com','en'),(547,547,'Assigned classes','en'),(548,548,'Attachment has not been deleted','en'),(549,549,'Attachments','en'),(550,550,'Attachments have been updated successfully','en'),(551,551,'Australia Post settings','en'),(552,552,'Authentication','en'),(553,553,'Authentication code','en'),(554,554,'Author','en'),(555,555,'Authorization then capture','en'),(556,556,'Auto','en'),(557,557,'Availability','en'),(558,558,'Available for sale','en'),(559,559,'B','en'),(560,560,'Back to file select','en'),(561,561,'Back to layout settings','en'),(562,562,'Back to methods','en'),(563,563,'Back to orders list','en'),(564,564,'Backup','en'),(565,565,'Backup database','en'),(566,566,'Bank Account Number','en'),(567,567,'Benchmark completed in ','en'),(568,568,'Benchmark result under 3000ms is considered good','en'),(569,569,'Bestsellers','en'),(570,570,'Billing address','en'),(571,571,'Billing address is not defined yet','en'),(572,572,'Bing','en'),(573,573,'Brief description','en'),(574,574,'Brief description','en'),(575,575,'Browse server','en'),(576,576,'Buy more','en'),(577,577,'CLOSE','en'),(578,578,'CSS & JavaScript','en'),(579,579,'Cache rebuild is already started, please wait','en'),(580,580,'Calculate rates','en'),(581,581,'Cannot be disabled. The module is required by:','en'),(582,582,'Cannot connect to the Addons Marketplace server','en'),(583,583,'Capture status','en'),(584,584,'Cart & checkout','en'),(585,585,'Catalog','en'),(586,586,'Categories','en'),(587,587,'Category','en'),(588,588,'Category info','en'),(589,589,'Category name','en'),(590,590,'Category name contains invalid UTF-8 characters or 4-byte UTF-8 characters which are not supported. Please correct and try again.','en'),(591,591,'Category page title','en'),(592,592,'Category path contains invalid UTF-8 characters or 4-byte UTF-8 characters which are not supported. Please correct and try again.','en'),(593,593,'Change','en'),(594,594,'Change address','en'),(595,595,'Change method','en'),(596,596,'Change options','en'),(597,597,'Change payment info','en'),(598,598,'Change shipping info','en'),(599,599,'Change shipping info','en'),(600,600,'Check all','en'),(601,601,'Check number','en'),(602,602,'Checking','en'),(603,603,'Checking integrity, please wait...','en'),(604,604,'Choose','en'),(605,605,'Choose <a href=\"{{URL}}\">payment methods</a>','en'),(606,606,'Choose file','en'),(607,607,'Choose from a variety of bundled payment solutions to accept credit cards and other methods of payment on your website','en'),(608,608,'Choose method','en'),(609,609,'Choose shipping method','en'),(610,610,'City','en'),(611,611,'Clean URL','en'),(612,612,'Enable clean URL','en'),(613,613,'Error code explanation','en'),(614,614,'More information about clean urls in X-Cart is available in <a href=\"{{url}}\" target=\"blank\">{{url}}</a>','en'),(615,615,'We made a test request to <a href=\"{{url}}\">{{url}}</a> URL and got the following result. <br>It means that your SEO-friendly URLs may not work properly after enabling.','en'),(616,616,'Clear aggregation cache','en'),(617,617,'Clear widgets cache','en'),(618,618,'CleanURL','en'),(619,619,'Empty your cart','en'),(620,620,'Click here to access/add subcategories','en'),(621,621,'Click here to view states of country','en'),(622,622,'Click to unblock','en'),(623,623,'Close storefront','en'),(624,624,'Code','en'),(625,625,'Comment','en'),(626,626,'Comments','en'),(627,627,'Company','en'),(628,628,'Company name','en'),(629,629,'Completed','en'),(630,630,'Component','en'),(631,631,'Configuration','en'),(632,632,'Configure <a href=\"{{URL}}\">shipping methods</a>','en'),(633,633,'Configure your store','en'),(634,634,'Confirm password','en'),(635,635,'Contacts','en'),(636,636,'Content','en'),(637,637,'Continue','en'),(638,638,'Copy file to local server','en'),(639,639,'Core version: ','en'),(640,640,'Countries','en'),(641,641,'Countries, states and zones','en'),(642,642,'Country','en'),(643,643,'Country is not selected','en'),(644,644,'Coupon code','en'),(645,645,'Coupons','en'),(646,646,'Create','en'),(647,647,'Create profile','en'),(648,648,'Create SQL file','en'),(649,649,'Create a backup','en'),(650,650,'Create account','en'),(651,651,'Create an account for later use','en'),(652,652,'Create category','en'),(653,653,'Create new account','en'),(654,654,'Created','en'),(655,655,'Currency','en'),(656,656,'Custom add-ons','en'),(657,657,'Custom CSS','en'),(658,658,'Custom JavaScript','en'),(659,659,'Custom images','en'),(660,660,'Custom translation','en'),(661,661,'Customer zip/postal code','en'),(662,662,'Clean URLs are disabled. <a target=\'_blank\' href=\'{{more_info_url}}\'>More info</a>','en'),(663,663,'Clean URLs are enabled','en'),(664,664,'Clean URLs are disabled','en'),(665,665,'Enable clean URLs','en'),(666,666,'Clean URLs functionality may not be enabled. <a target=\'_blank\' href=\'{{article_url}}\'>More info<i class=\'icon fa fa-external-link\'></i></a>','en'),(667,667,'More information on Clean URL problems on your system','en'),(668,668,'The data has been deleted successfully','en'),(669,669,'The data has been saved successfully','en'),(670,670,'Database backup has been created successfully','en'),(671,671,'Date','en'),(672,672,'Day','en'),(673,673,'Dear','en'),(674,674,'Dear customer!','en'),(675,675,'Decline','en'),(676,676,'Declined','en'),(677,677,'Default','en'),(678,678,'Default customer address','en'),(679,679,'Default for Customer area and cannot be disabled or deleted','en'),(680,680,'Default for Customer area and cannot be disabled or deleted','en'),(681,681,'Default images settings','en'),(682,682,'The powerful shopping cart software for web stores and e-commerce enabled stores is based on PHP5 with SQL database with highly configurable implementation based on templates','en'),(683,683,'All Addresses (default zone)','en'),(684,684,'Define classes','en'),(685,685,'Delete SQL file','en'),(686,686,'Delete all','en'),(687,687,'Delete profile','en'),(688,688,'Delete selected','en'),(689,689,'Delete selected profile','en'),(690,690,'Delete the image','en'),(691,691,'Delete this address?','en'),(692,692,'Delivery methods','en'),(693,693,'Destination zone','en'),(694,694,'Details','en'),(695,695,'Directory and file permissions','en'),(696,696,'Disable all modules in the system','en'),(697,697,'Disable suspicious modules','en'),(698,698,'Disabled','en'),(699,699,'A disabled language cannot be set as default for Customer area','en'),(700,700,'Discount','en'),(701,701,'Discount amount','en'),(702,702,'Discount type','en'),(703,703,'Display \'inc/ex VAT\' labels next to prices','en'),(704,704,'Display type','en'),(705,705,'Do not close this page!','en'),(706,706,'Do not show at startup anymore','en'),(707,707,'Do you really want to delete the selected items?','en'),(708,708,'Dont have account yet?','en'),(709,709,'Download SQL file','en'),(710,710,'Downloaded components','en'),(711,711,'Downloading updates','en'),(712,712,'Downloading updates, please wait...','en'),(713,713,'Drag and drop me to the cart','en'),(714,714,'Drop items here to shop','en'),(715,715,'Drupal front end','en'),(716,716,'Email','en'),(717,717,'Email is not defined yet','en'),(718,718,'Edit charges for:','en'),(719,719,'Edit payment method data','en'),(720,720,'Edit page','en'),(721,721,'Edit profile','en'),(722,722,'Email','en'),(723,723,'Email &amp; password','en'),(724,724,'Email body','en'),(725,725,'Email settings','en'),(726,726,'Enable HTTPS','en'),(727,727,'Enabled','en'),(728,728,'Enter coupon code','en'),(729,729,'Enter keywords','en'),(730,730,'Enter license key','en'),(731,731,'Enter shipping address','en'),(732,732,'Enter {{X}} more characters to start search','en'),(733,733,'Environment','en'),(734,734,'Environment info','en'),(735,735,'Error','en'),(736,736,'Estimate shipping cost','en'),(737,737,'Estimate your server performance','en'),(738,738,'Estimated for','en'),(739,739,'Everything you need','en'),(740,740,'Example','en'),(741,741,'Examples','en'),(742,742,'Exception','en'),(743,743,'Extend the functionality of your store by installing and using add-on modules','en'),(744,744,'Export','en'),(745,745,'Export products','en'),(746,746,'Extensions','en'),(747,747,'Facebook','en'),(748,748,'Failed','en'),(749,749,'Failed to add the detailed image','en'),(750,750,'Failed to add the attachment','en'),(751,751,'Failed to add the attachment. The file download is forbidden','en'),(752,752,'Failed/Declined','en'),(753,753,'Featured products','en'),(754,754,'Field is required!','en'),(755,755,'File title','en'),(756,756,'Find us on','en'),(757,757,'Find us on Facebook','en'),(758,758,'First name','en'),(759,759,'Flat rate','en'),(760,760,'Footer menu','en'),(761,761,'For the period','en'),(762,762,'Forgot password?','en'),(763,763,'Format','en'),(764,764,'Free add-ons','en'),(765,765,'From','en'),(766,766,'from','en'),(767,767,'Selected countries:','en'),(768,768,'Selected countries','en'),(769,769,'All states','en'),(770,770,'Selected states','en'),(771,771,'Back to Zones list','en'),(772,772,'Attributes block','en'),(773,773,'From email','en'),(774,774,'Full description','en'),(775,775,'Full name','en'),(776,776,'General','en'),(777,777,'General Settings','en'),(778,778,'General info','en'),(779,779,'General settings','en'),(780,780,'Give buyers a way to pay by adding an alternative payment method.','en'),(781,781,'Give buyers another way to pay by adding an alternative payment method','en'),(782,782,'Go to Marketplace','en'),(783,783,'Go to checkout','en'),(784,784,'Grid','en'),(785,785,'Group options','en'),(786,786,'Here\'s a new link for access to your information: <a href=\"{{link}}\">{{link}}</a>','en'),(787,787,'HTML title (\'title\' tag)','en'),(788,788,'HTTPS check','en'),(789,789,'HTTPS settings','en'),(790,790,'Restores to current state of active addons (use in case of emergency)','en'),(791,791,'Disables all addons except ones that are provided by X-Cart Team (hard reset)','en'),(792,792,'Disables all addons except ones that are provided by X-Cart Team & Qualiteam (soft reset)','en'),(793,793,'Have a discount coupon?','en'),(794,794,'Height (px)','en'),(795,795,'Help zone','en'),(796,796,'The list below shows only the methods enabled on the configuration page','en'),(797,797,'Here you can define how your payment methods will look in the Customer area','en'),(798,798,'Hide','en'),(799,799,'Hide trailing zeros in fractional part','en'),(800,800,'History','en'),(801,801,'Home','en'),(802,802,'How to','en'),(803,803,'How to back up your store database','en'),(804,804,'How to define address zones','en'),(805,805,'I understand that these add-ons may require an adaptation.','en'),(806,806,'Icons','en'),(807,807,'Identity','en'),(808,808,'If any critical errors have occurred, you can do the following','en'),(809,809,'If you choose the second option, you can download the file from the server later on and delete it from the server by clicking on the \'Delete SQL file\' button.','en'),(810,810,'If you do not have an account, you can easily','en'),(811,811,'If you don\'t have a moneybookers account yet, please sign up for a free moneybookers account at: http://www.skrill.com','en'),(812,812,'If you have a license key for a commercial module, you can enter it here to register the purchase of the module.','en'),(813,813,'If you have a plugin in the .tar format, you can install it by uploading it here','en'),(814,814,'Image','en'),(815,815,'Image border will not be displayed in the storefront','en'),(816,816,'Image has been identified as a duplicate and has not been imported: {{value}}','en'),(817,817,'Import','en'),(818,818,'Import / Export','en'),(819,819,'Import from file','en'),(820,820,'Import of orders is not supported.','en'),(821,821,'Import/Export','en'),(822,822,'Important','en'),(823,823,'In category','en'),(824,824,'In stock','en'),(825,825,'Inactive','en'),(826,826,'Incl. X','en'),(827,827,'Incomplete','en'),(828,828,'InnoDB engine support enabled','en'),(829,829,'Install','en'),(830,830,'Install add-on','en'),(831,831,'Install updates','en'),(832,832,'Installation directory','en'),(833,833,'Installed','en'),(834,834,'Installed Modules','en'),(835,835,'Installed modules','en'),(836,836,'Installing updates, please wait...','en'),(837,837,'Invalid login or password','en'),(838,838,'Inventory status','en'),(839,839,'Inventory tracking','en'),(840,840,'Inventory tracking','en'),(841,841,'Invoice','en'),(842,842,'It is not possible to delete or create user accounts because your store currently works as an integration with Drupal and shares users with Drupal. Deleting/creating user accounts is possible via Drupal administrator interface.','en'),(843,843,'It is not possible to edit some user profile fields because your store currently works as an integration with Drupal and shares users with Drupal. Modifying these fields is possible via Drupal administrator interface.','en'),(844,844,'Item description','en'),(845,845,'Item(s) deleted from your cart','en'),(846,846,'Item name','en'),(847,847,'Items per page','en'),(848,848,'Join forces with your bank','en'),(849,849,'K','en'),(850,850,'Language','en'),(851,851,'Language labels','en'),(852,852,'Last logged in','en'),(853,853,'Last login','en'),(854,854,'Last name','en'),(855,855,'License key has been successfully verified for the \"{{name}}\" module by \"{{author}}\" ','en'),(856,856,'Lifetime','en'),(857,857,'Limit the number of uses','en'),(858,858,'Link','en'),(859,859,'List','en'),(860,860,'List of states','en'),(861,861,'Loading...','en'),(862,862,'Localization','en'),(863,863,'Log in','en'),(864,864,'Log out','en'),(865,865,'Logged as','en'),(866,866,'Login','en'),(867,867,'Log in here','en'),(868,868,'Login history','en'),(869,869,'Look & Feel','en'),(870,870,'Low stock notification for this product is','en'),(871,871,'Low stock threshold','en'),(872,872,'Low stock','en'),(873,873,'M','en'),(874,874,'Maintenance','en'),(875,875,'Maintenance and operation','en'),(876,876,'Back up your store\'s database','en'),(877,877,'Manage catalog','en'),(878,878,'Manage categories','en'),(879,879,'Manage customer and administrator accounts','en'),(880,880,'Manage layout','en'),(881,881,'Manage orders','en'),(882,882,'Manage orders placed at your store','en'),(883,883,'Manage users','en'),(884,884,'Manage administrators','en'),(885,885,'Manage your product inventory','en'),(886,886,'Required fields are marked with an asterisk','en'),(887,887,'Manually defined shipping methods','en'),(888,888,'Mark the search engines you want to inform of the structure of your site using the site map','en'),(889,889,'Market price','en'),(890,890,'Marketplace','en'),(891,891,'Marketplace [check_addon_key]: the \"{{url}}\" URL requested','en'),(892,892,'Marketplace [check_for_updates]: the \"{{url}}\" URL requested','en'),(893,893,'Marketplace [check_for_updates]: valid response received','en'),(894,894,'Marketplace [get_hosting_score]: response has an invalid format','en'),(895,895,'Marketplace [get_hosting_score]: the \"{{url}}\" URL requested','en'),(896,896,'Rate per item','en'),(897,897,'Rate per weight unit','en'),(898,898,'Membership','en'),(899,899,'Membership access','en'),(900,900,'Membership levels','en'),(901,901,'Membership name','en'),(902,902,'Memberships','en'),(903,903,'Menus','en'),(904,904,'Message','en'),(905,905,'Meta description','en'),(906,906,'Meta keywords','en'),(907,907,'Methods','en'),(908,908,'Modify','en'),(909,909,'Modify \"{{name}}\" option group','en'),(910,910,'Modify category','en'),(911,911,'Modify option group exceptions','en'),(912,912,'Modify root category (the store\'s front page)','en'),(913,913,'The module has been successfully installed','en'),(914,914,'Addons Marketplace','en'),(915,915,'More add-ons','en'),(916,916,'More details','en'),(917,917,'Most Popular','en'),(918,918,'Most Rated','en'),(919,919,'Move','en'),(920,920,'My account','en'),(921,921,'MySQL server','en'),(922,922,'Name','en'),(923,923,'Name of address field','en'),(924,924,'Name of purchaser','en'),(925,925,'Bank name','en'),(926,926,'Name of account holder','en'),(927,927,'Never','en'),(928,928,'New access link','en'),(929,929,'New access key will also be sent to the Site administrator\'s email address','en'),(930,930,'New address field','en'),(931,931,'New discount coupon','en'),(932,932,'New image','en'),(933,933,'New item','en'),(934,934,'New page','en'),(935,935,'New product class','en'),(936,936,'The new product has been added successfully','en'),(937,937,'New rate','en'),(938,938,'New role','en'),(939,939,'Newest','en'),(940,940,'Newest first','en'),(941,941,'Next','en'),(942,942,'Next page','en'),(943,943,'No','en'),(944,944,'No countries found','en'),(945,945,'No products are featured in this category','en'),(946,946,'No image','en'),(947,947,'No images uploaded','en'),(948,948,'No items found.','en'),(949,949,'No merchant account required','en'),(950,950,'No orders have been placed yet','en'),(951,951,'No orders have been placed yet','en'),(952,952,'No payment modules installed','en'),(953,953,'No products sold yet','en'),(954,954,'No states found','en'),(955,955,'No tax rates defined','en'),(956,956,'Non-administrator','en'),(957,957,'Not finished','en'),(958,958,'Not a numeric value','en'),(959,959,'Note','en'),(960,960,'Notes','en'),(961,961,'This setting is inactive because \"Low stock warning\" notifications are disabled. You can enable them <a href=\"{{link}}\">here</a>.','en'),(962,962,'Off','en'),(963,963,'Official website','en'),(964,964,'Offline methods','en'),(965,965,'Old price','en'),(966,966,'On','en'),(967,967,'On all catalog pages','en'),(968,968,'On product details pages only','en'),(969,969,'Online catalog structure setup','en'),(970,970,'Only lowercase letters, digits and undescore character are allowed','en'),(971,971,'Open Graph meta tags','en'),(972,972,'Open graph tags','en'),(973,973,'Open storefront','en'),(974,974,'Operating system','en'),(975,975,'Option group','en'),(976,976,'The options have been successfully updated','en'),(977,977,'Order','en'),(978,978,'Order #','en'),(979,979,'Order ID','en'),(980,980,'Order Total','en'),(981,981,'Order date from','en'),(982,982,'Order date through','en'),(983,983,'Order details','en'),(984,984,'Order id','en'),(985,985,'Order items','en'),(986,986,'Order note','en'),(987,987,'Order page','en'),(988,988,'Order review','en'),(989,989,'Order statistics','en'),(990,990,'Order status','en'),(991,991,'Orders','en'),(992,992,'Orders count','en'),(993,993,'Orders placed','en'),(994,994,'Out of stock','en'),(995,995,'Pack it','en'),(996,996,'Page','en'),(997,997,'Page URL','en'),(998,998,'Page name','en'),(999,999,'Page not found','en'),(1000,1000,'Pages','en'),(1001,1001,'Paid','en'),(1002,1002,'Parent category','en'),(1003,1003,'Password and its confirmation do not match','en'),(1004,1004,'Pattern search','en'),(1005,1005,'All payment methods','en'),(1006,1006,'Payment info','en'),(1007,1007,'Payment instructions','en'),(1008,1008,'Payment method','en'),(1009,1009,'Payment methods','en'),(1010,1010,'Payment method data','en'),(1011,1011,'Payment data ({{method}})','en'),(1012,1012,'Payment settings','en'),(1013,1013,'Payment transaction ID','en'),(1014,1014,'Payment transactions','en'),(1015,1015,'Payment methods','en'),(1016,1016,'Pending','en'),(1017,1017,'Pending memberships','en'),(1018,1018,'Per item rate','en'),(1019,1019,'Per weight unit rate','en'),(1020,1020,'Percent','en'),(1021,1021,'Percent rate','en'),(1022,1022,'Percent off','en'),(1023,1023,'Perform order search','en'),(1024,1024,'Performance','en'),(1025,1025,'Permissions','en'),(1026,1026,'Not enough permissions to run the process. Make sure the following permissions are set (UNIX-like systems only).<br />Such permissions are required for a seamless automated installation or upgrade of X-Cart on your server. They do not take into account the specific configuration of your server or any security requirements. Once the process is completed, make sure you change the permissions to a more restrictive setting. <a target=\'_blank\' href=\'https://kb.x-cart.com/en/setting_up_x-cart_5_environment/secure_configuration.html#why-x-cart-asks-for-666777-permissions\'>Read more</a>','en'),(1027,1027,'Personal info','en'),(1028,1028,'Phone','en'),(1029,1029,'Pick address from address book','en'),(1030,1030,'Place order','en'),(1031,1031,'Please accept the Terms and Conditions to continue','en'),(1032,1032,'Please choose the appropriate action','en'),(1033,1033,'Please enable JavaScript in your web browser.','en'),(1034,1034,'Please identify yourself','en'),(1035,1035,'Please note that some of these modules are incompatible with the upcoming upgrade and will be disabled in order to prevent a system crash','en'),(1036,1036,'Run benchmark to estimate your server performance','en'),(1037,1037,'Please save the soft reset and hard reset links so you can use them later in case your website crashes','en'),(1038,1038,'Please select one','en'),(1039,1039,'Pos','en'),(1040,1040,'Pos.','en'),(1041,1041,'Pos.:','en'),(1042,1042,'Position','en'),(1043,1043,'Prefix','en'),(1044,1044,'Pre-upgrade action required','en'),(1045,1045,'Some of the modules used by your store contain code that must be executed before the upgrade process begins. For the code to be executed successfully, the modules must be enabled. However, some of the modules containing such code are now disabled. This will prevent the pre-upgrade code from execution and is highly likely to cause problems, like a fatal error.<br /><br />Listed below are the modules that contain pre-upgrade code and are disabled. Here you can specify the modules for which you want the pre-upgrade code to be executed:','en'),(1046,1046,'Execute','en'),(1047,1047,'Do not execute','en'),(1048,1048,'Please note that we may not be held responsible for any upgrade problems caused by failure to execute the required pre-upgrade code.','en'),(1049,1049,'Prev','en'),(1050,1050,'Previous page','en'),(1051,1051,'Price modifier','en'),(1052,1052,'Price: Not a numeric value','en'),(1053,1053,'Price','en'),(1054,1054,'Name','en'),(1055,1055,'Primary menu','en'),(1056,1056,'Print invoice','en'),(1057,1057,'Processed','en'),(1058,1058,'Processed/Completed','en'),(1059,1059,'Product Name','en'),(1060,1060,'Product SKU','en'),(1061,1061,'Product Title','en'),(1062,1062,'Product has been added to your cart','en'),(1063,1063,'Product class','en'),(1064,1064,'Product classes','en'),(1065,1065,'Product has been added to your cart','en'),(1066,1066,'Product images','en'),(1067,1067,'Product info','en'),(1068,1068,'Product info has been updated successfully','en'),(1069,1069,'Product is out of stock','en'),(1070,1070,'Product on sale','en'),(1071,1071,'Product options','en'),(1072,1072,'Product page title','en'),(1073,1073,'Product prices are defined including this tax calculated for','en'),(1074,1074,'Products','en'),(1075,1075,'Products in cart','en'),(1076,1076,'Product information has been successfully updated','en'),(1077,1077,'Products with low inventory','en'),(1078,1078,'Profile','en'),(1079,1079,'The profile has been created successfully','en'),(1080,1080,'The profile has been deleted successfully','en'),(1081,1081,'The profile has been updated successfully','en'),(1082,1082,'Profile settings','en'),(1083,1083,'Promotions','en'),(1084,1084,'Properties','en'),(1085,1085,'Purchase','en'),(1086,1086,'Purchase SSL certificate','en'),(1087,1087,'PO number','en'),(1088,1088,'Put up selected for sale','en'),(1089,1089,'Qty','en'),(1090,1090,'Qty.','en'),(1091,1091,'Quantity: high to low','en'),(1092,1092,'Quantity: low to high','en'),(1093,1093,'Queued','en'),(1094,1094,'Quick and easy setup','en'),(1095,1095,'Rate','en'),(1096,1096,'Rates','en'),(1097,1097,'Rates / Conditions','en'),(1098,1098,'Raw online rate (on-line rate)','en'),(1099,1099,'Re-build cache','en'),(1100,1100,'Re-generate access key','en'),(1101,1101,'Re-order','en'),(1102,1102,'Redirect customers to HTTPS','en'),(1103,1103,'Recommended','en'),(1104,1104,'Referer','en'),(1105,1105,'Register','en'),(1106,1106,'Registered','en'),(1107,1107,'Remove','en'),(1108,1108,'Required','en'),(1109,1109,'Required PHP extensions are missing: {{extensions}}','en'),(1110,1110,'Some of them require a registered merchant account','en'),(1111,1111,'Re-run benchmark','en'),(1112,1112,'Resend the secret link to renew access','en'),(1113,1113,'Response from Marketplace not received','en'),(1114,1114,'Response from Marketplace: ','en'),(1115,1115,'Restore','en'),(1116,1116,'Restore database','en'),(1117,1117,'Restore from server','en'),(1118,1118,'Restore last backup','en'),(1119,1119,'Restore links','en'),(1120,1120,'Return to Drupal','en'),(1121,1121,'Revenue','en'),(1122,1122,'Review statistics on the various aspects of your store\'s operation','en'),(1123,1123,'Role','en'),(1124,1124,'Roles','en'),(1125,1125,'Root Level','en'),(1126,1126,'Root access','en'),(1127,1127,'Root category','en'),(1128,1128,'Run Benchmark again','en'),(1129,1129,'Run benchmark','en'),(1130,1130,'SKU: a-z','en'),(1131,1131,'SKU: z-a','en'),(1132,1132,'SMTP server','en'),(1133,1133,'STORE SETUP','en'),(1134,1134,'SYSTEM SETTINGS','en'),(1135,1135,'Safe mode','en'),(1136,1136,'Safe mode access key','en'),(1137,1137,'Sale','en'),(1138,1138,'Sale price','en'),(1139,1139,'Sale statistics since the opening of the store','en'),(1140,1140,'Sales','en'),(1141,1141,'Sales tax','en'),(1142,1142,'Save as new','en'),(1143,1143,'Save changes','en'),(1144,1144,'Save zone details','en'),(1145,1145,'Savings','en'),(1146,1146,'Search for modules','en'),(1147,1147,'Search for orders','en'),(1148,1148,'Search for users','en'),(1149,1149,'Search for users that are','en'),(1150,1150,'Search in subcategories','en'),(1151,1151,'Search product','en'),(1152,1152,'Search profiles','en'),(1153,1153,'Search result','en'),(1154,1154,'Search results','en'),(1155,1155,'Secure connection cannot be established.','en'),(1156,1156,'Security','en'),(1157,1157,'Security settings','en'),(1158,1158,'Select country','en'),(1159,1159,'Select options','en'),(1160,1160,'Select status','en'),(1161,1161,'Send','en'),(1162,1162,'Send test email','en'),(1163,1163,'SEO settings','en'),(1164,1164,'Service name','en'),(1165,1165,'Service name of address field','en'),(1166,1166,'Set','en'),(1167,1167,'Set the sale price','en'),(1168,1168,'Settings','en'),(1169,1169,'Set up <a href=\"{{URL1}}\">address zones</a> and <a href=\"{{URL2}}\">taxes</a>','en'),(1170,1170,'Shipping & Taxes','en'),(1171,1171,'Shipping address','en'),(1172,1172,'Shipping address is not completly defined yet','en'),(1173,1173,'Shipping address is not defined','en'),(1174,1174,'Shipping address is not defined yet','en'),(1175,1175,'Shipping info','en'),(1176,1176,'The shipping rate has been created successfully','en'),(1177,1177,'The shipping rates have been updated','en'),(1178,1178,'Shipping method','en'),(1179,1179,'The shipping method has been added','en'),(1180,1180,'Shipping methods','en'),(1181,1181,'Shipping methods are not available','en'),(1182,1182,'Shipping rates','en'),(1183,1183,'Shipping settings','en'),(1184,1184,'Address zones','en'),(1185,1185,'There\'s a minimum purchase limit of {{minQuantity}}. The number of units of the product \'{{productName}}\' in cart has been adjusted to reach this limit.','en'),(1186,1186,'There\'s a maximum purchase limit of {{maxQuantity}}. The number of units of the product \'{{productName}}\' in cart has been adjusted to reach this limit.','en'),(1187,1187,'Carrier','en'),(1188,1188,'Order tracking information','en'),(1189,1189,'Track package','en'),(1190,1190,'Send tracking info','en'),(1191,1191,'No tracking numbers are defined','en'),(1192,1192,'Tracking numbers','en'),(1193,1193,'\"{{number}}\" tracking number has been added','en'),(1194,1194,'\"{{number}}\" tracking number has been removed','en'),(1195,1195,'Tracking number has been changed from \"{{old_number}}\" to \"{{new_number}}\"','en'),(1196,1196,'Add tracking number','en'),(1197,1197,'Tracking information has been sent','en'),(1198,1198,'Shopping cart','en'),(1199,1199,'Show social buttons','en'),(1200,1200,'Sign in','en'),(1201,1201,'Sign out','en'),(1202,1202,'Size','en'),(1203,1203,'Common tax settings','en'),(1204,1204,'Hide settings','en'),(1205,1205,'Display settings','en'),(1206,1206,'Rename label','en'),(1207,1207,'<strong>Disables all modules except for the ones that were downloaded from the Marketplace</strong>(soft reset)','en'),(1208,1208,'Specify your <a href=\"{{URL}}\">store information</a>','en'),(1209,1209,'Speed up your store','en'),(1210,1210,'Start selling!','en'),(1211,1211,'State','en'),(1212,1212,'States','en'),(1213,1213,'The states have been deleted successfully','en'),(1214,1214,'The states have been updated successfully','en'),(1215,1215,'Statistics','en'),(1216,1216,'Status','en'),(1217,1217,'Store Maintenance','en'),(1218,1218,'Store currency','en'),(1219,1219,'Contact information','en'),(1220,1220,'Store is closed','en'),(1221,1221,'Store is open','en'),(1222,1222,'Store setup','en'),(1223,1223,'Storefront','en'),(1224,1224,'Subcategories','en'),(1225,1225,'Subject','en'),(1226,1226,'Substring','en'),(1227,1227,'Subtotal range (begin)','en'),(1228,1228,'Subtotal range (end)','en'),(1229,1229,'Successfully imported X new products','en'),(1230,1230,'Successfully imported X new products and updated Y existing products','en'),(1231,1231,'Successfully updated Y products','en'),(1232,1232,'Suffix','en'),(1233,1233,'Synchronous','en'),(1234,1234,'System settings','en'),(1235,1235,'Table','en'),(1236,1236,'Tax disabled','en'),(1237,1237,'Tax enabled','en'),(1238,1238,'The tax has been disabled successfully','en'),(1239,1239,'The tax has been enabled successfully','en'),(1240,1240,'The tax rates have been updated successfully','en'),(1241,1241,'Tax rate has been deleted successfully','en'),(1242,1242,'Tax rate has not been deleted','en'),(1243,1243,'Tax title','en'),(1244,1244,'Taxes','en'),(1245,1245,'Teaser','en'),(1246,1246,'Test email configuration','en'),(1247,1247,'Test shipping rates','en'),(1248,1248,'Tester','en'),(1249,1249,'Text','en'),(1250,1250,'Thank you for your order','en'),(1251,1251,'The SSL certificate installed for your custom website domain is not valid.','en'),(1252,1252,'The SSL certificate installed on your server is not valid. Although you can switch the store to use the secure protocol for the website pages, most Internet browsers will likely display a warning message scaring your website visitors away.','en'),(1253,1253,'The X language has been added and enabled successfully','en'),(1254,1254,'The attachment has been added successfully','en'),(1255,1255,'The changes will be applied to all selected products','en'),(1256,1256,'The detailed image has been added successfully','en'),(1257,1257,'The detailed image has been deleted','en'),(1258,1258,'The detailed images have been updated successfully','en'),(1259,1259,'The exceptions have been updated successfully','en'),(1260,1260,'To enable this add-on, the following add-on(s) must be enabled','en'),(1261,1261,'To enable this add-on, the following add-on(s) must be disabled','en'),(1262,1262,'The following categories were selected to be removed','en'),(1263,1263,'The following dependent add-ons will be disabled automatically','en'),(1264,1264,'The image has been updated','en'),(1265,1265,'The HTTPS protocol is enabled for your website','en'),(1266,1266,'The import is in progress','en'),(1267,1267,'The import will start immediately upon selecting the data file. No additional confirmation prompts will appear.','en'),(1268,1268,'The language you want to delete is the default application language and cannot be deleted','en'),(1269,1269,'The language you want to delete is the default interface language and cannot be deleted','en'),(1270,1270,'The maximum number of uses','en'),(1271,1271,'The module has been partially uninstalled','en'),(1272,1272,'The module is not compatible with your X-Cart version','en'),(1273,1273,'The page has been added','en'),(1274,1274,'The product option group has been added successfully','en'),(1275,1275,'The product option group has been updated successfully','en'),(1276,1276,'The product option groups have been updated successfully','en'),(1277,1277,'Failed to update the product option groups','en'),(1278,1278,'The requested page could not be found.','en'),(1279,1279,'The restoration procedure is irreversible and erases all existing data tables from your store\'s database. It is highly recommended that you back up the data currently stored in the database before restoring a past version of your database from backup.','en'),(1280,1280,'The same as shipping','en'),(1281,1281,'The selected shipping rates have been deleted successfully','en'),(1282,1282,'The state has been added successfully','en'),(1283,1283,'The text label has not been added because its translation into the default application language has not been specified','en'),(1284,1284,'The text label has not been added because its translation into the default interface language has not been specified','en'),(1285,1285,'The text label has not been modified because its translation into the default application language has not been specified','en'),(1286,1286,'The text label has not been modified because its translation into the default interface language has not been specified','en'),(1287,1287,'The upgrade is completed. Please do not close this page until you check your web site and make sure that everything works properly','en'),(1288,1288,'There are no categories','en'),(1289,1289,'There are no rates selected','en'),(1290,1290,'There are no rates available for the specified source/destination and/or package measurements/weight.','en'),(1291,1291,'Find language in the marketplace','en'),(1292,1292,'There is no user with the specified email address','en'),(1293,1293,'There were no orders placed','en'),(1294,1294,'These components require your attention','en'),(1295,1295,'These components will be updated','en'),(1296,1296,'These instructions will appear below the order invoice on the page that customers see after they confirm their order.','en'),(1297,1297,'These links were already provided to you after this store was installed and will be emailed to you again after you start the upgrade process','en'),(1298,1298,'Please contact the module developers to make sure that these modules are compatible with the upcoming upgrade. We do not guarantee that the store will operate correctly if the modules remain enabled. Consider disabling the modules before you proceed to the next step.','en'),(1299,1299,'This address was used as a billing address during a recent purchase','en'),(1300,1300,'This address was used as a shipping address during a recent purchase','en'),(1301,1301,'This component is automatically calculated by a shipping add-on module and cannot be edited','en'),(1302,1302,'This email address is already in use by another user.','en'),(1303,1303,'This email address is used for an existing account. Enter another email address or sign in','en'),(1304,1304,'This is the default zone which covers all addresses. It is not possible to edit this zone\'s countries, states, etc.','en'),(1305,1305,'This month','en'),(1306,1306,'Once the links are regenerated, they will be sent to the store administrator email.','en'),(1307,1307,'After clicking this button, your hard/soft reset links will be regenerated. You may need this if your old links were compromised.','en'),(1308,1308,'This section lists 10 best selling products for today, last week, last month, last year and all time.','en'),(1309,1309,'This section displays order placement statistics','en'),(1310,1310,'This site requires JavaScript to function properly.','en'),(1311,1311,'This week','en'),(1312,1312,'This quarter','en'),(1313,1313,'This year','en'),(1314,1314,'Through','en'),(1315,1315,'Thumbnail','en'),(1316,1316,'Title','en'),(1317,1317,'New tax class','en'),(1318,1318,'Create zone','en'),(1319,1319,'Shipping / Payment info','en'),(1320,1320,'To contact us please use the form below','en'),(1321,1321,'To email','en'),(1322,1322,'To place the order please accept the Terms and Conditions','en'),(1323,1323,'To place the order please complete the previous steps first','en'),(1324,1324,'To reset your password, please enter the email address associated with your user account','en'),(1325,1325,'Today','en'),(1326,1326,'Best sellers','en'),(1327,1327,'Best sellers','en'),(1328,1328,'Translation driver','en'),(1329,1329,'Twitter','en'),(1330,1330,'Type','en'),(1331,1331,'Type of Account','en'),(1332,1332,'Admin has requested a change of password for your account. Please change the password before you proceed.','en'),(1333,1333,'The new password must not coincide with the current password for your account.','en'),(1334,1334,'Uncheck all','en'),(1335,1335,'Understanding Online Payments','en'),(1336,1336,'Error: Version value was not passed','en'),(1337,1337,'Uninstall','en'),(1338,1338,'Units & Formats','en'),(1339,1339,'Units of measurement','en'),(1340,1340,'Unknown','en'),(1341,1341,'Unpacking archives, please wait...','en'),(1342,1342,'Unset','en'),(1343,1343,'Update exceptions','en'),(1344,1344,'Update module','en'),(1345,1345,'Update product','en'),(1346,1346,'Update profile','en'),(1347,1347,'Updated components','en'),(1348,1348,'Updates are available','en'),(1349,1349,'Updates for the X-Cart core and/or installed modules are available','en'),(1350,1350,'Updates for your version ({{version}})','en'),(1351,1351,'Upgrade','en'),(1352,1352,'Upgrade is available','en'),(1353,1353,'Upgrade core','en'),(1354,1354,'Upgrade module','en'),(1355,1355,'Upgrade to version {{version}}','en'),(1356,1356,'Upload','en'),(1357,1357,'Upload add-on','en'),(1358,1358,'Upload and restore','en'),(1359,1359,'Upload file','en'),(1360,1360,'Use a merchant account from your financial institution or choose a bundled payment solution to accept credit cards and other methods of payment on your website.','en'),(1361,1361,'Use a merchant account from your financial institution to accept online payments','en'),(1362,1362,'Use custom js','en'),(1363,1363,'Use blurred image placeholders for smart image loading','en'),(1364,1364,'Use image background placeholders for smart image loading','en'),(1365,1365,'When enabled, pre-loaded low resolution images or single color background image placeholders are used to replace the actual full resolution images on the storefront before they are fully loaded.','en'),(1366,1366,'Use default logo','en'),(1367,1367,'Use dynamic image resizing','en'),(1368,1368,'This setting determines what happens if X-Cart cannot find a previously generated resized version of an image it needs to display. If this setting is enabled, an appropriately sized version of the image is generated on the fly. If this setting is disabled, the original (non-resized) image is used.','en'),(1369,1369,'Use the category name','en'),(1370,1370,'Use the navigation bar above this dialog to navigate through the catalog categories','en'),(1371,1371,'Use this section to back up the database of your online store. Please note that the database backup procedure can take up to several minutes.','en'),(1372,1372,'Use this section to define address zones.','en'),(1373,1373,'Use this section to configure your store\'s shipping methods.','en'),(1374,1374,'Use this section to manage the list of existing countries. This list is used in the shipping settings and calculations, as well as in the registration form in the Customer area.','en'),(1375,1375,'Use this section to manage the lists of counties, provinces, regions and states of different countries. The lists are used in shipping settings and calculations, as well as in the registration form in the Customer area.','en'),(1376,1376,'Use this section to restore the database of your online store. Please note that the database restoration procedure can take up to several minutes','en'),(1377,1377,'Use this section to review the list of existing membership levels and add new ones','en'),(1378,1378,'User membership','en'),(1379,1379,'User type','en'),(1380,1380,'Username or email','en'),(1381,1381,'Users','en'),(1382,1382,'Uses count','en'),(1383,1383,'Uses left','en'),(1384,1384,'VAT','en'),(1385,1385,'Validate key','en'),(1386,1386,'Value','en'),(1387,1387,'Version','en'),(1388,1388,'Version change','en'),(1389,1389,'View all open orders','en'),(1390,1390,'View logs','en'),(1391,1391,'View profile','en'),(1392,1392,'View system logs','en'),(1393,1393,'View update log','en'),(1394,1394,'Visit module details page','en'),(1395,1395,'Visit storefront','en'),(1396,1396,'Volume discounts','en'),(1397,1397,'Warning','en'),(1398,1398,'Warning! Not enough items in stock for the order to be processed','en'),(1399,1399,'Warning: this operation cannot be reverted!','en'),(1400,1400,'Watch video','en'),(1401,1401,'Web server','en'),(1402,1402,'Weight modifier','en'),(1403,1403,'What is benchmark?','en'),(1404,1404,'After the export process has been completed, you will be prompted to download the product data file','en'),(1405,1405,'Width (px)','en'),(1406,1406,'Wrong method_id specifed','en'),(1407,1407,'Wrong value is specified for arrival date field. The field was not updated.','en'),(1408,1408,'X-Cart','en'),(1409,1409,'X-Cart online store builder','en'),(1410,1410,'X-Cart shopping cart software','en'),(1411,1411,'XML parser','en'),(1412,1412,'XML sitemap','en'),(1413,1413,'Yahoo!','en'),(1414,1414,'Yandex','en'),(1415,1415,'Yes','en'),(1416,1416,'Yes, I accept the License agreement','en'),(1417,1417,'You are not allowed to access this resource!','en'),(1418,1418,'Your access link has expired.','en'),(1419,1419,'It seems that your custom add-ons were developed for a specific version of X-Cart core. As a result, some adaptation of these add-ons may be required for the upcoming upgrade. Please contact your module developer to assist you with the adaptation.','en'),(1420,1420,'Unfortunately, you don\'t have permissions to access this page.','en'),(1421,1421,'To continue, please {{singin}}','en'),(1422,1422,'sign in','en'),(1423,1423,'Please <a href=\"{{contact_link}}\">contact the administrator</a>','en'),(1424,1424,'You have selected to delete your profile. Please confirm that you want to proceed','en'),(1425,1425,'PHP <a href=\'//php.net/phar\' target=\'_blank\'>.phar</b> extension is not enabled on your server. Here is a <a href=\'https://kb.x-cart.com/en/setting_up_x-cart_5_environment/setting_up_.phar.html\' target=\'_blank\'>manual</a> for setting up the extension.','en'),(1426,1426,'PHP cURL extension is not enabled on your server. Here is a <a href=\'https://kb.x-cart.com/en/setting_up_x-cart_5_environment/setting_up_curl.html\' target=\'_blank\'>manual</a> for setting up the extension.','en'),(1427,1427,'PHP openSSL extension is not enabled on your server. Here is a <a href=\'https://kb.x-cart.com/en/setting_up_x-cart_5_environment/setting_up_openssl.html\' target=\'_blank\'>manual</a> for setting up the extension.','en'),(1428,1428,'Your server does not have an SSL certificate. Ask your hosting team to install an SSL certificate or create a self-signed one according to this <a href=\'https://kb.x-cart.com/en/setting_up_x-cart_5_environment/creating_self-signed_ssl_certificate.html\' target=\'_blank\'>guide</a>.','en'),(1429,1429,'Previous attempt to connect to the Marketplace server failed.','en'),(1430,1430,'cURL returned an error while establishing a connection: {{error code}} {{error message}}','en'),(1431,1431,'After the problem has been fixed, try to <a href=\'{{clear_cache}}\'>connect</a> again.','en'),(1432,1432,'Require to change password on next log in','en'),(1433,1433,'Change password','en'),(1434,1434,'Your account information will be emailed to you shortly','en'),(1435,1435,'Your account information will be emailed to you shortly.','en'),(1436,1436,'Your email','en'),(1437,1437,'Your name','en'),(1438,1438,'Your products will be exported as a CSV file.','en'),(1439,1439,'Your cart is empty','en'),(1440,1440,'Your state','en'),(1441,1441,'Your storefront','en'),(1442,1442,'Your store is currently unable to calculate taxes','en'),(1443,1443,'Zip code','en'),(1444,1444,'Zip/postal code masks','en'),(1445,1445,'City masks','en'),(1446,1446,'Zone','en'),(1447,1447,'Zone name','en'),(1448,1448,'Zones','en'),(1449,1449,'and','en'),(1450,1450,'by','en'),(1451,1451,'details','en'),(1452,1452,'disabled','en'),(1453,1453,'downloads','en'),(1454,1454,'enabled','en'),(1455,1455,'from URL','en'),(1456,1456,'from local computer','en'),(1457,1457,'from local server','en'),(1458,1458,'hard reset','en'),(1459,1459,'in description','en'),(1460,1460,'in title','en'),(1461,1461,'is available','en'),(1462,1462,'items available','en'),(1463,1463,'less','en'),(1464,1464,'modules','en'),(1465,1465,'ms','en'),(1466,1466,'never','en'),(1467,1467,'none','en'),(1468,1468,'The following archives could not be unpacked: {{list}}','en'),(1469,1469,'Try to unpack them manually, then click on <a href=\'{{link}}\'>this link</a>.','en'),(1470,1470,'not available for sale','en'),(1471,1471,'not installed','en'),(1472,1472,'not ready to download packs. Please, try again','en'),(1473,1473,'of','en'),(1474,1474,'options','en'),(1475,1475,'or','en'),(1476,1476,'proxy','en'),(1477,1477,'sale','en'),(1478,1478,'should be performed manually','en'),(1479,1479,'soft reset','en'),(1480,1480,'trying to install a non-marketplace module: \"{{name}}\"','en'),(1481,1481,'trying to unpack non-downloaded archives','en'),(1482,1482,'Unable to install: The following archives could not be unpacked: {{list}}','en'),(1483,1483,'Unable to test files: The following archives could not be unpacked: {{list}}','en'),(1484,1484,'unknown','en'),(1485,1485,'you save','en'),(1486,1486,'Action \"{{class}}::{{action}}\", {{message}}','en'),(1487,1487,'The key has been validated, but the module {{module}} has not been found','en'),(1488,1488,'Response from Marketplace: {{response}}','en'),(1489,1489,'Please specify a non-empty key','en'),(1490,1490,'A DB error occurred while uninstalling the module \"{{name}}\"','en'),(1491,1491,'The module \"{{name}}\" has been uninstalled successfully','en'),(1492,1492,'Unable to delete the module \"{{name}}\" files: some dirs do not have write permissions: {{dirs}}','en'),(1493,1493,'License not received','en'),(1494,1494,'invalid module ID passed: \"{{moduleId}}\"','en'),(1495,1495,'unable to add module entry to the installation list: \"{{path}}\"','en'),(1496,1496,'module version \"{{module_version}}\" does not match the core version (\"{{core_version}}\")','en'),(1497,1497,'unable to upload the module','en'),(1498,1498,'The modules have been successfully installed','en'),(1499,1499,'{{ext}} file type','en'),(1500,1500,'Zone not found ({{zoneId}})','en'),(1501,1501,'The profiles have been merged','en'),(1502,1502,'The profile has been registered. The password has been sent to the user\'s email address','en'),(1503,1503,'<a href=\"terms-and-conditions.html\">Terms and conditions details</a><br /><br />Edit the \"Terms and conditions text\" label via the Admin area','en'),(1504,1504,'<span class=\"modules-amount\">{{count}}</span> addon(s) selected','en'),(1505,1505,'State cannot be created with an unknown country code ({{code}})','en'),(1506,1506,'There are no labels translated to {{language}}','en'),(1507,1507,'Module with ID \"{{id}}\" not found','en'),(1508,1508,'We are already aware of this problem and are working on it. If you would like to get in touch, feel free to contact us via our Help center at <a href=\"{{url}}\" target=\"_blank\">{{url}}</a>.','en'),(1509,1509,'The following expected input data has a wrong format or is empty: {{fields}}','en'),(1510,1510,'Unknown language: {{code}}','en'),(1511,1511,'deleted','en'),(1512,1512,'It is impossible to detect valid SSL certificate availability on your server because curl extension is not installed.','en'),(1513,1513,'Your store is configured to use the secure protocol for both the store’s back end and customer area.','en'),(1514,1514,'We have found a valid SSL certificate installed on the server. Now you can switch the store to use the secure protocol for the store\'s back end, checkout, sign-in and profile pages.','en'),(1515,1515,'Support','en'),(1516,1516,'After the upgrade is completed, please check your website. If you find that the site is not operating properly, please try the following','en'),(1517,1517,'Start Import','en'),(1518,1518,'New import','en'),(1519,1519,'Critical errors have been detected in the files you are trying to import. Check the manual to correct the errors and try again.','en'),(1520,1520,'Data has not been found','en'),(1521,1521,'Clear the item\'s data before importing this item','en'),(1522,1522,'Do not verify images to run the process faster','en'),(1523,1523,'Delete temporary files after the import is completed','en'),(1524,1524,'Import settings','en'),(1525,1525,'Upload files','en'),(1526,1526,'Samples of the file structures','en'),(1527,1527,'Continue import','en'),(1528,1528,'Re-upload files','en'),(1529,1529,'The import process may take a while to complete. You may close the page; the process will continue in the background. If the process takes long enough, we will send you a notification when it is completed.','en'),(1530,1530,'The import process may take a while to complete. Please do not close this page until the process is fully completed. If you have closed the page, please re-open it to complete the import process as it is in progress only when the page is open.','en'),(1531,1531,'Verification results','en'),(1532,1532,'Import by CSV','en'),(1533,1533,'Order by','en'),(1534,1534,'Query','en'),(1535,1535,'Count','en'),(1536,1536,'Products found','en'),(1537,1537,'Cleanup queries','en'),(1538,1538,'requested only once','en'),(1539,1539,'requested once or twice','en'),(1540,1540,'Cleanup','en'),(1541,1541,'The shipping rate has been added successfully','en'),(1542,1542,'The shipping rate cannot be added','en'),(1543,1543,'Please make sure that <b>\"min weight\", \"min total\", \"min items\", \"shipping zone\" and \"shipping method\"</b> fields do not overlap with those of any other shipping rates.','en'),(1544,1544,'Administrator area','en'),(1545,1545,'This section displays order processing statistics','en'),(1546,1546,'Compare your result with other servers','en'),(1547,1547,'The values are average','en'),(1548,1548,'Customer area is closed for maintenance.','en'),(1549,1549,'This page allows you to configure shipping methods, address zones and shipping charges.','en'),(1550,1550,'Shipping charges','en'),(1551,1551,'New address','en'),(1552,1552,'Forgot your password?','en'),(1553,1553,'No such user','en'),(1554,1554,'Edit attributes','en'),(1555,1555,'To set up attributes specific for product classes, define the product classes first.','en'),(1556,1556,'Here you can define attributes for all of your products and sets of attributes for different classes of your products.','en'),(1557,1557,'Here you can define how your payment methods will look in the Customer area.','en'),(1558,1558,'More payment methods can be added by installing appropriate payment modules. Check out the Marketplace to find and install the payment modules you require.','en'),(1559,1559,'Need more payment methods?','en'),(1560,1560,'Upload from server','en'),(1561,1561,'Upload from your computer','en'),(1562,1562,'Warning: The restoration procedure is irreversible and erases all existing data tables from the store\'s database. It is highly recommended that you back up the data currently stored in your database before restoring a past version of your database from backup.','en'),(1563,1563,'Also, if you want to upload the backup of <b>another</b> X-Cart installation, ensure that you have completed the steps described <a href=\'{{url}}\'>here</a>','en'),(1564,1564,'Use this section to back up the database of your online store. Please note that the database backup procedure can take up to several minutes.','en'),(1565,1565,'If you choose to create an SQL file, you will be able to download the file from the server later and, after that, delete it from the server using the \"Delete SQL file\" button.','en'),(1566,1566,'You cannot save database data to a file on the web server (\'var/backup/sqldump.sql.php\').','en'),(1567,1567,'The directory \'var/backup/\' does not exist or is not writable.','en'),(1568,1568,'Ship in a separate box','en'),(1569,1569,'You will be able to provide additional product info (images, attributes, etc.) after you submit this form.','en'),(1570,1570,'Clone this product','en'),(1571,1571,'Clone','en'),(1572,1572,'Preview product page','en'),(1573,1573,'Tax class','en'),(1574,1574,'There are no images loaded for this product','en'),(1575,1575,'No product class assigned','en'),(1576,1576,'Name, e.g. Apparel','en'),(1577,1577,'Manage product classes','en'),(1578,1578,'If you have multiple products sharing the same set of attributes, it makes sence to set up a common product type for these products and create the attributes on the product type level.','en'),(1579,1579,'Attribute option','en'),(1580,1580,'Modifiers','en'),(1581,1581,'Default option','en'),(1582,1582,'Length x Width x Height','en'),(1583,1583,'Maximum number of items per box','en'),(1584,1584,'Attribute name','en'),(1585,1585,'Attribute values','en'),(1586,1586,'Re-generate links','en'),(1587,1587,'Attribute group','en'),(1588,1588,'Attribute','en'),(1589,1589,'No group','en'),(1590,1590,'No attributes','en'),(1591,1591,'No attributes assigned','en'),(1592,1592,'Including subcategories','en'),(1593,1593,'The provided file contains the following language labels:','en'),(1594,1594,'The language labels have been successfully imported:','en'),(1595,1595,'Language:','en'),(1596,1596,'labels count:','en'),(1597,1597,'Number of ignored rows:','en'),(1598,1598,'Please confirm that you want to proceed with the import or cancel the operation.','en'),(1599,1599,'Failure: Wrong file format.','en'),(1600,1600,'The language CSV file should be a text file containing three columns per row (the columns must be separated by a comma:','en'),(1601,1601,'language code,','en'),(1602,1602,'label name,','en'),(1603,1603,'label translation.','en'),(1604,1604,'Please make sure your file format is as described.','en'),(1605,1605,'default','en'),(1606,1606,'Get CSV','en'),(1607,1607,'Not selected','en'),(1608,1608,'To change your roles, contact the store administrator','en'),(1609,1609,'You have the following roles:','en'),(1610,1610,'Welcome','en'),(1611,1611,'Edit attribute values','en'),(1612,1612,'Click if you do not want to add this value to new products or class assigns automatically','en'),(1613,1613,'Click if you want to add this value to new products or class assigns automatically','en'),(1614,1614,'Enabled in catalog','en'),(1615,1615,'Disabled in catalog','en'),(1616,1616,'What to export','en'),(1617,1617,'editable','en'),(1618,1618,'multi value','en'),(1619,1619,'Removing this attribute will affect all the products. Leave this blank to hide this option for the product.','en'),(1620,1620,'Delete all files','en'),(1621,1621,'Before editing attributes specific for the chosen type you should save the changes','en'),(1622,1622,'Default value','en'),(1623,1623,'New value','en'),(1624,1624,'New group','en'),(1625,1625,'New Export','en'),(1626,1626,'The following files are too large to be included in the archive','en'),(1627,1627,'Start Export','en'),(1628,1628,'Export settings','en'),(1629,1629,'Export public files as','en'),(1630,1630,'URLs','en'),(1631,1631,'local files','en'),(1632,1632,'Choosing \"URLs\" will link the exported data to your public files (product and category images, downloadable files shown on product pages, and so on) through direct URLs. Public files won\'t be included into the archive with exported files; however, private files (for example, digitally distributed products) will go into the archive anyway.<br /><br />Choosing \"local files\" will provide file paths to your files, relative to your X-Cart installation.','en'),(1633,1633,'Download all files in a single archive','en'),(1634,1634,'Export completed','en'),(1635,1635,'Exporting data...','en'),(1636,1636,'The export process may take a while to complete. You may close the page, the process will continue in the background. If the process takes long enough, we will send you a notification when it is completed.','en'),(1637,1637,'The export process may take a while to complete. Please do not close this page until the process is fully completed. If you have closed the page, please re-open it to complete the export process as it is in progress only when the page is open.','en'),(1638,1638,'Export failed','en'),(1639,1639,'Export was not started','en'),(1640,1640,'Export cannot be started because it is disabled or there is another running export process. Try again later.','en'),(1641,1641,'Export in CSV','en'),(1642,1642,'Please make sure the following modules are installed and enabled:','en'),(1643,1643,'You have no payment methods enabled at your store','en'),(1644,1644,'This method does not support the current store currency and is not available to customers','en'),(1645,1645,'This method is in test mode','en'),(1646,1646,'Configure','en'),(1647,1647,'This payment method cannot be enabled until you configure it','en'),(1648,1648,'Edit product','en'),(1649,1649,'There are no shipping methods defined for this carrier','en'),(1650,1650,'Click to edit rates','en'),(1651,1651,'Click to add rates','en'),(1652,1652,'Add rates','en'),(1653,1653,'Edit','en'),(1654,1654,'Click to edit states','en'),(1655,1655,'Click to add states','en'),(1656,1656,'Add states','en'),(1657,1657,'Add state','en'),(1658,1658,'Click to edit all the translations for this label','en'),(1659,1659,'Warning! Installing this module will overwrite any existing label translations for this language.','en'),(1660,1660,'Please','en'),(1661,1661,'upgrade core','en'),(1662,1662,'No modules found','en'),(1663,1663,'No users found','en'),(1664,1664,'No products found','en'),(1665,1665,'No profiles found','en'),(1666,1666,'Installed version','en'),(1667,1667,'outdated','en'),(1668,1668,'Purchased','en'),(1669,1669,'View in list','en'),(1670,1670,'Popularity','en'),(1671,1671,'Module\'s page','en'),(1672,1672,'Activate key','en'),(1673,1673,'if you have any questions','en'),(1674,1674,'Success','en'),(1675,1675,'Fax','en'),(1676,1676,'The shipping cost has been calculated based on the following combination of products into packages:','en'),(1677,1677,'Package','en'),(1678,1678,'weight','en'),(1679,1679,'dimensions','en'),(1680,1680,'item(s)','en'),(1681,1681,'Placed on','en'),(1682,1682,'OR','en'),(1683,1683,'Root categories','en'),(1684,1684,'WARNING! There are no more available administrator profiles. You will not be able to manage your store after you delete this profile.','en'),(1685,1685,'Are you sure you want to delete this profile?','en'),(1686,1686,'Autogenerate Clean URL','en'),(1687,1687,'products','en'),(1688,1688,'Already added','en'),(1689,1689,'Edit attribute','en'),(1690,1690,'New attribute','en'),(1691,1691,'Manage groups','en'),(1692,1692,'No attributes are defined for the product class yet.','en'),(1693,1693,'Need a license key?','en'),(1694,1694,'Your X-Cart installation is licensed for evaluation purposes only.','en'),(1695,1695,'You can build your website during FREE evaluation, but you cannot use this installation for real sales without buying a license.','en'),(1696,1696,'For details refer to','en'),(1697,1697,'Removing this message without buying a Full license is prohibited and will result in legal proceedings.','en'),(1698,1698,'Core version','en'),(1699,1699,'verified version','en'),(1700,1700,'Loopback test','en'),(1701,1701,'Warning! InnoDB engine is not supported. It is required for software operation','en'),(1702,1702,'Not detected','en'),(1703,1703,'Warning!','en'),(1704,1704,'PHP \'gd\' extension is not installed.','en'),(1705,1705,'Curl version','en'),(1706,1706,'Curl options','en'),(1707,1707,'cannot create directory','en'),(1708,1708,'subdirectories problems','en'),(1709,1709,'file does not exist','en'),(1710,1710,'Directory is empty','en'),(1711,1711,'Comma','en'),(1712,1712,'Semicolon','en'),(1713,1713,'Tab','en'),(1714,1714,'A membership name cannot contain such symbols as \\, \' and \". Also, it cannot exceed 32 characters.','en'),(1715,1715,'Please enter a unique membership name','en'),(1716,1716,'Required field','en'),(1717,1717,'The value must be in the range of','en'),(1718,1718,'Click to open','en'),(1719,1719,'Click to close','en'),(1720,1720,'Double quote','en'),(1721,1721,'Single quote','en'),(1722,1722,'empty','en'),(1723,1723,'Warning! CSV file was not specified.','en'),(1724,1724,'Warning! The file you have specified in the \'File (CSV) local\' field does not exist or cannot be read.','en'),(1725,1725,'Please enter the correct file location or set correct file permissions.','en'),(1726,1726,'Warning! The file you have specified in the \'File (CSV) for upload\' field has not been uploaded to the server.','en'),(1727,1727,'Already exists','en'),(1728,1728,'Confirmation does not match','en'),(1729,1729,'Incomplete','en'),(1730,1730,'Complete','en'),(1731,1731,'Please, enter a valid email address','en'),(1732,1732,'Please, enter a valid IP address','en'),(1733,1733,'Result pages','en'),(1734,1734,'User activity','en'),(1735,1735,'now disabled','en'),(1736,1736,'Upgrade for X-Cart core is available','en'),(1737,1737,'Now disabled','en'),(1738,1738,'Will be installed','en'),(1739,1739,'The module is incompatible with the new core version that is going to be installed','en'),(1740,1740,'Check again','en'),(1741,1741,'Failure','en'),(1742,1742,'An upgrade is a dangerous process that may result in a crashed website. It is strongly recommended to create a full back up of your store (the code and the database) and download it to a local computer before you proceed to the next step.','en'),(1743,1743,'Some files are modified','en'),(1744,1744,'The system has detected that some custom modifications were made by editing core and module files, not by writing new modules. In order to proceed with the upgrade you should decide what to do with the modifications','en'),(1745,1745,'Replace all modified files with the unmodified newer versions','en'),(1746,1746,'the custom modifications will be lost','en'),(1747,1747,'Do not replace selected files and ignore their newer versions','en'),(1748,1748,'your web site may crash','en'),(1749,1749,'Select all','en'),(1750,1750,'Unselect all','en'),(1751,1751,'New user registered','en'),(1752,1752,'Website','en'),(1753,1753,'Last 24 hours','en'),(1754,1754,'Last 7 days','en'),(1755,1755,'Last month','en'),(1756,1756,'Store lifetime','en'),(1757,1757,'View all','en'),(1758,1758,'Changes of attribute values will affect only this product. Changes of attribute names and of the attribute list will affect all the products of the corresponding class.','en'),(1759,1759,'Changes of attribute values will affect only this product. Changes of attribute names and of the attribute list will affect all the products','en'),(1760,1760,'Apply value changes locally','en'),(1761,1761,'Apply value changes globally','en'),(1762,1762,'The password is the one you specified during checkout.','en'),(1763,1763,'The password is the one you specified.','en'),(1764,1764,'Register user','en'),(1765,1765,'Test email notification','en'),(1766,1766,'Test email notification:','en'),(1767,1767,'Your new password','en'),(1768,1768,'You can now use the following credentials to access your account','en'),(1769,1769,'To change the password, log into your company account and use the \'My account\' link','en'),(1770,1770,'New safe mode access key has been generated','en'),(1771,1771,'Use the following key to access safe mode','en'),(1772,1772,'Hard reset (disables all the installed modules and runs the X-Cart application)','en'),(1773,1773,'Soft reset (disables all the modules except for the ones that were downloaded from X-Cart\'s Marketplace and runs the X-Cart application)','en'),(1774,1774,'The export is complete.','en'),(1775,1775,'Totals','en'),(1776,1776,'Your profile was modified','en'),(1777,1777,'A user has submitted the Contact Us form','en'),(1778,1778,'Product ID','en'),(1779,1779,'item(s) in stock','en'),(1780,1780,'Are you sure you want to clear your cart?','en'),(1781,1781,'attributes','en'),(1782,1782,'All rights reserved.','en'),(1783,1783,'Addresses list is empty','en'),(1784,1784,'Order payment','en'),(1785,1785,'Forgot password','en'),(1786,1786,'Max','en'),(1787,1787,'Exact phrase','en'),(1788,1788,'All words','en'),(1789,1789,'Any word','en'),(1790,1790,'Fewer search options','en'),(1791,1791,'More search options','en'),(1792,1792,'- OR -','en'),(1793,1793,'Back to Login form','en'),(1794,1794,'Back to modules','en'),(1795,1795,'Try the search-as-you-type feature...','en'),(1796,1796,'Choose the product options first','en'),(1797,1797,'This operation is irreversible. Are you sure you want to proceed?','en'),(1798,1798,'Order number','en'),(1799,1799,'Date range','en'),(1800,1800,'Clear all fields','en'),(1801,1801,'There are no shipping methods available','en'),(1802,1802,'Enter the shipping address to see delivery methods available to you','en'),(1803,1803,'C.O.D. fee included','en'),(1804,1804,'Existing Customer?','en'),(1805,1805,'Login Here','en'),(1806,1806,'Sorry, your order payment was cancelled.','en'),(1807,1807,'Sorry, your order payment failed.','en'),(1808,1808,'Failure reason:','en'),(1809,1809,'Cardholder name','en'),(1810,1810,'Credit card number','en'),(1811,1811,'Start date','en'),(1812,1812,'Expiration date','en'),(1813,1813,'Issue no','en'),(1814,1814,'CVV2','en'),(1815,1815,'Change attributes','en'),(1816,1816,'Call us: ','en'),(1817,1817,'Compare products','en'),(1818,1818,'Email','en'),(1819,1819,'This address was used as a','en'),(1820,1820,'billing','en'),(1821,1821,'shipping','en'),(1822,1822,'address during the recent purchase','en'),(1823,1823,'Out of Stock','en'),(1824,1824,'Cart','en'),(1825,1825,'More','en'),(1826,1826,'Back','en'),(1827,1827,'Your Account','en'),(1828,1828,'See comparison chart','en'),(1829,1829,'Billing address is the same as Shipping','en'),(1830,1830,'Complete billing address','en'),(1831,1831,'Continue as guest','en'),(1832,1832,'Enter your email','en'),(1833,1833,'Order cannot be placed because not all of the required fields are completed. Please check the form and try again.','en'),(1834,1834,'The \"{{file}}\" file was not uploaded','en'),(1835,1835,'Front page','en'),(1836,1836,'Please select the products first','en'),(1837,1837,'Aggregation cache has been cleared','en'),(1838,1838,'Authorized amount','en'),(1839,1839,'Captured amount','en'),(1840,1840,'Refunded amount','en'),(1841,1841,'The method is not configured and cannot be used','en'),(1842,1842,'The only remaining active administrator profile cannot be deleted.','en'),(1843,1843,'Shipping address is invalid','en'),(1844,1844,'Invoice #{{orderId}}, {{time}}','en'),(1845,1845,'Address type has a wrong value','en'),(1846,1846,'Address not selected','en'),(1847,1847,'Address not found','en'),(1848,1848,'\"{{product}} product\" attributes','en'),(1849,1849,'The attributes have been successfully updated','en'),(1850,1850,'Please select a different attribute','en'),(1851,1851,'The address has been deleted','en'),(1852,1852,'You tried to buy more items of \"{{product}}\" product {{description}} than are in stock. We have {{amount}} item(s) only. Please adjust the product quantity.','en'),(1853,1853,'The product has not been added to cart','en'),(1854,1854,'The item has not been removed from cart','en'),(1855,1855,'You have an unpaid order #{{ORDER}}','en'),(1856,1856,'Order not found','en'),(1857,1857,'No payment method selected','en'),(1858,1858,'No payment methods found for criteria: \'{{substring}}\' / {{country}}.','en'),(1859,1859,'All countries','en'),(1860,1860,'System will download and install this module from marketplace. Continue?','en'),(1861,1861,'Try to change the search criteria or find the needed solution in <a href=\"{{URL}}\" class=\"no-payments-marketplace-link\">marketplace</a>','en'),(1862,1862,'Try to <span class=\"search-worldwide\">search worldwide</span> or find the needed solution in <a href=\"{{URL}}\" class=\"no-payments-marketplace-link\">marketplace</a>','en'),(1863,1863,'The selected payment method is obsolete or invalid. Select another payment method','en'),(1864,1864,'The form has expired and has been blocked. It seems that the page with the form may have been opened in more than one tab or remained unused for too long. Do not worry, such application behavior is used for security reasons to keep your business safe.','en'),(1865,1865,'Select products from the list','en'),(1866,1866,'Classes & attributes','en'),(1867,1867,'No category defined','en'),(1868,1868,'Safe mode access key has been re-generated','en'),(1869,1869,'{{paymentMethod}} settings','en'),(1870,1870,'An attempt to update settings of unknown payment method','en'),(1871,1871,'The payment method settings have been successfully updated','en'),(1872,1872,'The \"{{file}}\" is not CSV or archive','en'),(1873,1873,'Unable to delete file','en'),(1874,1874,'SQL file was deleted successfully','en'),(1875,1875,'File not found','en'),(1876,1876,'Only enabled modules can be packed','en'),(1877,1877,'Module packing is available in the DEVELOPER mode only. Check etc/config.php file','en'),(1878,1878,'The countries list for the zone is empty. Please specify the countries that belong in this zone.','en'),(1879,1879,'unknown error','en'),(1880,1880,'The payment method has been added successfully','en'),(1881,1881,'Manage attribute groups','en'),(1882,1882,'Measuring performance in manual mode failed.','en'),(1883,1883,'File uploading error.','en'),(1884,1884,'Making a backup of the current database state ... ','en'),(1885,1885,'done','en'),(1886,1886,'Loading the database from file .','en'),(1887,1887,'Database restored successfully!','en'),(1888,1888,'The database has not been restored because of errors','en'),(1889,1889,'Restoring database from backup .','en'),(1890,1890,'Return to Admin interface','en'),(1891,1891,'Global attributes','en'),(1892,1892,'Global','en'),(1893,1893,'Widgets cache has been cleared','en'),(1894,1894,'Widgets cache has not been cleaned completely','en'),(1895,1895,'Failed to update category image','en'),(1896,1896,'The file was not loaded due to a server-side failure.','en'),(1897,1897,'Tax classes','en'),(1898,1898,'The detailed image has not been deleted','en'),(1899,1899,'Attributes have been updated successfully','en'),(1900,1900,'Product class have been updated successfully','en'),(1901,1901,'Product class name is empty','en'),(1902,1902,'Product-Specific','en'),(1903,1903,'Product-Specific attributes','en'),(1904,1904,'A disabled language cannot be default.','en'),(1905,1905,'Cannot autogenerate a clean URL for the product name \"{{name}}\". Please specify it manually.','en'),(1906,1906,'HTTPS option has been successfully enabled','en'),(1907,1907,'HTTPS option has been disabled','en'),(1908,1908,'Inventory has been successfully updated','en'),(1909,1909,'Modules license agreements','en'),(1910,1910,'{{module}} license agreement','en'),(1911,1911,'Customers','en'),(1912,1912,'Customers imported','en'),(1913,1913,'Products imported','en'),(1914,1914,'Attributes imported','en'),(1915,1915,'Categories imported','en'),(1916,1916,'Failed write to file','en'),(1917,1917,'No write permissions to directory','en'),(1918,1918,'Add attribute','en'),(1919,1919,'Default for customers','en'),(1920,1920,'Default for admins','en'),(1921,1921,'Labels','en'),(1922,1922,'Custom','en'),(1923,1923,'Recommended','en'),(1924,1924,'By Price - cheapest first','en'),(1925,1925,'By Price - cheapest last','en'),(1926,1926,'By Name - A-Z','en'),(1927,1927,'By Name - Z-A','en'),(1928,1928,'Displays the number of labels translated into the language','en'),(1929,1929,'Label','en'),(1930,1930,'Plain field','en'),(1931,1931,'Textarea','en'),(1932,1932,'Order history','en'),(1933,1933,'Compact view','en'),(1934,1934,'Expanded view','en'),(1935,1935,'Item','en'),(1936,1936,'Yes/No','en'),(1937,1937,'In stock','en'),(1938,1938,'Login/Email','en'),(1939,1939,'Anonymous','en'),(1940,1940,'requested for','en'),(1941,1941,'<p>The order subtotal exceeds the maximum allowed value ({{max_order_amount}})</p>','en'),(1942,1942,'<p>The order subtotal is less than the minimum allowed value ({{min_order_amount}})</p>','en'),(1943,1943,'View all addons','en'),(1944,1944,'Storefront is closed','en'),(1945,1945,'Open','en'),(1946,1946,'Storefront is open','en'),(1947,1947,'Closed','en'),(1948,1948,'The attribute group has been updated','en'),(1949,1949,'The attribute group has been added','en'),(1950,1950,'The attribute option has been updated','en'),(1951,1951,'The attribute option has been added','en'),(1952,1952,'The category has been updated','en'),(1953,1953,'The category has been added','en'),(1954,1954,'The address field has been updated','en'),(1955,1955,'The address field has been added','en'),(1956,1956,'The attribute has been updated','en'),(1957,1957,'The attribute has been added','en'),(1958,1958,'The product class has been updated','en'),(1959,1959,'The product class has been added','en'),(1960,1960,'The product selection has been updated','en'),(1961,1961,'The product selection has been added','en'),(1962,1962,'Front page updated','en'),(1963,1963,'The profile has been modified successfully','en'),(1964,1964,'The tax class has been updated','en'),(1965,1965,'The tax class has been added','en'),(1966,1966,'Order #{{id}}','en'),(1967,1967,'Enter pattern here','en'),(1968,1968,'Find countries','en'),(1969,1969,'Find states','en'),(1970,1970,'Enter search pattern','en'),(1971,1971,'Import language from CSV file','en'),(1972,1972,'Requested zone does not exist','en'),(1973,1973,'Install addons','en'),(1974,1974,'Add products','en'),(1975,1975,'More actions for selected','en'),(1976,1976,'Order #{{id}} details','en'),(1977,1977,'Your order details will be sent to your email address','en'),(1978,1978,'{{count}} created','en'),(1979,1979,'{{count}} updated','en'),(1980,1980,'The script found {{number}} problem(s) during verification','en'),(1981,1981,'The script found {{number}} problem(s) during import','en'),(1982,1982,'Row {{number}}','en'),(1983,1983,'Row(s) {{numbers}}','en'),(1984,1984,'Critical error','en'),(1985,1985,'Import mode','en'),(1986,1986,'Create new items and update existing items','en'),(1987,1987,'Update existing items, but skip new items','en'),(1988,1988,'During import in the <strong>\'Create new items and update existing items\'</strong> mode, if your import file contains items that do not already exist in the store\'s database, these items will be created as a result of import. New items can be created based on the following master IDs:<ul>{{keys}}</ul>If you only want to update the existing items without creating any new ones, switch to the mode <strong>\'Update existing items, but skip new items\'</strong>.<br /><br />Note that any missing items that are dependent on existing items will be created in both the modes. For example, if an existing product being updated through import does not have a category specified, the category will be created.','en'),(1989,1989,'CSV or ZIP files, total max size: {{size}}','en'),(1990,1990,'Download CSV files','en'),(1991,1991,'<p>The order subtotal exceeds the maximum allowed value ({{max_order_amount}}). Please remove some items from the cart.</p>','en'),(1992,1992,'<p>The order subtotal is less than the minimum allowed value ({{min_order_amount}}). Please add some items to the cart.</p>','en'),(1993,1993,'{{name}} attributes','en'),(1994,1994,'Custom attributes','en'),(1995,1995,'These attributes can be applied to the \"{{name}}\" product class.','en'),(1996,1996,'These attributes can only be applied to this particular product.','en'),(1997,1997,'These attributes can be applied to all the products in the store.','en'),(1998,1998,'Your trial period has expired','en'),(1999,1999,'Your trial period expires today','en'),(2000,2000,'Live','en'),(2001,2001,'Print','en'),(2002,2002,'Print selected','en'),(2003,2003,'Test','en'),(2004,2004,'Residential','en'),(2005,2005,'Commercial','en'),(2006,2006,'No delimiter','en'),(2007,2007,'Space','en'),(2008,2008,'MM','en'),(2009,2009,'CM','en'),(2010,2010,'DM','en'),(2011,2011,'IN','en'),(2012,2012,'mm','en'),(2013,2013,'cm','en'),(2014,2014,'dm','en'),(2015,2015,'inches','en'),(2016,2016,'Mr.','en'),(2017,2017,'Ms.','en'),(2018,2018,'Mrs.','en'),(2019,2019,'# selected','en'),(2020,2020,'LB','en'),(2021,2021,'OZ','en'),(2022,2022,'KG','en'),(2023,2023,'G','en'),(2024,2024,'lbs','en'),(2025,2025,'oz','en'),(2026,2026,'kg','en'),(2027,2027,'g','en'),(2028,2028,'Registered Customers','en'),(2029,2029,'Anonymous Customers','en'),(2030,2030,'Show','en'),(2031,2031,'Email again','en'),(2032,2032,'Safe mode links were emailed','en'),(2033,2033,'These links were already provided to you after this store was installed and will be emailed to you again after you start the upgrade process.','en'),(2034,2034,'For any emergency you can use the hard, soft and restore-state links. Pay attention, that these links just disable certain modules in your store, but not make any backups.','en'),(2035,2035,'Not enough disk space. Required: {{req}} (+{{reserve}} reserve). Available: {{avail}}','en'),(2036,2036,'Cannot connect to the Marketplace server','en'),(2037,2037,'Empty \"class\" parameter is passed to the {{method}}','en'),(2038,2038,'You need hard and soft reset links in case some 3rd party addon <a href=\"{{article}}\" target=\"_blank\">crashes your web store</a>','en'),(2039,2039,'We strongly recommend <b>to make a full backup</b> of your live store before starting the upgrade process. If your store crashes as a result of a failed upgrade, you will be able to <a href=\"{{article}}\" target=\"_blank\">restore it</a> from backup.','en'),(2040,2040,'Don’t forget to create a backup!','en'),(2041,2041,'Backup your store with Backup Master','en'),(2042,2042,'Yes, I\'ve made the full backup of my store files and database','en'),(2043,2043,'We are doing our best to make your upgrade process not only easy to do, but safe.','en'),(2044,2044,'Use our new nifty module to automatically backup your store and be able to restore it if anything crops up.','en'),(2045,2045,'We will email you with <b>emergency links</b> to disable custom modules and stay only with original add-ons.<br/> Pay attention, these links do not create backups.','en'),(2046,2046,'More info is available in X-Cart\'s Knowledge Base article <a href=\"{{article}}\" target=\"_blank\">What to do if you cannot access your store...</a>','en'),(2047,2047,'Couldn\'t move image {{path}}','en'),(2048,2048,'Couldn\'t move {{count}} images. See log for details.','en'),(2049,2049,'This module uses PHP\'s cURL functions which are disabled on your web server','en'),(2050,2050,'Package weight','en'),(2051,2051,'Package weight ({{units}})','en'),(2052,2052,'Package subtotal','en'),(2053,2053,'Package subtotal ({{units}})','en'),(2054,2054,'Source address','en'),(2055,2055,'Postal Code','en'),(2056,2056,'Destination address','en'),(2057,2057,'Note: a new window will be opened','en'),(2058,2058,'Length','en'),(2059,2059,'Width','en'),(2060,2060,'Height','en'),(2061,2061,'Postal/ZIP Code','en'),(2062,2062,'Transaction type','en'),(2063,2063,'Authorization and Capture','en'),(2064,2064,'Authorization only','en'),(2065,2065,'Invoice number prefix','en'),(2066,2066,'a side box','en'),(2067,2067,'the main column','en'),(2068,2068,'expired','en'),(2069,2069,'\"{{product}}\" options','en'),(2070,2070,'Private','en'),(2071,2071,'Unavailable','en'),(2072,2072,'Blocked','en'),(2073,2073,'The product SKU#\"{{SKU}}\" is already set as featured for the category','en'),(2074,2074,'Add featured products for \"{{category}}\"','en'),(2075,2075,'Package properties','en'),(2076,2076,'Shipment options','en'),(2077,2077,'Cash on delivery','en'),(2078,2078,'Test mode','en'),(2079,2079,'Packaging','en'),(2080,2080,'Package dimensions (inches)','en'),(2081,2081,'Autogenerated','en'),(2082,2082,'Custom','en'),(2083,2083,'After activation Skrill will give you access to a new section in your Skrill account called \"Merchant tools\". Please choose a secret word (do not use your password for this) and enter it into the Merchant tools section and the form below.','en'),(2084,2084,'(optional)','en'),(2085,2085,'Request type must be POST','en'),(2086,2086,'\'status\' request argument not found','en'),(2087,2087,'Test/Live mode','en'),(2088,2088,'Purchase description','en'),(2089,2089,'Live mode','en'),(2090,2090,'User','en'),(2091,2091,'\'RESULT\' argument not found','en'),(2092,2092,'Transaction amount mismatch','en'),(2093,2093,'Compare','en'),(2094,2094,'Billing address is not defined','en'),(2095,2095,'Menu','en'),(2096,2096,'Unlimited','en'),(2097,2097,'Locked','en'),(2098,2098,'Secret word','en'),(2099,2099,'units','en'),(2100,2100,'each','en'),(2101,2101,'save','en'),(2102,2102,'always','en'),(2103,2103,'hourly','en'),(2104,2104,'daily','en'),(2105,2105,'weekly','en'),(2106,2106,'monthly','en'),(2107,2107,'yearly','en'),(2108,2108,'Auth','en'),(2109,2109,'Capture','en'),(2110,2110,'Void','en'),(2111,2111,'Refund','en'),(2112,2112,'Deploy','en'),(2113,2113,'Secret key','en'),(2114,2114,'Order status changed from {{oldStatus}} to {{newStatus}}','en'),(2115,2115,'Year in which the store opened','en'),(2116,2116,'Force customer to choose product options before adding a product to cart','en'),(2117,2117,'The English language cannot be removed as it is primary language for all texts.','en'),(2118,2118,'Priority','en'),(2119,2119,'Either enable or uninstall the modules below.','en'),(2120,2120,'For the modules named below, an upgrade is available. These modules are now disabled. For the upgrade to be applied successfully to these modules, the modules need to be enabled. You can enable the modules <a href=\'{{link}}\'>here</a>. If you choose not to enable the modules, they will be uninstalled and removed from your store during the upgrade.','en'),(2121,2121,'I understand that <a href=\'#modules_to_uninstall\'>the following disabled modules</a> will be removed.','en'),(2122,2122,'The module version is incompatible with your core version and cannot be installed. The minimum core version required for this module is {{version}}.','en'),(2123,2123,'The module version is incompatible with your core version and cannot be enabled. The minimum core version required for this module is {{version}}.','en'),(2124,2124,'New module version available for core versions {{versions}}.','en'),(2125,2125,'Payment status','en'),(2126,2126,'Fulfilment status','en'),(2127,2127,'All payment statuses','en'),(2128,2128,'All fulfilment statuses','en'),(2129,2129,'Order payment status changed from {{oldStatus}} to {{newStatus}}','en'),(2130,2130,'Order fulfilment status changed from {{oldStatus}} to {{newStatus}}','en'),(2131,2131,'Communication log','en'),(2132,2132,'Input data','en'),(2133,2133,'Please create a new password','en'),(2134,2134,'The confirmation URL link will be emailed to you shortly','en'),(2135,2135,'Your \"Password reset key\" has expired. Please enter the email address associated with your user account to get a new \"Password reset key\".','en'),(2136,2136,'Profile is not defined','en'),(2137,2137,'Customer access level','en'),(2138,2138,'All levels','en'),(2139,2139,'Anonymous','en'),(2140,2140,'Registered','en'),(2141,2141,'Search total','en'),(2142,2142,'All orders','en'),(2143,2143,'Online orders','en'),(2144,2144,'POS orders','en'),(2145,2145,'Do not see your payment method? Find it in our <a href=\"{{url}}\">Marketplace</a>','en'),(2146,2146,'Find in Marketplace','en'),(2147,2147,'Search items...','en'),(2148,2148,'Root category listings format','en'),(2149,2149,'View all ordered items','en'),(2150,2150,'Lines checked: {{X}} out of {{Y}}','en'),(2151,2151,'Lines imported: {{X}} out of {{Y}}','en'),(2152,2152,'Products processed: {{X}} out of {{Y}}','en'),(2153,2153,'Image resized: {{X}} out of {{Y}}','en'),(2154,2154,'Lines verified: {{X}} out of {{Y}} (errors: {{errors}}, warnings: {{warns}})','en'),(2155,2155,'Lines imported: {{X}} out of {{Y}} (errors: {{errors}}, warnings: {{warns}})','en'),(2156,2156,'Products processed: {{X}} out of {{Y}} (errors: {{errors}}, warnings: {{warns}})','en'),(2157,2157,'Image resized: {{X}} out of {{Y}} (errors: {{errors}}, warnings: {{warns}})','en'),(2158,2158,'Import has been cancelled.','en'),(2159,2159,'Export product data with','en'),(2160,2160,'Global & Classes attributes','en'),(2161,2161,'All attributes','en'),(2162,2162,'Classes & Attributes','en'),(2163,2163,'Product attribute values','en'),(2164,2164,'Product attribute values (Yes/No) have been imported','en'),(2165,2165,'Product attribute values (Plain text) have been imported','en'),(2166,2166,'Product attribute values (Textarea) have been imported','en'),(2167,2167,'CSV file has a wrong filename format.','en'),(2168,2168,'Possible file names are: {{files}}','en'),(2169,2169,'X-Cart could not find data in your file.','en'),(2170,2170,'Possible reasons are:<br /><ul><li>file is empty</li><li>you specified CSV delimiter other than defined in settings ({{separator}}). In this case, define the correct delimiter in the <strong>CSV column delimiter</strong> on the <a href=\"{{configURL}}\">Localization settings page</a>.</li><li>encoding of your file is not {{encoding}}. In this case, you need to open your CSV file in the spreadsheet editor (MS Excel, Openoffice Calc, etc) and save it using UTF-8 charset.</li><li>your CSV file has an incorrect format. <a href=\"{{kbURL}}\" target=\"blank\">Check our Knowledge base</a> for proper import formats.</li></ul>','en'),(2171,2171,'Your store has some modules available only to Premium license owners. To continue with the upgrade, you must either <a href=\'{{purchaseURL}}\' target=\'_blank\'>purchase</a> a Premium license, or <a href=\'{{installedModulesURL}}\'>remove</a> the following modules from your store:','en'),(2172,2172,'No class','en'),(2173,2173,'See log file for details','en'),(2174,2174,'The product has been updated','en'),(2175,2175,'Free license has been activated successfully','en'),(2176,2176,'Unknown payment. If you see this message after returning from the payment page, please contact the store administrator for information about the status of your payment.','en'),(2177,2177,'{{count}} expired shopping cart(s) have been successfully removed','en'),(2178,2178,'States information has been successfully deleted','en'),(2179,2179,'Please select the states first','en'),(2180,2180,'Free license key for email <em>{{email}}</em> is already registered. Please use a different email or <a href=\"{{url}}\">click here to get key value sent to this email address</a>','en'),(2181,2181,'Information about free license key has been sent to the email <em>{{email}}</em>','en'),(2182,2182,'<p>Cart contains products with a wrong quantity. Please correct this to proceed</p>','en'),(2183,2183,'<p>Cart contains products with a wrong quantity</p>','en'),(2184,2184,'Inventory tracking options','en'),(2185,2185,'Do not select anything if you want to make the product visible to all customers. Otherwise it will be visible to the users assigned to selected membership only.','en'),(2186,2186,'Any stock status','en'),(2187,2187,'Test','en'),(2188,2188,'Live','en'),(2189,2189,'The service name \'{{value}}\' is reserved and cannot be used for an address field.','en'),(2190,2190,'Placed on <span class=\"date\">{{date}}</span>','en'),(2191,2191,'by <a class=\"name\" href=\"{{url}}\">{{name}}</a>','en'),(2192,2192,'by <span class=\"name\">{{name}}</span>','en'),(2193,2193,'Setup store price: {{price}}','en'),(2194,2194,'The button is inactive either because no changes have been detected on the current page or because the order totals need to be recalculated before the order can be updated.','en'),(2195,2195,'Product with selected properties cannot be purchased','en'),(2196,2196,'The specified amount of the product ({{value}}) exceeds the amount of the product in stock ({{max}})','en'),(2197,2197,'Old staff note','en'),(2198,2198,'New staff note','en'),(2199,2199,'Current price for the selected configuration and quantity: {{price}}','en'),(2200,2200,'Cannot create temporary order for modification','en'),(2201,2201,'Customer information','en'),(2202,2202,'no comments','en'),(2203,2203,'All items cannot be removed from the order.','en'),(2204,2204,'Changed items','en'),(2205,2205,'Changed options','en'),(2206,2206,'Added items','en'),(2207,2207,'Removed items','en'),(2208,2208,'Order item attributes are out-of-date and cannot be edited','en'),(2209,2209,'Order will be delivered to the billing address.','en'),(2210,2210,'Staff note','en'),(2211,2211,'The value will be recalculated automatically. Press it if you want to \'freeze\' the current value.','en'),(2212,2212,'The current value is \'frozen\' and won\'t be recalculated. Press it if you want it to be updated when the totals are recalculated.','en'),(2213,2213,'Notify customer','en'),(2214,2214,'Order changes cannot be saved due to negative total value','en'),(2215,2215,'Remove data','en'),(2216,2216,'Buy','en'),(2217,2217,'Click the link to increase product amount','en'),(2218,2218,'Charset','en'),(2219,2219,'You can change the charset for all subsequent imports and exports using <a href=\"{{url}}\">this link</a>.','en'),(2220,2220,'You can change the CSV delimiter for all subsequent imports and exports using <a href=\"{{url}}\">this link</a>.','en'),(2221,2221,'Layout','en'),(2222,2222,'Two columns with right sidebar','en'),(2223,2223,'Two columns with left sidebar','en'),(2224,2224,'Three columns','en'),(2225,2225,'One column','en'),(2226,2226,'The product with SKU \"{{value}}\" does not exist. The \"{{name}}\" attribute will be imported as global','en'),(2227,2227,'The \"{{value}}\" membership does not exist','en'),(2228,2228,'The \"{{value}}\" product class does not exist','en'),(2229,2229,'The \"{{value}}\" tax class does not exist','en'),(2230,2230,'The \"{{value}}\" image does not exist','en'),(2231,2231,'Variant attribute \"{{column}}\" cannot be empty','en'),(2232,2232,'The \"{{value}}\" category does not exist','en'),(2233,2233,'Item not found ({{keys}})','en'),(2234,2234,'The number of values in the row does not match the number of column headers for this CSV file','en'),(2235,2235,'Tags are not allowed in the column \"{{column}}\" and will be stripped','en'),(2236,2236,'The value in the column \"{{column}}\" will be adjusted according to HTML specification to prevent potential XSS attack','en'),(2237,2237,'The value in the column \"{{column}}\" will be cut because its length exceeds the allowed character length for the respective field','en'),(2238,2238,'New product will be created','en'),(2239,2239,'New membership will be created','en'),(2240,2240,'New product class will be created','en'),(2241,2241,'New tax class will be created','en'),(2242,2242,'New category will be created','en'),(2243,2243,'Wrong price format. Positive floating-point number expected','en'),(2244,2244,'Wrong enabled format. This should be \"Yes\" or \"No\"','en'),(2245,2245,'Wrong metaDescType format. This should be \"A\" or \"C\"','en'),(2246,2246,'Wrong format of weight value. Positive floating-point number expected','en'),(2247,2247,'Wrong format of low stock notification value. This should be \"Yes\" or \"No\"','en'),(2248,2248,'Wrong format of use separate box value. This should be \"Yes\" or \"No\"','en'),(2249,2249,'Wrong arrival date format. Correct example: Thu, 21 Dec 2000 16:01:07','en'),(2250,2250,'Wrong date format. Correct example: Thu, 21 Dec 2000 16:01:07','en'),(2251,2251,'Wrong update date format. Correct example: Thu, 21 Dec 2000 16:01:07','en'),(2252,2252,'Wrong format of inventory tracking value. This should be \"Yes\" or \"No\"','en'),(2253,2253,'Wrong format of stock level value. Positive integer expected','en'),(2254,2254,'Wrong format of low stock notification value. This should be \"Yes\" or \"No\"','en'),(2255,2255,'Wrong format of low limit level value. Positive integer expected','en'),(2256,2256,'The name is empty','en'),(2257,2257,'Wrong format of box width value. Positive integer expected','en'),(2258,2258,'Wrong format of box length value. Positive integer expected','en'),(2259,2259,'Wrong format of box height value. Positive integer expected','en'),(2260,2260,'Wrong format of items per box value. Positive integer expected','en'),(2261,2261,'Wrong format of Clean URL value (only alphanumeric, dash (\"-\") and underscore (\"_\") chars are allowed)','en'),(2262,2262,'Error of image loading. Make sure the \"images\" directory has write permissions.','en'),(2263,2263,'Couldn\'t load the image \"{{value}}\", the file does not exist.','en'),(2264,2264,'Couldn\'t load the banner \"{{value}}\", the file does not exist.','en'),(2265,2265,'Wrong position format','en'),(2266,2266,'The group \"{{value}}\" does not exist. A new group will be created','en'),(2267,2267,'Wrong format of \"type\" value ({{value}}). This should be \"C\" - checkbox, \"S\" - selector, or \"T\" - textarea','en'),(2268,2268,'Product SKU is empty','en'),(2269,2269,'There is no product with SKU \"{{value}}\" to assign the attribute option value to','en'),(2270,2270,'Wrong format of \"type\" value ({{value}}). This should be \"C\" - checkbox, \"S\" - selector, or \"T\" - textarea','en'),(2271,2271,'Wrong format of \"owner\" value ({{value}}). This should be \"Yes\" for product-specific attributes or \"No\" for global attributes','en'),(2272,2272,'Wrong format of \"default\" value ({{value}}). This should be \"Yes\" for product-specific attributes or \"No\" for global attributes','en'),(2273,2273,'Wrong \"priceModifier\" format ({{value}}). Correct examples: +1, +1%, -1, -1%','en'),(2274,2274,'Wrong \"weightModifier\" format ({{value}}). Correct examples: +1, +1%, -1, -1%','en'),(2275,2275,'Product class {{value}} does not exists and will be created','en'),(2276,2276,'Group {{value}} does not exists and will be created','en'),(2277,2277,'Wrong format of show title value. This should be \"Yes\" or \"No\"','en'),(2278,2278,'Wrong login format. Email as login is expected','en'),(2279,2279,'Wrong date format. Correct example: Thu, 21 Dec 2000 16:01:07','en'),(2280,2280,'Wrong date format. Correct example: Thu, 21 Dec 2000 16:01:07','en'),(2281,2281,'Wrong last login date format. Example: Thu, 21 Dec 2000 16:01:07','en'),(2282,2282,'Wrong status format. This should be \"E\" - enabled, or \"D\" - disabled','en'),(2283,2283,'Wrong referer format. URL expected. Correct example: http://x-cart.com','en'),(2284,2284,'Wrong format of language value. Correct examples: EN, DE, RU: http://en.wikipedia.org/wiki/ISO_639-1','en'),(2285,2285,'Wrong format. This should be \"Yes\" or \"No\". Use \"Yes\" if it is the shipping address.','en'),(2286,2286,'Wrong format. This should be \"Yes\" or \"No\". Use \"Yes\" if it is the billing address.','en'),(2287,2287,'Wrong format of country code value. Correct examples: CA, US, RU: http://en.wikipedia.org/wiki/ISO_3166-1_alpha-2','en'),(2288,2288,'Wrong format of state id value.','en'),(2289,2289,'In advanced mode you can choose specific modules for upgrade.','en'),(2290,2290,'Before installing a paid addon for this installation, you need to <a href=\"#\" class=\"open-license-key-form\">activate your X-Cart license.</a>','en'),(2291,2291,'Use the form below to provide your license information.','en'),(2292,2292,'Activate your X-Cart installation','en'),(2293,2293,'Activate your X-Cart installation first','en'),(2294,2294,'Activate key','en'),(2295,2295,'Vendor','en'),(2296,2296,'All','en'),(2297,2297,'Paid','en'),(2298,2298,'Free','en'),(2299,2299,'Catalog Management','en'),(2300,2300,'Search and Naviagation','en'),(2301,2301,'I confirm that I have <strong>created backups</strong> of my store\'s files and database before upgrading the store','en'),(2302,2302,'Secure credit card payment','en'),(2303,2303,'Card type','en'),(2304,2304,'Chose credit card type','en'),(2305,2305,'Choose card type','en'),(2306,2306,'Card number','en'),(2307,2307,'MONTH','en'),(2308,2308,'VALID THRU','en'),(2309,2309,'YEAR','en'),(2310,2310,'Security code','en'),(2311,2311,'Last three numbers on the back side of your card','en'),(2312,2312,'Four-digit number on the front side of your card','en'),(2313,2313,'Credit card security code (if present)','en'),(2314,2314,'Countries information has been successfully updated','en'),(2315,2315,'Please select the countries first','en'),(2316,2316,'This payment method is <strong>Active</strong>.','en'),(2317,2317,'This payment method is <strong>Inactive</strong>.','en'),(2318,2318,'Active','en'),(2319,2319,'Inactive','en'),(2320,2320,'Learn More','en'),(2321,2321,'Sign Up','en'),(2322,2322,'<!--[if (gte mso 9)|(IE)]><table align=\"center\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\" dir=\"ltr\" width=\"640\">  <tr>    <td align=\"center\" valign=\"top\" width=\"440\"><![endif]--><table align=\"left\" border=\"0\" cellpadding=\"10\" cellspacing=\"0\" style=\"height: 80px;\" width=\"350\" id=\"emailPreview\">  <tr>    <td align=\"center\" valign=\"top\" id=\"logoContent\">      <h1 id=\"logo\" style=\"max-width:300px;\">%logo%</h1>    </td>  </tr></table><!--[if (gte mso 9)|(IE)]>    </td>    <td align=\"center\" valign=\"top\" width=\"200\"><![endif]--><table align=\"right\" border=\"0\" cellpadding=\"10\" cellspacing=\"0\" style=\"height: 80px;\" width=\"350\" id=\"emailLogo\">  <tr>    <td align=\"left\" valign=\"top\" id=\"previewContent\">      <div class=\"company-info\" style=\"font-size: 14px; font-weight: lighter; color: #787e81; text-align: right;\" align=\"right\">%company_name%<br /> Phone: %company_phone%<br /> Fax: %company_fax%</div>    </td>  </tr></table><!--[if (gte mso 9)|(IE)]>     </td>    </tr>  </table><![endif]-->','en'),(2323,2323,'Dear %recipient_name%!','en'),(2324,2324,'<p>Thank you for using our services<br/>%company_link%</p>','en'),(2325,2325,'<!--[if (gte mso 9)|(IE)]><table align=\"center\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\" dir=\"ltr\" width=\"640\">  <tr>    <td align=\"center\" valign=\"top\" width=\"440\"><![endif]--><table align=\"left\" border=\"0\" cellpadding=\"10\" cellspacing=\"0\" style=\"height: 80px;\" width=\"350\" id=\"emailPreview\">  <tr>    <td align=\"center\" valign=\"top\" id=\"logoContent\">      <h1 id=\"logo\" style=\"max-width:300px;\">%logo%</h1>    </td>  </tr></table><!--[if (gte mso 9)|(IE)]>    </td>    <td align=\"center\" valign=\"top\" width=\"200\"><![endif]--><table align=\"right\" border=\"0\" cellpadding=\"10\" cellspacing=\"0\" style=\"height: 80px;\" width=\"350\" id=\"emailLogo\">  <tr>    <td align=\"left\" valign=\"top\" id=\"previewContent\">      <div class=\"company-info\" style=\"font-size: 14px; font-weight: lighter; color: #787e81; text-align: right;\" align=\"right\">%company_name%<br /> Phone: %company_phone%<br /> Fax: %company_fax%</div>    </td>  </tr></table><!--[if (gte mso 9)|(IE)]>     </td>    </tr>  </table><![endif]-->','en'),(2326,2326,'<p>Thank you for using our services<br/>%company_link%</p>','en'),(2327,2327,'Email notifications','en'),(2328,2328,'The body template may include other templates to generate the email notification. To customize it, please, copy appropriate templates to \"skins/theme_tweaker/mail/\" (or \"skins/custom_skin/mail/\" if you use CustomSkin module) directory within the same folder structure and then change it to your needs.','en'),(2329,2329,'Enabled for administrator','en'),(2330,2330,'Enabled for customer','en'),(2331,2331,'Customer header','en'),(2332,2332,'Customer signature','en'),(2333,2333,'Administrator header','en'),(2334,2334,'Administrator signature','en'),(2335,2335,'Customer subject','en'),(2336,2336,'Customer text','en'),(2337,2337,'Administrator subject','en'),(2338,2338,'Administrator text','en'),(2339,2339,'This page allows you to adjust the types of email notifications your store sends to users. Use the On/Off widget to enable/disable specific notifications. Click on the name of a notification to edit the notification text.','en'),(2340,2340,'Notification','en'),(2341,2341,'Back to notifications list','en'),(2342,2342,'On','en'),(2343,2343,'Off','en'),(2344,2344,'First','en'),(2345,2345,'Last','en'),(2346,2346,'The Free license key cannot be activated as it is impossible to get information about the available addons from the Marketplace at the moment. Please try again later.','en'),(2347,2347,'No promotion modules installed','en'),(2348,2348,'Sorting & Descriptions','en'),(2349,2349,'Payment method is enabled','en'),(2350,2350,'Payment method is disabled','en'),(2351,2351,'You should confirm that you have created a backup before upgrading the store.','en'),(2352,2352,'Upgrade note','en'),(2353,2353,'The following modules currently do not have a version compatible with the X-Cart version to which you are upgrading. If you want to keep using these modules after the upgrade, use the \"Request for upgrade\" button to send a request to the module developers so they provide an updated version for their module and make it available via the X-Cart\'s Marketplace. Once the updated module versions are available, you should be able to complete upgrading your store without losing any of the features you currently use.','en'),(2354,2354,'{{count}} module will be disabled','en'),(2355,2355,'{{count}} modules will be disabled','en'),(2356,2356,'{{count}} module will be upgraded','en'),(2357,2357,'{{count}} modules will be upgraded','en'),(2358,2358,'Request for upgrade','en'),(2359,2359,'Your request has been sent successfully','en'),(2360,2360,'An error occurred while sending the request','en'),(2361,2361,'view list','en'),(2362,2362,'hide list','en'),(2363,2363,'Your version ({{version}}) can be upgraded to','en'),(2364,2364,'Imported','en'),(2365,2365,'Importing data...','en'),(2366,2366,'Verified','en'),(2367,2367,'Verifying data before importing...','en'),(2368,2368,'Products processed','en'),(2369,2369,'Processing products...','en'),(2370,2370,'Images resized','en'),(2371,2371,'Resizing images...','en'),(2372,2372,'Generate resized images','en'),(2373,2373,'Clicking the \"Generate resized images\" button launches the image resizing routine to generate copies of existing images in all the sizes needed to display the images in your store\'s customer area. Having a separate image file in each of the sizes provides a way to speed up your site\'s performance by reducing page load times for pages containing graphics.','en'),(2374,2374,'The generation of resized images has been completed successfully.','en'),(2375,2375,'The generation of resized images has been stopped.','en'),(2376,2376,'The image resizing process may take a while to complete. Please do not close this page until the process is fully completed. If the page has been closed, please re-open it to complete the process (The image resizing routine is executed only while the page stays open).','en'),(2377,2377,'Notification headers and signatures can be set using variables. A list of supported variables and their respective values is provided in the table below','en'),(2378,2378,'Developers docs','en'),(2379,2379,'The following selected modules cannot be disabled or uninstalled as they have dependent modules: {{list}}','en'),(2380,2380,'The following selected modules cannot be enabled as they depend on disabled modules which cannot be enabled: {{list}}','en'),(2381,2381,'The module may not be disabled due to the limitations of the module architecture.','en'),(2382,2382,'The following selected modules cannot be disabled due to architecture limitations: {{list}}','en'),(2383,2383,'Please note that the following modules will also be enabled:','en'),(2384,2384,'New account','en'),(2385,2385,'Products processed: {{count}}','en'),(2386,2386,'Images resized: {{count}}','en'),(2387,2387,'Orders list','en'),(2388,2388,'Coming soon','en'),(2389,2389,'View storefront','en'),(2390,2390,'Payment is not required','en'),(2391,2391,'Zoom image','en'),(2392,2392,'CSV delimiter','en'),(2393,2393,'Module Marketplace. Terms of use','en'),(2394,2394,'Import/Export guide','en'),(2395,2395,'Yes, I agree with License agreements','en'),(2396,2396,'The system has detected that some updates are available for enabled modules. It is strongly recommended to have all the enabled modules updated to the latest version for better compatibility before installing new ones from the Marketplace.','en'),(2397,2397,'Action','en'),(2398,2398,'Will be updated if core update is selected','en'),(2399,2399,'Options:','en'),(2400,2400,'RSS feed','en'),(2401,2401,'Will be deleted:','en'),(2402,2402,'Are you sure you want to uninstall the selected add-ons?','en'),(2403,2403,'Module page','en'),(2404,2404,'Add to bag','en'),(2405,2405,'New access codes were generated.','en'),(2406,2406,'show list','en'),(2407,2407,'All statuses','en'),(2408,2408,'Product attribute values have been imported','en'),(2409,2409,'No items found','en'),(2410,2410,'No model selected','en'),(2411,2411,'Profile is not selected','en'),(2412,2412,'SKU is not selected','en'),(2413,2413,'Status is not defined','en'),(2414,2414,'All user types','en'),(2415,2415,'Advanced Order Management','en'),(2416,2416,'Public ID','en'),(2417,2417,'Public id','en'),(2418,2418,'Method name','en'),(2419,2419,'Tracking number','en'),(2420,2420,'The common notification fields have been updated','en'),(2421,2421,'The notification has been updated','en'),(2422,2422,'The product has been added','en'),(2423,2423,'Add-on does not exist.','en'),(2424,2424,'Transaction','en'),(2425,2425,'Log files not found','en'),(2426,2426,'Payment method settings','en'),(2427,2427,'Recently installed modules','en'),(2428,2428,'Login dates','en'),(2429,2429,'File is not an image','en'),(2430,2430,'File is not uploaded','en'),(2431,2431,'Create label','en'),(2432,2432,'Product information has been deleted successfully','en'),(2433,2433,'Import language','en'),(2434,2434,'License: trial version','en'),(2435,2435,'Installation date','en'),(2436,2436,'Order failed','en'),(2437,2437,'Delete account','en'),(2438,2438,'Administrator account cannot be deleted via customer interface.','en'),(2439,2439,'X-Cart license key has been successfully verified and activated.','en'),(2440,2440,'X-Cart license key has been activated. However, this key is expired and does not allow getting upgrade packs from the Marketplace.','en'),(2441,2441,'The license key for the module \"{{name}}\" by \"{{author}}\" has been successfully verified and activated.','en'),(2442,2442,'The key does not allow getting new features and upgrades. <a href=\"{{renewalUrl}}\" target=\"_blank\">Renew your key now</a>','en'),(2443,2443,'Some of these updates are not available for you at the moment. Please renew your access to upgrades to get new superior features from the latest releases.','en'),(2444,2444,'Please renew your access to upgrades to get new superior features from the latest releases.','en'),(2445,2445,'License key','en'),(2446,2446,'Exp. date','en'),(2447,2447,'Prolongate license','en'),(2448,2448,'Renew your access to new features','en'),(2449,2449,'Re-validate license keys','en'),(2450,2450,'Wrong format: Field contains unallowed characters','en'),(2451,2451,'The Clean URL entered is already <a href=\"{{entityURL}}\" target=\"_blank\">in use</a>.','en'),(2452,2452,'The Clean URL entered is a redirect to <a href=\"{{entityURL}}\" target=\"_blank\">another object</a>.','en'),(2453,2453,'The clean URL will be generated automatically.','en'),(2454,2454,'Result','en'),(2455,2455,'Change the Clean URL value for this page (Enter a different Clean URL value manually or use the Autogenerate Clean URL feature)','en'),(2456,2456,'Enable the option \"Assign entered Clean URL to this page anyway\" to dissociate the entered Clean URL from the page it is currently used for and assign it to the page of the object being edited.','en'),(2457,2457,'Resolve the conflict','en'),(2458,2458,'Assign entered Clean URL to this page anyway','en'),(2459,2459,'Human readable and SEO friendly web address for the page.','en'),(2460,2460,'This feature is available only for paid (non-free) <a href=\"{{pricingUrl}}\" target=\"_blank\">X-Cart license plans</a>.','en'),(2461,2461,'In this section you can review the recent payment transactions that have taken place at your store, both successful and failed. You can easily identify orders with payment problems and increase your sales by following up on abandoned carts.','en'),(2462,2462,'Hash file for installed entry \"{{entry}}\" doesn\'t exist or is not readable','en'),(2463,2463,'Sale statistics','en'),(2464,2464,'Yesterday','en'),(2465,2465,'Last week','en'),(2466,2466,'Low stock info','en'),(2467,2467,'Last year','en'),(2468,2468,'Security issue','en'),(2469,2469,'New modules','en'),(2470,2470,'View more addons in Marketplace','en'),(2471,2471,'Upgrade access level has been successfully assigned to your license keys','en'),(2472,2472,'<ul><li><b>Developer</b> level assumes the earliest access to upgrade, but the build can be unstable.</li><li><b>Merchant</b> level assumes the latest access to upgrade, but the build will be the most stable.</li></ul>','en'),(2473,2473,'Could not assign upgrade access level to your license keys','en'),(2474,2474,'There are no activated license keys','en'),(2475,2475,'Upgrade access level cannot be changed for default free license','en'),(2476,2476,'An error occurred, please try again. If the problem persists, contact the administrator.','en'),(2477,2477,'An error occurred, please try again. If the problem persists, contact the administrator.<ul><li>{{txnNote}}</li></ul>','en'),(2478,2478,'Cache management','en'),(2479,2479,'Re-deploy the store','en'),(2480,2480,'Re-deployment may take a while to complete. Please do not close this page until the process is fully completed. If the page has been closed, please re-open it to complete the process (The store re-deployment is executed only while the page stays open).','en'),(2481,2481,'Calculate quick data','en'),(2482,2482,'Calculated quick data enhances your store\'s performance by allowing quick product sorting. The process of quick data calculation may take a while to complete. Please do not close this page until the process is fully completed. If the page has been closed, please re-open it to complete the process (The calculation is performed only while the page stays open).','en'),(2483,2483,'About {{time}} remaining','en'),(2484,2484,'Calculating quick data...','en'),(2485,2485,'The process of quick data calculation may take a while to complete. Please do not close this page until the process is fully completed. If the page has been closed, please re-open it to complete the process (The calculation is performed only while the page stays open).','en'),(2486,2486,'The calculation of quick data has been completed successfully.','en'),(2487,2487,'The calculation of quick data has been stopped.','en'),(2488,2488,'Find transactions <b>by ID</b>','en'),(2489,2489,'Search for transactions <b>by date</b>','en'),(2490,2490,'Filter transactions <b>by status</b>','en'),(2491,2491,'Choose the right plan','en'),(2492,2492,'Buy Business Edition','en'),(2493,2493,'unavailable','en'),(2494,2494,'{{count}} modules have been selected','en'),(2495,2495,'This tool allows you to get rid of any content that might have been created in your store for testing purposes and which you no longer need. To use the tool, mark for deletion the types of content data you want to be removed, then click the <strong>Save Changes</strong> button. Removal of content data will not affect the store\'s existing configuration settings.','en'),(2496,2496,'<strong>Warning!</strong> The selected types of content data will be deleted permanently. We strongly recommend you back up your store before you proceed.<br />Please enter the administrator password to confirm you understand the consequences of your choice.','en'),(2497,2497,'Incorrect password. Please try again.','en'),(2498,2498,'Confirmation','en'),(2499,2499,'Leave blank to use product name as Page Title.','en'),(2500,2500,'This page is intended for the creation and management of discount coupons. Different types of coupons are supported, including <strong>$ off, % off and free shipping</strong>. For each coupon the following information can be specified:','en'),(2501,2501,'the <strong>dates</strong> the coupon should be valid for;','en'),(2502,2502,'the <strong>order subtotal range</strong> for which the coupon can be used;','en'),(2503,2503,'the <strong>categories and product classes</strong> to which the coupon may be applied;','en'),(2504,2504,'whether the coupon may be used by everyone or only by users with <strong>specific memberships</strong>.','en'),(2505,2505,'This page is intended for the management of volume discounts based on the order subtotal.','en'),(2506,2506,'Set <strong>absolute or %-based</strong> discount rates;','en'),(2507,2507,'Make a discount available to <strong>all customers</strong> or only to specific <strong>membership levels</strong>;','en'),(2508,2508,'Set a single discount or add <strong>multiple volume discounts</strong>.','en'),(2509,2509,'The system has been restored to the selected snapshot of {{date}}','en'),(2510,2510,'The system has failed to restore because there was no snapshot of {{date}}','en'),(2511,2511,'Leave blank to use category name as Page Title.','en'),(2512,2512,'Current template','en'),(2513,2513,'Standard','en'),(2514,2514,'Layout type','en'),(2515,2515,'Edit custom options','en'),(2516,2516,'Visit the template store','en'),(2517,2517,'Activate purchased skin','en'),(2518,2518,'If you purchased a template but do not see it here, activate the license key that was provided to you.','en'),(2519,2519,'Choose a new template','en'),(2520,2520,'<strong>Need custom design?</strong> We can modify this template or create a completely unique design for you','en'),(2521,2521,'FREE quote','en'),(2522,2522,'Layout has been changed. <a href=\"{{storefront}}\" target=\"_blank\">Review the updated storefront</a>.','en'),(2523,2523,'To make your changes visible in the customer area, cache rebuild is required. It will take several seconds. You don’t need to close the storefront, the operation is executed in the background.','en'),(2524,2524,'Product details image','en'),(2525,2525,'Products list image (<span class=\"preview\" data-img=\"preview_grid.png\">grid view</span>)','en'),(2526,2526,'Products list image (<span class=\"preview\" data-img=\"preview_list.png\">list view</span>)','en'),(2527,2527,'Category image','en'),(2528,2528,'There are unsaved changes on the page. If you choose to continue, these changes will be lost. Do you want to proceed?','en'),(2529,2529,'X-Cart found some issues with installed SSL certificate. You can get more information using this service: <a href=\'{{url}}\'>{{url}}</a>','en'),(2530,2530,'The secure protocol is enabled for your website. But X-Cart hasn\'t found the valid SSL certificate on your server.','en'),(2531,2531,'How do I move X-Cart?','en'),(2532,2532,'No region','en'),(2533,2533,'Check for available free disk space has failed','en'),(2534,2534,'You should check available free disk space yourself before continuing upgrade','en'),(2535,2535,'You should check available free disk space yourself before continuing installation','en'),(2536,2536,'Payment method has been added','en'),(2537,2537,'Payment method was not added','en'),(2538,2538,'Installation warnings','en'),(2539,2539,'You can get more information using this service: <a href=\"{{url}}\">{{url}}</a>','en'),(2540,2540,'X-Cart could not find a valid SSL certificate on your server. Although you can switch the store to use the secure protocol for the website pages, most Internet browsers will likely display a warning message scaring your website visitors away.','en'),(2541,2541,'X-Cart could not find a valid SSL certificate on your server.','en'),(2542,2542,'X-Cart could not find a valid SSL certificate on your server (<span>{{domain}}</span>).','en'),(2543,2543,'Before enabling HTTPS protocol read this article: <a href=\"{{articleUrl}}\">Inaccessible Admin area after enabling HTTPS</a>','en'),(2544,2544,'You are operating as:','en'),(2545,2545,'Operate as this customer','en'),(2546,2546,'Quit','en'),(2547,2547,'You are operating as: {{user}}','en'),(2548,2548,'You are logged in as: {{user}}','en'),(2549,2549,'Finished operating as customer','en'),(2550,2550,'<a href=\"http://www.avalara.com\" target=\"_blank\">Avalara</a>, a leader in US sales tax automation, provides a solution that can make your life easier by providing accurate and up-to-date tax rates for products you sell.','en'),(2551,2551,'New to Avalara? <a href=\"http://www.avalara.com/integrations/x-cart/\" target=\"_blank\">Sign up here!</a>','en'),(2552,2552,'Existing Avalara user? Enable and configure AvaTax <a href=\"{{moduleSettings}}\">here</a>','en'),(2553,2553,'Any profile','en'),(2554,2554,'Shipping method is not configured.','en'),(2555,2555,'Delivery time','en'),(2556,2556,'Shipping method information that your customers will be able to see when choosing a shipping method for their order during checkout. Can be provided only for offline shipping methods.','en'),(2557,2557,'Choose a parameter (or parameters) based on which custom rates will be defined. When calculating shipping costs, the system takes into account only the custom rates defined based on the parameter(s) selected in this field.','en'),(2558,2558,'Can be provided only for offline shipping methods.','en'),(2559,2559,'Handling fee','en'),(2560,2560,'Can be provided only for online shipping methods.','en'),(2561,2561,'What type of shipping rates would you like to use?','en'),(2562,2562,'Carrier-calculated rates','en'),(2563,2563,'Custom table rates','en'),(2564,2564,'Get shipping rates from major shipping carrier companies. No need to enter shipping rates manualy: the rates are obtained from the shipping carrier in real time so you get the most accurate shipping cost estimation.','en'),(2565,2565,'Method name','en'),(2566,2566,'Table based on','en'),(2567,2567,'Subtotal','en'),(2568,2568,'Weight','en'),(2569,2569,'Items','en'),(2570,2570,'Subtotal, weight, items','en'),(2571,2571,'Address zone','en'),(2572,2572,'Subtotal range','en'),(2573,2573,'Weight range','en'),(2574,2574,'Items range','en'),(2575,2575,'flat rate','en'),(2576,2576,'per item','en'),(2577,2577,'per weight unit','en'),(2578,2578,'Shipping','en'),(2579,2579,'Items','en'),(2580,2580,'Subtotal','en'),(2581,2581,'Weight','en'),(2582,2582,'Free','en'),(2583,2583,'Here you can provide general information about the shipping method and configure a table defining how shipping rates for this method should be calculated.','en'),(2584,2584,'Learn how to define shipping rates','en'),(2585,2585,'You can set up different shipping rates depending on the weight, price or quantity of items in the order. For this purpose in the field \"Table based on\" you need to specify the quality of an order that should determine the choice of a shipping rate (order subtotal, order weight, quantity of items in the order, or \"Subtotal, weight, items\" - if multiple factors need to be taken into account at the same time). Then in the table below you need to specify the subtotal, weight and/or quantity range that make an order eligible for this rate, and specify the values that need to be taken into account when calculating the shipping rate. If rates for more than one ranges need to be specified, it is necessary to add more rows to the rates table. The ranges for the different rates in the table may not overlap.','en'),(2586,2586,'Shipping rates are calculated by the following formula:','en'),(2587,2587,'You can define the following values:','en'),(2588,2588,'Flat shipping charge. This value will be added to the shipping rate regardless of the weight, price and number of items ordered.','en'),(2589,2589,'Flat shipping charge per item ordered.','en'),(2590,2590,'Shipping charge based on a percentage of the order subtotal.','en'),(2591,2591,'Flat shipping charge per weight unit ordered (for example, per pound or per kilogram - depending on the weight units used by your store).','en'),(2592,2592,'SHIPPING = flat + ITEMS*per_item + SUBTOTAL*(% of subtotal)/100 + WEIGHT*per_{{X}};','en'),(2593,2593,'Carrier services','en'),(2594,2594,'Carrier service','en'),(2595,2595,'Carrier service name','en'),(2596,2596,'Test rates','en'),(2597,2597,'Back to shipping methods','en'),(2598,2598,'This shipping method is','en'),(2599,2599,'This shipping method is <strong>not configured</strong>.','en'),(2600,2600,'on','en'),(2601,2601,'off','en'),(2602,2602,'Pre-upgrade hooks cannot be run','en'),(2603,2603,'Files cannot be updated','en'),(2604,2604,'Trying to run pre-upgrade hooks while not all archives were unpacked','en'),(2605,2605,'...Invoke {{type}} hook for {{entry}}...','en'),(2606,2606,'...Hooks {{hooksCount}}, Items {{itemsCount}}...','en'),(2607,2607,'...Hooks {{hooksCount}}','en'),(2608,2608,'...Unpacking {{entry}}...{{status}}','en'),(2609,2609,'...Downloading {{entry}}...{{status}}','en'),(2610,2610,'<span class=\"value\">{{X}}</span> items','en'),(2611,2611,'More attributes','en'),(2612,2612,'Do you really want to close storefront?','en'),(2613,2613,'The product for which you attempted to upload an attachment has not been found','en'),(2614,2614,'The file extension is forbidden','en'),(2615,2615,'Accounting','en'),(2616,2616,'Export orders','en'),(2617,2617,'Not seeing your accounting software here? <a href=\"{{href}}\" target=\"_blank\">Let us know</a>','en'),(2618,2618,'Want to change or add another accounting system? Choose the accounting system you require below and configure it.','en'),(2619,2619,'No accounting system has been selected yet. Choose your accounting system below and configure it.','en'),(2620,2620,'Automate shipping','en'),(2621,2621,'Integration with','en'),(2622,2622,'Automate your shipping process with the services of our partners: print shipping labels, grab shipping orders info from eBay, ETSY, Amazon and other marketplaces; integrate with several shipping carriers in one spot and more.','en'),(2623,2623,'Haven\'t found what you\'re looking for? View more <a href=\'{{href}}\'>shipping modules</a>','en'),(2624,2624,'Print Shipping labels','en'),(2625,2625,'FREE trial','en'),(2626,2626,'Refunds','en'),(2627,2627,'App type','en'),(2628,2628,'Cloud Service','en'),(2629,2629,'Cloud Zoom','en'),(2630,2630,'Cloud Zoom mode','en'),(2631,2631,'Inside','en'),(2632,2632,'Outside','en'),(2633,2633,'Win app','en'),(2634,2634,'Amazon','en'),(2635,2635,'DHL','en'),(2636,2636,'ETSY','en'),(2637,2637,'FedEx','en'),(2638,2638,'Stamps.com','en'),(2639,2639,'UPS','en'),(2640,2640,'U.S.P.S.','en'),(2641,2641,'eBay','en'),(2642,2642,'Ship-From address','en'),(2643,2643,'Automate Shipping Refunds','en'),(2644,2644,'Shipping solutions','en'),(2645,2645,'More shipping solutions','en'),(2646,2646,'Transaction details','en'),(2647,2647,'You can find the failed transaction <a href=\"{{url}}\">here</a>','en'),(2648,2648,'Save filter','en'),(2649,2649,'Enter filter name','en'),(2650,2650,'Delete filter','en'),(2651,2651,'Are you sure you want to delete this filter?','en'),(2652,2652,'Filter has been successfully saved','en'),(2653,2653,'Filter has been removed','en'),(2654,2654,'The download should start automatically. Click the link if does not start.','en'),(2655,2655,'Sorry, your order cannot be placed as there are no shipping methods available.','en'),(2656,2656,'Packing slip','en'),(2657,2657,'Print packing slip','en'),(2658,2658,'Packing date','en'),(2659,2659,'Order date','en'),(2660,2660,'Bill to','en'),(2661,2661,'Ship to','en'),(2662,2662,'Order QTY','en'),(2663,2663,'Ship QTY','en'),(2664,2664,'Please select the orders first','en'),(2665,2665,'Orders has been successfully deleted','en'),(2666,2666,'Purchase license','en'),(2667,2667,'License warning','en'),(2668,2668,'Inactive license key ({{key}})','en'),(2669,2669,'Does not match license type (requires {{list}} edition)','en'),(2670,2670,'Requires {{list}} edition license','en'),(2671,2671,'License key is missing','en'),(2672,2672,'The system has detected one or more problems with some of the modules at your store:','en'),(2673,2673,'inactive license key(s);','en'),(2674,2674,'installed module(s) not allowed by the type of X-Cart license activated at your store.','en'),(2675,2675,'Using the modules with this type of license violation is illegal.<br />To resolve the problem, please remove the affected modules from your store, or activate a valid license allowing the use of these modules.','en'),(2676,2676,'Also the system has detected problems with the following modules:','en'),(2677,2677,'You can also <a href=\"{{url}}\" target=\"_blank\">contact our CR department</a> for help with this issue','en'),(2678,2678,'WARNING! Any attempt to access further pages in the administrator interface will result in the <strong>automatic disabling</strong> of all the unallowed modules. To prevent this from happening, please activate a valid license key by clicking the button below.','en'),(2679,2679,'Remove unlicensed modules','en'),(2680,2680,'The system has detected that the license key that was activated for your store is invalid.<br />Using the store with an invalid license key is illegal.<br />To resolve the problem, please activate a valid license key for your store, or revert to Trial mode.','en'),(2681,2681,'Back to Trial mode','en'),(2682,2682,'Re-check','en'),(2683,2683,'Tools','en'),(2684,2684,'All payment transaction statuses','en'),(2685,2685,'Default image settings','en'),(2686,2686,'In progress','en'),(2687,2687,'Initialized','en'),(2688,2688,'Success','en'),(2689,2689,'Pending','en'),(2690,2690,'Failed','en'),(2691,2691,'Canceled','en'),(2692,2692,'Void','en'),(2693,2693,'The calculation failed','en'),(2694,2694,'The calculation completed','en'),(2695,2695,'The process of sales calculation may take a while to complete. Please do not close this page until the process is fully completed.','en'),(2696,2696,'Sales calculation','en'),(2697,2697,'This method is displayed because you are logged in as admin and operating as another user','en'),(2698,2698,'Old customer note','en'),(2699,2699,'New customer note','en'),(2700,2700,'Add comment here','en'),(2701,2701,'more','en'),(2702,2702,'View order history','en'),(2703,2703,'Banner rotation','en'),(2704,2704,'Add banner','en'),(2705,2705,'Review & Submit order','en'),(2706,2706,'Products search','en'),(2707,2707,'Requires shipping','en'),(2708,2708,'Learn how to convert failed transactions into real orders','en'),(2709,2709,'Customer','en'),(2710,2710,'Couldn\'t download the image \"{{value}}\"','en'),(2711,2711,'Error of image verification ({{value}}). Make sure you have specified the correct image file or URL.','en'),(2712,2712,'Show low stock warning on product page','en'),(2713,2713,'Notify administrator if the stock quantity of this product goes below a certain limit','en'),(2714,2714,'Only {{X}} left in stock','en'),(2715,2715,'Show all warnings/errors','en'),(2716,2716,'Hide all warnings/errors','en'),(2717,2717,'Errors','en'),(2718,2718,'Warnings','en'),(2719,2719,'Download error file','en'),(2720,2720,'The value must be greater than the current maximum order number in the order list','en'),(2721,2721,'Authorize','en'),(2722,2722,'Sale','en'),(2723,2723,'Capture','en'),(2724,2724,'Capture partially','en'),(2725,2725,'Capture multiple','en'),(2726,2726,'Void','en'),(2727,2727,'Void partially','en'),(2728,2728,'Void multiple','en'),(2729,2729,'Refund','en'),(2730,2730,'Refund partially','en'),(2731,2731,'Refund multiple','en'),(2732,2732,'Get information','en'),(2733,2733,'Accept','en'),(2734,2734,'Decline','en'),(2735,2735,'Test','en'),(2736,2736,'Need a more powerful banner system for your store? <a href=\"{{url}}\">Get it now!</a>','en'),(2737,2737,'Administrator','en'),(2738,2738,'Log in as this admin','en'),(2739,2739,'Need a more customizeable PDF invoice solution for your store? <a href=\"{{url}}\">Get it now!</a>','en'),(2740,2740,'File can not be uploaded','en'),(2741,2741,'{{file}} file could not be copied to a new location {{newPath}}','en'),(2742,2742,'Unable to write data to file {{file}}','en'),(2743,2743,'Unable to download the content of {{url}}','en'),(2744,2744,'File {{file}} does not exist','en'),(2745,2745,'Unable to get the content from {{url}}','en'),(2746,2746,'The file extension is forbidden ({{file}}','en'),(2747,2747,'Incorrect permissions','en'),(2748,2748,'Incorrect amount','en'),(2749,2749,'Not enough permissions to import user access level','en'),(2750,2750,'Wrong access level format ({{value}})','en'),(2751,2751,'Not enough permissions to import user roles','en'),(2752,2752,'Wrong role name ({{value}})','en'),(2753,2753,'Roles cannot be changed for your profile via import. Row will be skipped','en'),(2754,2754,'Access level cannot be changed (from {{prevValue}} to {{value}}) for existing profile ({{login}})','en'),(2755,2755,'You cannot update administrator profile ({{value}}). Row will be skipped','en'),(2756,2756,'You cannot update administrator profile ({{value}}). Row has been skipped','en'),(2757,2757,'The count of categories specified for a product and the count of orderBy position numbers describing the position of the product within these categories must be the same.','en'),(2758,2758,'OrderBy position number must be specified as a non-negative integer.','en'),(2759,2759,'Category name should not be empty','en'),(2760,2760,'After the problem has been fixed, try to connect again.\', {\'clear_cache\': url(\'addons_list_marketplace','en'),(2761,2761,'All items','en'),(2762,2762,'Although you can switch the store to use the secure protocol for the website pages, most Internet browsers will likely display a warning message scaring your website visitors away.','en'),(2763,2763,'Autogenerate','en'),(2764,2764,'Background export is in progress','en'),(2765,2765,'Clean URLs are disabled. More info\', {\'more_info_url\': url(\'settings\', \'','en'),(2766,2766,'Clean URLs','en'),(2767,2767,'The Clean URL entered is already in use by another page. To resolve the conflict, edit the \"clean_urls_aliases\" section in the file etc/config.php.','en'),(2768,2768,'First','en'),(2769,2769,'Last','en'),(2770,2770,' > ','en'),(2771,2771,'X-Cart','en'),(2772,2772,'','en'),(2773,2773,'Title','en'),(2774,2773,'Название','ru'),(2775,2774,'[Edit]','en'),(2776,2774,'[Изменить]','ru'),(2777,2775,'Parent category path','en'),(2778,2776,'Object name (category, product, etc)','en'),(2779,2777,'General options','en'),(2780,2778,'Default site title','en'),(2781,2779,'Default site meta description','en'),(2782,2780,'Default site meta keywords','en'),(2783,2781,'Home page title and meta','en'),(2784,2782,'Page title format','en'),(2785,2783,'Show object name in page title','en'),(2786,2784,'About clean urls','en'),(2787,2785,'Page title consists of the following elements separated by the delimiter \"{{delimiter}}\"; you can change the delimiter by editing the <a href=\"{{modify_url}}\">title-delimiter</a> label','en'),(2788,2786,'Every object stores a history of up to 8 clean urls that were used for the object previously. X-Cart sets 301 redirects for these URLs automatically.','en'),(2789,2787,'Also, you can adjust your 301 redirects in the .htaccess file (See <a href=\"https://kb.x-cart.com/en/general_setup/setting_up_seo-friendly_urls.html\" target=\"blank\">Setting up seo-friendly URLs</a> for Nginx or IIS configuration), or use a special extension by 3d party module developers (<a href=\"https://market.x-cart.com/addons/redirects-by-Nova-Horizon.html\"  target=\"blank\">Redirects module</a>)','en'),(2790,2788,'Connecting to the marketplace...','en'),(2791,2789,'Do not see your payment method? Find it on our Marketplace\', {\'url\': url(\'addons_list_marketplace\', \'\', {\'tag\': \'Payment processing','en'),(2792,2790,'Enter product name or SKU','en'),(2793,2791,'Export all','en'),(2794,2792,'Export selected','en'),(2795,2793,'File was successfully uploaded','en'),(2796,2794,'Hide and make them available only via a direct link','en'),(2797,2795,'Ignore membership','en'),(2798,2796,'Import results','en'),(2799,2797,'Info','en'),(2800,2798,'Initializing...','en'),(2801,2799,'Inventory tracking is','en'),(2802,2800,'Login is locked out','en'),(2803,2801,'Manage zones','en'),(2804,2802,'Marketing','en'),(2805,2803,'Minimum value is {{value}}','en'),(2806,2804,'Modules','en'),(2807,2805,'Options','en'),(2808,2806,'Order cannot be placed because there is no shipping methods available.','en'),(2809,2807,'Order number or email','en'),(2810,2808,'Please wait','en'),(2811,2809,'Prices & Inventory','en'),(2812,2810,'Recalculate totals','en'),(2813,2811,'Recent orders only','en'),(2814,2812,'SKU length must be less than {{length}}','en'),(2815,2813,'{{field}} length must be less than {{length}}','en'),(2816,2814,'SKU or SKU1, SKU2','en'),(2817,2815,'Select language to edit','en'),(2818,2816,'Separate box','en'),(2819,2817,'Shipping method / cost','en'),(2820,2818,'Show in all the sections','en'),(2821,2819,'Show only in categories and search listings','en'),(2822,2820,'Show:','en'),(2823,2821,'Soft and Hard reset links for your store','en'),(2824,2822,'Sort by:','en'),(2825,2823,'Sort settings','en'),(2826,2824,'Specify your _store information_\', {\'URL\': url(\'settings\', \'','en'),(2827,2825,'The secure protocol for your website is disabled.','en'),(2828,2826,'The secure protocol for your website is enabled.','en'),(2829,2827,'This order was not checked by the AntiFraud service!','en'),(2830,2828,'This payment method is not configured.','en'),(2831,2829,'Time left','en'),(2832,2830,'To setup Tax Rates, find and install the appropriate addons from Marketplace\', {\'url\': url(\'addons_list_marketplace\', \'\', {\'tag\': \'Taxes','en'),(2833,2831,'Transaction ID','en'),(2834,2832,'Try to change the search criteria or find the needed solution in marketplace\', {\'URL\': url(\'addons_list_marketplace\', \'\', {\'tag\': \'Payment processing','en'),(2835,2833,'Try to search worldwide or find the needed solution in marketplace\', {\'URL\': url(\'addons_list_marketplace\', \'\', {\'tag\': \'Payment processing','en'),(2836,2834,'Updating data from the marketplace...','en'),(2837,2835,'You can purchase AntiFraud Service subscription','en'),(2838,2836,'You need these links in case you want to recover your store','en'),(2839,2837,'or use the form below','en'),(2840,2838,'the same as billing','en'),(2841,2839,'Add product','en'),(2842,2840,'Are you sure you want to enable https anyway?','en'),(2843,2841,'Check for updates','en'),(2844,2842,'Install anyway','en'),(2845,2843,'Update modules','en'),(2846,2844,'The \"{{file}}\" file is not allowed and was not uploaded. Allowed extensions are: {{extensions}}','en'),(2847,2845,'Couldn\'t download the banner \"{{value}}\"','en'),(2848,2846,'Error of banner loading. Make sure the \"images\" directory has write permissions.','en'),(2849,2847,'Searching...','en'),(2850,2848,'No results found.','en'),(2851,2849,'Enter a keyword to search.','en'),(2852,2850,'Item list','en'),(2853,2851,'Minor update','en'),(2854,2852,'Major upgrade','en'),(2855,2853,'Major improvements and new features','en'),(2856,2854,'Minor improvements','en'),(2857,2855,'{{count}} items selected','en'),(2858,2856,'Maximum items in box','en'),(2859,2857,'Upgrade not allowed','en'),(2860,2858,'X-Cart v5.3 requires PHP version 5.4 or better. Please update the PHP version installed on your server before you proceed.','en'),(2861,2859,'Header, greeting & signature','en'),(2862,2860,'On this page you can edit the header, greeting and signature used by all the email notifications sent by your store (separately for admin and customer users).','en'),(2863,2861,'Greeting','en'),(2864,2862,'The settings in this section determine the content of email notifications sent to customer.','en'),(2865,2863,'Header','en'),(2866,2864,'Signature','en'),(2867,2865,'The settings in this section determine the content of email notifications sent to admin.','en'),(2868,2866,'State','en'),(2869,2867,'Scheme','en'),(2870,2868,'Body','en'),(2871,2869,'Customer','en'),(2872,2870,'Administrator','en'),(2873,2871,'Add countries','en'),(2874,2872,'Subscribe','en'),(2875,2873,'Sign in / sign up','en'),(2876,2874,'Quick view','en'),(2877,2875,'Billing','en'),(2878,2876,'Enable this if you would like us to use your shipping address as your billing address','en'),(2879,2877,'Proceed to payment','en'),(2880,2878,'Shipping to','en'),(2881,2879,'Billing to','en'),(2882,2880,'same as shipping','en'),(2883,2881,'Choose shipping','en'),(2884,2882,'Payment','en'),(2885,2883,'There is already state with code {{code}} in {{country}}','en'),(2886,2884,'Last time re-deployed at','en'),(2887,2885,'YES','en'),(2888,2886,'NO','en'),(2889,2887,'E-mail will also be updated in all the related orders.','en'),(2890,2888,'The countries to which the selected states belong will be added to the zone automatically.','en'),(2891,2889,'Hi,<br/><br/>X-Cart Team have done their best to make your upgrade process as enjoyable as possible. If that didn’t work out well for you, please follow these quick steps to get it right:','en'),(2892,2890,'First, restore your website from the created backup - this is the fastest way to get your store back online.','en'),(2893,2891,'Second, try to disable all non-X-Cart modules by using the links below:','en'),(2894,2892,'Soft reset. Turn off all addons except those provided by X-Cart Team & Qualiteam','en'),(2895,2893,'Hard reset. Disable all addons except those provided by X-Cart Team','en'),(2896,2894,'If you still need help, please, feel free to contact X-Cart Help Desk at <a href=”mailto:helpdesk@x-cart.com”>helpdesk@x-cart.com</a>. Remember to attach the log files (from “xcart_directory/var/log”) to your email, so that their tech engineers could instantly spot the problem and help you to fix it in the most effective way possible.','en'),(2897,2895,'Performing task...','en'),(2898,2896,'This process may take a while to complete. Please do not close this page until the process is fully completed. If you have closed the page, please re-open it to complete the process as it is in progress only when the page is open.','en'),(2899,2897,'Recalculate view lists','en'),(2900,2898,'This action reloads each @ListChild annotation and updates view list records in database.','en'),(2901,2899,'Clear data and widget cache','en'),(2902,2900,'Cache clearing might be helpful if there are some widgets with outdated information. Clicking this will remove data from cache driver.','en'),(2903,2901,'Start','en'),(2904,2902,'Orders awaiting processing','en'),(2905,2903,'Awaiting processing','en'),(2906,2904,'Only orders awaiting processing','en'),(2907,2905,'On category listing','en'),(2908,2906,'On category and product details page','en'),(2909,2907,'Column \"{{value}}\" is required','en'),(2910,2908,'Wrong format of \"order number\" field','en'),(2911,2909,'Wrong format of \"anonymous\" field','en'),(2912,2910,'Wrong format of \"address same\" field','en'),(2913,2911,'Wrong format of \"subtotal\" field','en'),(2914,2912,'Wrong format of \"total\" field','en'),(2915,2913,'Wrong format of \"currency\" field','en'),(2916,2914,'Fulfilment status not found, \"New\" will be used for order','en'),(2917,2915,'Payment status not found, \"Awaiting payment\" will be used for order','en'),(2918,2916,'Order modifier \"{{value}}\" not found','en'),(2919,2917,'Wrong format of \"order modifier\" field','en'),(2920,2918,'Wrong format of \"order item\", required fields \"{{value}}\" are missing','en'),(2921,2919,'Wrong format of \"order item sku\" field','en'),(2922,2920,'Wrong format of \"order item name\" field','en'),(2923,2921,'Wrong format of \"order item price\" field','en'),(2924,2922,'Wrong format of \"order item subtotal\" field','en'),(2925,2923,'Wrong format of \"order item total\" field','en'),(2926,2924,'Wrong format of \"order item quantity\" field','en'),(2927,2925,'Order item modifier not found','en'),(2928,2926,'Wrong format of \"order item modifier\" field','en'),(2929,2927,'Wrong format of \"order transaction\", required fields \"{{value}}\" are missing','en'),(2930,2928,'Wrong format of \"order transaction method\" field','en'),(2931,2929,'Order transaction status not found','en'),(2932,2930,'Wrong format of \"order transaction value\" field','en'),(2933,2931,'Order transaction type not found','en'),(2934,2932,'Wrong format of \"order transaction id\" field','en'),(2935,2933,'Wrong format of \"order transaction currency\" field','en'),(2936,2934,'No account yet?','en'),(2937,2935,'No problem! Enter your email address','en'),(2938,2936,'Log in to your account','en'),(2939,2937,'to enjoy faster & easier checkout','en'),(2940,2938,'or proceed with','en'),(2941,2939,'You can continue as guest or <a href=\"{{URL}}\" class=\"sign-in register\">create an account</a>','en'),(2942,2940,'Apply sorting globally','en'),(2943,2941,'Integrity check','en'),(2944,2942,'Unknown core version','en'),(2945,2943,'The core may be checked only if a valid license key is present.','en'),(2946,2944,'The module may be checked only if a valid license key is present.','en'),(2947,2945,'Cannot check the files for this module','en'),(2948,2946,'Refresh integrity status','en'),(2949,2947,'Added','en'),(2950,2948,'Modified','en'),(2951,2949,'Removed','en'),(2952,2950,'Errors','en'),(2953,2951,'Integrity has not yet been checked. Initiate an integrity check by clicking the button \"Refresh integrity status\".','en'),(2954,2952,'Integrity check has been completed successfully.','en'),(2955,2953,'Integrity check has been stopped.','en'),(2956,2954,'Switch to <a href=\"javascript: void(0)\">Category tree</a>','en'),(2957,2955,'Switch to <a href=\"javascript: void(0)\">Category search</a>','en'),(2958,2956,'Parent category name','en'),(2959,2957,'All addons','en'),(2960,2958,'Disabled only','en'),(2961,2959,'Enabled only','en'),(2962,2960,'Please be warned that proper operation of the site after an upgrade is not guaranteed if you choose to upgrade only some of the components listed below. Please use the selective upgrade feature at your own risk and only if you know exactly what you are doing.','en'),(2963,2961,'Enable selected','en'),(2964,2962,'Disable selected','en'),(2965,2963,'Enable all','en'),(2966,2964,'Disable all','en'),(2967,2965,'Clone selected','en'),(2968,2966,'This field will be required if the selected country has states, and will not be required if the selected country does not have states.','en'),(2969,2967,'Will be available if core update is selected','en'),(2970,2968,'No category assigned','en'),(2971,2969,'Not assigned','en'),(2972,2970,'Developer wave','en'),(2973,2971,'Your license key is set up to get upgrades in the  {{wave_name}} wave. Therefore, upgrading may require some technical assistance on your part. If you are not prepared to deal with upgrade issues that may arise when upgrading in the developer wave, please, wait for the merchant wave. You can switch to the merchant wave <a  href=\"{{link_to_waves}}\" target=\"_blank\">on this page</a>','en'),(2974,2972,'Products in this class: {{X}}','en'),(2975,2973,'Canceling','en'),(2976,2974,'Installing native <a target=\'_blank\' href=\'http://php.net/manual/en/mbstring.installation.php\'><b>mbstring extension</b></a> is highly recommended due to the major speedup of PDF generation and general string processing.','en'),(2977,2975,'<p class=\'items-list-blank-description-heading text-center\'>There are currently no orders in the store.</p><p class=\'text-center\'>Once your store has orders, this is where you’ll process and track them. Get accustomed with the order workflow at <a target=\'_blank\' href=\'https://kb.x-cart.com/en/orders/understanding_x-cart_order_statuses.html\'>X-Cart Knowledge Base</a>.</p>','en'),(2978,2976,'There are currently no orders in the store.','en'),(2979,2977,'<p class=\'items-list-blank-description-heading text-center\'>No payment transactions have been made yet.</p><p class=\'text-center\'>Once a customer will place an order, this is where you can track payment status and transaction details.</p>','en'),(2980,2978,'<p class=\'items-list-blank-description-heading text-center\'>Products catalog is empty.</p><p class=\'text-center\'>Start your sales by adding products using the <b>\"Add product\"</b> button or via import. Learn how to configure a product at <a target=\'_blank\' href=\'https://kb.x-cart.com/en/products/adding_products.html#adding-a-new-product\'>X-Cart Knowledge Base</a>.</p>','en'),(2981,2979,'Products catalog is empty.','en'),(2982,2980,'<p class=\'items-list-blank-description-heading text-center\'>There are no categories in the store.</p><p class=\'text-center\'>Group your products by adding categories using the <b>\"New category\"</b> button or via import.</p>','en'),(2983,2981,'<p class=\'items-list-blank-description-heading text-center\'>There are no memberships in the store.</p><p class=\'text-center\'>Memberships allow you to group your customers and give them different privileges. You can add them by clicking the <b>\"New membership\"</b> button, Learn more at <a target=\'_blank\' href=\'https://kb.x-cart.com/en/users/adding_user_membership_levels.html\'>X-Cart Knowledge Base</a>.</p>','en'),(2984,2982,'Categories processed','en'),(2985,2983,'Processing categories...','en'),(2986,2984,'Categories processed: {{X}} out of {{Y}} (errors: {{errors}}, warnings: {{warns}})','en'),(2987,2985,'Categories processed: {{X}} out of {{Y}}','en'),(2988,2986,'Categories processed: {{count}}','en'),(2989,2987,'Order {{order_number}} has been confirmed as delivered to the customer.','en'),(2990,2988,'Products with no assigned categories','en'),(2991,2989,'The selected categories have been deleted. As a result, there are products with no assigned category. You can re-arrange the location of these products by using bulk edit.','en'),(2992,2990,'Show products with no assigned category','en'),(2993,2991,'The import process has been canceled','en'),(2994,2992,'Logout this user','en'),(2995,2993,'Profile actions','en'),(2996,2994,'<p class=\'items-list-blank-description-heading text-center\'>There are no subcategories in the category.</p>','en'),(2997,2995,'The product you are trying to add to cart is unavailable.','en'),(2998,2996,'Current password','en'),(2999,2997,'<a href=\"{{url}}\">Send reset link</a>','en'),(3000,2998,'Installation script','en'),(3001,2999,'The root folder of your installed X-Cart store still contains the file install.php that is used to launch X-Cart installation. Keeping this file in the said location \'as is\' is not secure. We strongly recommend that this file should be deleted or renamed to prevent unauthorized access to the store installation tools.','en'),(3002,3000,'Config file','en'),(3003,3001,'Config file does not exist and cannot be copied from the default config file. It is required for the installation.<br /><br />Please, follow these steps: <br /><br />1. Go to directory {{configPath}}<br />2. Copy <i>{{defaultConfigFileName}}</i> to <i>{{configFileName}}</i><br />3. Set writeable permissions on <i>{{configFileName}}</i><br /><br />Then try again.','en'),(3004,3002,'Config file does not exist and cannot be copied from the default config file. It is required for the installation.<br /><br />Please, follow these steps: <br /><br />1. Go to directory {{configPath}}<br />2. Copy <i>{{defaultConfigFileName}}</i> to <i>{{configFileName}}</i><br />3. Set writeable permissions on <i>{{configFileName}}</i><br /><br />Then try again.','en'),(3005,3003,'PHP version','en'),(3006,3004,'PHP Version must be at least {{minPhpVersion}}.','en'),(3007,3005,'PHP Version must be not greater than {{maxPhpVersion}}.','en'),(3008,3006,'Unsupported PHP version detected.','en'),(3009,3007,'PHP versions <b>5.4.0+</b> are currently supported.','en'),(3010,3008,'Disabled functions','en'),(3011,3009,'The following functions are disabled:<br/>:missedFunctions<br/>These functions may be used by the software in some cases and should be enabled.','en'),(3012,3010,'Some functions, used by X-Cart, are found disabled. Make sure that these functions are not listed in \"disable_functions\" option and all php extensions required for these functions availability are enabled in the php.ini file. Please correct this and try again.','en'),(3013,3011,'Memory limit','en'),(3014,3012,'PHP memory_limit option must be at least {{memoryLimitMin}}.','en'),(3015,3013,'PHP memory_limit option must be at least {{memoryLimitMin}}.','en'),(3016,3014,'File uploads','en'),(3017,3015,'PHP file_uploads option must be set to On.','en'),(3018,3016,'The configuration of the server where X-Cart will be installed meets the Server requirements; however, some server software issues, which can impair X-Cart operation, have been identified on the server.<br /><br />For proper operation of X-Cart the value of the upload_max_filesize variable in the php.ini file should indicate the maximum file size allowed for upload.','en'),(3019,3017,'PDO extension','en'),(3020,3018,'PDO extension with MySQL support must be installed.','en'),(3021,3019,'PDO extension with enabled MySQL support is used by X-Cart for connecting to the database. Please make sure this extension is loaded in your php.ini file and try again.','en'),(3022,3020,'Check our <a href=\"https://kb.x-cart.com/en/general_setup/installation_guide.html#disabled-php-extensions\" target=\"_blank\">Knowledge Base</a> in order to find out how to solve the problem with PDO extension.','en'),(3023,3021,'Upload file size limit','en'),(3024,3022,'PHP option upload_max_filesize must contain a value. It is currently empty.','en'),(3025,3023,'For proper operation of X-Cart the value of the upload_max_filesize option in the php.ini file should indicate the maximum file size allowed for upload. Please correct this option or contact your hosting provider\'s support to have the parameter adjusted.','en'),(3026,3024,'File permissions','en'),(3027,3025,'Not enough permissions to run the process. Please make sure the following files are writable:<br /><div class=\"permissions-list\">{{pathsList}}</div>','en'),(3028,3026,'Not enough permissions to run the process. Make sure the following permissions are set (UNIX-like systems only):<br /><div class=\"permissions-list\">{{pathsList}}</div>Such permissions are required for a seamless automated installation or upgrade of X-Cart on your server. They do not take into account the specific configuration of your server or any security requirements. Once the process is completed, make sure you change the permissions to a more restrictive setting. <a target=\"_blank\" href=\"https://kb.x-cart.com/en/setting_up_x-cart_5_environment/secure_configuration.html#why-x-cart-asks-for-666777-permissions\">Read more</a>','en'),(3029,3027,'Check our <a href=\"https://kb.x-cart.com/en/general_setup/installation_guide.html#permissionchecking-failed\" target=\"_blank\">Knowledge Base</a> in order to find out how to solve the problem with incorrect permissions.','en'),(3030,3028,'MySQL version','en'),(3031,3029,'MySQL version must be at least {{minMysqlVersion}}.','en'),(3032,3030,'InnoDB engine is not supported by MySQL server. InnoDB is required for X-Cart operation.','en'),(3033,3031,'Cannot get MySQL server version ({{error}}).','en'),(3034,3032,'MySQL cache','en'),(3035,3033,'MySQL query cache is not enabled. See <a href=\"https://dev.mysql.com/doc/refman/5.7/en/query-cache-configuration.html\" target=\"_blank\">https://dev.mysql.com/doc/refman/5.7/en/query-cache-configuration.html</a> for how to enable it.','en'),(3036,3034,'GDlib extension','en'),(3037,3035,'GDlib extension v.2.0 or later is required for some modules.','en'),(3038,3036,'GDlib extension does not have the JPEG plugin.','en'),(3039,3037,'Phar extension','en'),(3040,3038,'Phar extension v.2.0.1 or later is required to get upgrades and install modules; otherwise, these features may not work properly.','en'),(3041,3039,'Phar extension is required for installation of external X-Cart addons and upgrades from the Marketplace.  Phar v.2.0.1 or later is recommended, otherwise this features may fail to work properly. Please contact your hosting provider\'s support to have this parameter adjusted.','en'),(3042,3040,'HTTPS bouncers','en'),(3043,3041,'libcurl extension is found but does not support secure protocols.','en'),(3044,3042,'libcurl extension not found.','en'),(3045,3043,'The libCURL module with HTTPS protocol support and a valid SSL certificate is required for credit cards processing via Authorize.NET, PayPal or other payment gateways and using real-time shipping calculation services (these services require your website to accept secure connections via HTTPS/SSL). Please contact your hosting provider\'s support to have these parameters adjusted.','en'),(3046,3044,'Check our <a href=\"https://kb.x-cart.com/en/general_setup/installation_guide.html#https-bouncer-is-not-installed\" target=\"_blank\">Knowledge Base</a> in order to find out how to solve the problem with libCurl library.','en'),(3047,3045,'XML extensions support','en'),(3048,3046,'XML/Expat and DOM extensions are required for some modules.','en'),(3049,3047,'Xml/EXPAT and DOMDocument extensions for PHP are required for using real-time shipping modules and payment modules. Please contact your hosting provider\'s support to have these parameters adjusted.','en'),(3050,3048,'DocBlocks support','en'),(3051,3049,'The DocBlock feature is not supported by your PHP. This feature is required for X-Cart operation.','en'),(3052,3050,'The DocBlock feature is not supported by your PHP. This feature is required for X-Cart operation. The cause of DocBlock feature being blocked may be the eAccelerator extension. Disable this extension and try again.','en'),(3053,3051,'Check our <a href=\"https://kb.x-cart.com/en/general_setup/installation_guide.html#permissionchecking-failed\" target=\"_blank\">Knowledge Base</a> in order to find out how to solve the problem with incorrect permissions.','en'),(3054,3052,'Category id or path is required','en'),(3055,3053,'Last element of category path should be same as name if no category id is presented','en'),(3056,3054,'Category with id \"{{value}}\" not found, new category with different id will be created','en'),(3057,3055,'CSV format tables','en'),(3058,3056,'Need to set up free shipping? <a href=\"{{url}}\" target=\"_blank\">Learn how</a>.','en'),(3059,3057,'Show states for selected countries only','en'),(3060,3058,'Profile details','en'),(3061,3059,'Attention!','en'),(3062,3060,'Ok, Got it','en'),(3063,3061,'To install modules and get X-Cart upgrades, PHP\'s <a href=\"http://php.net/manual/en/book.phar.php\" target=\"_blank\">Phar extension</a> needs to be enabled on your server. Please contact your hosting provider.','en'),(3064,3062,'Also, you can review X-Cart recommended hosting providers <a href=\"https://market.x-cart.com/experts-and-services#filter[tags]=Hosters\" target=\"_blank\">in our marketplace</a>.','en'),(3065,3063,'Your X-Cart Business trial has expired!','en'),(3066,3064,'You must register your X-Cart installation before using it for real sales. Activate your existing license key or purchase a <strong>premium license to skyrocket your business</strong>.','en'),(3067,3065,'This message can be removed only through activation of a free or premium license.','en'),(3068,3066,'Refer to <a href=\"{{licenseAgreementURL}}\" target=\"_blank\" rel=\"nofollow\">X-Cart license agreement</a> for further details.','en'),(3069,3067,'Remind me on next sign-in','en'),(3070,3068,'Purchase a premium license key','en'),(3071,3069,'I have a license key','en'),(3072,3070,'Enter your premium license key','en'),(3073,3071,'<a href=\"{{url}}\">Activate free X-Cart license & remove premium features.</a>','en'),(3074,3072,'<a href=\"{{url}}\" target=\"_blank\" rel=\"nofollow\">Contact X-Cart</a> if you have any questions.','en'),(3075,3073,'License key registration','en'),(3076,3074,'X-Cart Business trial will expire in {{count}} day','en'),(3077,3075,'X-Cart Business trial will expire in {{count}} days','en'),(3078,3076,'X-Cart Business trial will expire in {{count}} days','en'),(3079,3077,'Please register your license key now or purchase a <strong>premium license to skyrocket your business</strong>.','en'),(3080,3078,'{{count}} day left','en'),(3081,3079,'{{count}} days left','en'),(3082,3080,'{{count}} days left','en'),(3083,3081,'Trial has expired!','en'),(3084,3082,'Register license key','en'),(3085,3083,'Warning! The image cannot be resized to reduce capacity for better site performance.','en'),(3086,3084,'Previous order','en'),(3087,3085,'Next order','en'),(3088,3086,'Click to expand menu','en'),(3089,3087,'<span>Need a way to set multicurrency prices?</span> <a href=\"{{url}}\" target=\"_blank\">Install the addon</a>','en'),(3090,3088,'<span>Need a way to set up product variants?</span> <a href=\"{{url}}\" target=\"_blank\">Install the addon</a>','en'),(3091,3089,'<span>Need a way to set wholesale prices?</span> <a href=\"{{url}}\" target=\"_blank\">Install the addon</a>','en'),(3092,3090,'Image quality after resize','en'),(3093,3091,'Apply unsharp mask filter on resize','en'),(3094,3092,'Clearing this field hides the option for this product only. To remove the attribute for all the products, use the <a href=\"{{link}}\" target=\"_blank\">\"Classes&Attrubutes\" page</a>.','en'),(3095,3093,'Apply attribute value changes for all the products','en'),(3096,3094,'Will be added globally','en'),(3097,3095,'Will be added to the product class','en'),(3098,3096,'The name will be changed globally','en'),(3099,3097,'The totals have been recalculated. Press \"Save changes\" to adjust the order','en'),(3100,3098,'Your access to <a href=\"{{url}}\">X-Cart Business features</a> expires in {{count}} day','en'),(3101,3099,'Your access to <a href=\"{{url}}\">X-Cart Business features</a> expires in {{count}} days','en'),(3102,3100,'Your access to <a href=\"{{url}}\">X-Cart Business features</a> expires in {{count}} days','en'),(3103,3101,'Discounts','en'),(3104,3102,'Sales channels','en'),(3105,3103,'My addons','en'),(3106,3104,'Custom CSS & JS','en'),(3107,3105,'System tools','en'),(3108,3106,'System logs','en'),(3109,3107,'My profile','en'),(3110,3108,'Quick menu','en'),(3111,3109,'Add sales channel','en'),(3112,3110,'Saving','en'),(3113,3111,'Users list','en'),(3114,3112,'Image resizing requires GDLib 2.0 or ImageMagick','en'),(3115,3113,'Your payment has been processed; now the addon can be installed.','en'),(3116,3114,'Your payment is being processed. The addon license key will be sent to your email address as soon as the processing has been completed. You will be able to use this key to install the addon at any time.','en'),(3117,3115,'Purchased addons','en'),(3118,3116,'My purchases','en'),(3119,3117,'new core','en'),(3120,3118,'{{count}} addon','en'),(3121,3119,'{{count}} addons','en'),(3122,3120,'{{count}} addons','en'),(3123,3121,'new core and {{count}} addon','en'),(3124,3122,'new core and {{count}} addons','en'),(3125,3123,'new core and {{count}} addons','en'),(3126,3124,'<a href=\"{{url}}\">Or add a video review powered by Shopper Approved</a>','en'),(3127,3125,'Want to customize review surveys and display video testimonials? <a href=\"{{url}}\">Try Shopper Approved and collect up to 70x more ratings and reviews</a>','en'),(3128,3126,'Consistency check','en'),(3129,3127,'Surcharges','en'),(3130,3128,'There are {{model}} without valid {{another_model}} relation','en'),(3131,3129,'There are {{model}} with missing {{another_model}}','en'),(3132,3130,'Attribute value ID {{valueId}}','en'),(3133,3131,'Attribute values (select)','en'),(3134,3132,'We couldn\'t find one correct root category','en'),(3135,3133,'We couldn\'t find one correct root category, however there are possible candidates','en'),(3136,3134,'There is one valid root category, however there are multiple root category candidates','en'),(3137,3135,'Consistency has not yet been checked. Initiate an consistency check by clicking the button \"Refresh consistency status\".','en'),(3138,3136,'Refresh consistency status','en'),(3139,3137,'There are no inconsistencies found','en'),(3140,3138,'RoundUp','en'),(3141,3139,'No roundup','en'),(3142,3140,'up to 2 decimals','en'),(3143,3141,'up to 1 decimal','en'),(3144,3142,'up to integer','en'),(3145,3143,'up to 10','en'),(3146,3144,'up to 100','en'),(3147,3145,'<span>Need a customizable contact us form with location map?</span> <a href=\"{{url}}\" target=\"_blank\">Get it now!</a>','en'),(3148,3146,'Order staff notes changed','en'),(3149,3147,'Order customer notes changed','en'),(3150,3148,'Order has been edited','en'),(3151,3149,'Let TaxJar automate your sales tax calculations, reporting, and filings in minutes.','en'),(3152,3150,'TaxJar enabled','en'),(3153,3151,'Sign up for TaxJar','en'),(3154,3152,'Install TaxJar integration','en'),(3155,3153,'TaxJar Dashboard','en'),(3156,3154,'TaxJar Category','en'),(3157,3155,'We recommend to configure the background job processing on your server to send emails asynchronously, improving the website performance. <a href=\"{{url}}\" target=\"_blank\">Learn how to do this</a>.','en'),(3158,3156,'Change payment status for selected','en'),(3159,3157,'Change fulfillment status for selected','en'),(3160,3158,'Installing addons','en'),(3161,3159,'Attention! You are creating an account with full access. If necessary, you can set a lower level of access by choosing an appropriate role. <a href=\"{{roles_link}}\" target=\"_blank\">Manage roles</a>. <a href=\"{{kb_link}}\" target=\"_blank\">Learn more</a> about permissions and roles.','en'),(3162,3160,'Contact Us page settings','en'),(3163,3161,'Date and time on the server','en'),(3164,3162,'Date and time in the store','en'),(3165,3163,'The file you are trying to upload is too large. Try using a smaller one.','en'),(3166,3164,'The file you are trying to upload is too large. Try using a smaller one.','en'),(3167,3165,'For some reason, the file upload has not been completed. Please try again or use a different file.','en'),(3168,3166,'For some reason, the file upload has not been completed. Please try again or use a different file.','en'),(3169,3167,'Server-side problem with image upload. Contact your server administrator.','en'),(3170,3168,'Server-side problem with image upload. Contact your server administrator.','en'),(3171,3169,'Server-side problem with image upload. Contact your server administrator.','en'),(3172,3170,'No file was uploaded','en'),(3173,3171,'Your PHP {{version}} is outdated','en'),(3174,3172,'Your PHP {{version}} is outdated and no longer supported (<a href=\"http://php.net/eol.php\" target=\"_blank\">http://php.net/eol.php</a>). We recommend updating PHP to the latest stable version to improve your store performance. To update your PHP version, contact your hosting provider.','en'),(3175,3173,'Failed to download image from URL. Make sure the URL is correct and the file referenced by the URL is a PNG/JPG/JPEG','en'),(3176,3174,'Transaction is in progress, please wait...','en'),(3177,3175,'to be uninstalled','en'),(3178,3176,'Review modules','en'),(3179,3177,'E-Mail transfer settings','en'),(3180,3178,'Email from the Contact information section','en'),(3181,3179,'Sender email as identified by the server','en'),(3182,3180,'Email address specified below','en'),(3183,3181,'Specify email address','en'),(3184,3182,'Go to <a href=\'https://www.mail-tester.com/\' target=\'_blank\'>https://www.mail-tester.com/</a> and copy the email address provided on that page to clipboard. ','en'),(3185,3183,'Paste the email address you have copied into the form below (the \"To email\" field) and try sending a test email.','en'),(3186,3184,'Go back to <a href=\'https://www.mail-tester.com/\' target=\'_blank\'>https://www.mail-tester.com/</a> and press the button to check your score. Allow a few seconds for the mail tester system to check the inbox and calculate your score. The highest score would be 10/10.','en'),(3187,3185,'Share the results with your hosting provider or administrators and, if necessary, ask them to improve your score. ','en'),(3188,3186,'Learn how to test your email transfer settings with mail-tester.com.','en'),(3189,3187,'body of the test email','en'),(3190,3188,'Test your emails','en'),(3191,3189,'If a category has subcategories, the value in brackets shows the overall number of products in both that category and all its subcategories.','en'),(3192,3190,'Please select','en'),(3193,3191,'Recently installed addons','en'),(3194,3192,'Installed Addons','en'),(3195,3193,'Free & paid','en'),(3196,3194,'You don’t have any notifications right now.','en'),(3197,3195,'Status comment (reason)','en'),(3198,3196,'Import and Export','en'),(3199,3197,'Setting up VAT / GST','en'),(3200,3198,'Setting up sales tax','en'),(3201,3199,'Setting up Canadian taxes','en'),(3202,3200,'Setting up tax classes','en'),(3203,3201,'https://kb.x-cart.com/','en'),(3204,3202,'https://kb.x-cart.com/general_setup/what_to_do_if_your_store_says_we_are_deploying_new_changes_and_you_cannot_access_it.html','en'),(3205,3203,'https://kb.x-cart.com/general_setup/moving_x-cart_to_another_location.html#transfering-database','en'),(3206,3204,'https://kb.x-cart.com/seo_and_promotion/setting_up_seo-friendly_urls.html','en'),(3207,3205,'https://kb.x-cart.com/general_setup/moving_x-cart_to_another_location.html','en'),(3208,3206,'https://kb.x-cart.com/import-export/','en'),(3209,3207,'https://kb.x-cart.com/import-export/csv_format_by_x-cart_data_type/csv_import_classes_&_attributes.html','en'),(3210,3208,'https://kb.x-cart.com/import-export/csv_format_by_x-cart_data_type/csv_import_product_attribute_values.html','en'),(3211,3209,'https://kb.x-cart.com/import-export/csv_format_by_x-cart_data_type/csv_import_categories.html','en'),(3212,3210,'https://kb.x-cart.com/import-export/csv_format_by_x-cart_data_type/csv_import_customers.html','en'),(3213,3211,'https://kb.x-cart.com/import-export/csv_format_by_x-cart_data_type/csv_import_products.html','en'),(3214,3212,'https://kb.x-cart.com/import-export/csv_format_by_x-cart_data_type/csv_import_orders.html','en'),(3215,3213,'https://kb.x-cart.com/setting_up_x-cart_5_environment/configuring_attachments_sending.html','en'),(3216,3214,'https://kb.x-cart.com/payments/paypal/setting_up_paypal_express_checkout.html','en'),(3217,3215,'https://kb.x-cart.com/payments/paypal/setting_up_paypal_payflow_link.html','en'),(3218,3216,'https://kb.x-cart.com/payments/paypal/setting_up_paypal_payments_advanced.html','en'),(3219,3217,'https://kb.x-cart.com/payments/paypal/setting_up_paypal_payments_standard.html','en'),(3220,3218,'https://kb.x-cart.com/integrating_your_store_with_other_web-sites/sell_your_products_with_buy_button.html','en'),(3221,3219,'https://kb.x-cart.com/shipping/custom_table_rates.html','en'),(3222,3220,'https://kb.x-cart.com/general_setup/inaccessible_admin_area_after_enabling_https.html','en'),(3223,3221,'https://kb.x-cart.com/users/user_roles.html','en'),(3224,3222,'https://kb.x-cart.com/shipping/free_shipping.html','en'),(3225,3223,'https://kb.x-cart.com/taxes/setting_up_vat_gst.html','en'),(3226,3224,'https://kb.x-cart.com/taxes/setting_up_sales_tax.html','en'),(3227,3225,'https://kb.x-cart.com/taxes/setting_up_canadian_taxes.html','en'),(3228,3226,'https://kb.x-cart.com/taxes/setting_up_tax_classes.html','en'),(3229,3227,'Email from the <a href=\"{{url}}\">contact information</a> section according to the type of email message','en'),(3230,3228,'Customer email (if exists)','en'),(3231,3229,'{{ field }} year must be between 1970 and 2038','en'),(3232,3230,'{{count}} day','en'),(3233,3231,'{{count}} days','en'),(3234,3232,'Access denied','en'),(3235,3233,'Access link has been successfully sent','en'),(3236,3234,'Add addons','en'),(3237,3235,'Add address','en'),(3238,3236,'Address masks','en'),(3239,3237,'Address type','en'),(3240,3238,'Another bulk change in progress, please try again later','en'),(3241,3239,'Apply to billing address','en'),(3242,3240,'Business premium features','en'),(3243,3241,'CVV / CVC','en'),(3244,3242,'Change template','en'),(3245,3243,'Clear cache help text','en'),(3246,3244,'Critical','en'),(3247,3245,'Data removal has been completed successfully.','en'),(3248,3246,'Data removal has been stopped.','en'),(3249,3247,'Database','en'),(3250,3248,'Date and time in the shop','en'),(3251,3249,'Developer','en'),(3252,3250,'Disable HTTPS','en'),(3253,3251,'Download','en'),(3254,3252,'Enable module','en'),(3255,3253,'Error sending link','en'),(3256,3254,'File uploading','en'),(3257,3255,'Finish','en'),(3258,3256,'Hot addons','en'),(3259,3257,'Installation requirements','en'),(3260,3258,'License warnings','en'),(3261,3259,'Module name','en'),(3262,3260,'Monday','en'),(3263,3261,'Non-critical','en'),(3264,3262,'Not available','en'),(3265,3263,'Passed','en'),(3266,3264,'Payment order status','en'),(3267,3265,'Please select the entities first','en'),(3268,3266,'Private and custom modules:','en'),(3269,3267,'Private link','en'),(3270,3268,'Proceed','en'),(3271,3269,'Public installed modules:','en'),(3272,3270,'Rebuild view lists help text','en'),(3273,3271,'Remove expired sessions','en'),(3274,3272,'Remove expired shopping carts','en'),(3275,3273,'Remove module','en'),(3276,3274,'Removing expired datacache','en'),(3277,3275,'SKU must be unique','en'),(3278,3276,'Select type','en'),(3279,3277,'Shipping method is disabled','en'),(3280,3278,'Shipping method is enabled','en'),(3281,3279,'Shipping order status','en'),(3282,3280,'Skipped','en'),(3283,3281,'Soft and hard reset links for your store','en'),(3284,3282,'Sort','en'),(3285,3283,'Store ID','en'),(3286,3284,'Sunday','en'),(3287,3285,'Test e-mail have been successfully sent','en'),(3288,3286,'The Clean URL entered has unallowed chars.','en'),(3289,3287,'This payment method is','en'),(3290,3288,'Unknown error','en'),(3291,3289,'View in my addons','en'),(3292,3290,'Dashboard','en'),(3293,3291,'Dimensions','en'),(3294,3292,'<p>Oops, no products have been added to this category yet.</p><p><a href=\"{{homePageUrl}}\">Go back to the Home page</a></p>','en'),(3295,3293,'This field is required.','en'),(3296,3294,'Please enter the correct code','en'),(3297,3295,'The message has been sent','en'),(3298,3296,'Your Message','en'),(3299,3297,'Email Address','en'),(3300,3298,'Full Name','en'),(3301,3299,'We are always glad to help you.','en'),(3302,3300,'Send a message','en'),(3303,3301,'Our location','en'),(3304,3299,'Мы всегда рады вам помочь.','ru'),(3305,3300,'Отправить сообщение','ru'),(3306,3302,'Текстовое отображение адреса эл. почты','ru'),(3307,3303,'Sales','en'),(3308,3304,'By Sales - 0-9','en'),(3309,3305,'By Sales - 9-0','en'),(3310,3306,'The length of the {{name}} field must be greater than {{min}}','en'),(3311,3307,'The length of the {{name}} field must be less than {{max}}','en'),(3312,3308,'Have more coupons?','en'),(3313,3309,'Applied discount coupon','en'),(3314,3310,'{{count}} coupon(s) removed','en'),(3315,3311,'{{count}} coupon(s) created','en'),(3316,3312,'The code \"{{code}}\" is already used for another coupon. Please choose a different code.','en'),(3317,3313,'Invalid coupon code, please check the spelling: \"{{code}}\"','en'),(3318,3314,'The coupon has already been used','en'),(3319,3315,'The coupon has been applied to your order','en'),(3320,3316,'Coupon discount','en'),(3321,3317,'Period start date must be earlier than period end date','en'),(3322,3318,'Period end date must be later than period start date','en'),(3323,3319,'Minimum order subtotal must be less than maximum order subtotal','en'),(3324,3320,'Maximum order subtotal must be greater than minimum order subtotal','en'),(3325,3321,'Discount must be less than 100%','en'),(3326,3322,'Coupon added','en'),(3327,3323,'Coupon updated','en'),(3328,3324,'Limit number of uses','en'),(3329,3325,'Maximum number of uses','en'),(3330,3326,'This coupon can be applied only to orders with a subtotal amount between {{min}} and {{max}}','en'),(3331,3327,'This coupon can be applied only to orders with a subtotal amount of at least {{min}}','en'),(3332,3328,'This coupon can be applied only to orders with a subtotal amount not exceeding {{max}}','en'),(3333,3329,'Date when customers can start using the coupon','en'),(3334,3330,'Date when the coupon expires','en'),(3335,3331,'Minimum order subtotal to which the coupon can be applied','en'),(3336,3332,'Maximum order subtotal to which the coupon can be applied','en'),(3337,3333,'Coupon discount can be limited to these product classes','en'),(3338,3334,'Coupon discount can be limited to customers with these membership levels','en'),(3339,3335,'This comment is visible to shop administrators only','en'),(3340,3336,'Add new coupon','en'),(3341,3337,'Enter code','en'),(3342,3338,'Coupon','en'),(3343,3339,'Redeem','en'),(3344,3340,'{{currency}} off','en'),(3345,3341,'Removed coupons','en'),(3346,3342,'Added coupons','en'),(3347,3343,'Add coupon','en'),(3348,3344,'This coupon cannot be combined with other coupons','en'),(3349,3345,'Sorry, this coupon cannot be combined with the coupon already applied. Remove the previously applied coupon and try again.','en'),(3350,3346,'Coupon cannot be combined with other coupons','en'),(3351,3347,'If you want the coupon discount to be applied only to products from specific categories, specify these categories here.','en'),(3352,3348,'Sorry, the coupon you entered is invalid. Make sure the coupon code is spelled correctly','en'),(3353,3349,'Sorry, the coupon has expired','en'),(3354,3350,'Sorry, the coupon use limit has been reached','en'),(3355,3351,'Sorry, the coupon you entered cannot be applied to the items in your cart','en'),(3356,3352,'Sorry, the coupon you entered is not valid for your membership level. Contact the administrator','en'),(3357,3353,'The maximum number of uses per user','en'),(3358,3354,'<p class=\"items-list-blank-description-heading text-center\">There are currently no coupons.</p><p class=\"text-center\">Information on the use of coupons is available <a target=\"_blank\" href=\"https://kb.x-cart.com/en/seo_and_promotion/setting_up_discount_coupons.html\">here</a>.</p>','en'),(3359,3354,'<p class=\"items-list-blank-description-heading text-center\">В настоящее время купонов нет.</p><p class=\"text-center\">Об использовании купонов можно прочесть <a target=\"_blank\" href=\"https://kb.x-cart.ru/seo_and_promotion/setting_up_discount_coupons.html\">здесь</a>.</p>','ru'),(3360,3355,'Product removed','en'),(3361,3356,'Attachment removed','en'),(3362,3357,'Order has not yet been processed','en'),(3363,3358,'Expired: Downloads limit has been reached','en'),(3364,3359,'Downloads left','en'),(3365,3360,'Download TTL has expired','en'),(3366,3361,'Expires in','en'),(3367,3362,'Blocked by administrator','en'),(3368,3363,'Available for download','en'),(3369,3364,'Can be downloaded only after buying the product','en'),(3370,3365,'Global eGoods settings','en'),(3371,3366,'Download link is blocked','en'),(3372,3366,'Ссылка для скачивания заблокирована','ru'),(3373,3367,'Download links is blocked','en'),(3374,3367,'Ссылки для скачивания заблокирована','ru'),(3375,3368,'Download link has not been found','en'),(3376,3369,'Download link is not active','en'),(3377,3370,'Download link has been renewed','en'),(3378,3370,'Ссылка для скачивания обновлена','ru'),(3379,3371,'Download links has been renewed','en'),(3380,3371,'Ссылки для скачивания обновлены','ru'),(3381,3372,'less than one hour','en'),(3382,3373,'E-goods','en'),(3383,3374,'Ordered files','en'),(3384,3375,'Paid','en'),(3385,3375,'Платный','ru'),(3386,3376,'Free','en'),(3387,3376,'Бесплатный','ru'),(3388,3377,'Your payment module to accept payments for digital items. <a href=\"{{url}}\" target=\"_blank\">Get it now</a>!','en'),(3389,3377,'Продаёшь цифровые товары? Устрой тест-драйв нашему <a href=\"{{url}}\" target=\"_blank\">новому модулю</a> и начни принимать платежи прямо сейчас.','ru'),(3390,3378,'Available after purchase','en'),(3391,3378,'Доступен после покупки','ru'),(3392,3379,'Re-upload file','en'),(3393,3379,'Повторно загрузить','ru'),(3394,3380,'History of downloads','en'),(3395,3380,'История загрузок','ru'),(3396,3381,'The product\'s history of downloads is empty','en'),(3397,3381,'История загрузок для этого товара пуста','ru'),(3398,3382,'The history of downloads feature for this product is disabled. You can enable it <a href=\'{{link}}\'>here</a>','en'),(3399,3382,'Сохранение истории загрузок для данного товара отключено. Вы можете включить его <a href=\"{{link}}\">здесь</a>','ru'),(3400,3383,'File is available by public URL','en'),(3401,3383,'Файл доступен по публичной ссылке','ru'),(3402,3384,'Order fulfilment status changed from {{oldStatus}} to {{newStatus}} due to the file having been downloaded by the user.','en'),(3403,3384,'Статус доставки изменился с {{oldStatus}} на {{newStatus}} в связи с загрузкой файла пользователем','ru'),(3404,3385,'Use X-Sendfile to facilitate the download of large file attachments (100 Mb and larger) by customers:','en'),(3405,3385,'Используйте X-Sendfile для улучшения производительности при скачивании покупателями объемных прикрепляемых файлов (100 и более Мбайт):','ru'),(3406,3386,'Contact your hosting provider to make sure X-Sendfile is installed on the server.','en'),(3407,3386,'Уточните у своего хостинг провайдера, доступен ли для использования X-Sendfile.','ru'),(3408,3387,'Configure your X-Cart installation to support large file downloads.','en'),(3409,3387,'Настройте поддержку скачивания больших файлов для вашей инсталляции X-Cart.','ru'),(3410,3388,'Block','en'),(3411,3389,'Ip','en'),(3412,3390,'Renew','en'),(3413,3391,'Unblock and renew','en'),(3414,3392,'Add featured products for the front page','en'),(3415,3393,'Featured','en'),(3416,3394,'FedEx module allows you to use online shipping rates calculation via FedEx.','en'),(3417,3395,'\"Cash on delivery\" status','en'),(3418,3396,'Note: To enable/disable the \"Cash on delivery\" payment option, you should enable/disable the payment method \"Cash on delivery (FedEx)\" on the <a href=\"{{URL}}\">Payment methods page</a>.','en'),(3419,3394,'Модуль FedEx позволяет рассчитывать онлайн стоимость доставки через FedEx.','ru'),(3420,3395,'Состояние варианта оплаты \"Наложенный платеж\"','ru'),(3421,3396,'Важно: Чтобы включить/отключить вариант оплаты \"Наложенный платеж\", необходимо включить/отключить способ оплаты \"Наложеный платеж (FedEx)\" на <a href=\"{{URL}}\">странице Способов оплаты</a>.','ru'),(3422,3397,'The same file cannot be assigned to a product more than once','en'),(3423,3398,'The attachment has been successfully re-uploaded','en'),(3424,3399,'Failed to re-upload attachment','en'),(3425,3400,'Attachment has been deleted successfully','en'),(3426,3401,'File description','en'),(3427,3401,'Описание файла','ru'),(3428,3402,'Click to edit','en'),(3429,3402,'Нажмите для редактирования','ru'),(3430,3403,'Advanced statistics with Google Analytics','en'),(3431,3404,'Configure the Google Analytics module to view the advanced statistics','en'),(3432,3405,'A single domain','en'),(3433,3406,'One domain with multiple subdomains','en'),(3434,3407,'Multiple top-level domains','en'),(3435,3408,'Traditional','en'),(3436,3409,'Universal Analytics','en'),(3437,3410,'Want help with SEO? <a href=\"{{url}}\" target=\"_blank\">Ask X-Cart Guru</a>','en'),(3438,3403,'Расширенная статистика с Google Analytics','ru'),(3439,3404,'Настроить модуль Google Analytics для получения расширенной статистики','ru'),(3440,3405,'Одиночный домен','ru'),(3441,3406,'Один домен с несколькими поддоменами','ru'),(3442,3407,'Несколько доменов верхнего уровня','ru'),(3443,3408,'Traditional','ru'),(3444,3409,'Universal Analytics','ru'),(3445,3410,'Нужна помощь с поисковой оптимизацией? <a href=\"{{url}}\" target=\"_blank\">Спросите гуру X-Cart</a>','ru'),(3446,3411,'Tweet','en'),(3447,3412,'We recommend using the Share button instead of Like.','en'),(3448,3413,'These Open Graph meta tags were generated automatically based on general product information.','en'),(3449,3414,'Pin It','en'),(3450,3415,'Pin','en'),(3451,3416,'Plus','en'),(3452,3417,'Share','en'),(3453,3418,'PayPal ID / Email','en'),(3454,3419,'Enter the email address associated with your PayPal account.','en'),(3455,3420,'Enter a description of the purchase that will be displayed on the PayPal payment page.','en'),(3456,3421,'You can set an order id prefix that will be added to each order number in your shop to make it unique (each transaction id must be unique for a PayPal account). This option is relevant only if you share your PayPal account with other online shops','en'),(3457,3422,'Your account settings','en'),(3458,3423,'Partner name','en'),(3459,3424,'Your partner name is PayPal','en'),(3460,3425,'Merchant login','en'),(3461,3426,'This is the login name you created when you signed up for PayPal Payments Advanced / Payflow Link.','en'),(3462,3427,'PayPal recommends entering a User Login here instead of your Merchant Login. You can set up a User profile in <a href=\"https://manager.paypal.com\">PayPal Manager</a>. This will enhance security and prevent service interruption should you change your Merchant Login password.','en'),(3463,3428,'This is the password you created when you signed up for PayPal Payments Advanced or the password you created for API calls.','en'),(3464,3429,'Additional settings','en'),(3465,3430,'Auth and Capture','en'),(3466,3431,'Auth only','en'),(3467,3432,'This should be the partner name you use when logging into your PayPal Payflow account.','en'),(3468,3433,'This is the login name you created when you signed up for Payflow.','en'),(3469,3434,'This is the password you created when you signed up for PayPal Payflow or the password you created for API calls.','en'),(3470,3435,'IPN verification failed','en'),(3471,3436,'IPN HTTP error','en'),(3472,3437,'Order id prefix','en'),(3473,3438,'Email address to receive PayPal payment','en'),(3474,3439,'Start accepting Express Checkout payments immediately by simply plugging in the email address where you would like to receive payments. You can create your PayPal account later after you have received a real transaction from your customers!','en'),(3475,3440,'API credentials for payments and post-checkout operations','en'),(3476,3441,'Can be set up later','en'),(3477,3442,'Your PayPal Publisher ID is: {{publisherId}}','en'),(3478,3443,'PayPal API','en'),(3479,3444,'Payflow API','en'),(3480,3445,'API access username','en'),(3481,3446,'API access password','en'),(3482,3447,'Use PayPal authentication method','en'),(3483,3448,'API signature','en'),(3484,3449,'API certificate filename','en'),(3485,3450,'API certificate','en'),(3486,3451,'Display the \"Buy Now with PayPal\" button','en'),(3487,3452,'This setting determines whether or not the \"Buy Now with PayPal\" button should be displayed on product list pages (in list view) and product details pages.','en'),(3488,3453,'<b>PayPal Express Checkout</b> is configured to work in SandBox mode for the email <b>{{email}}</b>.<br />To use it in Live mode, click the Launch PayPal button below. You will be taken to the PayPal payment method configuration page where you will be able to specify the appropriate configuration settings.','en'),(3489,3454,'Launch PayPal','en'),(3490,3455,'PayPal Credit is','en'),(3491,3456,'I agree with PayPal terms & conditions','en'),(3492,3457,'PayPal account e-mail','en'),(3493,3458,'Banner on Home page','en'),(3494,3459,'Banner on Category pages','en'),(3495,3460,'Banner on Product details pages','en'),(3496,3461,'Banner on Cart page','en'),(3497,3462,'Show above products','en'),(3498,3463,'Show below products','en'),(3499,3464,'Near \"Add to cart\" button','en'),(3500,3465,'Near \"Checkout\" button','en'),(3501,3466,'PayPal API (Merchant API) will work for most merchants; however, some merchants may have access only to Payflow API. If you are sure you need to use Payflow API, select the respective value from this field.<br />Your choice of API solution in this field determines the type of API credentials that you will be able to enter in the fields below.','en'),(3502,3467,'Payment has been refunded successfully','en'),(3503,3468,'Payment has been voided successfully','en'),(3504,3469,'Payment has been captured successfully','en'),(3505,3470,'Your API credentials have been successfully obtained from your PayPal account and saved for use by your X-Cart store.','en'),(3506,3471,'Unfortunately, your API credentials could not be obtained from your PayPal account automatically. Please request your API credentials in your PayPal account and submit them here manually.','en'),(3507,3472,'Don\'t have an account yet?','en'),(3508,3473,'Sign Up Now','en'),(3509,3474,'Register with {{paypal}} <br /> or go to checkout as a New customer','en'),(3510,3475,'Or sign in the classic way','en'),(3511,3476,'Or register with','en'),(3512,3477,'Register with','en'),(3513,3478,'or go to checkout as a New customer','en'),(3514,3479,'Or use your social account','en'),(3515,3480,'Use existing account from','en'),(3516,3481,'PayPal','en'),(3517,3482,'Use existing PayPal account','en'),(3518,3483,'The authorized amount ({{authorized}}) differs from the current order total ({{total}}). A request to capture {{total}} will be issued on click on \"Capture\" button.','en'),(3519,3484,'Wrong token of Express Checkout. Please try again. If the problem persists, contact the administrator.','en'),(3520,3485,'PayerID value was not returned by PayPal. Please try again. If the problem persists, contact the administrator.','en'),(3521,3486,'Your address data was not received from PayPal. Please try again. If the problem persists, contact the administrator.','en'),(3522,3487,'To enable this payment method, you need Multi-vendor module installed.','en'),(3523,3488,'To enable this payment method, you need <a href=\"{{link}}\" target=\"_blank\">Multi-Vendor</a> module installed.','en'),(3524,3489,'EACHRECEIVER','en'),(3525,3490,'Obtaining your live PayPal credentials','en'),(3526,3491,'PRIMARYRECEIVER','en'),(3527,3492,'PayPal Credit','en'),(3528,3493,'Registering your application with PayPal','en'),(3529,3494,'SECONDARYONLY','en'),(3530,3495,'SENDER','en'),(3531,3496,'Additional criteria to match for PayPal account verification','en'),(3532,3497,'<div>Determines the type of criteria that should be matched for account verification (in addition to vendor PayPal account identifier).<div><ul class=\"unstyled\"><li>NAME - Default; should be good in most cases.</li><li>NONE - Is available only to certain financial institutions (Contact Paypal for approval prior to selection!)</li><li>Disable - Deactivates account verification.</li></ul>','en'),(3533,3498,'NAME','en'),(3534,3499,'NONE','en'),(3535,3500,'Disable','en'),(3536,3501,'Refund status:','en'),(3537,3502,'In progress','en'),(3538,3503,'Payment processing with PayPal Standard involves using PayPal\'s IPN service. If your merchant account is set to use <a href=\"{{link}}\" target=\"_blank\">Payment Data Transfer (PDT)</a>, be sure to disable it in your account settings and enable IPN instead.','en'),(3539,3504,'Use of the unsupported Payment Data Transfer (PDT) method has been detected','en'),(3540,3504,'Обнаружено использование неподдерживаемого метода Payment Data Transfer (PDT)','ru'),(3541,3505,'Communication problem','en'),(3542,3506,'PayPal Merchant ID','en'),(3543,3507,'Connected to PayPal; Merchant ID: {{merchantId}}','en'),(3544,3508,'Reconnect to PayPal','en'),(3545,3509,'Connect to PayPal','en'),(3546,3510,'PayPal For Marketplaces account email','en'),(3547,3511,'PayPal API Client ID','en'),(3548,3512,'PayPal API Secret','en'),(3549,3513,'PayPal Partner ID','en'),(3550,3514,'PayPal BN Code','en'),(3551,3515,'Additional PayPal Business Account','en'),(3552,3515,'Дополнительный бизнес-аккаунт PayPal','ru'),(3553,3516,'Click this to access the PayPal sign-in page and sign in using your PayPal account different from the account specified above. This account will be used to receive the shipping cost (if you are going to ship out goods on behalf of vendors), the earnings on your own products (if you are going to be one of the sellers), and the earnings on the sales of the vendors who have not set up a PayPal account of their own for some reason.','en'),(3554,3516,'Используйте для перехода на сайт PayPal и войдите на сайт, используя аккаунт PayPal, отличный от аккаунта, указанного выше. Данный аккаунт будет использоваться для получения стоимости доставки (если вы собираетесь заниматься отправкой товаров от лица продавцов), поступлений от продажи ваших собственных товаров (если вы будете выступать в качестве одного из продавцов), а также для получения средств от продажи товаров тех продавцов, которые по какой-либо причине не настроили собственный аккаунт PayPal.','ru'),(3555,3517,'Customize the PayPal button','en'),(3556,3517,'Отображение кнопки PayPal','ru'),(3557,3518,'Color','en'),(3558,3518,'Цвет','ru'),(3559,3519,'Shape','en'),(3560,3519,'Форма','ru'),(3561,3520,'Show payment card icons','en'),(3562,3520,'Значки платежных карт','ru'),(3563,3521,'Product page','en'),(3564,3521,'Страница продукта','ru'),(3565,3522,'Product list','en'),(3566,3522,'Список продуктов','ru'),(3567,3523,'Cart','en'),(3568,3523,'Корзина','ru'),(3569,3524,'Minicart','en'),(3570,3524,'Меню корзины','ru'),(3571,3525,'Checkout','en'),(3572,3525,'Оформиление заказа','ru'),(3573,3526,'Checkout (PayPal Credit)','en'),(3574,3526,'Оформиление заказа (PayPal Credit)','ru'),(3575,3527,'Add2Cart popup','en'),(3576,3527,'Всплывающее окно корзины','ru'),(3577,3528,'Payments with this payment method are not allowed because <a href=\"{{url}}\">HTTPS is not configured or there is a problem with the security certificate</a>.','en'),(3578,3529,'Webhook listener error: could not subscribe to event(s). Check the settings and make sure your site is accessible via the Web.','en'),(3579,3530,'Delayed','en'),(3580,3531,'Immediate','en'),(3581,3532,'We are experiencing a problem with the \"{{payment_method_name}}\" payment method. Please choose a different method, or contact the store administrator to resolve the problem.','en'),(3582,3533,'Funding methods (checkout page)','en'),(3583,3534,'When multiple funding sources are available to the buyer, PayPal automatically determines which additional buttons are appropriate to display. However, you can choose to opt-in or out-of displaying specific funding sources.','en'),(3584,3535,'Credit or debit card (Visa, MasterCard, American Express, Discover, and so on)','en'),(3585,3536,'ELV/SEPA','en'),(3586,3537,'Venmo','en'),(3587,3538,'Express Checkout process stopped.','en'),(3588,3539,'Fees payer','en'),(3589,3540,'PayPal Express Checkout','en'),(3590,3541,'Payment has bes refunded successfully','en'),(3591,3542,'Paypal login (email)','en'),(3592,3543,'Unable to retrieve Publisher ID for specified PayPal account. Banners are now disabled.','en'),(3593,3544,'Payment have been voided successfully','en'),(3594,3545,'Quantity in stock','en'),(3595,3546,'Sold','en'),(3596,3547,'{{count}} PIN code duplicates ignored.','en'),(3597,3548,'{{count}} PIN codes created successfully.','en'),(3598,3549,'{{count}} PIN codes longer than {{max}} characters ignored.','en'),(3599,3550,'Could not assign {{count}} PIN codes to order #{{orderId}}.','en'),(3600,3551,'No valid code found.','en'),(3601,3552,'PIN','en'),(3602,3553,'Cannot be disabled for products with manually defined PIN codes','en'),(3603,3554,'PIN codes enabled','en'),(3604,3555,'Cannot remove a sold PIN code','en'),(3605,3556,'Sold PINs','en'),(3606,3557,'Remaining PINs','en'),(3607,3558,'Order deleted','en'),(3608,3559,'Please type in the new PIN codes one per line. PIN codes max length is 64 characters.','en'),(3609,3560,'Quantity in stock is determined by the amount of the remaining PIN codes defined on the PIN codes management page.','en'),(3610,3561,'You will be able to add pin codes after saving changes.','en'),(3611,3562,'No PIN codes found.','en'),(3612,3563,'Quantity in stock is determined by the amount of the remaining PIN codes','en'),(3613,3564,'{{count}} PIN Codes were not assigned.','en'),(3614,3565,'No pin codes have been bought yet','en'),(3615,3566,'PIN codes data has been successfully updated','en'),(3616,3567,'PIN code','en'),(3617,3568,'PIN codes','en'),(3618,3569,'Add PIN codes','en'),(3619,3570,'Inventory tracking for product {{value}} will not be imported','en'),(3620,3571,'PIN codes generation method','en'),(3621,3571,'Способ создания ПИН-кодов','ru'),(3622,3572,'Automatically','en'),(3623,3572,'Автоматически','ru'),(3624,3573,'Manually','en'),(3625,3573,'Вручную','ru'),(3626,3574,'Товар не найден','ru'),(3627,3575,'Add pin codes','en'),(3628,3576,'Import from CSV file','en'),(3629,3577,'Unknown error occurred','en'),(3630,3578,'All newest products','en'),(3631,3579,'All upcoming products','en'),(3632,3580,'Coming soon','en'),(3633,3581,'Customers who bought this product also bought','en'),(3634,3582,'Customers who viewed this product bought','en'),(3635,3583,'Date: newest first','en'),(3636,3584,'Date: oldest first','en'),(3637,3585,'New arrivals','en'),(3638,3586,'New!','en'),(3639,3587,'Recently viewed','en'),(3640,3588,'This product will be shown in New arrivals','en'),(3641,3589,'This product will be shown in the Coming soon section','en'),(3642,3590,'Expected on','en'),(3643,3591,'Coming soon...','en'),(3644,3592,'Customers who bought this product also bought (Product Advisor module)','en'),(3645,3593,'Don\'t label','en'),(3646,3594,'In catalog only','en'),(3647,3595,'On catalog and product pages','en'),(3648,3596,'Text links','en'),(3649,3596,'Текстовые ссылки','ru'),(3650,3590,'Ожидается','ru'),(3651,3597,'Put up for sale','en'),(3652,3598,'Cancel sale','en'),(3653,3599,'On sale','en'),(3654,3600,'Put all for sale','en'),(3655,3601,'Cancel sale for all','en'),(3656,3600,'Выставить все на распродажу','ru'),(3657,3601,'Отменить распродажу для всех','ru'),(3658,3602,'Contact us','en'),(3659,3603,'Logo','en'),(3660,3604,'Favicon','en'),(3661,3604,'Фавикон','ru'),(3662,3605,'Shipping','en'),(3663,3606,'If you want to add an external link, you should specify it with the <strong>http://</strong> prefix, e.g. <strong>http://www.example.com/</strong>.<br /><br />If you want to add a link to a page within your store (e.g. the checkout page), you can specify it as <strong>cart.php?target=checkout</strong> (relative path) or as <strong>{{URL}}cart.php?target=checkout</strong> (absolute path).<br /><br />Also the \'{home}\' shortcut value will lead to Home page','en'),(3664,3607,'Failed to update the page image','en'),(3665,3608,'Visible for','en'),(3666,3609,'The menu has been updated','en'),(3667,3610,'The menu has been added','en'),(3668,3611,'The page has been updated','en'),(3669,3612,'Any visitors','en'),(3670,3613,'Anonymous users only','en'),(3671,3614,'Logged in users only','en'),(3672,3615,'Save & Close','en'),(3673,3616,'Logo & Favicon','en'),(3674,3617,'Terms and conditions','en'),(3675,3618,'Open graph image','en'),(3676,3619,'The \"{{file}}\" file is not allowed image and was not uploaded. Allowed images are: {{extensions}}','en'),(3677,3620,'Submenu','en'),(3678,3620,'Подменю','ru'),(3679,3621,'Content page title','en'),(3680,3621,'Заголовок страницы','ru'),(3681,3622,'Leave blank to use page name as Page Title.','en'),(3682,3622,'Оставьте поле незаполненным чтобы использовать имя страницы в качестве заголовка.','ru'),(3683,3623,'The AppleIcon image could not be uploaded (Unallowed image type. Must be a .png image with the resolution of 192x192 px)','en'),(3684,3624,'<p class=\'items-list-blank-description-heading text-center\'>The store doesn\'t have any static pages yet.</p><p class=\'text-center\'>Static pages can be created to tell customers about your products or policies, guide them through the order process etc. Once the page is created, it will become accessible via certain URL. Start writing by clicking the <b>\"New page\"</b> button.</p>','en'),(3685,3624,'<p class=\'items-list-blank-description-heading text-center\'>Список страниц пуст.</p><p class=\'text-center\'>С помощью страниц вы сможете рассказать клиентам о ваших товарах и условиях заказа, предоставить им помощь и полезную информацию. Такие страницы будут доступны по определенным адресам после того, как будут опубликованы.</p>','ru'),(3686,3625,'<p class=\'items-list-blank-description-heading text-center\'>There are no menus in the store.</p><p class=\'text-center\'>Header and footer menus provide customers with useful navigation. They can contain any link or label, and can be nested. Generally, the primary menu is shown on the top of the page, and the footer menu is on the bottom of the page.</p>','en'),(3687,3625,'<p class=\'items-list-blank-description-heading text-center\'>Меню не заполнены.</p><p class=\'text-center\'>Меню - удобный инструмент навигации для ваших клиентов. Элементы меню могут содержать любой текст или ссылку, а также могут иметь подменю. Обычно, есть главное меню (оно расположено в вернхней части страницы) и нижнее меню (отображаемое в подвале страницы).</p>','ru'),(3688,3626,'Show default menu along with the custom one','en'),(3689,3627,'The role has been updated','en'),(3690,3628,'The role has been added','en'),(3691,3629,'(disabled)','en'),(3692,3629,'(выкл)','ru'),(3693,3630,'Get {{X}} off for order amount over {{Y}}','en'),(3694,3631,'Could not add the discount because another discount already exists for the specified subtotal range and membership level','en'),(3695,3632,'Could not update the discount because another discount already exists for the specified subtotal range and membership level','en'),(3696,3633,'Percent discount value cannot exceed 100%','en'),(3697,3634,'Too large value for absolute discount','en'),(3698,3635,'<p class=\"items-list-blank-description-heading text-center\">No discounts have been set yet.</p><p class=\"text-center\">Set up automatic discounts for your customers based on subtotal or membership level. Add the discount using <b>\"Add discount\"</b> button.</p>','en'),(3699,3635,'<p class=\"items-list-blank-description-heading text-center\">Нет настроенных скидок.</p><p class=\"text-center\">Вы можете настроить автоматическое применение оптовых скидок в зависимости от суммы заказа и группы пользователя с помощью кнопки <b>\"Создать скидку\"</b>.</p>','ru'),(3700,3636,'Site map failed to register in {{engine}}.','en'),(3701,3637,'Site map successfully registered in {{engine}}.','en'),(3702,3638,'XML sitemap URL: <a href=\"{{url}}\">{{url}}</a>','en'),(3703,3639,'Generate sitemap','en'),(3704,3640,'Generate XML Sitemap','en'),(3705,3641,'Sitemap generation...','en'),(3706,3642,'Sitemap generation has been completed successfully.','en'),(3707,3643,'Sitemap generation has been stopped.','en'),(3708,3644,'The process of sitemap generation may take a while to complete. Please do not close this page until the process is fully completed.','en'),(3709,3645,'Tabs','en'),(3710,3645,'Вкладки','ru'),(3711,3646,'New tab','en'),(3712,3646,'Новая вкладка','ru'),(3713,3647,'New Tab','en'),(3714,3647,'Новая вкладка','ru'),(3715,3648,'The product tab has been updated','en'),(3716,3648,'Вкладка обновлена','ru'),(3717,3649,'The product tab has been added','en'),(3718,3649,'Вкладка добавлена','ru'),(3719,3650,'Product tabs','en'),(3720,3650,'Информационные вкладки на карточке товара','ru'),(3721,3651,'Tabs imported','en'),(3722,3651,'Импорт вкладок завершен','ru'),(3723,3652,'Brief info','en'),(3724,3652,'Краткая информация','ru'),(3725,3653,'Manage global tabs','en'),(3726,3653,'Управление глобальными вкладками','ru'),(3727,3654,'Edit Globally','en'),(3728,3654,'Редактировать глобально','ru'),(3729,3655,'Global product tabs','en'),(3730,3655,'Глобальные вкладки страницы товара','ru'),(3731,3656,'Learn more','en'),(3732,3656,'Подробнее...','ru'),(3733,3657,'Apply sort and view settings for all products','en'),(3734,3657,'Применить сортировку и настройки видимости ко всем товарам','ru'),(3735,3658,'The text entered here will be displayed on the product details page on the storefront and will be followed by a \"learn more\" link pointing to the respective product tab.','en'),(3736,3658,'Данный текст будет отображаться в карточке товара на стороне витрины магазина и сопровождаться ссылкой вида \"Подробнее...\", ведущей на соответствующую вкладку страницы товара.','ru'),(3737,3659,'Global tab \"{{value}}\" not found','en'),(3738,3659,'Глобальная вкладка товара \"{{value}}\" не найдена','ru'),(3739,3660,'Global','en'),(3740,3660,'Глобальная','ru'),(3741,3661,'Tab displaying the product\'s detailed description. Added by the X-Cart core','en'),(3742,3661,'Вкладка для отображения детального описания товара. Добавляется ядром X-Cart','ru'),(3743,3662,'Tab displaying the product\'s attributes and other details. Added by the X-Cart core','en'),(3744,3662,'Вкладка для отображения атрибутов товара и другой информации о товаре. Добавляется ядром X-Cart','ru'),(3745,3663,'Tab displaying comments about the product. Added by the addons {{modules}}','en'),(3746,3663,'Вкладка для отображения комментариев о товаре. Добавляется модулями {{modules}}','ru'),(3747,3664,'Shopping options','en'),(3748,3665,'Show products','en'),(3749,3666,'Reset filter','en'),(3750,3667,'No products matching your criteria found. Please try again with different parameters.','en'),(3751,3668,'Show all products in this category','en'),(3752,3669,'Price range','en'),(3753,3670,'In stock only','en'),(3754,3671,'Generate cache on the fly','en'),(3755,3672,'Remove cache when attribute, tag or product data is changed','en'),(3756,3673,'Click the button to remove the data cache used by your product filter. After removing the cache, open any category in the storefront area to have the cache generated anew.','en'),(3757,3674,'Remove product filter cache','en'),(3758,3675,'Hidden from products filter','en'),(3759,3676,'Visible in products filter','en'),(3760,3677,'Classes for product filter','en'),(3761,3678,'All classes from this category','en'),(3762,3679,'Do not show the filter','en'),(3763,3680,'Choose classes...','en'),(3764,3681,'Alphabetical','en'),(3765,3682,'Manual','en'),(3766,3683,'Wrong useClasses format. This should be \'A\', \'N\' or \'D\'','en'),(3767,3684,'Hash','en'),(3768,3685,'GET params','en'),(3769,3686,'The product filter cache has been removed successfully.','en'),(3770,3664,'Поиск','ru'),(3771,3665,'Показать','ru'),(3772,3666,'Сбросить','ru'),(3773,3667,'Нет товаров удовлетворяющих выбранным условиям.','ru'),(3774,3668,'Показать все товары в категории','ru'),(3775,3669,'Цена','ru'),(3776,3670,'Только в наличии','ru'),(3777,3671,'Генерировать кеш в процессе работы','ru'),(3778,3672,'Сбрасывать кеш при изменении данных атрибутов, тегов или товаров','ru'),(3779,3673,'Кнопка служит для удаления кеша данных, используемого фильтром товаров. После удаления кеша откройте витрину и выберите любую категорию, чтобы кеш был сгенерирован заново','ru'),(3780,3674,'Удалить кеш фильтра товаров','ru'),(3781,3675,'Скрыт из фильтра товаров','ru'),(3782,3676,'Отображается в фильтре товаров','ru'),(3783,3677,'Классы для фильтра товаров','ru'),(3784,3678,'Все классы из этой категории','ru'),(3785,3679,'Не отображать фильтр','ru'),(3786,3680,'Выбрать классы...','ru'),(3787,3681,'По алфавиту','ru'),(3788,3682,'Вручную','ru'),(3789,3683,'Неправильный формат значения useClasses. Возможные значения: \'A\', \'N\' or \'D\'','ru'),(3790,3684,'Хеш','ru'),(3791,3685,'GET параметры','ru'),(3792,3687,'{{count}} stars','en'),(3793,3688,'{{count}} stars','en'),(3794,3689,'{{count}} stars','en'),(3795,3690,'{{count}} stars','en'),(3796,3691,'{{count}} star','en'),(3797,3692,'Any rating','en'),(3798,3693,'{{product}} reviews','en'),(3799,3694,'Product','en'),(3800,3695,'Product reviews','en'),(3801,3696,'Products reviews','en'),(3802,3697,'Add review','en'),(3803,3698,'Edit review','en'),(3804,3699,'Approve review','en'),(3805,3700,'The review has been created','en'),(3806,3701,'The review has been deleted','en'),(3807,3702,'The review has not been created since the product {{product}} has not been found','en'),(3808,3703,'The review has not been updated since the product {{product}} has not been found','en'),(3809,3704,'Reviewer','en'),(3810,3705,'Rating','en'),(3811,3706,'Reviews imported','en'),(3812,3707,'Product, SKU or customer info','en'),(3813,3708,'Approve','en'),(3814,3709,'Start typing product name or SKU','en'),(3815,3710,'Customer name','en'),(3816,3711,'Start typing customer email or name','en'),(3817,3712,'Text of review','en'),(3818,3713,'Published','en'),(3819,3714,'Please sign in to add review','en'),(3820,3715,'You have already reviewed this product','en'),(3821,3716,'Edit your review','en'),(3822,3717,'Add your own review','en'),(3823,3718,'Thank you for sharing your opinion with us!','en'),(3824,3719,'Your product rating is saved. Thank you!','en'),(3825,3720,'Your review has been updated. Thank your for sharing your opinion with us!','en'),(3826,3721,'Rating of votes','en'),(3827,3722,'Your email','en'),(3828,3723,'customers','en'),(3829,3724,'Average rating','en'),(3830,3725,'out of','en'),(3831,3726,'Based on','en'),(3832,3727,'votes','en'),(3833,3728,'Reviews','en'),(3834,3729,'Reviews: {{count}}','en'),(3835,3730,'We may use this email if we need additional information on your review. We will not use it for any kind of mailing lists or spam subscriptions','en'),(3836,3731,'How do you rate this item?','en'),(3837,3732,'Write your review','en'),(3838,3733,'Your review','en'),(3839,3734,'Back to product details','en'),(3840,3735,'Customer reviews','en'),(3841,3736,'On moderation','en'),(3842,3737,'Read all reviews for the product','en'),(3843,3738,'Rates','en'),(3844,3739,'By Rate - 0-9','en'),(3845,3740,'By Rate - 9-0','en'),(3846,3741,'Only registered customers who purchased this product can leave feedback','en'),(3847,3742,'Registered users who purchased the product','en'),(3848,3743,'Score: {{score}} (votes: {{votes}})','en'),(3849,3744,'Votes: {{votes}}','en'),(3850,3745,'No reviews.','en'),(3851,3746,'Not rated yet','en'),(3852,3747,'Be the first and leave feedback','en'),(3853,3748,'All users','en'),(3854,3749,'Registered users only','en'),(3855,3750,'Reviews and ratings','en'),(3856,3751,'Ratings only','en'),(3857,3752,'Reviews only','en'),(3858,3753,'Review','en'),(3859,3754,'Selected reviews have been deleted','en'),(3860,3755,'Please select the reviews first','en'),(3861,3756,'Selected reviews have been updated','en'),(3862,3757,'Reviews about product','en'),(3863,3758,'New product reviews','en'),(3864,3759,'Ratings and Reviews of {{product}}','en'),(3865,3760,'Rating: {{rating}} out of {{maxRating}}. Review by {{reviewerName}}: {{review}}','en'),(3866,3761,'SEO','en'),(3867,3762,'Select the review that should be included into the rich snippet shown for the page of this product when the page appears in search results by Google and other major search engines. More info: <a href=\"https://support.google.com/webmasters/answer/146750\" target=\"_blank\">https://support.google.com/webmasters/answer/146750</a>','en'),(3868,3763,'Anonymous reviewer','en'),(3869,3764,'Reject','en'),(3870,3765,'There are no comments yet. Be the first to leave a comment','en'),(3871,3766,'A new review has been submitted for the product \"{{name}}\".','en'),(3872,3767,'Go to see the review <a href=\"{{link}}\">in the Admin area</a>','en'),(3873,3768,'<p class=\"items-list-blank-description-heading text-center\">No one has rated your products yet.</p><p class=\"text-center\">Once someone reviews your product (or you add a review manually), this is the place to track, moderate and remove reviews.</p>','en'),(3874,3768,'<p class=\"items-list-blank-description-heading text-center\">Никто пока не оценил ваши товары.</p><p class=\"text-center\">Как только появятся отзывы о ваших товарах, вы сможете управлять ими на этой странице.</p>','ru'),(3875,3769,'Please review the product {{product}}','en'),(3876,3769,'Пожалуйств, оставьте отзыв на товар {{product}}','ru'),(3877,3770,'<p>Thank you for your recent purchase from {{company}} – Order #{{orderNumber}} ({{orderDate}}):</p>','en'),(3878,3770,'<p>Благодарим Вас за недавнюю покупку у {{company}} – Заказ #{{orderNumber}} ({{orderDate}}):</p>','ru'),(3879,3771,'<p>Would you be willing to rate these products and write a review? Your opinion is important us.</p><p>To write a review:</p><p>1) Click on the product name to open the Customer reviews section for the product<br />2) Click Add review<br />3) Rate the product and write your feedback.</p><p>Thank you so much for taking the time to let us know what you think. It is truly appreciated.</p>','en'),(3880,3771,'<p>Готовы ли вы оценить эти товары и написать отзыв? Ваше мнение очень важно для нас!</p><p>Чтобы написать отзыв:</p><p>1) Нажмите на название товара, чтобы открыть раздел Отзывы для этого товара<br />2) Нажмите кнопку Добавить отзыв<br />3) Оцените товар и напишите свой отзыв.</p><p>Спасибо, что нашли время сообщить нам свое мнение. Мы очень ценим это.</p>','ru'),(3881,3772,'Excellent','en'),(3882,3772,'Отлично','ru'),(3883,3773,'Good','en'),(3884,3773,'Хорошо','ru'),(3885,3774,'Average','en'),(3886,3774,'Нормально','ru'),(3887,3775,'Fair','en'),(3888,3775,'Посредственно','ru'),(3889,3776,'Poor','en'),(3890,3776,'Плохо','ru'),(3891,3777,'Text of response','en'),(3892,3777,'Ответ','ru'),(3893,3778,'Response date is in wrong format','en'),(3894,3778,'Неверный формат поля \"responseDate\"','ru'),(3895,3779,'Add response','en'),(3896,3779,'Добавить ответ','ru'),(3897,3780,'SKU or Product name','en'),(3898,3780,'Артикул или название товара','ru'),(3899,3781,'First name, Last name or E-mail','en'),(3900,3781,'Имя, фамилия или e-mail','ru'),(3901,3782,'Enter a name to be published with the review','en'),(3902,3782,'Введите имя для отображения в отзыве','ru'),(3903,3783,'Tab displaying product reviews. Added by the addon <a href=\"{{url}}\">Product Reviews</a>','en'),(3904,3783,'Вкладка для отображения отзывов о товаре. Добавляется модулем <a href=\"{{url}}\">Product Reviews</a>','ru'),(3905,3784,'No email','en'),(3906,3785,'Reviewer name','en'),(3907,3786,'Shopper approved promo','en'),(3908,3787,'Use custom css','en'),(3909,3788,'The database stores different version of the custom changes.','en'),(3910,3789,'Review it.','en'),(3911,3790,'Restore this version','en'),(3912,3791,'Your custom file has been saved successfully','en'),(3913,3792,'Theme tweaker','en'),(3914,3793,'Pick template from page element','en'),(3915,3794,'Edited templates','en'),(3916,3795,'Webmaster mode','en'),(3917,3796,'Template','en'),(3918,3797,'Back to templates list','en'),(3919,3798,'Webmaster Mode allows you to change the storefront design in click-and-edit mode.<br /><br />If the design of your store\'s customer area has been messed up by a template change, try restoring the original template in the Edited Templates section. More information about design changes in X-Cart is available in <a href=\"https://devs.x-cart.com/en/design_changes/basic_guide_to_theme_creation.html\">X-Cart\'s Knowledge Base</a>.','en'),(3920,3799,'Webmaster mode is enabled','en'),(3921,3800,'Webmaster mode is disabled','en'),(3922,3801,'The template has been updated','en'),(3923,3802,'The template has been added','en'),(3924,3803,'Enabled','en'),(3925,3804,'Disabled','en'),(3926,3805,'Path for use in custom CSS','en'),(3927,3806,'URL','en'),(3928,3807,'The file {{file}} does not exist or is not writable.','en'),(3929,3808,'The directory {{dir}} does not exist or is not writable.','en'),(3930,3809,'New images','en'),(3931,3810,'<b>Drag & drop blocks</b> to rearrange them.','en'),(3932,3811,'Click on the description to <b>edit</b>.','en'),(3933,3812,'Exit product preview','en'),(3934,3813,'You have unsaved changes. Are you really sure to exit the preview?','en'),(3935,3814,'<i class=\"fa fa-exclamation-triangle inline-editor-message_icon\"></i>Click on the description to <b>edit</b>. Your changes may be <span style=\"font-weight: bold; color: orange;\">incompatible</span> with TinyMCE.','en'),(3936,3815,'Changes may be incompatible with TinyMCE. Are you sure to proceed?','en'),(3937,3816,'Layout editor','en'),(3938,3817,'Template editor','en'),(3939,3818,'Labels editor','en'),(3940,3819,'Discard changes','en'),(3941,3820,'Layout editor is','en'),(3942,3821,'disabled blocks','en'),(3943,3822,'Some','en'),(3944,3823,'Block is enabled','en'),(3945,3824,'Block is disabled','en'),(3946,3825,'Exit editor','en'),(3947,3826,'Layout editor is enabled','en'),(3948,3827,'Layout editor is disabled','en'),(3949,3828,'Layout editor allows you to change the position of the blocks in drag-n-drop fashion','en'),(3950,3829,'There are some custom CSS styles in your store. These styles may affect the look of the installed template. <a href=\"{{url}}\">Review the custom styles</a> and disable them if necessary.','en'),(3951,3830,'There are some custom templates in your store that may contain skin dependent code. This may cause your store to crash after switching to a different skin. <a href=\"{{templates_url}}\">Review the custom templates</a> and disable them if necessary.','en'),(3952,3831,'Entity was successfully saved','en'),(3953,3832,'Error on saving image','en'),(3954,3833,'Unable to save edited content. Errors: ','en'),(3955,3834,'Unknown temporary file','en'),(3956,3835,'Show all','en'),(3957,3836,'Flexy to twig converter','en'),(3958,3837,'Flexy template','en'),(3959,3838,'Twig template path','en'),(3960,3839,'Converted','en'),(3961,3840,'Search flexy templates','en'),(3962,3841,'Convert','en'),(3963,3842,'Remove flexy templates','en'),(3964,3843,'No flexy templates have been found.','en'),(3965,3844,'The flexy templates have been removed','en'),(3966,3845,'Some flexy templates cannot be removed. Please correct the file permissions or remove the templates manually:<br />{{list}}','en'),(3967,3846,'Check directory permissions','en'),(3968,3847,'This action will remove all the flexy templates. Are you sure you want to proceed?','en'),(3969,3848,'Cannot get flexy content','en'),(3970,3849,'Flexy template conversion failure. Check for syntax errors','en'),(3971,3850,'Back to Webmaster mode','en'),(3972,3851,'Converted files may not always work correctly because not all the changes can be handled automatically by conversion. Be sure to check your converted files manually to ensure that all the required changes have been implemented properly. More info about Flexy and Twig key differences is available at <a href=\"https://xcart.github.io/flexy-to-twig/\" target=\"_blank\">https://xcart.github.io/flexy-to-twig</a>','en'),(3973,3852,'Edit via Webmaster mode','en'),(3974,3853,'Preview template','en'),(3975,3854,'No orders available. Please create at least one order.','en'),(3976,3855,'Back to notification settings','en'),(3977,3856,'Edit template based on','en'),(3978,3857,'The test email notification has been sent to {{email}}','en'),(3979,3858,'Failure sending test email to {{email}}','en'),(3980,3859,'Enter Order number','en'),(3981,3860,'Text parts in curly braces {} are variables and filled dynamically. Do not remove them.','en'),(3982,3861,'<p class=\'items-list-blank-description-heading text-center\'>You haven\'t changed any templates yet.</p><p class=\'text-center\'>Here you can track the templates changed with Template editor and revert any changes you\'ve done. Changes to the templates can be done by opening the storefront and switching to the «Template editor» of the panel below.</p>','en'),(3983,3862,'Pick templates from page','en'),(3984,3863,'Drag-n-drop blocks','en'),(3985,3864,'Highlight labels','en'),(3986,3865,'Layout block','en'),(3987,3866,'Description editor','en'),(3988,3867,'Proceed to the product page to edit the description','en'),(3989,3868,'Open home or category page for more opportunities to adjust the website structure.','en'),(3990,3869,'Shortcut: Ctrl+/, ⌘+/','en'),(3991,3870,'Shortcut: Ctrl+S, ⌘+S','en'),(3992,3871,'You have unsaved changes. Are you really sure to exit?','en'),(3993,3872,'<a href=\"{{url}}\" target=\"_blank\">Open the storefront</a> while logged in as administrator and use the Webmaster panel <span class=\"cog-icon\">{{cog}}</span> to change the look & feel of the store.','en'),(3994,3873,'Use the Google Tag Manager addon for more flexibility when adding JS code to your web pages.','en'),(3995,3874,'Learn more about Google Tag Manager','en'),(3996,3875,'Tag Manager Dashboard','en'),(3997,3876,'Configure Tag Manager','en'),(3998,3877,'Install Google Tag Manager','en'),(3999,3878,'Category description','en'),(4000,3879,'Display all templates','en'),(4001,3880,'Hide converted templates','en'),(4002,3881,'OK','en'),(4003,3787,'Использовать свой CSS','ru'),(4004,1362,'Использовать свой JavaScript','ru'),(4005,3788,'В базе данных хранится другая версия пользовательского кода.','ru'),(4006,3789,'Просмотреть её.','ru'),(4007,3790,'Восстановить эту версию','ru'),(4008,3791,'Файл успешно сохранен','ru'),(4009,3792,'Theme tweaker','ru'),(4010,3793,'Выбор шаблона на основе элемента страницы','ru'),(4011,3794,'Измененные шаблоны','ru'),(4012,3795,'Режим веб-мастера','ru'),(4013,3796,'Шаблон','ru'),(4014,3797,'Вернуться к списку шаблонов','ru'),(4015,3798,'Режим веб-мастера позволяет редактировать внешний вид сайта по месту.<br /><br />Если после внесения изменений витрина выглядит неправильно, попробуйте откатить изменения в секции \"Измененные шаблоны\". Больше информации об изменении дизайна сайта на X-Cart - в <a href=\"https://devs.x-cart.com/en/design_changes/basic_guide_to_theme_creation.html\">Базе знаний X-Cart</a>.','ru'),(4016,3799,'Режим веб-мастера включен','ru'),(4017,3800,'Режим веб-мастера отключен','ru'),(4018,3801,'Шаблон обновлён','ru'),(4019,3802,'Шаблон добавлен','ru'),(4020,3803,'Вкл','ru'),(4021,3804,'Выкл','ru'),(4022,3809,'Новые картинки','ru'),(4023,3810,'Здесь можно <b>перетаскивать блоки</b>, меняя их порядок.','ru'),(4024,3811,'Режим предпросмотра товара. Здесь можно <b>редактировать описание</b> товара.','ru'),(4025,3812,'Вернуться','ru'),(4026,3813,'У вас есть несохраненные изменения. Вы точно хотите выйти из режима предпросмотра?','ru'),(4027,3814,'<i class=\"fa fa-exclamation-triangle inline-editor-message_icon\"></i>Здесь можно <b>редактировать описание</b> товара. Изменения могут быть <span style=\"font-weight: bold; color: orange;\">несовместимы</span> с редактором TinyMCE.','ru'),(4028,3815,'Изменения могут быть несовместимы с редактором TinyMCE. Вы точно хотите их сохранить?','ru'),(4029,3816,'Режим разметки','ru'),(4030,3817,'Редактор шаблонов','ru'),(4031,3818,'Редактор меток','ru'),(4032,3819,'Отказаться','ru'),(4033,3820,'Режим разметки','ru'),(4034,3821,'блоков отключено','ru'),(4035,3822,'Несколько','ru'),(4036,3823,'Блок включен','ru'),(4037,3824,'Блок отключен','ru'),(4038,3825,'Выйти','ru'),(4039,3826,'Режим разметки включен','ru'),(4040,3827,'Режим разметки отключен','ru'),(4041,3828,'Режим редактирования разметки позволяет менять положение и порядок блоков путем перетаскивания','ru'),(4042,3829,'Для сайта заданы пользовательские CSS стили. Эти стили могут оказывать влияние на внешний вид интерфейса покупателя. <a href=\"{{url}}\">Просмотрите пользовательские стили</a> и выключите их в случае необходимости.','ru'),(4043,3830,'Магазин использует модифицированные шаблоны, которые, возможно, содержат код, работа которого зависит от используемого скина. Это может привести к нарушению корректной работы магазина после переключения на другой скин. <a href=\"{{templates_url}}\">Проверьте модифицированные шаблоны</a> и отключите их в случае необходимости. ','ru'),(4044,3836,'Flexy to twig конвертор','ru'),(4045,3837,'Flexy-шаблон','ru'),(4046,3838,'Путь к Twig-шаблону','ru'),(4047,3839,'Сконвертирован','ru'),(4048,3840,'Найти flexy-шаблоны','ru'),(4049,3841,'Конвертировать','ru'),(4050,3842,'Удалить flexy-шаблоны','ru'),(4051,3843,'Flexy-шаблоны не найдены.','ru'),(4052,3844,'Flexy-шаблоны были удалены','ru'),(4053,3845,'Некоторые flexy-шаблоны не могут быть удалены. Скорректируйте права на файлы или удалите их самостоятельно:<br />{{list}}','ru'),(4054,3846,'Проверьте права на директорию','ru'),(4055,3847,'Это действие удалит все Flexy-шаблоны. Вы уверены, что хотите продолжить?','ru'),(4056,3848,'Не удалось получить содержимое Flexy-шаблона','ru'),(4057,3849,'Не удалось сконвертировать Flexy-шаблон. Проверьте его содержание на предмет синтаксических ошибок','ru'),(4058,3850,'Вернуться на страницу \"Режим веб-мастера\"','ru'),(4059,3851,'Сконвертированные файлы не всегда могут работать корректно поскольку не все изменения могут быть правильно выполнены при автоматической конвертации. Проверьте ваши сконвертированные файлы вручную, чтобы убедиться, что все изменения перенесены верно. Больше информации о Flexy-to-Twig конверторе доступно здесь: <a href=\"https://xcart.github.io/flexy-to-twig/\" target=\"_blank\">https://xcart.github.io/flexy-to-twig</a>','ru'),(4060,3852,'Редактировать в Режиме веб-мастера','ru'),(4061,3853,'Предпросмотр шаблона','ru'),(4062,3854,'Нет ни одного заказа. Пожалуйста, создайте по крайней мере один заказ.','ru'),(4063,3855,'Назад к настройкам уведомлений','ru'),(4064,3856,'Редактировать шаблон на основе','ru'),(4065,3857,'Тестовое уведомление было послано на адрес {{email}}','ru'),(4066,3858,'Ошибка отправки тестового уведомления на адрес {{email}}','ru'),(4067,3859,'Введите номер заказа','ru'),(4068,3860,'Текст в фигурных скобках означает переменную. Не удаляйте такой текст.','ru'),(4069,3861,'<p class=\'items-list-blank-description-heading text-center\'>Нет измененных файлов.</p><p class=\'text-center\'>Здесь вы можете узнать об отредактированных файлах шаблонов, которые были изменены в режиме «Редактора шаблонов» и вернуть шаблоны к первоначальному состоянию если допустили ошибку.</p><p class=\'text-center\'>Чтобы приступить к изменениям, перейдите в ваш магазин и в панели управления витриной (значок шестеренки внизу слева на странице витрины) выберите «Редактор шаблонов».</p>','ru'),(4070,3862,'Выбирать шаблоны на странице','ru'),(4071,3863,'Перетаскивание блоков','ru'),(4072,3864,'Выделение меток','ru'),(4073,3865,'Блок разметки','ru'),(4074,3866,'Контент','ru'),(4075,3867,'Нет редактируемого контента. Данный режим работает на странице любого товара','ru'),(4076,3868,'На главной и странице категории есть много различных блоков разметки.','ru'),(4077,3869,'Горячая клавиша: Ctrl+/, ⌘+/','ru'),(4078,3870,'Горячая клавиша: Ctrl+S, ⌘+S','ru'),(4079,3871,'Обнаружены несохраненные изменения. Вы точно хотите отказаться от них и уйти?','ru'),(4080,3872,'<a href=\"{{url}}\" target=\"_blank\">Откройте витрину магазина</a> из-под администраторского аккаунта и используйте Панель вебмастера <span class=\"cog-icon\">{{cog}}</span> для изменения внешнего вида магазина.','ru'),(4081,3873,'Используйте модуль Google Tag Manager для получения большей гибкости при добавлении JS кода на веб-страницы.','ru'),(4082,3874,'Узнать больше о Диспетчере тегов Google','ru'),(4083,3875,'Панель управления Диспетчера тегов','ru'),(4084,3876,'Настроить Диспетчер тегов','ru'),(4085,3877,'Установить Google Tag Manager','ru'),(4086,3882,'<b>UPS</b> module allows you to use online shipping rates calculation via <a href=\"http://www.ups.com\" target=\"_new\">UPS service</a>.<br/>To use UPS Rating API you need to register on <a href=\"http://www.ups.com/\" target=\"_new\">UPS.com</a> with a User ID and Password. Once you have registered you would need to obtain an Access Key from UPS.com that provides access to the Rating API. To obtain an Access Key an account number needs to be added or created in your UPS.com profile.','en'),(4087,3883,'UPS module supports \'Cash on delivery\' feature for shipments within European Union, within United States and Puerto Rico, within Canada and from Canada to the United States.<br/>To enable \'Cash on delivery\' payment option you should enable payment method \'Cash on delivery (UPS)\' at the <a href=\"{{URL}}\">Payment methods page</a>.','en'),(4088,3884,'Air service center','en'),(4089,3885,'Customer counter','en'),(4090,3886,'Daily Pickup','en'),(4091,3887,'Delivery confirmation - adult signature required','en'),(4092,3888,'Delivery confirmation - no signature','en'),(4093,3889,'Delivery confirmation - signature required','en'),(4094,3890,'Letter center','en'),(4095,3891,'No confirmation','en'),(4096,3892,'On call air','en'),(4097,3893,'One time pickup','en'),(4098,3894,'Suggested retail rates','en'),(4099,3895,'Related products','en'),(4100,3896,'Bidirectional link','en'),(4101,3896,'Двунаправленная связь','ru'),(4102,3897,'Related products page','en'),(4103,3898,'You cannot choose this product','en'),(4104,3899,'The product SKU#{{SKU}} is already set as related for the product','en'),(4105,3900,'Add related products','en'),(4106,3901,'Related products (Related Products module)','en'),(4107,3902,'The product SKU#\"X\" is already set as Related for the product','en'),(4108,3903,'Enable bidirectional links','en'),(4109,3903,'Включить двунаправленная связь','ru'),(4110,3904,'Disable bidirectional links','en'),(4111,3904,'Отключить двунаправленная связь','ru'),(4112,3905,'Do you really want to delete all relations from this product?','en'),(4113,3905,'Вы действительно хотите удалить все связи из этого товара?','ru'),(4114,3906,'\"Bidirectional link\" means that the related product is not only linked to from the product on view, but also provides a link to that product. With the \"Bidirectional link\" option enabled, removing the link from one of the products will not remove the link in the opposite direction. To remove the relationship between the products completely, disable the \"Bidirectional link\" option first, then remove the link.','en'),(4115,3906,'\"Двунаправленная связь\" значит, что не только просматриваемый товар ссылается на связанный, но и связанный ссылается на него. При включенной настройке \"Двунаправленная связь\", удаление ссылки с одного из товаров не приведет к удалению ссылки в противоположном направлении. Для полного удаления связи между товарами, вначале отключите настройку \"Двунаправленная связь\", затем удалите ссылку на связанный товар.','ru'),(4116,3907,'Edit all','en'),(4117,3907,'Редактировать все','ru'),(4118,3908,'Make bidirectional relations','en'),(4119,3908,'Добавлять двунаправленную связь','ru'),(4120,3909,'News messages','en'),(4121,3909,'Новости','ru'),(4122,3910,'News message','en'),(4123,3910,'Новость','ru'),(4124,3911,'New news message','en'),(4125,3911,'Добавить новость','ru'),(4126,3912,'News','en'),(4127,3912,'Новости','ru'),(4128,3913,'Top News','en'),(4129,3913,'Последние новости','ru'),(4130,3914,'All news','en'),(4131,3914,'Все новости','ru'),(4132,3915,'Previous','en'),(4133,3915,'Предыдущая новость','ru'),(4134,3916,'Next','en'),(4135,3916,'Следующая новость','ru'),(4136,3917,'The news message has been updated','en'),(4137,3917,'Новость обновлена','ru'),(4138,3918,'The news message has been added','en'),(4139,3918,'Новость добавлена','ru'),(4140,3919,'Create news message','en'),(4141,3919,'Добавление новости','ru'),(4142,3920,'News page title','en'),(4143,3920,'Заголовок страницы новости','ru'),(4144,3921,'News title','en'),(4145,3921,'Заголовок новости','ru'),(4146,3922,'Leave blank to use news title as Page Title.','en'),(4147,3922,'Оставьте поле незаполненным чтобы использовать заголовок новости в качестве заголовка страницы.','ru'),(4148,3923,'<p class=\'items-list-blank-description-heading text-center\'>There are no news messages in your store.</p><p class=\'text-center\'>News messages are a great way to build a community around your products and notify clients about recent updates. Start by clicking <b>\"New news message\"</b>.</p>','en'),(4149,3923,'<p class=\'items-list-blank-description-heading text-center\'>Пока нет ни одной новости.</p><p class=\'text-center\'>С помощью новостей можно привлекать новых клиентов и уведомлять о различных изменениях. Начните с нажатия на кнопку <b>\"Добавить новость\"</b>.</p>','ru'),(4150,3924,'Free','en'),(4151,3924,'БЕСПЛАТНО','ru'),(4152,3925,'Free shipping','en'),(4153,3925,'Бесплатная доставка','ru'),(4154,3926,'FREE SHIPPING','en'),(4155,3926,'БЕСПЛАТНАЯ ДОСТАВКА','ru'),(4156,3927,'Wrong shipping freight value format','en'),(4157,3927,'Неправильный формат значения поля \"freightFixedFee\"','ru'),(4158,3928,'Special shipping method. Shows during checkout only if <ul><li>all the products in the cart are marked \"Free shipping\";</li><li>there are no other shipping methods available.</li></ul><a href=\"https://kb.x-cart.com/en/shipping/free_shipping_on_orders_that_meet_certain_conditions.html\" target=\"_blank\">Learn how to set up free shipping on orders that meet certain conditions</a>','en'),(4159,3928,'Специальный способ доставки. Отображается при оформлении заказа только если <ul><li>для всех товаров в корзине включена настройка \"Бесплатная доставка\";</li><li>нет других доступных способов доставки.</li></ul><a href=\"https://kb.x-cart.ru/shipping/free_shipping_on_orders_that_meet_certain_conditions.html\" target=\"_blank\">Узнайте, как настроить бесплатную доставку для заказов, соответствующих определенным условиям</a>','ru'),(4160,3929,'Shipping freight','en'),(4161,3929,'Фиксированная стоимость доставки','ru'),(4162,3930,'This field can be used to set a fixed shipping fee for the product. Make sure the field value is a positive number (greater than zero).','en'),(4163,3930,'В данном поле можно задать фиксированную стоимость доставки для редактируемого товара. Убедитесь, что используемое значение является положительным числом (больше нуля).','ru'),(4164,3931,'Shipping freight only','en'),(4165,3931,'указанному значению фиксированной стоимости доставки','ru'),(4166,3932,'Shipping freight + regular shipping rate','en'),(4167,3932,'сумме фиксированной стоимости доставки и стоимости доставки, рассчитанной стандартным способом','ru'),(4168,3933,'Special shipping method. Shows during checkout only if <ul><li>all the products in the cart have a shipping freight value defined;</li><li>there are no other shipping methods available.</li></ul>','en'),(4169,3933,'Специальный способ доставки. Отображается при оформлении заказа только если<ul><li>для всех товаров в корзине задана фиксированная стоимость доставки;</li><li>нет других доступных способов доставки.</li></ul>','ru'),(4170,3934,'Freight','en'),(4171,3934,'Фиксированная стоимость доставки','ru'),(4172,3935,'Exclude from shipping cost calculation','en'),(4173,3935,'Исключить из расчета стоимости доставки','ru'),(4174,3936,'Wrong \"exclude from shipping cost calculation\" (freeShipping) format','en'),(4175,3936,'Неправильный формат значения поля  \"Исключить из расчета стоимости доставки\" (freeShipping)','ru'),(4176,3937,'Wrong free shipping (shipForFree) format','en'),(4177,3937,'Неправильный формат значения поля \"Бесплатная доставка\"','ru'),(4178,3938,'Important info on the Free shipping add-on update','en'),(4179,3938,'Важная информация об обновлении модуля Free shipping','ru'),(4180,3939,'Your store now provides two free shipping options for individual products:<br>- Exclude from shipping calculation;<br> - Free shipping.<br>If a product is marked \'Exclude from shipping calculation\', this product is excluded from the shipping cost calculation for the order for any available shipping methods.<br>If a product is marked \'Free shipping\', it is treated as eligible for shipping using the method \'Free shipping\'. This method becomes available at checkout if all the products in the shopping cart are either eligible for free shipping or excluded from shipping calculation.','en'),(4181,3939,'В вашем магазине сейчас доступно два варианта бесплатной доставки для отдельных товаров:<br>- Исключение из расчета стоимости доставки;<br>- Бесплатная доставка.<br>Если в свойствах какого-либо товара отмечена опция \'Исключить из расчета стоимости доставки\', данный товар исключается из расчета стоимости доставки заказа для любых доступных способов доставки.<br>Если же в свойствах товара отмечена опция \'Бесплатная доставка\', то это означает, что данный товар может быть отправлен способом доставки \'Бесплатная доставка\'. Данный способ становится доступным при оформлении заказа, если все товары в корзине являются товарами с бесплатной доставкой, либо должны быть исключены из расчета стоимости доставки в соответствии с их настройками.','ru'),(4182,3940,'Warning! Your store now supports two free shipping options for individual products:<br>- Exclude from shipping calculation;<br>- Free shipping.<br>Information on whether a product should be excluded from shipping cost calculation must be submitted via the column shipForFree.<br>Information on whether a product should be eligible for free shipping must be submitted via the column freeShipping.','en'),(4183,3940,'Предупреждение: В вашем магазине сейчас доступно два варианта бесплатной доставки для отдельных товаров:<br>- Исключение из расчета стоимости доставки;<br>- Бесплатная доставка.<br>Информация о том, должен ли товар исключаться из расчета стоимости доставки, должна передаваться в колонке shipForFree.<br>Информация о том, является ли товар товаром с бесплатной доставкой, должна передаваться в колонке freeShipping.','ru'),(4184,3694,'товар','ru'),(4185,54,'Предыдущий','ru'),(4186,55,'Следующий товар','ru'),(4187,3941,'Sitemap','en'),(4188,3942,'Information','en'),(4189,3942,'Информация','ru'),(4190,3941,'Карта сайта','ru'),(4191,3943,'My location','en'),(4192,3944,'Specify your location','en'),(4193,3945,'Save location','en'),(4194,3946,'Location was successfully set','en'),(4195,3947,'Revert to default database','en'),(4196,3948,'X-Cart uses free \"GeoLite2 Country\" database by <a href=\"https://www.maxmind.com/en/geoip2-databases?%refID=xcart\" target=\"_blank\">MaxMind</a>. You can upload the more accurate database to determine the country, subdivisions, city, and postal code. <a href=\"https://www.maxmind.com/en/geoip2-databases?%refID=xcart%\" target=\"_blank\">Learn more</a>','en'),(4197,3949,'Location is invalid','en'),(4198,3943,'Страна','ru'),(4199,3944,'Укажите ваш адрес','ru'),(4200,3945,'Сохранить адрес','ru'),(4201,3946,'Адрес был сохранен','ru'),(4202,3950,'Вернуться к базе данных по умолчанию','ru'),(4203,3948,'X-Cart использует бесплатную базу данных \"GeoLite2 Country\" от <a href=\"https://www.maxmind.com/en/geoip2-databases?%refID=xcart\" target=\"_blank\">MaxMind</a>. Вы можете загрузить более точную базу данных для определения страны, территориального подразделения, города и почтового кода. <a href=\"https://www.maxmind.com/en/geoip2-databases?%refID=xcart\" target=\"_blank\">Подробнее</a>','ru'),(4204,3951,'Update quantity','en'),(4205,3951,'Обновление количества','ru'),(4206,3952,'Products updated','en'),(4207,3952,'Обновлено товаров','ru'),(4208,3953,'The script found {{number}} problem(s) during update inventory','en'),(4209,3953,'В процессе обновления были обнаружены ошибки ({{number}})','ru'),(4210,3954,'Product with SKU \"{{value}}\" not found','en'),(4211,3954,'Товар с артикулом \"{{value}}\" не найден','ru'),(4212,3955,'Wrong product quantity value format (\"{{value}}\")','en'),(4213,3955,'Некорректный формат в поле qty (\"{{value}}\")','ru'),(4214,3956,'Products and product variants updated','en'),(4215,3956,'Обновлено товаров и вариантов товаров','ru'),(4216,3957,'Product or product variant with SKU \"{{value}}\" not found','en'),(4217,3957,'Товар или вариант товара с артикулом \"{{value}}\" не найдены','ru'),(4218,3958,'Update quantity import guide','en'),(4219,3958,'Руководство по обновлению количества','ru'),(4220,3959,'https://kb.x-cart.com/modules/update_inventory.html','en'),(4221,3959,'https://kb.x-cart.ru/modules/update_inventory.html','ru'),(4222,3960,'You have just added','en'),(4223,3960,'Вы добавили в корзину','ru'),(4224,3961,'Open comparison table','en'),(4225,3961,'Открыть таблицу сравнения','ru'),(4226,3962,'Please add another product to comparison','en'),(4227,3962,'Выберите еще один товар для сравнения','ru'),(4228,3963,'High - Low','en'),(4229,3963,'по убыванию','ru'),(4230,3964,'Low - High','en'),(4231,3964,'по возрастанию','ru'),(4232,3965,'A - Z','en'),(4233,3965,'А - Я','ru'),(4234,3966,'Z - A','en'),(4235,3966,'Я - А','ru'),(4236,3967,'Added to comparison table','en'),(4237,3967,'Добавлено в таблицу сравнения','ru'),(4238,3968,'+15550000000','en'),(4239,3969,'1000 Main Street','en'),(4240,3970,'Anyland','en'),(4241,3971,'Anytown','en'),(4242,3972,'Joe','en'),(4243,3973,'Public','en'),(4244,3974,'To move your existing subscribers to MailChimp lists, <a href=\"{{link}}\" target=\"_blank\">export your subscribers data</a> from X-Cart and use the import feature under your MailChimp account.','en'),(4245,3974,'Для переноса существующих подписчиков в списки на стороне MailChimp, <a href=\"{{link}}\" target=\"_blank\">экспортируйте данные подписчиков</a> из X-Cart и используйте функцию импорта в вашем аккаунте MailChimp.','ru'),(4246,3975,'Connect your store to MailChimp','en'),(4247,3975,'Связать магазин с MailChimp','ru'),(4248,3976,'Sign up for {{companyName}} news','en'),(4249,3976,'Подписаться на новости {{companyName}}','ru'),(4250,3977,'Thank you for subscribing to the newsletter! We hope you enjoy shopping at {{companyName}}','en'),(4251,3977,'Спасибо за подписку на наши новости. Мы рады, что вы - наш читатель!','ru'),(4252,3978,'Subscribers','en'),(4253,3978,'Подписчики','ru'),(4254,3979,'Email or login','en'),(4255,3979,'Email или логин','ru'),(4256,3980,'Enter email address','en'),(4257,3980,'Введите email','ru'),(4258,3981,'Subscribers imported','en'),(4259,3981,'Подписчики импортированы','ru'),(4260,3982,'Subscriber with email {{email}} already subscribed','en'),(4261,3982,'Подписчик с email {{email}} уже в существует','ru'),(4262,3983,'<p class=\'items-list-blank-description-heading text-center\'>No one has subscribed on your newsletter yet.</p><p class=\'text-center\'>You can manage newsletter subscribers on this page.</p>','en'),(4263,3983,'<p class=\'items-list-blank-description-heading text-center\'>Пока никто не подписался на новости вашего магазина.</p><p class=\'text-center\'>На этой странице вы сможете управлять действующими подписками на новости.</p>','ru'),(4264,3984,'You have configured MailChimp as your primary email newsletter tool. New subscribers will be added directly to your MailChimp lists (this X-Cart list will be skipped). You can manage your subscriber lists under your MailChimp account','en'),(4265,3984,'Вы настроили MailChimp для использования в качестве основного инструмента отправки рассылки в адрес ваших подписчиков. Новые подписчики будут добавляться напрямую в списки на стороне MailChimp (минуя данный список в X-Cart). Вы можете управлять списками подписчиков через свой аккаунт MailChimp.','ru'),(4266,3985,'Newsletters','en'),(4267,3985,'Рассылка','ru'),(4268,3986,'Can\'t subscribe you right now. Try later','en'),(4269,3987,'Any special needs?','en'),(4270,3987,'Укажите информацию для продавца','ru'),(4271,2881,'Выберите метод доставки','ru'),(4272,3988,'Fast Lane checkout','en'),(4273,3988,'Пошаговый','ru'),(4274,3989,'Checkout type','en'),(4275,3989,'Тип страницы оплаты','ru'),(4276,3990,'Firstname','en'),(4277,3990,'Имя','ru'),(4278,3991,'Lastname','en'),(4279,3991,'Фамилия','ru'),(4280,3992,'Return to cart','en'),(4281,3992,'Вернуться к корзине','ru'),(4282,3993,'Edit address','en'),(4283,3993,'Редактировать','ru'),(4284,3994,'Edit email','en'),(4285,3994,'Редактировать','ru'),(4286,3995,'One Page checkout','en'),(4287,3995,'Одностраничный','ru'),(4288,3996,'Order note. Any special needs?','en'),(4289,3996,'Укажите информацию для продавца','ru'),(4290,2877,'Перейти к оплате','ru'),(4291,3997,'Street address','en'),(4292,3997,'Адрес','ru'),(4293,3998,'Zipcode','en'),(4294,3998,'Индекс','ru'),(4295,3999,'Click to finish your order','en'),(4296,3999,'Нажмите для завершения заказа','ru'),(4297,4000,'Order cannot be placed because some steps are not completed','en'),(4298,4000,'Заказ не может быть завершен, пока есть незаполненные поля','ru'),(4299,4001,'Click to proceed to the next step','en'),(4300,4001,'Нажмите для перехода на следующий шаг','ru'),(4301,4002,'Check shipping info','en'),(4302,4002,'Доставка','ru'),(4303,4003,'Choose another address','en'),(4304,4003,'Выбрать другой адрес','ru'),(4305,4004,'Delivery method','en'),(4306,4004,'Способ доставки','ru'),(4307,4005,'Addresses','en'),(4308,4005,'Адреса','ru'),(4309,4006,'Your order details will be sent to your email address','en'),(4310,4006,'Детали ордера будут отправлены на данный адрес','ru'),(4311,4007,'Edit billing address','en'),(4312,4008,'Edit shipping address','en'),(4313,4009,'Next step','en'),(4314,4010,'Bulk edit','en'),(4315,4011,'Click to specify','en'),(4316,4012,'Bulk edit all','en'),(4317,4013,'Inventory','en'),(4318,4014,'Price and membership','en'),(4319,4015,'Bulk edit has been processed successfully.','en'),(4320,4016,'Bulk edit processing has been interrupted.','en'),(4321,4017,'Bulk edit processing may take a while to complete. Please do not close this page until the process is fully completed. If the page has been closed, please re-open it to complete the process (The Bulk edit processing routine is executed only while the page stays open).','en'),(4322,4018,'Bulk Edit processing in progress...','en'),(4323,4019,'Replace with','en'),(4324,4020,'Back to products','en'),(4325,4021,'Bulk edit selected','en'),(4326,4022,'Product list','en'),(4327,4023,'Move to','en'),(4328,4024,'Not set','en'),(4329,4025,'Low stock warning on product page','en'),(4330,4026,'Low stock notification to admin','en'),(4331,4027,'Coming Soon','en'),(4332,4028,'This feature is not yet available. You will be redirected to the feature request page where you can vote to have this feature implemented in one of the upcoming versions.','en'),(4333,4029,'Tax Class','en'),(4334,4011,'Щелкните, чтобы указать значение','ru'),(4335,4013,'Остатки на складе','ru'),(4336,4014,'Цена и доступность для групп','ru'),(4337,1175,'Информация о доставке','ru'),(4338,4015,'Групповое редактирование завершено успешно.','ru'),(4339,4016,'Групповое редактирование было прервано.','ru'),(4340,4017,'Процесс группового редактирования может занять продолжительное время. Пожалуйста, не закрывайте эту страницу до полного завершения процесса. Если страница оказалась закрыта, откройте ее снова, чтобы завершить процесс (Процедура группового редактирования выполняется только пока страница остается открытой).','ru'),(4341,4018,'Идет групповое редактирование...','ru'),(4342,4020,'Назад к списку товаров','ru'),(4343,2855,'Выбрано {{count}} товаров','ru'),(4344,4012,'Редактировать все','ru'),(4345,4021,'Редактировать выбранные','ru'),(4346,4022,'К списку товаров','ru'),(4347,4010,'Групповое редактирование:','ru'),(4348,4023,'Переместить в','ru'),(4349,4019,'Заменить на','ru'),(4350,4024,'Не заданы','ru'),(4351,4025,'Предупреждение о низком остатке на странице товара','ru'),(4352,4026,'Уведомление администратору о низком остатке','ru'),(4353,4027,'Скоро','ru'),(4354,4028,'Данный пункт пока не доступен. Вы будете перенаправлены на страницу голосования за его реализацию в одной из ближайших версий X-Cart.','ru'),(4355,4030,'Content has script or style tags. Click the Code View button to edit them.','en'),(4356,4030,'В текстовом поле присутствуют тэги скриптов или стилей. Нажмите на кнопку \"Просмотр HTML-кода\", чтобы отредактировать эти тэги.','ru'),(4357,4031,'Froala Editor settings','en'),(4358,4032,'MailChimp','en'),(4359,4033,'MailChimp Integration with E-commerce support','en'),(4360,4034,'Type: select box','en'),(4361,4035,'Type: checkbox','en'),(4362,4036,'MailChimp is an email marketing service with powerful tools to manage your email campaigns and subscribers while gathering advanced analytics information on your campaign performance.','en'),(4363,4037,'Update MailChimp Lists','en'),(4364,4038,'MailChimp Lists','en'),(4365,4039,'MailChimp \"{{list_name}}\" list segments','en'),(4366,4040,'MailChimp segment settings','en'),(4367,4041,'Subscription','en'),(4368,4042,'Subscribe to our news list and be in touch with our latest offers.','en'),(4369,4043,'News list subscriptions','en'),(4370,4044,'Select box','en'),(4371,4045,'Filter by order frequency','en'),(4372,4046,'Orders last month','en'),(4373,4047,'Filter by order amount','en'),(4374,4048,'Total amount of orders','en'),(4375,4049,'Filter by profile membership','en'),(4376,4050,'Filter by specific products','en'),(4377,4051,'Segment condition','en'),(4378,4052,'here','en'),(4379,4053,'Static','en'),(4380,4054,'Auto-Updated','en'),(4381,4055,'No subscription','en'),(4382,4056,'Web ID','en'),(4383,4057,'List rating','en'),(4384,4058,'Members count','en'),(4385,4059,'Open rate','en'),(4386,4060,'Click rate','en'),(4387,4061,'Selected by default','en'),(4388,4062,'Allow this product to be used as a MailChimp segment condition','en'),(4389,4063,'1 minute','en'),(4390,4064,'10 minutes','en'),(4391,4065,'15 minutes','en'),(4392,4066,'30 minutes','en'),(4393,4067,'1 hour','en'),(4394,4068,'2 hours','en'),(4395,4069,'4 hours','en'),(4396,4070,'6 hours','en'),(4397,4071,'12 hours','en'),(4398,4072,'1 day','en'),(4399,4073,'2 days','en'),(4400,4074,'5 days','en'),(4401,4075,'1 week','en'),(4402,4076,'MailChimp lists update','en'),(4403,4077,'First name or last name are empty. Please add a new address to your address book or modify existing and fill in those fields in order to subscribe to this list.','en'),(4404,4078,'Back to segments list','en'),(4405,4079,'Subscribe by default','en'),(4406,4080,'Groups of MailChimp news list \"{{list_name}}\"','en'),(4407,4081,'Group names of MailChimp group \"{{group_name}}\"','en'),(4408,4082,'Sign up for news and updates from your favorite store. Be the first to know about exclusive sales, offers and deals.','en'),(4409,4083,'Sign up for {{company_name}} news, sales and deals','en'),(4410,4084,'Here you can view and manage the MailChimp news lists and groups of the user.','en'),(4411,4085,'Groups','en'),(4412,4086,'E-Commerce features setup','en'),(4413,4087,'Upload store data to MailChimp','en'),(4414,4088,'Upload store data to MailChimp to promote more efficient MailChimp Product Recommendations and Abandoned Carts. Before clicking the button, select the lists for which you want MailChimp \"stores\" to be created. A \"store\" is a collection of products, orders, carts and customers. MailChimp will create the \"stores\" and will connect them with the lists you have specified. Store data from X-Cart will be uploaded for these specific stores.<br><a href=\"{{url}}\" target=\"_blank\">Learn more about MailChimp e-Commerce features</a>','en'),(4415,4089,'Whether you need to draw attention to certain products, share some big news, or tell a story, our campaign builder makes it easy to create email campaigns that best suit your message.','en'),(4416,4090,'Connect with your MailChimp account','en'),(4417,4091,'Reset MailChimp connection','en'),(4418,4092,'Install Mailchimp addon','en'),(4419,4093,'Enter your MailChimp API key manually','en'),(4420,4094,'The e-Commerce Analytics feature is the core component of the integration functionality.','en'),(4421,4095,'All discount coupons','en'),(4422,4096,'Only the discount coupons that match the MailChimp promo rules','en'),(4423,4097,'Cannot authenticate','en'),(4424,4098,'ID','en'),(4425,4099,'MailChimp lists','en'),(4426,4100,'MailChimp settings','en'),(4427,4101,'Manage segments','en'),(4428,4102,'No groups defined','en'),(4429,4103,'No segments','en'),(4430,4104,'Successfully authenticated','en'),(4431,4105,'Update store data','en'),(4432,4106,'Uploading data has been completed successfully.','en'),(4433,4107,'Uploading data has been stopped.','en'),(4434,4032,'MailChimp','ru'),(4435,4033,'Интеграция сервиса MailChimp с поддержкой Ecommerce','ru'),(4436,4034,'Тип: список','ru'),(4437,4035,'Тип: галочка','ru'),(4438,4036,'MailChimp это маркетиногвай сервис по отправке почтовых сообщений с мощными средствами управления рассылками и подписчиками, позволяющими собирать и обрабатывать информацию эффективности маркетинговых кампаний.','ru'),(4439,4037,'Обновить список рассылок MailChimp','ru'),(4440,4038,'Список рассылок MailChimp','ru'),(4441,4039,'Сегменты списка рассылок \"{{list_name}}\" MailChimp','ru'),(4442,4040,'Настройки сегмента MailChimp','ru'),(4443,4041,'Подписка','ru'),(4444,4042,'Подпишитесь на наши новостные рассылки и будьте в курсе наших специальных предложений и акций.','ru'),(4445,4043,'Подписки на новости','ru'),(4446,4044,'Список','ru'),(4447,4045,'Фильтровать по частоте заказов','ru'),(4448,4046,'Заказов за последний месяц','ru'),(4449,4047,'Фильтровать по общей сумме заказов','ru'),(4450,4048,'Общая сумма заказов','ru'),(4451,4049,'Фильтровать по пользовательским группам','ru'),(4452,902,'Пользовательские группы','ru'),(4453,4050,'Фильтровать по определенным товарам','ru'),(4454,1074,'товары','ru'),(4455,4051,'Условия попадания подписчика в сегмент','ru'),(4456,4052,'здесь','ru'),(4457,406,'Месяц','ru'),(4458,4053,'Статический','ru'),(4459,4054,'Авто обновляемый','ru'),(4460,4055,'Без подписки','ru'),(4461,4056,'Web ID','ru'),(4462,4057,'Рейтинг рассылки','ru'),(4463,4058,'Кол-во подписчиков','ru'),(4464,4059,'Процент открытия','ru'),(4465,4060,'Процент переходов','ru'),(4466,4061,'Выбран по умолчанию','ru'),(4467,4062,'Позволяэт данному товару быть использованним как условие для сегмента MailChimp','ru'),(4468,927,'Никогда','ru'),(4469,4063,'1 минута','ru'),(4470,4064,'10 минут','ru'),(4471,4065,'15 минут','ru'),(4472,4066,'30 минут','ru'),(4473,4067,'1 час','ru'),(4474,4068,'2 часа','ru'),(4475,4069,'4 часа','ru'),(4476,4070,'6 часов','ru'),(4477,4071,'12 часов','ru'),(4478,4072,'1 день','ru'),(4479,4073,'2 деня','ru'),(4480,4074,'5 деня','ru'),(4481,4075,'1 неделя','ru'),(4482,4076,'Обновление списков MailChimp','ru'),(4483,4077,'Имя или фамилия пусты. Пожалуйста, добавьте новый адрес в адресную книгу или дополните существующий заполнив соответствующие поля для того, чтобы подписаться на данную рассылку.','ru'),(4484,4078,'Назад к списку сегментов','ru'),(4485,4079,'Подписка по умолчанию','ru'),(4486,4080,'Группы листа \"{{list_name}}\"','ru'),(4487,4081,'Значения группы \"{{group_name}}\"','ru'),(4488,4082,'Подпишитесь на новости и обновления любимого магазина. Узнавайте об эксклюзивных скидках, акциях и предложениях первым!','ru'),(4489,4083,'Подпишитесь на рассылку о новостях, акциях и скидках','ru'),(4490,4084,'Данная секция позволяет просматривать и управлять новостными подписками и группами пользователя (MailChimp).','ru'),(4491,4085,'Группы','ru'),(4492,4088,'Загрузите данные магазина в MailChimp для более эффективной работы рекомендаций товаров и поддержки оставленных корзин от MailChimp. Перед тем как нажать на кнопку, выберите списки, для которых требуется создать \"магазины\" в MailChimp. \"Магазин\" - это набор товаров, заказов, корзин и покупателей. MailChimp создаст \"магазины\" и привяжет их к спискам, которые вы указали. Данные из X-Cart будут выгружаться именно в эти магазины.<br><a href=\"{{url}}\" target=\"_blank\">Подробнее об опциях e-Commerce в MailChimp</a>','ru'),(4493,4087,'Выгрузить данные в MailChimp','ru'),(4494,4086,'Настройка опций e-Commerce','ru'),(4495,4089,'Хотите ли вы прорекламировать какой-то товар, поделиться важными новостями или рассказать историю - наш конфигуратор рассылок поможет вам с легкостью создать новостную рассылку, наилучшим образом соответствующую посланию, которое вы пытаетесь донести.','ru'),(4496,4090,'Подключить аккаунт MailChimp','ru'),(4497,4091,'Переподключить аккаунт MailChimp','ru'),(4498,4092,'Установить модуль MailChimp','ru'),(4499,4093,'Введите API ключ MailChimp вручную','ru'),(4500,4094,'Функция e-Commerce Analytics является ключевым компонентом функциональности данной интеграции.','ru'),(4501,4095,'Все купоны','ru'),(4502,4096,'Только купоны, которые соответствуют промо-правилам MailChimp','ru'),(4503,4108,'Showing results for','en'),(4504,4108,'Показаны результаты для','ru'),(4505,4109,'See details','en'),(4506,4109,'Подробнее','ru'),(4507,4110,'See more results for','en'),(4508,4110,'Показать больше результатов для','ru'),(4509,4111,'Suggestions','en'),(4510,4111,'Предложения','ru'),(4511,4112,'Products','en'),(4512,4112,'Товары','ru'),(4513,4113,'Categories','en'),(4514,4113,'Категории','ru'),(4515,4114,'Pages','en'),(4516,4114,'Страницы','ru'),(4517,4115,'Manufacturers','en'),(4518,4115,'Производители','ru'),(4519,4116,'Did you mean','en'),(4520,4116,'Возможно, вы имели в виду','ru'),(4521,4117,'Filters','en'),(4522,4117,'Фильтры','ru'),(4523,4118,'Reset all filters','en'),(4524,4118,'Сбросить все фильтры','ru'),(4525,4119,'Try clearing filters or different search terms.','en'),(4526,4119,'Попробуйте сбросить фильтры или ввести другое условие поиска.','ru'),(4527,4120,'No products matching the current filtering criteria were found. Try clearing filters.','en'),(4528,4120,'Товары, удовлетворяющие условиям фильтрации, не найдены. Попробуйте сбросить фильтры.','ru'),(4529,4121,'<i class=\"fa fa-exclamation-triangle\"></i> <a href=\"{{url}}\">CloudSearch</a> sets default sort order to relevance.','en'),(4530,4121,'<i class=\"fa fa-exclamation-triangle\"></i> Модуль <a href=\"{{url}}\">CloudSearch</a> по умолчанию сортирует товары по релевантности.','ru'),(4531,4122,'Payment statuses','en'),(4532,4122,'Статусы оплаты','ru'),(4533,4123,'Fulfilment statuses','en'),(4534,4123,'Статусы доставки','ru'),(4535,4124,'Order statuses','en'),(4536,4124,'Статусы ордера','ru'),(4537,4125,'Add status','en'),(4538,4125,'Добавить статус','ru'),(4539,4126,'To remove this status, you need to set the status of all the orders currently in this status to a different value','en'),(4540,4126,'Чтобы удалить данный статус надо у всех ордеров с этим статусом сменить статус на другой','ru'),(4541,4127,'System status: <b>{{code}}</b>. Cannot be deleted','en'),(4542,4127,'Системный статус: <b>{{code}}</b>. Не может быть удален','ru'),(4543,4128,'Payment status not found, new status will be created','en'),(4544,4128,'Статус оплаты заказа не найден, будет создан новый статус','ru'),(4545,4129,'Fulfilment status not found, new status will be created','en'),(4546,4129,'Статус доставки заказа не найден, будет создан новый статус','ru'),(4547,4130,'Enter file extensions separated by comma; for example, \"jpg,txt,svg\"','en'),(4548,4130,'Введите расширения файлов, разделяя запятой; например, \"jpg,txt,svg\"','ru'),(4549,4131,'Web server max upload file size limit is {{size}}','en'),(4550,4131,'Максимальный размер загружаемого файла, разрешенный Вашим веб-сервером - {{size}}','ru'),(4551,4132,'You can attach {{quantity}} more file(s)','en'),(4552,4132,'Вы можете добавить еще {{quantity}} файл(ов)','ru'),(4553,4133,'You can attach <span class=\"files-count\">{{quantity}}</span> file(s)','en'),(4554,4133,'Вы можете добавить <span class=\"files-count\">{{quantity}}</span> файл(ов)','ru'),(4555,4134,'Max allowed file size is {{size}}','en'),(4556,4134,'Максимально допустимый размер файла - {{size}}','ru'),(4557,4135,'Allowed file extensions: {{extensions}}','en'),(4558,4135,'Допустимые расширения: {{extensions}}','ru'),(4559,4136,'Attached files:','en'),(4560,4136,'Присоединенные файлы:','ru'),(4561,1359,'Загрузить файл','ru'),(4562,4137,'Delete attachment','en'),(4563,4137,'Удалить файл','ru'),(4564,4138,'Attach files','en'),(4565,4138,'Присоединить файлы','ru'),(4566,4139,'<span class=\"files-count\">{{quantity}}</span> file(s) attached','en'),(4567,4139,'<span class=\"files-count\">{{quantity}}</span> файлов загружено','ru'),(4568,4140,'Allow buyers to attach files to this product','en'),(4569,4140,'Разрешить покупателям прикреплять файлы к этому товару','ru'),(4570,4141,'The files have been attached successfully','en'),(4571,4141,'Файлы загружены','ru'),(4572,4142,'Unsupported file extension','en'),(4573,4142,'Неподдерживаемый тип файла','ru'),(4574,4143,'Cannot attach the file. The number of attached files may not exceed {{quantity}}','en'),(4575,4143,'Количество файлов не может превышать {{quantity}}','ru'),(4576,4144,'Cannot attach the file. The maximum attached file size may not exceed {{size}} MB','en'),(4577,4144,'Максимальный размер файла не должен превышать {{size}} МБ','ru'),(4578,4145,'File attachments are not allowed for this product','en'),(4579,4145,'Привязка файлов к этому товару недоступна','ru'),(4580,4146,'File uploads forbidden by web server','en'),(4581,4146,'Загрузка файлов запрещена веб-сервером','ru'),(4582,4147,'Attachment {{filename}} is deleted','en'),(4583,4147,'Присоединенный файл {{filename}} удален','ru'),(4584,4148,'Customer attachments were changed','en'),(4585,4148,'Прикрепленные покупателем файлы были изменены','ru'),(4586,4149,'File Attaching is mandatory for this product','en'),(4587,4149,'Загрузка файла необходима для добавления товара в корзину','ru'),(4588,4150,'You must attach a file to the product','en'),(4589,4150,'Вам необходимо присоединить файл для товара','ru'),(4590,4151,'You must attach a file','en'),(4591,4151,'Вам необходимо присоединить файл','ru'),(4592,4152,'Attach file','en'),(4593,4152,'Присоединить файл','ru'),(4594,4153,'Some files have not been attached','en'),(4595,4153,'Некоторые файлы не были загружены','ru'),(4596,4154,'Not finished order','en'),(4597,4154,'Незавершенный заказ','ru'),(4598,4155,'not finished','en'),(4599,4155,'не завершен','ru'),(4600,4156,'in case of failed or cancelled payment','en'),(4601,4156,'В случае неудачной оплаты','ru'),(4602,4157,'before payment','en'),(4603,4157,'до оплаты','ru'),(4604,4158,'Export of Not Finished orders is not supported. To export the orders which are now in this state, change their fulfillment status from Not Finished to any other.','en'),(4605,4158,'Экспорт незавершённых заказов не поддерживается. Для экспорта имеющихся заказов в данном статусе необходимо изменить их статус доставки с \'Не завершен\' на любой другой.','ru'),(4606,4159,'Not Finished orders were skipped during the export process. If you wish to export the orders which are now in this state, change their fulfillment status from Not Finished to any other.','en'),(4607,4159,'Незавершенные заказы были пропущены в процессе экспорта. Для экспорта заказов данного типа измените их статус доставки c \'Не завершен\' на любой другой.','ru'),(4608,4160,'Read','en'),(4609,4161,'Unread','en'),(4610,4162,'Messages','en'),(4611,4163,'Message not found','en'),(4612,4164,'Orders with unread messages','en'),(4613,4165,'Orders with any messages','en'),(4614,4166,'The field Body may not be blank','en'),(4615,4167,'Contact seller','en'),(4616,4168,'{{count}} unread messages','en'),(4617,4169,'Hidden messages ({{count}})','en'),(4618,4170,'Hide message history','en'),(4619,4171,'New message for order','en'),(4620,4172,'{{count}} new messages for order','en'),(4621,4173,'You Have No Messages','en'),(4622,4174,'Dispute opened by {{name}}','en'),(4623,4175,'Dispute closed by {{name}}','en'),(4624,4176,'Open dispute','en'),(4625,4177,'Close dispute','en'),(4626,4178,'A dispute has been opened successfully.','en'),(4627,4179,'The dispute has been closed.','en'),(4628,4180,'Monitoring of communication related to oder #{{order_number}} has been enabled.','en'),(4629,4181,'Monitoring of communication related to oder #{{order_number}} has been disabled.','en'),(4630,4182,'All communication threads','en'),(4631,4183,'Communication threads with unread messages','en'),(4632,4184,'Communication threads with open disputes','en'),(4633,4185,'Dispute opened on {{date}}, by {{name}}','en'),(4634,4186,'Write your message here','en'),(4635,4187,'Open a dispute','en'),(4636,4188,'Dispute','en'),(4637,4189,'Reason','en'),(4638,4190,'New messages','en'),(4639,4191,'Show vendor’s products in the order','en'),(4640,4192,'Hide vendor’s products in the order','en'),(4641,4193,'Disputes','en'),(4642,4194,'Conversation','en'),(4643,4195,'Conversations','en'),(4644,4196,'Conversation: {{members}}','en'),(4645,4197,'{{count}} new messages','en'),(4646,4198,'New message','en'),(4647,4199,'Mark all','en'),(4648,4200,'Mark selected','en'),(4649,4160,'Прочитано','ru'),(4650,4161,'Не прочитано','ru'),(4651,4162,'Сообщения','ru'),(4652,904,'Сообщение','ru'),(4653,4163,'Сообщение не найдено','ru'),(4654,2142,'Все заказы','ru'),(4655,4164,'Все заказы с непрочитанными сообщениями','ru'),(4656,4165,'Все заказы с сообщениями','ru'),(4657,4166,'Поле \'Сообщение\' не может быть пустым','ru'),(4658,4167,'Связаться с продавцом','ru'),(4659,4168,'{{count}} непрочитанных сообщений','ru'),(4660,4169,'Скрытые сообщения ({{count}})','ru'),(4661,4170,'Скрыть историю общения','ru'),(4662,4171,'Новое сообщение по заказу','ru'),(4663,4172,'{{count}} новых сообщений  по заказу','ru'),(4664,4173,'Нет сообщений','ru'),(4665,4174,'Диспут открыт {{name}}','ru'),(4666,4175,'Диспут закрыт {{name}}','ru'),(4667,4176,'Открыть диспут','ru'),(4668,4177,'Закрыть диспут','ru'),(4669,4178,'Диспут открыт','ru'),(4670,4179,'Диспут закрыт','ru'),(4671,4180,'Подписка на получение сообщений по заказу №{{order_number}} включена','ru'),(4672,4181,'Подписка на получение сообщений по заказу №{{order_number}} выключена','ru'),(4673,4182,'Все цепочки сообщений','ru'),(4674,4183,'Цепочки с непрочитанными сообщениями','ru'),(4675,4184,'Цепочки с открытыми диспутами','ru'),(4676,4185,'Диспут открыт {{date}}, {{name}}','ru'),(4677,4186,'Текст вашего сообщения','ru'),(4678,4187,'Открыть диспут','ru'),(4679,4188,'Диспут','ru'),(4680,4189,'Причина','ru'),(4681,4190,'Новые сообщения','ru'),(4682,4191,'Показать товары продавца','ru'),(4683,4192,'Скрыть товары продавца','ru'),(4684,4194,'Разговор','ru'),(4685,4195,'Разговоры','ru'),(4686,4196,'Разговор: {{members}}','ru'),(4687,4197,'{{count}} новых сообщений','ru'),(4688,4198,'Новое сообщение','ru'),(4689,4199,'Пометить все','ru'),(4690,4200,'Пометить выбранные','ru'),(4691,4201,'{{count}} products selected','en'),(4692,4201,'Выбрано {{count}} товар(ов)','ru'),(4693,4202,'Comparison table - {{count}} items','en'),(4694,4202,'Таблица для сравнения — {{count}} товар(ов)','ru'),(4695,4203,'Add a different product to compare','en'),(4696,4203,'Добавьте для сравнения другие товары','ru'),(4697,4204,'Clear list','en'),(4698,4204,'Очистить список','ru'),(4699,4205,'Differences only','en'),(4700,4205,'Оставить только отличия','ru'),(4701,4206,'Add to compare','en'),(4702,4206,'Сравнить','ru'),(4703,4207,'No products have been selected for comparison.','en'),(4704,4207,'Товары для сравнения не выбраны.','ru'),(4705,4208,'The product has been removed from the <a href=\"{{url}}\">comparison table</a>','en'),(4706,4208,'Товар удален из <a href=\"{{url}}\">таблицы сравнения</a>.','ru'),(4707,4209,'The product has been added to the <a href=\"{{url}}\">comparison table</a>','en'),(4708,4209,'Товар добавлен в <a href=\"{{url}}\">таблицу сравнения</a>','ru'),(4709,4210,'The comparison table has been cleared.','en'),(4710,4210,'Таблица сравнения очищена.','ru'),(4711,4211,'Tag','en'),(4712,4212,'New tag','en'),(4713,4213,'Product tags','en'),(4714,4214,'Please select the tags first','en'),(4715,4215,'Selected tags have been deleted','en'),(4716,4216,'Categories and tags','en'),(4717,4217,'<p class=\"items-list-blank-description-heading text-center\">Tags list is empty.</p><p class=\"text-center\">Tags help your customers to find products with the specific feature. You can add tags using the <b>\"New tag\"</b> button and then assign them to the product on its edit page.</p>','en'),(4718,4211,'Тег','ru'),(4719,4212,'Новый тег','ru'),(4720,5,'Теги','ru'),(4721,4213,'Теги товаров','ru'),(4722,4214,'Пожалуйста, сначала выберите тег','ru'),(4723,4215,'Выбранные теги были удалены','ru'),(4724,4216,'Категории и теги','ru'),(4725,4217,'<p class=\"items-list-blank-description-heading text-center\">Список тегов пуст.</p><p class=\"text-center\">Теги помогут вашим покупателям быстрее найти нужный товар. Вы можете добавить тег с помощью кнопки <b>\"Новый тег\"</b>. После этого его можно будет назначить товару на странице редактирования товара.</p>','ru'),(4726,4218,'Add first product','en'),(4727,4218,'Добавьте товар','ru'),(4728,4219,'Upload company logo','en'),(4729,4219,'Загрузите логотип','ru'),(4730,4220,'Verify geo settings','en'),(4731,4220,'Проверьте геонастройки','ru'),(4732,4221,'Set up shipping methods','en'),(4733,4221,'Настройте доставку','ru'),(4734,4222,'Set up payment gateways','en'),(4735,4222,'Настройте прием платежей','ru'),(4736,4223,'Save and go to the next step','en'),(4737,4223,'Сохранить и перейти к следующему шагу','ru'),(4738,4224,'Proceed to the next step','en'),(4739,4224,'Перейти к следующему шагу','ru'),(4740,4225,'Close wizard','en'),(4741,4225,'Закрыть помощник','ru'),(4742,4226,'Skip this step','en'),(4743,4226,'Пропустить шаг','ru'),(4744,4227,'The uploaded image is too large. Please resize this image and try again.','en'),(4745,4227,'Слишком большое изображение. Пожалуйсте, уменьшите его и повторите попытку.','ru'),(4746,4228,'Your store is {{X}}% ready to accept the first order.','en'),(4747,4228,'Основные настройки магазина выполнены на {{X}}%','ru'),(4748,4229,'Let’s setup your store.','en'),(4749,4229,'Приступим к настройке магазина','ru'),(4750,4230,'Congratulations! Your store has been installed.','en'),(4751,4230,'Поздравляем! Ваш магазин установлен.','ru'),(4752,4231,'This wizard will help you to set it up step by step. Your progress will appear at the top.<br/>As soon as you hit 100%, you’re all set to accept the first order.','en'),(4753,4231,'Этот мастер настройки поможет пошагово выполнить основные настройки магазина.<br/>Пройдя его до конца, вы сможете принять свой первый заказ.','ru'),(4754,4232,'Let\'s setup your store','en'),(4755,4232,'Приступить к настройке магазина','ru'),(4756,4233,'Skip and remind me later','en'),(4757,4233,'Закрыть и напомнить позднее','ru'),(4758,4234,'Close and don’t show again','en'),(4759,4234,'Закрыть и больше не показывать','ru'),(4760,4235,'Add your first product','en'),(4761,4235,'Добавим первый товар?','ru'),(4762,4236,'Here it is, the best place to show your items to the world. Get started by adding a product name, picture and price.','en'),(4763,4236,'Укажите название товара, загрузите его изображение и задайте цену','ru'),(4764,4237,'Learn how to import products from .CSV file','en'),(4765,4237,'Как импортировать товары с помощью .CSV файла','ru'),(4766,4238,'Add other options','en'),(4767,4238,'Задать дополнительные настройки','ru'),(4768,4239,'Enter product name','en'),(4769,4239,'Введите название товара','ru'),(4770,4240,'Click here to upload product image','en'),(4771,4240,'Загрузить картинку товара','ru'),(4772,4241,'(weight, description, sale price)','en'),(4773,4241,'(вес товара, описание, цена со скидкой)','ru'),(4774,4242,'Good going! You\'ve added 1 product','en'),(4775,4242,'Прекрасно! Ваш товар добавлен.','ru'),(4776,4243,'The newly created product is already in your storefront. <a href=\'{{storefront}}\' target=\'_blank\' :href=\'productUrl\'>Have a look!</a><br>Ready to delete demo products?','en'),(4777,4243,'Посмотрите, как он будет выглядеть <a href=\'{{storefront}}\' target=\'_blank\' :href=\'productUrl\'>на витрине магазина</a><br>. А теперь давайте удалим демо-товары.','ru'),(4778,4244,'I\'ll do it later','en'),(4779,4244,'Я удалю их позднее','ru'),(4780,4245,'Delete demo products','en'),(4781,4245,'Удалить демо-товары','ru'),(4782,4246,'Ready to delete demo products?','en'),(4783,4246,'Удалим демо-товары?','ru'),(4784,4247,'Done! We\'ve just deleted all your demo products','en'),(4785,4247,'Готово! Демо-товары удалены.','ru'),(4786,4248,'Add a few <a href=\'{{more}}\' target=\'_blank\'>more products</a> to your catalog or proceed to the next step — whatever makes you happy.','en'),(4787,4248,'Теперь можно <a href=\'{{more}}\' target=\'_blank\'>добавить еще один товар</a> в каталог.  А можно перейти к следующим настройкам.','ru'),(4788,4249,'You can view the newly created product in your <a href=\'{{storefront}}\' target=\'_blank\' :href=\'productUrl\'>storefront</a> or add a few <a href=\'{{more}}\' target=\'_blank\'>more products</a> to your catalog.','en'),(4789,4249,'Посмотрите, как выглядит новый товар <a href=\'{{storefront}}\' target=\'_blank\' :href=\'productUrl\'>на витрине</a> или <a href=\'{{more}}\' target=\'_blank\'>добавьте еще один товар</a> в каталог.','ru'),(4790,4250,'Upload your company logo','en'),(4791,4250,'Давайте добавим логотип компании','ru'),(4792,4251,'Design your online store to fit your brand','en'),(4793,4251,'и тут сразу станет уютнее ;)','ru'),(4794,4252,'<p>Click here to upload your logo. Recommended 400x150px (PNG, JPG, GIF)</p><button class=\'btn regular-button\'>Choose image</button>','en'),(4795,4252,'Нажмите сюда, чтобы загрузить логотип. Предпочтительно 400x150px (PNG, JPG, GIF)</p><button class=\'btn regular-button\'>Выберите изображение</button>','ru'),(4796,4253,'Good job! You company logo is added','en'),(4797,4253,'Готово! Логотип обновлен','ru'),(4798,4254,'Here is the way it looks like on desktop & mobile devices. Do you like it?','en'),(4799,4254,'Вот как он будет выглядеть на экранах. Нравится?','ru'),(4800,4255,'Upload a new logo','en'),(4801,4255,'Загрузить другой логотип','ru'),(4802,4256,'Learn how to customize your store with Layout Editor option','en'),(4803,4256,'Как еще я могу изменить внешний вид своего магазина?','ru'),(4804,4257,'(without writing a single line of code) - 2 min','en'),(4805,4257,'(за 2 минуты, и ни одной строчки кода!)','ru'),(4806,4258,'Configure your geographic settings to connect with local customers','en'),(4807,4258,'Давайте проверим географические и локализационные настройки','ru'),(4808,4259,'We\'ve tried to guess your country, currency and weight. Verify, please.','en'),(4809,4259,'Мы попытались угадать страну, валюту и единицу измерения веса. Все верно?','ru'),(4810,4260,'Ex.','en'),(4811,4260,'Например,','ru'),(4812,4261,'More localisation settings','en'),(4813,4261,'Более детальные настройки','ru'),(4814,4262,'Set your company info','en'),(4815,4262,'Добавьте информацию о компании','ru'),(4816,4263,'We will use this info to create invoices, send emails and calculate shipping rates for your customers.','en'),(4817,4263,'Эти данные будут отображаться в email-нотификациях, печататься на счете и использоваться для расчета стоимости доставки','ru'),(4818,4264,'Geo settings & company info are all set. Congrats!','en'),(4819,4264,'Прекрасно, локализацинные настройки и данные о компании обновлены','ru'),(4820,4265,'Do you need to ship your products?','en'),(4821,4265,'Ваши товары требуют доставки?','ru'),(4822,4266,'Yes, I sell tangible goods that need to be shipped','en'),(4823,4266,'Да, я продаю физические товары','ru'),(4824,4267,'Set up shipping','en'),(4825,4267,'Настроить доставку','ru'),(4826,4268,'I sell digital goods or services and do not need to set up shipping','en'),(4827,4268,'Я продаю цифровые товары или сервисы, поэтому доставка не требуется','ru'),(4828,4269,'Mark all products as non-shippable','en'),(4829,4269,'Отключить доставку товаров','ru'),(4830,4270,'Configure shipping rates for your store','en'),(4831,4270,'Давайте настроим стоимость доставки','ru'),(4832,4271,'Besides, you can manually define your shipping rates.','en'),(4833,4271,'Также, вы можете задать стоимость доставки вручную.','ru'),(4834,2584,'Прочитайте, как это сделать','ru'),(4835,4272,'My shipping','en'),(4836,4272,'Моя доставка','ru'),(4837,4273,'Module settings','en'),(4838,4273,'Настройки модуля','ru'),(4839,4274,'Here you can choose a shipping carrier to provide your customers with real-time quotes','en'),(4840,4274,'Выберите службу доставки для онлайн расчета стоимости доставки','ru'),(4841,4275,'Advanced shipping options','en'),(4842,4275,'Расширенные настройки доставки','ru'),(4843,4276,'Create shipping rate','en'),(4844,4276,'Сохранить новый тариф','ru'),(4845,4277,'Bingo! You\'ve added {{carrier}} as a shipping carrier','en'),(4846,4277,'Готово! {{carrier}} будет использоваться в магазине для расчета стоимости доставки','ru'),(4847,4278,'You\'ve successfully set up shipping areas and rates for your store','en'),(4848,4278,'Зоны доставки и тарифы настроены','ru'),(4849,4279,'Now you can define how shipping rates should be calculated based on delivery time, weight and other parameters.','en'),(4850,4279,'Теперь вы можете настроить, как стоимость доставки будет изменяться в зависимости от времени доставки, веса и других параметров.','ru'),(4851,4280,'Advanced shipping settings','en'),(4852,4280,'Расширенные настройки стоимости доставки','ru'),(4853,4281,'Manage your payment options','en'),(4854,4281,'Настроим способы оплаты','ru'),(4855,4282,'120+ supported payment gateways, such as PayPal, Authorize.net and Sage Pay, will let you accept payments from all over the world in multiple currencies and languages, offline & online.','en'),(4856,4282,'Выберите из более чем 120 интеграций с платежными системами, включая Yandex.Кассу, Web-money и PayPal. Мы моддерживаем множество валют и языков, поэтому ваш магазин может работать для клиентов со всего мира.','ru'),(4857,4283,'Offline method','en'),(4858,4283,'Оффлайн метод','ru'),(4859,4284,'Online method','en'),(4860,4284,'Онлайн метод','ru'),(4861,4285,'Some people simply prefer to place their orders by phone — let them do that.','en'),(4862,4285,'Некоторые покупатели предпочитают оформить заказ по телефону - почему бы и нет?','ru'),(4863,4286,'Set up offline & online payments','en'),(4864,4286,'Настроить другие методы оплаты','ru'),(4865,4287,'Launch','en'),(4866,4287,'Подключить','ru'),(4867,4288,'Excellent! Now you can get paid','en'),(4868,4288,'Ура! Теперь вы можете принимать платежи','ru'),(4869,4289,'Time to check how it works for your customers. Open the <a href=\'{{url}}\' target=\'_blank\'>storefront</a> to place a test order.','en'),(4870,4289,'Пора проверить, как все работает для покупателя. Перейдите к <a href=\'{{url}}\' target=\'_blank\'>витрине</a>, чтобы оформить тестовый заказ.','ru'),(4871,4290,'Need help setting up your store?','en'),(4872,4290,'Нужна помощь с настройкой?','ru'),(4873,4291,'Contact our expert','en'),(4874,4291,'Свяжитесь с нами','ru'),(4875,4292,'X-Cart professionals will easily materialize just about any idea you’ve got.','en'),(4876,4292,'Наши профессионалы помогут претворить в жизнь любые ваши идеи, даже самые смелые.','ru'),(4877,4293,'User manuals, release notes, modules, videos and more.','en'),(4878,4293,'Руководство по эксплуатации X-Cart и модулей, обучающие видео, описания новых версий и др.','ru'),(4879,4294,'Knowledge base','en'),(4880,4294,'Инструкции пользователя','ru'),(4881,4295,'Developer docs','en'),(4882,4295,'Документация для разработчиков','ru'),(4883,4296,'See the tutorials and documentation about X-Cart store customization.','en'),(4884,4296,'Все о модификациях дизайна и функционала магазинов на X-Cart','ru'),(4885,4297,'Sales & Customer Service:','en'),(4886,4297,'Позвоните нам','ru'),(4887,4298,'International: {{phone}}','en'),(4888,4298,'Международная линия: {{phone}}','ru'),(4889,4299,'Sales & Customer Service: {{phone}}','en'),(4890,4299,'Позвоните нам: {{phone}}','ru'),(4891,4300,'Could not save logo image','en'),(4892,4301,'My Shipping','en'),(4893,4302,'Onboarding Wizard','en'),(4894,4303,'Name length must be less then {{length}}','en'),(4895,4304,'If AustraliaPost returns shipping methods that do not exist in the available methods list, these methods will be created in the list automatically. You can specify whether these methods should be created as enabled and available to customers right away, or should be hidden from customers until you manually enable them on <a href=\"{{URL}}\">the shipping methods list page</a>.','en'),(4896,4305,'Before you can start configuring the Australia Post module, you must receive the available options for the configuration settings from Australia Post. Please click the button below.','en'),(4897,4306,'The option values have been successfully updated.','en'),(4898,4307,'API Login ID','en'),(4899,4308,'Transaction key','en'),(4900,4309,'Signature  key','en'),(4901,4310,'MD5 Hash protection','en'),(4902,4311,'The MD5 Hash feature allows you to authenticate that transaction responses are securely received from Authorize.Net.<br> You can configure the MD5 Hash value in the Security Setting sections of your merchant interface at <a href=\'http://account.authorize.net\'>http://account.authorize.net</a>','en'),(4903,4312,'To obtain the transaction key from the Merchant Interface, do the following:<br><ol><li>Log into the Merchant Interface</li><li>Select Settings from the Main Menu</li><li>Click on Obtain Transaction Key in the Security section</li><li>Type in the answer to the secret question configured on setup</li><li>Click Submit</li></ol>','en'),(4904,4313,'It\'s recommended to limit the length of invoice prefix to 9 characters. Larger prefixes will be cut prior to transaction initialization.','en'),(4905,4314,'Add this URL as the default Relay Response URL to the <b>Account</b> -> <b>Response/Receipt URLs</b> section in the <a href=\'https://account.authorize.net\'>Merchant Interface</a>:','en'),(4906,4315,'Relay Response URL is used to return the customer to invoice page after successful payment. Authorize.Net may issue the <b>Error 14</b> (The Referrer or Relay Response URL is invalid) in case this URL is not present in the <b>Merchant Interface</b>. <br/> Read more at the <a href=\'https://support.authorize.net/authkb/index?page=content&id=A601\' target=\'_blank\'>Authorize.Net Support Center</a>','en'),(4907,4316,'Don\'t have an account? <a href=\'{{link}}\' target=\'_blank\'>Sign Up Now</a>','en'),(4908,4317,'Hash protection type','en'),(4909,4318,'Required for SHA512 hash protection.','en'),(4910,4319,'Signature key','en'),(4911,4320,'Don\'t have an account? <a href=\"{{url}}\" target=\"blank\">Sign up for free</a>','en'),(4912,4321,'Your activation request was sent on {{date}}. Please be aware that the verification process to use Skrill Quick Checkout could take up to 72 hours. You will be contacted by Skrill once the verification process has been completed. After activation, Skrill will give you access to a new section in your Skrill Account called Merchant Tools. Please set your secret word in the Merchant Tools (do NOT use your password for this) and also enter it in the section below to connect to Skrill. The secret word is the last step of your activation process; it is needed to encrypt your payments securely. After successful submission you will be ready to use all the direct payment options of Skrill.','en'),(4913,4322,'Email address of your Skrill account','en'),(4914,4323,'Skrill Customer ID','en'),(4915,4324,'Secret Word','en'),(4916,4325,'You can set an order id prefix that will be added to each order number in your shop to make it unique (each transaction id must be unique for a Skrill account)','en'),(4917,4326,'This option is relevant only if you share your Skrill account with other online shops.','en'),(4918,4327,'Do you have questions?','en'),(4919,4328,'Skrill settings','en'),(4920,4329,'To process your customers\' payments with Skrill, you need a Skrill account. If you do not have one yet, you can sign up for free at http://www.skrill.com','en'),(4921,4330,'<strong>Skrill Quick Checkout</strong> enables you to take <strong>direct</strong> payments from credit cards, debit cards and over 80 other local payment options in nearly 200 countries. The highly competitive rates are published on the Skrill website <a href=\"https://signup.skrill.com/business/#/?lang=EN&rid=21477277\">www.skrill.com</a>','en'),(4922,4331,'Contact Skrill at <a href=\\\"mailto:newbusiness@paysafe.com\\\">newbusiness@paysafe.com</a>','en'),(4923,4332,'Address for sales tax calculation','en'),(4924,4333,'Click here to specify tax rates that will apply only to shipping charges','en'),(4925,4334,'Discounted subtotal','en'),(4926,4335,'Discounted subtotal + Shipping cost','en'),(4927,4336,'General tax rates','en'),(4928,4337,'Individual settings for every rate','en'),(4929,4338,'New rate','en'),(4930,4339,'Subtotal + Shipping cost','en'),(4931,4340,'Taxable base','en'),(4932,4341,'Tax rates for shipping charges have not yet been created.','en'),(4933,4342,'Tax rates have not yet been created.','en'),(4934,4343,'Tax rates on shipping cost','en'),(4935,4344,'Use the same tax rates for all user membership levels','en'),(4936,4332,'Адрес для расчета налога с продаж','ru'),(4937,4333,'Нажмите здесь, чтобы задать ставки налогов на стоимость доставки','ru'),(4938,4334,'Сумма заказа с учетом скидки','ru'),(4939,4335,'Сумма заказа с учетом скидки + стоимость доставки','ru'),(4940,4336,'Основные ставки налогов','ru'),(4941,4337,'Индивидуальные настройки для каждой ставки налога','ru'),(4942,4338,'Новая ставка','ru'),(4943,4339,'Сумма заказа + стоимость доставки','ru'),(4944,1241,'Сумма налога успешно удалена','ru'),(4945,1242,'Сумма налога не удалена','ru'),(4946,4340,'Налогооблагаемая база','ru'),(4947,4341,'Ставки налога на стоимость доставки пока не созданы.','ru'),(4948,4342,'Ставки налога пока не созданы.','ru'),(4949,4343,'Ставки налогов на стоимость доставки','ru'),(4950,4344,'Использовать одни и те же ставки налога для всех групп покупателей','ru'),(4951,1141,'Налог с продаж','ru'),(4952,4345,'MD5 hash value','en'),(4953,4346,'Use of Restriction key must be disabled in your Quantum Gateway merchant center account at all times. Please log in to your account, go to the Processing Settings section and make sure the setting \"Use restriction key\" is disabled.','en'),(4954,4347,'Include response in hash','en'),(4955,4348,'This value must be set in exactly the same way as it is set on the payment gateway end.','en'),(4956,4349,'2Checkout.com account number','en'),(4957,4350,'Order prefix','en'),(4958,4351,'Pricing currency','en'),(4959,4352,'To set up the integration, go to the ','en'),(4960,4353,'\"Site management\"','en'),(4961,4354,' page on the 2Checkout site and make sure of the following:','en'),(4962,4355,'The \"Pricing currency\" value here in X-Cart must be exactly the same as on 2Checkout\'s Site management page.','en'),(4963,4356,'The \"Approved URL\" value on 2Checkout\'s Site management page must be set to this','en'),(4964,4357,'<strong>U.S.P.S.</strong> module allows you to use online shipping rates calculation via <a href=\"http://www.usps.com/webtools\" target=\"_blank\">USPS Web Tools Ecommerce API</a>.','en'),(4965,4358,'Note: To enable/disable the \"Cash on delivery\" payment option, you should enable/disable the payment method \"Cash on delivery (U.S.P.S.)\" on the <a href=\"{{URL}}\">Payment methods page</a>.','en'),(4966,4359,'Refresh list of available methods','en'),(4967,4360,'Wrong container type selected: {{value}}. For large package size only the following types are allowed: RECTANGULAR, NONRECTANGULAR, VARIABLE','en'),(4968,4361,'{{value}} is an invalid container type for a REGULAR package. Valid Container is: VARIABLE','en'),(4969,4362,'USPS Shipments','en'),(4970,4363,'Tracking information was updated successfully','en'),(4971,4364,'The shipment has been voided successfully','en'),(4972,4365,'The shipment has been created successfully','en'),(4973,4366,'Shipment Id','en'),(4974,4367,'Delivery cost','en'),(4975,4368,'Shipping label','en'),(4976,4369,'Parcel type','en'),(4977,4370,'Parcel weight','en'),(4978,4371,'Parcel dimensions','en'),(4979,4372,'Irregular parcel girth','en'),(4980,4373,'Special services','en'),(4981,4374,'COD value','en'),(4982,4375,'Insurance value','en'),(4983,4376,'Label format','en'),(4984,4377,'Label size','en'),(4985,4378,'Hide total carrier charge','en'),(4986,4379,'Hide the carrier shipping charge on the label','en'),(4987,4380,'Non delivery option','en'),(4988,4381,'Use this field for instructions in case the package is not delivered.','en'),(4989,4382,'Print custom message 1','en'),(4990,4383,'This is a user specified message that gets printed on the face of the label. A string of up to 50 characters can be printed on the label.','en'),(4991,4384,'Print custom message 2','en'),(4992,4385,'This is a user specified message that gets printed on the bottom of the label. A string of up to 50 characters can be printed on the label.','en'),(4993,4386,'Shipping label sender signature','en'),(4994,4387,'Adds the sender’s signature and the date on CN22 and CP72 shipping labels. Enter the signature as a string. The Sender’s signature date is automatically populated.','en'),(4995,4388,'Create shipment','en'),(4996,4389,'Please note: the USPS Web tools APIs print labels without postage.','en'),(4997,4390,'<strong>Savings</strong> - Up to 49% off retail USPS postage rates','en'),(4998,4391,'<strong>Convenience</strong> - Verify addresses and buy & print compliant USPS labels directly from the X-Cart application','en'),(4999,4392,'<strong>Easy payment options</strong> - Ship Now Pay Later with a Pitney Bowes Line of Credit or use a credit card.','en'),(5000,4393,'Get started Now! Click here to create your <a href=\"{{url}}\" class=\"external\" target=\"_blank\">PITNEY BOWES Postage Account</a>','en'),(5001,4394,'Delivery date','en'),(5002,4395,'Estimate delivery date','en'),(5003,4396,'Girth','en'),(5004,4397,'PitneyBowes','en'),(5005,4398,'Ship date','en'),(5006,4399,'Unable to get merchant info','en'),(5007,4400,'Update date','en'),(5008,4401,'Update tracking info','en'),(5009,4358,'Важно: Чтобы включить/отключить вариант оплаты \"Наложенный платеж\", необходимо включить/отключить способ оплаты \"Наложеный платеж (U.S.P.S.)\" на <a href=\"{{URL}}\">странице Способов оплаты</a>.','ru'),(5010,4359,'Обновить список доступных методов','ru'),(5011,4360,'Выбран неправильный тип контейнера: {{value}}. Для указанного размера LARGE допустимы следующие значения для типа контейнера: RECTANGULAR, NONRECTANGULAR, VARIABLE','ru'),(5012,4361,'{{value}} - неправильное значение для размера REGULAR. Допустимое значение: VARIABLE','ru'),(5013,4362,'USPS Shipments','ru'),(5014,4363,'Tracking information was updated successfully','ru'),(5015,4364,'Shipment has been voided successfully','ru'),(5016,4365,'Shipment has been created successfully','ru'),(5017,4366,'Shipment Id','ru'),(5018,2419,'Tracking number','ru'),(5019,4367,'Delivery cost','ru'),(5020,4368,'Shipping label','ru'),(5021,2076,'Shipment options','ru'),(5022,2418,'Method name','ru'),(5023,4369,'Parcel type','ru'),(5024,4370,'Parcel weight','ru'),(5025,4371,'Parcel dimensions','ru'),(5026,4372,'Irregular parcel girth','ru'),(5027,4373,'Special services','ru'),(5028,4374,'COD value','ru'),(5029,4375,'Insurance value','ru'),(5030,4376,'Label format','ru'),(5031,4377,'Label size','ru'),(5032,4378,'Hide total carrier charge','ru'),(5033,4379,'Hide the carrier shipping charge on the label','ru'),(5034,4380,'Non delivery option','ru'),(5035,4381,'Use this field for instructions in case the package is not delivered.','ru'),(5036,4382,'Print custom message 1','ru'),(5037,4383,'This is a user specified message that gets printed on the face of the label. A string of up to 50 characters can be printed on the label.','ru'),(5038,4384,'Print custom message 2','ru'),(5039,4385,'This is a user specified message that gets printed on the bottom of the label. A string of up to 50 characters can be printed on the label.','ru'),(5040,4386,'Shipping label sender signature','ru'),(5041,4387,'Adds the sender’s signature and the date on CN22 and CP72 shipping labels. Enter the signature as a string. The Sender’s signature date is automatically populated.','ru'),(5042,4388,'Create shipment','ru'),(5043,4402,'Cards that can be used for your future orders in this shop. No real credit card data was saved, only a special token on the side of the payment processor that can be used in this store only.','en'),(5044,4403,'These payment methods were imported from your X-Payments. You can add them to your store at the ','en'),(5045,4404,'page.','en'),(5046,4405,'Re-import payment methods','en'),(5047,4406,'Import payment methods','en'),(5048,4407,'Click the button below to re-import payment methods from X-Payments.','en'),(5049,4408,'To be able to use the payment methods defined in X-Payments, you should import information about them from X-Payments. Click the button below, and X-Payments will return a list of payment methods available for this shopping cart.','en'),(5050,4409,'Request payment methods','en'),(5051,4410,'X-Payments returned the following payment methods for your shopping cart:','en'),(5052,4411,'X-Payments configuration ID','en'),(5053,4412,'Replace payment methods','en'),(5054,4413,'Cancel import and keep current payment methods','en'),(5055,4414,'X-Cart automatically checks the connection to X-Payments after the settings are saved.<br/> If the module is configured properly, a \"Test transaction completed successfully\" message is displayed at the top of the page.','en'),(5056,4415,'Once the connection is verified, you should proceed to the','en'),(5057,4416,'section.','en'),(5058,4417,'Use X-Payments configuration bundle','en'),(5059,4418,'Copy the Configuration bundle from Online Store Details page in your X-Payments dashboard, paste it here and click <strong>Deploy</strong>. <br />Connection will be completed automatically.','en'),(5060,4419,'Or fill in the settings manually','en'),(5061,4420,'Specify the URL of your X-Payments installation. <br/>Copy and paste the <b>Store ID</b>, <b>Public key</b>, <b>Private key</b> and <b>Private key password</b> from X-Payments Online Store Details page.','en'),(5062,4421,'Used credit cards','en'),(5063,4422,'Credit card','en'),(5064,4423,'Update default card','en'),(5065,4424,'Pay with previously used credit card','en'),(5066,4425,'Show all saved credit cards','en'),(5067,4426,'I want to use this credit card for my future orders in this shop.','en'),(5068,4427,'Configuration has been successfully deployed','en'),(5069,4428,'Your configuration string is not correct','en'),(5070,4429,'Test transaction completed successfully','en'),(5071,4430,'Test transaction failed. Please check the X-Payments Connector settings and try again. If all the settings are ok, review your X-Payments settings and make sure you have properly defined your shopping cart properties.','en'),(5072,4431,'There are no payment configurations for this store.','en'),(5073,4432,'An error occured during the requesting of payment methods from X-Payments. See log files for details.','en'),(5074,4433,'X-Payments transaction','en'),(5075,4434,'Save cards','en'),(5076,4435,'1.1 (X-Payments 1.0.5 and earlier)','en'),(5077,4436,'1.2 (X-Payments 2.0 and X-Payments 1.0.6)','en'),(5078,4437,'Add new credit card','en'),(5079,4438,'Saved credit cards','en'),(5080,4439,'Test transaction completed successfully for API version {{version}}','en'),(5081,4440,'Ok','en'),(5082,4441,'Save credit card','en'),(5083,4442,'Back to credit cards','en'),(5084,4443,'Important!','en'),(5085,4444,'We will authorize','en'),(5086,4445,'on your credit card in order to attach this credit card to your account. The amount will be released back to your card after a while.','en'),(5087,4446,'The transaction will be marked as','en'),(5088,4447,'Date, time','en'),(5089,4448,'Result payment status','en'),(5090,4449,'Transaction result','en'),(5091,4450,'The related payment has not been found. Apparently, it was deleted.','en'),(5092,4451,'KOUNT Antifraud screening result','en'),(5093,4452,'Score','en'),(5094,4453,'Rules triggered','en'),(5095,4454,'Authorize/charge the difference','en'),(5096,4455,'View payment information','en'),(5097,4456,'Go to payment details page','en'),(5098,4457,'Use one of the following cards to','en'),(5099,4458,'for this order','en'),(5100,4459,'Cards saved by the customer for future orders in this shop. No real credit cards were saved, only a special token on the side of the payment processor, which can be used in this store only.','en'),(5101,4460,'No active X-Payments payment methods, or saving credit cards is not activated.','en'),(5102,4461,'<b>Note:</b> No payment methods here because the module is not configured. Please finalize the settings at ','en'),(5103,4462,'Connection','en'),(5104,4463,'tab and get back here to configure methods.','en'),(5105,4464,'Start FREE Trial','en'),(5106,4465,'See how','en'),(5107,4466,'Open your X-Payments dashboard','en'),(5108,4467,'in','en'),(5109,4468,'X-Payments','en'),(5110,4469,'Configure your gateway','en'),(5111,4470,'Connect','en'),(5112,4471,'with','en'),(5113,4472,'Connect to X-Payments. Complete 3 easy steps.','en'),(5114,4473,'Open X-Payments dashboard to configure','en'),(5115,4474,'Connected!','en'),(5116,4475,'Conection with X-Payments is OK.','en'),(5117,4476,'Connection failed!','en'),(5118,4477,'Check the settings.','en'),(5119,4478,'Card saved','en'),(5120,4479,'Card has not been saved due to a payment processor error','en'),(5121,4480,'Payment methods have been imported successfully','en'),(5122,4481,'Do not use card setup','en'),(5123,4482,'Payment method for card setup','en'),(5124,4483,'1.3 (X-Payments 2.1)','en'),(5125,4484,'Authorize amount for card setup','en'),(5126,4485,'Description of the card setup payment','en'),(5127,4486,'Authorization period, days','en'),(5128,4487,'Charged amount','en'),(5129,4488,'Declined amount','en'),(5130,4489,'Difference','en'),(5131,4490,'Payment information','en'),(5132,4491,'Connection with X-Payments is OK.','en'),(5133,4492,'Order status mapping rules','en'),(5134,4493,'Refer to on-line manual','en'),(5135,4494,'Save credit card setup','en'),(5136,4495,'Trying to use unaccepted template change.','en'),(5137,4496,'X-Payments Dashboard','en'),(5138,4497,'X-Payments considers this transaction as potentially fraudlent.','en'),(5139,4498,'You should accept the changes at the','en'),(5140,4499,'Configuring of the payment methods presented possible in the <a href=\"{{xpadmin}}\" target=\"_blank\" >X-Payments backoffice</a> only. In case of any problems you need to review the X-Payments Connector module settings and if it&#39;s ok, review payment configurations settings on the X-Payments side.','en'),(5141,4500,'Note: In order to setup ePDQ essential payment gateway, you have to complete these steps: <ul><li>Log in to your ePDQ backoffice</li> <li>Open the \"Configuration\" -> \"Technical information\" page -> \"Global security parameters\" tab -> \"Hashing method\" section and select SHA-512 and UTF-8 options.</li> <li>Open the \"Configuration\" -> \"Technical information\" page -> \"Data and origin verification\" tab -> \"Checks for e-Commerce\" section and in the URL field enter this URL: <em>{{URL}}</em></li> <li>Define SHA-IN pass phrase in the corresponding section and further enter it here in X-Cart in the \"SHA-IN pass phrase\" field.</li> <li>Open the \"Configuration\" -> \"Technical information\" page -> \"Transaction feedback\" tab -> \"e-Commerce\" section and enable <em>I would like to receive transaction feedback parameters on the redirection URLs</em> option.</li> <li>Scroll down to the \"All transaction submission modes\" section and define SHA-OUT pass phrase and further enter it here in X-Cart in the \"SHA-OUT pass phrase\" field.</li></ul>','en'),(5142,4501,'PSPID','en'),(5143,4502,'SHA-IN pass phrase','en'),(5144,4503,'SHA-OUT pass phrase','en'),(5145,4504,'Currency','en'),(5146,4505,'Invoice number prefix','en'),(5147,4506,'Enable logging of ePDQ transactions','en'),(5148,4507,'Response from ePDQ is not trusted (SHA checking is failed)','en'),(5149,4508,'Unexpected result was received from ePDQ (transaction status is not set)','en'),(5150,4509,'Merchant ID','en'),(5151,4510,'SubID','en'),(5152,4511,'Public Certificate File','en'),(5153,4512,'Public Key','en'),(5154,4513,'Private Key','en'),(5155,4514,'Private Key Password','en'),(5156,4515,'Currency','en'),(5157,4516,'Invoice number prefix','en'),(5158,4517,'Enable logging of iDEAL transactions','en'),(5159,4518,'Something is wrong with the iDEAL payment module settings. Please try later or use a different payment option.','en'),(5160,4519,'Unexpected result was received from iDEAL (transaction status is not set)','en'),(5161,4520,'Payment return page requested without expected parameters','en'),(5162,4521,'Warning! This payment method requires OpenSSL extension. Please install and enable this extension in your PHP configuration.','en'),(5163,4522,'Warning! Please re-check public and private key values and private key password!','en'),(5164,4523,'Select issuer','en'),(5165,4524,'Unknown payment transaction','en'),(5166,4525,'The file with the certificate needs to be located in the directory {{certsDir}}','en'),(5167,4526,'<b>Canada Post</b> module allows you to use online shipping rates calculation via <a href=\"https://www.canadapost.ca\">Canada Post</a>.','en'),(5168,4527,'Products return {{return_number}}','en'),(5169,4528,'To request a return please complete the form below','en'),(5170,4529,'Return quantity','en'),(5171,4530,'Create return','en'),(5172,4531,'Deliver to Post Office','en'),(5173,4532,'There are no post offices available','en'),(5174,4533,'Tracking pins','en'),(5175,4534,'Delivery to Post Office','en'),(5176,4535,'No events found','en'),(5177,4536,'Attached files','en'),(5178,4537,'Created on','en'),(5179,4538,'Documents','en'),(5180,4539,'Parcel options','en'),(5181,4540,'In store currency (0 - do not use coverage)','en'),(5182,4541,'Parcel','en'),(5183,4542,'Shipment info','en'),(5184,4543,'Shipment ID','en'),(5185,4544,'Shipment status','en'),(5186,4545,'Tracking pin','en'),(5187,4546,'Return tracking pin','en'),(5188,4547,'PO Number','en'),(5189,4548,'Manifests','en'),(5190,4549,'Manifest ID','en'),(5191,4550,'Parcel characteristics','en'),(5192,4551,'Total items weight','en'),(5193,4552,'warning: parcel is overweight','en'),(5194,4553,'Box maximum weight','en'),(5195,4554,'Dimensions (cm)','en'),(5196,4555,'Document','en'),(5197,4556,'Unpackaged','en'),(5198,4557,'Mailing tube','en'),(5199,4558,'Oversized','en'),(5200,4559,'On shipment','en'),(5201,4560,'On exception','en'),(5202,4561,'On delivery','en'),(5203,4562,'Test Canada Post rates calculation','en'),(5204,4563,'Please note that rates are calculated for shipping from Canadian locations only.','en'),(5205,4564,'Canada Post settings','en'),(5206,4565,'Merchant registration wizard','en'),(5207,4566,'To start the registration process for a Canada Post merchant account click on the \"Register\" button.','en'),(5208,4567,'If you want to enable merchant registration wizard once again, please click on the following link','en'),(5209,4568,'enable merchant wizard','en'),(5210,4569,'Administrator notes','en'),(5211,4570,'Not specified','en'),(5212,4571,'18 years','en'),(5213,4572,'19 years','en'),(5214,4573,'shipments are picked up by Canada Post','en'),(5215,4574,'deposit your items at a Post Office','en'),(5216,4575,'Counter - will return the regular price paid by retail consumers','en'),(5217,4576,'Commercial - will return the contracted price between Canada Post and the contract holder','en'),(5218,4577,'Card (hold) for pick up','en'),(5219,4578,'Leave at door','en'),(5220,4579,'Do not safe drop','en'),(5221,4580,'Parcel cannot be voided or transmitted - wrong quote type','en'),(5222,4581,'Parcel cannot be transmitted - wrong quote type','en'),(5223,4582,'Enter Return # or Order #','en'),(5224,4583,'Return products','en'),(5225,4584,'Void shipment','en'),(5226,4585,'Are you sure you want to void this shipment?','en'),(5227,4586,'Transmit shipment','en'),(5228,4587,'Are you sure you want to transmit this shipment?','en'),(5229,4588,'Ordered qty','en'),(5230,4589,'Return qty','en'),(5231,4590,'Total weight','en'),(5232,4591,'Move item','en'),(5233,4592,'New parcel','en'),(5234,4593,'Return #','en'),(5235,4594,'CanadaPost settings','en'),(5236,4595,'Tracking details','en'),(5237,4596,'Search for returns','en'),(5238,4597,'The parcels have been successfully updated','en'),(5239,4598,'The shipment has been created with errors','en'),(5240,4599,'The shipment cannot be created','en'),(5241,4600,'The shipment has been voided with errors','en'),(5242,4601,'The shipment cannot be voided','en'),(5243,4602,'The shipment has been transmitted with errors','en'),(5244,4603,'The shipment has been transmitted successfully','en'),(5245,4604,'The shipment cannot be transmitted','en'),(5246,4605,'Shipments','en'),(5247,4606,'Return','en'),(5248,4607,'The products return has been registered.','en'),(5249,4608,'No items have been selected for return.','en'),(5250,4609,'Directory \"{{path}}\" is not writable or cannot be created','en'),(5251,4610,'Configure manually','en'),(5252,4611,'Authentication options','en'),(5253,4612,'Common options','en'),(5254,4613,'Contact name for the manifest address','en'),(5255,4614,'Contract ID','en'),(5256,4615,'Contract shipping options','en'),(5257,4616,'Coverage','en'),(5258,4617,'Currency rate','en'),(5259,4618,'Customer number','en'),(5260,4619,'Deliver to Post Office options','en'),(5261,4620,'Developer mode','en'),(5262,4621,'Enable \"Deliver to Post Office\" feature','en'),(5263,4622,'Failure to finish registration process.','en'),(5264,4623,'Failure to get token ID.','en'),(5265,4624,'Log all communications between shopping cart and Canada Post server','en'),(5266,4625,'Maximum Post Offices that will be displayed','en'),(5267,4626,'Non-delivery instructions','en'),(5268,4627,'Package height (cm)','en'),(5269,4628,'Package length (cm)','en'),(5270,4629,'Package maximum weight (kg)','en'),(5271,4630,'Package width (cm)','en'),(5272,4631,'Proof of age','en'),(5273,4632,'Quote type','en'),(5274,4633,'Registration process has been canceled.','en'),(5275,4634,'Registration process has been completed successfully.','en'),(5276,4635,'Render detailed manifest','en'),(5277,4636,'Shipments pick up type','en'),(5278,4637,'Site number of the deposit location','en'),(5279,4638,'Way to deliver','en'),(5280,4639,'Vendor name','en'),(5281,4640,'Processing mode','en'),(5282,4641,'Encryption Password','en'),(5283,4642,'Invoice number prefix','en'),(5284,4643,'Pricing currency','en'),(5285,4644,'Don\'t have an account yet? <a href=\"https://support.sagepay.com/apply/default.aspx?PartnerID=653E8C42-AD93-4654-BB91-C645678FA97B\">Sign up</a> for SagePay now!','en'),(5286,4645,'Sage Pay is UK\'s leading independent payment service provider (PSP) and is one of the most trusted payment brands. Every year Sage Pay processes billions of pounds worth of secure payments for its 50,000+ customers and makes the process of accepting payments online, over the phone, or in person simpler, faster, safer and more profitable for businesses.<br /><br />Sage Pay is a subsidiary of FTSE 100 business management software and services company The Sage Group plc.','en'),(5287,4646,'Please enter your encryption password (This is different from your merchant password). More info on encryption passwords is available <a href=\'{{link}}\'  target=\'_blank\'>here</a>','en'),(5288,4647,'{{count}} items ({{total}})','en'),(5289,4647,'{{count}} товаров ({{total}})','ru'),(5290,4648,'Payment processed with errors. Please, try again or ask administrator','en'),(5291,4648,'Токен пустой','ru'),(5292,4649,'CVC verification: {{state}}','en'),(5293,4649,'Проверка подлинности кредитной карты (CVC): {{state}}','ru'),(5294,4650,'Address line verification: {{state}}','en'),(5295,4650,'Проверка адреса: {{state}}','ru'),(5296,4651,'Address zipcode verification: {{state}}','en'),(5297,4651,'Проверка почтового индекса: {{state}}','ru'),(5298,4652,'Requested transaction type: {{actual}}; real transaction type: {{real}}','en'),(5299,4652,'Запрашивалася транзакция типа {{actual}}, а реально была выполнена типа {{real}}','ru'),(5300,4653,'Requested amount: {{actual}}; real amount: {{real}}','en'),(5301,4653,'Запрашивалось к оплате {{actual}}, а реально было оплачено {{real}}','ru'),(5302,4654,'Requested currency: {{actual}}; real currency: {{real}}','en'),(5303,4654,'Запрашивалось к оплате сумма в валюте {{actual}}, а реально было оплачено в валюте {{real}}','ru'),(5304,4655,'Copy \"Webhook URL\" and go to <a href=\"https://dashboard.stripe.com/account/webhooks\" target=\"_blank\">Account settings</a>','en'),(5305,4655,'Скопируйте \"Webhook URL\" и перейдите в <a href=\"https://dashboard.stripe.com/account/webhooks\" target=\"_blank\">Account settings</a>','ru'),(5306,4656,'Open the page <strong>\"Webhooks\"</strong> in the <strong>\"Developers\"</strong> section of dashboard.stripe.com: <a href=\"https://dashboard.stripe.com/account/webhooks\" target=\"_blank\">https://dashboard.stripe.com/account/webhooks</a>','en'),(5307,4656,'Откройте страницу <strong>\"Webhooks\"</strong> раздела </strong>\"Developers\"<strong> на dashboard.stripe.com: <a href=\"https://dashboard.stripe.com/account/webhooks\" target=\"_blank\">https://dashboard.stripe.com/account/webhooks</a>','ru'),(5308,4657,'In the section <strong>\"Endpoints receiving events from your account\"</strong>, click <strong>\"+ Add endpoint\"</strong>.','en'),(5309,4657,'В разделе <strong>\"Endpoints receiving events from your account\"</strong> выберите <strong>\"+ Add endpoint\"</strong>.','ru'),(5310,4658,'In the form that opens, paste the <strong>\"Webhook URL\"</strong> value into the field <strong>\"URL to be called\"</strong> and click <strong>\"Add endpoint\"</strong>.','en'),(5311,4658,'В открывшейся форме вставьте значение <strong>\"Webhook URL\"</strong> в поле <strong>\"URL to be called\"</strong> и выберите <strong>\"Add endpoint\"</strong>','ru'),(5312,4659,'More information on the setup of webhooks is available here: <a href=\"https://stripe.com/docs/webhooks#configuring-your-webhook-settings\" target=\"_blank\">https://stripe.com/docs/webhooks#configuring-your-webhook-settings</a>','en'),(5313,4659,'Больше информации по настройке вебхуков доступно здесь: <a href=\"https://stripe.com/docs/webhooks#configuring-your-webhook-settings\" target=\"_blank\">https://stripe.com/docs/webhooks#configuring-your-webhook-settings</a>','ru'),(5314,4660,'Disconnect','en'),(5315,4660,'Разъеденить','ru'),(5316,4661,'Status: <span>Connected</span> ({{mode}})','en'),(5317,4661,'Статус: <span>Соединено</span> ({{mode}})','ru'),(5318,4662,'Click \"Connect with Stripe\" to be redirected to Stripe.com','en'),(5319,4662,'Нажмите \"Connect with Stripe\" чтобы перейти на Stripe.com','ru'),(5320,4663,'<strong>Complete the form</strong> with your Company info to setup your account and start processing payments immedately.','en'),(5321,4663,'<strong>Заполняйте форму</strong>, имея на руках данные о Вашей компании. После регистрации Вы сможете сразу начать принимать платежи.','ru'),(5322,4664,'Refresh token','en'),(5323,4664,'Обновить токен','ru'),(5324,4665,'Your Stripe account is no longer accessible. Please connect with Stripe once again.','en'),(5325,4665,'Ваш Stripe аккаунт более недоступен. Пожалуста, пройдите соединение со Stripe еще раз.','ru'),(5326,4666,'Webhook URL is your store\'s URL through which Stripe informs your store about any changes in the order. For example, if you refund a payment transaction for a certain amount via Stripe backend, Stripe will send information about this refund to the store using a special request to the Webhook URL, and the store will update the order status to refunded. If Webhook URL is not specified, the store will not know that the order was updated in Stripe backend and the order status in the store will not be updated automatically.','en'),(5327,4666,'Webhook URL это URL Вашего магазина, через который Stripe оповещает магазин о изменениях в заказе. Например, если вы черезе Stripe backend сделаете refund плоатежной транзакции на некую сумму, то Stripe сообщит об этом магазину при помощи специального запроса к Webhook URL и магазин изменит состояние заказа на refunded. Иначе, если Webhook URL не указан, магазин об этом не узнает и закза не изменит свое состояние автоматически.','ru'),(5328,4667,'URL is copied','en'),(5329,4667,'URL скопирован','ru'),(5330,4668,'Show \"How to use\" instruction','en'),(5331,4668,'Показать инструкцию','ru'),(5332,4669,'Hide \"How to use\" instruction','en'),(5333,4669,'Спрятать инструкцию','ru'),(5334,4670,'Don\'t have an account?','en'),(5335,4671,'Publishable key','en'),(5336,4672,'Publishable key (test mode)','en'),(5337,4673,'Secret key (test mode)','en'),(5338,4674,'Ogone PSPID','en'),(5339,4675,'SHA-IN passphrase','en'),(5340,4676,'SHA-OUT passphrase','en'),(5341,4677,'Don\'t have an account? <a href=\"{{url}}\" target=\"blank\">Sign Up Now</a><br /><br />','en'),(5342,4678,'Note: In order to setup \'Ingenico Payment Services\' payment method, you have to complete these steps: <ul><li>Log in to your Ingenico Payment Services account</li> <li>Open the \"Configuration\" -> \"Technical information\" page -> \"Data and origin verification\" tab -> \"Checks for e-Commerce\" section and in the URL field enter this URL: <em>{{URL}}</em></li> <li>Define SHA-IN pass phrase in the corresponding section and further enter it here in X-Cart in the \"SHA-IN pass phrase\" field.</li> <li>Open the \"Configuration\" -> \"Technical information\" page -> \"Transaction feedback\" tab -> \"e-Commerce\" section and enable <em>I would like to receive transaction feedback parameters on the redirection URLs</em> option.</li> <li>Scroll down to the \"All transaction submission modes\" section and define SHA-OUT pass phrase and further enter it here in X-Cart in the \"SHA-OUT pass phrase\" field.</li></ul>','en'),(5343,4679,'PS Store ID','en'),(5344,4680,'HPP Key','en'),(5345,4681,'To set up the integration, go to the <a href=\"https://www3.moneris.com/mpg/\" target=\"_blank\">\"Site management\"</a> page on the eSelect site and make sure of the following:','en'),(5346,4682,'The \"PS Store ID\" and \"HPP Key\" value must be exactly the same as on it.','en'),(5347,4683,'The \"Approved URL\" value must be exactly as this:','en'),(5348,4684,'The \"Declined URL\" value must be exactly as this:','en'),(5349,4685,'Set the \"Response Method\" setting to \"Sent to your server as a POST\".','en'),(5350,4686,'Enable the \'Use \"Enhanced Cancel\"\' option.','en'),(5351,4687,'Approved URL','en'),(5352,4688,'Declined URL','en'),(5353,4689,'The \"Amazon Pay\" feature is not configured and cannot be used.','en'),(5354,4690,'The \"Amazon Pay\" feature requires https to be <a href=\"{{url}}\">properly set up</a> for your store.','en'),(5355,4691,'Amazon Seller ID','en'),(5356,4692,'If you do not have seller account, you can register here:<br /><a href=\"https://payments.amazon.com/signup?LD=SPEXUSAPA_XCart_core\" target=\"_blank\">USA</a>,&nbsp;<a href=\"https://payments.amazon.co.uk/preregistration/lpa?LD=SPEXUKAPA_XCart_core\" target=\"_blank\">UK</a>,&nbsp;<a href=\"https://payments.amazon.de/preregistration/lpa?LD=SPEXDEAPA_XCart_core\" target=\"_blank\">Germany</a>','en'),(5357,4693,'Operation mode','en'),(5358,4694,'Access Key ID','en'),(5359,4695,'Secret Access Key','en'),(5360,4696,'Client ID','en'),(5361,4697,'Register your website as an application on the <a href=\"http://login.amazon.com/manageApps\" trget=\"_blank\">Login with Amazon App Console</a>. For more information, see the <a href=\"https://images-na.ssl-images-amazon.com/images/G/01/lwa/dev/docs/website-gsg._TTH_.pdf\" target=\"_blank\">Login with Amazon Getting Started Guide</a>. A client identifier (Client ID) is set when you register your website. You will need this identifier for your integration.','en'),(5362,4698,'Country of Merchant account','en'),(5363,4699,'Capture mode','en'),(5364,4700,'Type of authorization request','en'),(5365,4701,'OrderId prefix','en'),(5366,4702,'Amazon Pay','en'),(5367,4703,'Refresh','en'),(5368,4704,'Refund refresh','en'),(5369,4705,'Authorization status: {{status}}','en'),(5370,4706,'Refund status: {{status}}','en'),(5371,4707,'Payment has been captured successfully.','en'),(5372,4708,'Payment capture error: {{error}}','en'),(5373,4709,'Payment have been voided successfully.','en'),(5374,4710,'Payment void error: {{error}}','en'),(5375,4711,'Payment has been refunded successfully.','en'),(5376,4712,'Refund is in progress...','en'),(5377,4713,'Payment refund error: {{error}}','en'),(5378,4714,'Payment has been authorized successfully.','en'),(5379,4715,'Payment has been declined.','en'),(5380,4716,'Payment transaction is in progress...','en'),(5381,4717,'There were problems with the payment method.','en'),(5382,4718,'Amazon has rejected the authorisation.','en'),(5383,4719,'Amazon could not process the transaction due to an internal processing error.','en'),(5384,4720,'To ensure that the status of payments in your store is updated automatically after Amazon processes the respective payment requests, you need to set up the endpoints.<br/><br/>Log in to Seller Central and select \'Integration Settings\' from the Settings drop-down box.<br/>Click Edit under the \'Instant Notifications Settings\' section and enter the Callback URL provided here into the \'Merchant URL\' field.','en'),(5385,4721,'Amazon Order Ref ID','en'),(5386,4722,'Callback URL','en'),(5387,4723,'Immediate Charge','en'),(5388,4724,'PayWithAmazon available actions','en'),(5389,4725,'Payment refresh error: {{error}}','en'),(5390,4726,'Refresh status','en'),(5391,4727,'Refund status','en'),(5392,4728,'This operation will cancel order. Payment authorization will be voided. Please confirm to proceed.','en'),(5393,4729,'This operation will capture funds from customer. Please confirm to proceed.','en'),(5394,4730,'This operation will refund funds to customer. Please confirm to proceed.','en'),(5395,4731,'Use existing Amazon account','en'),(5396,4732,'While merchant account ID and merchant ID sound similar, they are different values with distinct purposes.<br/><br/>Your <strong>merchant ID</strong> is a unique identifier for your entire gateway account.<br/><br/>Your <strong>merchant account ID</strong> is a unique identifier for a specific merchant account. Within your Braintree gateway, you can have multiple merchant accounts to process transactions for different businesses or currencies. If you have a single merchant account, it is not necessary to specify a merchant account ID in your API requests. If you have multiple merchant accounts and choose not to specify the merchant account ID, all requests will process through your default merchant account','en'),(5397,4733,'Public key','en'),(5398,4734,'<ol>\n<li>Sign in to your <a href=\"https://account.authorize.net/\">authorize.net</a> account.</li>\n<li>Go to \"Account\"; in the \"Security Settings\" section, select \"API Credentials & Keys\" link.</li>\n<li>Copy the  API Login ID value.</li>\n<li>Go to X-Cart and paste the API Login ID value you have copied into the \"API Login ID\" field on the payment method settings page.</li>\n<li>If you haven\'t yet created a Transaction key, do so. Copy the value of your Transaction key and paste it into the \"Transaction key\" field on the payment method settings page in X-Cart.</li>\n<li>Again, go to \"Account\"; in the \"Security Settings\" section, select \"Manage Public Client Key\".</li>\n<li>If the Client key has not yet been created, choose to create a Client key. Copy the Client key value and paste it into the \"Public key\" field on the payment method settings page in X-Cart.</li>\n</ol>\n','en'),(5399,4735,'Setup instruction','en'),(5400,4736,'Sign up for Authorize.net','en'),(5401,4737,'Prices set for specific membership levels override prices set for all customers','en'),(5402,4738,'Wholesale prices are disabled for this product because the product is on sale.','en'),(5403,4739,'Minimum purchase quantity','en'),(5404,4740,'Buy more for less','en'),(5405,4741,'or more items','en'),(5406,4742,'Wholesale pricing','en'),(5407,4743,'Quantity range','en'),(5408,4744,'Price tiers','en'),(5409,4745,'New tier','en'),(5410,4746,'All customers','en'),(5411,4747,'from','en'),(5412,4748,'The base price cannot be changed on this page.','en'),(5413,4749,'Set the price for this variant to define variant\'s personal wholesale prices','en'),(5414,4750,'View parent product\'s wholesale prices','en'),(5415,4751,'Wholesale prices are not defined','en'),(5416,4752,'The minimum amount of \"{{product}}\" product {{description}} allowed to purchase is {{min}} item(s). Please adjust the product quantity.','en'),(5417,4753,'Tier with same quantity range and membership already defined.','en'),(5418,4754,'<a href=\"{{variantsUrl}}\">{{variants}} variants</a> and <a href=\"{{wholesaleUrl}}\">wholesale prices</a> are defined','en'),(5419,4755,'Wholesale prices are defined','en'),(5420,4756,'\"Maximum order quantity (per product)\" is set to <strong>{{max_order_quantity}}</strong> in the settings. It will be <strong>ignored</strong> for this product since you have defined the minimum purchase quantity as <strong>{{min_purchase_quantity}}</strong>.','en'),(5421,4757,'\"Maximum allowed order subtotal\" is set to <strong>{{max_order_subtotal}}</strong> in the settings. It will be <strong>ignored</strong> for this product since you have specified <strong>{{product_amount}}</strong>&nbsp;(<strong>{{product_quantity}}&nbsp;*&nbsp;{{product_price}}</strong>) as the minimum purchase subtotal.','en'),(5422,4753,'Диапазон с таким же количеством и группой пользователей уже существует.','ru'),(5423,4754,'Для этого товара заданы <a href=\"{{variantsUrl}}\">{{variants}} вариант(ов)</a> и <a href=\"{{wholesaleUrl}}\">оптовые цены</a>','ru'),(5424,4755,'Для этого товара заданы оптовые цены','ru'),(5425,4756,'\"Ограничение по количеству товара при заказе (на одну позицию)\" указано в настройках как <strong>{{max_order_quantity}}</strong>. Данное ограничение <strong>не будет применено</strong> к текущему товару, т.к. вы установили минимальное количество для покупки равным <strong>{{min_purchase_quantity}}</strong>.','ru'),(5426,4757,'\"Максимально возможная сумма заказа\" указана в настройках как <strong>{{max_order_subtotal}}</strong>. Данное ограничение <strong>не будет применено</strong> к текущему товару, т.к. вы установили минимально возможную сумму заказа равной <strong>{{product_amount}}</strong>&nbsp;(<strong>{{product_quantity}}&nbsp;*&nbsp;{{product_price}}</strong>).','ru'),(5427,4758,'Variants','en'),(5428,4759,'Product variants','en'),(5429,4760,'The product does not have attributes with multiple options','en'),(5430,4761,'Choose the optional attributes that your variants will be based on','en'),(5431,4762,'{{count}} variants','en'),(5432,4763,'No variants added, and the product is not available for sale yet. Create at least one variant.','en'),(5433,4764,'Product variants are based on {{variants}}','en'),(5434,4765,'{{count}} variants are based on {{variants}}','en'),(5435,4766,'{{count}} options','en'),(5436,4767,'This item is out of stock','en'),(5437,4768,'This item is not available','en'),(5438,4769,'Default SKU','en'),(5439,4770,'Default QTY','en'),(5440,4771,'Add variant','en'),(5441,4772,'Variants have been created successfully','en'),(5442,4773,'Variants have been discarded successfully','en'),(5443,4774,'Variants have been updated successfully','en'),(5444,4775,'Variants have been successfully deleted','en'),(5445,4776,'Please, add product variants.','en'),(5446,4777,'To set product variants you should select attributes with multiple options. The product variants will be based on these attributes. For example, if you select Size and Color, you should create product variants with all the possible intersections of these two attributes.','en'),(5447,4778,'Create variants one by one','en'),(5448,4779,'Create all possible variants','en'),(5449,4780,'Add attributes','en'),(5450,4781,'Product with selected attribute value(s) is not available or out of stock. Please select another product.','en'),(5451,4782,'{{count}} variant(s) have been created','en'),(5452,4783,'A variant with the specified attribute values already exists ({{list}}).','en'),(5453,4784,'Variant ID \"{{value}}\" is already assigned to another product variant','en'),(5454,4785,'Default variant','en'),(5455,4786,'The number of variants that can be created based on the selected attributes exceeds {{limit}}. Too many variants may be difficult to manage and may slow down your site performance. We recommend optimizing your attribute values to decrease the number of variants.','en'),(5456,4787,'The number of variants that can be created based on the selected attributes exceeds {{limit}}. Too many variants may be difficult to manage and may slow down your site performance. Are you sure you want to create all possible variants?','en'),(5457,4788,'The number of variants that can be created based on the selected attributes exceeds {{limit}}. Such a number of variants may impair your site operability on certain pages. Please optimize your attribute values to decrease the number of variants or create variants manually.','en'),(5458,4789,'The number of created variants exceeds {{limit}}. Too many variants may be difficult to manage and may slow down your site performance. We recommend optimizing your attribute values to decrease the number of variants.','en'),(5459,4790,'unlimited','en'),(5460,4791,'Click the link to increase variant amount','en'),(5461,4792,'Variants list','en'),(5462,4793,'Default variant price','en'),(5463,4794,'Price range ($5 - $64)','en'),(5464,4795,'{{X}} variants are defined','en'),(5465,4796,'Clear QTY and disable inventory tracking for variants as well','en'),(5466,4797,'Inventory tracking can be enabled or disabled for each specific variant. To disable inventory tracking for a variant, ensure that the inventory tracking option for your store is turned off and clear any non-default value, if any, from the QTY field of the variant. The variant inventory will not be tracked as long as the variant OTY field remains blank. To start tracking the inventory of a variant even when the general inventory tracking option is disabled, simply specify the number of items of the variant you currently have on hand in the variant QTY field. <br><br> To disable inventory tracking for all the variants, simply enable this option; note that it will clear any existing QTY values for all the variants in your store.','en'),(5467,4798,'Variant sku must be unique','en'),(5468,4799,'id','en'),(5469,4759,'Варианты товара','ru'),(5470,4765,'{{count}} вариантов товара созданы на основании {{variants}}','ru'),(5471,4778,'Создавать варианты по одному','ru'),(5472,4784,'Идентификатор \"{{value}}\" уже назначен варианту другого товара','ru'),(5473,4793,'Цена варианта по умолчанию','ru'),(5474,4794,'Диапазон цен (мин. - макс.)','ru'),(5475,4795,'У товара есть {{X}} вариант(ов)','ru'),(5476,4796,'Также очистить количество и отключить контроль остатков для вариантов','ru'),(5477,4797,'Контроль остатков может быть включен или отключен для каждого варианта в отдельности. Чтобы отключить контроль остатков для какого-либо варианта, убедитесь, что опция контроля остатков для вашего магазина отключена, после чего очистите поле \"Количество\" для соответствующего варианта (при наличии в нем ненулевого значения). Отслеживание остатков варианта не будет осуществляться, пока поле \"Количество\" для данного варианта будет оставаться пустым. При необходимости осуществлять контроль остатков какого-либо варианта в ситуауции, когда  контроль остатков для магазина в целом отключен, достаточно указать имеющееся в наличии количество единиц варианта в поле \"Количество\" для данного варианта. <br><br> Чтобы отключить контроль остатков для всех вариантов, достаточно включить данную опцию; обратите внимание, что это приведет к очистке имеющихся значений в поле \"Количество\" для всех вариантов.','ru'),(5478,4798,'Артикул варианта должен быть уникальным','ru');
/*!40000 ALTER TABLE `xc_language_label_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_language_labels`
--

DROP TABLE IF EXISTS `xc_language_labels`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_language_labels` (
  `label_id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL,
  PRIMARY KEY (`label_id`),
  UNIQUE KEY `name` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=4800 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_language_labels`
--

LOCK TABLES `xc_language_labels` WRITE;
/*!40000 ALTER TABLE `xc_language_labels` DISABLE KEYS */;
INSERT INTO `xc_language_labels` VALUES (4354,' page and make sure that:'),(3395,'\"Cash on delivery\" status'),(4757,'\"Maximum allowed order subtotal\" is set to {{max_order_subtotal}} in the settings. It will be ignored for this product since you have specified {{product_amount}} ({{product_quantity}} * {{product_price}}) as the minimum purchase subtotal.'),(4756,'\"Maximum order quantity (per product)\" is set to {{max_order_quantity}} in the settings. It will be ignored for this product since you have defined the minimum purchase quantity as {{min_purchase_quantity}}.'),(4353,'\"Site management\"'),(2069,'\"X product\" options'),(1193,'\"{{number}}\" tracking number is added'),(1194,'\"{{number}}\" tracking number is removed'),(1848,'\"{{product}} product\" attributes'),(2019,'# selected'),(1,'%'),(2091,'\'RESULT\' argument not found'),(2086,'\'status\' request argument can not found'),(3629,'(disabled role)'),(4241,'(like categories, weight, description, color)'),(2084,'(optional)'),(4257,'(without writing a single line of code) - 2 min'),(449,'+12130000000'),(3968,'+15550000000'),(1792,'- OR -'),(253,'-- No categories --'),(2609,'...Downloading {{entry}}...{{status}}'),(2607,'...Hooks {{hooksCount}}'),(2606,'...Hooks {{hooksCount}}, Items {{itemsCount}}...'),(2605,'...Invoke {{type}} hook for {{entry}}...'),(2608,'...Unpacking {{entry}}...{{status}}'),(4072,'1 day'),(4067,'1 hour'),(4063,'1 minute'),(4075,'1 week'),(4435,'1.1 (X-Payments 1.0.5 and earlier)'),(4436,'1.2 (X-Payments 2.0 and X-Payments 1.0.6)'),(4483,'1.3 (X-Payments 2.1)'),(4064,'10 minutes'),(445,'1000 Example street'),(3969,'1000 Main Street'),(4071,'12 hours'),(4282,'120+ supported payment gateways, such as PayPal, Authorize.net and etc.'),(402,'14days'),(4065,'15 minutes'),(4571,'18 years'),(4572,'19 years'),(4073,'2 days'),(4068,'2 hours'),(4349,'2Checkout.com account number'),(4066,'30 minutes'),(403,'30days'),(4069,'4 hours'),(4074,'5 days'),(4070,'6 hours'),(401,'7days'),(448,'90001'),(2610,'<span>X</span> items'),(3965,'A - Z'),(1490,'A DB error occurred while uninstalling the module X'),(4178,'A dispute has been opened successfully'),(2242,'A new category will be created'),(453,'A new customer? Enter your e-mail'),(2239,'A new membership will be created'),(2240,'A new product class will be created'),(2238,'A new product will be created'),(3766,'A new review has been submitted for the product \"{{name}}\".'),(2241,'A new tax class will be created'),(3405,'A single domain'),(454,'ABA routing number'),(4307,'API Login ID'),(3446,'API access password'),(3445,'API access username'),(3450,'API certificate'),(3449,'API certificate filename'),(3440,'API credentials for payments and post-checkout operations'),(3448,'API signature'),(390,'APRIL'),(394,'AUGUST'),(2483,'About X remaining'),(2784,'About clean urls'),(455,'Absolute'),(456,'Accept'),(2733,'Accept[TT]'),(457,'Accepted orders'),(4694,'Access Key ID'),(3232,'Access denied'),(459,'Access denied!'),(460,'Access information'),(461,'Access is locked out'),(462,'Access level'),(2754,'Access level cannot be changed (from {{prevValue}} to {{value}}) for existing profile ({{login}})'),(3233,'Access link has been successfully sent'),(463,'Account'),(464,'Account details'),(262,'Account settings'),(465,'Account status'),(466,'Account summary'),(2615,'Accounting'),(2397,'Action'),(1486,'Action X::Y, M'),(41,'Activate'),(39,'Activate existing key'),(38,'Activate free license'),(3071,'Activate free license & remove premium features.'),(45,'Activate free license description'),(1672,'Activate key'),(467,'Activate license key'),(2517,'Activate purchased skin'),(2294,'Activate your X-Cart'),(2292,'Activate your X-Cart installation'),(2293,'Activate your X-Cart installation first'),(32,'Activate your license key'),(468,'Activate your paid module license'),(469,'Active'),(470,'Active from'),(471,'Active till'),(472,'Add'),(3569,'Add PIN codes'),(473,'Add Product'),(4248,'Add a few [more products] to your catalog or proceed to the next step - whatever makes you happy.'),(3234,'Add addons'),(3235,'Add address'),(474,'Add alternative payment method'),(1918,'Add attribute'),(4780,'Add attributes'),(2704,'Add banner'),(475,'Add category'),(476,'Add child'),(2700,'Add comment here'),(2871,'Add countries'),(3343,'Add coupon'),(477,'Add discount'),(478,'Add featured products'),(2074,'Add featured products for \"X\"'),(3392,'Add featured products for the front page'),(479,'Add file'),(4218,'Add first product'),(480,'Add image'),(146,'Add language'),(481,'Add markup'),(482,'Add new'),(483,'Add new address'),(484,'Add new country'),(3336,'Add new coupon'),(4437,'Add new credit card'),(485,'Add new exception'),(145,'Add new label'),(149,'Add new language'),(486,'Add new membership level'),(487,'Add new option'),(488,'Add new option group'),(489,'Add new state'),(490,'Add offline payment method'),(4238,'Add other options'),(4203,'Add other products to compare'),(491,'Add payment method'),(3575,'Add pin codes'),(2839,'Add product'),(1974,'Add products'),(1652,'Add rates'),(3900,'Add related products'),(3779,'Add response'),(3697,'Add review'),(3109,'Add sales channel'),(492,'Add shipping method'),(1657,'Add state'),(1656,'Add states'),(4125,'Add status'),(493,'Add subcategory'),(2404,'Add to bag'),(51,'Add to cart'),(4206,'Add to compare'),(1196,'Add tracking number'),(494,'Add user'),(4771,'Add variant'),(495,'Add your _products_'),(3717,'Add your own review'),(496,'Add zone'),(2423,'Add-on does not exist.'),(497,'Add-ons'),(498,'Add/update options'),(499,'Added'),(3342,'Added coupons'),(2947,'Added files'),(2206,'Added items'),(501,'Added to cart'),(3967,'Added to comparison table'),(3515,'Additional PayPal Business Account'),(3496,'Additional criteria to match for PayPal account verification'),(3429,'Additional settings'),(914,'Addons Marketplace'),(502,'Address'),(503,'Address book'),(504,'Address details'),(505,'Address field'),(506,'Address fields'),(4332,'Address for sales tax calculation'),(1851,'Address has been deleted'),(1846,'Address is not selected'),(4650,'Address line verification: X'),(3236,'Address masks'),(1847,'Address not found'),(507,'Address pattern'),(3237,'Address type'),(1845,'Address type has wrong value'),(4651,'Address zipcode verification: X'),(2571,'Address zone'),(4005,'Addresses'),(1783,'Addresses list is empty'),(4387,'Adds the sender’s signature and the date on CN22 and CP72 shipping labels. Enter the signature as a string. The Sender’s signature date is automatically populated.'),(508,'Admin'),(1332,'Admin has requested a change of password for your account. Please change the password before you proceed.'),(509,'Administration Zone'),(510,'Administrator'),(1544,'Administrator Zone'),(2438,'Administrator account cannot be deleted via customer interface.'),(2333,'Administrator header'),(4569,'Administrator notes'),(2334,'Administrator signature'),(2337,'Administrator subject'),(2338,'Administrator text'),(2415,'Advanced Order Management'),(4275,'Advanced shipping options'),(4280,'Advanced shipping settings'),(3403,'Advanced statistics with Google Analytics'),(2083,'After activation Skrill will give you access to a new section in your Skrill account called \"Merchant tools\". Please choose a secret word (do not use your password for this) and enter it into the merchant tools section and below.'),(1307,'After clicking this button, your hard/soft reset links will be regenerated. You need it in case old links were compromised.'),(1431,'After the problem has been fixed, try to connect again.'),(2760,'After the problem has been fixed, try to connect again.\', {\'clear_cache\': url(\'addons_list_marketplace'),(1516,'After the upgrade is completed please check your website. If you find that the site is inoperative, please try to do the following'),(1837,'Aggregation cache has been cleaned'),(3884,'Air service center'),(250,'All'),(683,'All Addresses (default zone)'),(368,'All Order Statuses'),(418,'All User Types'),(511,'All add-ons'),(2957,'All addons'),(2161,'All attributes'),(3678,'All classes from this category'),(4182,'All communication threads'),(1859,'All countries'),(512,'All customers'),(4746,'All customers wholesale'),(2761,'All items'),(2203,'All items cannot be removed from the order.'),(2138,'All levels'),(416,'All membership levels'),(513,'All memberships'),(3578,'All newest products'),(3914,'All news'),(2142,'All orders'),(2127,'All payment statuses'),(2684,'All payment transaction statuses'),(515,'All products on sale'),(1782,'All rights reserved.'),(516,'All shipping methods'),(2128,'All shipping statuses'),(517,'All shipping zones'),(769,'All states'),(2407,'All statuses'),(6,'All tags'),(514,'All the necessary adaptation will be done by the developer.'),(518,'All the products are in sufficient quantities'),(519,'All time'),(3579,'All upcoming products'),(2414,'All user types'),(3748,'All users'),(1788,'All words'),(4140,'Allow buyers to attach files to this product'),(4062,'Allow this product to be used as a MailChimp segment condition'),(4135,'Allowed file extensions: X'),(3681,'Alphabetical'),(522,'Alphabetically'),(1688,'Already added'),(1727,'Already exists'),(523,'Already have an account?'),(2676,'Also the system has detected problems with the following modules'),(2787,'Also, to manage your redirects you can define 301 redirects in .htaccess file.'),(3062,'Also, you can review X-Cart recommended hosting providers'),(112,'Alt'),(524,'Alternative payment methods'),(525,'Alternative text'),(298,'Alternatively, upload file sqldump.sql.php to the var/backup/ sub-directory click on the \"Restore from server\" button'),(2762,'Although you can switch the store to use the secure protocol for the website pages, most Internet browsers will likely display a warning message scaring your website visitors away.'),(2634,'Amazon'),(4721,'Amazon Order Ref ID'),(4691,'Amazon Seller ID'),(4720,'Amazon callback URL help'),(4719,'Amazon could not process the transaction due to an internal processing error.'),(4718,'Amazon has rejected the authorisation.'),(4703,'AmazonRefresh'),(4704,'AmazonRefundRefresh'),(526,'Amount'),(527,'Amount: high to low'),(528,'Amount: low to high'),(1870,'An attempt to update settings of unknown payment method'),(2360,'An error occurred while sending the request'),(2476,'An error occurred, please try again. If the problem persists, contact the administrator.'),(2477,'An error occurred, please try again. If the problem persists, contact the administrator. (txnNote)'),(1742,'An upgrade is a dangerous process that may result in a crashed website.'),(529,'An upgrade is a dangerous process that may result in a crashed website. It is strongly recommended to create a full back up of your shop (the code and the database) and download it to a local computer before proceeding to the next step.'),(1939,'Anonymous'),(2139,'Anonymous (access level)'),(222,'Anonymous Customer'),(223,'Anonymous Customer, _Registered User with the same email_'),(2029,'Anonymous Customers'),(3763,'Anonymous reviewer'),(3613,'Anonymous users only'),(3238,'Another bulk change in progress, please try again later'),(530,'Another state'),(134,'Any availability status'),(423,'Any category'),(137,'Any class'),(531,'Any membership level'),(532,'Any product class'),(2553,'Any profile'),(3692,'Any rating'),(3987,'Any special needs?'),(424,'Any status'),(2186,'Any stock status'),(3612,'Any visitors'),(1789,'Any word'),(533,'Any zone'),(3970,'Anyland'),(3971,'Anytown'),(2627,'App type'),(534,'Appearance'),(3309,'Applied discount coupon'),(3093,'Apply attribute value changes for all the products'),(535,'Apply destination'),(536,'Apply price'),(3657,'Apply sort and view settings for all products'),(2940,'Apply sorting globally'),(3239,'Apply to billing address'),(3091,'Apply unsharp mask filter on resize'),(1761,'Apply value changes globally'),(1760,'Apply value changes locally'),(3708,'Approve'),(3699,'Approve review'),(4687,'Approved URL'),(537,'Are you sure you want to continue?'),(538,'Are you sure you want to delete the selected user?'),(2651,'Are you sure you want to delete this filter?'),(1685,'Are you sure you want to delete this profile?'),(539,'Are you sure you want to disable this add-on?'),(2840,'Are you sure you want to enable https anyway?'),(540,'Are you sure you want to enable this add-on?'),(4587,'Are you sure you want to transmit this shipment?'),(2402,'Are you sure you want to uninstall selected add-ons?'),(541,'Are you sure you want to uninstall this add-on?'),(4585,'Are you sure you want to void this shipment?'),(542,'Are you sure you wish to delete the selected zones?'),(543,'Are you sure?'),(544,'Arrival date'),(546,'Ask.com'),(2458,'Assign entered Clean URL to this page anyway'),(547,'Assigned classes'),(545,'Asynchronous'),(4152,'Attach file'),(4138,'Attach files'),(4536,'Attached files'),(4136,'Attached files:'),(4147,'Attachment X is deleted'),(3400,'Attachment has been deleted successfully'),(548,'Attachment is not deleted'),(3356,'Attachment removed'),(549,'Attachments'),(550,'Attachments have been updated successfully'),(3059,'Attention!'),(3159,'Attention! You are creating an account with full access. Roles warning'),(1588,'Attribute'),(28,'Attribute data will be lost. warning text'),(1587,'Attribute group'),(1584,'Attribute name'),(1579,'Attribute option'),(3130,'Attribute value ID'),(1585,'Attribute values'),(3131,'Attribute values (select)'),(140,'Attributes'),(772,'Attributes block'),(338,'Attributes for X product class'),(1849,'Attributes have been successfully changed'),(1899,'Attributes have been updated successfully'),(1914,'Attributes imported'),(551,'Australia Post settings'),(2108,'Auth'),(3430,'Auth and Capture'),(3431,'Auth only'),(552,'Authentication'),(553,'Authentication code'),(4611,'Authentication options'),(554,'Author'),(2063,'Authorization and Capture'),(2064,'Authorization only'),(4486,'Authorization period, days'),(4705,'Authorization status: {{status}}'),(555,'Authorization then capture'),(4484,'Authorize amount for card setup'),(4454,'Authorize/charge the difference'),(4734,'AuthorizeNet accept.js instruction text'),(2721,'Authorize[TT]'),(370,'Authorized'),(1838,'Authorized amount'),(556,'Auto'),(4054,'Auto-Updated'),(2763,'Autogenerate'),(1686,'Autogenerate Clean URL'),(2081,'Autogenerated'),(2643,'Automate Shipping Refunds'),(2620,'Automate shipping'),(2622,'Automate your shipping process with the services of our partners: print shipping labels, grab shipping orders info from eBay, ETSY, Amazon and other marketplaces; integrate with several shipping carriers in one spot and more.'),(3572,'Automatically'),(557,'Availability'),(3378,'Available after purchase'),(3363,'Available for download'),(558,'Available for sale'),(2550,'Avalara, a leader in US sales tax automation, provides a solution that can make your life easier by providing accurate and up-to-date tax rates for products you sell.'),(3724,'Average rating'),(2903,'Awaiting processing'),(559,'B'),(266,'BEGIN - END of TOTAL'),(1826,'Back'),(1793,'Back to Login form'),(2681,'Back to Trial mode'),(3850,'Back to Webmaster mode'),(771,'Back to Zones list'),(4442,'Back to credit cards'),(560,'Back to file select'),(561,'Back to layout settings'),(562,'Back to methods'),(1794,'Back to modules'),(3855,'Back to notification settings'),(2341,'Back to notifications list'),(563,'Back to order list'),(3734,'Back to product details'),(4020,'Back to products'),(4078,'Back to segments list'),(2597,'Back to shipping methods'),(3797,'Back to templates list'),(324,'Backend payment transaction X issued'),(2764,'Background export is in progress'),(564,'Backup'),(565,'Backup database'),(2041,'Backup your store with Backup Master'),(566,'Bank Account Number'),(925,'Bank name'),(3461,'Banner on Cart page'),(3459,'Banner on Category pages'),(3458,'Banner on Home page'),(3460,'Banner on Product details pages'),(2703,'Banner rotation'),(3726,'Based on'),(3747,'Be the first and leave a feedback.'),(1621,'Before editing attributes specific for the chosen type you should save the changes'),(2543,'Before enabling HTTPS protocol read this article:'),(2290,'Before installing a paid addon for this installation, you need to activate your X-Cart license.'),(4305,'Before you can start configure Australia Post module you should update available options from Australia Post. Please click button below.'),(567,'Benchmark completed in '),(568,'Benchmark result under 3000ms is considered good'),(569,'Bestsellers'),(2660,'Bill to'),(2875,'Billing'),(570,'Billing address'),(2094,'Billing address is not defined'),(571,'Billing address is not defined yet'),(1829,'Billing address is the same as Shipping'),(2879,'Billing to'),(572,'Bing'),(4277,'Bingo! You\'ve added carrier as a shipping carrier'),(3388,'Block'),(3824,'Block is disabled'),(3823,'Block is enabled'),(2072,'Blocked'),(3362,'Blocked by administrator'),(2868,'Body'),(4553,'Box maximum weight'),(573,'Brief description'),(574,'Brief descrption'),(3652,'Brief info'),(3658,'Brief info help'),(575,'Browse server'),(4018,'Bulk Edit processing in progress...'),(4010,'Bulk edit'),(4012,'Bulk edit all'),(4015,'Bulk edit has been processed successfully.'),(4016,'Bulk edit processing has been interrupted.'),(4017,'Bulk edit processing may take a while to complete. Please do not close this page until the process is fully completed.'),(4021,'Bulk edit selected'),(3240,'Business premium features'),(2216,'Buy'),(2492,'Buy Business Edition'),(576,'Buy more'),(4740,'Buy more for less'),(2447,'Buy prolongation'),(1803,'C.O.D. fee included'),(577,'CLOSE'),(2009,'CM'),(4374,'COD value'),(578,'CSS & JavaScript'),(2392,'CSV delimiter'),(2167,'CSV file has the wrong filename format.'),(3055,'CSV format tables'),(1989,'CSV or ZIP files, total max size: {{size}}'),(4649,'CVC verification: X'),(3241,'CVV / CVC'),(1814,'CVV2'),(2478,'Cache management'),(579,'Cache rebuild is already started, please wait'),(2481,'Calculate quick data'),(2482,'Calculate quick data help text'),(580,'Calculate rates'),(2484,'Calculating quick data...'),(447,'California'),(1816,'Call us: '),(4722,'Callback URL'),(3364,'Can be downloaded only after buying the product'),(2558,'Can be provided only for offline shipping methods.'),(2560,'Can be provided only for online shipping methods.'),(3441,'Can be set up later'),(3553,'Can not be disabled for products with manually defined PIN codes'),(581,'Can\'t be disabled. The module is required by:'),(582,'Can\'t connect to the Addons Marketplace server'),(2036,'Can\'t connect to the marketplace server'),(3986,'Can\'t subscribe you right now. Try later'),(4526,'Canada Post module allows to use online shipping rates calculation via Canada Post'),(4564,'Canada Post settings'),(4594,'CanadaPost settings'),(161,'Cancel'),(4413,'Cancel import and keep current payment methods'),(3598,'Cancel sale'),(3601,'Cancel sale for all'),(372,'Canceled'),(2691,'Canceled[S]'),(2973,'Canceling'),(4144,'Cannot attach the file. The maximum attached file size may not exceed X MB'),(4143,'Cannot attach the file. The number of attached files may not exceed X'),(4097,'Cannot authenticate'),(1905,'Cannot autogenerate clean URL for the product name \"{{name}}\". Please specify it manually.'),(2945,'Cannot check the files for this module'),(2200,'Cannot create temporary order for modification'),(2346,'Cannot gather modules from the marketplace. Please try later.'),(3848,'Cannot get flexy content'),(3555,'Cannot remove a sold PIN code'),(303,'Cannot set X permissions for subdirectories:'),(2109,'Capture'),(4699,'Capture mode'),(2725,'Capture multiple[TT]'),(2724,'Capture partially[TT]'),(583,'Capture status'),(2723,'Capture[TT]'),(1839,'Captured amount'),(4577,'Card (hold) for pick up'),(2306,'Card number'),(4478,'Card saved'),(2303,'Card type'),(4479,'Card was not saved due to payment processor error'),(1809,'Cardholder name'),(4459,'Cards saved by the customer for the future orders in this shop. No real credit cards were saved, only special token on the side of the payment processor, that can be used in this store only.'),(4402,'Cards which can be used for your future orders in this shop. No real credit cards were saved, only special token on the side of the payment processor, that can be used in this store only.'),(1187,'Carrier'),(2594,'Carrier service'),(2595,'Carrier service name'),(2593,'Carrier services'),(2562,'Carrier-calculated rates'),(1824,'Cart'),(584,'Cart & checkout'),(2183,'Cart contains products with wrong quantity'),(2182,'Cart contains products with wrong quantity. Please correct this to proceed'),(232,'Cart is empty'),(2077,'Cash on delivery'),(585,'Catalog'),(586,'Categories'),(4216,'Categories and tags'),(1915,'Categories imported'),(2982,'Categories processed'),(2985,'Categories processed: X out of Y'),(2984,'Categories processed: X out of Y with errors'),(2986,'Categories processed: {{count}}'),(587,'Category'),(3878,'Category description'),(102,'Category icon'),(3052,'Category id or path is required'),(588,'Category info'),(589,'Category name'),(590,'Category name contains invalid symbols'),(2759,'Category name should not be empty'),(591,'Category page title'),(592,'Category path contains invalid symbols'),(3054,'Category with id X not found, new category will be created'),(593,'Change'),(594,'Change address'),(1815,'Change attributes'),(3157,'Change fulfillment status for selected'),(595,'Change method'),(596,'Change options'),(1433,'Change password'),(597,'Change payment info'),(3156,'Change payment status for selected'),(599,'Change shipping'),(598,'Change shipping info'),(3242,'Change template'),(2204,'Changed items'),(2205,'Changed options'),(3815,'Changes may be incompatible with TinyMCE. Are you sure to proceed?'),(1758,'Changes of attributes globally'),(1759,'Changes of attributes locally'),(2218,'Character set'),(4487,'Charged amount'),(1740,'Check again'),(600,'Check all'),(3846,'Check directory permissions'),(2533,'Check for available free disk space has failed'),(2841,'Check for updates'),(601,'Check number'),(4002,'Check shipping info'),(3186,'Check the article how to check your emails'),(4477,'Check the settings.'),(3188,'Check your email deliverability'),(602,'Checking'),(603,'Checking integrity, please wait...'),(236,'Checkout'),(3989,'Checkout type'),(604,'Choose'),(605,'Choose _payment methods_'),(2519,'Choose a new template'),(4003,'Choose another address'),(2305,'Choose card type'),(3680,'Choose classes...'),(606,'Choose file'),(607,'Choose from a variety of bundled payment solutions to accept credit cards and other methods of payment on your website'),(608,'Choose method'),(2881,'Choose shipping'),(609,'Choose shipping method'),(4761,'Choose the optional attributes that your variants will be based on'),(1796,'Choose the product options first'),(2491,'Choose the right plan'),(3944,'Choose your location'),(1632,'Choosing \"URLs\" will link the exported data to your public files (product and category images, downloadable files shown on product pages, and so on) through direct URLs'),(2304,'Chose credit card type'),(610,'City'),(1445,'City masks'),(2162,'Classes & Attributes'),(1866,'Classes & attributes'),(3677,'Classes for product filter'),(611,'Clean URL'),(2766,'Clean URLs'),(664,'Clean URLs are disabled'),(662,'Clean URLs are disabled. More info'),(2765,'Clean URLs are disabled. More info\', {\'more_info_url\': url(\'settings\', \''),(663,'Clean URLs are enabled'),(666,'Clean URLs functionality may not be enabled. More info'),(616,'Clean aggregation cache'),(72,'Clean aggregation cache help text'),(617,'Clean widgets cache'),(73,'Clean widgets cache help text'),(618,'CleanURL'),(615,'Clean_urls_error_message'),(1540,'Cleanup'),(1537,'Cleanup queries'),(2899,'Clear all caches'),(2900,'Clear all caches text'),(1800,'Clear all fields'),(4796,'Clear and disable inventory tracking for variants as well'),(619,'Clear bag'),(3243,'Clear cache help text'),(56,'Clear cart'),(4204,'Clear list'),(132,'Clear search'),(4662,'Click Connect with Stripe to be redirected to Stripe.com'),(620,'Click here to access/add subcategories'),(4333,'Click here to specify tax rates that will apply only to shipping charges'),(4240,'Click here to upload product image'),(4252,'Click here to upload your logo. Recommended 400x150px (PNG, JPG or SVG)'),(621,'Click here to view states of country'),(1612,'Click if you do not want to add this value to new products or class’s assigns automatically'),(1613,'Click if you want to add this value to new products or class’s assigns automatically'),(4060,'Click rate'),(4407,'Click the button below to re-import payment methods from X-Payments.'),(2217,'Click the link to increase product amount'),(4791,'Click the link to increase variant amount'),(3516,'Click this to access the PayPal sign-in page and sign in using your PayPal account different from the account specified above.'),(1651,'Click to add rates'),(1655,'Click to add states'),(1719,'Click to close'),(3402,'Click to edit'),(1658,'Click to edit all this label translations'),(1650,'Click to edit rates'),(1654,'Click to edit states'),(3086,'Click to expand menu'),(3999,'Click to finish your order'),(1718,'Click to open'),(4001,'Click to proceed to the next step'),(4011,'Click to specify'),(622,'Click to unblock'),(201,'Clicking the Place order button you accept: Terms and Conditions'),(4696,'Client ID'),(1571,'Clone'),(2965,'Clone selected'),(1570,'Clone this product'),(141,'Cloned products'),(379,'Close'),(4177,'Close dispute'),(623,'Close storefront'),(4225,'Close wizard'),(1947,'Closed'),(2628,'Cloud Service'),(2629,'Cloud Zoom'),(2630,'Cloud Zoom mode'),(2631,'Cloud Zoom mode Inside'),(2632,'Cloud Zoom mode Outside'),(4121,'CloudSearch sets default sort order to relevance'),(624,'Code'),(3518,'Color'),(2907,'Column X is required'),(3580,'Coming soon'),(2388,'Coming soon (title)'),(3591,'Coming soon...'),(1711,'Comma'),(625,'Comment'),(626,'Comments'),(2005,'Commercial'),(4576,'Commercial - will return the contracted price between Canada Post and the contract holder'),(4612,'Common options'),(1203,'Common tax settings'),(2131,'Communication log'),(3505,'Communication problem'),(4184,'Communication threads with open disputes'),(4183,'Communication threads with unread messages'),(1933,'Compact view'),(627,'Company'),(628,'Company name'),(2093,'Compare'),(1817,'Compare products'),(1546,'Compare your result with other servers'),(4202,'Comparison table - X items'),(1730,'Complete'),(1830,'Complete billing address'),(629,'Completed'),(630,'Component'),(4475,'Conection with X-Payments is OK.'),(3000,'Config file'),(631,'Configuration'),(4427,'Configuration has been successfully deployed'),(1646,'Configure'),(3876,'Configure Tag Manager'),(632,'Configure _shipping methods_'),(4610,'Configure manually'),(3404,'Configure the Google Analytics module to view the advanced statistics'),(3387,'Configure your X-Cart installation to support large file downloads.'),(4469,'Configure your gateway'),(4258,'Configure your geographic settings to connect with local customers'),(633,'Configure your store'),(4499,'Configuring of the payment methods presented possible in the X-Payments backoffice only. In case of any problems you need to review the X-Payments Connector module settings and if it\'s ok, review payment configurations settings on the X-Payments side.'),(158,'Confirm deletion'),(634,'Confirm password'),(2498,'Confirmation'),(1728,'Confirmation does not match'),(180,'Congratulations! Your order has been placed successfully'),(4470,'Connect'),(3509,'Connect to PayPal'),(4472,'Connect to X-Payments. Do 3 easy steps.'),(4090,'Connect with your MailChimp account'),(3975,'Connect your store to MailChimp'),(3507,'Connected to PayPal; Merchant ID: {{merchantId}}'),(4474,'Connected!'),(2788,'Connecting to the marketplace...'),(4462,'Connection'),(4476,'Connection failed!'),(4491,'Connection with X-Payments is OK.'),(3126,'Consistency check'),(3135,'Consistency has not yet been checked. Initiate an consistency check by clicking the button \"Refresh consistency status\".'),(4331,'Contact Skrill at newbusiness@paysafe.com'),(3160,'Contact Us page settings'),(4613,'Contact name for the manifest address'),(4291,'Contact our expert'),(4167,'Contact seller'),(3602,'Contact us'),(3072,'Contact us if you have any questions.'),(31,'Contact us trial notice'),(3386,'Contact your hosting provider to make sure X-Sendfile is installed on the server.'),(635,'Contacts'),(636,'Content'),(4030,'Content has script tags (Froala)'),(3621,'Content page title'),(637,'Continue'),(1831,'Continue as guest'),(57,'Continue shopping'),(70,'Continue...'),(4614,'Contract ID'),(4615,'Contract shipping options'),(4391,'Convenience - Verify addresses and buy & print compliant USPS labels directly from the X-Cart application'),(4194,'Conversation'),(4196,'Conversation: X'),(4195,'Conversations'),(2708,'Convert failed transactions into real orders'),(3841,'Convert templates'),(113,'Copy'),(4655,'Copy Webhook URL and go to Account settings'),(638,'Copy file to local server'),(4418,'Copy the value of the Configuration field from X-Payments Online Store Details page, paste the string here and click Deploy. All the connection settings will be specified automatically.'),(114,'Copy to clipboard'),(111,'Copy to file system'),(1698,'Core version'),(639,'Core version: '),(3631,'Could not add the discount because another discount already exists for the specified subtotal range and membership level'),(3550,'Could not assign X PIN codes to order #Y.'),(2473,'Could not assign upgrade access level to your license keys'),(4300,'Could not save logo image'),(3632,'Could not update the discount because another discount already exists for the specified subtotal range and membership level'),(2845,'Couldn\'t download the banner {{value}} from URL'),(2710,'Couldn\'t download the image {{value}} from URL'),(2048,'Couldn\'t move X images. See log for details.'),(2047,'Couldn\'t move image X'),(1535,'Count'),(4575,'Counter - will return the regular price paid by retail consumers'),(640,'Countries'),(2314,'Countries information has been successfully updated'),(641,'Countries, states and zones'),(642,'Country'),(643,'Country is not selected'),(4698,'Country of Merchant account'),(3338,'Coupon'),(3346,'Coupon cannot be combined with other coupons'),(644,'Coupon code'),(3316,'Coupon discount'),(3334,'Coupon discount can be limited to customers with these membership levels'),(3333,'Coupon discount can be limited to these product classes'),(645,'Coupons'),(4616,'Coverage'),(646,'Create'),(648,'Create SQL file'),(649,'Create a backup'),(650,'Create account'),(4779,'Create all possible variants'),(651,'Create an account for later use'),(652,'Create category'),(2431,'Create label'),(653,'Create new account'),(1986,'Create new items and update existing items'),(3919,'Create news message'),(647,'Create profile'),(4530,'Create return'),(4388,'Create shipment'),(4276,'Create shipping rate'),(4778,'Create variants one by one'),(1318,'Create zone'),(654,'Created'),(4537,'Created on'),(4422,'Credit card'),(1810,'Credit card number'),(2313,'Credit card security code (if present)'),(3535,'Credit or debit card (Visa, MasterCard, American Express, Discover, and so on)'),(3244,'Critical'),(1984,'Critical error'),(1519,'Critical errors have been detected in the files you are trying to import. Check the manual to correct the errors and try again.'),(1706,'Curl options'),(1705,'Curl version'),(655,'Currency'),(4617,'Currency rate'),(2996,'Current password'),(2199,'Current price for the selected configuration and quantity: X'),(2512,'Current template'),(2082,'Custom'),(657,'Custom CSS'),(3104,'Custom CSS & JS'),(100,'Custom HTML title'),(658,'Custom JavaScript'),(656,'Custom addons'),(1994,'Custom attributes'),(659,'Custom images'),(1922,'Custom offline shipping'),(2563,'Custom table rates'),(660,'Custom translation'),(221,'Customer'),(2137,'Customer access level'),(3885,'Customer counter'),(3228,'Customer email (if exist)'),(2331,'Customer header'),(2201,'Customer information'),(3710,'Customer name'),(220,'Customer note'),(4618,'Customer number'),(3735,'Customer reviews'),(2332,'Customer signature'),(2335,'Customer subject'),(2336,'Customer text'),(661,'Customer zip/postal code'),(1548,'Customer zone is closed for maintenance.'),(4148,'Customer`s attachments were changed'),(1911,'Customers'),(1912,'Customers imported'),(3581,'Customers who bought this product also bought'),(3582,'Customers who viewed this product bought'),(3517,'Customize the PayPal button'),(4256,'Customize your store with Layout Editor option'),(398,'DECEMBER'),(2635,'DHL'),(2010,'DM'),(3886,'Daily Pickup'),(3290,'Dashboard'),(1520,'Data has not been found'),(668,'Data have been deleted successfully'),(669,'Data have been saved successfully'),(3245,'Data removal has been completed successfully.'),(3246,'Data removal has been stopped.'),(3247,'Database'),(670,'Database backup created successfully'),(1887,'Database restored successfully!'),(671,'Date'),(3248,'Date and time in the shop'),(3162,'Date and time in the store'),(3161,'Date and time on the server'),(1799,'Date range'),(410,'Date range should less than %d days'),(409,'Date range should longer than %d days'),(3329,'Date when customers can start using the coupon'),(3330,'Date when the coupon expires'),(4447,'Date, time'),(3583,'Date: newest first'),(3584,'Date: oldest first'),(672,'Day'),(378,'Days'),(673,'Dear'),(316,'Dear X'),(674,'Dear customer'),(675,'Decline'),(2734,'Decline[TT]'),(676,'Declined'),(4688,'Declined URL'),(4488,'Declined amount'),(677,'Default'),(4770,'Default QTY'),(4769,'Default SKU'),(678,'Default customer address'),(1920,'Default for admins'),(679,'Default for customer zone and can not disabled or deleted'),(680,'Default for customer zone and cannot be disabled or deleted'),(1919,'Default for customers'),(2685,'Default image settings'),(681,'Default images settings'),(1581,'Default option'),(2779,'Default site meta description'),(2780,'Default site meta keywords'),(2778,'Default site title'),(138,'Default tax class'),(1622,'Default value'),(4785,'Default variant'),(4793,'Default variant price'),(436,'Default zone tooltip text'),(1103,'Default-sort-option'),(684,'Define classes'),(3530,'Delayed'),(160,'Delete'),(4245,'Delete Demo products'),(169,'Delete Language'),(685,'Delete SQL file'),(2437,'Delete account'),(686,'Delete all'),(1620,'Delete all files'),(4137,'Delete attachment'),(2650,'Delete filter option'),(69,'Delete item'),(687,'Delete profile'),(688,'Delete selected'),(689,'Delete selected profile'),(1523,'Delete temporary files after the import is completed'),(690,'Delete the image'),(691,'Delete this address?'),(4531,'Deliver to Post Office'),(4619,'Deliver to Post Office options'),(60,'Delivery'),(3887,'Delivery confirmation - adult signature required'),(3888,'Delivery confirmation - no signature'),(3889,'Delivery confirmation - signature required'),(4367,'Delivery cost'),(4394,'Delivery date'),(4004,'Delivery method'),(692,'Delivery methods'),(2555,'Delivery time'),(4534,'Delivery to Post Office'),(280,'Depending on the size of your data file, importing may take some time.'),(2112,'Deploy'),(52,'Description'),(4485,'Description of the card setup payment'),(4251,'Design your online store to fit your brand'),(2056,'Destination address'),(693,'Destination zone'),(694,'Details'),(3249,'Developer'),(4295,'Developer docs'),(4620,'Developer mode'),(2970,'Developer wave'),(2378,'Developers docs'),(4489,'Difference'),(4205,'Differences only'),(3291,'Dimensions'),(4554,'Dimensions (cm)'),(695,'Directories and files permissions'),(359,'Directory X does not have permissions to write. Please set necessary permissions to directory X.'),(4609,'Directory X is not writable'),(1917,'Directory does not have permissions to write'),(1710,'Directory is empty'),(165,'Disable'),(3250,'Disable HTTPS'),(2964,'Disable all'),(696,'Disable all modules in the system'),(3904,'Disable mutual links'),(2962,'Disable selected'),(697,'Disable suspicious modules'),(698,'Disabled'),(3008,'Disabled functions'),(1615,'Disabled in catalog'),(168,'Disabled language can not be set as default for customer zone'),(1904,'Disabled language cannot be default.'),(699,'Disabled language cannot be set as default for customer zone'),(2120,'Disabled modules hooks message body'),(2119,'Disabled modules hooks message head'),(2958,'Disabled only'),(792,'Disables all addons except ones that are provided by X-Cart Team & Qualiteam (soft reset)'),(791,'Disables all addons except ones that are provided by X-Cart Team (hard reset)'),(1207,'Disables all modules except ones that were downloaded from marketplace (soft reset)'),(3819,'Discard changes'),(4660,'Disconnect'),(700,'Discount'),(701,'Discount amount'),(702,'Discount type'),(4334,'Discounted subtotal'),(4335,'Discounted subtotal + Shipping cost'),(3101,'Discounts'),(703,'Display \'inc/ex VAT\' labels next to prices'),(3879,'Display all templates'),(1205,'Display common settings'),(3451,'Display the \"Buy Now with PayPal\" button'),(704,'Display type'),(1928,'Displays the number of labels translated to the language'),(4188,'Dispute'),(4175,'Dispute closed by X'),(4185,'Dispute is open X by Y'),(4174,'Dispute opened by X'),(4193,'Disputes'),(705,'Do not close this page!'),(1747,'Do not replace selected files and ignore their newer versions'),(4579,'Do not safe drop'),(2145,'Do not see your payment method? Find it on our Marketplace'),(2789,'Do not see your payment method? Find it on our Marketplace\', {\'url\': url(\'addons_list_marketplace\', \'\', {\'tag\': \'Payment processing'),(2185,'Do not select anything if you want to make the product visible to all customers.'),(706,'Do not show at startup anymore'),(3679,'Do not show the filter'),(4481,'Do not use card setup'),(1522,'Do not verify images to increase speed of the process'),(4327,'Do you have questions?'),(4265,'Do you need to ship your products?'),(2612,'Do you really want to close storefront?'),(3905,'Do you really want to delete all relations from this product?'),(707,'Do you really want to delete selected items?'),(3048,'DocBlocks support'),(4555,'Document'),(4538,'Documents'),(2669,'Does not match license type (requires {{list}} edition)'),(3472,'Don\'t have account yet?'),(4644,'Don\'t have account yet? Sign up for SagePay now!'),(4670,'Don\'t have an account?'),(4320,'Don\'t have an account? Sign up for free'),(3593,'Don\'t label'),(4247,'Done! We ve just deleted all your demo products'),(708,'Dont have account yet?'),(4316,'Dont have an account? Sign Up Now'),(2040,'Don’t forget to create a backup!'),(1720,'Double quote'),(3251,'Download'),(1990,'Download CSV files'),(709,'Download SQL file'),(1633,'Download all files in a single archive'),(2719,'Download error file'),(3368,'Download link did not found'),(3366,'Download link is blocked'),(3369,'Download link is not active'),(3370,'Download link is renew'),(3367,'Download links is blocked'),(3371,'Download links is renew'),(710,'Downloaded components'),(711,'Downloading updates'),(712,'Downloading updates, please wait...'),(3359,'Downloads left'),(713,'Drag and drop me to the bag'),(3863,'Drag-n-drop blocks'),(1521,'Drop existing items before import'),(714,'Drop items here to shop'),(715,'Drupal frontend'),(337,'Duplicated clean URL: X'),(285,'During the import was recorded X errors. You can get them by downloading the log files.'),(4086,'E-Commerce features setup'),(1818,'E-Mail'),(3438,'E-Mail address to receive PayPal payment'),(3373,'E-goods'),(716,'E-mail'),(717,'E-mail is not defined yet'),(2887,'E-mail will also be updated in all the related orders.'),(3489,'EACHRECEIVER'),(3536,'ELV/SEPA'),(2636,'ETSY'),(4392,'Easy payment options - Ship Now Pay Later with a Pitney Bowes Line of Credit or use a credit card.'),(1653,'Edit'),(3654,'Edit Globally'),(3993,'Edit address'),(3907,'Edit all'),(1689,'Edit attribute'),(1611,'Edit attribute values'),(1554,'Edit attributes'),(4007,'Edit billing address'),(718,'Edit charges for:'),(2515,'Edit custom options'),(3994,'Edit email'),(170,'Edit label'),(171,'Edit labels'),(426,'Edit labels (X)'),(720,'Edit page'),(719,'Edit payment method data'),(1648,'Edit product'),(721,'Edit profile'),(442,'Edit rates (X)'),(3698,'Edit review'),(4008,'Edit shipping address'),(431,'Edit states (X)'),(364,'Edit subcategories (X)'),(3856,'Edit template based on'),(3852,'Edit via Webmaster mode'),(3716,'Edit your review'),(3794,'Edited templates'),(326,'Editing attribute groups on this page won\'t affect other product classes which use these groups'),(3376,'Egoods free'),(3375,'Egoods paid'),(722,'Email'),(723,'Email &amp; password'),(3297,'Email Address'),(238,'Email address'),(4322,'Email address of your Skrill account'),(2031,'Email again'),(724,'Email body'),(3227,'Email from the contact information section according to the type of email message'),(2327,'Email notifications'),(3979,'Email or login'),(725,'Email settings'),(3177,'Email transfer settings'),(2037,'Empty \"class\" parameter is passed to the {{method}}'),(166,'Enable'),(4621,'Enable \"Deliver to Post Office\" feature'),(726,'Enable HTTPS'),(2963,'Enable all'),(612,'Enable clean URL'),(665,'Enable clean URLs'),(3252,'Enable module'),(3903,'Enable mutual links'),(2961,'Enable selected'),(4686,'Enable the Use Enhanced Cancel option.'),(2456,'Enable the option \"Assign entered Clean URL to this page anyway\" to dissociate the entered Clean URL from the page it is currently used for and assign it to the page of the object being edited.'),(2876,'Enable this if you would like us to use your shipping address as your billing address'),(727,'Enabled'),(2329,'Enabled for administrator'),(2330,'Enabled for customer'),(1614,'Enabled in catalog'),(2959,'Enabled only'),(3859,'Enter Order number'),(4582,'Enter Return # or Order #'),(732,'Enter X more characters to start search'),(204,'Enter a correct email'),(2455,'Enter a different Clean URL value for this page'),(2849,'Enter a keyword to search.'),(3782,'Enter a name to be published with the review'),(209,'Enter a negative number'),(206,'Enter a number'),(208,'Enter a positive number'),(205,'Enter an integer'),(3337,'Enter code'),(728,'Enter coupon code'),(369,'Enter date range'),(3420,'Enter description of the purchase that will be displayed on PayPal payment page.'),(3980,'Enter email address'),(4130,'Enter file extensions separated by comma; for example, \"jpg,txt,svg\"'),(2649,'Enter filter name'),(415,'Enter keyword'),(729,'Enter keywords'),(730,'Enter license key'),(1967,'Enter pattern here'),(4239,'Enter product name'),(2790,'Enter product name or SKU'),(1970,'Enter search pattern'),(731,'Enter shipping address'),(3419,'Enter the email address associated with your PayPal account.'),(1802,'Enter the shipping address to see delivery methods available to you'),(4093,'Enter your MailChimp API key manually'),(1832,'Enter your e-mail'),(40,'Enter your license key here'),(3070,'Enter your premium license key'),(3831,'Entity was successfully saved'),(733,'Environment'),(734,'Environment info'),(735,'Error'),(613,'Error code explanation:'),(4432,'Error had occured during the requesting of payment methods from X-Payments. See log files for details.'),(2846,'Error of banner loading. Make sure the \"images\" directory has write permissions.'),(2262,'Error of image loading. Make sure the \"images\" directory has write permissions.'),(2711,'Error of image verification ({{value}}). Make sure you have specified the correct image file or URL.'),(1883,'Error of uploading file.'),(3832,'Error on saving image'),(3253,'Error sending link'),(2717,'Errors'),(2950,'Errors files'),(4395,'Estimate delivery date'),(736,'Estimate shipping cost'),(737,'Estimate your server performance'),(738,'Estimated for'),(46,'Evaluation notice'),(2786,'Every object stores history with 8 clean urls which were previously used for this object.'),(739,'Everything you need'),(4260,'Ex.'),(1787,'Exact phrase'),(740,'Example'),(446,'Example city'),(741,'Examples'),(4288,'Excellent! Now you can get paid'),(742,'Exception'),(3935,'Exclude from shipping cost calculation'),(2552,'Existing Avalara user?'),(1804,'Existing Customer?'),(3825,'Exit editor'),(3812,'Exit product preview'),(2446,'Exp. date'),(743,'Expand the functionality of your store by installing and using add-on modules'),(1934,'Expanded view'),(3590,'Expected on'),(1812,'Expiration date'),(373,'Expired'),(3360,'Expired by TTL'),(3358,'Expired by limit'),(3361,'Expires in'),(744,'Export'),(2791,'Export all'),(1640,'Export cannot be started because it is disabled or there is another running export process'),(1634,'Export completed'),(1638,'Export failed'),(1641,'Export in CSV'),(1639,'Export not started'),(4158,'Export of Not Finished orders is not supported. To export the orders which are now in this state, change their fulfillment status from Not Finished to any other.'),(2616,'Export orders'),(2159,'Export product data with'),(745,'Export products'),(1629,'Export public files as'),(2792,'Export selected'),(1628,'Export settings'),(358,'Exported in X'),(1635,'Exporting data...'),(3538,'Express Checkout process stopped.'),(746,'Extensions'),(388,'FEBRUARY'),(384,'FR'),(3924,'FREE'),(3926,'FREE SHIPPING'),(2521,'FREE quote'),(2625,'FREE trial'),(747,'Facebook'),(748,'Failed'),(749,'Failed to add detailed image'),(750,'Failed to add the attachment'),(751,'Failed to add the attachment. The file download is forbidden'),(2264,'Failed to load the banner {{value}} because it does not exist'),(2263,'Failed to load the file {{value}} because it does not exist'),(3399,'Failed to re-upload attachment'),(1895,'Failed to update category image'),(3607,'Failed to update page image'),(1916,'Failed write to file'),(360,'Failed write to file X. There may not be enough disc-space. Please check if there is enough disc-space.'),(752,'Failed/Declined'),(2690,'Failed[S]'),(1741,'Failure'),(1808,'Failure reason:'),(3858,'Failure sending test email to X'),(3849,'Failure to convert flexy-template. Check for syntax errors'),(4622,'Failure to finish registration process.'),(4623,'Failure to get token ID.'),(1599,'Failure: File has the wrong format.'),(3988,'Fast Lane checkout'),(3604,'Favicon'),(1675,'Fax'),(3393,'Featured'),(753,'Featured products'),(2637,'FedEx'),(3394,'FedEx module allows to use online shipping rates calculation via FedEx.'),(3539,'Fees payer'),(754,'Field is required!'),(4149,'File Attaching is mandatory for this product'),(4145,'File attachments are not allowed for this product'),(2740,'File can not be uploaded'),(3401,'File description'),(3383,'File is available by public URL'),(2429,'File is not an image'),(2430,'File is not uploaded'),(1875,'File not found'),(3024,'File permissions'),(305,'File size exceeds the maximum size'),(755,'File title'),(3254,'File uploading'),(3163,'File uploading error 1'),(3164,'File uploading error 2'),(3165,'File uploading error 3'),(3166,'File uploading error 4'),(3167,'File uploading error 6'),(3168,'File uploading error 7'),(3169,'File uploading error 8'),(3014,'File uploads'),(4146,'File uploads forbidden by web server'),(2793,'File was successfully uploaded'),(4525,'File with certificate should be located in the directory {{certsDir}}'),(2603,'Files cannot be updated'),(4663,'Fill out the form with your Company info to setup your account and start processing payments immedately'),(4047,'Filter by order amount'),(4045,'Filter by order frequency'),(4049,'Filter by profile membership'),(4050,'Filter by specific products'),(2653,'Filter has been removed'),(2652,'Filter has been successfully saved'),(2490,'Filter transactions by status'),(4117,'Filters'),(1968,'Find countries'),(2146,'Find in Marketplace'),(1291,'Find language in marketplace'),(1969,'Find states'),(2488,'Find transactions by ID'),(756,'Find us on'),(757,'Find us on Facebook'),(3255,'Finish'),(2549,'Finished operating as user'),(758,'First name'),(4077,'First name or last name are empty. Please add a new address to your address book or modify existing and fill in those fields in order to subscribe to this list.'),(3781,'First name, Last name or E-mail'),(2890,'First, restore your website from the created backup - this is the fastest way to get your store back online.'),(3990,'Firstname'),(759,'Flat markup'),(2589,'Flat shipping charge per item ordered.'),(2591,'Flat shipping charge per weight unit ordered (for example, per pound or per kilogram - depending on the weight units used by your store).'),(2588,'Flat shipping charge. This value will be added to the shipping rate regardless of the weight, price and number of items ordered.'),(3844,'Flexy templates have been removed'),(3836,'Flexy to twig converter'),(3837,'Flexy-template'),(3851,'Flexy-to-twig converter warning'),(760,'Footer menu'),(2034,'For any emergency you can use the hard, soft and restore-state links'),(1696,'For details refer to'),(29,'For details refer to X-Cart license'),(761,'For the period'),(2116,'Force customer to choose product options before the product can be added to cart'),(1785,'Forgot password'),(762,'Forgot password?'),(1552,'Forgot your password?'),(763,'Format'),(2312,'Four-digit number on the front side of your card'),(65,'Free'),(3193,'Free & paid'),(764,'Free add-ons'),(2175,'Free license is activated successfully'),(2180,'Free license key for this email is already registered'),(3925,'Free shipping'),(3928,'Free shipping tooltip text'),(3940,'Free shipping update import text'),(3939,'Free shipping update text'),(3934,'Freight'),(4031,'Froala Editor settings'),(765,'From'),(108,'From computer'),(773,'From email'),(1835,'Front page'),(2773,'Front page title'),(3298,'Full Name'),(774,'Full description'),(775,'Full name'),(3533,'Funding methods (checkout page)'),(2023,'G'),(3034,'GDlib extension'),(776,'General'),(777,'General Settings'),(778,'General info'),(2777,'General options'),(779,'General settings'),(4336,'General tax rates'),(3640,'Generate XML-Sitemap'),(3671,'Generate cache on the fly'),(2372,'Generate resized images'),(2373,'Generate resized images help text'),(3639,'Generate sitemap'),(4264,'Geo settings & company info are all set. Congrats!'),(3948,'Geolocation header promo'),(1606,'Get CSV'),(3630,'Get X off for order amount over Y'),(2739,'Get a more customizeable PDF invoice solution for your store'),(2736,'Get a more powerful banner system for your store'),(2732,'Get information[TT]'),(3685,'Get params'),(2564,'Get shipping rates from major shipping carrier companies.'),(4393,'Get started Now! Click here to create your PITNEY BOWES Postage Account'),(4396,'Girth'),(780,'Give buyers a way to pay by adding an alternative payment method.'),(781,'Give buyers another way to pay by adding an alternative payment method'),(1892,'Global'),(2160,'Global & Classes attributes'),(1891,'Global attributes'),(3365,'Global eGood settings'),(3655,'Global product tabs'),(3660,'Global tab label'),(3659,'Global tab not found'),(4289,'Go on, make your first sale.'),(782,'Go to Marketplace'),(783,'Go to checkout'),(48,'Go to checkout as a New customer'),(3961,'Go to comparison table'),(3867,'Go to different page to edit the content'),(4456,'Go to payment details page'),(3767,'Go to see the review [in the Admin area]'),(4253,'Good job! You company logo is added'),(63,'Grand total'),(2861,'Greeting'),(194,'Greetings, X'),(784,'Grid'),(785,'Group options'),(2276,'Group {{value}} does not exists and will be created'),(4085,'Groups'),(4680,'HPP Key'),(787,'HTML title (\'title\' tag)'),(3040,'HTTPS bouncers'),(788,'HTTPS check'),(1907,'HTTPS option has been disabled'),(1906,'HTTPS option has been successfully enabled'),(789,'HTTPS settings'),(2559,'Handling fee'),(1772,'Hard reset (disables all modules and runs application)'),(2893,'Hard reset. Disable all addons except those provided by X-Cart Team'),(3684,'Hash'),(2462,'Hash file for installed entry \"{{entry}}\" doesn\'t exist or is not readable'),(4317,'Hash protection type'),(793,'Have a discount coupon?'),(3308,'Have more coupons?'),(2623,'Haven\'t found what you\'re looking for? View more shipping modules'),(2863,'Header'),(2859,'Header, greeting & signature'),(2060,'Height'),(794,'Height (px)'),(249,'Hello, user'),(125,'Help'),(795,'Help zone'),(796,'Here are shown only the methods enabled on the configuration page'),(786,'Here is a new link for access to your information: X'),(4254,'Here is the way it looks like on desktop & mobile devices. Do you like it?'),(797,'Here you can define how your payment methods will look in customer area'),(1557,'Here you can define how your payment methods will look in customer area.'),(4271,'Here you can manually define your shipping rates and etc.'),(2583,'Here you can provide general information about the shipping method and configure a table defining how shipping rates for this method should be calculated.'),(4084,'Here you can view and manage the MailChimp news lists and groups of the user.'),(4169,'Hidden X messages'),(3675,'Hidden from products filter'),(798,'Hide'),(4669,'Hide \"How to use\" instruction'),(2716,'Hide all warnings/errors'),(2794,'Hide and make them available only via a direct link'),(1204,'Hide common settings'),(3880,'Hide converted templates'),(4170,'Hide message history'),(4379,'Hide the carrier shipping charge on the label'),(4378,'Hide total carrier charge'),(799,'Hide trailing zeros in fractional part'),(4192,'Hide vendor’s products in the order'),(3963,'High - Low'),(3864,'Highlight labels'),(800,'History'),(3380,'History of downloads'),(801,'Home'),(2781,'Home page title and meta'),(3256,'Hot addons'),(2531,'How do I move X-Cart?'),(3731,'How do you rate this item?'),(802,'How to'),(803,'How to back up your store database'),(2584,'How to define shipping rates'),(804,'How to define shipping zones'),(3056,'How to set up free shipping help'),(2459,'Human readable and SEO friendly web address for the page.'),(200,'I accept Terms and Conditions'),(805,'I agree that these addons may require an adaptation.'),(3456,'I agree with PayPal terms & conditions'),(2301,'I confirm that I have created backups of my store\'s files and database before upgrading the store'),(3069,'I have a license key'),(4268,'I sell digital goods or services and do not need to set up shipping'),(2121,'I understand that the following disabled modules will be removed.'),(4426,'I want to use this credit card for my future orders in this shop.'),(4244,'I\'ll do it later'),(4098,'ID'),(2011,'IN'),(3436,'IPN HTTP error'),(3435,'IPN verification failed'),(806,'Icons'),(807,'Identity'),(3189,'If a category has subcategories, the value in brackets shows the overall number of products in both that category and all its subcategories.'),(808,'If there are some critical errors occurred you can do the following'),(809,'If you choose the second option, you can download the file from the server later on and delete it from the server by clicking on the \'Delete SQL file\' button.'),(1565,'If you choose to create SQL file, you will be able to download the file from the server later and after that delete it from the server by clicking on the \"Delete SQL file\" button.'),(810,'If you do not have an account, you can easily'),(4692,'If you do not have seller account, you can register here: USA UK Germany'),(811,'If you don\'t have a moneybookers account yet, please sign up for a free moneybookers account at: http://www.skrill.com'),(812,'If you have a license key for a commercial module, you can enter it here to register the purchase of the appropriate module.'),(813,'If you have a plugin in the .tar format, you can install it by uploading it here'),(1578,'If you have multiple products sharing the same set of attributes, it makes sence to make them to be of the same product type and create the attributes on the product type level.'),(2518,'If you purchased a template but do not see it here, activate the license key that was provided to you.'),(2894,'If you still need help, please, feel free to contact X-Cart Help Desk at helpdesk@x-cart.com.'),(314,'If you store product images in the database, they are included in the SQL dump file'),(3347,'If you want the coupon discount to be applied only to products from specific categories, specify these categories here.'),(4567,'If you want to enable merchant registration wizard once again, please click on the following link'),(1563,'If you want to upload the backup of another X-Cart installation, ensure that you have completed the steps described here'),(2039,'If your store is crashed after upgrade, you can recover it'),(2795,'Ignore membership'),(814,'Image'),(212,'Image X'),(815,'Image border will not be displayed in customer\'s frontend'),(816,'Image has been identified as a duplicate and has not been imported'),(3090,'Image quality after resize'),(2153,'Image resized: X out of Y'),(2157,'Image resized: X out of Y with errors'),(3112,'Image resizing requires libraries'),(139,'Images'),(2370,'Images resized'),(2386,'Images resized: {{count}}'),(3531,'Immediate'),(4723,'Immediate Charge'),(817,'Import'),(818,'Import / Export'),(3196,'Import and Export'),(1532,'Import by CSV'),(3576,'Import from CSV file'),(819,'Import from file'),(2158,'Import has been cancelled.'),(2433,'Import language'),(1971,'Import language from CSV file'),(281,'Import mechanism does not know the field of X and it can not be imported'),(1985,'Import mode'),(1988,'Import mode comment'),(820,'Import of orders is not supported.'),(4406,'Import payment methods'),(2796,'Import results'),(1524,'Import settings'),(821,'Import/Export'),(2394,'Import/Export guide'),(822,'Important'),(3938,'Important info on the Free shipping addon update'),(4443,'Important!'),(2364,'Imported'),(2365,'Importing data...'),(278,'Importing will overwrite the existing product information. This operation cannot be undone.'),(2289,'In advanced mode you can choose specific modules for upgrade.'),(3594,'In catalog only'),(823,'In category'),(1558,'In order to accept credit cards payments you should install the necessary payment module from our Marketplace.'),(2686,'In progress[S]'),(824,'In stock'),(3670,'In stock only'),(4540,'In store currency (0 - do not use coverage)'),(4658,'In the form that opens, paste the \"Webhook URL\" value into the field \"URL to be called\" and click \"Add endpoint\".'),(4657,'In the section \"Endpoints receiving events from your account\", click \"+ Add endpoint\".'),(2461,'In this section you can review the recent payment transactions that have taken place at your store'),(825,'Inactive'),(2668,'Inactive license key ({{key}})'),(826,'Incl. X'),(4347,'Include response in hash'),(271,'Including X'),(1592,'Including subcategories'),(1729,'Incomplete'),(827,'Incompleted'),(2748,'Incorrect amount'),(302,'Incorrect owner of X directory'),(304,'Incorrect owner of X file'),(2497,'Incorrect password. Please try again.'),(2747,'Incorrect permissions'),(4337,'Individual settings for every rate'),(2797,'Info'),(3942,'Information'),(2181,'Information about free license key has been sent'),(2687,'Initialized[S]'),(2798,'Initializing...'),(3866,'Inline editor'),(3814,'Inline editor is unavailable due to TinyMCE'),(828,'InnoDB engine support enabled'),(2132,'Input data'),(829,'Install'),(3877,'Install Google Tag Manager'),(4092,'Install Mailchimp addon'),(3152,'Install TaxJar integration'),(830,'Install add-on'),(1973,'Install addons'),(2842,'Install anyway'),(831,'Install updates'),(2435,'Installation date'),(832,'Installation directory'),(3257,'Installation requirements'),(2998,'Installation script'),(2538,'Installation warnings'),(833,'Installed'),(3192,'Installed Addons'),(834,'Installed Modules'),(835,'Installed modules'),(1666,'Installed version'),(3158,'Installing addons'),(836,'Installing updates, please wait...'),(4375,'Insurance value'),(2621,'Integration with'),(2941,'Integrity check'),(2952,'Integrity check has been completed successfully.'),(2953,'Integrity check has been stopped.'),(2951,'Integrity has not yet been checked. Initiate an integrity check by clicking the button \"Refresh integrity status\".'),(4298,'International: phone'),(837,'Invalid login or password'),(4013,'Inventory'),(1908,'Inventory has been successfully updated'),(838,'Inventory status'),(839,'Inventory tracking'),(3570,'Inventory tracking for product X will not be imported'),(840,'Inventory tracking for this product is'),(2799,'Inventory tracking is'),(2184,'Inventory tracking options'),(841,'Invoice'),(1844,'Invoice #{{orderId}}, {{time}}'),(228,'Invoice X'),(2065,'Invoice number prefix'),(3389,'Ip'),(4372,'Irregular parcel girth'),(1813,'Issue no'),(842,'It is impossible to delete or create user accounts because your store currently works as an integration with Drupal and shares users with Drupal. Deleting/creating user accounts is possible via Drupal administrator interface.'),(843,'It is impossible to edit some user profile fields because your store currently works as an integration with Drupal and shares users with Drupal. Modifying these fields is possible via Drupal administrator interface.'),(1512,'It\'s impossible to detect valid SSL certificate availability on your server because curl extension is not installed.'),(4313,'It\'s recommended to limit the length of invoice prefix to 9 characters'),(1935,'Item'),(844,'Item description'),(845,'Item has been deleted from cart'),(1854,'Item has not been deleted from cart'),(2850,'Item list'),(846,'Item name'),(2233,'Item not found ({{keys}})'),(234,'Items'),(847,'Items per page'),(2574,'Items range'),(387,'JANUARY'),(393,'JULY'),(392,'JUNE'),(3972,'Joe'),(848,'Join forces with your bank'),(500,'Joined'),(2935,'Just enter email address'),(849,'K'),(2022,'KG'),(4451,'KOUNT Antifraud screening result'),(1487,'Key is validated, but the module X was not found'),(126,'Knowledge Base'),(4294,'Knowledge base'),(2020,'LB'),(1929,'Label'),(4376,'Label format'),(156,'Label name'),(4377,'Label size'),(1921,'Labels'),(3818,'Labels editor'),(850,'Language'),(851,'Language labels'),(163,'Language name in X'),(120,'Language options'),(1595,'Language:'),(124,'Languages'),(1753,'Last 24 hours'),(1754,'Last 7 days'),(184,'Last added items'),(3053,'Last element of category path should be same as name'),(852,'Last logged in'),(853,'Last login'),(1755,'Last month'),(854,'Last name'),(2311,'Last three numbers on the back side of your card'),(2884,'Last time re-deployed at'),(2465,'Last week'),(2467,'Last year'),(3991,'Lastname'),(4287,'Launch (Paypal Onboarding)'),(3454,'Launch PayPal'),(2221,'Layout'),(3865,'Layout block'),(3816,'Layout editor'),(3828,'Layout editor allows you to change the position of the blocks in drag-n-drop fashion'),(3820,'Layout editor is'),(3827,'Layout editor is disabled'),(3826,'Layout editor is enabled'),(2522,'Layout has been changed. Review the updated storefront.'),(2514,'Layout type'),(2320,'Learn More'),(3874,'Learn more about Google Tag Manager'),(104,'Learn more about the top banner and how it shows in the page layout'),(4578,'Leave at door'),(2511,'Leave blank to use category name as Page Title.'),(3922,'Leave blank to use news title as Page Title.'),(3622,'Leave blank to use page name as Page Title.'),(2499,'Leave blank to use product name as Page Title.'),(2058,'Length'),(1582,'Length x Width x Height'),(1790,'Less search options'),(3149,'Let TaxJar automate your sales tax calculations, reporting, and filings in minutes.'),(3890,'Letter center'),(4229,'Let’s setup your store'),(30,'License activation is not available'),(1493,'License is not received'),(2445,'License key'),(2441,'License key has been successfully verified and activated for \"{{name}}\" module by \"{{author}}\" author.'),(855,'License key has been successfully verified for \"{{name}}\" module by \"{{author}}\" author'),(2671,'License key is missing'),(3073,'License key registration'),(2667,'License warning'),(3258,'License warnings'),(2434,'License: trial version'),(856,'Lifetime'),(3324,'Limit number of uses'),(857,'Limit the number of uses'),(2150,'Lines checked: X out of Y'),(2151,'Lines imported: X out of Y'),(2155,'Lines imported: X out of Y with errors'),(2154,'Lines verified: X out of Y with errors'),(858,'Link'),(859,'List'),(860,'List of states'),(4057,'List rating'),(2000,'Live'),(2089,'Live mode'),(1886,'Loading the database from file .'),(861,'Loading...'),(862,'Localization'),(3949,'Location is invalid'),(3946,'Location was successfully set'),(2097,'Locked'),(4624,'Log all communications between shopping cart and Canada Post server'),(2425,'Log files not found'),(863,'Log in'),(2738,'Log in as this admin'),(261,'Log off'),(864,'Log out'),(865,'Logged as'),(3614,'Logged in users only'),(260,'Logged in!'),(866,'Login'),(1805,'Login Here'),(2428,'Login dates'),(867,'Login here'),(868,'Login history'),(2800,'Login is locked out'),(2936,'Login to your account'),(1938,'Login/E-mail'),(3603,'Logo'),(3616,'Logo & Favicon'),(2992,'Logout this user'),(869,'Look & Feel'),(1700,'Loopback test'),(3964,'Low - High'),(342,'Low inventory products'),(870,'Low limit notification for this product is'),(871,'Low limit quantity'),(872,'Low stock'),(2466,'Low stock info'),(4026,'Low stock notification to admin'),(4025,'Low stock warning on product page'),(873,'M'),(389,'MARCH'),(3500,'MATCH_CRITERIA_DISABLED'),(3497,'MATCH_CRITERIA_HELP'),(3498,'MATCH_CRITERIA_NAME'),(3499,'MATCH_CRITERIA_NONE'),(391,'MAY'),(4310,'MD5 Hash protection'),(4345,'MD5 hash value'),(2008,'MM'),(380,'MO'),(2307,'MONTH'),(4032,'MailChimp'),(4033,'MailChimp Integration with E-commerce support'),(4038,'MailChimp Lists'),(4036,'MailChimp is an email marketing service with powerful tools to manage your email campaigns and subscribers while gathering advanced analytics information on your campaign performance.'),(4081,'MailChimp list group names'),(4080,'MailChimp list groups'),(4039,'MailChimp list segments'),(4099,'MailChimp lists'),(4076,'MailChimp lists update'),(4040,'MailChimp segment settings'),(4100,'MailChimp settings'),(4557,'Mailing tube'),(144,'Main categories'),(874,'Maintenance'),(875,'Maintenance and operation'),(2853,'Major improvements and new features'),(2852,'Major upgrade'),(2507,'Make a discount available to all customers or only to specific membership levels;'),(876,'Make back-up of your store database'),(3908,'Make mutual relations'),(3173,'Make sure the URL is correct and the file referenced by the URL is a PNG/JPG/JPEG'),(1884,'Making backup of the current database state ... '),(884,'Manage admins'),(1881,'Manage attribute groups'),(877,'Manage catalog'),(878,'Manage categories'),(365,'Manage category (X)'),(879,'Manage customer and administrator accounts'),(3653,'Manage global tabs'),(1691,'Manage groups'),(880,'Manage layout'),(881,'Manage orders'),(882,'Manage orders placed at your store'),(1577,'Manage product classes'),(4101,'Manage segments'),(883,'Manage users'),(4281,'Manage your payment options'),(885,'Manage your product inventory'),(2801,'Manage zones'),(886,'Mandatory fields are marked with an asterisk'),(4549,'Manifest ID'),(4548,'Manifests'),(3682,'Manual'),(3573,'Manually'),(887,'Manually defined shipping methods'),(4199,'Mark all'),(4200,'Mark selected'),(888,'Mark, the search engines you want to inform of the structure of your site using the site map'),(889,'Market price'),(2802,'Marketing'),(890,'Marketplace'),(891,'Marketplace [check_addon_key]: the \"{{url}}\" URL requested'),(892,'Marketplace [check_for_updates]: the \"{{url}}\" URL requested'),(893,'Marketplace [check_for_updates]: valid response received'),(894,'Marketplace [get_hosting_score]: response has an invalid format'),(895,'Marketplace [get_hosting_score]: the \"{{url}}\" URL requested'),(2295,'Marketplace-Vendor'),(896,'Markup per item'),(897,'Markup per weight unit'),(1786,'Max'),(4134,'Max allowed file size is X'),(4625,'Maximum Post Offices that will be displayed'),(2856,'Maximum items in box'),(1583,'Maximum number of items per box'),(3325,'Maximum number of uses'),(3320,'Maximum order subtotal must be greater than minimum order subtotal'),(3332,'Maximum order subtotal the coupon can be applied to'),(299,'Maximum size of the file to upload is N'),(1882,'Measuring productivity in manual mode failed.'),(4058,'Members count'),(898,'Membership'),(899,'Membership access'),(900,'Membership levels'),(901,'Membership name'),(902,'Memberships'),(3011,'Memory limit'),(2095,'Menu'),(3606,'Menu links help text'),(903,'Menus'),(3425,'Merchant login'),(4565,'Merchant registration wizard'),(227,'Merge with Registered'),(904,'Message'),(3295,'Message has been sent'),(4163,'Message not found'),(4162,'Messages'),(106,'Meta desc'),(905,'Meta description'),(906,'Meta keywords'),(105,'Meta tags'),(2418,'Method name'),(907,'Methods'),(3319,'Minimum order subtotal must be less than maximum order subtotal'),(3331,'Minimum order subtotal the coupon can be applied to'),(4739,'Minimum purchase quantity'),(2803,'Minimum value is X'),(2854,'Minor improvements'),(2851,'Minor update'),(2948,'Modified files'),(1580,'Modifiers'),(908,'Modify'),(909,'Modify \"{{name}}\" option group'),(910,'Modify category'),(911,'Modify option groups exceptions'),(912,'Modify root category (the front shop page)'),(2393,'Module Marketplace. Terms of use'),(152,'Module available editions 3'),(153,'Module available editions 4'),(913,'Module has been successfully installed'),(3259,'Module name'),(1877,'Module packing is available in the DEVELOPER mode only. Check etc/config.php file'),(2403,'Module page'),(4273,'Module settings (shipping_rates)'),(1507,'Module with ID X is not found'),(1671,'Module\'s page'),(2804,'Modules'),(1498,'Modules have been successfully installed'),(1909,'Modules license agreements'),(3260,'Monday'),(4181,'Monitoring of communication related to oder #X has been disabled'),(4180,'Monitoring of communication related to oder #X has been enabled'),(406,'Month'),(1825,'More'),(1975,'More actions for selected'),(915,'More add-ons'),(2611,'More attributes'),(916,'More details'),(2046,'More info is available in X-Cart\'s Knowledge Base article \'What to do if you cannot access your store...\''),(614,'More information about clean urls in X-Cart is available in '),(667,'More information on Clean URL problems on your system'),(4659,'More information on the setup of webhooks is available here: https://stripe.com/docs/webhooks#configuring-your-webhook-settings'),(4261,'More localisation settings'),(1791,'More search options'),(2645,'More shipping solutions'),(917,'Most Popular'),(918,'Most Rated'),(919,'Move'),(4591,'Move item'),(4023,'Move to'),(2016,'Mr.'),(2018,'Mrs.'),(2017,'Ms.'),(3407,'Multiple top-level domains'),(3896,'Mutual link'),(3906,'Mutual link head help'),(4301,'My Shipping'),(920,'My account'),(3103,'My addons'),(3943,'My location'),(3107,'My profile'),(3116,'My purchases'),(4272,'My shipping'),(3032,'MySQL cache'),(921,'MySQL server'),(3028,'MySQL version'),(148,'N it.'),(118,'N items found'),(147,'N items total'),(397,'NOVEMBER'),(922,'Name'),(1926,'Name asc'),(1927,'Name desc'),(4303,'Name length must be less then {{length}}'),(926,'Name of account holder'),(923,'Name of address field'),(924,'Name of purchaser'),(1576,'Name, e.g. Apparel'),(1054,'Name-sort-option'),(164,'Native language name'),(3464,'Near \"Add to cart\" button'),(3465,'Near \"Checkout\" button'),(3145,'Need a customizable contact us form with location map? [Get it now!]'),(42,'Need a license key?'),(3087,'Need a way to set multicurrency prices? [Install the addon]'),(3088,'Need a way to set up product variants? [Install the addon]'),(3089,'Need a way to set wholesale prices? [Install the addon]'),(2520,'Need custom design? We can modify this template or create a completely unique design for you'),(4290,'Need help setting up your store?'),(1693,'Need license key?'),(1559,'Need more payment methods?'),(927,'Never'),(1625,'New Export'),(3647,'New Tab'),(2405,'New access codes were generated.'),(929,'New access key will also be sent to the Site administrator\'s email address'),(928,'New access link'),(2384,'New account'),(1551,'New address'),(930,'New address field'),(3585,'New arrivals'),(1690,'New attribute'),(142,'New category'),(2699,'New customer note'),(931,'New discount coupon'),(1624,'New group'),(932,'New image'),(3809,'New images'),(1518,'New import'),(933,'New item'),(133,'New membership'),(4198,'New message'),(4171,'New message for order'),(4190,'New messages'),(2124,'New module version available for core versions X'),(2469,'New modules'),(3911,'New news message'),(934,'New page'),(4592,'New parcel'),(935,'New product class'),(936,'New product has been added successfully'),(3758,'New product reviews'),(937,'New rate'),(938,'New role'),(1770,'New safe mode access key has been generated'),(4338,'New sale tax rate'),(2198,'New staff note'),(3646,'New tab'),(4212,'New tag'),(1317,'New tax class'),(4745,'New tier'),(2551,'New to Avalara?'),(47,'New to our store?'),(1751,'New user registered'),(1623,'New value'),(190,'New zone has been created successfully'),(3586,'New!'),(939,'Newest'),(940,'Newest first'),(3912,'News'),(4043,'News list subscriptions'),(3910,'News message'),(3909,'News messages'),(3920,'News page title'),(3921,'News title'),(3985,'Newsletters'),(941,'Next'),(3916,'Next news'),(3085,'Next order'),(942,'Next page'),(55,'Next product'),(4009,'Next step'),(99,'Next wizard'),(943,'No'),(1426,'No Curl extension for PHP error'),(1427,'No OpenSSL extension for PHP error'),(3562,'No PIN codes found.'),(1425,'No Phar extension for PHP error'),(2934,'No account yet?'),(2619,'No accounting system has been selected yet. Choose your accounting system below and configure it.'),(4460,'No active X-Payments payment methods, or saving credit cards is not activated.'),(1590,'No attributes'),(1692,'No attributes are defined for the product class yet.'),(1591,'No attributes assigned'),(2968,'No category assigned'),(1867,'No category defined'),(2172,'No class'),(3891,'No confirmation'),(944,'No countries found'),(2006,'No delimiter'),(3784,'No email'),(4535,'No events found'),(945,'No featured products defined for this category'),(3170,'No file was uploaded'),(3843,'No flexy-templates found.'),(1589,'No group'),(4102,'No groups defined'),(946,'No image'),(947,'No images uploaded'),(2409,'No items found'),(948,'No items found.'),(4608,'No items have been selected for return.'),(417,'No membership'),(949,'No merchant account required'),(521,'No merchant account required. Simple onboarding for you and easy checkout for your customers.'),(2410,'No model selected'),(1662,'No modules found'),(119,'No modules found for search_string'),(950,'No order have been placed yet'),(349,'No order on last day'),(352,'No order on last lifetime'),(351,'No order on last month'),(350,'No order on last week'),(353,'No orders'),(3854,'No orders available. Please create at least one order.'),(951,'No orders have been placed yet'),(123,'No other languages defined'),(1857,'No payment method selected'),(1858,'No payment methods found based on the selected criteria'),(952,'No payment modules installed'),(3565,'No pin codes are bought yet'),(1575,'No product class assigned'),(1664,'No products found'),(4207,'No products have been selected for comparison.'),(4120,'No products matching the current filtering criteria were found. Try clearing filters.'),(3667,'No products matching your criteria found. Please try again with different parameters.'),(953,'No products sold yet'),(1665,'No profiles found'),(2347,'No promotion modules installed'),(2532,'No region'),(2848,'No results found.'),(3745,'No reviews.'),(3139,'No roundup'),(4103,'No segments'),(954,'No states found'),(4055,'No subscription'),(1553,'No such user'),(955,'No tax rate defined'),(1191,'No tracking numbers are defined'),(1663,'No users found'),(3551,'No valid code found.'),(4763,'No variants added, and the product is not available for sale yet. Create at least one variant.'),(4380,'Non delivery option'),(956,'Non-administrator'),(3261,'Non-critical'),(4626,'Non-delivery instructions'),(251,'None'),(4159,'Not Finished orders were skipped during the export process. If you wish to export the orders which are now in this state, change their fulfillment status from Not Finished to any other.'),(2969,'Not assigned'),(3262,'Not available'),(1702,'Not detected'),(2035,'Not enough disk space. Required: {{req}} (+{{reserve}} reserve). Available: {{avail}}'),(957,'Not finished'),(4154,'Not finished order'),(958,'Not numeric'),(3746,'Not rated yet'),(2617,'Not seeing your accounting software here? Let us know'),(1607,'Not selected'),(4024,'Not set'),(4570,'Not specified'),(959,'Note'),(4461,'Note: No payment methods here because the module is not configured. Please finalize settings at '),(2057,'Note: a new window will be opened'),(960,'Notes'),(2340,'Notification'),(2377,'Notification headers and signatures can be set using variables. A list of supported variables and their respective values is provided in the table below'),(2866,'Notification state'),(2713,'Notify administrator if the stock quantity of this product goes below a certain limit'),(961,'Notify administrator inactivity help'),(2213,'Notify customer'),(1737,'Now disabled'),(4279,'Now you can define how shipping rates should be calculated based on  delivery time, weight and other parameters.'),(1597,'Number of ignored rows:'),(4787,'Number of variants confirmation'),(4788,'Number of variants error'),(4786,'Number of variants warning'),(4789,'Number of variants warning message'),(396,'OCTOBER'),(3881,'OK'),(1682,'OR'),(2021,'OZ'),(2776,'Object name (category, product, etc)'),(2768,'Object name order first'),(2769,'Object name order last'),(3490,'Obtaining your live PayPal credentials'),(962,'Off'),(963,'Official website'),(4283,'Offline method'),(964,'Offline methods'),(4674,'Ogone PSPID'),(4678,'Ogone settings note'),(4677,'Ogone signup'),(4440,'Ok'),(3060,'Ok, Got it'),(2698,'Old customer note'),(965,'Old price'),(2197,'Old staff note'),(966,'On'),(967,'On all catalog pages'),(3892,'On call air'),(3595,'On catalog and product pages'),(2906,'On category and product details page'),(2905,'On category listing'),(4561,'On delivery'),(4560,'On exception'),(3736,'On moderation'),(968,'On product details only'),(3599,'On sale'),(4559,'On shipment'),(2860,'On this page you can edit the header, greeting and signature used by all the email notifications sent by your store (separately for admin and customer users).'),(4302,'Onboarding Wizard'),(1306,'Once links are regenerated, they will be sent to store administrator email.'),(4415,'Once the connection is verified, you should proceed to the'),(3995,'One Page checkout'),(2225,'One column'),(3406,'One domain with multiple subdomains'),(3893,'One time pickup'),(969,'Online catalog structure setup'),(4284,'Online method'),(458,'Online methods'),(2143,'Online orders'),(2714,'Only X left in stock'),(3741,'Only customers who purchased this product can leave feedback on this product'),(136,'Only disabled'),(135,'Only enabled'),(1876,'Only enabled modules can be packed'),(2904,'Only orders awaiting processing'),(970,'Only small letter, digits and undescore sign are allowed'),(3292,'Oops, no products have been added to this category yet.'),(1945,'Open'),(971,'Open Graph meta tags'),(4473,'Open X-Payments dashboard to configure'),(4187,'Open a dispute'),(4176,'Open dispute'),(3618,'Open graph image'),(972,'Open graph tags'),(3868,'Open home or category pages for more opportunities to adjust the website structure'),(4059,'Open rate'),(973,'Open storefront'),(4656,'Open the page \"Webhooks\" in the \"Developers\" section of dashboard.stripe.com: https://dashboard.stripe.com/account/webhooks'),(3872,'Open the storefront while logged in as administrator to change the look & feel of the store.'),(4466,'Open your X-Payments dashboard'),(2545,'Operate as user'),(974,'Operating system'),(4693,'Operation mode'),(975,'Option group'),(4306,'Option values has been successfully updated.'),(2805,'Options'),(976,'Options have been successfully changed'),(2399,'Options:'),(3124,'Or add a video review powered by ShopperApproved'),(4419,'Or fill in the settings manually'),(3476,'Or register with'),(3475,'Or sign in the classic way'),(3479,'Or use your social account'),(977,'Order'),(978,'Order #'),(287,'Order #X, Y'),(1966,'Order #{{id}}'),(1976,'Order #{{id}} details'),(979,'Order ID'),(2662,'Order QTY'),(980,'Order Total'),(321,'Order Total X'),(288,'Order X'),(2987,'Order X has been confirmed as delivered to the customer'),(1533,'Order by'),(1833,'Order can not be placed because not all required fields are completed. Please check the form and try again.'),(4000,'Order cannot be placed because some steps are not completed'),(2806,'Order cannot be placed because there is no shipping methods available.'),(2214,'Order changes cannot be saved due to negative total value'),(3147,'Order customer notes changed'),(2659,'Order date'),(981,'Order date from'),(982,'Order date through'),(3558,'Order deleted'),(983,'Order details'),(2436,'Order failed'),(3384,'Order fulfilment status changed from {{oldStatus}} to {{newStatus}} by file download'),(3148,'Order has been edited'),(1932,'Order history'),(984,'Order id'),(3437,'Order id prefix'),(3357,'Order is not processed'),(340,'Order is placed'),(2208,'Order item attributes are out-of-date and cannot be edited'),(2925,'Order item modifier not found'),(985,'Order items'),(2916,'Order modifier not found'),(1856,'Order not found'),(986,'Order note'),(3996,'Order note. Any special needs?'),(1798,'Order number'),(2807,'Order number or email'),(987,'Order page'),(1784,'Order payment'),(2129,'Order payment status changed from {{oldStatus}} to {{newStatus}}'),(4350,'Order prefix'),(988,'Order review'),(2130,'Order shipping status changed from {{oldStatus}} to {{newStatus}}'),(3146,'Order staff notes changed'),(989,'Order statistics'),(990,'Order status'),(2114,'Order status changed from {{oldStatus}} to {{newStatus}}'),(4492,'Order status mapping rules'),(4124,'Order statuses'),(1188,'Order tracking information'),(2929,'Order transaction status not found'),(2931,'Order transaction type not found'),(2209,'Order will be delivered to the billing address.'),(2758,'OrderBy position number must be specified as a non-negative integer.'),(367,'OrderID or email, ID1-ID2 for range'),(4701,'OrderId prefix'),(3374,'Ordered files'),(4588,'Ordered qty'),(991,'Orders'),(2902,'Orders awaiting processing'),(992,'Orders count'),(2665,'Orders has been deleted successfully'),(4126,'Orders have this status tooltip'),(4046,'Orders last month'),(2387,'Orders list'),(993,'Orders placed'),(4165,'Orders with any messages'),(4164,'Orders with unread messages'),(2642,'Origin address'),(248,'Other'),(185,'Other items'),(131,'Our Blog'),(3301,'Our location'),(1823,'Out of Stock'),(994,'Out of stock'),(4558,'Oversized'),(3017,'PDO extension'),(1704,'PHP \'gd\' extension is not installed.'),(3003,'PHP version'),(3552,'PIN'),(3567,'PIN code'),(3568,'PIN codes'),(3566,'PIN codes data have been successfully updated'),(3554,'PIN codes enabled'),(3571,'PIN codes generation method'),(4547,'PO Number'),(1087,'PO number'),(2144,'POS orders'),(3491,'PRIMARYRECEIVER'),(4679,'PS Store ID'),(995,'Pack it'),(1677,'Package'),(2080,'Package dimensions (inches)'),(4627,'Package height (cm)'),(4628,'Package length (cm)'),(4629,'Package maximum weight (kg)'),(2075,'Package properties'),(2052,'Package subtotal'),(2053,'Package subtotal (X)'),(2050,'Package weight'),(2051,'Package weight (X)'),(4630,'Package width (cm)'),(2079,'Packaging'),(2658,'Packing date'),(2656,'Packing slip'),(996,'Page'),(997,'Page URL'),(998,'Page name'),(999,'Page not found'),(2782,'Page title format'),(1000,'Pages'),(1001,'Paid'),(4541,'Parcel'),(4550,'Parcel characteristics'),(4371,'Parcel dimensions'),(4581,'Parcel is cannot be transmitted - wrong quote type'),(4580,'Parcel is cannot be voided or transmitted - wrong quote type'),(4539,'Parcel options'),(4369,'Parcel type'),(4370,'Parcel weight'),(4597,'Parcels have been successfully updated'),(1002,'Parent category'),(2956,'Parent category name'),(2775,'Parent category path'),(376,'Partially refunded'),(3423,'Partner name'),(3263,'Passed'),(239,'Password'),(1003,'Password and its confirmation do not match'),(400,'Past'),(3805,'Path for using in custom CSS'),(1004,'Pattern search'),(4702,'Pay with Amazon'),(4424,'Pay with previously used credit card'),(3481,'PayPal'),(3443,'PayPal API'),(3466,'PayPal API (Merchant API) will work for most merchants; however, some merchants may have access only to Payflow API.'),(3511,'PayPal API Client ID'),(3512,'PayPal API Secret'),(3514,'PayPal BN Code'),(3492,'PayPal Credit'),(3455,'PayPal Credit is'),(3540,'PayPal Express Checkout'),(3510,'PayPal For Marketplaces account email'),(3418,'PayPal ID / Email'),(3506,'PayPal Merchant ID'),(3513,'PayPal Partner ID'),(3457,'PayPal account email'),(520,'PayPal all-in-one solutions'),(3427,'PayPal recommends entering a User Login here instead of your Merchant Login'),(4724,'PayWithAmazon available actions'),(3485,'PayerID value was not returned by PayPal. Please try again. If the problem persists, contact the administrator.'),(3444,'Payflow API'),(2882,'Payment'),(4708,'Payment capture error: {{error}}'),(1011,'Payment data ({{method}})'),(1005,'Payment gateways'),(4714,'Payment has been authorized successfully.'),(3469,'Payment has been captured successfully'),(4707,'Payment has been captured successfully.'),(4715,'Payment has been declined.'),(3467,'Payment has been refunded successfully'),(4711,'Payment has been refunded successfully.'),(3468,'Payment has been voided successfully'),(3541,'Payment has bes refunded successfully'),(3544,'Payment have been voided successfully'),(4709,'Payment have been voided successfully.'),(1006,'Payment info'),(4490,'Payment information'),(1007,'Payment instructions'),(2390,'Payment is not required'),(1008,'Payment method'),(1010,'Payment method data'),(4482,'Payment method for card setup'),(2536,'Payment method has been added'),(1880,'Payment method has been added successfully'),(334,'Payment method has been disabled successfully'),(333,'Payment method has been enabled successfully'),(335,'Payment method has been removed successfully'),(336,'Payment method has not been configured properly'),(2350,'Payment method is disabled'),(2349,'Payment method is enabled'),(2426,'Payment method settings'),(2537,'Payment method was not added'),(1009,'Payment methods'),(330,'Payment methods appearance description'),(4480,'Payment methods have been imported successfully'),(3264,'Payment order status'),(4648,'Payment processed with errors. Please, try again or ask administrator'),(4725,'Payment refresh error: {{error}}'),(4713,'Payment refund error: {{error}}'),(4520,'Payment return page requested without expected parameters'),(1012,'Payment settings'),(2125,'Payment status'),(2915,'Payment status not found, \"Awaiting payment\" will be used for order'),(4128,'Payment status not found, new status will be created'),(4122,'Payment statuses'),(1013,'Payment transaction ID'),(323,'Payment transaction X issued'),(4716,'Payment transaction is in progress...'),(1014,'Payment transactions'),(4710,'Payment void error: {{error}}'),(322,'Payment was not finished'),(1015,'Payments'),(3528,'Payments with this payment method are not allowed because HTTPS is not configured'),(3483,'Paypal capture warning message'),(3542,'Paypal login (email)'),(1016,'Pending'),(255,'Pending membership'),(1017,'Pending memberships'),(2689,'Pending[S]'),(1018,'Per item markup'),(1019,'Per weight unit markup'),(1020,'Percent'),(3633,'Percent discount value cannot exceed 100%'),(1021,'Percent markup'),(1022,'Percent off'),(1023,'Perform order search'),(1024,'Performance'),(2895,'Performing task...'),(3318,'Period end date must be later than period start date'),(3317,'Period start date must be sooner than period end date'),(1025,'Permissions'),(1026,'Permissions checking failed'),(1027,'Personal info'),(1333,'Personal info: The new password must not coincide with the current password for your account.'),(3037,'Phar extension'),(1028,'Phone'),(1029,'Pick address from address book'),(3793,'Pick template from page element'),(3862,'Pick templates from page'),(3415,'Pin'),(3414,'Pin It'),(4397,'PitneyBowes'),(1030,'Place order'),(202,'Place order X'),(2192,'Placed by NAME'),(2191,'Placed by _NAME_'),(1681,'Placed on'),(2190,'Placed on DATE'),(319,'Placed on X by Y'),(320,'Placed on X by Y link'),(1930,'Plain field'),(1660,'Please'),(1031,'Please accept the Terms and Conditions to continue'),(3962,'Please add another product to comparison'),(2960,'Please be warned that proper operation of the site after an upgrade is not guaranteed if you choose to upgrade only some of the components listed below.'),(1032,'Please choose the appropriate action'),(1598,'Please confirm if you want proceed with the import otherwise cancel the operation.'),(1298,'Please contact the module developers to make sure that these modules are compatible with the upcoming upgrade'),(2133,'Please create a new password'),(1033,'Please enable JavaScript in your web browser.'),(3294,'Please enter the correct captcha'),(1725,'Please enter the correct file location or set correct file permissions.'),(4646,'Please enter your encryption password (This is different from your merchant password). More info on encryption passwords is available <here>'),(1034,'Please identify yourself'),(1543,'Please make sure that \"min weight\", \"min total\", \"min items\", \"shipping zone\", \"shipping method\" fields do not overlap with other shipping rates.'),(1604,'Please make sure your file format is as described.'),(4563,'Please note that rates are calculated for shipping from Canadian locations only.'),(1035,'Please note that some of these modules are definitely incompatible with the upcoming upgrade and will be disabled in order to prevent the system crash'),(2383,'Please note that the following modules will also be enabled'),(4389,'Please note: the USPS Web tools APIs print labels without postage.'),(3077,'Please register your license key now or purchase a premium license to skyrocket your business.'),(2444,'Please renew your access to upgrades to get new superior features from the latest releases.'),(3769,'Please review purchased product {{product}}'),(3771,'Please review purchased products'),(1036,'Please run the benchmark test in order to estimate your server performance'),(1037,'Please save the soft reset and hard reset links so that you can use them later in case the website crash happens'),(3190,'Please select'),(414,'Please select a date range'),(413,'Please select a date range between %d and %d days'),(412,'Please select a date range less than %d days'),(411,'Please select a date range longer than %d days'),(1038,'Please select one'),(419,'Please select one ...'),(420,'Please select option'),(1850,'Please select other attribute'),(2315,'Please select the countries first'),(3265,'Please select the entities first'),(2664,'Please select the orders first'),(1836,'Please select the products first'),(3755,'Please select the reviews first'),(2179,'Please select the states first'),(4214,'Please select the tags first'),(3714,'Please sign in to add review'),(172,'Please specify a pattern to find the required labels'),(1489,'Please specify non-empty key'),(151,'Please specify text labels for each language'),(2808,'Please wait'),(4776,'Please, add product variants.'),(246,'Please, clarify your search request or search in Marketplace'),(245,'Please, clarify your search request. Suggest your idea or contact us to get free quote for custom service'),(1423,'Please, contact administrator'),(1732,'Please, enter a valid IP address'),(1731,'Please, enter a valid e-mail address'),(1715,'Please, enter unique membership name'),(1642,'Please, make sure that the following modules are installed and enabled:'),(3559,'Please, type in the new PIN codes one per line.'),(3416,'Plus'),(1670,'Popularity'),(1039,'Pos'),(1040,'Pos.'),(1041,'Pos.:'),(1042,'Position'),(2168,'Possible import file names are:'),(2170,'Possible reasons of data not found in import file'),(2055,'Postal Code'),(2061,'Postal/ZIP Code'),(1045,'Pre upgrade disabled modules hooks message body'),(1048,'Pre upgrade disabled modules hooks message footer'),(1044,'Pre upgrade disabled modules hooks message head'),(2602,'Pre-upgrade hooks cannot be run'),(1047,'Pre-upgrade off'),(1046,'Pre-upgrade on'),(1043,'Prefix'),(2171,'Premium license modules warning'),(1049,'Prev'),(1572,'Preview product page'),(3853,'Preview template'),(404,'Previous'),(3915,'Previous news'),(3084,'Previous order'),(1050,'Previous page'),(54,'Previous product'),(243,'Price'),(4014,'Price and membership'),(1924,'Price asc'),(1925,'Price desc'),(1051,'Price modifier'),(3669,'Price range'),(4794,'Price range (min - max)'),(4744,'Price tiers'),(1053,'Price-sort-option'),(1052,'Price: Not a numeric'),(2809,'Prices & Inventory'),(4737,'Prices set for specific membership levels override prices set for all customers'),(4351,'Pricing currency'),(1055,'Primary menu'),(2001,'Print'),(2624,'Print Shipping labels'),(4382,'Print custom message 1'),(4384,'Print custom message 2'),(1056,'Print invoice'),(2657,'Print packing slip'),(2002,'Print selected'),(2118,'Priority'),(2070,'Private'),(3266,'Private and custom modules:'),(3267,'Private link'),(3268,'Proceed'),(1527,'Proceed import'),(2877,'Proceed to payment'),(203,'Proceed to payment X'),(4224,'Proceed to the next step'),(1057,'Processed'),(1058,'Processed/Completed'),(2983,'Processing categories...'),(2369,'Processing products...'),(3694,'Product'),(1778,'Product ID'),(1059,'Product Name'),(1060,'Product SKU'),(1061,'Product Title'),(1062,'Product added to bag'),(2163,'Product attributes values'),(2165,'Product attributes values (Plain text) has been imported'),(2166,'Product attributes values (Textarea) has been imported'),(2164,'Product attributes values (Yes/No) has been imported'),(2408,'Product attributes values has been imported'),(1063,'Product class'),(1900,'Product class have been updated successfully'),(1901,'Product class name is empty'),(2275,'Product class {{value}} does not exists and will be created'),(1064,'Product classes'),(1065,'Product has been added to cart'),(1853,'Product has not been added to cart'),(1066,'Product images'),(1067,'Product info'),(1068,'Product info has been updated successfully'),(1069,'Product is out of stock'),(4022,'Product list'),(244,'Product name'),(3574,'Product not found'),(1070,'Product on sale'),(1071,'Product options'),(3957,'Product or product variant with SKU \"{{value}}\" not found'),(1072,'Product page title'),(1073,'Product prices are defined including this tax calculated for'),(3355,'Product removed'),(3695,'Product reviews'),(3650,'Product tabs'),(4213,'Product tags'),(4759,'Product variants'),(4764,'Product variants are based on {{variants}}'),(4797,'Product variants inventory clear help'),(2269,'Product with SKU \"{{value}}\" does not exists'),(3954,'Product with SKU \"{{value}}\" not found'),(4781,'Product with selected attribute value(s) is not available or out of stock. Please select other.'),(2195,'Product with selected properties cannot be purchased'),(3707,'Product, SKU or customer info'),(1902,'Product-Specific'),(1903,'Product-Specific attributes'),(2268,'ProductSKU is empty'),(1074,'Products'),(3956,'Products and product variants updated'),(1536,'Products found'),(1913,'Products imported'),(1075,'Products in bag'),(2972,'Products in this class: {{X}}'),(2432,'Products information has been successfully deleted'),(1076,'Products information has been successfully updated'),(2368,'Products processed'),(2152,'Products processed: X out of Y'),(2156,'Products processed: X out of Y with errors'),(2385,'Products processed: {{count}}'),(4527,'Products return X'),(3696,'Products reviews'),(2706,'Products search'),(3952,'Products updated'),(1077,'Products with low inventory'),(2988,'Products with no assigned categories'),(1078,'Profile'),(2993,'Profile actions'),(3058,'Profile details'),(1079,'Profile has been created successfully'),(1080,'Profile has been deleted successfully'),(1963,'Profile has been modified successfully'),(1081,'Profile has been updated successfully'),(2136,'Profile is not defined'),(2411,'Profile is not selected'),(1082,'Profile settings'),(1083,'Promotions'),(4631,'Proof of age'),(1084,'Properties'),(3973,'Public'),(2416,'Public ID'),(2417,'Public id'),(3269,'Public installed modules:'),(4733,'Public key'),(4671,'Publishable key'),(4672,'Publishable key (test mode)'),(3713,'Published'),(1085,'Purchase'),(1086,'Purchase SSL certificate'),(3068,'Purchase a premium license key'),(2088,'Purchase description'),(2666,'Purchase license'),(37,'Purchase premium license'),(1668,'Purchased'),(3115,'Purchased addons'),(3600,'Put all for sale'),(3597,'Put up for sale'),(1088,'Put up selected for sale'),(1089,'Qty'),(1090,'Qty.'),(230,'Quantity'),(3545,'Quantity in stock'),(3563,'Quantity in stock is determined by the amount of the remaining PIN codes'),(3560,'Quantity in stock is determined by the amount of the remaining PIN codes.'),(4743,'Quantity range'),(1091,'Quantity: high to low'),(1092,'Quantity: low to high'),(407,'Quarter'),(1534,'Query'),(1093,'Queued'),(1094,'Quick and easy setup'),(3108,'Quick menu'),(2874,'Quick view'),(2546,'Quit'),(4632,'Quote type'),(2400,'RSS feed'),(1095,'Rate'),(3739,'Rate asc'),(3740,'Rate desc'),(3738,'Rate sort'),(1096,'Rates'),(1097,'Rates / Conditions'),(3705,'Rating'),(3721,'Rating of votes'),(3759,'Ratings and Reviews of X'),(3751,'Ratings only'),(1098,'Raw online rate (on-line rate)'),(1099,'Re-build cache'),(2682,'Re-check'),(2479,'Re-deploy the store'),(2480,'Re-deploy the store help text'),(1100,'Re-generate access key'),(1586,'Re-generate links'),(4405,'Re-import payment methods'),(1101,'Re-order'),(3379,'Re-upload file'),(2449,'Re-validate license keys'),(4160,'Read'),(3737,'Read all reviews about the product'),(4246,'Ready to delete demo products?'),(4189,'Reason'),(3270,'Rebuild view lists help text'),(2897,'Recalculate ViewLists'),(2898,'Recalculate ViewLists text'),(2211,'Recalculate this value automatically'),(2810,'Recalculate totals'),(2811,'Recent orders only'),(3191,'Recently installed addons'),(2427,'Recently installed modules'),(3587,'Recently viewed'),(3770,'Recently, you have made a purchase from our company:'),(1923,'Recommended'),(3508,'Reconnect to PayPal'),(4091,'Reconnect with your MailChimp account'),(240,'Recover password'),(3339,'Redeem'),(1102,'Redirect customers to HTTPS'),(3066,'Refer to X-Cart license agreement for further details.'),(4493,'Refer to on-line manual'),(1104,'Referer'),(3136,'Refresh consistency status'),(2946,'Refresh integrity status'),(4359,'Refresh list of available methods'),(4726,'Refresh status'),(4664,'Refresh token'),(2111,'Refund'),(4712,'Refund is in progress...'),(2731,'Refund multiple[TT]'),(2730,'Refund partially[TT]'),(374,'Refund requested'),(4727,'Refund status'),(3501,'Refund status:'),(4706,'Refund status: {{status}}'),(2729,'Refund[TT]'),(375,'Refunded'),(1840,'Refunded amount'),(2626,'Refunds'),(1105,'Register'),(3082,'Register license key'),(1764,'Register user'),(3477,'Register with'),(3474,'Register with PayPal or go to checkout as a New customer'),(4697,'Register your website as an application on the Login with Amazon App Console.'),(1106,'Registered'),(2140,'Registered (access level)'),(224,'Registered Customer'),(225,'Registered Customer, _Anonymous Customer with the same email_'),(2028,'Registered Customers'),(3749,'Registered users only'),(3742,'Registered users who purchased product'),(3493,'Registering your application with PayPal'),(4633,'Registration process has been canceled.'),(4634,'Registration process has been completed successfully.'),(3764,'Reject'),(3895,'Related products'),(3897,'Related products page'),(4314,'Relay Response URL note'),(3557,'Remaining PINs'),(3067,'Remind me on next sign-in'),(44,'Removal of this message is allowed only through activation of a free or premium license.'),(1107,'Remove'),(3672,'Remove cache when attribute, tag or product data is changed'),(2215,'Remove data'),(3271,'Remove expired sessions'),(3272,'Remove expired shopping carts'),(3842,'Remove flexy-templates'),(3273,'Remove module'),(3674,'Remove product filter cache'),(3673,'Remove product filter cache tooltip'),(2679,'Remove unlicensed modules'),(3341,'Removed coupons'),(2949,'Removed files'),(2207,'Removed items'),(3274,'Removing expired datacache'),(1619,'Removing this attribute will affect all the products. Leave this blank to hide this option for the product.'),(1697,'Removing this message without buying a Full license is prohibited and will result in legal proceedings.'),(1206,'Rename label'),(4635,'Render detailed manifest'),(3390,'Renew'),(2448,'Renew your access to new features'),(1745,'Replace all modified files with the unmodified newer versions'),(4412,'Replace payment methods'),(4019,'Replace with'),(128,'Report a bug'),(2358,'Request for upgrade'),(4409,'Request payment methods'),(2085,'Request type must be POST'),(4653,'Requested amount: X; real amount: Y'),(4654,'Requested currency: X; real currency: Y'),(4652,'Requested transaction type: X; real transaction type: Y'),(1972,'Requested zone does not exists'),(1432,'Require to change password on next log in'),(1108,'Required'),(1716,'Required field'),(283,'Required field X is not defined or empty'),(4318,'Required for SHA512 hash protection.'),(1109,'Required php extensions is not loaded: X'),(2966,'Required state_id checkbox help text'),(1110,'Requires registered merchant account'),(2707,'Requires shipping'),(2670,'Requires {{list}} edition'),(1111,'Rerun benchmark'),(1112,'Resend secret link to renew the access'),(4118,'Reset all filters'),(3666,'Reset filter'),(2004,'Residential'),(2371,'Resizing images...'),(2457,'Resolve the conflict'),(3778,'Response date is in wrong format'),(4507,'Response from ePDQ is not trusted (SHA checking is failed)'),(1113,'Response from marketplace is not received'),(1114,'Response from marketplace: '),(1488,'Response from marketplace: X'),(1115,'Restore'),(1116,'Restore database'),(1117,'Restore from server'),(1118,'Restore last backup'),(1119,'Restore links'),(3790,'Restore this version'),(790,'Restores to current state of active addons (use in case of emergency)'),(1889,'Restoring database from the backup .'),(2454,'Result'),(1733,'Result pages'),(4448,'Result payment status'),(4606,'Return'),(4593,'Return #'),(4583,'Return products'),(4589,'Return qty'),(4529,'Return quantity'),(1120,'Return to Drupal'),(1890,'Return to admin interface'),(3992,'Return to cart'),(3950,'Return to default database'),(4546,'Return tracking pin'),(1528,'Reupload files'),(1121,'Revenue'),(3947,'Revert to default database'),(3753,'Review'),(2705,'Review & Submit order'),(3700,'Review has been created'),(3701,'Review has been deleted'),(3702,'Review has not been created since product is not found'),(3703,'Review has not been updated since product is not found'),(3789,'Review it.'),(3176,'Review modules'),(1122,'Review statistics on various aspects of your store\'s operation'),(3704,'Reviewer'),(3785,'Reviewer name'),(3728,'Reviews'),(3757,'Reviews about product'),(3750,'Reviews and ratings'),(3693,'Reviews for product'),(3706,'Reviews imported'),(3752,'Reviews only'),(3729,'Reviews: X'),(1123,'Role'),(1124,'Roles'),(2753,'Roles cannot be changed for your profile via import'),(1125,'Root Level'),(1126,'Root access'),(1683,'Root categories'),(1127,'Root category'),(2148,'Root category listings format'),(252,'Root level'),(3138,'RoundUp'),(1982,'Row {{number}}'),(1983,'Row(s) {{numbers}}'),(4453,'Rules triggered'),(1128,'Run Benchmark again'),(1129,'Run benchmark'),(385,'SA'),(3494,'SECONDARYONLY'),(3495,'SENDER'),(3761,'SEO'),(1163,'SEO settings'),(395,'SEPTEMBER'),(4675,'SHA-IN passphrase'),(4676,'SHA-OUT passphrase'),(2592,'SHIPPING = flat + ITEMS*per_item + SUBTOTAL*(% of subtotal)/100 + WEIGHT*per_weight;'),(53,'SKU'),(2412,'SKU is not selected'),(2812,'SKU length must be less then {{length}}'),(3275,'SKU must be unique'),(3780,'SKU or Product name'),(2814,'SKU or SKU1, SKU2'),(1130,'SKU: a-z'),(1131,'SKU: z-a'),(1132,'SMTP server'),(1874,'SQL file was deleted successfully'),(1428,'SSL Error'),(1133,'STORE SETUP'),(386,'SU'),(1134,'SYSTEM SETTINGS'),(1135,'Safe mode'),(1136,'Safe mode access key'),(1868,'Safe mode access key has been re-generated'),(2032,'Safe mode links were emailed'),(4641,'Sage Pay password'),(4643,'Sage Pay pricing currency'),(4640,'Sage Pay processing mode'),(4639,'Sage Pay vendor name'),(4642,'Sage pay invoice number prefix'),(4645,'SagePay Form admin description'),(1137,'Sale'),(1138,'Sale price'),(2463,'Sale statistics'),(1139,'Sale statistics from the opening of the store'),(2722,'Sale[TT]'),(1140,'Sales'),(4297,'Sales & Customer Service:'),(4299,'Sales & Customer Service: [phone]'),(3304,'Sales asc'),(2696,'Sales calculation'),(3102,'Sales channels'),(3305,'Sales desc'),(3303,'Sales sort'),(1141,'Sales tax'),(1526,'Samples of the file structures'),(150,'Save'),(3615,'Save & Close'),(4223,'Save and go to the next step'),(1142,'Save as new'),(4434,'Save cards'),(1143,'Save changes'),(4441,'Save credit card'),(4494,'Save credit card setup'),(2648,'Save filter'),(3945,'Save location'),(2212,'Save the existing value without re-calculating'),(1144,'Save zone details'),(4438,'Saved credit cards'),(3110,'Saving'),(1145,'Savings'),(4390,'Savings - Up to 49% off retail USPS postage rates'),(2867,'Scheme'),(4452,'Score'),(3743,'Score: X. Votes: Y'),(98,'Search'),(3840,'Search flexy-templates'),(1146,'Search for modules'),(1147,'Search for orders'),(4596,'Search for returns'),(2489,'Search for transactions by date'),(1148,'Search for users'),(1149,'Search for users that are'),(425,'Search in'),(1150,'Search in subcategories'),(2147,'Search items...(customer header search form)'),(421,'Search keywords'),(422,'Search payment method'),(1151,'Search product'),(1152,'Search profiles'),(1153,'Search result'),(1154,'Search results'),(2141,'Search total'),(2847,'Searching...'),(2891,'Second, try to disable all non-X-Cart modules by using the links below:'),(4695,'Secret Access Key'),(4324,'Secret Word'),(2113,'Secret key'),(4673,'Secret key (test mode)'),(2098,'Secret word'),(1155,'Secure connection cannot be established.'),(2302,'Secure credit card payment'),(1156,'Security'),(2310,'Security code'),(2468,'Security issue'),(1157,'Security settings'),(183,'See all items in the cart'),(1828,'See comparison chart'),(4465,'See how'),(2173,'See log file for details'),(4296,'See the tutorials and documentation about X-Cart store customization.'),(4051,'Segment condition'),(313,'Select a country or a state from a list, specify the zone'),(1749,'Select all'),(4044,'Select box'),(1158,'Select country'),(115,'Select file'),(4523,'Select issuer'),(122,'Select language'),(2815,'Select language to edit'),(247,'Select one'),(1159,'Select options'),(1865,'Select products from the list'),(1160,'Select status'),(3762,'Select the review that should be included into the rich snippet shown for the page of this product when the page appears in search results by Google and other major search engines'),(3276,'Select type'),(4061,'Selected by default'),(768,'Selected countries'),(767,'Selected countries:'),(3754,'Selected reviews have been deleted'),(3756,'Selected reviews have been updated'),(770,'Selected states'),(4215,'Selected tags have been deleted'),(377,'Selected:'),(1712,'Semicolon'),(1161,'Send'),(3300,'Send a message'),(2997,'Send reset link'),(1162,'Send test email'),(1190,'Send tracking info'),(2816,'Separate box'),(1164,'Service name'),(1165,'Service name of address field'),(1166,'Set'),(2508,'Set a single discount or add multiple volume discounts.'),(2506,'Set absolute or %-based discount rates;'),(4270,'Set flat shipping rates for your store'),(4685,'Set the Response Method setting to Sent to your server as a POST.'),(4749,'Set the price for this variant to define variant\'s personal wholesale prices'),(1167,'Set the sale price'),(167,'Set this language as default for customer zone'),(4286,'Set up offline & online payments'),(4222,'Set up payment gateways'),(4267,'Set up shipping'),(4221,'Set up shipping methods'),(4262,'Set your company info'),(3199,'Setting up Canadian taxes'),(3197,'Setting up VAT / GST'),(3198,'Setting up sales tax'),(3200,'Setting up tax classes'),(1168,'Settings'),(1169,'Setup _address zones_ and _taxes_'),(4735,'Setup instruction'),(2193,'Setup store price: X'),(3519,'Shape'),(3417,'Share'),(2663,'Ship QTY'),(4398,'Ship date'),(1568,'Ship in a separate box'),(2661,'Ship to'),(4543,'Shipment ID'),(4366,'Shipment Id'),(4599,'Shipment cannot be created'),(4604,'Shipment cannot be transmitted'),(4601,'Shipment cannot be voided'),(4365,'Shipment has been created successfully'),(4598,'Shipment has been created with errors'),(4602,'Shipment has been tranmitted with errors'),(4603,'Shipment has been transmitted successfully'),(4364,'Shipment has been voided successfully'),(4600,'Shipment has been voided with errors'),(4542,'Shipment info'),(2076,'Shipment options'),(4544,'Shipment status'),(4605,'Shipments'),(4636,'Shipments pick up type'),(371,'Shipped'),(3605,'Shipping'),(1170,'Shipping & Taxes'),(1319,'Shipping / Payment info'),(1171,'Shipping address'),(1843,'Shipping address is invalid'),(1172,'Shipping address is not completly defined yet'),(1173,'Shipping address is not defined'),(1174,'Shipping address is not defined yet'),(2590,'Shipping charge based on a percentage of the order subtotal.'),(1550,'Shipping charges'),(64,'Shipping cost'),(3929,'Shipping freight'),(3932,'Shipping freight + regular shipping rate'),(3931,'Shipping freight only'),(3933,'Shipping freight tooltip text'),(1676,'Shipping has been calculated based on the following split of the products into packages:'),(1175,'Shipping info'),(4368,'Shipping label'),(4386,'Shipping label sender signature'),(1176,'Shipping markup has been created successfully'),(1177,'Shipping markups have been updated'),(1178,'Shipping method'),(2817,'Shipping method / cost'),(1179,'Shipping method has been added'),(3277,'Shipping method is disabled'),(3278,'Shipping method is enabled'),(2554,'Shipping method is not configured.'),(2565,'Shipping method name'),(1180,'Shipping methods'),(1181,'Shipping methods are not available'),(187,'Shipping methods have been updated'),(3279,'Shipping order status'),(1542,'Shipping rate cannot be added'),(1541,'Shipping rate has been added successfully'),(1182,'Shipping rates'),(2586,'Shipping rates are calculated by the following formula:'),(1183,'Shipping settings'),(2644,'Shipping solutions'),(2126,'Shipping status'),(2914,'Shipping status not found, \"New\" will be used for order'),(4129,'Shipping status not found, new status will be created'),(4123,'Shipping statuses'),(2878,'Shipping to'),(1184,'Shipping zones'),(3786,'Shopper approved promo'),(1198,'Shopping bag'),(3664,'Shopping options'),(399,'Shortcuts'),(2030,'Show'),(4668,'Show \"How to use\" instruction'),(101,'Show Category title'),(3462,'Show above products'),(3835,'Show all'),(117,'Show all labels'),(3668,'Show all products in this category'),(4425,'Show all saved credit cards'),(2715,'Show all warnings/errors'),(3463,'Show below products'),(3626,'Show default menu along with the custom one'),(3302,'Show email as text'),(219,'Show filter options'),(2818,'Show in all the sections'),(2712,'Show low stock warning on product page'),(2783,'Show object name in page title'),(2819,'Show only in categories and search listings'),(3520,'Show payment card icons'),(3665,'Show products'),(2990,'Show products with no assigned category'),(1199,'Show social buttons'),(3057,'Show states for selected countries only'),(4191,'Show vendor’s products in the order'),(2820,'Show:'),(2321,'Sign Up'),(3473,'Sign Up Now'),(1200,'Sign in'),(2873,'Sign in / sign up'),(1201,'Sign out'),(4083,'Sign up for <Company name> news, sales and deals'),(4736,'Sign up for Authorize.net'),(3151,'Sign up for TaxJar'),(4082,'Sign up for news and updates from your favorite store. Be the first to know about exclusive sales, offers and deals.'),(3976,'Sign up for {{companyName}} news'),(2864,'Signature'),(4309,'Signature  key'),(4319,'Signature key'),(36,'Simplify tax compilance process and reduce the sales tax audit risk with AvaTax Sales Tax Automation'),(1721,'Single quote'),(3636,'Site map has not been registred in X'),(3637,'Site map successfully registred on X'),(4637,'Site number of the deposit location'),(3941,'Sitemap'),(3642,'Sitemap generation has been completed successfully.'),(3643,'Sitemap generation has been stopped.'),(3641,'Sitemap generation...'),(1202,'Size'),(4269,'Skip Shipping Step'),(4226,'Skip this step'),(3280,'Skipped'),(4323,'Skrill Customer ID'),(4330,'Skrill Quick Checkout description'),(4328,'Skrill settings'),(2821,'Soft and Hard reset links for your store'),(3281,'Soft and hard reset links for your store'),(1773,'Soft reset (disables all modules except ones that were downloaded from marketplace)'),(2892,'Soft reset. Turn off all addons except those provided by X-Cart Team & Qualiteam'),(3546,'Sold'),(3556,'Sold PINs'),(3822,'Some'),(1743,'Some files are modified'),(4153,'Some files haven`t been attached'),(3845,'Some flexy-templates cannot be removed. Please correct file permissions or remove them manually'),(2443,'Some of these updates are not available for you at the moment.'),(4285,'Some people simply prefer to place their orders by phone — let them do that.'),(286,'Some products could have been imported incorrectly'),(4518,'Something wrong in the iDEAL payment module settings. Please try later or use other payment option.'),(3349,'Sorry, the coupon has expired'),(3350,'Sorry, the coupon use limit has been reached'),(3351,'Sorry, the coupon you entered cannot be applied to the items in your cart'),(3348,'Sorry, the coupon you entered is invalid. Make sure the coupon code is spelled correctly'),(3352,'Sorry, the coupon you entered is not valid for your membership level. Contact the administrator'),(3345,'Sorry, this coupon cannot be combined with the coupon already applied. Revome the previously applied coupon and try again.'),(2655,'Sorry, your order cannot be placed as there are no shipping methods available.'),(1806,'Sorry, your order payment is canceled.'),(1807,'Sorry, your order payment is failed.'),(3282,'Sort'),(254,'Sort by'),(2822,'Sort by:'),(2823,'Sort settings'),(2348,'Sorting & Descriptions'),(2054,'Source address'),(2007,'Space'),(4373,'Special services'),(451,'Specification'),(3181,'Specify email address'),(4420,'Specify the URL of your X-Payments installation. Copy and paste Store ID, Public key, Private key and Private key password from X-Payments Online Store Details page.'),(1208,'Specify your _store information_'),(2824,'Specify your _store information_\', {\'URL\': url(\'settings\', \''),(1209,'Speed up your store'),(2210,'Staff note'),(2638,'Stamps.com'),(2513,'Standard'),(2901,'Start'),(1627,'Start Export'),(4464,'Start FREE Trial'),(1517,'Start Import'),(3439,'Start accepting Express Checkout payments immediately by simply plugging in the email address where you would like to receive payments.'),(1811,'Start date'),(1210,'Start selling!'),(3711,'Start typing customer email or name'),(3709,'Start typing product name or SKU'),(1211,'State'),(1505,'State cannot be created with unknown country code X'),(1212,'States'),(1213,'States have been deleted successfully'),(1214,'States have been updated successfully'),(2178,'States information has been successfully deleted'),(4053,'Static'),(1215,'Statistics'),(1216,'Status'),(3195,'Status comment (reason)'),(2413,'Status is not defined'),(4661,'Status: Connected'),(356,'Steps to complete your store for real sales'),(1937,'Stock'),(3283,'Store ID'),(1217,'Store Maintenance'),(1218,'Store currency'),(1219,'Store info'),(1220,'Store is closed'),(1221,'Store is open'),(1756,'Store lifetime'),(1222,'Store setup'),(1223,'Storefront'),(1944,'Storefront is closed'),(1946,'Storefront is open'),(3997,'Street address'),(143,'Subcat'),(1224,'Subcategories'),(366,'Subcategories for'),(1225,'Subject'),(3620,'Submenu'),(58,'Submit'),(2872,'Subscribe'),(4079,'Subscribe by default'),(4042,'Subscribe to our news list and be in touch with our latest offers.'),(3982,'Subscriber with email {{email}} already subscribed'),(3978,'Subscribers'),(3981,'Subscribers imported'),(4041,'Subscription'),(1226,'Substring'),(66,'Subtotal'),(4339,'Subtotal + Shipping cost'),(2572,'Subtotal range'),(1227,'Subtotal range (begin)'),(1228,'Subtotal range (end)'),(1674,'Success'),(2688,'Success[S]'),(4104,'Successfully authenticated'),(1229,'Successfully imported X new products'),(1230,'Successfully imported X new products and upgraded Y old products'),(1231,'Successfully upgraded Y old products'),(1232,'Suffix'),(127,'Suggest an idea'),(3894,'Suggested retail rates'),(3284,'Sunday'),(1515,'Support'),(3127,'Surcharges'),(2955,'Switch to Category search'),(2954,'Switch to Category tree'),(2886,'Switcher NO'),(2885,'Switcher YES'),(1233,'Synchronous'),(3106,'System logs'),(1234,'System settings'),(4127,'System status tooltip'),(3105,'System tools'),(1860,'System will download and install this module from marketplace. Continue?'),(383,'TH'),(381,'TU'),(1713,'Tab'),(3663,'Tab displaying comments about the product. Added by the addons VK/GoSocial/Disqus'),(3783,'Tab displaying product reviews. Added by the addon Product Reviews'),(3662,'Tab displaying the product\'s attributes and other details. Added by the X-Cart core'),(3661,'Tab displaying the product\'s detailed description. Added by the X-Cart core'),(1235,'Table'),(2566,'Table based on'),(3645,'Tabs'),(3651,'Tabs imported'),(4211,'Tag'),(3875,'Tag Manager Dashboard'),(5,'Tags'),(2235,'Tags are not allowed in the column \"{{column}}\" and will be stripped'),(67,'Tax'),(4029,'Tax Class'),(1573,'Tax class'),(1897,'Tax classes'),(1236,'Tax disabled'),(1237,'Tax enabled'),(1238,'Tax has been disabled successfully'),(1239,'Tax has been enabled successfully'),(1241,'Tax rate has been deleted successfully'),(1242,'Tax rate has not been deleted successfully'),(4341,'Tax rates for shipping charges have not yet been created.'),(1240,'Tax rates have been updated successfully'),(4342,'Tax rates have not yet been created.'),(4343,'Tax rates on shipping cost'),(1243,'Tax title'),(3154,'TaxJar Category'),(3153,'TaxJar Dashboard'),(3150,'TaxJar enabled'),(4340,'Taxable base'),(1244,'Taxes'),(1245,'Teaser'),(3796,'Template'),(3817,'Template editor'),(3839,'Template is converted'),(3617,'Terms and conditions'),(1503,'Terms and conditions text'),(2003,'Test'),(4562,'Test Canada Post rates calculation'),(3285,'Test e-mail have been successfully sent'),(1246,'Test email configuration'),(1765,'Test email notification'),(1766,'Test email notification:'),(2078,'Test mode'),(2188,'Test mode: Live'),(2187,'Test mode: Test'),(2596,'Test rates'),(1247,'Test shipping rates'),(4429,'Test transaction completed successfully'),(4439,'Test transaction completed successfully for API version X'),(4430,'Test transaction failed. Please check the X-Payment Connector settings and try again. If all options is ok review your X-Payments settings and make sure you have properly defined shopping cart properties.'),(2087,'Test/Live mode'),(2735,'Test[TT]'),(1248,'Tester'),(1249,'Text'),(87,'Text labels have been deleted'),(83,'Text labels have been updated successfully'),(88,'Text labels have not been deleted: no text labels have been found or specified'),(85,'Text labels have not been updated successfully: the default application language has been set as the translation language'),(86,'Text labels have not been updated successfully: the translation language has not been found'),(84,'Text labels have not been updated successfully: the translation language has not been specified'),(3596,'Text links'),(3777,'Text of response'),(3712,'Text of review'),(1931,'Textarea'),(265,'Thank you for registering a customer account, your profile has been created successfully'),(3977,'Thank you for subscribing to the newsletter! We hope you enjoy shopping at {{companyName}}'),(216,'Thank you for using company services'),(1250,'Thank you for your order'),(317,'Thank you for your order FOOTER'),(3718,'Thank your for sharing your opinion with us!'),(4356,'The \"Approved URL\" value must be exact as this'),(4689,'The \"Pay With Amazon\" feature is not configured and cannot be used.'),(4690,'The \"Pay with Amazon\" feature requires https to be properly set up for your store.'),(4355,'The \"Pricing currency\" value must be exactly the same as on it.'),(2844,'The \"{{file}}\" file is not allowed and was not uploaded. Allowed extensions are: {{extensions}}'),(3619,'The \"{{file}}\" file is not allowed image and was not uploaded. Allowed images are: {{extensions}}'),(1834,'The \"{{file}}\" file was not uploaded'),(1872,'The \"{{file}}\" is not CSV or archive'),(2232,'The \"{{value}}\" category does not exist'),(2266,'The \"{{value}}\" group is not created'),(2230,'The \"{{value}}\" image does not exist'),(2227,'The \"{{value}}\" membership does not exist'),(2228,'The \"{{value}}\" product class does not exist'),(2229,'The \"{{value}}\" tax class does not exist'),(3623,'The AppleIcon image could not be uploaded (Unallowed image type. Must be a .png image with the resolution of 192x192 px)'),(4683,'The Approved URL value must be exact as this:'),(3286,'The Clean URL entered has unallowed chars.'),(2452,'The Clean URL entered is a redirect to object.'),(2767,'The Clean URL entered is already in use by target alias.'),(2451,'The Clean URL entered is already in use.'),(4684,'The Declined URL value must be exact as this:'),(2117,'The English language cannot be removed as it is primary language for all texts.'),(1265,'The HTTPS protocol is enabled for your website'),(1251,'The SSL certificate installed for your custom website domain is not valid.'),(1252,'The SSL certificate installed on your server is not valid. Although you can switch the store to use the secure protocol for the website pages, most Internet browsers will likely display a warning message scaring your website visitors away.'),(4682,'The Store ID and HPP Key value must be exactly the same as on it.'),(289,'The X field is empty'),(1253,'The X language has been added and enabled successfully'),(76,'The X language has been added successfully'),(78,'The X language has been deleted successfully'),(81,'The X language has been disabled successfully'),(82,'The X language has been enabled successfully'),(177,'The X module has been installed incorrectly. Please see the logs for more information'),(175,'The X module has been installed successfully'),(176,'The X module has been installed with errors: the DB has not been modified correctly'),(178,'The X module has been installed, but the module has a wrong module control class'),(1955,'The address field has been added'),(1954,'The address field has been updated'),(1254,'The attachment has been added successfully'),(3398,'The attachment has been successfully re-upload'),(1949,'The attribute group has been added'),(1948,'The attribute group has been updated'),(1957,'The attribute has been added'),(1956,'The attribute has been updated'),(1951,'The attribute option has been added'),(1950,'The attribute option has been updated'),(4748,'The base price can not be changed on this page.'),(215,'The benchmark evaluates server environment'),(2328,'The body template may include other templates to generate the email notification. To customize it, please, copy appropriate templates to \"skins/theme_tweaker/mail/\"'),(2194,'The button is inactive either because no changes have been detected on the current page or because the order totals need to be recalculated before the order can be updated.'),(2694,'The calculation completed'),(2693,'The calculation failed'),(2486,'The calculation of quick data has been completed successfully.'),(2487,'The calculation of quick data has been stopped.'),(1953,'The category has been added'),(1952,'The category has been updated'),(1255,'The changes will be applied to all selected products'),(2453,'The clean URL will be generated automatically.'),(2420,'The common notification fields has been updated'),(4210,'The comparison table has been cleared.'),(217,'The confirmation URL link was mailed to email'),(2134,'The confirmation URL link will be emailed to you shortly'),(2943,'The core may be checked only if a valid license key is present.'),(2757,'The count of categories specified for a product and the count of orderBy position numbers describing the position of the product within these categories must be the same.'),(1878,'The countries list for zone is empty. Please specify it.'),(2888,'The countries to which the selected states belong will be added to the zone automatically.'),(3322,'The coupon has been added'),(3315,'The coupon has been applied to your order'),(3323,'The coupon has been updated'),(1888,'The database has not been restored because of the errors'),(3788,'The database stores different version of the custom changes.'),(80,'The default interface language cannot be disabled'),(1256,'The detailed image has been added successfully'),(1257,'The detailed image has been deleted'),(1898,'The detailed image has not been deleted'),(1258,'The detailed images have been updated successfully'),(1567,'The directory \'var/backup/\' does not exist or is not writable.'),(3808,'The directory {{dir}} does not exist or is not writable.'),(3321,'The discount should be less than 100%'),(4179,'The dispute has been closed'),(2654,'The download should start automatically. Click the link if does not start.'),(95,'The edited language has not been found'),(218,'The email with your account information was mailed to email'),(1259,'The exceptions have been updated successfully'),(1774,'The export is complete.'),(4166,'The field Body may not be blank'),(2614,'The file extension is forbidden'),(2746,'The file extension is forbidden ({{file}}'),(306,'The file was not loaded because of a failure on the server'),(1896,'The file was not loaded because of a failure on the server.'),(3807,'The file {{file}} does not exist or is not writable.'),(4141,'The files have been attached successfully'),(1261,'The following add-on(s) must be disabled'),(1260,'The following add-on(s) must be enabled'),(1262,'The following categories were selected to be removed'),(1263,'The following dependent add-ons will be disabled  automatically'),(1509,'The following expected input data have wrong format or empty: X'),(1626,'The following files are too large to be included in the archive'),(2353,'The following modules currently do not have a version compatible with the X-Cart version to which you are upgrading'),(154,'The following modules will be disabled'),(2382,'The following selected modules cannot be disabled due to architecture limitations'),(2379,'The following selected modules cannot be disabled or uninstalled as they have dependent modules'),(2380,'The following selected modules cannot be enabled as they depend on disabled modules which cannot be enabled'),(1864,'The form could not be identified as a form generated by X-Cart'),(1962,'The front page has been updated'),(2374,'The generation of resized images has been completed successfully.'),(2375,'The generation of resized images has been stopped.'),(3382,'The history of downloads feature for this product is disabled. You can enable it here'),(1264,'The image has been updated'),(2376,'The image resizing process may take a while to complete. Please do not close this page until the process is fully completed.'),(1266,'The import is in progress'),(2991,'The import process has been canceled'),(1267,'The importing starts immediately upon selecting the data file. No additional confirmation prompts will appear.'),(2442,'The key does not allow getting new features and upgrades.'),(1600,'The language CSV file should be a text file which contains 3 columns per row (columns are separated by comma:'),(96,'The language data has been saved'),(79,'The language has not been found'),(1594,'The language labels have been successfully imported:'),(75,'The language you want to add has already been added'),(74,'The language you want to add has not been found'),(77,'The language you want to delete has not been found'),(1268,'The language you want to delete is the default application language and cannot be deleted'),(1269,'The language you want to delete is the default interface language and cannot be deleted'),(3306,'The length of X field must be greater than Y'),(3307,'The length of X field must be less than Y'),(2237,'The length of value for the column \"{{column}}\" exceeds length of field and will be cut'),(71,'The link was copied to your clipboard'),(97,'The maximum file size that can be uploaded: X'),(1270,'The maximum number of uses'),(3353,'The maximum number of uses per user'),(1714,'The membership name cannot contain such symbols as \\, \' and \". Also, it cannot exceed 32 characters.'),(3610,'The menu has been added'),(3609,'The menu has been updated'),(1841,'The method is not configured and cannot be used'),(4752,'The minimum amount of \"{{product}}\" product {{description}} allowed to purchase is {{min}} item(s). Please adjust the product quantity.'),(1491,'The module X has been uninstalled successfully'),(1271,'The module has been partially uninstalled'),(174,'The module has been uninstalled successfully'),(1739,'The module is incompatible with the new core version going to be installed'),(1272,'The module is not released for your X-Cart version'),(2944,'The module may be checked only if a valid license key is present.'),(2381,'The module may not be disabled due to the limitations of the module architecture.'),(173,'The module to uninstall has not been found'),(2123,'The module version is incompatible with your core version and cannot be enabled. Minimum core version required for this module is X.'),(2122,'The module version is incompatible with your core version and cannot be installed. Minimum core version required for this module is X.'),(179,'The modules have been updated'),(2256,'The name is empty'),(3096,'The name will be changed globally'),(4243,'The newly created product is already in your [storefront]. Have a look! Ready to delete demo products?'),(3918,'The news message has been added'),(3917,'The news message has been updated'),(2421,'The notification has been updated'),(2234,'The number of values in the row does not match the number of column headers for this CSV file'),(1842,'The only remaining active administrator profile cannot be deleted.'),(1941,'The order subtotal exceeds the maximum allowed value ({{max_order_amount}})'),(1991,'The order subtotal exceeds the maximum allowed value ({{max_order_amount}}), please remove some items from the cart.'),(1942,'The order subtotal less than the minimum allowed value ({{min_order_amount}})'),(1992,'The order subtotal less than the minimum allowed value ({{min_order_amount}}), please add some items to the cart.'),(1273,'The page has been added'),(3611,'The page has been updated'),(1762,'The password is the one you specified during checkout.'),(1763,'The password is the one you specified.'),(361,'The process of export is complete. You can follow this_link to check the results and download the files containing data.'),(1637,'The process of export may take much time. Please do not close this page until the export is complete'),(1636,'The process of export may take much time. You may close the page, the operation will be in progress as background. If the operation takes long enough, we will send you a notification when it is complete.'),(1530,'The process of import may take much time. Please do not close this page until the import is complete'),(1529,'The process of import may take much time. You may close the page, the operation will be in progress as background. If the operation takes long enough, we will send you a notification when it is complete.'),(2485,'The process of quick data calculation may take a while to complete. Please do not close this page until the process is fully completed.'),(2695,'The process of sales calculation may take a while to complete. Please do not close this page until the process is fully completed.'),(3644,'The process of sitemap generation may take a while to complete. Please do not close this page until the process is fully completed.'),(3902,'The product SKU#\"X\" is already set as Related for the product'),(2073,'The product SKU#\"X\" is already set as featured for the category'),(3899,'The product SKU#\"X\" is already set as related for the product'),(1959,'The product class has been added'),(1958,'The product class has been updated'),(4760,'The product does not have attributes with multiple options'),(3686,'The product filter cache has been removed successfully.'),(2613,'The product for which you attempted to upload an attachment has not been found'),(2422,'The product has been added'),(4209,'The product has been added to the comparison table'),(4208,'The product has been removed from comparison table'),(2174,'The product has been updated'),(1274,'The product option group has been added successfully'),(1275,'The product option group has been updated successfully'),(1276,'The product option groups have been updated successfully'),(1277,'The product option groups have not been successfully updated'),(1961,'The product selection has been added'),(1960,'The product selection has been updated'),(3649,'The product tab has been added'),(3648,'The product tab has been updated'),(2226,'The product with \"{{value}}\" SKU does not exist'),(2995,'The product you are trying to add to cart is unavailable'),(3381,'The product\'s history of downloads is empty'),(4607,'The products return has been registered.'),(1502,'The profile has been registered. The password has been sent to the user\'s email address'),(1501,'The profiles have been merged'),(1593,'The provided file contains the following language labels:'),(4450,'The related payment not found. Apparently it was deleted.'),(1278,'The requested page could not be found.'),(1279,'The restoration procedure is irreversible and erases all data tables from your store database. It is highly recommended that you back your present database data up before restoring one of the previous states from a back-up.'),(3628,'The role has been added'),(3627,'The role has been updated'),(1280,'The same as shipping'),(3397,'The same file can not be assigned to one product'),(1981,'The script found {{number}} errors during import'),(3953,'The script found {{number}} errors during update inventory'),(1980,'The script found {{number}} errors during verification'),(2825,'The secure protocol for your website is disabled.'),(2826,'The secure protocol for your website is enabled.'),(2530,'The secure protocol is enabled for your website. But X-Cart hasn\'t found the valid SSL certificate on your server.'),(2989,'The selected categories have been deleted. There are products with no assigned category.'),(1863,'The selected payment method is obsolete or invalid. Select another payment method'),(1281,'The selected shipping markups have been deleted successfully'),(186,'The selected shipping method has been deleted successfully'),(188,'The selected zones have been deleted successfully'),(2189,'The service name X is reserved and cannot be used for an address field.'),(2865,'The settings in this section determine the content of email notifications sent to admin.'),(2862,'The settings in this section determine the content of email notifications sent to customer.'),(1871,'The settings of payment method successfully updated'),(2196,'The specified amount of product exceeds maximum amount of product in stock'),(1282,'The state has been added successfully'),(282,'The string is different from that of the title number of columns - X instead of Y'),(2396,'The system detects that some updates are available for enabled modules. It is strongly recommended to have all enabled modules updated to latest version for better compatibility before the install new ones from Marketplace.'),(2509,'The system has been restored to the selected snapshot of X'),(2672,'The system has detected one or more problems with some of the modules at your store:'),(1744,'The system has detected that some custom modifications were made by editing core and module files, not by writing new modules. In order to proceed with the upgrade you should decide what to do with the modifications'),(2680,'The system has detected that the license key that was activated for your store is invalid.'),(2510,'The system has failed to restore because there was no snapshot of X'),(1965,'The tax class has been added'),(1964,'The tax class has been updated'),(3802,'The template has been added'),(3801,'The template has been updated'),(3857,'The test email notification has been sent to X'),(93,'The text label has been added successfully'),(89,'The text label has been deleted'),(94,'The text label has been modified successfully'),(91,'The text label has not been added, because its name has not been specified'),(1283,'The text label has not been added, because its translation to the default application language has not been specified'),(1284,'The text label has not been added, because its translation to the default interface language has not been specified'),(92,'The text label has not been added, because such a text label already exists'),(90,'The text label has not been deleted: it has been either not found or not specified'),(1285,'The text label has not been modified, because its translation to the default application language has not been specified'),(1286,'The text label has not been modified, because its translation to the default interface language has not been specified'),(3097,'The totals have been recalculated. Press \"Save changes\" to adjust the order'),(4446,'The transaction will be marked as'),(1287,'The upgrade is completed. Please, do not close this page until you check your web site and check that everything works properly'),(4227,'The uploaded image is too large.'),(226,'The user will be registered; a password will be sent to the user via email'),(2236,'The value in the column \"{{column}}\" will be adjusted according to HTML specification to prevent potential XSS attack'),(2720,'The value must be greater than the current maximum order number in the order list'),(1717,'The value must be in range'),(292,'The value of the X field has an incorrect format'),(290,'The value of the X field must be greater than Y'),(291,'The value of the X field must be less than Y'),(293,'The value of the X field should not be longer than Y'),(1547,'The values are average'),(3792,'Theme tweaker'),(3129,'There are %model% with missing %another_model%'),(3128,'There are %model% without valid %another_model% relation'),(2474,'There are no activated license keys'),(1288,'There are no categories'),(3765,'There are no comments yet. Be the first to leave a comment'),(1574,'There are no images loaded for this product'),(3137,'There are no inconsistencies found'),(1506,'There are no labels translated to X'),(1289,'There are no markups selected'),(4431,'There are no payment configurations for this store.'),(2749,'There are no permissions to import user access level'),(2751,'There are no permissions to import user roles'),(1290,'There are no rates available for specified source/destination and/or package measurements/weight.'),(1801,'There are no shipping methods available'),(1649,'There are no shipping methods defined for this carrier'),(3829,'There are some custom CSS styles in your store. These styles may affect the look of the installed template. Review the custom styles and disable them if necessary.'),(3830,'There are some custom templates in your store that may contain skin dependent code.'),(2528,'There are unsaved changes on the page. If you choose to continue, these changes will be lost. Do you want to proceed?'),(1186,'There is a maximum purchase limit of MaxQuantity'),(1185,'There is a minimum purchase limit of MinQuantity'),(198,'There is already an account with your email address. You can sign in or continue as guest'),(2883,'There is already state with code {{code}} in {{country}}'),(3313,'There is no such a coupon, please check the spelling: X'),(1292,'There is no user with specified email address'),(3134,'There is one valid root category, however there are multiple root category candidates'),(1293,'There were no orders placed'),(4717,'There were problems with the payment method.'),(430,'There\'s no payment method available'),(4532,'There\'s no post offices available'),(3413,'These Open Graph meta tags were generated automatically based on general product information.'),(1997,'These attributes can be applied to all the products in the store.'),(1995,'These attributes can be applied to the \"{{name}}\" product class.'),(1996,'These attributes can only be applied to this particular product.'),(1294,'These components require your attention'),(1295,'These components will be updated'),(1296,'These instructions will appear below the order invoice on the page which customers see after they confirm their order.'),(1297,'These links were already provided to you after this store was installed and will be emailed to you again after you start the upgrade process'),(2033,'These links were already provided to you after this store was installed and will be emailed to you again after you start the upgrade process.'),(2785,'These options separated by X, you can change it by modify X label'),(4403,'These payment methods were imported from your X-Payments. You can add them to your store at the '),(3847,'This action will remove all flexy-templates. Are you sure to proceed?'),(1819,'This address was used as a'),(1299,'This address was used as a billing address during the recent purchase'),(1300,'This address was used as a shipping address during the recent purchase'),(3335,'This comment will be visible to shop administrators only'),(1301,'This component is automatically calculated by shipping add-on module and cannot be edited'),(3344,'This coupon cannot be combined with other coupons'),(1302,'This e-mail address is already in use by another user.'),(1303,'This email address is used for an existing account. Enter another email address or sign in'),(2460,'This feature is available only for paid (non-free) X-Cart license plans'),(4028,'This feature is not yet available. You will be redirected to the feature request page where you can vote to have this feature implemented in one of the upcoming versions.'),(3930,'This field can be used to set a fixed shipping fee for the product. Make sure the field value is a positive number (greater than zero).'),(210,'This field is required'),(3293,'This field is required.'),(1304,'This is a default zone which covers all addresses. It\'s impossible to edit this zone\'s countries, states etc'),(242,'This is a demo store with powerful X-Cart engine inside'),(4385,'This is a user specified message that gets printed on the bottom of the label. A string of up to 50 characters can be printed on the label.'),(4383,'This is a user specified message that gets printed on the face of the label. A string of up to 50 characters can be printed on the label.'),(3426,'This is the login name you created when signing up for PayPal Payments Advanced.'),(3433,'This is the login name you created when signing up for Payflow.'),(3434,'This is the password you created when signing up for PayPal Payflow or the password you created for API calls.'),(3428,'This is the password you created when signing up for PayPal Payments Advanced or the password you created for API calls.'),(4768,'This item is not available'),(4767,'This item is out of stock'),(427,'This language is added by module and cannot be removed.'),(3065,'This message can be removed only through activation of a free or premium license.'),(1644,'This method does not support the current store currency and is not available for customers'),(2697,'This method is displayed because you are logged in as admin and operating as another user'),(1645,'This method is in test mode'),(341,'This module is available for X-Cart hosted stores only.'),(2049,'This module uses PHP\'s cURL functions which are disabled on your web server'),(1305,'This month'),(1797,'This operation is irreversible. Are you sure you want to proceed?'),(4728,'This operation will cancel order. Payment authorization will be voided. Please confirm to proceed.'),(4729,'This operation will capture funds from customer. Please confirm to proceed.'),(4730,'This operation will refund funds to customer. Please confirm to proceed.'),(4326,'This options is relevant only if you share your Skrill account with other online shops.'),(2827,'This order was not checked by the AntiFraud service!'),(2339,'This page allows you to adjust the types of email notifications your store sends to users'),(1549,'This page allows you to configure Shipping methods, zones and charges.'),(1556,'This page allows you to edit global attributes, which are available for all products in your store, and attributes specific for classes of your products.'),(2500,'This page is intended for the creation and management of discount coupons.'),(2505,'This page is intended for the management of volume discounts based on the order subtotal.'),(1647,'This payment method cannot be enabled until you configure it'),(3287,'This payment method is'),(2316,'This payment method is Active.'),(2317,'This payment method is Inactive.'),(2828,'This payment method is not configured.'),(2896,'This process may take much time. Please do not close this page until the task is complete'),(191,'This product has been added to your bag'),(61,'This product is out of stock or it has been disabled for sale'),(3589,'This product will be shown in coming soon section'),(3588,'This product will be shown in new arrivals'),(1312,'This quarter'),(1308,'This section displays 10 top-selling products for today, this week and this month'),(1309,'This section displays order placement statistics'),(1545,'This section displays order processing statistics'),(3452,'This setting determines whether or not the \"Buy Now with PayPal\" button should be displayed on product list pages (in list view) and product details pages.'),(2598,'This shipping method is'),(2599,'This shipping method is not configured.'),(3432,'This should be the same partner name that is used when logging into your PayPal Payflow account.'),(1310,'This site requires JavaScript to function properly.'),(2495,'This tool allows you to get rid of any content that might have been created in your store for testing purposes and which you no longer need.'),(199,'This user name is used for an existing account. Enter another user name or sign in'),(4348,'This value must be set in exactly the same way as it is set on the payment gateway end.'),(1311,'This week'),(362,'This will increase the shipping cost by XX'),(1313,'This year'),(2224,'Three columns'),(1314,'Through'),(1315,'Thumbnail'),(4753,'Tier with same quantity range and membership already defined.'),(2829,'Time left'),(1429,'Timeout error'),(1316,'Title'),(33,'To activate your X-Cart license, enter your secret key into the field below and click Activate.'),(34,'To activate your X-Cart or commercial module license, enter your license key into the field below and click Activate.'),(4408,'To be able to use the payment methods defined in X-Payments you should import information about them from X-Payments. Click the button below and X-Payments will return a list of payment methods available for this shopping cart.'),(294,'To boost your sales try to use Discounts coupons, Sale, Product Advisor, Volume discounts addons. Also you may be interested in all Marketing extensions from our Marketplace'),(1769,'To change the password, log into your company account and use the \'Modify profile\' link'),(1608,'To change the roles of your profile, contact the store administrator'),(1320,'To contact us please fill the form below'),(1421,'To continue, please, sign in'),(1321,'To email'),(355,'To enable secure protocol for your website pages you need a valid SSL certificate purchased for the website domain and installed on your server.'),(3488,'To enable this payment method, you need <Multi-vendor> module installed.'),(3487,'To enable this payment method, you need Multi-vendor module installed.'),(296,'To fix this problem, do the following: 3 points'),(279,'To get the format of the import data you can export your products to a file'),(1555,'To have attributes specific for product classes, define product classes first.'),(354,'To make the online store use the secure protocol you need an SSL certificate purchased for the website domain and installed on your server.'),(2523,'To make your changes visible in the customer area, cache rebuild is required. It will take several seconds. You don’t need to close the storefront, the operation is executed in the background.'),(3974,'To move your existing subscribers to MailChimp lists, <export your subscribers data> from X-Cart and use the import feature under your MailChimp account.'),(1322,'To place the order please accept Terms and Conditions'),(1323,'To place the order please complete the previous steps first'),(4329,'To process your customers\' payments with Skrill, you need a Skrill account. If you do not have one yet, you can sign up for free at http://www.skrill.com'),(1324,'To recover your password, please type in the valid e-mail address you use as a login'),(4528,'To request a return please fill the form below'),(3155,'To send email asynchronously and improve website performance we recommend to set up queues in on your server. [Learn how to do it].'),(4777,'To set product variants you should select attributes with multiple options.'),(4352,'To set up the integration you should follow '),(4681,'To set up the integration, go to the _Site management_'),(35,'To setup Tax Rates, find and install the appropriate addons from Marketplace'),(2830,'To setup Tax Rates, find and install the appropriate addons from Marketplace\', {\'url\': url(\'addons_list_marketplace\', \'\', {\'tag\': \'Taxes'),(4566,'To start registration process for Canada Post merchant account click on the \"Register\" button.'),(3327,'To use the coupon, your order subtotal must be at least X'),(3326,'To use the coupon, your order subtotal must be between X and Y'),(3328,'To use the coupon, your order subtotal must not exceed Y'),(1325,'Today'),(3634,'Too large value for absolute discount'),(2683,'Tools'),(3913,'Top News'),(213,'Top X products'),(103,'Top banner'),(1326,'Top sellers'),(1327,'Top selling products'),(231,'Total'),(4048,'Total amount of orders'),(4551,'Total items weight'),(4590,'Total weight'),(1775,'Totals'),(1189,'Track package'),(4595,'Tracking details'),(1197,'Tracking information has been sent'),(4363,'Tracking information was updated successfully'),(2419,'Tracking number'),(1195,'Tracking number is changed from \"{{old_number}}\" to \"{{new_number}}\"'),(1192,'Tracking numbers'),(4545,'Tracking pin'),(4533,'Tracking pins'),(3408,'Traditional'),(2424,'Transaction'),(2831,'Transaction ID'),(2092,'Transaction amount mismatch'),(3174,'Transaction is in progress'),(4308,'Transaction key'),(4449,'Transaction result'),(2062,'Transaction type'),(2646,'Transactions details'),(1328,'Translation driver'),(129,'Translations'),(4586,'Transmit shipment'),(3081,'Trial has expired!'),(325,'Trial period X days'),(1999,'Trial period expires today'),(1998,'Trial period is expired'),(4119,'Try clearing filters or different search terms.'),(1795,'Try search-as-you-type feature...'),(1861,'Try to change the search criteria or find the needed solution in marketplace'),(2832,'Try to change the search criteria or find the needed solution in marketplace\', {\'URL\': url(\'addons_list_marketplace\', \'\', {\'tag\': \'Payment processing'),(1862,'Try to search worldwide or find the needed solution in marketplace'),(2833,'Try to search worldwide or find the needed solution in marketplace\', {\'URL\': url(\'addons_list_marketplace\', \'\', {\'tag\': \'Payment processing'),(1469,'Try to unpack them manually'),(295,'Trying to access the shop at X'),(2604,'Trying to run pre-upgrade hooks while not all archives were unpacked'),(4495,'Trying to use unaccepted template change.'),(3411,'Tweet'),(3838,'Twig-template path'),(1329,'Twitter'),(2223,'Two columns with left sidebar'),(2222,'Two columns with right sidebar'),(1330,'Type'),(1331,'Type of Account'),(4700,'Type of authorization request'),(4035,'Type: checkbox'),(4034,'Type: select box'),(4357,'U.S.P.S. module allows you to use online shipping rates calculation via USPS Web Tools Ecommerce API.'),(2639,'UPS'),(3882,'UPS module allows to use online shipping rates calculation via UPS service.'),(3806,'URL'),(4667,'URL is copied'),(1630,'URLs'),(2640,'USPS'),(4362,'USPS Shipments'),(1873,'Unable to delete file'),(1492,'Unable to delete module X files: some dirs have no writable permissions: Y'),(2743,'Unable to download the contents of {{url}}'),(2745,'Unable to get at the contents of {{url}}'),(4399,'Unable to get merchant info'),(300,'Unable to install module X because some modules, which it depends on, have not been installed or activated yet'),(3543,'Unable to retrieve Publisher ID for specified PayPal account. Banners are now disabled.'),(3833,'Unable to save edited content. Errors: '),(2742,'Unable to write data to file {{file}}'),(2678,'Unallowed modules will be disabled automatically on the next visit any page in the administrator interface.'),(2071,'Unavailable'),(3391,'Unblock and renew'),(1334,'Uncheck all'),(116,'Undelete'),(1335,'Understanding Online Payments'),(1336,'Unexpected error: version value is not passed'),(4508,'Unexpected result was received from ePDQ (transaction status is not set)'),(4519,'Unexpected result was received from iDEAL (transaction status is not set)'),(1420,'Unfortunately, you don\'t have permissions to access this page.'),(3471,'Unfortunately, your API credentials could not be obtained from your PayPal account automatically.'),(1337,'Uninstall'),(1338,'Units & Formats'),(1339,'Units of measurement'),(3409,'Universal Analytics'),(1340,'Unknown'),(2942,'Unknown core version'),(3288,'Unknown error'),(3577,'Unknown error occurred'),(1510,'Unknown language: X'),(4524,'Unknown payment transaction'),(2176,'Unknown payment. If you see this message after returning from the payment page, please contact the store administrator for information about the status of your payment.'),(3834,'Unknown temporary file'),(2096,'Unlimited'),(4556,'Unpackaged'),(1341,'Unpacking archives, please wait...'),(4161,'Unread'),(1750,'Unselect all'),(1342,'Unset'),(4142,'Unsupported file extension'),(62,'Update'),(4037,'Update MailChimp Lists'),(4400,'Update date'),(4423,'Update default card'),(1343,'Update exceptions'),(1987,'Update existing items, but skip new items'),(1344,'Update module'),(2843,'Update modules'),(1345,'Update product'),(1346,'Update profile'),(3951,'Update quantity'),(3958,'Update quantity import guide'),(4105,'Update store data'),(4401,'Update tracking info'),(1347,'Updated components'),(1348,'Updates are available'),(1349,'Updates for the X-Cart core and/or installed modules are available'),(1350,'Updates for your version ({{version}})'),(2834,'Updating data from the marketplace...'),(1351,'Upgrade'),(2475,'Upgrade access level cannot be changed for default free license'),(2471,'Upgrade access level has been successfully assigned to your license keys'),(2472,'Upgrade access level tooltip message'),(1352,'Upgrade available'),(1353,'Upgrade core'),(1736,'Upgrade for X-Cart core is available'),(1354,'Upgrade module'),(2857,'Upgrade not allowed'),(2352,'Upgrade note'),(3061,'Upgrade phar warning'),(1355,'Upgrade to version {{version}}'),(1356,'Upload'),(4255,'Upload a new logo'),(1357,'Upload add-on'),(1358,'Upload and restore'),(4219,'Upload company logo'),(1359,'Upload file'),(3021,'Upload file size limit'),(1525,'Upload files'),(1560,'Upload from server'),(1561,'Upload from your computer'),(4087,'Upload store data to MailChimp'),(110,'Upload via URL'),(4250,'Upload your company logo'),(4106,'Uploading data has been completed successfully.'),(4107,'Uploading data has been stopped.'),(3447,'Use PayPal authentication method'),(4417,'Use X-Payments configuration bundle'),(3385,'Use X-Sendfile to facilitate the download of large file attachments (100 Mb and larger) by customers:'),(1360,'Use a merchant account from your financial institution or choose a bundled payment solution to accept credit cards and other methods of payment on your website.'),(1361,'Use a merchant account from your financial institution to accept online payments'),(3787,'Use custom css'),(1362,'Use custom js'),(1366,'Use default logo'),(1368,'Use dynamic image help'),(1367,'Use dynamic image resizing'),(4731,'Use existing Amazon account'),(3482,'Use existing PayPal account'),(3480,'Use existing account from'),(1365,'Use images lazy load help'),(1364,'Use images lazy load placeholder'),(1363,'Use images lazy load preloaded'),(4346,'Use of Restriction key must be disabled in your Quantum Gateway merchant center account at all times.'),(3504,'Use of the unsupported Payment Data Transfer (PDT) method has been detected'),(4457,'Use one of the following cards to'),(2044,'Use our new nifty module to automatically backup your store and be able to restore it if anything crops up.'),(3873,'Use the Google Tag Manager addon for more flexibility when adding JS code to your web pages.'),(1369,'Use the category name'),(1771,'Use the following key to access safe mode'),(2291,'Use the form below to provide your license information.'),(1370,'Use the navigation bar above this dialog to navigate through the catalog categories'),(4344,'Use the same tax rates for all user membership levels'),(4381,'Use this field for instructions in case the package is not delivered.'),(1371,'Use this section to back the database of your online store up. Please note that the database backup procedure can take up to several minutes.'),(1564,'Use this section to back up the database of your online store. Please note that the database backup procedure can take up to several minutes.'),(1372,'Use this section to define shipping zones.'),(1373,'Use this section to define your store\'s shipping methods.'),(1374,'Use this section to manage the list of existing countries. This list is used in the shipping settings and calculations, and in the registration form at the Customer Front-end.'),(1375,'Use this section to manage the lists of counties, provinces, regions and states of different countries. The lists are used in shipping settings and calculations, and in the registration form at the Customer Front-end.'),(1376,'Use this section to restore the database of your online store. Please note that the database restoration procedure can take up to several minutes'),(1377,'Use this section to review the list of existing membership levels and add new ones'),(4421,'Used credit cards'),(2090,'User'),(263,'User X is logged in'),(1734,'User activity'),(1777,'User filled in Contact Us form'),(4293,'User manuals, release notes, modules, videos and more.'),(1378,'User membership'),(1379,'User type'),(1380,'Username or e-mail'),(1381,'Users'),(3111,'Users list'),(1382,'Uses count'),(1383,'Uses left'),(2675,'Using the modules with this type of license violation is illegal'),(2308,'VALID THRU'),(1384,'VAT'),(1385,'Validate key'),(1386,'Value'),(2231,'Variant attribute \"{{column}}\" cannot be empty'),(4784,'Variant id X is already assigned to another product variant'),(4798,'Variant sku must be unique'),(4783,'Variant with specified attribute values already exists'),(4758,'Variants'),(4772,'Variants have been created successfully'),(4773,'Variants have been discarded successfully'),(4775,'Variants have been successfully deleted'),(4774,'Variants have been updated successfully'),(4792,'Variants list'),(3537,'Venmo'),(1531,'Verification results'),(2366,'Verified'),(4220,'Verify geo settings'),(2367,'Verifying data before importing...'),(1387,'Version'),(1388,'Version change'),(109,'Via URL'),(1943,'View all addons'),(1757,'View all low inventory products'),(1389,'View all open orders'),(2149,'View all ordered items'),(237,'View cart'),(107,'View image'),(1669,'View in list'),(3289,'View in my addons'),(1390,'View logs'),(2470,'View more addons in Marketplace'),(2702,'View order history'),(4750,'View parent product\'s wholesale prices'),(4455,'View payment information'),(1391,'View profile'),(2389,'View storefront'),(1392,'View system logs'),(1393,'View update log'),(3608,'Visible for'),(3676,'Visible in products filter'),(1394,'Visit module details page'),(1395,'Visit storefront'),(2516,'Visit the template store'),(2110,'Void'),(2728,'Void multiple[TT]'),(2727,'Void partially[TT]'),(4584,'Void shipment'),(2692,'Void[S]'),(2726,'Void[TT]'),(1396,'Volume discounts'),(3744,'Votes: X'),(1684,'WARNING! There are no more available administrators\' profiles. You will not be able to manage your store after you delete this profile.'),(382,'WE'),(3410,'Want help with SEO? Ask X-Cart Guru'),(2618,'Want to change or add another accounting system? Choose the accounting system you require below and configure it.'),(3125,'Want to customize review surveys and display video testimonials? Try Shopper Approved and collect up to 70x more ratings and reviews'),(1397,'Warning'),(1703,'Warning!'),(1723,'Warning! CSV file was not specified.'),(1701,'Warning! InnoDB engine is not supported. It is required for software operation'),(1659,'Warning! Installing this module will overwrite all language labels translated to the appropriate language.'),(4522,'Warning! Please re-check public and private key values!'),(1726,'Warning! The file you have specified in the \'File (CSV) for upload\' field has not been uploaded to the server.'),(1724,'Warning! The file you have specified in the \'File (CSV) local\' field does not exist or cannot be read.'),(3083,'Warning! The image cannot be resized to reduce capacity for better site performance.'),(2496,'Warning! The selected types of content data will be deleted permanently.'),(1398,'Warning! There is not enough product items in stock to process the order'),(4521,'Warning! This payment method requires OpenSSL extension. Please install and enable this extension in your PHP configuration.'),(1562,'Warning: The restoration procedure is irreversible and erases all the data tables from the store database. It is highly recommended that you back up your current database before restoring one of the previous states from a back-up.'),(1399,'Warning: this operation can not be reverted!'),(2718,'Warnings'),(331,'Watch this short video and learn the basics of how online payment processing works'),(1400,'Watch video'),(4638,'Way to deliver'),(1508,'We are already aware of this problem and working on it. If you would like to get in touch, feel free to contact us via our Help center at _URL_'),(3299,'We are always glad to help you.'),(2043,'We are doing our best to make your upgrade process not only easy to do, but safe.'),(3532,'We are experiencing a problem with the \"PayPal For Marketplaces\" payment method.'),(3132,'We couldn\'t find one correct root category'),(3133,'We couldn\'t find one correct root category, however there are possible candidates'),(1514,'We have found a valid SSL certificate installed on the server. Now you can switch the store to use the secure protocol for the store back-end and checkout, sign-in and profile pages.'),(3412,'We recommend to use share button instead of like'),(3730,'We use this email in case we need additional information on your review. We do not use it for any kind of mailing lists or spam subscriptions'),(4444,'We will authorize'),(2045,'We will email you with emergency links to disable custom modules and stay only with original add-ons.'),(4263,'We will use this info to create invoices, send emails and calculate shipping rates for your customers.'),(4259,'We\'ve tried to guess your country, currency and weight. Verify, please.'),(4056,'Web ID'),(1401,'Web server'),(4131,'Web server max upload file size limit is X'),(4666,'Webhook URL is your store\'s URL through which Stripe informs your store about any changes in the order'),(3529,'Webhook listener error: could not subscribe to event(s).'),(3798,'Webmaster Mode allows you to change the storefront design in click-and-edit mode'),(3795,'Webmaster mode'),(3800,'Webmaster mode is disabled'),(3799,'Webmaster mode is enabled'),(1752,'Website'),(405,'Week'),(49,'Weight'),(50,'Weight X'),(1402,'Weight modifier'),(2573,'Weight range'),(1610,'Welcome'),(229,'Welcome to X-Cart'),(1403,'What is benchmark?'),(1616,'What to export'),(2561,'What type of shipping rates would you like to use?'),(327,'What\'s new'),(4304,'When AustraliaPost returns shipping methods which does not exists in the available methods list, these methods will be created in the list automatically'),(3534,'When multiple funding sources are available to the buyer, PayPal automatically determines which additional buttons are appropriate to display. However, you can choose to opt-in or out-of displaying specific funding sources.'),(1404,'When the export is completed, you will be prompted to download the product data file'),(4755,'Wholesale prices are defined'),(4738,'Wholesale prices are disabled for this product because the product is on sale.'),(4751,'Wholesale prices are not defined'),(4742,'Wholesale pricing'),(1893,'Widgets cache has been cleaned'),(1894,'Widgets cache has not been cleaned completely'),(2059,'Width'),(1405,'Width (px)'),(3094,'Will be added globally'),(3095,'Will be added to the product class'),(2967,'Will be available if core update is selected'),(2401,'Will be deleted:'),(1738,'Will be installed'),(2398,'Will be updated if core update is selected'),(2633,'Win app'),(4186,'Write your message'),(3732,'Write your review'),(2272,'Wrong \"default\" format ({{value}}). Value should be one of \"Yes\" or \"No\"'),(2271,'Wrong \"owner\" format ({{value}}). Value should be one of \"Yes\" or \"No\"'),(2273,'Wrong \"priceModifier\" format ({{value}}). Correct examples: +1, +1%, -1, -1%'),(2270,'Wrong \"type\" value ({{value}}). This should be \"C\", \"S\" or \"T\"'),(2274,'Wrong \"weightModifier\" format ({{value}}). Correct examples: +1, +1%, -1, -1%'),(2750,'Wrong access level format'),(2279,'Wrong added format'),(2910,'Wrong address same format'),(2909,'Wrong anonymous format'),(2249,'Wrong arrival date format'),(2286,'Wrong billing address format'),(2259,'Wrong box height format'),(2258,'Wrong box length format'),(2257,'Wrong box width format'),(4360,'Wrong container type selected: {{value}}. For large package size only the following types are allowed: RECTANGULAR, NONRECTANGULAR, VARIABLE'),(2287,'Wrong country code format'),(2913,'Wrong currency format'),(2250,'Wrong date format'),(2244,'Wrong enabled format'),(3936,'Wrong exclude from shipping cost format'),(2280,'Wrong first login date format'),(2261,'Wrong format of Clean URL value (allowed alpha-numeric, \"_\" and \"-\" chars)'),(2450,'Wrong format: Field contains unallowed characters'),(3937,'Wrong free shipping format'),(3927,'Wrong freight fixed fee format'),(2252,'Wrong inventory tracking format'),(2926,'Wrong item order modifier format'),(2260,'Wrong items per box format'),(2284,'Wrong language format'),(2281,'Wrong last login date format'),(2278,'Wrong login format'),(2255,'Wrong low limit level format'),(2254,'Wrong low stock notification format'),(2245,'Wrong meta desc type format'),(1406,'Wrong method_id specifed'),(2918,'Wrong order item format'),(2920,'Wrong order item name format'),(2921,'Wrong order item price format'),(2924,'Wrong order item quantity format'),(2919,'Wrong order item sku format'),(2922,'Wrong order item subtotal format'),(2923,'Wrong order item total format'),(2917,'Wrong order modifier format'),(2908,'Wrong order number format'),(2933,'Wrong order transaction currency format'),(2927,'Wrong order transaction format'),(2932,'Wrong order transaction id format'),(2928,'Wrong order transaction method format'),(2930,'Wrong order transaction value format'),(2265,'Wrong position format'),(2243,'Wrong price format'),(3955,'Wrong product quantity value format (\"{{value}}\")'),(2283,'Wrong referer format'),(2752,'Wrong role format'),(2247,'Wrong shippable format'),(2285,'Wrong shipping address format'),(2277,'Wrong show title format'),(2288,'Wrong state id format'),(2282,'Wrong status format'),(2253,'Wrong stock level format'),(2911,'Wrong subtotal format'),(3484,'Wrong token of Express Checkout. Please try again. If the problem persists, contact the administrator.'),(2912,'Wrong total format'),(2267,'Wrong type format'),(2251,'Wrong update date format'),(2248,'Wrong use separate box format'),(3683,'Wrong useClasses format'),(1407,'Wrong value is specified for arrival date field. The field was not updated.'),(2246,'Wrong weight format'),(270,'X GB'),(162,'X Language (Code: Y)'),(269,'X MB'),(3564,'X PIN Codes were not assigned.'),(3547,'X PIN code duplicates ignored.'),(3548,'X PIN codes created successfully.'),(3549,'X PIN codes longer than Y characters ignored.'),(3118,'X addon'),(1504,'X addon(s) selected'),(3119,'X addons'),(3120,'X addons (5)'),(339,'X attributes in group'),(267,'X bytes'),(3312,'X code is already used for other coupon, please specify a different code'),(3311,'X coupon(s) has been created'),(3310,'X coupon(s) has been removed'),(3078,'X day left'),(274,'X days'),(3079,'X days left'),(3080,'X days left (5)'),(312,'X entities has been created'),(311,'X entities has been removed'),(2177,'X expired shopping cart(s) have been successfully removed'),(211,'X field is required'),(1499,'X file type'),(4139,'X file(s) attached'),(275,'X hours'),(284,'X image unable to load'),(233,'X item'),(307,'X item available'),(181,'X item in bag'),(195,'X items'),(4647,'X items ($)'),(308,'X items available'),(182,'X items in bag'),(2855,'X items selected'),(268,'X kB'),(121,'X labels'),(429,'X language labels have been removed'),(428,'X languages have been removed'),(332,'X methods available'),(276,'X minutes'),(214,'X module settings'),(2354,'X module will be disabled'),(2356,'X module will be upgraded'),(2494,'X modules selected'),(2355,'X modules will be disabled'),(2357,'X modules will be upgraded'),(273,'X months'),(4172,'X new message for order'),(4197,'X new messages'),(3340,'X off'),(258,'X order'),(259,'X orders'),(343,'X orders on last day'),(345,'X orders on last month'),(344,'X orders on last week'),(310,'X product(s) has been created'),(309,'X product(s) has been removed'),(363,'X products'),(264,'X products found'),(4201,'X products selected'),(256,'X results found'),(346,'X revenue on last day'),(348,'X revenue on last month'),(347,'X revenue on last week'),(277,'X seconds'),(440,'X shipping methods have been created'),(441,'X shipping methods have been removed'),(3691,'X star_1'),(3690,'X stars_2'),(3689,'X stars_3'),(3688,'X stars_4'),(3687,'X stars_5'),(432,'X states have been removed'),(433,'X states have been successfully created'),(4168,'X unread messages'),(4754,'X variants and wholesale prices are defined'),(4795,'X variants are defined'),(4782,'X variants have been created'),(272,'X years'),(434,'X zones have been removed'),(435,'X zones have been successfully created'),(4228,'X% Wizard completion'),(357,'X, including images and file attachments'),(1408,'X-Cart'),(3074,'X-Cart Business trial will expire in X day'),(3075,'X-Cart Business trial will expire in X days'),(3076,'X-Cart Business trial will expire in X days (5)'),(130,'X-Cart News'),(2889,'X-Cart Team have done their best to make your upgrade process as enjoyable as possible.'),(4414,'X-Cart automatically checks the connection to X-Payments after the settings are saved.<br/> If the module is configured properly, a \"Test transaction completed successfully\" message is displayed at the top of the page.'),(2542,'X-Cart could not find a valid SSL certificate on your server X.'),(2541,'X-Cart could not find a valid SSL certificate on your server.'),(2540,'X-Cart could not find a valid SSL certificate on your server. Although you can switch the store to use the secure protocol for the website pages, most Internet browsers will likely display a warning message scaring your website visitors away.'),(2169,'X-Cart could not find data in your file.'),(2529,'X-Cart found some issues with installed SSL certificate'),(2439,'X-Cart license key has been successfully verified'),(2440,'X-Cart license key has been successfully verified and activated. But this key has expired and do not allow upgrade store.'),(1409,'X-Cart online store builder'),(4292,'X-Cart professionals will easily materialize just about any idea you’ve got.'),(1410,'X-Cart shopping cart software'),(2858,'X-Cart v5.3 requires PHP version 5.4 or better. Please update the PHP version installed on your server before you proceed.'),(4468,'X-Payments'),(4496,'X-Payments Dashboard'),(4411,'X-Payments configuration ID'),(4497,'X-Payments considers this transaction as potentially fraudlent.'),(4410,'X-Payments returned the following payment methods for your shopping cart:'),(4433,'X-Payments transaction'),(3045,'XML extensions support'),(1411,'XML parser'),(1412,'XML sitemap'),(3638,'XML sitemap URL: X'),(2309,'YEAR'),(1413,'Yahoo!'),(1414,'Yandex'),(408,'Year'),(2115,'Year when store started its operation'),(1415,'Yes'),(1416,'Yes, I agree with License agreement'),(2395,'Yes, I agree with License agreements'),(2042,'Yes, I have made the full backup of my store files and database'),(4266,'Yes, I sell tangible goods that needed to be shipped'),(1936,'Yes/No'),(2464,'Yesterday'),(4173,'You Have No Messages'),(159,'You are going to delete the X language'),(2548,'You are logged in as: user'),(1417,'You are not allowed to access this resource!'),(3810,'You are now in layout editing mode'),(3811,'You are now in preview mode'),(2544,'You are operating as:'),(2547,'You are operating as: user'),(1780,'You are sure to clear your cart?'),(2677,'You can also contact our CR department for help with this issue'),(4133,'You can attach X file(s)'),(4132,'You can attach X more file(s)'),(1695,'You can build your web-site during FREE evaluation, but you cannot use this installation for real sales without buying a license.'),(2220,'You can change the CSV delimiter for all subsequent imports and exports using this link'),(2219,'You can change the charset for all subsequent imports and exports using this link'),(315,'You can choose if to download your database data'),(2939,'You can continue as guest or create an account'),(3421,'You can define an order id prefix, which would precede each order number in your shop, to make it unique'),(4325,'You can define an order id prefix, which would precede each order number in your shop, to make it unique (each transaction id must be unique for a Skrill account)'),(2587,'You can define the following values:'),(2647,'You can find the failed transaction here'),(2539,'You can get more information using this service: '),(155,'You can install these updates after purchasing and activating your X-Cart license key'),(1768,'You can now use the following credentials to access your account'),(2835,'You can purchase AntiFraud Service subscription'),(2585,'You can set up different shipping rates depending on the weight, price or quantity of items in the order.'),(297,'You can upload the database data directly from your local computer'),(4249,'You can view the newly created product in your [storefront] or add a few [more products] to your catalog.'),(3898,'You cannot choose this product'),(1566,'You cannot save database data to a file on the web server (\'var/backup/sqldump.sql.php\').'),(2756,'You cannot update administrator profile ({{value}}). Row is skipped'),(2755,'You cannot update administrator profile ({{value}}). Row will be skipped'),(3194,'You don’t have any notifications right now.'),(4242,'You have added 1 product'),(3715,'You have already reviewed this product'),(3314,'You have already used the coupon'),(1855,'You have an unpaid order #{{ORDER}}'),(3984,'You have configured MailChimp as your primary email newsletter tool. New subscribers will be added directly to your MailChimp lists (this X-Cart list will be skipped). You can manage your subscriber lists under your MailChimp account'),(1643,'You have no payment methods enabled in your shop'),(1424,'You have selected to delete your profile. Please, confirm you want to proceed'),(4321,'You have sent a request for activation on the X.'),(1609,'You have the following roles:'),(4151,'You have to attach file'),(4150,'You have to attach file to product'),(3813,'You have unsaved changes. Are you really sure to exit the preview?'),(3871,'You have unsaved changes. Are you really sure to exit?'),(3960,'You just added'),(3064,'You must register your X-Cart installation before using it for real sales. Activate your existing license key or purchase a premium license to skyrocket your business.'),(43,'You must register your installation before you can use it for real sales'),(2038,'You need hard and soft reset links in case some 3rd party module crashes your web-store'),(2836,'You need these links in case you want to recover your store'),(4498,'You should accept the changes at the'),(2535,'You should check available free disk space yourself before continuing installation'),(2534,'You should check available free disk space yourself before continuing upgrade'),(2351,'You should confirm that you have created backup before upgrading the store.'),(1852,'You tried to buy more items of \"{{product}}\" product {{description}} than are in stock. We have {{amount}} item(s) only. Please adjust the product quantity.'),(3561,'You will be able to add pin codes after saving changes.'),(1569,'You will be able to provide additional product info (images, attributes, etc.) after you submit this form.'),(4278,'You\'ve successfully set up shipping areas and rates for your store'),(2135,'Your \"Password reset key\" has expired. Please enter the email address associated with your user account to get a new \"Password reset key\".'),(3470,'Your API credentials have been successfully obtained from your PayPal account and saved for use by your X-Cart store.'),(1827,'Your Account'),(3296,'Your Message'),(3171,'Your PHP version is outdated'),(3172,'Your PHP version is outdated and no longer supported'),(3442,'Your PayPal Publisher ID is X'),(4665,'Your Stripe account is no longer accessible. Please connect with Stripe once again.'),(3063,'Your X-Cart Business trial has expired!'),(1694,'Your X-Cart installation is licensed for evaluation purposes only.'),(1418,'Your access link has been expired'),(3098,'Your access to X-Cart Business features expires in X day'),(3099,'Your access to X-Cart Business features expires in X days'),(3100,'Your access to X-Cart Business features expires in X days (5)'),(328,'Your account email is X'),(1434,'Your account information will be e-mailed to you shortly'),(1435,'Your account information will be e-mailed to you shortly.'),(329,'Your account password is X'),(3422,'Your account settings'),(3486,'Your address data was not received from PayPal. Please try again. If the problem persists, contact the administrator.'),(241,'Your cart'),(4428,'Your configuration string is not correct'),(1419,'Your custom addons were prepared for certain core version'),(3791,'Your custom file is successfully saved'),(1436,'Your e-mail'),(3722,'Your email'),(443,'Your first name'),(444,'Your last name'),(1437,'Your name'),(1767,'Your new password'),(1977,'Your order details will be sent to your e-mail address'),(4006,'Your order details will be sent to your email address'),(3424,'Your partner name is PayPal'),(3113,'Your payment has been processed; now the addon can be installed.'),(3114,'Your payment is being processed. The addon license key will be sent to your email address as soon as the processing has been completed. You will be able to use this key to install the addon at any time. '),(3377,'Your payment module to accept payments for digital items. [Get it now]!'),(3719,'Your product rating is saved. Thank you!'),(1438,'Your products will be exported as a CSV file.'),(1776,'Your profile modified'),(2359,'Your request has been sent successfully'),(3733,'Your review'),(3720,'Your review has been updated. Thank your for sharing your opinion with us!'),(192,'Your shopping bag - X item'),(193,'Your shopping bag - X items'),(1439,'Your shopping bag is empty'),(1440,'Your state'),(1441,'Your store'),(1513,'Your store is configured to use the secure protocol for the store back-end and checkout, sign-in and profile pages.'),(1442,'Your store is currently unable to calculate taxes'),(2363,'Your version (X) can be upgraded to'),(3966,'Z - A'),(207,'Zero cannot be used'),(1443,'Zip code'),(1444,'Zip/postal code masks'),(3998,'Zipcode'),(1446,'Zone'),(439,'Zone address masks help'),(438,'Zone city masks help'),(189,'Zone details have been updated successfully'),(1447,'Zone name'),(1500,'Zone not found (X)'),(437,'Zone zipcode masks help'),(1448,'Zones'),(2391,'Zoom image'),(3502,'[BT] In progress'),(2774,'[Edit]'),(3229,'[field] year must be between 1970 and 2038'),(4088,'_MailChimp ecommerce info text_'),(196,'_X_ item'),(197,'_X_ items'),(3503,'__pdt-paypal-warning__'),(2066,'a side box'),(3592,'a2cp-source-code-PAB'),(3901,'a2cp-source-code-REL'),(1822,'address during the recent purchase'),(2102,'always'),(1449,'and'),(1781,'attributes'),(3092,'attributes_popover_text'),(4312,'authorize_key_help'),(4311,'authorize_md5_key_help'),(1820,'billing'),(3187,'body of the test email'),(4732,'braintree_merchant_account_id_help'),(1450,'by'),(4156,'by payment callback (Failed + Cancel)'),(4157,'by pressing Place order button'),(1430,'cURL error'),(1707,'cannot create directory'),(301,'cannot set X permissions'),(2345,'checkbox.firstlast.off'),(2344,'checkbox.firstlast.on'),(2343,'checkbox.onoff.off'),(2342,'checkbox.onoff.on'),(2013,'cm'),(3001,'config_file.error_message_1'),(3002,'config_file.label_message'),(4113,'cs_categories'),(4116,'cs_did_you_mean'),(4115,'cs_manufacturers'),(4114,'cs_pages'),(4112,'cs_products'),(4109,'cs_see_details'),(4110,'cs_see_more_results_for'),(4108,'cs_showing_results_for'),(4111,'cs_suggestions'),(3723,'customers'),(2104,'daily'),(1605,'default'),(682,'default-meta-description'),(2772,'default-meta-keywords'),(2771,'default-site-title'),(1511,'deleted'),(2556,'deliveryTime.help'),(4574,'deposit your items at a Post Office'),(1451,'details'),(1679,'dimensions'),(1452,'disabled'),(3821,'disabled blocks'),(2014,'dm'),(3049,'doc_blocks_support.error_message_1'),(3050,'doc_blocks_support.error_message_2'),(3051,'doc_blocks_support.label_message'),(1885,'done'),(1453,'downloads'),(4094,'e-Commerce Analytics disable warning'),(2641,'eBay'),(4504,'ePDQ Currency'),(4506,'ePDQ Enable logging of ePDQ transactions'),(4505,'ePDQ Invoice number prefix'),(4501,'ePDQ PSPID'),(4502,'ePDQ SHA-IN pass phrase'),(4503,'ePDQ SHA-OUT pass phrase'),(4500,'ePDQ settings note'),(2100,'each'),(1617,'editable'),(3178,'email from Contact information section'),(450,'email@example.com'),(2325,'emailNotificationAdminHeader'),(2326,'emailNotificationAdminSignature'),(2322,'emailNotificationCustomerHeader'),(2324,'emailNotificationCustomerSignature'),(2323,'emailNotificationGreeting'),(1722,'empty'),(4568,'enable merchant wizard'),(1454,'enabled'),(2068,'expired'),(3396,'fedex.CODStatusOptionComment'),(1709,'file does not exist'),(3025,'file_permissions.error_message_1'),(3026,'file_permissions.error_message_2'),(3027,'file_permissions.kb_message'),(2575,'flat rate'),(4458,'for this order'),(766,'from'),(1455,'from URL'),(1456,'from local computer'),(1457,'from local server'),(4747,'from wholesale'),(2027,'g'),(1458,'hard reset'),(4052,'here'),(2362,'hide list'),(2103,'hourly'),(3201,'https://kb.x-cart.com/'),(3220,'https://kb.x-cart.com/general_setup/inaccessible_admin_area_after_enabling_https.html'),(3205,'https://kb.x-cart.com/general_setup/moving_x-cart_to_another_location.html'),(3203,'https://kb.x-cart.com/general_setup/moving_x-cart_to_another_location.html#transfering-database'),(3202,'https://kb.x-cart.com/general_setup/what_to_do_if_your_store_says_we_are_deploying_new_changes_and_you_cannot_access_it.html'),(3206,'https://kb.x-cart.com/import-export/'),(3209,'https://kb.x-cart.com/import-export/csv_format_by_x-cart_data_type/csv_import_categories.html'),(3207,'https://kb.x-cart.com/import-export/csv_format_by_x-cart_data_type/csv_import_classes_&_attributes.html'),(3210,'https://kb.x-cart.com/import-export/csv_format_by_x-cart_data_type/csv_import_customers.html'),(3212,'https://kb.x-cart.com/import-export/csv_format_by_x-cart_data_type/csv_import_orders.html'),(3208,'https://kb.x-cart.com/import-export/csv_format_by_x-cart_data_type/csv_import_product_attribute_values.html'),(3211,'https://kb.x-cart.com/import-export/csv_format_by_x-cart_data_type/csv_import_products.html'),(3218,'https://kb.x-cart.com/integrating_your_store_with_other_web-sites/sell_your_products_with_buy_button.html'),(3959,'https://kb.x-cart.com/modules/update_inventory.html'),(3214,'https://kb.x-cart.com/payments/paypal/setting_up_paypal_express_checkout.html'),(3215,'https://kb.x-cart.com/payments/paypal/setting_up_paypal_payflow_link.html'),(3216,'https://kb.x-cart.com/payments/paypal/setting_up_paypal_payments_advanced.html'),(3217,'https://kb.x-cart.com/payments/paypal/setting_up_paypal_payments_standard.html'),(3204,'https://kb.x-cart.com/seo_and_promotion/setting_up_seo-friendly_urls.html'),(3213,'https://kb.x-cart.com/setting_up_x-cart_5_environment/configuring_attachments_sending.html'),(3219,'https://kb.x-cart.com/shipping/custom_table_rates.html'),(3222,'https://kb.x-cart.com/shipping/free_shipping.html'),(3225,'https://kb.x-cart.com/taxes/setting_up_canadian_taxes.html'),(3224,'https://kb.x-cart.com/taxes/setting_up_sales_tax.html'),(3226,'https://kb.x-cart.com/taxes/setting_up_tax_classes.html'),(3223,'https://kb.x-cart.com/taxes/setting_up_vat_gst.html'),(3221,'https://kb.x-cart.com/users/user_roles.html'),(3041,'https_bouncer.error_message_1'),(3042,'https_bouncer.error_message_2'),(3044,'https_bouncer.kb_message'),(3043,'https_bouncer.label_message'),(4515,'iDEAL Currency'),(4517,'iDEAL Enable logging of iDEAL transactions'),(4516,'iDEAL Invoice number prefix'),(4509,'iDEAL Merchant ID'),(4513,'iDEAL Private Key'),(4514,'iDEAL Private Key Password'),(4511,'iDEAL Public Certificate File'),(4512,'iDEAL Public Key'),(4510,'iDEAL SubID'),(4799,'id'),(1673,'if you have any questions'),(2527,'imgsize-category-Default'),(2524,'imgsize-product-Default'),(2525,'imgsize-product-LGThumbnailGrid'),(2526,'imgsize-product-LGThumbnailList'),(4467,'in'),(1459,'in description'),(1460,'in title'),(2673,'inactive license key(s);'),(2015,'inches'),(2999,'install_script.error_message_1'),(2674,'installed module(s) not allowed by the type of X-Cart license activated at your store.'),(1494,'invalid module ID passed: X'),(1461,'is available'),(1680,'item(s)'),(1779,'item(s) in stock'),(235,'items'),(1462,'items available'),(2980,'itemslist.admin.category.blank'),(3354,'itemslist.admin.coupon.blank'),(2981,'itemslist.admin.membership.blank'),(3625,'itemslist.admin.menu.blank'),(3923,'itemslist.admin.news_message.blank'),(2976,'itemslist.admin.order.blank'),(2975,'itemslist.admin.order.search.blank'),(3624,'itemslist.admin.page.blank'),(2979,'itemslist.admin.product.blank'),(2978,'itemslist.admin.product.search.blank'),(3768,'itemslist.admin.review.blank'),(2994,'itemslist.admin.subcategory.blank'),(3983,'itemslist.admin.subscribers.blank'),(4217,'itemslist.admin.tag.blank'),(3861,'itemslist.admin.template.blank'),(2977,'itemslist.admin.transaction.blank'),(3635,'itemslist.admin.volume_discounts.blank'),(2026,'kg'),(1602,'label name,'),(1603,'label translation.'),(4027,'label.coming_soon'),(1596,'labels count:'),(1601,'language code,'),(2024,'lbs'),(3656,'learn more'),(1463,'less'),(3372,'less one hour'),(1631,'local files'),(3182,'mail tester line 1'),(3183,'mail tester line 2'),(3184,'mail tester line 3'),(3185,'mail tester line 4'),(4089,'mailchimp_settings_promo_text'),(2974,'mbstring.extension.alert'),(2012,'mm'),(1496,'module version X is not equal to the core one (Y)'),(4,'module-sort-Alphabetically'),(2,'module-sort-Most popular'),(3,'module-sort-Newest'),(1464,'modules'),(2106,'monthly'),(2701,'more'),(1465,'ms'),(1618,'multi value'),(3033,'mysql_cache.error_message_1'),(3029,'mysql_version.error_message_1'),(3030,'mysql_version.error_message_2'),(3031,'mysql_version.error_message_3'),(68,'n/a'),(2737,'na_admin'),(2709,'na_customer'),(1466,'never'),(3117,'new core'),(3121,'new core and X addon'),(3122,'new core and X addons'),(3123,'new core and X addons (5)'),(2202,'no comments'),(1467,'none'),(1468,'not all archives were unpacked'),(452,'not all upgrade packs were downloaded'),(1470,'not available for sale'),(4155,'not finished'),(1471,'not installed'),(1472,'not ready to download packs. Please, try again'),(2870,'notification.section.administrator'),(2869,'notification.section.customer'),(1735,'now disabled'),(1473,'of'),(4445,'on your credit card in order to attach this credit card to your account. The amount will be released back to your card after a while.'),(4235,'onboarding.add_product.heading'),(4237,'onboarding.add_product.import'),(4236,'onboarding.add_product.text'),(4234,'onboarding.intro.disable_button'),(4230,'onboarding.intro.heading'),(4233,'onboarding.intro.later_button'),(4232,'onboarding.intro.next_button'),(4231,'onboarding.intro.text'),(1474,'options'),(1475,'or'),(4274,'or choose a shipping carrier to provide your customers with real-time quotes'),(3478,'or go to checkout as a New customer'),(4741,'or more items'),(2938,'or proceed with'),(2837,'or use the form below'),(3725,'out of'),(1667,'outdated'),(2025,'oz'),(4404,'page.'),(2318,'paymentStatus.Active'),(2319,'paymentStatus.Inactive'),(3453,'paypal_welcome_text'),(2576,'per item'),(257,'per page'),(2577,'per weight unit'),(318,'percent X off'),(3009,'php_disabled_functions.error_message_1'),(3010,'php_disabled_functions.label_message'),(3015,'php_file_uploads.error_message_1'),(3016,'php_file_uploads.label_message'),(3035,'php_gdlib.error_message_1'),(3036,'php_gdlib.error_message_2'),(3012,'php_memory_limit.error_message_1'),(3013,'php_memory_limit.label_message'),(3018,'php_pdo_mysql.error_message_1'),(3020,'php_pdo_mysql.kb_message'),(3019,'php_pdo_mysql.label_message'),(3038,'php_phar.error_message_1'),(3039,'php_phar.label_message'),(3022,'php_upload_max_file_size.error_message_1'),(3023,'php_upload_max_file_size.label_message'),(3004,'php_version.error_message_1'),(3005,'php_version.error_message_2'),(3006,'php_version.error_message_3'),(3007,'php_version.label_message'),(1422,'please sign in'),(3527,'pp-button-location:Add2Cart popup'),(3523,'pp-button-location:Cart'),(3525,'pp-button-location:Checkout'),(3526,'pp-button-location:Checkout (credit)'),(3524,'pp-button-location:Minicart'),(3522,'pp-button-location:Product list'),(3521,'pp-button-location:Product page'),(2296,'price-All'),(2298,'price-Free'),(2297,'price-Paid'),(1687,'products'),(1476,'proxy'),(4315,'relay_response_help'),(1940,'requested for'),(1539,'requested once or twice'),(1538,'requested only once'),(157,'required'),(3760,'reviewMetaDescription'),(1477,'sale'),(2880,'same as shipping'),(2101,'save'),(4416,'section.'),(4095,'send all discount coupons'),(4096,'send only discount coupons with matched rules'),(3179,'sender identified by server'),(4573,'shipments are picked up by Canada Post'),(1821,'shipping'),(2582,'shippingFormula.Free'),(2579,'shippingFormula.Items'),(2578,'shippingFormula.Shipping'),(2580,'shippingFormula.Subtotal'),(2581,'shippingFormula.Weight'),(2600,'shippingStatus.Active'),(2601,'shippingStatus.Inactive'),(2570,'shippingTableType.All'),(2569,'shippingTableType.Items'),(2567,'shippingTableType.Subtotal'),(2568,'shippingTableType.Weight'),(1478,'should be performed manually'),(2406,'show list'),(1479,'soft reset'),(3180,'specific email address (set up below)'),(3772,'star_tooltip_1'),(3773,'star_tooltip_2'),(3774,'star_tooltip_3'),(3775,'star_tooltip_4'),(3776,'star_tooltip_5'),(1708,'subdirectories problems'),(59,'submit_restore_pass'),(4463,'tab and get back here to configure methods.'),(2557,'tableType.help'),(9,'tag-Accounting'),(10,'tag-Administration'),(8,'tag-All'),(7,'tag-All tags'),(2299,'tag-Catalog Management'),(25,'tag-Checkout'),(11,'tag-Delivery'),(12,'tag-Development'),(27,'tag-Fraud prevention'),(13,'tag-Fulfillment'),(14,'tag-Marketing'),(23,'tag-Migration'),(21,'tag-Orders'),(15,'tag-Payment processing'),(24,'tag-Price modifiers'),(26,'tag-Products'),(20,'tag-Sales Channels'),(2300,'tag-Search and Navigation'),(22,'tag-Security'),(16,'tag-Statistics'),(17,'tag-Translation'),(18,'tag-User experience'),(19,'tag-Website design'),(2503,'the categories and product classes to which the coupon may be applied;'),(1746,'the custom modifications will be lost'),(2501,'the dates the coupon should be valid for;'),(2067,'the main column'),(2502,'the order subtotal range for which the coupon can be used;'),(2838,'the same as billing'),(3870,'themetweaker.shortcut.save'),(3869,'themetweaker.shortcut.switcher'),(2770,'title-delimiter'),(3175,'to be uninstalled'),(2937,'to enjoy checkout'),(1480,'trying to install a non-marketplace module: X'),(1481,'trying to unpack non-downloaded archives'),(1495,'unable to add module entry to the installation list: X'),(1482,'unable to install: not all archives were unpacked. Please, try again'),(1483,'unable to test files: not all archives were unpacked'),(1497,'unable to upload module'),(2493,'unavailable'),(2099,'units'),(1484,'unknown'),(1879,'unknown error'),(4790,'unlimited'),(3141,'up to 1 decimal'),(3143,'up to 10'),(3144,'up to 100'),(3140,'up to 2 decimals'),(3142,'up to integer'),(1661,'upgrade core'),(2971,'upgrade_warning_text'),(3883,'ups.CODStatusOptionComment'),(4358,'usps.CODStatusOptionComment'),(1699,'verified version'),(2361,'view list'),(3727,'votes'),(4552,'warning: parcel is overweight'),(3804,'webmasterMode.Disabled'),(3803,'webmasterMode.Enabled'),(2105,'weekly'),(1678,'weight'),(2504,'whether the coupon may be used by everyone or only by users with specific memberships.'),(4471,'with'),(3860,'xlite-translation-popover.help'),(3046,'xml_support.error_message_1'),(3047,'xml_support.label_message'),(2107,'yearly'),(1485,'you save'),(1748,'your web site may crash'),(1978,'{{count}} created'),(3230,'{{count}} day'),(3231,'{{count}} days'),(4766,'{{count}} options'),(1979,'{{count}} updated'),(4762,'{{count}} variants'),(4765,'{{count}} variants are based on {{variants}}'),(2813,'{{field}} length must be less then {{length}}'),(2744,'{{file}} does not exist on the filesystem'),(2741,'{{file}} file could not be copied to a new location {{newPath}}'),(1910,'{{module}} license agreement'),(1993,'{{name}} attributes'),(1869,'{{paymentMethod}} settings'),(4361,'{{value}} is an invalid container type for a REGULAR package. Valid Container is: VARIABLE');
/*!40000 ALTER TABLE `xc_language_labels` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_language_translations`
--

DROP TABLE IF EXISTS `xc_language_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_language_translations` (
  `label_id` int(11) NOT NULL AUTO_INCREMENT,
  `id` int(11) DEFAULT NULL,
  `name` varchar(64) COLLATE utf8_unicode_ci NOT NULL,
  `code` char(2) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`label_id`),
  KEY `IDX_45610C29E2BF396750` (`id`),
  KEY `ci` (`code`,`id`),
  CONSTRAINT `FK_45610C29E2BF396750` FOREIGN KEY (`id`) REFERENCES `xc_languages` (`lng_id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=183 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_language_translations`
--

LOCK TABLES `xc_language_translations` WRITE;
/*!40000 ALTER TABLE `xc_language_translations` DISABLE KEYS */;
INSERT INTO `xc_language_translations` VALUES (1,1,'Afar','en'),(2,2,'Abkhazian','en'),(3,3,'Afrikaans','en'),(4,4,'Akan','en'),(5,5,'Albanian','en'),(6,6,'Amharic','en'),(7,7,'Arabic','en'),(8,8,'Aragonese','en'),(9,9,'Armenian','en'),(10,10,'Assamese','en'),(11,11,'Avaric','en'),(12,12,'Avestan','en'),(13,13,'Aymara','en'),(14,14,'Azerbaijani','en'),(15,15,'Bashkir','en'),(16,16,'Bambara','en'),(17,17,'Basque','en'),(18,18,'Belarusian','en'),(19,19,'Bengali','en'),(20,20,'Bihari','en'),(21,21,'Bislama','en'),(22,22,'Bosnian','en'),(23,23,'Brazilian Portuguese','en'),(24,24,'British','en'),(25,25,'Bulgarian','en'),(26,26,'Burmese','en'),(27,27,'Catalan','en'),(28,28,'Chamorro','en'),(29,29,'Chechen','en'),(30,30,'Chinese','en'),(31,31,'Church Slavic','en'),(32,32,'Chuvash','en'),(33,33,'Cornish','en'),(34,34,'Corsican','en'),(35,35,'Cree','en'),(36,36,'Czech','en'),(37,37,'Danish','en'),(38,38,'Divehi','en'),(39,39,'Dutch','en'),(40,40,'Dzongkha','en'),(41,41,'English','en'),(42,42,'Esperanto','en'),(43,43,'Estonian','en'),(44,44,'Ewe','en'),(45,45,'Faroese','en'),(46,46,'Fijian','en'),(47,47,'Finnish','en'),(48,48,'French','en'),(49,49,'Western Frisian','en'),(50,50,'Fulah','en'),(51,51,'Georgian','en'),(52,52,'German','en'),(53,53,'Gaelic','en'),(54,54,'Irish','en'),(55,55,'Galician','en'),(56,56,'Manx','en'),(57,57,'Greek','en'),(58,58,'Guarani','en'),(59,59,'Gujarati','en'),(60,60,'Haitian','en'),(61,61,'Hausa','en'),(62,62,'Hebrew','en'),(63,63,'Herero','en'),(64,64,'Hindi','en'),(65,65,'Hiri Motu','en'),(66,66,'Croatian','en'),(67,67,'Hungarian','en'),(68,68,'Igbo','en'),(69,69,'Icelandic','en'),(70,70,'Ido','en'),(71,71,'Sichuan Yi','en'),(72,72,'Inuktitut','en'),(73,73,'Interlingue','en'),(74,74,'Interlingua','en'),(75,75,'Indonesian','en'),(76,76,'Inupiaq','en'),(77,77,'Italian','en'),(78,78,'Javanese','en'),(79,79,'Japanese','en'),(80,80,'Kalaallisut','en'),(81,81,'Kannada','en'),(82,82,'Kashmiri','en'),(83,83,'Kanuri','en'),(84,84,'Kazakh','en'),(85,85,'Khmer or Cambodian','en'),(86,86,'Kikuyu','en'),(87,87,'Kinyarwanda','en'),(88,88,'Kirghiz','en'),(89,89,'Komi','en'),(90,90,'Kongo','en'),(91,91,'Korean','en'),(92,92,'Kuanyama','en'),(93,93,'Kurdish','en'),(94,94,'Lao','en'),(95,95,'Latin','en'),(96,96,'Latvian','en'),(97,97,'Limburgan','en'),(98,98,'Lingala','en'),(99,99,'Lithuanian','en'),(100,100,'Luxembourgish','en'),(101,101,'Luba-Katanga','en'),(102,102,'Ganda','en'),(103,103,'Macedonian','en'),(104,104,'Marshallese','en'),(105,105,'Malayalam','en'),(106,106,'Maori','en'),(107,107,'Marathi','en'),(108,108,'Malay','en'),(109,109,'Malagasy','en'),(110,110,'Maltese','en'),(111,111,'Mongolian','en'),(112,112,'Nauru','en'),(113,113,'Navajo','en'),(114,114,'Ndebel','en'),(115,115,'Ndebel','en'),(116,116,'Ndonga','en'),(117,117,'Nepali','en'),(118,118,'Norwegian','en'),(119,119,'Chichewa','en'),(120,120,'Occitan','en'),(121,121,'Ojibwa','en'),(122,122,'Oriya','en'),(123,123,'Oromo','en'),(124,124,'Ossetian','en'),(125,125,'Panjabi','en'),(126,126,'Persian','en'),(127,127,'Pali','en'),(128,128,'Polish','en'),(129,129,'Portuguese','en'),(130,130,'Pushto','en'),(131,131,'Quechua','en'),(132,132,'Romansh','en'),(133,133,'Romanian','en'),(134,134,'Rundi','en'),(135,135,'Russian','en'),(136,136,'Sango','en'),(137,137,'Sanskrit','en'),(138,138,'Sinhala','en'),(139,139,'Slovak','en'),(140,140,'Slovenian','en'),(141,141,'Northern Sami','en'),(142,142,'Samoan','en'),(143,143,'Shona','en'),(144,144,'Sindhi','en'),(145,145,'Somali','en'),(146,146,'Soth','en'),(147,147,'Spanish','en'),(148,148,'Sardinian','en'),(149,149,'Serbian','en'),(150,150,'Swati','en'),(151,151,'Sundanese','en'),(152,152,'Swahili','en'),(153,153,'Swedish','en'),(154,154,'Tahitian','en'),(155,155,'Tamil','en'),(156,156,'Tatar','en'),(157,157,'Telugu','en'),(158,158,'Tajik','en'),(159,159,'Tagalog','en'),(160,160,'Thai','en'),(161,161,'Tibetan','en'),(162,162,'Tigrinya','en'),(163,163,'Tonga','en'),(164,164,'Tswana','en'),(165,165,'Tsonga','en'),(166,166,'Turkmen','en'),(167,167,'Turkish','en'),(168,168,'Twi','en'),(169,169,'Uighur','en'),(170,170,'Ukrainian','en'),(171,171,'Urdu','en'),(172,172,'Uzbek','en'),(173,173,'Venda','en'),(174,174,'Vietnamese','en'),(175,175,'Welsh','en'),(176,176,'Walloon','en'),(177,177,'Wolof','en'),(178,178,'Xhosa','en'),(179,179,'Yiddish','en'),(180,180,'Yoruba','en'),(181,181,'Zhuang','en'),(182,182,'Zulu','en');
/*!40000 ALTER TABLE `xc_language_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_languages`
--

DROP TABLE IF EXISTS `xc_languages`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_languages` (
  `lng_id` int(11) NOT NULL AUTO_INCREMENT,
  `code` char(2) COLLATE utf8_unicode_ci NOT NULL,
  `code3` char(3) COLLATE utf8_unicode_ci NOT NULL,
  `r2l` tinyint(1) NOT NULL,
  `added` tinyint(1) NOT NULL,
  `enabled` tinyint(1) NOT NULL,
  `module` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`lng_id`),
  UNIQUE KEY `UNIQ_3940C19DD7077436` (`lng_id`),
  UNIQUE KEY `code3` (`code3`),
  UNIQUE KEY `code2` (`code`),
  KEY `added` (`added`),
  KEY `enabled` (`enabled`)
) ENGINE=InnoDB AUTO_INCREMENT=183 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_languages`
--

LOCK TABLES `xc_languages` WRITE;
/*!40000 ALTER TABLE `xc_languages` DISABLE KEYS */;
INSERT INTO `xc_languages` VALUES (1,'aa','aar',0,0,0,NULL),(2,'ab','abk',0,0,0,NULL),(3,'af','afr',0,0,0,NULL),(4,'ak','aka',0,0,0,NULL),(5,'sq','alb',0,0,0,NULL),(6,'am','amh',0,0,0,NULL),(7,'ar','ara',0,0,0,NULL),(8,'an','arg',0,0,0,NULL),(9,'hy','arm',0,0,0,NULL),(10,'as','asm',0,0,0,NULL),(11,'av','ava',0,0,0,NULL),(12,'ae','ave',0,0,0,NULL),(13,'ay','aym',0,0,0,NULL),(14,'az','aze',0,0,0,NULL),(15,'ba','bak',0,0,0,NULL),(16,'bm','bam',0,0,0,NULL),(17,'eu','baq',0,0,0,NULL),(18,'be','bel',0,0,0,NULL),(19,'bn','ben',0,0,0,NULL),(20,'bh','bih',0,0,0,NULL),(21,'bi','bis',0,0,0,NULL),(22,'bs','bos',0,0,0,NULL),(23,'br','bre',0,0,0,NULL),(24,'gb','gbr',0,0,0,'XC\\GbTranslation'),(25,'bg','bul',0,0,0,NULL),(26,'my','bur',0,0,0,NULL),(27,'ca','cat',0,0,0,NULL),(28,'ch','cha',0,0,0,NULL),(29,'ce','che',0,0,0,NULL),(30,'zh','chi',0,0,0,NULL),(31,'cu','chu',0,0,0,NULL),(32,'cv','chv',0,0,0,NULL),(33,'kw','cor',0,0,0,NULL),(34,'co','cos',0,0,0,NULL),(35,'cr','cre',0,0,0,NULL),(36,'cs','cze',0,0,0,NULL),(37,'da','dan',0,0,0,NULL),(38,'dv','div',0,0,0,NULL),(39,'nl','dut',0,0,0,NULL),(40,'dz','dzo',0,0,0,NULL),(41,'en','eng',0,1,1,NULL),(42,'eo','epo',0,0,0,NULL),(43,'et','est',0,0,0,NULL),(44,'ee','ewe',0,0,0,NULL),(45,'fo','fao',0,0,0,NULL),(46,'fj','fij',0,0,0,NULL),(47,'fi','fin',0,0,0,NULL),(48,'fr','fre',0,0,0,'CDev\\FrTranslation'),(49,'fy','fry',0,0,0,NULL),(50,'ff','ful',0,0,0,NULL),(51,'ka','geo',0,0,0,NULL),(52,'de','ger',0,0,0,'CDev\\DeTranslation'),(53,'gd','gla',0,0,0,NULL),(54,'ga','gle',0,0,0,NULL),(55,'gl','glg',0,0,0,NULL),(56,'gv','glv',0,0,0,NULL),(57,'el','gre',0,0,0,NULL),(58,'gn','grn',0,0,0,NULL),(59,'gu','guj',0,0,0,NULL),(60,'ht','hat',0,0,0,NULL),(61,'ha','hau',0,0,0,NULL),(62,'he','heb',0,0,0,NULL),(63,'hz','her',0,0,0,NULL),(64,'hi','hin',0,0,0,NULL),(65,'ho','hmo',0,0,0,NULL),(66,'hr','hrv',0,0,0,NULL),(67,'hu','hun',0,0,0,NULL),(68,'ig','ibo',0,0,0,NULL),(69,'is','ice',0,0,0,NULL),(70,'io','ido',0,0,0,NULL),(71,'ii','iii',0,0,0,NULL),(72,'iu','iku',0,0,0,NULL),(73,'ie','ile',0,0,0,NULL),(74,'ia','ina',0,0,0,NULL),(75,'id','ind',0,0,0,NULL),(76,'ik','ipk',0,0,0,NULL),(77,'it','ita',0,0,0,NULL),(78,'jv','jav',0,0,0,NULL),(79,'ja','jpn',0,0,0,NULL),(80,'kl','kal',0,0,0,NULL),(81,'kn','kan',0,0,0,NULL),(82,'ks','kas',0,0,0,NULL),(83,'kr','kau',0,0,0,NULL),(84,'kk','kaz',0,0,0,NULL),(85,'km','khm',0,0,0,NULL),(86,'ki','kik',0,0,0,NULL),(87,'rw','kin',0,0,0,NULL),(88,'ky','kir',0,0,0,NULL),(89,'kv','kom',0,0,0,NULL),(90,'kg','kon',0,0,0,NULL),(91,'ko','kor',0,0,0,NULL),(92,'kj','kua',0,0,0,NULL),(93,'ku','kur',0,0,0,NULL),(94,'lo','lao',0,0,0,NULL),(95,'la','lat',0,0,0,NULL),(96,'lv','lav',0,0,0,NULL),(97,'li','lim',0,0,0,NULL),(98,'ln','lin',0,0,0,NULL),(99,'lt','lit',0,0,0,NULL),(100,'lb','ltz',0,0,0,NULL),(101,'lu','lub',0,0,0,NULL),(102,'lg','lug',0,0,0,NULL),(103,'mk','mac',0,0,0,NULL),(104,'mh','mah',0,0,0,NULL),(105,'ml','mal',0,0,0,NULL),(106,'mi','mao',0,0,0,NULL),(107,'mr','mar',0,0,0,NULL),(108,'ms','may',0,0,0,NULL),(109,'mg','mlg',0,0,0,NULL),(110,'mt','mlt',0,0,0,NULL),(111,'mn','mon',0,0,0,NULL),(112,'na','nau',0,0,0,NULL),(113,'nv','nav',0,0,0,NULL),(114,'nr','nbl',0,0,0,NULL),(115,'nd','nde',0,0,0,NULL),(116,'ng','ndo',0,0,0,NULL),(117,'ne','nep',0,0,0,NULL),(118,'no','nor',0,0,0,NULL),(119,'ny','nya',0,0,0,NULL),(120,'oc','oci',0,0,0,NULL),(121,'oj','oji',0,0,0,NULL),(122,'or','ori',0,0,0,NULL),(123,'om','orm',0,0,0,NULL),(124,'os','oss',0,0,0,NULL),(125,'pa','pan',0,0,0,NULL),(126,'fa','per',0,0,0,NULL),(127,'pi','pli',0,0,0,NULL),(128,'pl','pol',0,0,0,NULL),(129,'pt','por',0,0,0,NULL),(130,'ps','pus',0,0,0,NULL),(131,'qu','que',0,0,0,NULL),(132,'rm','roh',0,0,0,NULL),(133,'ro','rum',0,0,0,NULL),(134,'rn','run',0,0,0,NULL),(135,'ru','rus',0,0,0,'CDev\\RuTranslation'),(136,'sg','sag',0,0,0,NULL),(137,'sa','san',0,0,0,NULL),(138,'si','sin',0,0,0,NULL),(139,'sk','slo',0,0,0,NULL),(140,'sl','slv',0,0,0,NULL),(141,'se','sme',0,0,0,NULL),(142,'sm','smo',0,0,0,NULL),(143,'sn','sna',0,0,0,NULL),(144,'sd','snd',0,0,0,NULL),(145,'so','som',0,0,0,NULL),(146,'st','sot',0,0,0,NULL),(147,'es','spa',0,0,0,NULL),(148,'sc','srd',0,0,0,NULL),(149,'sr','srp',0,0,0,NULL),(150,'ss','ssw',0,0,0,NULL),(151,'su','sun',0,0,0,NULL),(152,'sw','swa',0,0,0,NULL),(153,'sv','swe',0,0,0,NULL),(154,'ty','tah',0,0,0,NULL),(155,'ta','tam',0,0,0,NULL),(156,'tt','tat',0,0,0,NULL),(157,'te','tel',0,0,0,NULL),(158,'tg','tgk',0,0,0,NULL),(159,'tl','tgl',0,0,0,NULL),(160,'th','tha',0,0,0,NULL),(161,'bo','tib',0,0,0,NULL),(162,'ti','tir',0,0,0,NULL),(163,'to','ton',0,0,0,NULL),(164,'tn','tsn',0,0,0,NULL),(165,'ts','tso',0,0,0,NULL),(166,'tk','tuk',0,0,0,NULL),(167,'tr','tur',0,0,0,NULL),(168,'tw','twi',0,0,0,NULL),(169,'ug','uig',0,0,0,NULL),(170,'uk','ukr',0,0,0,NULL),(171,'ur','urd',0,0,0,NULL),(172,'uz','uzb',0,0,0,NULL),(173,'ve','ven',0,0,0,NULL),(174,'vi','vie',0,0,0,NULL),(175,'cy','wel',0,0,0,NULL),(176,'wa','wln',0,0,0,NULL),(177,'wo','wol',0,0,0,NULL),(178,'xh','xho',0,0,0,NULL),(179,'yi','yid',0,0,0,NULL),(180,'yo','yor',0,0,0,NULL),(181,'za','zha',0,0,0,NULL),(182,'zu','zul',0,0,0,NULL);
/*!40000 ALTER TABLE `xc_languages` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_mailchimp_list_group`
--

DROP TABLE IF EXISTS `xc_mailchimp_list_group`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_mailchimp_list_group` (
  `id` varchar(32) COLLATE utf8_unicode_ci NOT NULL,
  `list_id` varchar(32) COLLATE utf8_unicode_ci DEFAULT NULL,
  `title` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `type` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `enabled` tinyint(1) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `IDX_452F783133DAE168B` (`list_id`),
  CONSTRAINT `FK_452F783133DAE168B` FOREIGN KEY (`list_id`) REFERENCES `xc_mailchimp_lists` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_mailchimp_list_group`
--

LOCK TABLES `xc_mailchimp_list_group` WRITE;
/*!40000 ALTER TABLE `xc_mailchimp_list_group` DISABLE KEYS */;
/*!40000 ALTER TABLE `xc_mailchimp_list_group` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_mailchimp_list_group_name`
--

DROP TABLE IF EXISTS `xc_mailchimp_list_group_name`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_mailchimp_list_group_name` (
  `id` varchar(32) COLLATE utf8_unicode_ci NOT NULL,
  `group_id` varchar(32) COLLATE utf8_unicode_ci DEFAULT NULL,
  `name` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `subscriberCount` int(10) unsigned NOT NULL,
  `subscribeByDefault` tinyint(1) NOT NULL,
  `enabled` tinyint(1) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `IDX_455917FD4DFE54D947` (`group_id`),
  CONSTRAINT `FK_455917FD4DFE54D947` FOREIGN KEY (`group_id`) REFERENCES `xc_mailchimp_list_group` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_mailchimp_list_group_name`
--

LOCK TABLES `xc_mailchimp_list_group_name` WRITE;
/*!40000 ALTER TABLE `xc_mailchimp_list_group_name` DISABLE KEYS */;
/*!40000 ALTER TABLE `xc_mailchimp_list_group_name` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_mailchimp_list_segments`
--

DROP TABLE IF EXISTS `xc_mailchimp_list_segments`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_mailchimp_list_segments` (
  `id` varchar(32) COLLATE utf8_unicode_ci NOT NULL,
  `list_id` varchar(32) COLLATE utf8_unicode_ci DEFAULT NULL,
  `name` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `created_date` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `static` tinyint(1) NOT NULL,
  `useOrdersLastMonth` tinyint(1) NOT NULL,
  `ordersLastMonth` int(11) NOT NULL,
  `useOrderAmount` tinyint(1) NOT NULL,
  `orderAmount` decimal(14,4) NOT NULL,
  `useMemberships` tinyint(1) NOT NULL,
  `useProducts` tinyint(1) NOT NULL,
  `enabled` tinyint(1) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `IDX_4593CC76423DAE168B` (`list_id`),
  CONSTRAINT `FK_4593CC76423DAE168B` FOREIGN KEY (`list_id`) REFERENCES `xc_mailchimp_lists` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_mailchimp_list_segments`
--

LOCK TABLES `xc_mailchimp_list_segments` WRITE;
/*!40000 ALTER TABLE `xc_mailchimp_list_segments` DISABLE KEYS */;
/*!40000 ALTER TABLE `xc_mailchimp_list_segments` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_mailchimp_lists`
--

DROP TABLE IF EXISTS `xc_mailchimp_lists`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_mailchimp_lists` (
  `id` varchar(32) COLLATE utf8_unicode_ci NOT NULL,
  `name` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `date_created` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `date_updated` int(11) NOT NULL,
  `list_rating` decimal(3,2) NOT NULL,
  `subscribe_url_short` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `subscribe_url_long` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `member_count` int(11) NOT NULL,
  `open_rate` decimal(5,2) NOT NULL,
  `click_rate` decimal(5,2) NOT NULL,
  `enabled` tinyint(1) NOT NULL,
  `subscribeByDefault` tinyint(1) NOT NULL,
  `isRemoved` tinyint(1) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_mailchimp_lists`
--

LOCK TABLES `xc_mailchimp_lists` WRITE;
/*!40000 ALTER TABLE `xc_mailchimp_lists` DISABLE KEYS */;
/*!40000 ALTER TABLE `xc_mailchimp_lists` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_mailchimp_profile_interests`
--

DROP TABLE IF EXISTS `xc_mailchimp_profile_interests`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_mailchimp_profile_interests` (
  `group_name_id` varchar(32) COLLATE utf8_unicode_ci NOT NULL,
  `profile_id` int(11) NOT NULL,
  PRIMARY KEY (`group_name_id`,`profile_id`),
  KEY `IDX_45BA74923AF717C8DA` (`group_name_id`),
  KEY `IDX_45BA74923ACCFA12B8` (`profile_id`),
  CONSTRAINT `FK_45BA74923ACCFA12B8` FOREIGN KEY (`profile_id`) REFERENCES `xc_profiles` (`profile_id`) ON DELETE CASCADE,
  CONSTRAINT `FK_45BA74923AF717C8DA` FOREIGN KEY (`group_name_id`) REFERENCES `xc_mailchimp_list_group_name` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_mailchimp_profile_interests`
--

LOCK TABLES `xc_mailchimp_profile_interests` WRITE;
/*!40000 ALTER TABLE `xc_mailchimp_profile_interests` DISABLE KEYS */;
/*!40000 ALTER TABLE `xc_mailchimp_profile_interests` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_mailchimp_segment_subscriptions`
--

DROP TABLE IF EXISTS `xc_mailchimp_segment_subscriptions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_mailchimp_segment_subscriptions` (
  `segment_id` varchar(32) COLLATE utf8_unicode_ci NOT NULL,
  `profile_id` int(11) NOT NULL,
  PRIMARY KEY (`segment_id`,`profile_id`),
  KEY `IDX_45CE45B298DB296AAD` (`segment_id`),
  KEY `IDX_45CE45B298CCFA12B8` (`profile_id`),
  CONSTRAINT `FK_45CE45B298CCFA12B8` FOREIGN KEY (`profile_id`) REFERENCES `xc_profiles` (`profile_id`) ON DELETE CASCADE,
  CONSTRAINT `FK_45CE45B298DB296AAD` FOREIGN KEY (`segment_id`) REFERENCES `xc_mailchimp_list_segments` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_mailchimp_segment_subscriptions`
--

LOCK TABLES `xc_mailchimp_segment_subscriptions` WRITE;
/*!40000 ALTER TABLE `xc_mailchimp_segment_subscriptions` DISABLE KEYS */;
/*!40000 ALTER TABLE `xc_mailchimp_segment_subscriptions` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_mailchimp_store`
--

DROP TABLE IF EXISTS `xc_mailchimp_store`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_mailchimp_store` (
  `id` varchar(32) COLLATE utf8_unicode_ci NOT NULL,
  `list_id` varchar(32) COLLATE utf8_unicode_ci DEFAULT NULL,
  `name` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `main` tinyint(1) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `UNIQ_95CF70793DAE168B` (`list_id`),
  CONSTRAINT `FK_4595CF70793DAE168B` FOREIGN KEY (`list_id`) REFERENCES `xc_mailchimp_lists` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_mailchimp_store`
--

LOCK TABLES `xc_mailchimp_store` WRITE;
/*!40000 ALTER TABLE `xc_mailchimp_store` DISABLE KEYS */;
/*!40000 ALTER TABLE `xc_mailchimp_store` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_mailchimp_subscriptions`
--

DROP TABLE IF EXISTS `xc_mailchimp_subscriptions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_mailchimp_subscriptions` (
  `list_id` varchar(32) COLLATE utf8_unicode_ci NOT NULL,
  `profile_id` int(11) NOT NULL,
  PRIMARY KEY (`list_id`,`profile_id`),
  KEY `IDX_45CF18140A3DAE168B` (`list_id`),
  KEY `IDX_45CF18140ACCFA12B8` (`profile_id`),
  CONSTRAINT `FK_45CF18140A3DAE168B` FOREIGN KEY (`list_id`) REFERENCES `xc_mailchimp_lists` (`id`) ON DELETE CASCADE,
  CONSTRAINT `FK_45CF18140ACCFA12B8` FOREIGN KEY (`profile_id`) REFERENCES `xc_profiles` (`profile_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_mailchimp_subscriptions`
--

LOCK TABLES `xc_mailchimp_subscriptions` WRITE;
/*!40000 ALTER TABLE `xc_mailchimp_subscriptions` DISABLE KEYS */;
/*!40000 ALTER TABLE `xc_mailchimp_subscriptions` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_measure_dumps`
--

DROP TABLE IF EXISTS `xc_measure_dumps`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_measure_dumps` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `data` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `text` longtext COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_measure_dumps`
--

LOCK TABLES `xc_measure_dumps` WRITE;
/*!40000 ALTER TABLE `xc_measure_dumps` DISABLE KEYS */;
/*!40000 ALTER TABLE `xc_measure_dumps` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_measures`
--

DROP TABLE IF EXISTS `xc_measures`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_measures` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `date` int(10) unsigned NOT NULL,
  `fsTime` int(10) unsigned NOT NULL,
  `dbTime` int(10) unsigned NOT NULL,
  `cpuTime` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_measures`
--

LOCK TABLES `xc_measures` WRITE;
/*!40000 ALTER TABLE `xc_measures` DISABLE KEYS */;
/*!40000 ALTER TABLE `xc_measures` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_membership_coupons`
--

DROP TABLE IF EXISTS `xc_membership_coupons`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_membership_coupons` (
  `coupon_id` int(10) unsigned NOT NULL,
  `membership_id` int(10) unsigned NOT NULL,
  PRIMARY KEY (`coupon_id`,`membership_id`),
  KEY `IDX_45560DE2166C5951B` (`coupon_id`),
  KEY `IDX_45560DE211FB354CD` (`membership_id`),
  CONSTRAINT `FK_45560DE211FB354CD` FOREIGN KEY (`membership_id`) REFERENCES `xc_memberships` (`membership_id`) ON DELETE CASCADE,
  CONSTRAINT `FK_45560DE2166C5951B` FOREIGN KEY (`coupon_id`) REFERENCES `xc_coupons` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_membership_coupons`
--

LOCK TABLES `xc_membership_coupons` WRITE;
/*!40000 ALTER TABLE `xc_membership_coupons` DISABLE KEYS */;
/*!40000 ALTER TABLE `xc_membership_coupons` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_membership_translations`
--

DROP TABLE IF EXISTS `xc_membership_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_membership_translations` (
  `label_id` int(11) NOT NULL AUTO_INCREMENT,
  `id` int(10) unsigned DEFAULT NULL,
  `name` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `code` char(2) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`label_id`),
  KEY `ci` (`code`,`id`),
  KEY `id` (`id`),
  CONSTRAINT `FK_45571DB741BF396750` FOREIGN KEY (`id`) REFERENCES `xc_memberships` (`membership_id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_membership_translations`
--

LOCK TABLES `xc_membership_translations` WRITE;
/*!40000 ALTER TABLE `xc_membership_translations` DISABLE KEYS */;
INSERT INTO `xc_membership_translations` VALUES (1,1,'Wholesaler','en'),(2,1,'Оптовый покупатель','ru');
/*!40000 ALTER TABLE `xc_membership_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_memberships`
--

DROP TABLE IF EXISTS `xc_memberships`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_memberships` (
  `membership_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `position` int(11) NOT NULL,
  `enabled` tinyint(1) NOT NULL,
  PRIMARY KEY (`membership_id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_memberships`
--

LOCK TABLES `xc_memberships` WRITE;
/*!40000 ALTER TABLE `xc_memberships` DISABLE KEYS */;
INSERT INTO `xc_memberships` VALUES (1,10,1);
/*!40000 ALTER TABLE `xc_memberships` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_menu_quick_flags`
--

DROP TABLE IF EXISTS `xc_menu_quick_flags`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_menu_quick_flags` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `menu_id` int(10) unsigned DEFAULT NULL,
  `submenus_count_all` int(11) NOT NULL,
  `submenus_count_enabled` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `UNIQ_B0327DB0CCD7E912` (`menu_id`),
  CONSTRAINT `FK_45B0327DB0CCD7E912` FOREIGN KEY (`menu_id`) REFERENCES `xc_menus` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=35 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_menu_quick_flags`
--

LOCK TABLES `xc_menu_quick_flags` WRITE;
/*!40000 ALTER TABLE `xc_menu_quick_flags` DISABLE KEYS */;
INSERT INTO `xc_menu_quick_flags` VALUES (1,3,2,2),(3,1,0,0),(4,2,12,12),(5,4,0,0),(6,5,0,0),(8,6,0,0),(9,7,0,0),(10,8,0,0),(11,9,3,2),(12,10,0,0),(13,11,0,0),(14,12,0,0),(15,14,3,3),(16,13,0,0),(17,15,0,0),(18,16,0,0),(19,17,0,0),(20,18,3,3),(21,19,0,0),(22,20,0,0),(23,21,0,0),(24,22,3,3),(25,23,0,0),(26,24,0,0),(27,25,0,0),(28,26,2,2),(29,27,0,0),(30,28,0,0),(31,29,3,3),(32,30,0,0),(33,31,0,0),(34,32,0,0);
/*!40000 ALTER TABLE `xc_menu_quick_flags` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_menu_translations`
--

DROP TABLE IF EXISTS `xc_menu_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_menu_translations` (
  `label_id` int(11) NOT NULL AUTO_INCREMENT,
  `id` int(10) unsigned DEFAULT NULL,
  `name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `code` char(2) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`label_id`),
  KEY `ci` (`code`,`id`),
  KEY `id` (`id`),
  CONSTRAINT `FK_45CC54E72BBF396750` FOREIGN KEY (`id`) REFERENCES `xc_menus` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=67 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_menu_translations`
--

LOCK TABLES `xc_menu_translations` WRITE;
/*!40000 ALTER TABLE `xc_menu_translations` DISABLE KEYS */;
INSERT INTO `xc_menu_translations` VALUES (1,1,'Home','en'),(2,1,'Главная','ru'),(3,1,'主页','zh'),(4,3,'My Account','en'),(5,3,'Мой профиль','ru'),(6,3,'我的账户','zh'),(7,4,'My orders','en'),(8,4,'Мои заказы','ru'),(9,4,'订单（复数）','zh'),(10,5,'My address book','en'),(11,5,'Мои адреса','ru'),(12,5,'地址簿','zh'),(13,6,'Shipping','en'),(14,6,'Доставка','ru'),(15,7,'New!','en'),(16,7,'Новинки','ru'),(17,8,'Coming soon','en'),(18,8,'Скоро в продаже','ru'),(19,9,'Hot deals','en'),(20,9,'Акции','ru'),(21,10,'Sale','en'),(22,10,'Распродажа','ru'),(23,11,'Bestsellers','en'),(24,11,'Бестселлеры','ru'),(25,12,'Special offers','en'),(26,12,'Специальные предложения','ru'),(27,13,'Contact us','en'),(28,13,'Напишите нам','ru'),(29,14,'Categories','en'),(30,14,'Товары','ru'),(31,15,'Apparel','en'),(32,15,'Одежда','ru'),(33,16,'iGoods','en'),(34,16,'Электроника','ru'),(35,17,'Toys','en'),(36,17,'Игрушки','ru'),(37,18,'Offers','en'),(38,18,'Акции','ru'),(39,19,'Sale','en'),(40,19,'Распродажа','ru'),(41,20,'Coming soon','en'),(42,20,'Скоро в продаже','ru'),(43,21,'New!','en'),(44,21,'Новинки','ru'),(45,22,'Info links','en'),(46,22,'Информация','ru'),(47,23,'Shipping','en'),(48,23,'Правила доставки','ru'),(49,24,'Sitemap','en'),(50,24,'Карта сайта','ru'),(51,25,'Terms & Conditions','en'),(52,25,'Условия использования','ru'),(53,26,'Services','en'),(54,26,'Сервисы','ru'),(55,27,'Shipping info','en'),(56,27,'Доставка','ru'),(57,28,'Contact us','en'),(58,28,'Напишите нам','ru'),(59,29,'My X-Cart','en'),(60,29,'Мой X-Cart','ru'),(61,30,'Address book','en'),(62,30,'Мои адреса','ru'),(63,31,'Order list','en'),(64,31,'Мои заказы','ru'),(65,32,'Account details','en'),(66,32,'Личный кабинет','ru');
/*!40000 ALTER TABLE `xc_menu_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_menus`
--

DROP TABLE IF EXISTS `xc_menus`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_menus` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `parent_id` int(10) unsigned DEFAULT NULL,
  `link` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `lpos` int(11) NOT NULL,
  `rpos` int(11) NOT NULL,
  `depth` int(11) NOT NULL,
  `type` varchar(1) COLLATE utf8_unicode_ci NOT NULL,
  `position` int(11) NOT NULL,
  `enabled` tinyint(1) NOT NULL,
  `visibleFor` varchar(2) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`),
  KEY `IDX_45AC666883727ACA70` (`parent_id`),
  KEY `enabled` (`enabled`,`type`),
  KEY `position` (`position`),
  CONSTRAINT `FK_45AC666883727ACA70` FOREIGN KEY (`parent_id`) REFERENCES `xc_menus` (`id`) ON DELETE SET NULL
) ENGINE=InnoDB AUTO_INCREMENT=33 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_menus`
--

LOCK TABLES `xc_menus` WRITE;
/*!40000 ALTER TABLE `xc_menus` DISABLE KEYS */;
INSERT INTO `xc_menus` VALUES (1,2,'{home}',2,3,0,'P',100,1,'AL'),(2,NULL,'link',1,64,-1,'P',0,1,'AL'),(3,2,'{my account}',4,9,0,'P',600,1,'L'),(4,3,'?target=order_list',5,6,1,'P',100,1,'L'),(5,3,'?target=address_book',7,8,1,'P',200,1,'L'),(6,2,'shipping.html',10,11,0,'P',200,1,'AL'),(7,2,'{new arrivals}',12,13,0,'P',400,1,'AL'),(8,2,'{coming soon}',14,15,0,'P',500,1,'AL'),(9,2,NULL,16,23,0,'P',150,1,'AL'),(10,9,'{sale}',17,18,1,'P',100,1,'AL'),(11,9,'{bestsellers}',19,20,1,'P',200,1,'AL'),(12,9,'?target=special_offers',21,22,1,'P',300,0,'AL'),(13,2,'{contact us}',24,25,0,'P',700,1,'AL'),(14,2,NULL,26,33,0,'F',100,1,'AL'),(15,14,'apparel',27,28,1,'F',100,1,'AL'),(16,14,'igoods',29,30,1,'F',200,1,'AL'),(17,14,'toys',31,32,1,'F',300,1,'AL'),(18,2,NULL,34,41,0,'F',200,1,'AL'),(19,18,'{sale}',35,36,1,'F',100,1,'AL'),(20,18,'{coming soon}',37,38,1,'F',200,1,'AL'),(21,18,'{new arrivals}',39,40,1,'F',300,1,'AL'),(22,2,NULL,42,49,0,'F',300,1,'AL'),(23,22,'shipping.html',43,44,1,'F',100,1,'AL'),(24,22,'?target=map',45,46,1,'F',200,1,'AL'),(25,22,'terms-and-conditions.html',47,48,1,'F',300,1,'AL'),(26,2,NULL,50,55,0,'F',400,1,'AL'),(27,26,'shipping.html',51,52,1,'F',100,1,'AL'),(28,26,'{contact us}',53,54,1,'F',200,1,'AL'),(29,2,NULL,56,63,0,'F',500,1,'L'),(30,29,'?target=address_book',57,58,1,'F',100,1,'L'),(31,29,'?target=order_list',59,60,1,'F',200,1,'L'),(32,29,'?target=profile',61,62,1,'F',300,1,'L');
/*!40000 ALTER TABLE `xc_menus` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_module_keys`
--

DROP TABLE IF EXISTS `xc_module_keys`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_module_keys` (
  `keyId` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(64) COLLATE utf8_unicode_ci NOT NULL,
  `author` varchar(64) COLLATE utf8_unicode_ci NOT NULL,
  `keyValue` char(64) COLLATE utf8_unicode_ci NOT NULL,
  `keyType` int(11) NOT NULL,
  `xcnPlan` bigint(20) NOT NULL,
  `keyData` longtext COLLATE utf8_unicode_ci NOT NULL COMMENT '(DC2Type:array)',
  `active` tinyint(1) NOT NULL,
  PRIMARY KEY (`keyId`),
  UNIQUE KEY `an` (`author`,`name`,`xcnPlan`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_module_keys`
--

LOCK TABLES `xc_module_keys` WRITE;
/*!40000 ALTER TABLE `xc_module_keys` DISABLE KEYS */;
/*!40000 ALTER TABLE `xc_module_keys` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_modules`
--

DROP TABLE IF EXISTS `xc_modules`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_modules` (
  `moduleID` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(64) COLLATE utf8_unicode_ci NOT NULL,
  `author` varchar(64) COLLATE utf8_unicode_ci NOT NULL,
  `authorEmail` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `enabled` tinyint(1) NOT NULL,
  `installed` tinyint(1) NOT NULL,
  `yamlLoaded` tinyint(1) NOT NULL,
  `date` int(11) NOT NULL,
  `rating` decimal(14,4) NOT NULL,
  `votes` int(11) NOT NULL,
  `downloads` int(11) NOT NULL,
  `price` decimal(14,2) NOT NULL,
  `currency` varchar(3) COLLATE utf8_unicode_ci NOT NULL,
  `majorVersion` varchar(8) COLLATE utf8_unicode_ci NOT NULL,
  `minorVersion` int(11) NOT NULL,
  `build` int(11) NOT NULL,
  `minorRequiredCoreVersion` int(11) NOT NULL,
  `revisionDate` int(11) NOT NULL,
  `packSize` bigint(20) NOT NULL,
  `xcnPlan` bigint(20) NOT NULL,
  `moduleName` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `authorName` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `description` longtext COLLATE utf8_unicode_ci NOT NULL,
  `iconURL` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `pageURL` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `authorPageURL` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `dependencies` longtext COLLATE utf8_unicode_ci NOT NULL COMMENT '(DC2Type:array)',
  `tags` longtext COLLATE utf8_unicode_ci NOT NULL COMMENT '(DC2Type:array)',
  `fromMarketplace` tinyint(1) NOT NULL,
  `isLanding` tinyint(1) NOT NULL,
  `landingPosition` int(11) NOT NULL,
  `isSystem` tinyint(1) NOT NULL,
  `hasLicense` tinyint(1) NOT NULL,
  `editionState` int(11) NOT NULL,
  `editions` longtext COLLATE utf8_unicode_ci NOT NULL COMMENT '(DC2Type:array)',
  `xbProductId` int(11) NOT NULL,
  `isSkin` tinyint(1) NOT NULL,
  `private` tinyint(1) NOT NULL,
  `wave` int(11) NOT NULL,
  `salesChannelPos` int(11) NOT NULL,
  `purchaseStatus` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`moduleID`),
  UNIQUE KEY `moduleVersion` (`author`,`name`,`majorVersion`,`minorVersion`,`build`,`fromMarketplace`),
  KEY `enabled` (`enabled`),
  KEY `date` (`date`),
  KEY `downloads` (`downloads`),
  KEY `rating` (`rating`),
  KEY `ani` (`author`,`name`,`installed`),
  KEY `anmm` (`author`,`name`,`majorVersion`,`minorVersion`),
  KEY `anf` (`author`,`name`,`fromMarketplace`)
) ENGINE=InnoDB AUTO_INCREMENT=547 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_modules`
--

LOCK TABLES `xc_modules` WRITE;
/*!40000 ALTER TABLE `xc_modules` DISABLE KEYS */;
INSERT INTO `xc_modules` VALUES (1,'PayWithAmazon','Amazon','',1,1,1,1537173999,0.0000,0,0,0.00,'USD','5.3',5,5,3,0,0,0,'Amazon Pay','Amazon Payments','This module enables Amazon Pay functionality',NULL,'','','a:0:{}','a:0:{}',0,0,0,0,0,0,'a:0:{}',0,0,0,0,-1,0),(2,'ESelectHPP','XC','',1,1,1,1537173999,0.0000,0,0,0.00,'USD','5.3',1,2,0,0,0,0,'Moneris (eSELECTplus- Hosted Pay Page)','X-Cart team','Accept credit and debit cards via an online transaction processing engine. USA and Canada',NULL,'','','a:0:{}','a:0:{}',0,0,0,0,0,0,'a:0:{}',0,0,0,0,-1,0),(3,'ProductComparison','XC','',1,1,1,1537173999,0.0000,0,0,0.00,'USD','5.3',4,2,4,0,0,0,'Product Comparison','X-Cart team','Allows customers to compare products.',NULL,'','','a:0:{}','a:0:{}',0,0,0,0,0,0,'a:0:{}',0,0,0,0,-1,0),(4,'CustomOrderStatuses','XC','',1,1,1,1537173999,0.0000,0,0,0.00,'USD','5.3',4,0,5,0,0,0,'Custom Order Statuses','X-Cart team','This module allows you to edit the existing order statuses and add new statuses.',NULL,'','','a:0:{}','a:0:{}',0,0,0,0,0,0,'a:0:{}',0,0,0,0,-1,0),(5,'CustomProductTabs','XC','',1,1,1,1537173999,0.0000,0,0,0.00,'USD','5.3',4,3,4,0,0,0,'Custom product tabs','X-Cart team','Add additional tabs on the product page. Custom name, custom content - html text or product videos, whatever describes your product best.',NULL,'','','a:0:{}','a:0:{}',0,0,0,0,0,0,'a:0:{}',0,0,0,0,-1,0),(6,'UPS','XC','',1,1,1,1537173999,0.0000,0,0,0.00,'USD','5.3',2,1,3,0,0,0,'UPS','X-Cart team','Gets shipping quotes for UPS delivery methods.',NULL,'','','a:0:{}','a:0:{}',0,0,0,0,0,0,'a:0:{}',0,0,0,0,-1,0),(7,'CustomerAttachments','XC','',1,1,1,1537173999,0.0000,0,0,0.00,'USD','5.3',3,4,4,0,0,0,'Customer Files Uploads & Product Attachments','X-Cart team','Allow your customers to attach files to a product before purchasing so that the store administrator could download those files when processing the order',NULL,'','','a:0:{}','a:0:{}',0,0,0,0,0,0,'a:0:{}',0,0,0,0,-1,0),(8,'NextPreviousProduct','XC','',1,1,1,1537173999,0.0000,0,0,0.00,'USD','5.3',4,2,4,0,0,0,'Previous and Next product','X-Cart team','Display \"Previous\" and \"Next product\" links on your product sheets, be it a category page, a search results page or products of a particular brand.',NULL,'','','a:0:{}','a:0:{}',0,0,0,0,0,0,'a:0:{}',0,0,0,0,-1,0),(9,'Onboarding','XC','',1,1,1,1537173999,0.0000,0,0,0.00,'USD','5.3',0,4,4,0,0,0,'Onboarding Wizard','X-Cart team','The module helps to complete the very first steps of store setup: edit company information and upload logo, add products, set shipping and payments; as well as provides all the necessary links and tips related to the store setup.',NULL,'','','a:0:{}','a:0:{}',0,0,0,0,0,0,'a:0:{}',0,0,0,0,-1,0),(10,'SagePay','XC','',1,1,1,1537173999,0.0000,0,0,0.00,'USD','5.3',3,2,3,0,0,0,'Sage Pay (Form)','X-Cart team','Enables taking credit card payments for your online store via SagePay payment gateway (Form protocol method).',NULL,'','','a:0:{}','a:0:{}',0,0,0,0,0,0,'a:0:{}',0,0,0,0,-1,0),(11,'MultiCurrency','XC','',0,1,0,1537173999,0.0000,0,0,0.00,'USD','5.3',4,4,4,0,0,0,'Multicurrency','X-Cart team','Show product prices in multiple currencies for your customers around the world.',NULL,'','','a:0:{}','a:0:{}',0,0,0,0,0,0,'a:0:{}',0,0,0,0,-1,0),(12,'Geolocation','XC','',1,1,1,1537173999,0.0000,0,0,0.00,'USD','5.3',3,2,4,0,0,0,'Geolocation','X-Cart team','Use free IP geolocation database GeoLite by Maxmind to improve the user experience of non-logged in customers - \"guess\" their country and address for more precise pre-login shipping cost estimation',NULL,'','','a:0:{}','a:0:{}',0,0,0,0,0,0,'a:0:{}',0,0,0,0,-1,0),(13,'News','XC','',1,1,1,1537173999,0.0000,0,0,0.00,'USD','5.3',4,2,5,0,0,0,'News','X-Cart team','Share the company and products news and updates with your community.',NULL,'','','a:0:{}','a:0:{}',0,0,0,0,0,0,'a:0:{}',0,0,0,0,-1,0),(14,'OgoneEcommerce','XC','',1,1,1,1537173999,0.0000,0,0,0.00,'USD','5.3',1,0,0,0,0,0,'Ingenico Payment Services (Ogone)','X-Cart team','Enable online payment processing with a level-1 PCI DSS compliant provider based in Europe.',NULL,'','','a:0:{}','a:0:{}',0,0,0,0,0,0,'a:0:{}',0,0,0,0,-1,0),(15,'ThemeTweaker','XC','',1,1,1,1537173999,0.0000,0,0,0.00,'USD','5.3',4,4,4,0,0,0,'Theme tweaker','X-Cart team','This extension allows you to tweak your store design by adding and editing custom CSS styles and JavaScript code directly in the store back end. Also you can upload images to link them from your CSS styles.',NULL,'','','a:0:{}','a:0:{}',0,0,0,0,0,0,'a:0:{}',0,0,0,0,-1,0),(16,'ProductVariants','XC','',1,1,1,1537173999,0.0000,0,0,0.00,'USD','5.3',4,6,4,0,0,0,'Product Variants','X-Cart team','Allows to manage products variants.',NULL,'','','a:0:{}','a:0:{}',0,0,0,0,0,0,'a:0:{}',0,0,0,0,-1,0),(17,'Upselling','XC','',1,1,1,1537173999,0.0000,0,0,0.00,'USD','5.3',3,2,3,0,0,0,'Related Products','X-Cart team','This module gives you the ability to add a list of products which will be offered along with the product being viewed. You may use this feature to promote products, e.g. making them related or recommended.',NULL,'','','a:0:{}','a:0:{}',0,0,0,0,0,0,'a:0:{}',0,0,0,0,-1,0),(18,'TwoFactorAuthentication','XC','',0,1,0,1537173999,0.0000,0,0,0.00,'USD','5.3',1,1,0,0,0,0,'Two factor authentication','X-Cart team','The module integrates your store with Authy.com to protect your accounts with Two-Factor Authentication system. You can enable it for each type of accounts: admin, supplier or customer.',NULL,'','','a:0:{}','a:0:{}',0,0,0,0,0,0,'a:0:{}',0,0,0,0,-1,0),(19,'VendorMessages','XC','',1,1,1,1537173999,0.0000,0,0,0.00,'USD','5.3',5,4,4,0,0,0,'Messages','X-Cart team','The module adds an opportunity for customers, administrator and sellers to start messaging about an order right from the order details page. In multi-vendor edition, this addon also allows customers to reach a seller from the seller\'s page before purchasing.',NULL,'','','a:0:{}','a:0:{}',0,0,0,0,0,0,'a:0:{}',0,0,0,0,-1,0),(20,'NewsletterSubscriptions','XC','',1,1,1,1537173999,0.0000,0,0,0.00,'USD','5.3',3,3,4,0,0,0,'Newsletter subscriptions','X-Cart team','The module adds a sign up form into your site footer inviting your customers to subscribe for your company newsletters. The list of subscribers is stored in the admin back-end and can also be forwarded to Mailchimp.',NULL,'','','a:0:{}','a:0:{}',0,0,0,0,0,0,'a:0:{}',0,0,0,0,-1,0),(21,'NotFinishedOrders','XC','',1,1,1,1537173999,0.0000,0,0,0.00,'USD','5.3',3,1,0,0,0,0,'Not Finished Orders','X-Cart team','This addon allows you to track not finished orders and contact customers, who have failed to proceed through the payment process.',NULL,'','','a:0:{}','a:0:{}',0,0,0,0,0,0,'a:0:{}',0,0,0,0,-1,0),(22,'CrispWhiteSkin','XC','',1,1,1,1537173999,0.0000,0,0,0.00,'USD','5.3',5,6,5,0,0,0,'Crisp White skin','X-Cart team','Light and clean skin developed in minimalist style and combining flat and material design will make your store look clean and modern.',NULL,'','','a:0:{}','a:0:{}',0,0,0,0,0,0,'a:0:{}',0,1,0,0,-1,0),(23,'Add2CartPopup','XC','',0,1,0,1537173999,0.0000,0,0,0.00,'USD','5.3',2,4,3,0,0,0,'Add to Cart Popup','X-Cart team','Adds a promotional popup dialog that is displayed after a customer adds a product to cart.',NULL,'','','a:0:{}','a:0:{}',0,0,0,0,0,0,'a:0:{}',0,0,0,0,-1,0),(24,'Sitemap','XC','',1,1,1,1537173999,0.0000,0,0,0.00,'USD','5.3',2,1,3,0,0,0,'Site Map','X-Cart team','Enable a sitemap on your site for easier customers\' navigation.The sitemap can include categories and static pages.',NULL,'','','a:0:{}','a:0:{}',0,0,0,0,0,0,'a:0:{}',0,0,0,0,-1,0),(25,'FroalaEditor','XC','',1,1,1,1537173999,0.0000,0,0,0.00,'USD','5.3',2,1,4,0,0,0,'Froala WYSIWYG editor integration','X-Cart team','Enables Froala WYSIWYG editor for editing product and category descriptions.',NULL,'','','a:0:{}','a:0:{}',0,0,0,0,0,0,'a:0:{}',0,0,0,0,-1,0),(26,'EPDQ','XC','',1,1,1,1537173999,0.0000,0,0,0.00,'USD','5.3',1,1,0,0,0,0,'Barclaycard ePDQ e-Commerce','X-Cart team','Enables taking payments for your online store via Barclaycard ePDQ e-Commerce payment system (Basic e-Commerce integration).',NULL,'','','a:0:{}','a:0:{}',0,0,0,0,0,0,'a:0:{}',0,0,0,0,-1,0),(27,'BulkEditing','XC','',1,1,1,1537173999,0.0000,0,0,0.00,'USD','5.3',3,4,3,0,0,0,'Bulk Editing','X-Cart team','The module allows to edit products in bulk. Choose products for editing and select the parameter that needs to be updated for them.',NULL,'','','a:0:{}','a:0:{}',0,0,0,0,0,0,'a:0:{}',0,0,0,0,-1,0),(28,'ProductTags','XC','',1,1,1,1537173999,0.0000,0,0,0.00,'USD','5.3',3,6,3,0,0,0,'Product Tags','X-Cart team','Assign one or multiple tags to your products and improve the navigation for your customers, who can narrow the search results by tags in the Product Filters or, vice versa, see all products with the same tag.',NULL,'','','a:0:{}','a:0:{}',0,0,0,0,0,0,'a:0:{}',0,0,0,0,-1,0),(29,'FastLaneCheckout','XC','',1,1,1,1537173999,0.0000,0,0,0.00,'USD','5.3',4,5,4,0,0,0,'Fast Lane Checkout','X-Cart team','Modern multi-step checkout asks for a separate piece of information at a separate step. As a result, it looks looks clean for customers and seems secure and easy to fill in.',NULL,'','','a:0:{}','a:0:{}',0,0,0,0,0,0,'a:0:{}',0,0,0,0,-1,0),(30,'IdealPayments','XC','',1,1,1,1537173999,0.0000,0,0,0.00,'USD','5.3',2,0,4,0,0,0,'iDEAL Payments','X-Cart team','Enables taking credit card payments for your online store via iDEAL payment system.',NULL,'','','a:0:{}','a:0:{}',0,0,0,0,0,0,'a:0:{}',0,0,0,0,-1,0),(31,'Concierge','XC','',1,1,1,1537173999,0.0000,0,0,0.00,'USD','5.3',1,5,3,0,0,0,'Concierge','X-Cart team','This module helps X-Cart team to improve merchants experience, track errors and make X-Cart better.',NULL,'','','a:0:{}','a:0:{}',0,0,0,0,0,0,'a:0:{}',0,0,0,0,-1,0),(32,'UpdateInventory','XC','',1,1,1,1537173999,0.0000,0,0,0.00,'USD','5.3',2,3,3,0,0,0,'Update Inventory','X-Cart team','Allows to update products quantity via CSV simple file.',NULL,'','','a:0:{}','a:0:{}',0,0,0,0,0,0,'a:0:{}',0,0,0,0,-1,0),(33,'FreeShipping','XC','',1,1,1,1537173999,0.0000,0,0,0.00,'USD','5.3',5,2,5,0,0,0,'Free Shipping and Shipping freights','X-Cart team','Attract more customers by offering Free Shipping. Mark the products that are shipped for free. Add a possibility to specify shipping freight to products.',NULL,'','','a:0:{}','a:0:{}',0,0,0,0,0,0,'a:0:{}',0,0,0,0,-1,0),(34,'ColorSchemes','XC','',0,1,0,1537173999,0.0000,0,0,0.00,'USD','5.3',4,2,4,0,0,0,'Color Schemes','X-Cart team','This module adds three new color schemes to the base X-Cart design theme.',NULL,'','','a:0:{}','a:0:{}',0,0,0,0,0,0,'a:0:{}',0,1,0,0,-1,0),(35,'MailChimp','XC','',1,1,1,1537173999,0.0000,0,0,0.00,'USD','5.3',6,4,4,0,0,0,'MailChimp Integration with E-commerce support','X-Cart team','MailChimp is an email marketing service with powerful tools to manage your email campaigns and subscribers while gathering advanced analytics information on your campaign performance.',NULL,'','','a:0:{}','a:0:{}',0,0,0,0,0,0,'a:0:{}',0,0,0,0,-1,0),(36,'ProductFilter','XC','',1,1,1,1537173999,0.0000,0,0,0.00,'USD','5.3',3,7,3,0,0,0,'Product Filter','X-Cart team','Allows customers to filter products.',NULL,'','','a:0:{}','a:0:{}',0,0,0,0,0,0,'a:0:{}',0,0,0,0,-1,0),(37,'Stripe','XC','',1,1,1,1537173999,0.0000,0,0,0.00,'USD','5.3',3,2,3,0,0,0,'Stripe','X-Cart team','Enables taking credit card payments for your online store via Stripe',NULL,'','','a:0:{}','a:0:{}',0,0,0,0,0,0,'a:0:{}',0,0,0,0,-1,0),(38,'Reviews','XC','',1,1,1,1537173999,0.0000,0,0,0.00,'USD','5.3',7,1,5,0,0,0,'Product reviews','X-Cart team','Adds an ability to add products reviews and manage them in admin area',NULL,'','','a:0:{}','a:0:{}',0,0,0,0,0,0,'a:0:{}',0,0,0,0,-1,0),(39,'CanadaPost','XC','',1,1,1,1537173999,0.0000,0,0,0.00,'USD','5.3',3,3,4,0,0,0,'Canada Post','X-Cart team','Gets shipping quotes for Canada Post delivery methods.',NULL,'','','a:0:{}','a:0:{}',0,0,0,0,0,0,'a:0:{}',0,0,0,0,-1,0),(40,'Paypal','CDev','',1,1,1,1537173999,0.0000,0,0,0.00,'USD','5.3',7,3,5,0,0,0,'PayPal','X-Cart team','Enables taking payments for your online store via PayPal services.',NULL,'','','a:0:{}','a:0:{}',0,0,0,0,0,0,'a:0:{}',0,0,0,0,-1,0),(41,'Bestsellers','CDev','',1,1,1,1537173999,0.0000,0,0,0.00,'USD','5.3',2,3,0,0,0,0,'Bestsellers','X-Cart team','Lists best-selling products at any place of the customer interface.',NULL,'','','a:0:{}','a:0:{}',0,0,0,0,0,0,'a:0:{}',0,0,0,0,-1,0),(42,'Wholesale','CDev','',1,1,1,1537173999,0.0000,0,0,0.00,'USD','5.3',3,3,4,0,0,0,'Wholesale','X-Cart team','Enables wholesale pricing depending on product quantity and customer membership level. Also the module allows you to set the minimum purchase quantity per membership level.',NULL,'','','a:0:{}','a:0:{}',0,0,0,0,0,0,'a:0:{}',0,0,0,0,-1,0),(43,'USPS','CDev','',1,1,1,1537173999,0.0000,0,0,0.00,'USD','5.3',3,3,4,0,0,0,'U.S.P.S.','X-Cart team','Gets shipping quotes for USPS delivery methods.',NULL,'','','a:0:{}','a:0:{}',0,0,0,0,0,0,'a:0:{}',0,0,0,0,-1,0),(44,'UserPermissions','CDev','',1,1,1,1537173999,0.0000,0,0,0.00,'USD','5.3',1,1,0,0,0,0,'User permissions','X-Cart team','Allows you to restrict access to backend functions to only those employees who need them. You can define administrator roles and configure which groups of back-end functions are available to users having these roles.',NULL,'','','a:0:{}','a:0:{}',0,0,0,0,0,0,'a:0:{}',0,0,0,0,-1,0),(45,'Egoods','CDev','',1,1,1,1537173999,0.0000,0,0,0.00,'USD','5.3',4,4,4,0,0,0,'E-goods','X-Cart team','Allows to sell files that customers can download after the purchase. Requires to have the FileAttachments module priorly installed and enabled.',NULL,'','','a:1:{i:0;s:20:\"CDev\\FileAttachments\";}','a:0:{}',0,0,0,0,0,0,'a:0:{}',0,0,0,0,-1,0),(46,'GoogleAnalytics','CDev','',1,1,1,1537173999,0.0000,0,0,0.00,'USD','5.3',3,4,3,0,0,0,'Google Analytics','X-Cart team','Enables tracking and analyzing your website e-commerce statistics with Google Analytics.',NULL,'','','a:0:{}','a:0:{}',0,0,0,0,0,0,'a:0:{}',0,0,0,0,-1,0),(47,'SocialLogin','CDev','',0,1,0,1537173999,0.0000,0,0,0.00,'USD','5.3',3,4,3,0,0,0,'Social Login','X-Cart team','Enables authentication via OAuth 2.0 providers (Google & Facebook).',NULL,'','','a:0:{}','a:0:{}',0,0,0,0,0,0,'a:0:{}',0,0,0,0,-1,0),(48,'XPaymentsConnector','CDev','',1,1,1,1537173999,0.0000,0,0,0.00,'USD','5.3',3,7,2,0,0,0,'X-Payments connector','X-Cart team','PCI compliant credit card processing through major payment gateways without redirects that allows PCI compliant credit card storing for re-using and subscriptions. X-Payments integrates with over 40 payment providers including but not limited to: PayPal, BrainTree, Authorize.Net AIM/CIM, Chase Paymentech, CyberSource, Elavon, Moneris (former eSelect), First Data, Intuit Quickbooks, Ogone, Sage Pay, Realex, WorldPay and many others.',NULL,'','','a:0:{}','a:0:{}',0,0,0,0,0,0,'a:0:{}',0,0,0,0,-1,0),(49,'Quantum','CDev','',1,1,1,1537173999,0.0000,0,0,0.00,'USD','5.3',1,0,0,0,0,0,'QuantumGateway','X-Cart team','Enables taking credit card payments for your online store via QuantumGateway (QGWdatabase Engine API).',NULL,'','','a:0:{}','a:0:{}',0,0,0,0,0,0,'a:0:{}',0,0,0,0,-1,0),(50,'XMLSitemap','CDev','',1,1,1,1537173999,0.0000,0,0,0.00,'USD','5.3',2,8,0,0,0,0,'XML sitemap','X-Cart team','Module generates an XML file with information for search engines.',NULL,'','','a:0:{}','a:0:{}',0,0,0,0,0,0,'a:0:{}',0,0,0,0,-1,0),(51,'Moneybookers','CDev','',1,1,1,1537173999,0.0000,0,0,0.00,'USD','5.3',4,0,4,0,0,0,'Skrill','X-Cart team','The module allows you to accept payments using cards, over 20 local payment methods and more than 80 banks (iframe integration method)',NULL,'','','a:0:{}','a:0:{}',0,0,0,0,0,0,'a:0:{}',0,0,0,0,-1,0),(52,'SimpleCMS','CDev','',1,1,1,1537173999,0.0000,0,0,0.00,'USD','5.3',5,1,5,0,0,0,'Simple CMS','X-Cart team','Allows you to add a company logo and favicon, modify the primary website menu, edit the footer links and add custom website pages. When used with TinyMCE and Go Social modules, allows you to configure OpenGraph tags for your pages and edit their contents in the WYSIWYG mode. The module is incompatible with modules integrating your store with third-party CMS solutions.',NULL,'','','a:0:{}','a:0:{}',0,0,0,0,0,0,'a:0:{}',0,0,0,0,-1,0),(53,'ContactUs','CDev','',1,1,1,1537173999,0.0000,0,0,0.00,'USD','5.3',6,1,5,0,0,0,'Contact us','X-Cart team','Enables \"Contact us\" page',NULL,'','','a:0:{}','a:0:{}',0,0,0,0,0,0,'a:0:{}',0,0,0,0,-1,0),(54,'SalesTax','CDev','',1,1,1,1537173999,0.0000,0,0,0.00,'USD','5.3',4,3,4,0,0,0,'Sales Tax','X-Cart team','Setup the rules for calculating sales tax. The rates can depend on product classes, customer\'s membership levels and address. When several tax rates are applicable to one product, you can specify the priority of their application.',NULL,'','','a:0:{}','a:0:{}',0,0,0,0,0,0,'a:0:{}',0,0,0,0,-1,0),(55,'MarketPrice','CDev','',1,1,1,1537173999,0.0000,0,0,0.00,'USD','5.3',2,0,3,0,0,0,'Market price','X-Cart team','Adds support for the product market price.',NULL,'','','a:0:{}','a:0:{}',0,0,0,0,0,0,'a:0:{}',0,0,0,0,-1,0),(56,'VolumeDiscounts','CDev','',1,1,1,1537173999,0.0000,0,0,0.00,'USD','5.3',2,5,3,0,0,0,'Volume Discounts','X-Cart team','Enables discounts depending on the total price of ordered products and the customer membership level.',NULL,'','','a:0:{}','a:0:{}',0,0,0,0,0,0,'a:0:{}',0,0,0,0,-1,0),(57,'TwoCheckout','CDev','',1,1,1,1537173999,0.0000,0,0,0.00,'USD','5.3',2,1,4,0,0,0,'2Checkout.com','X-Cart team','Enables taking credit card payments for your online store via 2Checkout.com payment gateway.',NULL,'','','a:0:{}','a:0:{}',0,0,0,0,0,0,'a:0:{}',0,0,0,0,-1,0),(58,'ProductAdvisor','CDev','',1,1,1,1537173999,0.0000,0,0,0.00,'USD','5.3',3,5,3,0,0,0,'Product Advisor','X-Cart team','Adds specific products lists to the catalog: new arrivals, coming soon, recently viewed etc.',NULL,'','','a:0:{}','a:0:{}',0,0,0,0,0,0,'a:0:{}',0,0,0,0,-1,0),(59,'PINCodes','CDev','',1,1,1,1537173999,0.0000,0,0,0.00,'USD','5.3',4,1,5,0,0,0,'PIN Codes','X-Cart team','Allows to sell PIN codes attached to products.',NULL,'','','a:0:{}','a:0:{}',0,0,0,0,0,0,'a:0:{}',0,0,0,0,-1,0),(60,'Sale','CDev','',1,1,1,1537173999,0.0000,0,0,0.00,'USD','5.3',3,3,3,0,0,0,'Sale','X-Cart team','Module allows you set special sale prices for certain products.',NULL,'','','a:0:{}','a:0:{}',0,0,0,0,0,0,'a:0:{}',0,0,0,0,-1,0),(61,'FeaturedProducts','CDev','',1,1,1,1537173999,0.0000,0,0,0.00,'USD','5.3',3,4,3,0,0,0,'Featured Products','X-Cart team','Shows your best and most profitable products to customers.',NULL,'','','a:0:{}','a:0:{}',0,0,0,0,0,0,'a:0:{}',0,0,0,0,-1,0),(62,'FedEx','CDev','',1,1,1,1537173999,0.0000,0,0,0.00,'USD','5.3',2,1,3,0,0,0,'FedEx','X-Cart team','Gets shipping quotes for FedEx delivery methods.',NULL,'','','a:0:{}','a:0:{}',0,0,0,0,0,0,'a:0:{}',0,0,0,0,-1,0),(63,'GoSocial','CDev','',1,1,1,1537173999,0.0000,0,0,0.00,'USD','5.3',3,8,3,0,0,0,'Go Social','X-Cart team','Adds social media sharing functions like Facebook comments, OpenGraph meta tags and share buttons for product pages.',NULL,'','','a:0:{}','a:0:{}',0,0,0,0,0,0,'a:0:{}',0,0,0,0,-1,0),(64,'AustraliaPost','CDev','',1,1,1,1537174000,0.0000,0,0,0.00,'USD','5.3',1,1,0,0,0,0,'Australia Post','X-Cart team','Gets shipping quotes for Australia Post delivery methods.',NULL,'','','a:0:{}','a:0:{}',0,0,0,0,0,0,'a:0:{}',0,0,0,0,-1,0),(65,'AuthorizeNet','CDev','',1,1,1,1537174000,0.0000,0,0,0.00,'USD','5.3',3,4,3,0,0,0,'Authorize.Net SIM','X-Cart team','Enables taking credit card payments for your online store via AuthorizeNet payment gateway (Server Integration Method).',NULL,'','','a:0:{}','a:0:{}',0,0,0,0,0,0,'a:0:{}',0,0,0,0,-1,0),(66,'Coupons','CDev','',1,1,1,1537174000,0.0000,0,0,0.00,'USD','5.3',5,1,5,0,0,0,'Coupons','X-Cart team','Allows to configure discounts which customers can activate in your shop with a coupon code',NULL,'','','a:0:{}','a:0:{}',0,0,0,0,0,0,'a:0:{}',0,0,0,0,-1,0),(67,'FileAttachments','CDev','',1,1,1,1537174000,0.0000,0,0,0.00,'USD','5.3',2,5,3,0,0,0,'File attachments','X-Cart team','Allows you to attach files to goods that can be downloaded from the detailed pages of this product by visitors.',NULL,'','','a:0:{}','a:0:{}',0,0,0,0,0,0,'a:0:{}',0,0,0,0,-1,0),(68,'FlyoutCategoriesMenu','QSL','',1,1,1,1537174000,0.0000,0,0,0.00,'USD','5.3',2,2,3,0,0,0,'Flyout Categories Menu','Qualiteam Software','The module changes the default categories menu in the Customer area by introducing a flyout expanding menu style',NULL,'','','a:0:{}','a:0:{}',0,0,0,0,0,0,'a:0:{}',0,0,0,0,-1,0),(69,'AuthorizenetAcceptjs','QSL','',1,1,1,1537174000,0.0000,0,0,0.00,'USD','5.3',15,8,3,0,0,0,'Authorize.Net Accept.js','Qualiteam','The module integrates your store with Authorize.Net Accept.js to accept payments in a PCI-DSS compliant way.',NULL,'','','a:0:{}','a:0:{}',0,0,0,0,0,0,'a:0:{}',0,0,0,0,-1,0),(70,'CloudSearch','QSL','',1,1,1,1537174000,0.0000,0,0,0.00,'USD','5.3',14,1,1,0,0,0,'CloudSearch & CloudFilters','Qualiteam','The module provides integration with both CloudSearch and CloudFilters services. CloudSearch integrates with X-Cart 5 to enable dynamic, real-time product search with highly relevant search results. CloudFilters works on top of CloudSearch to enable layered navigation and faceted search for X-Cart stores. Power up your store with enterprise-class search and navigation technologies for better conversion!',NULL,'http://www.x-cart.com/extensions/addons/cloudsearch.html?sl=en','','a:0:{}','a:0:{}',0,0,0,0,0,0,'a:0:{}',0,0,0,0,-1,0),(71,'BraintreeVZ','QSL','',1,1,1,1537174000,0.0000,0,0,0.00,'USD','5.3',4,1,0,0,0,0,'PayPal powered by Braintree','X-Cart team','Braintree is a full-stack payments platform that makes it easy to accept payments in your app or website. The service replaces the traditional model of sourcing a payment gateway and merchant account from different providers.',NULL,'','','a:0:{}','a:0:{}',0,0,0,0,0,0,'a:0:{}',0,0,0,0,-1,0),(72,'AmazonS3Images','CDev','helpdesk@x-cart.com',0,0,0,0,0.0000,0,4954,0.00,'USD','5.3',4,0,3,1397073600,13230080,1,'Amazon S3 images','X-Cart team','Gives you the ability to move all your category and product images over to the \"cloud\" storage services offered by Amazon. This reduces your website\'s bandwidth and allows you to use your Amazon CloudFront CDN account to get your images loaded in customers\' browsers really fast.','http://my.x-cart.com/sites/default/files/addons/CDev/AmazonS3Images/icon.png','https://market.x-cart.com/addons/amazon-s3-images.html','','a:0:{}','a:2:{i:0;s:15:\"User experience\";i:1;s:14:\"Administration\";}',1,0,0,0,0,2,'a:3:{i:0;s:12:\"391_Business\";i:1;s:18:\"20598_Multi-vendor\";i:2;s:18:\"536881125_Ultimate\";}',0,0,0,127,-1,0),(73,'AustraliaPost','CDev','helpdesk@x-cart.com',0,0,0,0,0.0000,0,10390,0.00,'USD','5.3',1,1,0,1398693926,102400,0,'Australia Post','X-Cart team','Gets shipping quotes for Australia Post delivery methods.','http://my.x-cart.com/sites/default/files/addons/CDev/AustraliaPost/icon.png','https://market.x-cart.com/addons/australia-post.html','','a:0:{}','a:2:{i:0;s:11:\"Fulfillment\";i:1;s:8:\"Shipping\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(74,'AuthorizeNet','CDev','helpdesk@x-cart.com',0,0,0,0,0.0000,0,17395,0.00,'USD','5.3',3,4,3,1397073600,102400,0,'Authorize.Net SIM','X-Cart team','This addon integrates your store with Authorize.Net payment gateway and enables accepting the payments via the Server Integration Method (SIM).','http://my.x-cart.com/sites/default/files/addons/CDev/AuthorizeNet/iconAlt.png','https://market.x-cart.com/addons/authorize-net-sim.html','','a:0:{}','a:2:{i:0;s:21:\"Multi-vendor friendly\";i:1;s:18:\"Payment processing\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(75,'Bestsellers','CDev','helpdesk@x-cart.com',0,0,0,0,0.0000,0,20593,0.00,'USD','5.3',2,3,0,1397073600,71680,0,'Bestsellers','X-Cart team','Lists best-selling products at any place of the customer interface.','http://my.x-cart.com/sites/default/files/addons/CDev/Bestsellers/iconAlt.png','https://market.x-cart.com/addons/bestsellers.html','','a:0:{}','a:2:{i:0;s:9:\"Marketing\";i:1;s:21:\"Multi-vendor friendly\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(76,'Catalog','CDev','helpdesk@x-cart.com',0,0,0,0,0.0000,0,8220,0.00,'USD','5.3',2,0,3,1397073600,61440,0,'Catalog','X-Cart team','The addon turns your website into a plain catalog of products which customers can browse but can\'t buy online. It disables checkout and removes the \"Add to cart\" and \"Buy\" buttons, as well as the cart icon. ','http://my.x-cart.com/sites/default/files/addons/CDev/Catalog/iconAlt.png','https://market.x-cart.com/addons/catalog.html','','a:0:{}','a:2:{i:0;s:18:\"Catalog Management\";i:1;s:13:\"Design tweaks\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(77,'ContactUs','CDev','helpdesk@x-cart.com',0,0,0,0,0.0000,0,23657,0.00,'USD','5.3',6,1,5,1400529600,153600,0,'Contact us','X-Cart team','Enables \"Contact us\" page','http://my.x-cart.com/sites/default/files/addons/CDev/ContactUs/icon.png','https://market.x-cart.com/addons/contact-us.html','','a:0:{}','a:2:{i:0;s:15:\"User experience\";i:1;s:14:\"Administration\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(78,'Coupons','CDev','helpdesk@x-cart.com',0,0,0,0,0.0000,0,19565,0.00,'USD','5.3',5,1,5,1400529600,337920,1,'Coupons','X-Cart team','Allows to configure discounts which customers can activate in your shop with a coupon code','http://my.x-cart.com/sites/default/files/addons/CDev/Coupons/iconAlt.png','https://market.x-cart.com/addons/discount-coupons.html','','a:0:{}','a:2:{i:0;s:9:\"Marketing\";i:1;s:21:\"Multi-vendor friendly\";}',1,0,0,0,0,2,'a:3:{i:0;s:12:\"391_Business\";i:1;s:18:\"20598_Multi-vendor\";i:2;s:18:\"536881125_Ultimate\";}',0,0,0,127,-1,0),(79,'DeTranslation','CDev','helpdesk@x-cart.com',0,0,0,0,0.0000,0,4051,0.00,'USD','5.3',3,1,3,1398628800,235520,0,'Translation: German (Community translation)','X-Cart team','German translation pack. This translation is a contribution of X-Cart community. Kindly shared by one of X-Cart merchants for free, this translation may contain some non-translated labels which appeared in later versions of X-Cart 5 or which were added by custom modules you installed.','http://my.x-cart.com/sites/default/files/addons/CDev/DeTranslation/icon.png','https://market.x-cart.com/addons/german-translation.html','','a:0:{}','a:1:{i:0;s:11:\"Translation\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(80,'DrupalConnector','CDev','helpdesk@x-cart.com',0,0,0,0,0.0000,0,1586,0.00,'USD','5.2',6,0,0,1398628800,337920,0,'Drupal Connector [DEPRECATED]','X-Cart team','Exports X-Cart widgets and pages to Drupal.','http://my.x-cart.com/sites/default/files/addons/CDev/DrupalConnector/iconAlt.png','https://market.x-cart.com/addons/drupal-connector.html','','a:0:{}','a:2:{i:0;s:14:\"Administration\";i:1;s:21:\"Multi-vendor friendly\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(81,'Egoods','CDev','helpdesk@x-cart.com',0,0,0,0,0.0000,0,10920,0.00,'USD','5.3',4,4,4,1398628800,13025280,1,'E-goods','X-Cart team','Allows to sell files that customers can download after the purchase. Requires to have the FileAttachments module priorly installed and enabled.','http://my.x-cart.com/sites/default/files/addons/CDev/Egoods/iconAlt.png','https://market.x-cart.com/addons/e-goods.html','','a:1:{i:0;s:20:\"CDev\\FileAttachments\";}','a:3:{i:0;s:18:\"Catalog Management\";i:1;s:11:\"Fulfillment\";i:2;s:21:\"Multi-vendor friendly\";}',1,0,0,0,0,2,'a:3:{i:0;s:12:\"391_Business\";i:1;s:18:\"20598_Multi-vendor\";i:2;s:18:\"536881125_Ultimate\";}',0,0,0,127,-1,0),(82,'FeaturedProducts','CDev','helpdesk@x-cart.com',0,0,0,0,0.0000,0,16438,0.00,'USD','5.3',3,4,3,1400529600,133120,0,'Featured Products','X-Cart team','Shows your best and most profitable products to customers.','http://my.x-cart.com/sites/default/files/addons/CDev/FeaturedProducts/iconAlt.png','https://market.x-cart.com/addons/featured-products.html','','a:0:{}','a:3:{i:0;s:9:\"Marketing\";i:1;s:21:\"Multi-vendor friendly\";i:2;s:21:\"Search and Navigation\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(83,'FileAttachments','CDev','helpdesk@x-cart.com',0,0,0,0,0.0000,0,12245,0.00,'USD','5.3',2,5,3,1400529600,174080,1,'File attachments','X-Cart team','Allows you to attach files to goods that can be downloaded from the detailed pages of this product by visitors.','http://my.x-cart.com/sites/default/files/addons/CDev/FileAttachments/iconAlt.png','https://market.x-cart.com/addons/file-attachments.html','','a:0:{}','a:2:{i:0;s:18:\"Catalog Management\";i:1;s:21:\"Multi-vendor friendly\";}',1,0,0,0,0,2,'a:3:{i:0;s:12:\"391_Business\";i:1;s:18:\"20598_Multi-vendor\";i:2;s:18:\"536881125_Ultimate\";}',0,0,0,127,-1,0),(84,'FrTranslation','CDev','helpdesk@x-cart.com',0,0,0,0,0.0000,0,4729,0.00,'USD','5.3',3,1,3,1398628800,225280,0,'Translation: French (Community translation)','X-Cart team','French translation pack. This translation is a contribution of X-Cart community. Kindly shared by one of X-Cart merchants for free, this translation may contain some non-translated labels which appeared in later versions of X-Cart 5 or which were added by custom modules you installed.','http://my.x-cart.com/sites/default/files/addons/CDev/FrTranslation/icon.png','https://market.x-cart.com/addons/french-translation.html','','a:0:{}','a:1:{i:0;s:11:\"Translation\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(85,'GoogleAnalytics','CDev','helpdesk@x-cart.com',0,0,0,0,0.0000,0,22921,0.00,'USD','5.3',3,4,3,1397073600,286720,0,'Google Analytics','X-Cart team','Enables tracking and analyzing your website e-commerce statistics with Google Analytics.','http://my.x-cart.com/sites/default/files/addons/CDev/GoogleAnalytics/icon.png','https://market.x-cart.com/addons/google-analytics.html','','a:0:{}','a:3:{i:0;s:21:\"Multi-vendor friendly\";i:1;s:3:\"SEO\";i:2;s:10:\"Statistics\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(86,'GoSocial','CDev','helpdesk@x-cart.com',0,0,0,0,0.0000,0,27953,0.00,'USD','5.3',3,8,3,1400529600,245760,0,'Go Social','X-Cart team','Adds social media sharing functions like Facebook comments, OpenGraph meta tags and share buttons for product pages.','http://my.x-cart.com/sites/default/files/addons/CDev/GoSocial/iconAlt.png','https://market.x-cart.com/addons/go-social.html','','a:0:{}','a:3:{i:0;s:9:\"Marketing\";i:1;s:21:\"Multi-vendor friendly\";i:2;s:6:\"Social\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(87,'MarketPrice','CDev','helpdesk@x-cart.com',0,0,0,0,0.0000,0,10353,0.00,'USD','5.3',2,0,3,1398628800,71680,0,'Market price','X-Cart team','Adds support for the product market price.','http://my.x-cart.com/sites/default/files/addons/CDev/MarketPrice/iconAlt.png','https://market.x-cart.com/addons/market-price.html','','a:0:{}','a:4:{i:0;s:18:\"Catalog Management\";i:1;s:9:\"Marketing\";i:2;s:21:\"Multi-vendor friendly\";i:3;s:15:\"Price modifiers\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(88,'Moneybookers','CDev','helpdesk@x-cart.com',0,0,0,0,0.0000,0,13359,0.00,'USD','5.3',4,0,4,1398628800,1628160,0,'Skrill','X-Cart team','The addon integrates your store with Skrill payment solutions via the iFrame method. Skrill allows accepting payments with credit and debit cards. It supports local and international money transfers. It\'s easy to start with, secure and mobile-optimized.','http://my.x-cart.com/sites/default/files/addons/CDev/Moneybookers/iconAlt.png','https://market.x-cart.com/addons/skrill.html','','a:0:{}','a:1:{i:0;s:18:\"Payment processing\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(89,'PaypalWPS','CDev','helpdesk@x-cart.com',0,0,0,0,0.0000,0,2093,0.00,'USD','5.1',4,0,0,1400583771,81920,0,'PayPal (outside of the US) [DEPRECATED]','X-Cart team','Enables taking credit card payments for your online store via PayPal (Website Payments Standard).','http://my.x-cart.com/sites/default/files/addons/CDev/PaypalWPS/iconAlt.png','http://www.x-cart.com/extensions/addons/paypal-standard.html','','a:0:{}','a:1:{i:0;s:18:\"Payment processing\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(90,'ProductAdvisor','CDev','helpdesk@x-cart.com',0,0,0,0,0.0000,0,15248,0.00,'USD','5.3',3,5,3,1398628800,235520,1,'Product Advisor','X-Cart team','Adds specific products lists to the catalog: new arrivals, coming soon, recently viewed etc.','http://my.x-cart.com/sites/default/files/addons/CDev/ProductAdvisor/iconAlt.png','https://market.x-cart.com/addons/product-advisor.html','','a:0:{}','a:3:{i:0;s:9:\"Marketing\";i:1;s:21:\"Multi-vendor friendly\";i:2;s:21:\"Search and Navigation\";}',1,0,0,0,0,2,'a:3:{i:0;s:12:\"391_Business\";i:1;s:18:\"20598_Multi-vendor\";i:2;s:18:\"536881125_Ultimate\";}',0,0,0,127,-1,0),(91,'ProductOptions','CDev','helpdesk@x-cart.com',0,0,0,0,0.0000,0,497,0.00,'USD','5.0',2,0,0,1397073600,317440,0,'Product Options [DEPRECATED]','X-Cart team','In the earlier versions of X-Cart the module used to allow a customer to choose options when buying a product. Since version 5.0 it is recommended to use built-in interface for attributes configuration and the \"Product Variants\" module for this purpose.','http://my.x-cart.com/sites/default/files/addons/CDev/ProductOptions/iconAlt.png','','','a:0:{}','a:1:{i:0;s:18:\"Catalog Management\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(92,'Quantum','CDev','helpdesk@x-cart.com',0,0,0,0,0.0000,0,5319,0.00,'USD','5.3',1,0,0,1397141931,40960,0,'QuantumGateway','X-Cart team','Enables taking credit card payments for your online store via QuantumGateway (QGWdatabase Engine API).','http://my.x-cart.com/sites/default/files/addons/CDev/Quantum/iconAlt.png','https://market.x-cart.com/addons/quantum-gateway.html','','a:0:{}','a:1:{i:0;s:18:\"Payment processing\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(93,'RuTranslation','CDev','helpdesk@x-cart.com',0,0,0,0,0.0000,0,6254,0.00,'USD','5.3',5,3,5,1400529600,901120,0,'Translation: Russian','X-Cart team','Russian translation pack','http://my.x-cart.com/sites/default/files/addons/CDev/RuTranslation/icon.png','https://market.x-cart.com/addons/russian-translation.html','','a:0:{}','a:1:{i:0;s:11:\"Translation\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(94,'SalesTax','CDev','helpdesk@x-cart.com',0,0,0,0,0.0000,0,20943,0.00,'USD','5.3',4,3,4,1400529600,163840,0,'Sales Tax','X-Cart team','Setup the rules for calculating sales tax. The rates can depend on product classes, customer\'s membership levels and address. When several tax rates are applicable to one product, you can specify the priority of their application.','http://my.x-cart.com/sites/default/files/addons/CDev/SalesTax/icon.png','https://market.x-cart.com/addons/sales-tax.html','','a:0:{}','a:2:{i:0;s:21:\"Multi-vendor friendly\";i:1;s:5:\"Taxes\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(95,'Sale','CDev','helpdesk@x-cart.com',0,0,0,0,0.0000,0,14955,0.00,'USD','5.3',3,3,3,1400529600,204800,1,'Sale','X-Cart team','Module allows you set special sale prices for certain products.','http://my.x-cart.com/sites/default/files/addons/CDev/Sale/iconAlt.png','https://market.x-cart.com/addons/sale.html','','a:0:{}','a:3:{i:0;s:9:\"Marketing\";i:1;s:21:\"Multi-vendor friendly\";i:2;s:15:\"Price modifiers\";}',1,0,0,0,0,2,'a:3:{i:0;s:12:\"391_Business\";i:1;s:18:\"20598_Multi-vendor\";i:2;s:18:\"536881125_Ultimate\";}',0,0,0,127,-1,0),(96,'SimpleCMS','CDev','helpdesk@x-cart.com',0,0,0,0,0.0000,0,30951,0.00,'USD','5.3',5,1,5,1400583253,348160,0,'Simple CMS','X-Cart team','Allows you to add custom website pages and modify the primary website menu and the footer links. After installing additional TinyMCE and Go Social modules you can configure OpenGraph tags for your pages and edit their contents in the WYSIWYG mode. This module is incompatible with modules integrating your store with third-party CMS solutions.','http://my.x-cart.com/sites/default/files/addons/CDev/SimpleCMS/icon.png','https://market.x-cart.com/addons/simple-cms.html','','a:0:{}','a:3:{i:0;s:9:\"Marketing\";i:1;s:15:\"User experience\";i:2;s:14:\"Administration\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(97,'SocialLogin','CDev','helpdesk@x-cart.com',0,0,0,0,0.0000,0,12002,0.00,'USD','5.3',3,4,3,1398628800,153600,1,'Social Login','X-Cart team','Enables authentication via OAuth 2.0 providers (Google &amp; Facebook).','http://my.x-cart.com/sites/default/files/addons/CDev/SocialLogin/icon.png','https://market.x-cart.com/addons/social-login.html','','a:0:{}','a:3:{i:0;s:21:\"Multi-vendor friendly\";i:1;s:6:\"Social\";i:2;s:15:\"User experience\";}',1,0,0,0,0,2,'a:3:{i:0;s:12:\"391_Business\";i:1;s:18:\"20598_Multi-vendor\";i:2;s:18:\"536881125_Ultimate\";}',0,0,0,127,-1,0),(98,'System','CDev','',0,0,0,0,0.0000,0,326,0.00,'USD','5.1',7,0,0,1398694670,337920,-1,'System','X-Cart team','System module','http://my.x-cart.com/sites/default/files/addons/CDev/System/icon.png','','','a:0:{}','a:0:{}',1,0,0,1,0,0,'a:0:{}',0,0,0,127,-1,0),(99,'TinyMCE','CDev','helpdesk@x-cart.com',0,0,0,0,0.0000,0,21444,0.00,'USD','5.3',2,3,3,1397073600,3020800,0,'TinyMCE integration','X-Cart team','Enables TinyMCE WYSIWYG editor in your online store for easy management of product and category descriptions.','http://my.x-cart.com/sites/default/files/addons/CDev/TinyMCE/iconAlt.png','https://market.x-cart.com/addons/tinymce.html','','a:0:{}','a:2:{i:0;s:14:\"Administration\";i:1;s:18:\"Catalog Management\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(100,'TwoCheckout','CDev','helpdesk@x-cart.com',0,0,0,0,0.0000,0,9315,0.00,'USD','5.3',2,1,4,1397074545,51200,0,'2Checkout.com','X-Cart team','Enables taking credit card payments for your online store via 2Checkout.com payment gateway.','http://my.x-cart.com/sites/default/files/addons/CDev/TwoCheckout/iconAlt.png','https://market.x-cart.com/addons/2checkout.html','','a:0:{}','a:2:{i:0;s:21:\"Multi-vendor friendly\";i:1;s:18:\"Payment processing\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(101,'UserPermissions','CDev','helpdesk@x-cart.com',0,0,0,0,0.0000,0,6654,0.00,'USD','5.3',1,1,0,1397073600,81920,1,'User permissions','X-Cart team','The addon allows restricting access to the backend functions in your online store to only those employees who need them. You can define administrator roles and configure which groups of back-end functions are available to users having these roles.','http://my.x-cart.com/sites/default/files/addons/CDev/UserPermissions/iconAlt.png','https://market.x-cart.com/addons/user-permissions.html','','a:0:{}','a:2:{i:0;s:14:\"Administration\";i:1;s:21:\"Multi-vendor friendly\";}',1,0,0,0,0,2,'a:3:{i:0;s:12:\"391_Business\";i:1;s:18:\"20598_Multi-vendor\";i:2;s:18:\"536881125_Ultimate\";}',0,0,0,127,-1,0),(102,'USPS','CDev','helpdesk@x-cart.com',0,0,0,0,0.0000,0,19141,0.00,'USD','5.3',3,3,4,1398628800,358400,0,'U.S.P.S.','X-Cart team','Gets shipping quotes for USPS delivery methods.','http://my.x-cart.com/sites/default/files/addons/CDev/USPS/iconAlt.png','https://market.x-cart.com/addons/usps.html','','a:0:{}','a:3:{i:0;s:11:\"Fulfillment\";i:1;s:21:\"Multi-vendor friendly\";i:2;s:8:\"Shipping\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(103,'VAT','CDev','helpdesk@x-cart.com',0,0,0,0,0.0000,0,6826,0.00,'USD','5.3',4,3,4,1400529600,327680,0,'Value Added Tax / Goods and Services Tax','X-Cart team','Define the value added tax rates for customers (VAT, GST). Set up different rates based on customer\'s membership level and address. Tax exemption based on customer\'s VAT ID is supported.','http://my.x-cart.com/sites/default/files/addons/CDev/VAT/icon.png','https://market.x-cart.com/addons/uk-vat.html','','a:0:{}','a:1:{i:0;s:5:\"Taxes\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(104,'VolumeDiscounts','CDev','helpdesk@x-cart.com',0,0,0,0,0.0000,0,11475,0.00,'USD','5.3',2,5,3,1400529600,133120,1,'Volume Discounts','X-Cart team','Enables discounts depending on the total price of ordered products and the customer membership level.','http://my.x-cart.com/sites/default/files/addons/CDev/VolumeDiscounts/icon.png','https://market.x-cart.com/addons/volume-discounts.html','','a:0:{}','a:2:{i:0;s:9:\"Marketing\";i:1;s:21:\"Multi-vendor friendly\";}',1,0,0,0,0,2,'a:3:{i:0;s:12:\"391_Business\";i:1;s:18:\"20598_Multi-vendor\";i:2;s:18:\"536881125_Ultimate\";}',0,0,0,127,-1,0),(105,'Wholesale','CDev','helpdesk@x-cart.com',0,0,0,0,0.0000,0,16355,0.00,'USD','5.3',3,3,4,1400529600,317440,1,'Wholesale','X-Cart team','Enables wholesale pricing depending on product quantity and customer membership level. Also the module allows you to set the minimum purchase quantity per membership level.','http://my.x-cart.com/sites/default/files/addons/CDev/Wholesale/icon.png','https://market.x-cart.com/addons/wholesale.html','','a:0:{}','a:4:{i:0;s:18:\"Catalog Management\";i:1;s:9:\"Marketing\";i:2;s:21:\"Multi-vendor friendly\";i:3;s:15:\"Price modifiers\";}',1,0,0,0,0,2,'a:3:{i:0;s:12:\"391_Business\";i:1;s:18:\"20598_Multi-vendor\";i:2;s:18:\"536881125_Ultimate\";}',0,0,0,127,-1,0),(106,'XMLSitemap','CDev','helpdesk@x-cart.com',0,0,0,0,0.0000,0,19961,0.00,'USD','5.3',2,8,0,1400529600,163840,0,'XML sitemap','X-Cart team','Module generates an XML file with information for search engines.','http://my.x-cart.com/sites/default/files/addons/CDev/XMLSitemap/icon.png','https://market.x-cart.com/addons/xml-sitemap.html','','a:0:{}','a:2:{i:0;s:21:\"Multi-vendor friendly\";i:1;s:3:\"SEO\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(107,'XMLSitemapDrupal','CDev','helpdesk@x-cart.com',0,0,0,0,0.0000,0,1223,0.00,'USD','5.2',1,0,0,1397141926,51200,0,'XML sitemap for Drupal [DEPRECATED]','X-Cart team','Module generates an XML file with information for search engines.','http://my.x-cart.com/sites/default/files/addons/CDev/XMLSitemapDrupal/iconAlt.png','http://www.x-cart.com/extensions/addons/xml-sitemap-drupal.html','','a:2:{i:0;s:20:\"CDev\\DrupalConnector\";i:1;s:15:\"CDev\\XMLSitemap\";}','a:2:{i:0;s:9:\"Marketing\";i:1;s:14:\"Administration\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(108,'Paypal','CDev','helpdesk@x-cart.com',0,0,0,0,0.0000,0,32491,0.00,'USD','5.3',7,3,5,1400529600,2355200,0,'PayPal','X-Cart team','Enables taking payments for your online store via PayPal services.','http://my.x-cart.com/sites/default/files/addons/CDev/Paypal/iconAlt.png','https://market.x-cart.com/addons/paypal.html','','a:0:{}','a:2:{i:0;s:21:\"Multi-vendor friendly\";i:1;s:18:\"Payment processing\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(109,'XPaymentsConnector','CDev','helpdesk@x-cart.com',0,0,0,0,0.0000,0,23364,0.00,'USD','5.3',3,7,2,1398628800,1124352,0,'X-Payments connector','X-Cart team','Safe and PCI compliant credit card processing&storing through major payment gateways without redirects. X-Payments integrates with over 40 payment providers including but not limited to: PayPal, BrainTree, Authorize.Net AIM/CIM, Chase Paymentech, CyberSource, Elavon, Moneris (former eSelect), First Data, Intuit Quickbooks, Ogone, Sage Pay, Realex, WorldPay and many others.','http://my.x-cart.com/sites/default/files/addons/CDev/XPaymentsConnector/iconAlt.png','https://market.x-cart.com/addons/xpayments-connector.html','','a:0:{}','a:5:{i:0;s:14:\"Administration\";i:1;s:8:\"Checkout\";i:2;s:6:\"Orders\";i:3;s:21:\"Multi-vendor friendly\";i:4;s:18:\"Payment processing\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(110,'ThemeTweaker','XC','helpdesk@x-cart.com',0,0,0,0,0.0000,0,24746,0.00,'USD','5.3',4,4,4,1400529600,4280320,0,'Theme tweaker','X-Cart team','This extension allows you to tweak your store design by adding and editing custom CSS styles and JavaScript code directly in the store back end. Also you can upload images to link them from your CSS styles.','http://my.x-cart.com/sites/default/files/addons/XC/ThemeTweaker/icon.png','https://market.x-cart.com/addons/theme-tweaker.html','','a:0:{}','a:2:{i:0;s:14:\"Administration\";i:1;s:13:\"Design tweaks\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(111,'InstantSearch','CDev','helpdesk@x-cart.com',0,0,0,0,0.0000,0,1387,0.00,'USD','5.1',2,0,0,1398628800,81920,1,'Instant Search [DEPRECATED]','X-Cart team','Starting from v.5.2 the module won\'t be supported. Consider the \"Cloud Search\" instead. More details: http://blog.x-cart.com/cloud-search-goes-free-to-replace-instant-search.html','http://my.x-cart.com/sites/default/files/addons/CDev/InstantSearch/iconAlt.png','','','a:0:{}','a:1:{i:0;s:21:\"Search and Navigation\";}',1,0,0,0,0,2,'a:3:{i:0;s:12:\"391_Business\";i:1;s:18:\"20598_Multi-vendor\";i:2;s:18:\"536881125_Ultimate\";}',0,0,0,127,-1,0),(112,'ProductComparison','XC','helpdesk@x-cart.com',0,0,0,0,0.0000,0,8412,0.00,'USD','5.3',4,2,4,1400529600,153600,1,'Product Comparison','X-Cart team','Allows customers to compare products.','http://my.x-cart.com/sites/default/files/addons/XC/ProductComparison/iconAlt.png','https://market.x-cart.com/addons/product-comparison.html','','a:0:{}','a:3:{i:0;s:21:\"Multi-vendor friendly\";i:1;s:21:\"Search and Navigation\";i:2;s:15:\"User experience\";}',1,0,0,0,0,2,'a:3:{i:0;s:12:\"391_Business\";i:1;s:18:\"20598_Multi-vendor\";i:2;s:18:\"536881125_Ultimate\";}',0,0,0,127,-1,0),(113,'ProductFilter','XC','helpdesk@x-cart.com',0,0,0,0,0.0000,0,17275,0.00,'USD','5.3',3,7,3,1398628800,266240,1,'Product Filter','X-Cart team','Allows customers to filter products.','http://my.x-cart.com/sites/default/files/addons/XC/ProductFilter/iconAlt.png','https://market.x-cart.com/addons/product-filter.html','','a:0:{}','a:3:{i:0;s:21:\"Multi-vendor friendly\";i:1;s:21:\"Search and Navigation\";i:2;s:15:\"User experience\";}',1,0,0,0,0,2,'a:3:{i:0;s:12:\"391_Business\";i:1;s:18:\"20598_Multi-vendor\";i:2;s:18:\"536881125_Ultimate\";}',0,0,0,127,-1,0),(114,'RESTAPI','XC','helpdesk@x-cart.com',0,0,0,0,0.0000,0,10458,0.00,'USD','5.3',4,3,3,1397141927,184320,0,'REST API','X-Cart team','Allows external applications to work with your store data via REST API.','http://my.x-cart.com/sites/default/files/addons/XC/RESTAPI/icon.png','https://market.x-cart.com/addons/rest-api.html','','a:0:{}','a:1:{i:0;s:11:\"Development\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(115,'FedEx','CDev','helpdesk@x-cart.com',0,0,0,0,0.0000,0,13243,0.00,'USD','5.3',2,1,3,1398628800,143360,0,'FedEx','X-Cart team','Gets shipping quotes for FedEx delivery methods.','http://my.x-cart.com/sites/default/files/addons/CDev/FedEx/iconAlt.png','https://market.x-cart.com/addons/fedex.html','','a:0:{}','a:3:{i:0;s:11:\"Fulfillment\";i:1;s:21:\"Multi-vendor friendly\";i:2;s:8:\"Shipping\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(116,'CanadaPost','XC','helpdesk@x-cart.com',0,0,0,0,0.0000,0,14354,0.00,'USD','5.3',3,3,4,1400529600,911360,0,'Canada Post','X-Cart team','Gets shipping quotes for Canada Post delivery methods.','http://my.x-cart.com/sites/default/files/addons/XC/CanadaPost/icon.png','https://market.x-cart.com/addons/canadapost.html','','a:0:{}','a:3:{i:0;s:11:\"Fulfillment\";i:1;s:21:\"Multi-vendor friendly\";i:2;s:8:\"Shipping\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(117,'ColorSchemes','XC','helpdesk@x-cart.com',0,0,0,0,0.0000,0,20043,0.00,'USD','5.3',4,2,4,1400529600,1484800,0,'Color Schemes','X-Cart team','This module adds three new color schemes to the base X-Cart design theme.','http://my.x-cart.com/sites/default/files/addons/XC/ColorSchemes/icon.png','https://market.x-cart.com/addons/color-schemes.html','','a:0:{}','a:1:{i:0;s:13:\"Design tweaks\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(118,'UPS','XC','helpdesk@x-cart.com',0,0,0,0,0.0000,0,16047,0.00,'USD','5.3',2,1,3,1398628800,153600,0,'UPS','X-Cart team','Gets shipping quotes for UPS delivery methods.','http://my.x-cart.com/sites/default/files/addons/XC/UPS/iconAlt.png','https://market.x-cart.com/addons/ups.html','','a:0:{}','a:2:{i:0;s:11:\"Fulfillment\";i:1;s:8:\"Shipping\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(119,'GiftCertificates','RedSqui','redsqui@gmail.com',0,0,0,0,0.0000,0,1811,75.00,'USD','5.3',9,7,2,1395259200,723968,0,'GiftCertificates','Vladimir Serov','Enables customers to buy and use gift certificates.','http://my.x-cart.com/sites/default/files/addons/RedSqui/GiftCertificates/iconAlt.png','https://market.x-cart.com/addons/gift-certificates.html','','a:0:{}','a:1:{i:0;s:18:\"Payment processing\";}',1,0,0,0,0,0,'a:0:{}',536881108,0,0,127,-1,0),(120,'Justuno','Justuno','help@justuno.com',0,0,0,0,0.0000,0,37,0.00,'USD','5.1',0,0,0,1378670400,44544,0,'Justuno','Justuno','One Platform for All Your Conversion Marketing Needs','http://my.x-cart.com/sites/default/files/addons/Justuno/Justuno/iconAlt.png','https://market.x-cart.com/addons/justuno-for-xcart.html','','a:0:{}','a:2:{i:0;s:9:\"Marketing\";i:1;s:6:\"Social\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(121,'PINCodes','CDev','helpdesk@x-cart.com',0,0,0,0,0.0000,0,10887,0.00,'USD','5.3',4,1,5,1400529600,256000,1,'PIN Codes','X-Cart team','Allows to sell PIN codes attached to products.','http://my.x-cart.com/sites/default/files/addons/CDev/PINCodes/iconAlt.png','https://market.x-cart.com/addons/pin-codes.html','','a:0:{}','a:3:{i:0;s:18:\"Catalog Management\";i:1;s:11:\"Fulfillment\";i:2;s:21:\"Multi-vendor friendly\";}',1,0,0,0,0,2,'a:3:{i:0;s:12:\"391_Business\";i:1;s:18:\"20598_Multi-vendor\";i:2;s:18:\"536881125_Ultimate\";}',0,0,0,127,-1,0),(122,'Mobile','XC','helpdesk@x-cart.com',0,0,0,0,0.0000,0,2452,0.00,'USD','5.2',20,0,10,1400529600,2503680,-1,'Mobile skin [DEPRECATED]','X-Cart team','This module enables the mobile view for your store.','http://my.x-cart.com/sites/default/files/addons/XC/Mobile/iconAlt.png','','','a:0:{}','a:1:{i:0;s:15:\"Mobile Commerce\";}',1,0,0,0,0,0,'a:0:{}',536881124,0,0,127,-1,0),(123,'ProductVariants','XC','helpdesk@x-cart.com',0,0,0,0,0.0000,0,22094,0.00,'USD','5.3',4,6,4,1400529600,542720,1,'Product Variants','X-Cart team','Allows to manage products variants.','http://my.x-cart.com/sites/default/files/addons/XC/ProductVariants/iconAlt.png','https://market.x-cart.com/addons/product-variants.html','','a:0:{}','a:3:{i:0;s:18:\"Catalog Management\";i:1;s:11:\"Fulfillment\";i:2;s:21:\"Multi-vendor friendly\";}',1,0,0,0,0,2,'a:3:{i:0;s:12:\"391_Business\";i:1;s:18:\"20598_Multi-vendor\";i:2;s:18:\"536881125_Ultimate\";}',0,0,0,127,-1,0),(124,'YandexMetrika','STaM','support@kinvasoft.com',0,0,0,0,0.0000,0,172,10.00,'USD','5.3',1,1,0,1393617600,52736,0,'Yandex Metrika','STaM LLC','Enables tracking and analyzing your X-Cart website e-commerce statistics with Yandex Metrika.','http://my.x-cart.com/sites/default/files/addons/STaM/YandexMetrika/iconAlt.png','https://market.x-cart.com/addons/yandex-metrics-by-stamllc.html','','a:0:{}','a:2:{i:0;s:3:\"SEO\";i:1;s:10:\"Statistics\";}',1,0,0,0,0,0,'a:0:{}',20604,0,0,127,-1,0),(125,'PartnerProgram','STaM','support@kinvasoft.com',0,0,0,0,0.0000,0,167,250.00,'USD','5.3',5,7,3,1412798400,957440,0,'Partner Program','STaM LLC','Module allows you to add an Affiliate program to your store.','http://my.x-cart.com/sites/default/files/addons/STaM/PartnerProgram/iconAlt.png','https://market.x-cart.com/addons/partner-program-by-stamllc.html','','a:0:{}','a:1:{i:0;s:9:\"Marketing\";}',1,0,2,0,0,0,'a:0:{}',20588,0,0,127,-1,0),(126,'GoogleExperiments','STaM','support@kinvasoft.com',0,0,0,0,0.0000,0,21,20.00,'USD','5.3',0,2,0,1393617600,34816,0,'Google Experiments','STaM LLC','Enables content experiments support with Google Analytics.','http://my.x-cart.com/sites/default/files/addons/STaM/GoogleExperiments/iconAlt.png','https://market.x-cart.com/addons/google-experiment-module-by-stamllc.html','','a:2:{i:0;s:20:\"CDev\\GoogleAnalytics\";i:1;s:14:\"CDev\\SimpleCMS\";}','a:2:{i:0;s:9:\"Marketing\";i:1;s:3:\"SEO\";}',1,0,0,0,0,0,'a:0:{}',536881119,0,0,127,-1,0),(127,'Qiwi','XC','helpdesk@x-cart.com',0,0,0,0,0.0000,0,1062,0.00,'USD','5.3',3,0,4,1397073600,71680,0,'Qiwi','X-Cart team','The addon allows accepting payments with Qiwi payment system in your online store.','http://my.x-cart.com/sites/default/files/addons/XC/Qiwi/iconAlt.png','https://market.x-cart.com/addons/qiwi-payment-module.html','','a:0:{}','a:1:{i:0;s:18:\"Payment processing\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(128,'Webmoney','XC','helpdesk@x-cart.com',0,0,0,0,0.0000,0,647,0.00,'USD','5.3',2,0,3,1397073600,61440,0,'WebMoney','X-Cart team','Start accepting payments in your online store via WebMoney Transfer – one of the most popular payment systems in Russia','http://my.x-cart.com/sites/default/files/addons/XC/Webmoney/iconAlt.png','https://market.x-cart.com/addons/webmoney-payment-module.html','','a:0:{}','a:1:{i:0;s:18:\"Payment processing\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(129,'Cart2cart','MagneticOne','marketing@magneticone.com',0,0,0,0,0.0000,0,226,0.00,'USD','5.3',1,0,0,1390248000,284672,0,'Migrate Data to X-Cart','MagneticOne','Allows you to use the Cart2Cart service right out of your store admin panel and install Connection Bridge to transfer your products, orders, customers information and other data from your current shopping cart to X-Cart.','http://my.x-cart.com/sites/default/files/addons/MagneticOne/Cart2cart/iconAlt.png','https://market.x-cart.com/addons/migrate-data-to-x-cart.html','','a:0:{}','a:2:{i:0;s:11:\"Development\";i:1;s:9:\"Migration\";}',1,0,0,0,1,0,'a:0:{}',0,0,0,127,-1,0),(130,'AbandonedCartReminder','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,2413,165.00,'USD','5.3',7,1,4,1401048000,580096,0,'Abandoned Cart Reminder','Qualiteam','This module gives unfinished orders a second chance and allows you to remind customers of their abandoned carts by sending an e-mail notification manually or automatically.','http://my.x-cart.com/sites/default/files/addons/QSL/AbandonedCartReminder/iconAlt.png','https://market.x-cart.com/addons/abandoned-cart-reminder.html','','a:0:{}','a:1:{i:0;s:9:\"Marketing\";}',1,1,190,0,0,0,'a:0:{}',536881107,0,0,127,-1,0),(132,'ProductFeeds','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,1824,99.00,'USD','5.3',5,0,3,1400616000,1510912,0,'Product Feeds','Qualiteam','Product Feeds module allows you to export your products into popular comparison shopping websites: Nextag, Pricegrabber, Shopzilla, eBay Commerce Network (shopping.com) and Google Shopping.','http://my.x-cart.com/sites/default/files/addons/QSL/ProductFeeds/iconAlt.png','https://market.x-cart.com/addons/product-feeds.html','','a:0:{}','a:3:{i:0;s:18:\"Catalog Management\";i:1;s:9:\"Marketing\";i:2;s:14:\"Sales Channels\";}',1,0,0,0,0,0,'a:0:{}',536881106,0,0,127,80,0),(133,'Add2CartPopup','XC','helpdesk@x-cart.com',0,0,0,0,0.0000,0,20620,0.00,'USD','5.3',2,4,3,1400529600,133120,0,'Add to Cart Popup','X-Cart team','Adds a promotional popup dialog that is displayed after a customer adds a product to cart.','http://my.x-cart.com/sites/default/files/addons/XC/Add2CartPopup/icon.png','https://market.x-cart.com/addons/add-to-cart-popup.html','','a:0:{}','a:3:{i:0;s:18:\"Catalog Management\";i:1;s:9:\"Marketing\";i:2;s:21:\"Multi-vendor friendly\";}',1,0,2,0,0,0,'a:0:{}',0,0,0,127,-1,0),(134,'Reviews','XC','helpdesk@x-cart.com',0,0,0,0,0.0000,0,18582,0.00,'USD','5.3',7,1,5,1400529600,655360,1,'Product reviews','X-Cart team','Adds an ability to add products reviews and manage them in admin area','http://my.x-cart.com/sites/default/files/addons/XC/Reviews/iconAlt.png','https://market.x-cart.com/addons/product-reviews.html','','a:0:{}','a:3:{i:0;s:21:\"Multi-vendor friendly\";i:1;s:6:\"Social\";i:2;s:15:\"User experience\";}',1,0,0,0,0,2,'a:3:{i:0;s:12:\"391_Business\";i:1;s:18:\"20598_Multi-vendor\";i:2;s:18:\"536881125_Ultimate\";}',0,0,0,127,-1,0),(135,'SagePay','XC','helpdesk@x-cart.com',0,0,0,0,0.0000,0,13820,0.00,'USD','5.3',3,2,3,1397159237,71680,0,'Sage Pay (Form)','X-Cart team','Enables taking credit card payments for your online store via SagePay payment gateway (Form protocol method).','http://my.x-cart.com/sites/default/files/addons/XC/SagePay/icon.png','https://market.x-cart.com/addons/sagepay-payment-module.html','','a:0:{}','a:1:{i:0;s:18:\"Payment processing\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(136,'Stripe','XC','helpdesk@x-cart.com',0,0,0,0,0.0000,0,15637,0.00,'USD','5.3',3,2,3,1400529600,481280,0,'Stripe','X-Cart team','Enables taking credit card payments for your online store via Stripe','http://my.x-cart.com/sites/default/files/addons/XC/Stripe/iconAlt.png','https://market.x-cart.com/addons/stripe-payment-module.html','','a:0:{}','a:2:{i:0;s:21:\"Multi-vendor friendly\";i:1;s:18:\"Payment processing\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(137,'Upselling','XC','helpdesk@x-cart.com',0,0,0,0,0.0000,0,9572,0.00,'USD','5.3',3,2,3,1397073600,153600,1,'Related Products','X-Cart team','Install the addon to start recommending related products on your product pages in the storefront. Using the upselling/cross-selling practices you\'ll encourage your store visitors to buy related or more expensive items and thus increase their order value.','http://my.x-cart.com/sites/default/files/addons/XC/Upselling/iconAlt.png','https://market.x-cart.com/addons/related-products.html','','a:0:{}','a:5:{i:0;s:18:\"Catalog Management\";i:1;s:9:\"Marketing\";i:2;s:21:\"Multi-vendor friendly\";i:3;s:8:\"Products\";i:4;s:21:\"Search and Navigation\";}',1,0,0,0,0,2,'a:3:{i:0;s:12:\"391_Business\";i:1;s:18:\"20598_Multi-vendor\";i:2;s:18:\"536881125_Ultimate\";}',0,0,0,127,-1,0),(138,'Wishlist','SpurIT','contact@spur-i-t.com',0,0,0,0,0.0000,0,232,99.00,'USD','5.2',1,0,0,1401307200,244736,0,'Wishlist','SpurIT','The Wishlist module allows your customers to create a list of products which they want to purchase. All products for convenience can be placed to various categories lists. It is a great tool for your customers to plan their shopping.','http://my.x-cart.com/sites/default/files/addons/SpurIT/Wishlist/iconAlt.png','https://market.x-cart.com/addons/wishlist-by-spurit.html','','a:0:{}','a:2:{i:0;s:9:\"Marketing\";i:1;s:15:\"User experience\";}',1,0,0,0,0,0,'a:0:{}',536881118,0,0,127,-1,0),(139,'WhoPurchased','SpurIT','contact@spur-i-t.com',0,0,0,0,0.0000,0,123,49.00,'USD','5.2',3,0,0,1401307200,49664,0,'Customers Who Purchased','SpurIT','This plugin shows a list of products which were purchased by other buyers along with the product being viewed. The administrator has an ability to disable the plugin, limit the list to current category of products and products in stock only, limit a number of products in the list. This solution is widely used on other eCommerce platforms and has been acknowledged by significant increase of sales.','http://my.x-cart.com/sites/default/files/addons/SpurIT/WhoPurchased/iconAlt.png','https://market.x-cart.com/addons/customers-who-purchased-by-spurit.html','','a:0:{}','a:1:{i:0;s:9:\"Marketing\";}',1,0,0,0,0,0,'a:0:{}',536881117,0,0,127,-1,0),(140,'StockChart','SpurIT','contact@spur-i-t.com',0,0,0,0,0.0000,0,2,49.00,'USD','5.2',1,0,0,1400788800,65536,0,'Stock Chart','SpurIT','This extension indicates the availability of your product variations. It displays your current inventory available for customers.','http://my.x-cart.com/sites/default/files/addons/SpurIT/StockChart/iconAlt.png','https://market.x-cart.com/addons/stock-chart-by-spurit.html','','a:0:{}','a:1:{i:0;s:18:\"Catalog Management\";}',1,0,0,0,0,0,'a:0:{}',536881116,0,0,127,-1,0),(141,'AbandonedOrdersRecovering','SpurIT','contact@spur-i-t.com',0,0,0,0,0.0000,0,8,200.00,'USD','5.2',1,0,0,1401307200,408064,0,'Abandoned Orders Recovering','SpurIT','This extension recoups lost revenue by reminding customers about their abandoned cart and offering a deal or promotion to encourage them to complete their orders.','http://my.x-cart.com/sites/default/files/addons/SpurIT/AbandonedOrdersRecovering/iconAlt.png','https://market.x-cart.com/addons/abandoned-orders-recovering-by-spurit.html','','a:0:{}','a:1:{i:0;s:9:\"Marketing\";}',1,0,0,0,0,0,'a:0:{}',536881114,0,0,127,-1,0),(142,'ProductVideo','PerceptionSystemPvtLtd','xcart@perceptionsystem.com',0,0,0,0,0.0000,0,629,5.00,'USD','5.3',1,1,0,1400702400,33280,0,'X-Cart Product Video','Perception System Pvt. Ltd.','Allows you to add youtube video to your product on product-details page.','http://my.x-cart.com/sites/default/files/addons/PerceptionSystemPvtLtd/ProductVideo/iconAlt.png','https://market.x-cart.com/addons/product-video.html','','a:0:{}','a:1:{i:0;s:18:\"Catalog Management\";}',1,0,0,0,0,0,'a:0:{}',20615,0,0,127,-1,0),(143,'BannerPro','PerceptionSystemPvtLtd','xcart@perceptionsystem.com',0,0,0,0,0.0000,0,233,29.00,'USD','5.3',1,0,0,1401480000,290304,0,'Banner Pro : With Multiple Animation Effect','Perception System Pvt. Ltd.','Banner Pro X-Cart Module allows to upload picture banners to display on store front-end with amazing animated jQuery effects.','http://my.x-cart.com/sites/default/files/addons/PerceptionSystemPvtLtd/BannerPro/iconAlt.png','https://market.x-cart.com/addons/banner-pro-by-perception-system.html','','a:0:{}','a:2:{i:0;s:13:\"Design tweaks\";i:1;s:9:\"Marketing\";}',1,0,0,0,0,0,'a:0:{}',536881126,0,0,127,-1,0),(144,'Ecc','Webgility','sales@webgility.com',0,0,0,0,0.0000,0,1445,0.00,'USD','5.3',1,0,0,1401393600,244224,0,'Unify for Quickbooks','Webgility','Unify for QuickBooks - Simplify your e-commerce business by integrating X-Cart with QuickBooks.  Works with QuickBooks Online, Pro, Premier, Enterprise and Point of Sale.','http://my.x-cart.com/sites/default/files/addons/Webgility/Ecc/iconAlt.png','https://market.x-cart.com/addons/unify-for-quickbooks-by-webgility.html','','a:0:{}','a:1:{i:0;s:10:\"Accounting\";}',1,0,4,0,0,0,'a:0:{}',0,0,0,127,-1,0),(145,'Robokassa','XC','helpdesk@x-cart.com',0,0,0,0,0.0000,0,1110,0.00,'USD','5.3',3,3,3,1400529600,81920,0,'Robokassa','X-Cart team','Robokassa allows all types of payments \"in the single window\": Credit Cards, SMS payments aka \"Mobile Commerce\", e-currencies (WebMoney, Yandex.Money), Instant payment terminals, Internet-Banking, iPhone application payments. Coupon decreasing the processing fee from 5% down to 2.9% within first 3 months is available. Contact us to get your promo-code!','http://my.x-cart.com/sites/default/files/addons/XC/Robokassa/icon.png','https://market.x-cart.com/addons/robokassa-payment-module.html','','a:0:{}','a:1:{i:0;s:18:\"Payment processing\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(146,'LoyaltyProgram','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,1524,135.00,'USD','5.3',8,2,3,1401652800,559616,0,'Loyalty Program','Qualiteam','Increase customer loyalty and turn your visitors into returning customers by giving them reward points for purchases made in your store and letting them cash the points in for discounts on future orders.','http://my.x-cart.com/sites/default/files/addons/QSL/LoyaltyProgram/iconAlt.png','https://market.x-cart.com/addons/loyalty-program.html','','a:0:{}','a:1:{i:0;s:9:\"Marketing\";}',1,0,0,0,0,0,'a:0:{}',536881111,0,0,127,-1,0),(147,'MyBestDressSkin','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,125,99.00,'USD','5.3',1,0,2,1396468800,820736,0,'My Best Dress','Qualiteam','The \"My Best Dress\" X-Cart Design Template (#38). This template is good for the following themes: Accessories, Beauty, Clothing, Jewelry, Medical, Wedding.','http://my.x-cart.com/sites/default/files/addons/QSL/MyBestDressSkin/iconAlt.png','https://market.x-cart.com/ecommerce-templates/mybestdress.html','','a:0:{}','a:1:{i:0;s:9:\"Templates\";}',1,0,0,0,0,0,'a:0:{}',442,0,0,127,-1,0),(148,'CustomSkin','XC','helpdesk@x-cart.com',0,0,0,0,0.0000,0,7771,0.00,'USD','5.3',1,3,0,1397141928,40960,0,'Custom skin','X-Cart team','Development module that simplifies the process of implementing design changes.','http://my.x-cart.com/sites/default/files/addons/XC/CustomSkin/icon.png','https://market.x-cart.com/addons/custom-skin.html','','a:0:{}','a:1:{i:0;s:11:\"Development\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(149,'DisqusComments','XC','helpdesk@x-cart.com',0,0,0,0,0.0000,0,938,0.00,'USD','5.3',2,1,3,1400529600,51200,0,'Disqus comments','X-Cart team','Make commenting easier and more interactive with Disqus. Replies, subscriptions and email notifications. Sharing in Twitter and Facebook. Moderation of posts within Disqus admin area. Simple yet powerful.','http://my.x-cart.com/sites/default/files/addons/XC/DisqusComments/icon.png','https://market.x-cart.com/addons/disqus-comments.html','','a:0:{}','a:1:{i:0;s:6:\"Social\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(150,'EMS','XC','helpdesk@x-cart.com',0,0,0,0,0.0000,0,821,0.00,'USD','5.3',1,1,0,1400529600,102400,0,'EMS Russian Post','X-Cart team','Gets shipping quotes for EMS delivery methods.','http://my.x-cart.com/sites/default/files/addons/XC/EMS/icon.png','https://market.x-cart.com/addons/ems-russian-post.html','','a:0:{}','a:2:{i:0;s:11:\"Fulfillment\";i:1;s:8:\"Shipping\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(151,'Olark','XC','helpdesk@x-cart.com',0,0,0,0,0.0000,0,2620,0.00,'USD','5.3',1,2,0,1398628800,40960,0,'Livechat - Olark','X-Cart team','The module adds Olark Live Chat to your website: neat in customer area, powerful and informative in admin back-end. Understand who\'s on your website, see where your customers are and co-browse with them, chat with the visitors proactively, help them solve the concerns and see how your sales grow.','http://my.x-cart.com/sites/default/files/addons/XC/Olark/icon.png','https://market.x-cart.com/addons/olark-live-chat.html','','a:0:{}','a:3:{i:0;s:14:\"Administration\";i:1;s:21:\"Multi-vendor friendly\";i:2;s:15:\"User experience\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(152,'WebmasterKit','XC','helpdesk@x-cart.com',0,0,0,0,0.0000,0,14530,0.00,'USD','5.3',3,2,3,1398628800,4679680,0,'Webmaster Kit','X-Cart team','This module helps web developers. It is used to find specific templates (the same as Webmaster mode functionality in X-Cart 4), SQL logging, benchmarking.','http://my.x-cart.com/sites/default/files/addons/XC/WebmasterKit/iconAlt.png','https://market.x-cart.com/addons/webmaster-kit.html','','a:0:{}','a:2:{i:0;s:11:\"Development\";i:1;s:21:\"Multi-vendor friendly\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(153,'ShopGate','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,984,0.00,'USD','5.3',2,4,3,1400702400,2058240,0,'Shopgate - Mobile Commerce','Qualiteam','Boost your mobile sales with your individual mobile website or native Shopping app for iPhone, iPad and Android!\r\nSign up URL: http://www.shopgate.com/en/partner/x-cart/\';','http://my.x-cart.com/sites/default/files/addons/QSL/ShopGate/icon.png','https://market.x-cart.com/addons/shopgate-mobile-commerce.html','','a:0:{}','a:4:{i:0;s:9:\"Marketing\";i:1;s:15:\"Mobile Commerce\";i:2;s:14:\"Sales Channels\";i:3;s:15:\"User experience\";}',1,0,5,0,0,0,'a:0:{}',0,0,0,127,-1,0),(154,'Shiplark','Webgility','sales@webgility.com',0,0,0,0,0.0000,0,345,0.00,'USD','5.3',2,0,0,1401393600,265216,0,'Shiplark','Webgility','Ship your X-Cart orders faster and smarter! Print FedEx, UPS and USPS labels in one click.','http://my.x-cart.com/sites/default/files/addons/Webgility/Shiplark/iconAlt.png','https://market.x-cart.com/addons/shiplark-by-webgility.html','','a:0:{}','a:4:{i:0;s:10:\"Accounting\";i:1;s:14:\"Administration\";i:2;s:11:\"Fulfillment\";i:3;s:8:\"Shipping\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(155,'ShopByBrand','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,3292,99.00,'USD','5.3',7,4,2,1400529600,423424,0,'Shop By Brand','Qualiteam','Allows customers to navigate and search products by brands / manufacturers / vendors.','http://my.x-cart.com/sites/default/files/addons/QSL/ShopByBrand/iconAlt.png','https://market.x-cart.com/addons/shop-by-brand.html','','a:0:{}','a:2:{i:0;s:18:\"Catalog Management\";i:1;s:21:\"Search and Navigation\";}',1,0,0,0,0,0,'a:0:{}',536881121,0,0,127,-1,0),(156,'OneCIntegration','XC','helpdesk@x-cart.com',0,0,0,0,0.0000,0,213,199.00,'USD','5.3',4,0,3,1400529600,215040,0,'1C integration','X-Cart team','Upload the products from \"1C\" database and publish them in your online store. Import categories, products (inlcuding images and properties) and product variants. Upload orders from your online store into \"1C\". Update the order statuses in the online store, based on order statuses changes in \"1C\".','http://my.x-cart.com/sites/default/files/addons/XC/OneCIntegration/iconAlt.png','https://market.x-cart.com/addons/1c-integraciya.html','','a:0:{}','a:3:{i:0;s:10:\"Accounting\";i:1;s:11:\"Fulfillment\";i:2;s:21:\"Multi-vendor friendly\";}',1,0,70,0,0,0,'a:0:{}',20603,0,0,127,-1,0),(157,'SystemFields','XC','helpdesk@x-cart.com',0,0,0,0,0.0000,0,3807,0.00,'USD','5.3',2,2,3,1400702400,163840,0,'UPC/ISBN and Mnf#/Vendor# fields','X-Cart team','The module adds 2 system fields - UPC/ISBN and Manufacturer/Vendor to products and variants. Admin selects whether to display the fields nowhere, in admin area only or both in admin and customer area.','http://my.x-cart.com/sites/default/files/addons/XC/SystemFields/icon.png','https://market.x-cart.com/addons/system-fields.html','','a:0:{}','a:2:{i:0;s:14:\"Administration\";i:1;s:18:\"Catalog Management\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(158,'RichGoogleSearchResults','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,977,79.00,'USD','5.3',3,0,0,1401134400,35328,0,'Rich google search results','Qualiteam','This module allows search engines to display information about yourproducts and reviews in well-structured format','http://my.x-cart.com/sites/default/files/addons/QSL/RichGoogleSearchResults/iconAlt.png','https://market.x-cart.com/addons/rich-google-search-results.html','','a:0:{}','a:2:{i:0;s:9:\"Marketing\";i:1;s:3:\"SEO\";}',1,1,250,0,0,0,'a:0:{}',536881127,0,0,127,-1,0),(159,'PayWithAmazon','Amazon','support@x-cart.com',0,0,0,0,0.0000,0,13384,0.00,'USD','5.3',5,5,3,1401739200,512000,0,'Amazon Pay','Amazon Payments','This module enables Amazon Pay functionality','http://my.x-cart.com/sites/default/files/addons/Amazon/PayWithAmazon/iconAlt.png','https://market.x-cart.com/addons/amazon-pay-module.html','','a:0:{}','a:1:{i:0;s:18:\"Payment processing\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(160,'CustomerSatisfaction','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,615,99.00,'USD','5.3',7,4,0,1401912000,337920,0,'Customer Satisfaction','Qualiteam','Module allows store administrator to know as soon as possible if customer is satisfied with the purchase and to prevent any negative customer reviews by resolving their issues.','http://my.x-cart.com/sites/default/files/addons/QSL/CustomerSatisfaction/iconAlt.png','https://market.x-cart.com/addons/customer-satisfaction.html','','a:0:{}','a:2:{i:0;s:10:\"Statistics\";i:1;s:15:\"User experience\";}',1,0,5,0,0,0,'a:0:{}',536881131,0,0,127,-1,0),(161,'Eccxero','Webgility','sales@webgility.com',0,0,0,0,0.0000,0,274,0.00,'USD','5.3',1,0,0,1455224400,274944,0,'Unify for Xero','Webgility','Unfiy for Xero - Automate your e-commerce accounting by integrating X-Cart with Xero.','http://my.x-cart.com/sites/default/files/addons/Webgility/Eccxero/iconAlt.png','https://market.x-cart.com/addons/unify-for-xero-by-webgility.html','','a:0:{}','a:2:{i:0;s:10:\"Accounting\";i:1;s:14:\"Administration\";}',1,0,4,0,0,0,'a:0:{}',0,0,0,127,-1,0),(162,'SportLifeSkin','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,214,99.00,'USD','5.3',1,3,2,1403208000,1756672,0,'Sport Life','Qualiteam','The \"Sport Life\" X-Cart Design Template (#39). This template is good for the following themes: Clothing, Entertainment, Jewelry, Sport, Tools &amp; Equipment.','http://my.x-cart.com/sites/default/files/addons/QSL/SportLifeSkin/iconAlt.png','https://market.x-cart.com/ecommerce-templates/sport-life.html','','a:0:{}','a:1:{i:0;s:9:\"Templates\";}',1,0,0,0,0,0,'a:0:{}',441,0,0,127,-1,0),(163,'CallForPrice','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,937,35.00,'USD','5.3',5,1,2,1455224400,239616,0,'Call For Price','Qualiteam','With this module you can hide price and \"Add to cart\" button for particular products and show a \"Call For Price\" message instead.','http://my.x-cart.com/sites/default/files/addons/QSL/CallForPrice/iconAlt.png','https://market.x-cart.com/addons/call-for-price.html','','a:0:{}','a:2:{i:0;s:18:\"Catalog Management\";i:1;s:15:\"Price modifiers\";}',1,0,6,0,0,0,'a:0:{}',536881132,0,0,127,-1,0),(164,'AppleShop','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,221,99.00,'USD','5.3',1,2,2,1404158400,577024,0,'Apple Shop','Qualiteam','The \"Apple Shop\" X-Cart Design Template (#37). This template is good for the following themes:  Business, Computers, Electronics, Tools &amp; Equipment','http://my.x-cart.com/sites/default/files/addons/QSL/AppleShop/iconAlt.png','https://market.x-cart.com/ecommerce-templates/apple-shop.html','','a:0:{}','a:1:{i:0;s:9:\"Templates\";}',1,0,0,0,0,0,'a:0:{}',443,0,0,127,-1,0),(165,'HiTech_14','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,87,99.00,'USD','5.3',0,0,1,1404158400,369664,0,'Hi-tech','Qualiteam','The \"Hi-tech\" X-Cart Design Template (#14). This template is good for the following themes: Computers, Electronics, Tools &amp; Equipment','http://my.x-cart.com/sites/default/files/addons/QSL/HiTech_14/iconAlt.png','https://market.x-cart.com/ecommerce-templates/hi-tech.html','','a:0:{}','a:1:{i:0;s:9:\"Templates\";}',1,0,0,0,0,0,'a:0:{}',536881072,0,0,127,-1,0),(166,'CloudSearch','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,29574,0.00,'USD','5.3',14,3,1,1416344400,403456,0,'CloudSearch','Qualiteam','CloudSearch is a SaaS solution that integrates with X-Cart 5 to enable dynamic, real-time product search with highly relevant search results. Power up your store with enterprise-class search technologies for better conversion!','http://my.x-cart.com/sites/default/files/addons/QSL/CloudSearch/iconAlt.png','https://market.x-cart.com/addons/cloudsearch.html','','a:0:{}','a:4:{i:0;s:9:\"Marketing\";i:1;s:21:\"Multi-vendor friendly\";i:2;s:21:\"Search and Navigation\";i:3;s:15:\"User experience\";}',1,1,60,0,0,0,'a:0:{}',0,0,0,127,-1,0),(167,'MagicThumb','MagicToolbox','support@magictoolbox.com',0,0,0,0,0.0000,0,485,49.00,'USD','5.3',6,0,0,1412798400,567808,0,'Magic Thumb for X-Cart 5','Magic Toolbox','Enlarge your product images to full screen upon click with this popular lightbox tool.','http://my.x-cart.com/sites/default/files/addons/MagicToolbox/MagicThumb/iconAlt.png','https://market.x-cart.com/addons/magic-thumb-for-x-cart-5.html','','a:0:{}','a:3:{i:0;s:13:\"Design tweaks\";i:1;s:11:\"Development\";i:2;s:8:\"Products\";}',1,0,0,0,1,0,'a:0:{}',21059,0,0,127,-1,0),(168,'MagicZoomPlus','MagicToolbox','support@magictoolbox.com',0,0,0,0,0.0000,0,941,69.00,'USD','5.3',6,0,0,1412798400,612352,0,'Magic Zoom Plus for X-Cart 5','Magic Toolbox','Beautiful zoom and enlarge effect for your product images.','http://my.x-cart.com/sites/default/files/addons/MagicToolbox/MagicZoomPlus/iconAlt.png','https://market.x-cart.com/addons/magic-zoom-plus-for-x-cart-5.html','','a:0:{}','a:3:{i:0;s:13:\"Design tweaks\";i:1;s:11:\"Development\";i:2;s:8:\"Products\";}',1,0,6,0,1,0,'a:0:{}',21054,0,0,127,-1,0),(169,'FbWall','Webkulsoftware','support@webkul.com',0,0,0,0,0.0000,0,60,29.00,'USD','5.3',1,0,0,1407700800,166912,0,'Facebook Wall Feed','Webkul Software Pvt. Ltd.','Facebook Wall Feed will grab your Facebook wall post automatically in your website as a module, You can display feed of the posts on your Facebook page or profile or group on your website by just put your Facebook Account ID or Facebook account name with access token. Requires to have the Facebook Wall Feed module properly installed and enabled.','http://my.x-cart.com/sites/default/files/addons/Webkulsoftware/FbWall/iconAlt.png','https://market.x-cart.com/addons/facebook-wall-by-webkulsoftware.html','','a:0:{}','a:2:{i:0;s:14:\"Sales Channels\";i:1;s:6:\"Social\";}',1,0,0,0,0,0,'a:0:{}',536881135,0,0,127,-1,0),(170,'FifthDimension','FiveDimLog','support@x-cart.com',0,0,0,0,0.0000,0,62,0.00,'USD','5.2',1,0,0,1404417600,67072,0,'5th Dimension','5th Dimension Logistics ','Enables taking payments for your online store via 5th Dimension payment gateway (Payment Redirect Method).','http://my.x-cart.com/sites/default/files/addons/FiveDimLog/FifthDimension/iconAlt.png','https://market.x-cart.com/addons/5th-dimension-logistics-payment-module.html','','a:0:{}','a:1:{i:0;s:18:\"Payment processing\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(171,'AudioBooks','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,56,99.00,'USD','5.3',1,1,3,1404763200,946688,0,'AudioBooks','Qualiteam','This template is good for the following themes: Books, Education, Gifts, Media, Music','http://my.x-cart.com/sites/default/files/addons/QSL/AudioBooks/iconAlt.png','https://market.x-cart.com/ecommerce-templates/audiobooks.html','','a:0:{}','a:1:{i:0;s:9:\"Templates\";}',1,0,0,0,0,0,'a:0:{}',449,0,0,127,-1,0),(172,'WordPress','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,941,249.00,'USD','5.3',5,0,0,1404849600,1001984,0,'Blog System in X-Cart 5','Qualiteam','This module extends your X-Cart store with a fully functional blog using the most popular blogging software in the world. It allows you to add WordPress features to your existing X-Cart store.','http://my.x-cart.com/sites/default/files/addons/QSL/WordPress/iconAlt.png','https://market.x-cart.com/addons/blog-system-in-xcart-5.html','','a:0:{}','a:3:{i:0;s:4:\"Blog\";i:1;s:13:\"Design tweaks\";i:2;s:9:\"Marketing\";}',1,0,0,0,0,0,'a:0:{}',536881133,0,0,127,-1,0),(173,'VitalitySkin','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,37,99.00,'USD','5.3',3,3,0,1404849600,437248,0,'Vitality','Qualiteam','The \"Vitality\" X-Cart Design Template (#13). This template is good for the following themes: Exterior design, Medical, Nature, Nutritional supplements.','http://my.x-cart.com/sites/default/files/addons/QSL/VitalitySkin/iconAlt.png','https://market.x-cart.com/ecommerce-templates/vitality.html','','a:0:{}','a:1:{i:0;s:9:\"Templates\";}',1,0,0,0,0,0,'a:0:{}',536881073,0,0,127,-1,0),(174,'IGmodule','Ingroove','support@diib.com',0,0,0,0,0.0000,0,41,0.00,'USD','5.1',1,0,0,1414440000,738816,0,'Diib Analytics','InGroove Inc.','Effortlessly add easy to use predictive analytics to your X-Cart store.','http://my.x-cart.com/sites/default/files/addons/Ingroove/IGmodule/iconAlt.png','https://market.x-cart.com/addons/diib-analytics-by-diib.html','','a:0:{}','a:2:{i:0;s:14:\"Administration\";i:1;s:10:\"Statistics\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(175,'MeritusPayment','MPS','support@x-cart.com',0,0,0,0,0.0000,0,99,0.00,'USD','5.3',0,1,0,1405540800,51200,0,'Meritus: Payment XP','MPS','Developed with card-not-present transactions in mind, Payment XP provides merchants with the ability to process credit and debit card, all in a PCI compliant solution loaded with tools to manage fraud and fight chargebacks.','http://my.x-cart.com/sites/default/files/addons/MPS/MeritusPayment/iconAlt.png','https://market.x-cart.com/addons/meritus-XP-payment-module.html','','a:0:{}','a:1:{i:0;s:18:\"Payment processing\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(176,'WatchWorld','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,47,99.00,'USD','5.3',0,1,2,1406059200,658944,0,'WatchWorld','Qualiteam','The \"Watch world\" X-Cart Design Template (#40). This template is good for the following themes:  Accessories, Clothing, Gifts, Hotels, Jewelry, Watches','http://my.x-cart.com/sites/default/files/addons/QSL/WatchWorld/iconAlt.png','https://market.x-cart.com/ecommerce-templates/watch-world.html','','a:0:{}','a:1:{i:0;s:9:\"Templates\";}',1,0,0,0,0,0,'a:0:{}',411,0,0,127,-1,0),(177,'CustomProductTabs','XC','helpdesk@x-cart.com',0,0,0,0,0.0000,0,8862,0.00,'USD','5.3',4,3,4,1472500800,286720,1,'Custom product tabs','X-Cart team','Add additional tabs on the product page. Custom name, custom content - html text or product videos, whatever describes your product best.','http://my.x-cart.com/sites/default/files/addons/XC/CustomProductTabs/iconAlt.png','https://market.x-cart.com/addons/custom-product-tabs.html','','a:0:{}','a:3:{i:0;s:18:\"Catalog Management\";i:1;s:13:\"Design tweaks\";i:2;s:21:\"Multi-vendor friendly\";}',1,0,0,0,0,2,'a:3:{i:0;s:12:\"391_Business\";i:1;s:18:\"20598_Multi-vendor\";i:2;s:18:\"536881125_Ultimate\";}',0,0,0,127,-1,0),(178,'EPDQ','XC','helpdesk@x-cart.com',0,0,0,0,0.0000,0,4769,0.00,'USD','5.3',1,1,0,1406059200,61440,0,'Barclaycard ePDQ e-Commerce','X-Cart team','Enables taking payments for your online store via Barclaycard ePDQ e-Commerce payment system (Basic e-Commerce integration).','http://my.x-cart.com/sites/default/files/addons/XC/EPDQ/iconAlt.png','https://market.x-cart.com/addons/barclays-epdq-payment-module.html','','a:0:{}','a:1:{i:0;s:18:\"Payment processing\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(179,'IdealPayments','XC','helpdesk@x-cart.com',0,0,0,0,0.0000,0,6940,0.00,'USD','5.3',2,0,4,1406059200,112640,0,'iDEAL Payments','X-Cart team','Enables taking credit card payments for your online store via iDEAL payment system.','http://my.x-cart.com/sites/default/files/addons/XC/IdealPayments/iconAlt.png','https://market.x-cart.com/addons/iDEAL-payment-module.html','','a:0:{}','a:2:{i:0;s:21:\"Multi-vendor friendly\";i:1;s:18:\"Payment processing\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(180,'XPaymentsSubscriptions','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,777,0.00,'USD','5.3',2,3,0,1406059200,448512,0,'X-Payments subscriptions','Qualiteam','This module allows to create product subscriptions and process them via X-Payments module.','http://my.x-cart.com/sites/default/files/addons/QSL/XPaymentsSubscriptions/iconAlt.png','https://market.x-cart.com/addons/x-payments-subscriptions-and-installements.html','','a:1:{i:0;s:23:\"CDev\\XPaymentsConnector\";}','a:7:{i:0;s:8:\"Checkout\";i:1;s:6:\"Orders\";i:2;s:21:\"Multi-vendor friendly\";i:3;s:18:\"Payment processing\";i:4;s:15:\"Price modifiers\";i:5;s:8:\"Products\";i:6;s:15:\"User experience\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(181,'CustomerRewards','BCSE','support@bcsengineering.com',0,0,0,0,0.0000,0,34,149.00,'USD','5.2',1,0,0,1408305600,289792,0,'Customer Rewards','BCS Engineering','Allow customers to accrue points to receive discounts','http://my.x-cart.com/sites/default/files/addons/BCSE/CustomerRewards/iconAlt.png','https://market.x-cart.com/addons/customer-rewards-by-bcse.html','','a:0:{}','a:2:{i:0;s:9:\"Marketing\";i:1;s:15:\"User experience\";}',1,0,2,0,0,0,'a:0:{}',536881137,0,0,127,-1,0),(182,'CatalogOrderForm','BCSE','support@bcsengineering.com',0,0,0,0,0.0000,0,65,40.00,'USD','5.3',2,0,0,1408535363,31744,0,'Catalog Order Form','BCS Engineering','New page for customers to enter in multiple skus to add to their cart.','http://my.x-cart.com/sites/default/files/addons/BCSE/CatalogOrderForm/iconAlt.png','https://market.x-cart.com/addons/catalog-order-form-by-bcse.html','','a:0:{}','a:3:{i:0;s:18:\"Catalog Management\";i:1;s:21:\"Search and Navigation\";i:2;s:15:\"User experience\";}',1,0,0,0,0,0,'a:0:{}',536881139,0,0,127,-1,0),(183,'BuyMac','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,128,99.00,'USD','5.3',1,2,4,1406577600,437248,0,'Buy Mac','Qualiteam','The \"Buy Mac\" X-Cart Design Template (#32). This template is good for the following themes:  Books, Cars, Computers, Electronics, Gifts, Music','http://my.x-cart.com/sites/default/files/addons/QSL/BuyMac/iconAlt.png','https://market.x-cart.com/ecommerce-templates/buymac.html','','a:0:{}','a:1:{i:0;s:9:\"Templates\";}',1,0,0,0,0,0,'a:0:{}',448,0,0,127,-1,0),(184,'ExitOffers','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,362,69.00,'USD','5.3',1,0,0,1455224400,116736,0,'Exit Offers','Qualiteam','Allows you to recover orders by showing a special popup offer to customers before they leave your web site.','http://my.x-cart.com/sites/default/files/addons/QSL/ExitOffers/iconAlt.png','https://market.x-cart.com/addons/exit-offers.html','','a:0:{}','a:2:{i:0;s:9:\"Marketing\";i:1;s:15:\"User experience\";}',1,0,140,0,0,0,'a:0:{}',536881134,0,0,127,-1,0),(185,'Socialtab','Webkulsoftware','support@webkul.com',0,0,0,0,0.0000,0,375,29.00,'USD','5.3',2,0,0,1407700800,178176,0,'Social Tab','Webkul Software Pvt. Ltd.','Social Tabs is a brilliant sliding social media tab module and super useful for your social media feeds and it is very slick in design. Purpose of this addon to embed the social media post like Facebook, Twitter, LinkedIn etc on your website. This module can be applied at both side of web page (right and left)','http://my.x-cart.com/sites/default/files/addons/Webkulsoftware/Socialtab/iconAlt.png','https://market.x-cart.com/addons/social-tab-by-webkulsoftware.html','','a:0:{}','a:2:{i:0;s:14:\"Sales Channels\";i:1;s:6:\"Social\";}',1,0,0,0,0,0,'a:0:{}',536881136,0,0,127,-1,0),(186,'Fitness','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,121,99.00,'USD','5.3',0,6,3,1407355200,276480,0,'Fitness','Qualiteam','The \"Fitness\" X-Cart Design Template (#16). This template is good for the following themes: Cars, Fitness, Interior &amp; Furniture, Sport, Tools &amp; Equipment','http://my.x-cart.com/sites/default/files/addons/QSL/Fitness/iconAlt.png','https://market.x-cart.com/ecommerce-templates/sport-fitness.html','','a:0:{}','a:1:{i:0;s:9:\"Templates\";}',1,0,0,0,0,0,'a:0:{}',536881071,0,0,127,-1,0),(187,'FlyoutCategoriesMenu','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,9438,0.00,'USD','5.3',2,2,3,1407873600,81920,0,'Flyout Categories Menu','Qualiteam','The module changes the default categories menu in the Customer area by introducing a flyout expanding menu style','http://my.x-cart.com/sites/default/files/addons/QSL/FlyoutCategoriesMenu/iconAlt.png','https://market.x-cart.com/addons/flyout-categories-menu.html','','a:0:{}','a:3:{i:0;s:13:\"Design tweaks\";i:1;s:21:\"Search and Navigation\";i:2;s:15:\"User experience\";}',1,0,5,0,0,0,'a:0:{}',536881140,0,0,127,-1,0),(188,'Integration','UnisenderInc','plugins@unisender.com',0,0,0,0,0.0000,0,693,0.00,'USD','5.3',1,0,0,1408910400,83456,0,'Unisender Integration','Unisender Inc','Create and send professional newsletters! The module integrates your store with UniSender, a popular service for mailing and bulk SMS messaging.','http://my.x-cart.com/sites/default/files/addons/UnisenderInc/Integration/iconAlt.png','https://market.x-cart.com/addons/unisender-integration-by-unisender.html','','a:0:{}','a:1:{i:0;s:9:\"Marketing\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(189,'Storelocator','PerceptionSystemPvtLtd','xcart@perceptionsystem.com',0,0,0,0,0.0000,0,217,29.99,'USD','5.3',3,2,0,1412280000,1407488,0,'Storelocator','Perception System Pvt. Ltd.','Fetch Your Store With Store Locator','http://my.x-cart.com/sites/default/files/addons/PerceptionSystemPvtLtd/Storelocator/iconAlt.png','https://market.x-cart.com/addons/store-locator-by-perception-system.html','','a:0:{}','a:1:{i:0;s:9:\"Marketing\";}',1,0,2,0,0,0,'a:0:{}',20582,0,0,127,-1,0),(190,'AutoParts','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,262,99.00,'USD','5.3',0,4,2,1409083200,443904,0,'AutoParts','Qualiteam','This template is good for the following themes: Cars, Electronics, Tools &amp; Equipment','http://my.x-cart.com/sites/default/files/addons/QSL/AutoParts/iconAlt.png','https://market.x-cart.com/ecommerce-templates/autoparts.html','','a:0:{}','a:1:{i:0;s:9:\"Templates\";}',1,0,0,0,0,0,'a:0:{}',447,0,0,127,-1,0),(191,'PayU','PayU','integration@payu.ru',0,0,0,0,0.0000,0,519,0.00,'USD','5.2',1,0,0,1409688000,43008,0,'PayU Russia','PayU Russia','Enables taking payments for your online store via PayU system.','http://my.x-cart.com/sites/default/files/addons/PayU/PayU/iconAlt.png','https://market.x-cart.com/addons/payU-Russia-payment-module-by-PayU.html','','a:0:{}','a:1:{i:0;s:18:\"Payment processing\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(192,'BooksStoreSkin','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,46,99.00,'USD','5.3',2,2,4,1409601600,317440,0,'Books Store','Qualiteam','The \"Books Store\" X-Cart Design Template (#30). This template is good for the following themes: Books, Clothing, Education, Flowers, Gifts, Hotels, Media.','http://my.x-cart.com/sites/default/files/addons/QSL/BooksStoreSkin/iconAlt.png','https://market.x-cart.com/ecommerce-templates/books-store.html','','a:0:{}','a:1:{i:0;s:9:\"Templates\";}',1,0,0,0,0,0,'a:0:{}',450,0,0,127,-1,0),(193,'FAQ','Guru','support@jadango.com',0,0,0,0,0.0000,0,523,15.00,'USD','5.3',1,0,0,1410185535,87040,0,'FAQ','X-Cart Guru','Enables FAQ page','http://my.x-cart.com/sites/default/files/addons/Guru/FAQ/iconAlt.png','https://market.x-cart.com/addons/FAQ-module-by-XcartGuru.html','','a:0:{}','a:3:{i:0;s:14:\"Administration\";i:1;s:9:\"Marketing\";i:2;s:15:\"User experience\";}',1,0,3,0,0,0,'a:0:{}',536881157,0,0,127,-1,0),(194,'InfiniteScroll','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,1089,79.00,'USD','5.3',1,1,0,1455224400,83968,0,'Infinite Scroll','Qualiteam','This module allows you to replace the pager in product lists with the infinite scroll that adds more results to the list when the customer scrolls the page down.','http://my.x-cart.com/sites/default/files/addons/QSL/InfiniteScroll/iconAlt.png','https://market.x-cart.com/addons/infinite-scroll.html','','a:0:{}','a:3:{i:0;s:13:\"Design tweaks\";i:1;s:21:\"Search and Navigation\";i:2;s:15:\"User experience\";}',1,0,3,0,0,0,'a:0:{}',536881159,0,0,127,-1,0),(195,'DetailedImagesSlider','Guru','support@jadango.com',0,0,0,0,0.0000,0,139,35.00,'USD','5.2',1,0,0,1411070400,178176,0,'Detailed images slider','X-Cart Guru','Display your detailed product images in a responsive slider directly on the product page.','http://my.x-cart.com/sites/default/files/addons/Guru/DetailedImagesSlider/iconAlt.png','https://market.x-cart.com/addons/detailed-images-slider-by-XcartGuru.html','','a:0:{}','a:3:{i:0;s:13:\"Design tweaks\";i:1;s:9:\"Marketing\";i:2;s:15:\"User experience\";}',1,0,4,0,0,0,'a:0:{}',20578,0,0,127,-1,0),(196,'Mandrill','XC','helpdesk@x-cart.com',0,0,0,0,0.0000,0,782,0.00,'USD','5.3',3,1,4,1411416000,276480,0,'Mandrill Integration (for transactional emails)','X-Cart team','The addon integrates your online store with Mandrill, a scalable and affordable transactional email service with powerful marketing-friendly analytics tools.','http://my.x-cart.com/sites/default/files/addons/XC/Mandrill/iconAlt.png','https://market.x-cart.com/addons/mandrill-transactional-emails-integration.html','','a:0:{}','a:3:{i:0;s:14:\"Administration\";i:1;s:21:\"Multi-vendor friendly\";i:2;s:10:\"Statistics\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(197,'MailChimp','XC','helpdesk@x-cart.com',0,0,0,0,0.0000,0,10291,0.00,'USD','5.3',6,4,4,1411416000,634880,0,'Mailchimp Integration with E-commerce support','X-Cart team','Connect and sync your store with Mailchimp, a world’s leading email marketing automation platform to make sending emails easier and more efficient. Use Mailchimp segmentation and eCommerce features to add more personalization to your emails and make your campaigns more converting.','http://my.x-cart.com/sites/default/files/addons/XC/MailChimp/iconAlt.png','https://market.x-cart.com/addons/mailchimp-integration-with-e-commerce.html','','a:0:{}','a:4:{i:0;s:9:\"Marketing\";i:1;s:21:\"Multi-vendor friendly\";i:2;s:14:\"Sales Channels\";i:3;s:10:\"Statistics\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,10,0),(198,'HorizontalCategoriesMenu','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,2173,39.00,'USD','5.3',4,7,3,1411588800,165888,0,'Horizontal Flyout Categories Menu','Qualiteam','The module changes the default categories menu to the horizontal flyout expanding menu','http://my.x-cart.com/sites/default/files/addons/QSL/HorizontalCategoriesMenu/iconAlt.png','https://market.x-cart.com/addons/horizontal-flyout-categories-menu.html','','a:1:{i:0;s:14:\"CDev\\SimpleCMS\";}','a:3:{i:0;s:13:\"Design tweaks\";i:1;s:21:\"Search and Navigation\";i:2;s:15:\"User experience\";}',1,0,0,0,0,0,'a:0:{}',20579,0,0,127,-1,0),(199,'YandexMoney','XC','helpdesk@x-cart.com',0,0,0,0,0.0000,0,1207,0.00,'USD','5.3',4,5,4,1412020800,225280,0,'Yandex Payment Solution','X-Cart team','The means of accepting all payment options popular in Russia - bank cards, Yandex Payment Solution and Webmoney, mobile payments and cash.','http://my.x-cart.com/sites/default/files/addons/XC/YandexMoney/iconAlt.png','https://market.x-cart.com/addons/yandex-money.html','','a:0:{}','a:2:{i:0;s:21:\"Multi-vendor friendly\";i:1;s:18:\"Payment processing\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(200,'Electronics','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,23,99.00,'USD','5.3',0,1,2,1413230400,504320,0,'Electronics','Qualiteam','The \"Electronics\" X-Cart Design Template (#19). This template is good for the following themes:  Books, Computers, Education, Electronics','http://my.x-cart.com/sites/default/files/addons/QSL/Electronics/iconAlt.png','https://market.x-cart.com/ecommerce-templates/electronics.html','','a:0:{}','a:1:{i:0;s:9:\"Templates\";}',1,0,0,0,0,0,'a:0:{}',536881069,0,0,127,-1,0),(201,'iGoods','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,95,99.00,'USD','5.3',0,0,0,1413316800,233984,0,'iGoods','Qualiteam','The \"iGoods\" X-Cart Design Template (#28). This template is good for the following themes:  Business, Computers, Electronics, Tools &amp; Equipment','http://my.x-cart.com/sites/default/files/addons/QSL/iGoods/iconAlt.png','https://market.x-cart.com/ecommerce-templates/igoods.html','','a:0:{}','a:1:{i:0;s:9:\"Templates\";}',1,0,0,0,0,0,'a:0:{}',452,0,0,127,-1,0),(202,'PaymentWall','Webkulsoftware','support@webkul.com',0,0,0,0,0.0000,0,2,49.00,'USD','5.3',1,0,0,1414616400,107520,0,'PaymentWall Payment Gateway','Webkul Software Pvt. Ltd.','Paymentwall Payment Gateway is a payment addons work with checkout for payment in X-Cart X-Cart. It will work live as well as Debugging mode. It Accept global payments by integrating Paymentwall Gateway.','http://my.x-cart.com/sites/default/files/addons/Webkulsoftware/PaymentWall/iconAlt.png','https://market.x-cart.com/addons/paymentwall-integration-by-webkulsoftware.html','','a:0:{}','a:1:{i:0;s:18:\"Payment processing\";}',1,0,0,0,0,0,'a:0:{}',20596,0,0,127,-1,0),(203,'Health','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,57,99.00,'USD','5.3',0,2,2,1413403200,361472,0,'Health','Qualiteam','This template is good for the following themes: Beauty, Garden, Interior &amp; Furniture, Medical, Nutritional supplements','http://my.x-cart.com/sites/default/files/addons/QSL/Health/iconAlt.png','https://market.x-cart.com/ecommerce-templates/health.html','','a:0:{}','a:1:{i:0;s:9:\"Templates\";}',1,0,0,0,0,0,'a:0:{}',465,0,0,127,-1,0),(204,'Akismet','XC','helpdesk@x-cart.com',0,0,0,0,0.0000,0,798,0.00,'USD','5.3',0,0,0,1413748800,40960,0,'Akismet - the Spam Filter','X-Cart team','Filter out the spam on the Contact Us form and in the Product Reviews. A hosted web service that saves you time by automatically detecting comment and trackback spam.','http://my.x-cart.com/sites/default/files/addons/XC/Akismet/icon.png','https://market.x-cart.com/addons/akismet-the-spam-filter.html','','a:0:{}','a:2:{i:0;s:14:\"Administration\";i:1;s:21:\"Multi-vendor friendly\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(205,'ESelectHPP','XC','helpdesk@x-cart.com',0,0,0,0,0.0000,0,4415,0.00,'USD','5.3',1,2,0,1413748800,61440,0,'Moneris (eSELECTplus- Hosted Pay Page)','X-Cart team','Accept credit and debit cards via an online transaction processing engine. USA and Canada','http://my.x-cart.com/sites/default/files/addons/XC/ESelectHPP/icon.png','https://market.x-cart.com/addons/moneris-eselect-plus-hosted-pay-page.html','','a:0:{}','a:1:{i:0;s:18:\"Payment processing\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(206,'FreeShipping','XC','helpdesk@x-cart.com',0,0,0,0,0.0000,0,14133,0.00,'USD','5.3',5,2,5,1413748800,225280,1,'Free Shipping and Shipping freights','X-Cart team','Attract more customers by offering Free Shipping for particular products. The addon enables you to assign shipping shipping frights for products, enable free shipping and exclude the product shipping fee from the total.','http://my.x-cart.com/sites/default/files/addons/XC/FreeShipping/iconAlt.png','https://market.x-cart.com/addons/free-shipping.html','','a:0:{}','a:2:{i:0;s:21:\"Multi-vendor friendly\";i:1;s:8:\"Shipping\";}',1,0,0,0,0,2,'a:3:{i:0;s:12:\"391_Business\";i:1;s:18:\"20598_Multi-vendor\";i:2;s:18:\"536881125_Ultimate\";}',0,0,0,127,-1,0),(207,'InternetSecure','XC','helpdesk@x-cart.com',0,0,0,0,0.0000,0,184,0.00,'USD','5.3',1,0,0,1413748800,40960,0,'InternetSecure','X-Cart team','The complete solution to accept credit cards, including Visa, MasterCard, American Express and Discover in two currencies (Canadian and US dollars).','http://my.x-cart.com/sites/default/files/addons/XC/InternetSecure/iconAlt.png','https://market.x-cart.com/addons/internet-secure-merchant-link-payment-module.html','','a:0:{}','a:1:{i:0;s:18:\"Payment processing\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(208,'News','XC','helpdesk@x-cart.com',0,0,0,0,0.0000,0,11560,0.00,'USD','5.3',4,2,5,1413748800,194560,1,'News','X-Cart team','Share the company and products news and updates with your community.','http://my.x-cart.com/sites/default/files/addons/XC/News/iconAlt.png','https://market.x-cart.com/addons/news-module.html','','a:0:{}','a:3:{i:0;s:9:\"Marketing\";i:1;s:21:\"Multi-vendor friendly\";i:2;s:15:\"User experience\";}',1,0,0,0,0,2,'a:3:{i:0;s:12:\"391_Business\";i:1;s:18:\"20598_Multi-vendor\";i:2;s:18:\"536881125_Ultimate\";}',0,0,0,127,-1,0),(209,'NlTranslation','XC','helpdesk@x-cart.com',0,0,0,0,0.0000,0,948,0.00,'USD','5.3',3,2,3,1413748800,348160,0,'Translation: Dutch','X-Cart team','Dutch translation pack. This translation is a contribution of X-Cart community. Kindly shared by one of X-Cart merchants for free, this translation may contain some non-translated labels which appeared in later versions of X-Cart 5 or which were added by custom modules you installed.','http://my.x-cart.com/sites/default/files/addons/XC/NlTranslation/icon.png','https://market.x-cart.com/addons/dutch-translation-by-community-members.html','','a:0:{}','a:1:{i:0;s:11:\"Translation\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(210,'OgoneEcommerce','XC','helpdesk@x-cart.com',0,0,0,0,0.0000,0,1587,0.00,'USD','5.3',1,0,0,1413748800,51200,0,'Ingenico Payment Services (Ogone)','X-Cart team','Enable online payment processing with a level-1 PCI DSS compliant provider based in Europe.','http://my.x-cart.com/sites/default/files/addons/XC/OgoneEcommerce/iconAlt.png','https://market.x-cart.com/addons/ogone-ingenico-payment-module.html','','a:0:{}','a:1:{i:0;s:18:\"Payment processing\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(211,'PayUIndia','XC','helpdesk@x-cart.com',0,0,0,0,0.0000,0,561,0.00,'USD','5.3',1,0,0,1413748800,40960,0,'PayU India','X-Cart team','Accept Credit cards and Debit cards of Indian Banks, enable Net banking options. The customer is redirected to a payment page hosted by PayU. Mobile optimized, PCI compliant, with intelligent retry framework.','http://my.x-cart.com/sites/default/files/addons/XC/PayUIndia/iconAlt.png','https://market.x-cart.com/addons/payu-india-payment-module.html','','a:0:{}','a:1:{i:0;s:18:\"Payment processing\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(212,'TwoFactorAuthentication','XC','helpdesk@x-cart.com',0,0,0,0,0.0000,0,2677,0.00,'USD','5.3',1,1,0,1413748800,153600,1,'Two factor authentication','X-Cart team','The module integrates your store with Authy.com to protect your accounts with Two-Factor Authentication system. You can enable it for each type of accounts: admin, supplier or customer.','http://my.x-cart.com/sites/default/files/addons/XC/TwoFactorAuthentication/iconAlt.png','https://market.x-cart.com/addons/two-factor-authorization.html','','a:0:{}','a:3:{i:0;s:14:\"Administration\";i:1;s:21:\"Multi-vendor friendly\";i:2;s:8:\"Security\";}',1,0,0,0,0,2,'a:3:{i:0;s:12:\"391_Business\";i:1;s:18:\"20598_Multi-vendor\";i:2;s:18:\"536881125_Ultimate\";}',0,0,0,127,-1,0),(213,'VKComments','XC','helpdesk@x-cart.com',0,0,0,0,0.0000,0,388,0.00,'USD','5.3',2,2,3,1413748800,51200,0,'VKComments','X-Cart team','Enable comments for the users of popular social network Vkontakte.Each comment posted via the widget will be automatically transferred to the comment contributor\'s page.The record includes a link to the product in your store. Posted on the contributor\'s \"wall\",it will also appear in the Newsfeed of his/her Friends and followers.','http://my.x-cart.com/sites/default/files/addons/XC/VKComments/icon.png','https://market.x-cart.com/addons/vk-comments.html','','a:0:{}','a:1:{i:0;s:6:\"Social\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(214,'AntiSpam','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,402,69.00,'USD','5.3',2,0,0,1455265213,214528,0,'AntiSpam [DEPRECATED]','Qualiteam','Uses Honeypot, reCaptcha and other methods to block SPAM bots creating fake user accounts and mass-submitting forms on your website.','http://my.x-cart.com/sites/default/files/addons/QSL/AntiSpam/iconAlt.png','https://market.x-cart.com/addons/antispam.html','','a:0:{}','a:1:{i:0;s:14:\"Administration\";}',1,0,1,0,0,0,'a:0:{}',20592,0,0,127,-1,0),(215,'ProductVideos','CSI','support@cflsystems.com',0,0,0,0,0.0000,0,153,65.00,'USD','5.3',1,0,0,1414050470,120832,0,'Product Videos','CFL Systems, Inc.','Add unlimited number of videos to product details pages. Reference videos uploaded to Youtube, Metacafe, Vimeo, DailyMotion or self-hosted.','http://my.x-cart.com/sites/default/files/addons/CSI/ProductVideos/iconAlt.png','https://market.x-cart.com/addons/product-videos-by-cfl-systems.html','','a:0:{}','a:1:{i:0;s:15:\"User experience\";}',1,0,7,0,0,0,'a:0:{}',21108,0,0,127,-1,0),(216,'AntiFraud','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,1070,0.00,'USD','5.3',0,2,0,1414872000,200704,0,'AntiFraud Service Connector','Qualiteam','AntiFraud service reduces chargebacks by identifying online fraud using sophisticated checking algorithm. It is best for merchants selling e-goods with immediate electronic delivery (like software, music, content, etc.) and for merchants trading overseas.','http://my.x-cart.com/sites/default/files/addons/QSL/AntiFraud/iconAlt.png','https://market.x-cart.com/addons/antifraud.html','','a:0:{}','a:4:{i:0;s:14:\"Administration\";i:1;s:16:\"Fraud prevention\";i:2;s:21:\"Multi-vendor friendly\";i:3;s:18:\"Payment processing\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(217,'Clothing','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,967,149.00,'USD','5.3',0,9,0,1415739600,1492480,0,'Clothing','Qualiteam','The \"Clothing\" X-Cart Design Template (#42). This template is good for the following themes:  Accessories, Clothing, Jewelry, Watches, Wedding','http://my.x-cart.com/sites/default/files/addons/QSL/Clothing/iconAlt.png','https://market.x-cart.com/ecommerce-templates/clothing.html','','a:0:{}','a:1:{i:0;s:9:\"Templates\";}',1,0,7,0,0,0,'a:0:{}',20597,0,0,127,-1,0),(218,'ShippingEasy','Qualiteam','businessdevelopment@shippingeasy.com',0,0,0,0,0.0000,0,943,0.00,'USD','5.3',3,2,3,1415134800,126976,0,'ShippingEasy','Qualiteam','Save time and money with the shipping solution built for eCommerce retailers! ShippingEasy downloads orders in real-time and automates your shipping based on carrier, service, package and more','http://my.x-cart.com/sites/default/files/addons/Qualiteam/ShippingEasy/iconAlt.jpg','https://market.x-cart.com/addons/shippingeasy-shipping-automation.html','','a:0:{}','a:2:{i:0;s:11:\"Fulfillment\";i:1;s:8:\"Shipping\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(219,'MultiVendor','XC','helpdesk@x-cart.com',0,0,0,0,0.0000,0,3205,0.00,'USD','5.3',8,2,5,1416862800,2652160,1,'Multi-vendor','X-Cart team','Create an online mall where multiple vendors can sell their own products and manage their orders through a single marketplace.','http://my.x-cart.com/sites/default/files/addons/XC/MultiVendor/iconAlt.png','https://market.x-cart.com/addons/suppliers-multivendors.html','','a:0:{}','a:4:{i:0;s:14:\"Administration\";i:1;s:18:\"Catalog Management\";i:2;s:11:\"Fulfillment\";i:3;s:21:\"Multi-vendor friendly\";}',1,0,4,0,0,2,'a:2:{i:0;s:18:\"20598_Multi-vendor\";i:1;s:18:\"536881125_Ultimate\";}',0,0,0,127,-1,0),(220,'NextPreviousProduct','XC','helpdesk@x-cart.com',0,0,0,0,0.0000,0,11383,0.00,'USD','5.3',4,2,4,1416862800,102400,1,'Previous and Next product','X-Cart team','Display \"Previous\" and \"Next product\" links on your product sheets, be it a category page, a search results page or products of a particular brand.','http://my.x-cart.com/sites/default/files/addons/XC/NextPreviousProduct/iconAlt.png','https://market.x-cart.com/addons/next-previous-product.html','','a:0:{}','a:3:{i:0;s:21:\"Multi-vendor friendly\";i:1;s:21:\"Search and Navigation\";i:2;s:15:\"User experience\";}',1,0,0,0,0,2,'a:3:{i:0;s:12:\"391_Business\";i:1;s:18:\"20598_Multi-vendor\";i:2;s:18:\"536881125_Ultimate\";}',0,0,0,127,-1,0),(221,'SimplifyCommerce','XC','helpdesk@x-cart.com',0,0,0,0,0.0000,0,600,0.00,'USD','5.3',1,1,0,1416862800,317440,0,'Simplify Commerce by MasterCard','X-Cart team','Accept all major card brands for payments in your store with Simplify Commerce by MasterCard. Easy set up with a low, flat rate; no monthly fees and no extra fees. Level 1 PCI certified.','http://my.x-cart.com/sites/default/files/addons/XC/SimplifyCommerce/icon.png','https://market.x-cart.com/addons/simplify-commerce-by-mastercard-payment-module.html','','a:0:{}','a:1:{i:0;s:18:\"Payment processing\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(222,'VirtualMerchant','XC','helpdesk@x-cart.com',0,0,0,0,0.0000,0,508,0.00,'USD','5.3',3,1,4,1416862800,61440,0,'Converge (formerly Virtual Merchant by Elavon)','X-Cart team','A secure server-based system. Accept Visa, JCB, MasterCard, American Express, Discover, Diners and UnionPay in the United States, Canada and Puerto Rico.','http://my.x-cart.com/sites/default/files/addons/XC/VirtualMerchant/iconAlt.png','https://market.x-cart.com/addons/converge-virtual-merchant-payment-module.html','','a:0:{}','a:2:{i:0;s:21:\"Multi-vendor friendly\";i:1;s:18:\"Payment processing\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(223,'AlternativeClothes','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,57,99.00,'USD','5.3',0,2,1,1417035600,1018368,0,'Alternative clothes','Qualiteam','The \"Alternative clothes\" X-Cart Design Template (#43). This template is good for the following themes:  Accessories, Clothing, Jewelry, Watches','http://my.x-cart.com/sites/default/files/addons/QSL/AlternativeClothes/iconAlt.png','https://market.x-cart.com/ecommerce-templates/alternative-clothes.html','','a:0:{}','a:1:{i:0;s:9:\"Templates\";}',1,0,0,0,0,0,'a:0:{}',20605,0,0,127,-1,0),(224,'HouseholdSkin','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,37,99.00,'USD','5.3',0,2,1,1417035600,270336,0,'Household Equipment','Qualiteam','The \"Household Equipment\" X-Cart Design Template (#11). This template is good for the following themes: Flowers, Food &amp; Drink, Gifts, Hobbies &amp; Crafts, Interior &amp; Furniture','http://my.x-cart.com/sites/default/files/addons/QSL/HouseholdSkin/iconAlt.png','https://market.x-cart.com/ecommerce-templates/household-equipment.html','','a:0:{}','a:1:{i:0;s:9:\"Templates\";}',1,0,0,0,0,0,'a:0:{}',536881075,0,0,127,-1,0),(225,'HidePrices','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,580,35.00,'USD','5.3',2,5,0,1417554000,150528,0,'Hide Prices','Qualiteam','This module hides prices and disables checkout for non-registered customers.','http://my.x-cart.com/sites/default/files/addons/QSL/HidePrices/iconAlt.png','https://market.x-cart.com/addons/hide-prices.html','','a:0:{}','a:2:{i:0;s:18:\"Catalog Management\";i:1;s:15:\"Price modifiers\";}',1,0,3,0,0,0,'a:0:{}',20606,0,0,127,-1,0),(227,'PayPalHere','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,601,0.00,'USD','5.3',0,0,0,1417986000,192000,0,'PayPal Here','Qualiteam','The easiest way to accept any form of payment. Wherever your business goes, your sales can go too. Available on iOS and Android.','http://my.x-cart.com/sites/default/files/addons/QSL/PayPalHere/iconAlt.png','https://market.x-cart.com/addons/PayPal-Here-payment-module.html','','a:0:{}','a:2:{i:0;s:18:\"Payment processing\";i:1;s:15:\"Mobile Commerce\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(228,'ProductQuestions','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,965,69.00,'USD','5.3',3,1,3,1418068800,318976,0,'Product Questions','Qualiteam','This module allows visitors to ask questions on your products and receive answers from your staff.','http://my.x-cart.com/sites/default/files/addons/QSL/ProductQuestions/iconAlt.png','https://market.x-cart.com/addons/product-questions.html','','a:0:{}','a:1:{i:0;s:15:\"User experience\";}',1,0,3,0,0,0,'a:0:{}',20608,0,0,127,-1,0),(229,'MultilevelMenu','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,1506,39.00,'USD','5.3',2,0,5,1418158800,102912,0,'Multilevel Primary Menu','Qualiteam','This module allow admin to add advanced multilevel top menu','http://my.x-cart.com/sites/default/files/addons/QSL/MultilevelMenu/iconAlt.png','https://market.x-cart.com/addons/multilevel-primary-menu.html','','a:1:{i:0;s:14:\"CDev\\SimpleCMS\";}','a:3:{i:0;s:13:\"Design tweaks\";i:1;s:21:\"Search and Navigation\";i:2;s:15:\"User experience\";}',1,0,6,0,0,0,'a:0:{}',20609,0,0,127,-1,0),(230,'Auction','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,206,499.00,'USD','5.3',1,7,0,1418155200,592896,0,'Auction in X-Cart 5','Qualiteam','Turn your X-Cart store into a classic auction site with contemporary design. Create auction listings based on regular products and have full control over each listing for the entire auction duration.','http://my.x-cart.com/sites/default/files/addons/QSL/Auction/iconAlt.png','https://market.x-cart.com/addons/auction-in-xcart-5.html','','a:0:{}','a:3:{i:0;s:9:\"Marketing\";i:1;s:15:\"Price modifiers\";i:2;s:8:\"Products\";}',1,0,5,0,0,0,'a:0:{}',20610,0,0,127,-1,0),(231,'PDFInvoice','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,835,99.00,'USD','5.3',4,2,3,1418155200,76288,0,'PDF Invoice','Qualiteam','Makes PDF invoice','http://my.x-cart.com/sites/default/files/addons/QSL/PDFInvoice/iconAlt.png','https://market.x-cart.com/addons/PDF-Invoice.html','','a:0:{}','a:2:{i:0;s:10:\"Accounting\";i:1;s:15:\"User experience\";}',1,0,4,0,0,0,'a:0:{}',20611,0,0,127,-1,0),(232,'Braintree','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,574,0.00,'USD','5.3',2,1,2,1418850000,893952,0,'Braintree payment gateway','Qualiteam','This is old Braintree API integration module for X-Cart 5. Latest API is available via \"PayPal powered by Braintree\" module for X-Cart 5.\r\n\r\nBraintree is a full-stack payments platform that makes it easy to accept payments in your app or website. The service replaces the traditional model of sourcing a payment gateway and merchant account from different providers.','http://my.x-cart.com/sites/default/files/addons/QSL/Braintree/icon.png','https://market.x-cart.com/addons/braintree-for-xcart5.html','','a:0:{}','a:1:{i:0;s:18:\"Payment processing\";}',1,0,2,0,0,0,'a:0:{}',0,0,0,127,-1,0),(233,'CustomerAttachments','XC','helpdesk@x-cart.com',0,0,0,0,0.0000,0,3420,0.00,'USD','5.3',3,4,4,1421784000,174080,1,'Customer Files Uploads & Product Attachments','X-Cart team','Allow your customers to attach files to a product before purchasing so that the store administrator could download those files when processing the order','http://my.x-cart.com/sites/default/files/addons/XC/CustomerAttachments/iconAlt.png','https://market.x-cart.com/addons/files-uploads-product-attachments.html','','a:0:{}','a:3:{i:0;s:18:\"Catalog Management\";i:1;s:21:\"Multi-vendor friendly\";i:2;s:15:\"User experience\";}',1,0,1,0,0,2,'a:3:{i:0;s:12:\"391_Business\";i:1;s:18:\"20598_Multi-vendor\";i:2;s:18:\"536881125_Ultimate\";}',0,0,0,127,-1,0),(234,'Parcels','VIPparcel','support@vipparcel.com',0,0,0,0,0.0000,0,2,10.00,'USD','5.2',2,0,0,1432715505,3221504,0,'VIPparcel','VIPparcel','VIPparcel is a service designed to help businesses like yours save on both international and domestic shipping cost by using USPS.','http://my.x-cart.com/sites/default/files/addons/VIPparcel/Parcels/iconAlt.png','https://market.x-cart.com/addons/vipparcel.html','','a:0:{}','a:0:{}',1,0,0,0,0,0,'a:0:{}',20693,0,0,127,-1,0),(235,'VariantsTableView','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,492,35.00,'USD','5.3',2,7,0,1422561600,62464,0,'Variants Table View','Qualiteam','Show all possible product variants as a table on the product page to enable bulk adding to cart of different variants','http://my.x-cart.com/sites/default/files/addons/QSL/VariantsTableView/iconAlt.png','https://market.x-cart.com/addons/variants-table-view.html','','a:1:{i:0;s:18:\"XC\\ProductVariants\";}','a:3:{i:0;s:13:\"Design tweaks\";i:1;s:21:\"Search and Navigation\";i:2;s:15:\"User experience\";}',1,0,0,0,0,0,'a:0:{}',20624,0,0,127,-1,0),(236,'GTS','CSI','support@cflsystems.com',0,0,0,0,0.0000,0,191,55.00,'USD','5.3',0,0,0,1423774800,55296,0,'Google Trusted Stores Integration','CFL Systems, Inc.','Integrate your store with Google Trusted Stores.','http://my.x-cart.com/sites/default/files/addons/CSI/GTS/iconAlt.png','https://market.x-cart.com/addons/google-trusted-stores-integration-by-cfl-systems.html','','a:0:{}','a:2:{i:0;s:9:\"Marketing\";i:1;s:15:\"User experience\";}',1,0,4,0,0,0,'a:0:{}',21100,0,0,127,-1,0),(237,'MultiCurrency','XC','helpdesk@x-cart.com',0,0,0,0,0.0000,0,7394,0.00,'USD','5.3',4,4,4,1422997200,337920,1,'Multicurrency','X-Cart team','Show product prices in multiple currencies for your customers around the world.','http://my.x-cart.com/sites/default/files/addons/XC/MultiCurrency/iconAlt.png','https://market.x-cart.com/addons/multicurrency-for-xcart5.html','','a:0:{}','a:3:{i:0;s:21:\"Multi-vendor friendly\";i:1;s:15:\"Price modifiers\";i:2;s:15:\"User experience\";}',1,0,0,0,0,2,'a:3:{i:0;s:12:\"391_Business\";i:1;s:18:\"20598_Multi-vendor\";i:2;s:18:\"536881125_Ultimate\";}',0,0,0,127,-1,0),(238,'VePlatform','VeInteractive','xcart@veinteractive.com',0,0,0,0,0.0000,0,116,0.00,'USD','5.2',2,0,0,-10800,1899520,0,'VePlatform','Ve Interactive LTD','Instantly increase your sales by adding the VePlatform\'s integrated remarketing and\r\n            re-engagement apps that convert customers who abandon your site.','http://my.x-cart.com/sites/default/files/addons/VeInteractive/VePlatform/iconAlt.png','https://market.x-cart.com/addons/VePlatform.html','','a:0:{}','a:1:{i:0;s:9:\"Marketing\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(239,'ProductsMapPricing','CSI','support@cflsystems.com',0,0,0,0,0.0000,0,129,55.00,'USD','5.3',3,2,0,1425502800,177664,0,'Products MAP Pricing','CFL Systems, Inc.','Show MAP pricing to customers to satisfy manufacturer requirements while at the same time products can be purchased at a lower price.','http://my.x-cart.com/sites/default/files/addons/CSI/ProductsMapPricing/iconAlt.png','https://market.x-cart.com/addons/products-map-pricing-by-cfl-systems.html','','a:0:{}','a:1:{i:0;s:15:\"User experience\";}',1,0,0,0,0,0,'a:0:{}',21109,0,0,127,-1,0),(240,'EBay','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,4512,0.00,'USD','5.3',13,5,3,1422824400,1024000,0,'X-Cart eBay Integration','Qualiteam','Connect your store in minutes and manage your eBay listings in seconds. One by one or in bulk, manually or automatically: send and update products, variants, images, descriptions and prices. Import orders back to X-Cart and manage them in the X-Cart admin area.','http://my.x-cart.com/sites/default/files/addons/QSL/EBay/iconAlt.png','https://market.x-cart.com/addons/ebay-integration.html','','a:0:{}','a:4:{i:0;s:14:\"Administration\";i:1;s:11:\"Fulfillment\";i:2;s:9:\"Marketing\";i:3;s:14:\"Sales Channels\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,40,0),(241,'Beanstream','XC','helpdesk@x-cart.com',0,0,0,0,0.0000,0,291,0.00,'USD','5.3',1,3,0,1425243600,61440,0,'Beanstream, a Bambora Company (Hosted Payment Form)','X-Cart team','When your customers enter their card number on the payment page, they are seamlessly transferred from your website domain and are temporarily \"hosted\" on Beanstream\'s PCI level one compliant servers. For the merchants in Canada, the UK and the USA.','http://my.x-cart.com/sites/default/files/addons/XC/Beanstream/icon.png','https://market.x-cart.com/addons/beanstream.html','','a:0:{}','a:1:{i:0;s:18:\"Payment processing\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(242,'NetbanxHostedPayment','XC','helpdesk@x-cart.com',0,0,0,0,0.0000,0,160,0.00,'USD','5.3',2,0,3,1425243600,61440,0,'Netbanx (Optimal Payments)','X-Cart team','Available in the US, Canada, UK, Europe and many other countries.Process all major credit and debit cards including Visa, MasterCard, AMEX, Discover, JCB and Carta Si. PCI compliant, with the support of 3d secure and advanced fraud-screening tools.','http://my.x-cart.com/sites/default/files/addons/XC/NetbanxHostedPayment/icon.png','https://market.x-cart.com/addons/netbanx-payment-module.html','','a:0:{}','a:1:{i:0;s:18:\"Payment processing\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(243,'ExtendedSimpleCMS','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,306,0.00,'USD','5.3',0,0,0,1426539600,10240,0,'Extended Simple CMS [DEPRECATED]','Qualiteam','This module allows you to create awesome multilevel primary and footer menus.','http://my.x-cart.com/sites/default/files/addons/QSL/ExtendedSimpleCMS/iconAlt.png','','','a:0:{}','a:3:{i:0;s:13:\"Design tweaks\";i:1;s:21:\"Search and Navigation\";i:2;s:15:\"User experience\";}',1,0,4,0,0,0,'a:0:{}',0,0,0,127,-1,0),(244,'MyWishlist','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,2055,99.00,'USD','5.3',5,3,3,1425502800,213504,0,'My Wishlist','Qualiteam','My Wishlist allows your customer to collect the favorited products into one wishlist in which the customer can buy them, track them in the catalog and send the list to friends as desired shopping list','http://my.x-cart.com/sites/default/files/addons/QSL/MyWishlist/iconAlt.png','https://market.x-cart.com/addons/my-wishlist.html','','a:0:{}','a:1:{i:0;s:9:\"Marketing\";}',1,0,0,0,0,0,'a:0:{}',20650,0,0,127,-1,0),(245,'Api','ShipStation','sales@shipstation.com',0,0,0,0,0.0000,0,790,0.00,'USD','5.3',3,0,0,1426539600,33280,0,'ShipStation','ShipStation','Wherever you sell, however you ship, ShipStation helps you create shipping labels easily and efficiently.','http://my.x-cart.com/sites/default/files/addons/ShipStation/Api/iconAlt.png','https://market.x-cart.com/addons/ShipStation-app-for-xcart.html','','a:0:{}','a:1:{i:0;s:8:\"Shipping\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(246,'SeventyOnePounds','AutomatedShippingRefunds71LBS','partners@71lbs.com',0,0,0,0,0.0000,0,312,0.00,'USD','5.3',1,0,0,1426539600,40448,0,'71Lbs Automated Shipping Refunds','71 LBS','71Lbs audits FedEx &amp; UPS shipping accounts and automatically claims refunds for any\n                late deliveries - even by 60 seconds. It is a \"Set it &amp; Forget it\" system.','http://my.x-cart.com/sites/default/files/addons/AutomatedShippingRefunds71LBS/SeventyOnePounds/iconAlt.png','https://market.x-cart.com/addons/71Lbs.html','','a:0:{}','a:1:{i:0;s:8:\"Shipping\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(247,'Arabic','XcartLanguagePacks','support@xcart-language-packs.com',0,0,0,0,0.0000,0,88,159.99,'USD','5.3',1,0,0,1427922000,578048,0,'Google Translation: Arabic','Xcart Language Packs','Translates your shop interface to Arabic language. Includes the translation of both the Storefront and Administrator zone.','http://my.x-cart.com/sites/default/files/addons/XcartLanguagePacks/Arabic/iconAlt.png','https://market.x-cart.com/addons/translation-arabic.html','','a:0:{}','a:1:{i:0;s:11:\"Translation\";}',1,0,0,0,0,0,'a:0:{}',20656,0,0,127,-1,0),(248,'Urdu','XcartLanguagePacks','support@xcart-language-packs.com',0,0,0,0,0.0000,0,1,159.99,'USD','5.3',1,0,0,1427977956,608768,0,'Google Translation: Urdu','Xcart Language Packs','Translate your X-Cart store interface to Urdu with this module. Both the Customer Storefront and the Administrator Area are covered.','http://my.x-cart.com/sites/default/files/addons/XcartLanguagePacks/Urdu/iconAlt.png','https://market.x-cart.com/addons/translation-urdu.html','','a:0:{}','a:1:{i:0;s:11:\"Translation\";}',1,0,0,0,0,0,'a:0:{}',20683,0,0,127,-1,0),(249,'Turkish','XcartLanguagePacks','support@xcart-language-packs.com',0,0,0,0,0.0000,0,14,159.99,'USD','5.3',1,0,0,1427977936,516096,0,'Google Translation: Turkish','Xcart Language Packs','Use this language pack to translate your X-Cart online store (both Admin Area and Storefront) to Turkish.','http://my.x-cart.com/sites/default/files/addons/XcartLanguagePacks/Turkish/iconAlt.png','https://market.x-cart.com/addons/translation-turkish.html','','a:0:{}','a:1:{i:0;s:11:\"Translation\";}',1,0,0,0,0,0,'a:0:{}',20682,0,0,127,-1,0),(250,'Thai','XcartLanguagePacks','support@xcart-language-packs.com',0,0,0,0,0.0000,0,4,159.99,'USD','5.3',1,0,0,1427977916,711680,0,'Google Translation: Thai','Xcart Language Packs','Translate your X-Cart shop Customer and Administrator Zones interface into the Thai language with the help of this module.','http://my.x-cart.com/sites/default/files/addons/XcartLanguagePacks/Thai/iconAlt.png','https://market.x-cart.com/addons/translation-thai.html','','a:0:{}','a:1:{i:0;s:11:\"Translation\";}',1,0,0,0,0,0,'a:0:{}',20681,0,0,127,-1,0),(251,'Swedish','XcartLanguagePacks','support@xcart-language-packs.com',0,0,0,0,0.0000,0,5,159.99,'USD','5.3',1,0,0,1427977883,510464,0,'Google Translation: Swedish','Xcart Language Packs','This language pack translates your shop interface to Swedish. Both the customer area and the admin interface are translated.','http://my.x-cart.com/sites/default/files/addons/XcartLanguagePacks/Swedish/iconAlt.png','https://market.x-cart.com/addons/translation-swedish.html','','a:0:{}','a:1:{i:0;s:11:\"Translation\";}',1,0,0,0,0,0,'a:0:{}',20680,0,0,127,-1,0),(252,'Romanian','XcartLanguagePacks','support@xcart-language-packs.com',0,0,0,0,0.0000,0,8,159.99,'USD','5.3',1,0,0,1427977844,532992,0,'Google Translation: Romanian','Xcart Language Packs','This language pack translates your store to Romanian. Includes both the Customer and Administrator area translation.','http://my.x-cart.com/sites/default/files/addons/XcartLanguagePacks/Romanian/iconAlt.png','https://market.x-cart.com/addons/translation-romanian.html','','a:0:{}','a:1:{i:0;s:11:\"Translation\";}',1,0,0,0,0,0,'a:0:{}',20679,0,0,127,-1,0),(253,'Portuguese','XcartLanguagePacks','support@xcart-language-packs.com',0,0,0,0,0.0000,0,2,159.99,'USD','5.3',1,0,0,1427977825,524800,0,'Google Translation: Portuguese','Xcart Language Packs','The module translates your shop interface to the Portuguese language. It includes the translation of both the Customer front-end and Administrator back-end.','http://my.x-cart.com/sites/default/files/addons/XcartLanguagePacks/Portuguese/iconAlt.png','https://market.x-cart.com/addons/translation-portuguese.html','','a:0:{}','a:1:{i:0;s:11:\"Translation\";}',1,0,0,0,0,0,'a:0:{}',20678,0,0,127,-1,0),(254,'Polish','XcartLanguagePacks','support@xcart-language-packs.com',0,0,0,0,0.0000,0,4,159.99,'USD','5.3',1,0,0,1427977805,521728,0,'Google Translation: Polish','Xcart Language Packs','Translate your shop interface to Polish with this module, which contains the translation for both the Front-end and Administrator area.','http://my.x-cart.com/sites/default/files/addons/XcartLanguagePacks/Polish/iconAlt.png','https://market.x-cart.com/addons/translation-polish.html','','a:0:{}','a:1:{i:0;s:11:\"Translation\";}',1,0,0,0,0,0,'a:0:{}',20677,0,0,127,-1,0),(255,'Persian','XcartLanguagePacks','support@xcart-language-packs.com',0,0,0,0,0.0000,0,1,159.99,'USD','5.3',1,0,0,1427977787,593408,0,'Google Translation: Persian','Xcart Language Packs','Use this language pack to translate your X-Cart based store to Persian. Translation of both interfaces, the Customer Storefront and the Administrator Backend, are included in the module.','http://my.x-cart.com/sites/default/files/addons/XcartLanguagePacks/Persian/iconAlt.png','https://market.x-cart.com/addons/translation-persian.html','','a:0:{}','a:1:{i:0;s:11:\"Translation\";}',1,0,0,0,0,0,'a:0:{}',20676,0,0,127,-1,0),(256,'Norwegian','XcartLanguagePacks','support@xcart-language-packs.com',0,0,0,0,0.0000,0,7,159.99,'USD','5.3',1,0,0,1427977769,507392,0,'Google Translation: Norwegian','Xcart Language Packs','The module translates your shop interface to the Norwegian language. It includes the translation of both the Customer Storefront and the Administrator Zone.','http://my.x-cart.com/sites/default/files/addons/XcartLanguagePacks/Norwegian/iconAlt.png','https://market.x-cart.com/addons/translation-norwegian.html','','a:0:{}','a:1:{i:0;s:11:\"Translation\";}',1,0,0,0,0,0,'a:0:{}',20675,0,0,127,-1,0),(257,'Malay','XcartLanguagePacks','support@xcart-language-packs.com',0,0,0,0,0.0000,0,2,159.99,'USD','5.3',1,0,0,1427977748,514560,0,'Google Translation: Malay','Xcart Language Packs','The module translates your shop interface to Malay. It includes text entities for both the Customer Storefront and the Administrator Backend.','http://my.x-cart.com/sites/default/files/addons/XcartLanguagePacks/Malay/iconAlt.png','https://market.x-cart.com/addons/translation-malay.html','','a:0:{}','a:1:{i:0;s:11:\"Translation\";}',1,0,0,0,0,0,'a:0:{}',20674,0,0,127,-1,0),(258,'Korean','XcartLanguagePacks','support@xcart-language-packs.com',0,0,0,0,0.0000,0,8,159.99,'USD','5.3',1,0,0,1427977729,530944,0,'Google Translation: Korean','Xcart Language Packs','Your X-Cart shop interface will be translated to Korean by this module. Both the customer area and the admin zone are modified.','http://my.x-cart.com/sites/default/files/addons/XcartLanguagePacks/Korean/iconAlt.png','https://market.x-cart.com/addons/translation-korean.html','','a:0:{}','a:1:{i:0;s:11:\"Translation\";}',1,0,0,0,0,0,'a:0:{}',20673,0,0,127,-1,0),(259,'Japanese','XcartLanguagePacks','support@xcart-language-packs.com',0,0,0,0,0.0000,0,30,159.99,'USD','5.3',1,0,0,1427977710,561152,0,'Google Translation: Japanese','Xcart Language Packs','This language pack will translate your X-Cart store interface to Japanese. Both the Customer Storefront and the Administrator Backend are converted.','http://my.x-cart.com/sites/default/files/addons/XcartLanguagePacks/Japanese/iconAlt.png','https://market.x-cart.com/addons/translation-japanese.html','','a:0:{}','a:1:{i:0;s:11:\"Translation\";}',1,0,0,0,0,0,'a:0:{}',20672,0,0,127,-1,0),(260,'Italian','XcartLanguagePacks','support@xcart-language-packs.com',0,0,0,0,0.0000,0,25,159.99,'USD','5.3',1,0,0,1427977691,528384,0,'Google Translation: Italian','Xcart Language Packs','Use this module to translate your online store (both Admin interface and Storefront) to the Italian language.','http://my.x-cart.com/sites/default/files/addons/XcartLanguagePacks/Italian/iconAlt.png','https://market.x-cart.com/addons/translation-italian.html','','a:0:{}','a:1:{i:0;s:11:\"Translation\";}',1,0,0,0,0,0,'a:0:{}',20671,0,0,127,-1,0),(261,'Indonesian','XcartLanguagePacks','support@xcart-language-packs.com',0,0,0,0,0.0000,0,2,159.99,'USD','5.3',1,0,0,1427977671,510976,0,'Google Translation: Indonesian','Xcart Language Packs','This language module translates your X-Cart shop interface to Indonesian. The package includes translation of both the Storefront and the Administrator Area.','http://my.x-cart.com/sites/default/files/addons/XcartLanguagePacks/Indonesian/iconAlt.png','https://market.x-cart.com/addons/translation-indonesian.html','','a:0:{}','a:1:{i:0;s:11:\"Translation\";}',1,0,0,0,0,0,'a:0:{}',20670,0,0,127,-1,0),(262,'Icelandic','XcartLanguagePacks','support@xcart-language-packs.com',0,0,0,0,0.0000,0,1,159.99,'USD','5.3',1,0,0,1427977656,517120,0,'Google Translation: Icelandic','Xcart Language Packs','Translate your shop interface to Icelandic with this module, which contains the translation for both the Front-end and the Administrator area.','http://my.x-cart.com/sites/default/files/addons/XcartLanguagePacks/Icelandic/iconAlt.png','https://market.x-cart.com/addons/translation-icelandic.html','','a:0:{}','a:1:{i:0;s:11:\"Translation\";}',1,0,0,0,0,0,'a:0:{}',20669,0,0,127,-1,0),(263,'Hungarian','XcartLanguagePacks','support@xcart-language-packs.com',0,0,0,0,0.0000,0,1,159.99,'USD','5.3',1,0,0,1427977636,522240,0,'Google Translation: Hungarian','Xcart Language Packs','Translate your X-Cart Customer and Administrator Interface to Hungarian with this pack.','http://my.x-cart.com/sites/default/files/addons/XcartLanguagePacks/Hungarian/iconAlt.png','https://market.x-cart.com/addons/translation-hungarian.html','','a:0:{}','a:1:{i:0;s:11:\"Translation\";}',1,0,0,0,0,0,'a:0:{}',20668,0,0,127,-1,0),(264,'Hindi','XcartLanguagePacks','support@xcart-language-packs.com',0,0,0,0,0.0000,0,8,159.99,'USD','5.3',1,0,0,1427977615,716800,0,'Google Translation: Hindi','Xcart Language Packs','This language pack translates your X-Cart online store to Hindi. Both the customer area and the admin interface are translated.','http://my.x-cart.com/sites/default/files/addons/XcartLanguagePacks/Hindi/iconAlt.png','https://market.x-cart.com/addons/translation-hindi.html','','a:0:{}','a:1:{i:0;s:11:\"Translation\";}',1,0,0,0,0,0,'a:0:{}',20667,0,0,127,-1,0),(265,'Hebrew','XcartLanguagePacks','support@xcart-language-packs.com',0,0,0,0,0.0000,0,4,159.99,'USD','5.3',1,0,0,1427977596,553472,0,'Google Translation: Hebrew','Xcart Language Packs','Translates your X-Cart based store to Hebrew. It includes the translation of both the Customer and Administrator interfaces.','http://my.x-cart.com/sites/default/files/addons/XcartLanguagePacks/Hebrew/iconAlt.png','https://market.x-cart.com/addons/translation-hebrew.html','','a:0:{}','a:1:{i:0;s:11:\"Translation\";}',1,0,0,0,0,0,'a:0:{}',20666,0,0,127,-1,0),(266,'Greek','XcartLanguagePacks','support@xcart-language-packs.com',0,0,0,0,0.0000,0,8,159.99,'USD','5.3',1,0,0,1427977577,668672,0,'Google Translation: Greek','Xcart Language Packs','Translates your shop interface to the Greek language. The pack translates both the Customer front-end and Administrator area.','http://my.x-cart.com/sites/default/files/addons/XcartLanguagePacks/Greek/iconAlt.png','https://market.x-cart.com/addons/translation-greek.html','','a:0:{}','a:1:{i:0;s:11:\"Translation\";}',1,0,0,0,0,0,'a:0:{}',20665,0,0,127,-1,0),(267,'German','XcartLanguagePacks','support@xcart-language-packs.com',0,0,0,0,0.0000,0,21,159.99,'USD','5.3',1,0,0,1427922000,530432,0,'Google Translation: German','Xcart Language Packs','Translates your shop interface to German. Includes the translation of both the Storefront and Administrator back-end.','http://my.x-cart.com/sites/default/files/addons/XcartLanguagePacks/German/iconAlt.png','https://market.x-cart.com/addons/translation-german.html','','a:0:{}','a:1:{i:0;s:11:\"Translation\";}',1,0,0,0,0,0,'a:0:{}',20664,0,0,127,-1,0),(268,'French','XcartLanguagePacks','support@xcart-language-packs.com',0,0,0,0,0.0000,0,43,159.99,'USD','5.3',1,0,0,1427922000,537600,0,'Google Translation: French','Xcart Language Packs','The module translates your shop interface to French. It includes the translation for both the Customer front-end and Administrator back-end.','http://my.x-cart.com/sites/default/files/addons/XcartLanguagePacks/French/iconAlt.png','https://market.x-cart.com/addons/translation-french.html','','a:0:{}','a:1:{i:0;s:11:\"Translation\";}',1,0,0,0,0,0,'a:0:{}',20663,0,0,127,-1,0),(269,'Finnish','XcartLanguagePacks','support@xcart-language-packs.com',0,0,0,0,0.0000,0,6,159.99,'USD','5.3',1,0,0,1427977476,506880,0,'Google Translation: Finnish','Xcart Language Packs','Translates your X-Cart store interface to Finnish. Both the Customer front-end and Administrator back-end are covered.','http://my.x-cart.com/sites/default/files/addons/XcartLanguagePacks/Finnish/iconAlt.png','https://market.x-cart.com/addons/translation-finnish.html','','a:0:{}','a:1:{i:0;s:11:\"Translation\";}',1,0,0,0,0,0,'a:0:{}',20662,0,0,127,-1,0),(270,'Danish','XcartLanguagePacks','support@xcart-language-packs.com',0,0,0,0,0.0000,0,13,159.99,'USD','5.3',1,0,0,1427978042,509440,0,'Google Translation: Danish','Xcart Language Packs','The module translates your X-Cart store interface to Danish. The package includes both the Customer and Administrator areas translation.','http://my.x-cart.com/sites/default/files/addons/XcartLanguagePacks/Danish/iconAlt.png','https://market.x-cart.com/addons/translation-danish.html','','a:0:{}','a:1:{i:0;s:11:\"Translation\";}',1,0,0,0,0,0,'a:0:{}',20660,0,0,127,-1,0),(271,'Czech','XcartLanguagePacks','support@xcart-language-packs.com',0,0,0,0,0.0000,0,1,159.99,'USD','5.3',1,0,0,1427977414,519680,0,'Google Translation: Czech','Xcart Language Packs','Translates your shop interface to Czech. Includes translation for both the Customer front-end and the Administrator back-end','http://my.x-cart.com/sites/default/files/addons/XcartLanguagePacks/Czech/iconAlt.png','https://market.x-cart.com/addons/translation-czech.html','','a:0:{}','a:1:{i:0;s:11:\"Translation\";}',1,0,0,0,0,0,'a:0:{}',20659,0,0,127,-1,0),(272,'Bulgarian','XcartLanguagePacks','support@xcart-language-packs.com',0,0,0,0,0.0000,0,2,159.99,'USD','5.3',1,0,0,1427977333,633344,0,'Google Translation: Bulgarian','Xcart Language Packs','Translate your X-Cart interface to the Bulgarian language. The package includes the translation for both the Storefront and the Administrator zone.','http://my.x-cart.com/sites/default/files/addons/XcartLanguagePacks/Bulgarian/iconAlt.png','https://market.x-cart.com/addons/translation-bulgarian.html','','a:0:{}','a:1:{i:0;s:11:\"Translation\";}',1,0,0,0,0,0,'a:0:{}',20658,0,0,127,-1,0),(273,'Bengali','XcartLanguagePacks','support@xcart-language-packs.com',0,0,0,0,0.0000,0,2,159.99,'USD','5.3',1,0,0,1427978222,718336,0,'Google Translation: Bengali','Xcart Language Packs','Translate your X-Cart shop interface to Bengali with this module. It contains the translation for both the Storefront and the Administrator Zone','http://my.x-cart.com/sites/default/files/addons/XcartLanguagePacks/Bengali/iconAlt.png','https://market.x-cart.com/addons/translation-bengali.html','','a:0:{}','a:1:{i:0;s:11:\"Translation\";}',1,0,0,0,0,0,'a:0:{}',20657,0,0,127,-1,0),(274,'Spanish','XcartLanguagePacks','support@xcart-language-packs.com',0,0,0,0,0.0000,0,67,159.99,'USD','5.3',1,0,0,1427977863,532992,0,'Google Translation: Spanish','Xcart Language Packs','Translate your X-Cart based online store to Spanish. The package includes the translation for both the Customer front-end and Administrator back-end.','http://my.x-cart.com/sites/default/files/addons/XcartLanguagePacks/Spanish/iconAlt.png','https://market.x-cart.com/addons/translation-spanish.html','','a:0:{}','a:1:{i:0;s:11:\"Translation\";}',1,0,0,0,0,0,'a:0:{}',20651,0,0,127,-1,0),(275,'Dutch','XcartLanguagePacks','support@xcart-language-packs.com',0,0,0,0,0.0000,0,1,159.99,'USD','5.3',1,0,0,1427891046,518656,0,'Google Translation: Dutch','Xcart Language Packs','This module translates your shop interface (Admin and Customer area) to Dutch.','http://my.x-cart.com/sites/default/files/addons/XcartLanguagePacks/Dutch/iconAlt.png','https://market.x-cart.com/addons/translation-dutch.html','','a:0:{}','a:1:{i:0;s:11:\"Translation\";}',1,0,11,0,0,0,'a:0:{}',20661,0,0,127,-1,0),(276,'Sitemap','XC','helpdesk@x-cart.com',0,0,0,0,0.0000,0,6090,0.00,'USD','5.3',2,1,3,1427144400,71680,1,'Site Map','X-Cart team','Enable a sitemap on your site for easier customers\' navigation.The sitemap can include categories and static pages.','http://my.x-cart.com/sites/default/files/addons/XC/Sitemap/iconAlt.png','https://market.x-cart.com/addons/site_map.html','','a:0:{}','a:3:{i:0;s:21:\"Multi-vendor friendly\";i:1;s:21:\"Search and Navigation\";i:2;s:15:\"User experience\";}',1,0,0,0,0,2,'a:3:{i:0;s:12:\"391_Business\";i:1;s:18:\"20598_Multi-vendor\";i:2;s:18:\"536881125_Ultimate\";}',0,0,0,127,-1,0),(277,'Curtains_n_Blinds','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,123,99.00,'USD','5.3',0,2,1,1427749200,1071616,0,'Curtains & Blinds','Qualiteam','The \"Curtains &amp; Blinds\" X-Cart Design Template (#44). This template is good for the following themes: Interior &amp; Furniture, Accessories, Books, Clothing, Fashion','http://my.x-cart.com/sites/default/files/addons/QSL/Curtains_n_Blinds/iconAlt.png','https://market.x-cart.com/ecommerce-templates/curtains-n-blinds.html','','a:0:{}','a:1:{i:0;s:9:\"Templates\";}',1,0,0,0,0,0,'a:0:{}',20655,0,0,127,-1,0),(278,'Testimonial','PerceptionSystemPvtLtd','xcart@perceptionsystem.com',0,0,0,0,0.0000,0,149,29.99,'USD','5.3',3,1,0,1429563600,636416,0,'Video and Content Testimonial','Perception System Pvt. Ltd.','Testimonial Module is a reliable and full-featured module that enables your clients to share their views about your products/services. This module supports text as well as video testimonials through which you can convince your visitors to become your customers.','http://my.x-cart.com/sites/default/files/addons/PerceptionSystemPvtLtd/Testimonial/iconAlt.png','https://market.x-cart.com/addons/testimonial-module-by-perception-system.html','','a:0:{}','a:1:{i:0;s:8:\"Products\";}',1,0,0,0,0,0,'a:0:{}',20686,0,0,127,-1,0),(279,'AuctionInc','XC','helpdesk@x-cart.com',0,0,0,0,0.0000,0,12114,0.00,'USD','5.3',3,1,4,1430082000,337920,0,'AuctionInc ShippingCalc','X-Cart team','Provide your customers with accurate \"real-time\" comparative domestic or international shipping rates from\r\nyour choice of services from Fedex, UPS, USPS and DHL. No carrier accounts required. Full support for your\r\nitem dimensions and dimensional rates. Shipping origins from any country supported. A host of advanced\r\nfeatures include: shipping promotions, bundled handling fees, drop-shipping from multiple origins, and a\r\npackaging engine that accurately predicts appropriate packaging for multiple items and quantities. Free\r\nmonth-long trial, then subscription to AuctionInc required.','http://my.x-cart.com/sites/default/files/addons/XC/AuctionInc/iconAlt.png','https://market.x-cart.com/addons/shipping-calc-by-auction-inc.html','','a:0:{}','a:3:{i:0;s:14:\"Administration\";i:1;s:11:\"Fulfillment\";i:2;s:8:\"Shipping\";}',1,0,5,0,0,0,'a:0:{}',0,0,0,127,-1,0),(280,'HiddenProducts','CSI','support@cflsystems.com',0,0,0,0,0.0000,0,290,40.00,'USD','5.3',2,1,3,1430341200,131584,0,'Hidden Products','CFL Systems, Inc.','This module adds \'Hidden but available for sale\' functionality for products.','http://my.x-cart.com/sites/default/files/addons/CSI/HiddenProducts/iconAlt.png','https://market.x-cart.com/addons/hidden-products-by-cfl-systems.html','','a:0:{}','a:3:{i:0;s:18:\"Catalog Management\";i:1;s:9:\"Marketing\";i:2;s:15:\"User experience\";}',1,0,0,0,0,0,'a:0:{}',21103,0,0,127,-1,0),(281,'MinimumOrderFee','CSI','support@cflsystems.com',0,0,0,0,0.0000,0,44,45.00,'USD','5.3',1,1,3,1431035360,64512,0,'Minimum Order Fee','CFL Systems, Inc.','The Minimum Order Fee module allows admin to set minimum purchase on orders and charge a fee if this limit is not reached. The fee can be set as percentage of the order subtotal or fixed amount and can be restricted to certain memberships only.','http://my.x-cart.com/sites/default/files/addons/CSI/MinimumOrderFee/iconAlt.png','https://market.x-cart.com/addons/minimum-order-fee-by-cfl-systems.html','','a:0:{}','a:1:{i:0;s:15:\"User experience\";}',1,0,0,0,0,0,'a:0:{}',21105,0,0,127,-1,0),(282,'Dresscode','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,33,99.00,'USD','5.3',1,0,3,1434229200,931840,0,'DressCode with Xmas','Qualiteam','The \"DressCode with Xmas\" X-Cart Design Template (#27). This template is good for the following themes: Accessories, Clothing, Jewelry, Watches, Wedding','http://my.x-cart.com/sites/default/files/addons/QSL/Dresscode/iconAlt.png','https://market.x-cart.com/ecommerce-templates/dresscode.html','','a:0:{}','a:1:{i:0;s:9:\"Templates\";}',1,0,0,0,0,0,'a:0:{}',453,0,0,127,-1,0),(283,'OrderPrefixSuffix','CSI','support@cflsystems.com',0,0,0,0,0.0000,0,39,45.00,'USD','5.3',1,0,3,1431982800,39936,0,'Order Prefix/Suffix','CFL Systems, Inc.','Add Prefix and/or Suffix to store\'s orders numbers.','http://my.x-cart.com/sites/default/files/addons/CSI/OrderPrefixSuffix/iconAlt.png','https://market.x-cart.com/addons/order-prefix-suffix-by-cfl-systems.html','','a:0:{}','a:3:{i:0;s:10:\"Accounting\";i:1;s:11:\"Fulfillment\";i:2;s:15:\"User experience\";}',1,0,0,0,0,0,'a:0:{}',21106,0,0,127,-1,0),(284,'Chinese','XcartLanguagePacks','support@xcart-language-packs.com',0,0,0,0,0.0000,0,24,159.99,'USD','5.3',1,0,0,1432242000,477184,0,'Google Translation: Chinese','Xcart Language Packs','Translates your shop interface to Chinese Traditional. Includes translation for both the Customer front-end and Administrator back-end.\nWarning! Installing this module will overwrite any existing label translations for this language.\n','http://my.x-cart.com/sites/default/files/addons/XcartLanguagePacks/Chinese/iconAlt.png','https://market.x-cart.com/addons/translation-chinese-alternative.html','','a:0:{}','a:1:{i:0;s:11:\"Translation\";}',1,0,13,0,0,0,'a:0:{}',20691,0,0,127,-1,0),(285,'Coinzone','Coinzone','support@coinify.com',0,0,0,0,0.0000,0,0,0.00,'USD','5.1',10,0,0,1432674000,29696,0,'Coinify (ex Coinzone)','Coinzone B.V.','Bitcoin Payments powered by Coinzone','http://my.x-cart.com/sites/default/files/addons/Coinzone/Coinzone/iconAlt.png','https://market.x-cart.com/addons/Bitcoin-Payments-by-Coinzone.html','','a:0:{}','a:1:{i:0;s:18:\"Payment processing\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(286,'EBSIndia','XC','helpdesk@x-cart.com',0,0,0,0,0.0000,0,178,0.00,'USD','5.3',1,1,0,1433106000,92160,0,'EBS India','X-Cart team','Accept Visa, MasterCard, Maestro, AMEX, JCB, Diners. Offer international payments and multi-currency services. Payment processing provider in India with PCI DSS Level 1 since 2010.','http://my.x-cart.com/sites/default/files/addons/XC/EBSIndia/icon.png','https://market.x-cart.com/addons/ebs-india-payment-method.html','','a:0:{}','a:1:{i:0;s:18:\"Payment processing\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(287,'PoliPayment','XC','helpdesk@x-cart.com',0,0,0,0,0.0000,0,216,0.00,'USD','5.3',1,0,0,1433106000,51200,0,'Poli Payment','X-Cart team','Easy payments. POLi enables your customers to pay via their internet banking. Our software populates the payment details and tells you as soon as the payment is complete.','http://my.x-cart.com/sites/default/files/addons/XC/PoliPayment/iconAlt.png','https://market.x-cart.com/addons/poli-payment-method.html','','a:0:{}','a:1:{i:0;s:18:\"Payment processing\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(288,'SofortBanking','XC','helpdesk@x-cart.com',0,0,0,0,0.0000,0,187,0.00,'USD','5.3',3,0,3,1433106000,174080,0,'SOFORT Banking','X-Cart team','Enables receiving payments for your online store via SOFORT Banking payment system.','http://my.x-cart.com/sites/default/files/addons/XC/SofortBanking/icon.png','https://market.x-cart.com/addons/sofort-banking.html','','a:0:{}','a:1:{i:0;s:18:\"Payment processing\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(289,'Booking','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,138,495.00,'USD','5.3',2,0,5,1433970000,352768,0,'Booking','Qualiteam','Allows your customers to book, rent or make reservations.','http://my.x-cart.com/sites/default/files/addons/QSL/Booking/iconAlt.png','https://market.x-cart.com/addons/booking.html','','a:0:{}','a:3:{i:0;s:15:\"Price modifiers\";i:1;s:8:\"Products\";i:2;s:15:\"User experience\";}',1,0,1,0,0,0,'a:0:{}',20698,0,0,127,-1,0),(290,'AvaTax','XC','helpdesk@x-cart.com',0,0,0,0,0.0000,0,893,0.00,'USD','5.3',4,1,5,1433797200,194560,0,'AvaTax Sales Tax Automation','X-Cart team','The fastest, easiest, most accurate and affordable way to calculate sales tax, manage tax exemptions and file returns. Avalara determines the tax rates automatically based on 100,000+ taxability rules in 11,000+ taxing jurisdictions.','http://my.x-cart.com/sites/default/files/addons/XC/AvaTax/iconAlt.png','https://market.x-cart.com/addons/avatax-sales-tax-automation.html','','a:0:{}','a:2:{i:0;s:21:\"Multi-vendor friendly\";i:1;s:5:\"Taxes\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(291,'HiddenCoupons','CSI','support@cflsystems.com',0,0,0,0,0.0000,0,8,40.00,'USD','5.3',0,0,0,1434318293,38912,0,'Hidden Coupons','CFL Systems, Inc.','This module hides the coupon code on checkout, order confirmation and invoice pages.','http://my.x-cart.com/sites/default/files/addons/CSI/HiddenCoupons/iconAlt.png','https://market.x-cart.com/addons/hidden-coupons-by-cfl-systems.html','','a:1:{i:0;s:12:\"CDev\\Coupons\";}','a:2:{i:0;s:9:\"Marketing\";i:1;s:15:\"User experience\";}',1,0,0,0,0,0,'a:0:{}',21102,0,0,127,-1,0),(292,'TaxExempt','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,160,99.00,'USD','5.3',2,0,0,1435784400,60416,0,'Tax Exempt','Qualiteam','Enable tax exemption for particular customers or for selected products.','http://my.x-cart.com/sites/default/files/addons/QSL/TaxExempt/iconAlt.png','https://market.x-cart.com/addons/tax-exemption.html','','a:0:{}','a:2:{i:0;s:10:\"Accounting\";i:1;s:5:\"Taxes\";}',1,0,2,0,0,0,'a:0:{}',20701,0,0,127,-1,0),(293,'Intimates','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,194,99.00,'USD','5.3',0,5,3,1435784400,1125376,0,'Intimates','Qualiteam','The \"Intimates\" X-Cart Design Template (#45). This template is good for the following themes:  Accessories, Clothing, Jewelry, Watches, Wedding','http://my.x-cart.com/sites/default/files/addons/QSL/Intimates/iconAlt.png','https://market.x-cart.com/ecommerce-templates/intimates.html','','a:0:{}','a:1:{i:0;s:9:\"Templates\";}',1,0,0,0,0,0,'a:0:{}',20702,0,0,127,-1,0),(294,'Genesis','EMerchantPay','client_integrations_dev@emerchantpay.com',0,0,0,0,0.0000,0,175,0.00,'USD','5.3',3,0,0,1455224400,849408,0,'emerchantpay Payment Gateway','eMerchantPay','Accept payments through emerchantpay\'s Payment Gateway - Genesis','http://my.x-cart.com/sites/default/files/addons/EMerchantPay/Genesis/iconAlt.png','https://market.x-cart.com/addons/emerchantpay.html','','a:0:{}','a:1:{i:0;s:18:\"Payment processing\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(295,'AccountNotes','CSI','support@cflsystems.com',0,0,0,0,0.0000,0,74,65.00,'USD','5.3',2,1,2,1436994000,169472,0,'Account Notes','CFL Systems, Inc.','Account Notes module allows admin to add notes to profiles. Add records about phone calls, shopping behavior, restrictions, etc.','http://my.x-cart.com/sites/default/files/addons/CSI/AccountNotes/iconAlt.png','https://market.x-cart.com/addons/account-notes-by-cfl-systems.html','','a:0:{}','a:3:{i:0;s:14:\"Administration\";i:1;s:11:\"Fulfillment\";i:2;s:15:\"User experience\";}',1,0,3,0,0,0,'a:0:{}',21099,0,0,127,-1,0),(296,'PopupAnywhere','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,509,99.00,'USD','5.3',4,0,3,1439845200,295424,0,'Pop-up Anywhere','Qualiteam','Create unlimited number of attractive and informative popup messages for your customers regardless of the page they land on when arriving on your site.','http://my.x-cart.com/sites/default/files/addons/QSL/PopupAnywhere/iconAlt.png','https://market.x-cart.com/addons/popup-anywhere.html','','a:0:{}','a:1:{i:0;s:9:\"Marketing\";}',1,0,0,0,0,0,'a:0:{}',20705,0,0,127,-1,0),(297,'GbTranslation','XC','helpdesk@x-cart.com',0,0,0,0,0.0000,0,480,0.00,'USD','5.3',3,1,3,1497384000,92160,0,'Translation: British English','X-Cart team','British English translation pack','http://my.x-cart.com/sites/default/files/addons/XC/GbTranslation/iconAlt.png','https://market.x-cart.com/addons/translation-british-english.html','','a:0:{}','a:0:{}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(298,'EProcessingNetwork','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,11,39.00,'USD','5.3',1,0,0,1440363600,30720,0,'eProcessing Network - Database Engine','Qualiteam','Accepting credit and debit cards, checks, gift cards via an online secure real-time transaction processing engine. This payment extension uses the Database Engine Template (DBE).','http://my.x-cart.com/sites/default/files/addons/QSL/EProcessingNetwork/iconAlt.png','https://market.x-cart.com/addons/eprocessing-network-database-engine.html','','a:0:{}','a:1:{i:0;s:18:\"Payment processing\";}',1,0,1,0,0,0,'a:0:{}',20706,0,0,127,-1,0),(299,'CCBill','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,15,39.00,'USD','5.3',1,1,0,1440363600,51200,0,'CCBill','Qualiteam','Accept payments online via CCBill in your X-Cart store.','http://my.x-cart.com/sites/default/files/addons/QSL/CCBill/iconAlt.png','https://market.x-cart.com/addons/ccbill-payment-module.html','','a:0:{}','a:1:{i:0;s:18:\"Payment processing\";}',1,0,3,0,0,0,'a:0:{}',20707,0,0,127,-1,0),(300,'FirstDataPayeezyGatewayHP','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,127,39.00,'USD','5.3',3,0,0,1440363600,122880,0,'First Data Payeezy Gateway','Qualiteam','Accepting payments via First Data Payeezy Gateway - Hosted Payment Pages (formerly FirstData Global Gateway e4).','http://my.x-cart.com/sites/default/files/addons/QSL/FirstDataPayeezyGatewayHP/iconAlt.png','https://market.x-cart.com/addons/payeeze-by-firstdata.html','','a:0:{}','a:1:{i:0;s:18:\"Payment processing\";}',1,0,5,0,0,0,'a:0:{}',20708,0,0,127,-1,0),(301,'Dark','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,10,49.00,'USD','5.2',4,0,14,1440536400,522240,0,'Dark','Qualiteam','The \"Dark\" X-Cart Design Template (#46). This template is good for the following themes: Baby, Beauty, Books, Business, Clothing, Cars, Computers, Education, Electronics, Fashion, Hobbies &amp; Crafts, Hotels, Interior &amp; Furniture, Medical, Music, Nature, Nutritional supplements, Wedding, Wine, Winter.','http://my.x-cart.com/sites/default/files/addons/QSL/Dark/iconAlt.png','https://market.x-cart.com/ecommerce-templates/dark.html','','a:0:{}','a:1:{i:0;s:9:\"Templates\";}',1,0,0,0,0,0,'a:0:{}',20959,0,0,127,-1,0),(302,'Light','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,21,49.00,'USD','5.3',0,0,1,1440536400,413184,0,'Light','Qualiteam','The \"Light\" X-Cart Design Template (#47). This template is good for the following themes: Baby, Beauty, Books, Business, Clothing, Computers, Education, Electronics, Fashion, Hobbies &amp; Crafts, Hotels, Interior &amp; Furniture, Medical, Music, Nature, Nutritional supplements, Wedding, Wine, Winter.','http://my.x-cart.com/sites/default/files/addons/QSL/Light/iconAlt.png','https://market.x-cart.com/ecommerce-templates/light.html','','a:0:{}','a:1:{i:0;s:9:\"Templates\";}',1,0,0,0,0,0,'a:0:{}',20960,0,0,127,-1,0),(303,'GraphicStock','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,120,149.00,'USD','5.3',2,2,0,1440536400,971264,0,'Graphic Stock','Qualiteam','The \"Graphic Stock\" X-Cart Design Template (#48). This template is good for the following themes: Graphics, cars, books, accessories, equipment','http://my.x-cart.com/sites/default/files/addons/QSL/GraphicStock/iconAlt.png','https://market.x-cart.com/ecommerce-templates/graphicstock.html','','a:0:{}','a:1:{i:0;s:9:\"Templates\";}',1,0,0,0,0,0,'a:0:{}',20961,0,0,127,-1,0),(304,'CartIcons','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,241,14.95,'USD','5.3',1,2,2,1441573200,165376,0,'Cart Icons','Qualiteam','Decorate cart buttons and icons in your online store.','http://my.x-cart.com/sites/default/files/addons/QSL/CartIcons/iconAlt.png','https://market.x-cart.com/addons/cart-icons.html','','a:0:{}','a:1:{i:0;s:13:\"Design tweaks\";}',1,0,4,0,0,0,'a:0:{}',20962,0,0,127,-1,0),(305,'FashionAccessories','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,23,99.00,'USD','5.3',0,0,1,1442350800,872448,0,'Fashion Accessories','Qualiteam','The \"Fashion Accessories\" X-Cart Design Template (#21). This template is good for the following themes: Accessories, Beauty, Clothing, Fashion, Jewelry, Wedding','http://my.x-cart.com/sites/default/files/addons/QSL/FashionAccessories/iconAlt.png','https://market.x-cart.com/ecommerce-templates/fashion-accessories.html','','a:0:{}','a:1:{i:0;s:9:\"Templates\";}',1,0,0,0,0,0,'a:0:{}',457,0,0,127,-1,0),(306,'EGateway','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,1,39.00,'USD','5.3',0,0,0,1443128400,35840,0,'E-Gateway','Qualiteam','Accepting Visa, Amex, Mastercard, Diners Club and JCB in the Australia, US, Canada, Europe, Europe, UK and most other regions.','http://my.x-cart.com/sites/default/files/addons/QSL/EGateway/iconAlt.png','https://market.x-cart.com/addons/e-gateway-payment-module.html','','a:0:{}','a:1:{i:0;s:18:\"Payment processing\";}',1,0,7,0,0,0,'a:0:{}',20964,0,0,127,-1,0),(307,'GlobalTransport','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,5,39.00,'USD','5.3',0,0,0,1443128400,62976,0,'Global Transport Secure eCommerce','Qualiteam','Accepting Visa, MasterCard, American Express, Discover, JCB, Diners Club, China Union Pay.','http://my.x-cart.com/sites/default/files/addons/QSL/GlobalTransport/iconAlt.png','https://market.x-cart.com/addons/global-transport-secure-ecommerce-payment-module.html','','a:0:{}','a:1:{i:0;s:18:\"Payment processing\";}',1,0,0,0,0,0,'a:0:{}',20965,0,0,127,-1,0),(308,'BackInStock','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,690,69.00,'USD','5.3',2,3,3,1443128400,281088,0,'Back in Stock Notifications','Qualiteam','Drive more sales by making it easy for your customers to sign up for Back in Stock email notifications for the products they wanted to buy, but missed out. Send an automatic message once the product is available again!','http://my.x-cart.com/sites/default/files/addons/QSL/BackInStock/iconAlt.png','https://market.x-cart.com/addons/back-in-stock-notifications.html','','a:0:{}','a:3:{i:0;s:18:\"Catalog Management\";i:1;s:9:\"Marketing\";i:2;s:15:\"User experience\";}',1,0,0,0,0,0,'a:0:{}',20966,0,0,127,-1,0),(309,'MembershipProducts','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,291,69.00,'USD','5.3',0,3,1,1444078800,64000,0,'Paid memberships','Qualiteam','Sell premium memberships in your store. The module expands the \"Memberships\" feature of X-Cart, enabling the ability to sell paid memberships as regular products.','http://my.x-cart.com/sites/default/files/addons/QSL/MembershipProducts/iconAlt.png','https://market.x-cart.com/addons/paid-memberships.html','','a:0:{}','a:2:{i:0;s:10:\"Accounting\";i:1;s:9:\"Marketing\";}',1,0,0,0,0,0,'a:0:{}',20967,0,0,127,-1,0),(310,'ChronoPay','XC','helpdesk@x-cart.com',0,0,0,0,0.0000,0,3,39.00,'USD','5.3',1,1,0,1444683600,51200,0,'ChronoPay','X-Cart team','Accept payments for any goods and services in the internet by bank cards (VISA, MasterCard, Maestro, American Express, Diners, JCB) and the most popular payment systems (Yandex.Money, Qiwi, Webmoney) all over the world: in America, Russia, Europe and Asia','http://my.x-cart.com/sites/default/files/addons/XC/ChronoPay/icon.png','https://market.x-cart.com/addons/chronopay.html','','a:0:{}','a:1:{i:0;s:18:\"Payment processing\";}',1,0,0,0,0,0,'a:0:{}',20971,0,0,127,-1,0),(311,'CustomOrderStatuses','XC','helpdesk@x-cart.com',0,0,0,0,0.0000,0,2612,0.00,'USD','5.3',4,0,5,1445202000,92160,1,'Custom Order Statuses','X-Cart team','This module allows you to edit the existing order statuses and add new statuses.','http://my.x-cart.com/sites/default/files/addons/XC/CustomOrderStatuses/iconAlt.png','https://market.x-cart.com/addons/custom-order-statuses.html','','a:0:{}','a:3:{i:0;s:14:\"Administration\";i:1;s:11:\"Fulfillment\";i:2;s:21:\"Multi-vendor friendly\";}',1,0,0,0,0,2,'a:3:{i:0;s:12:\"391_Business\";i:1;s:18:\"20598_Multi-vendor\";i:2;s:18:\"536881125_Ultimate\";}',0,0,0,127,-1,0),(312,'DIBSFlexWin','XC','helpdesk@x-cart.com',0,0,0,0,0.0000,0,3,39.00,'USD','5.3',1,0,0,1444683600,51200,0,'DIBS FlexWin','X-Cart team','FlexWin is the most frequently used payment window for DIBS, and is the most extended payment service provided. Released in 2007, the FlexWin layout is well known to shoppers all around Scandinavia.','http://my.x-cart.com/sites/default/files/addons/XC/DIBSFlexWin/icon.png','https://market.x-cart.com/addons/hosted-dibs-flexwin.html','','a:0:{}','a:1:{i:0;s:18:\"Payment processing\";}',1,0,0,0,0,0,'a:0:{}',20972,0,0,127,-1,0),(313,'DatatransUPP','XC','helpdesk@x-cart.com',0,0,0,0,0.0000,0,9,39.00,'USD','5.3',1,1,0,1444683600,51200,0,'Datatrans (Universal payment page)','X-Cart team','The leading Payment Service Provider in Switzerland. It works together with a large number of Swiss acquirers/finance companies. All finance companies and methods of payment are automatically open to Datatrans customers.','http://my.x-cart.com/sites/default/files/addons/XC/DatatransUPP/icon.png','https://market.x-cart.com/addons/datatrans-universal-payment-page.html','','a:0:{}','a:1:{i:0;s:18:\"Payment processing\";}',1,0,0,0,0,0,'a:0:{}',20969,0,0,127,-1,0),(314,'DisableDragNDrop','XC','helpdesk@x-cart.com',0,0,0,0,0.0000,0,944,0.00,'USD','5.3',0,1,0,1445202000,30720,0,'Disable drag\'n\'drop add to cart','X-Cart team','Disables the default drag-n-drop adding products to cart to replace it with the \'add to cart\' button on the product list pages (category, search results)','http://my.x-cart.com/sites/default/files/addons/XC/DisableDragNDrop/iconAlt.png','https://market.x-cart.com/addons/disable-drag-n-drop.html','','a:0:{}','a:1:{i:0;s:15:\"User experience\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(315,'EWAYStoredShared','XC','helpdesk@x-cart.com',0,0,0,0,0.0000,0,397,0.00,'USD','5.3',1,4,0,1444683600,92160,0,'eWAY Payments','X-Cart team','Integration with eWAY using Responsive Shared Page method.  It also comes with the built-in integration with 3D Secure, PayPal, MasterPass and Visa Checkout. Once this payment method is selected on  checkout page, your customer is redirectedto a form hosted by eWay to enter payment information.','http://my.x-cart.com/sites/default/files/addons/XC/EWAYStoredShared/iconAlt.png','https://market.x-cart.com/addons/eway-responsive-shared-page.html','','a:0:{}','a:2:{i:0;s:21:\"Multi-vendor friendly\";i:1;s:18:\"Payment processing\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(316,'Geolocation','XC','helpdesk@x-cart.com',0,0,0,0,0.0000,0,4173,0.00,'USD','5.3',3,2,4,1445202000,3921920,1,'Geolocation','X-Cart team','Use free IP geolocation database GeoLite by Maxmind to improve the user experience of non-logged in customers - \"guess\" their country and address for more precise pre-login shipping cost estimation','http://my.x-cart.com/sites/default/files/addons/XC/Geolocation/iconAlt.png','https://market.x-cart.com/addons/geolocation.html','','a:0:{}','a:2:{i:0;s:21:\"Multi-vendor friendly\";i:1;s:15:\"User experience\";}',1,0,0,0,0,2,'a:3:{i:0;s:12:\"391_Business\";i:1;s:18:\"20598_Multi-vendor\";i:2;s:18:\"536881125_Ultimate\";}',0,0,0,127,-1,0),(317,'PitneyBowes','XC','helpdesk@x-cart.com',0,0,0,0,0.0000,0,2279,0.00,'USD','5.3',3,4,3,1444683600,645120,0,'Pitney Bowes International','X-Cart team','PB\'s International Shipping service provides: guaranteed fully landed costs (duties, taxes, & tariffs) in the checkout, simple international parcel fulfilment, prohibited goods screening & export compliance, end to end parcel tracking, and insurance.','http://my.x-cart.com/sites/default/files/addons/XC/PitneyBowes/icon.png','','','a:0:{}','a:2:{i:0;s:11:\"Fulfillment\";i:1;s:8:\"Shipping\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(318,'ProductTags','XC','helpdesk@x-cart.com',0,0,0,0,0.0000,0,4380,0.00,'USD','5.3',3,6,3,1445202000,174080,1,'Product Tags','X-Cart team','Assign one or multiple tags to your products and improve the navigation for your customers, who can narrow the search results by tags in the Product Filters or, vice versa, see all products with the same tag.','http://my.x-cart.com/sites/default/files/addons/XC/ProductTags/icon.png','https://market.x-cart.com/addons/product-tags.html','','a:0:{}','a:2:{i:0;s:15:\"User experience\";i:1;s:21:\"Search and Navigation\";}',1,0,0,0,0,2,'a:3:{i:0;s:12:\"391_Business\";i:1;s:18:\"20598_Multi-vendor\";i:2;s:18:\"536881125_Ultimate\";}',0,0,0,127,-1,0),(319,'WorldpayHPP','XC','helpdesk@x-cart.com',0,0,0,0,0.0000,0,55,39.00,'USD','5.3',1,2,0,1444683600,51200,0,'Worldpay Pay Page','X-Cart team','The card payment processing is managed by Worldpay, so you and your customers can be confident that payment details are safe and secure. Some elements of the payment page are customizable to fit your brand','http://my.x-cart.com/sites/default/files/addons/XC/WorldpayHPP/icon.png','https://market.x-cart.com/addons/worldpay-hosted-payment-page.html','','a:0:{}','a:1:{i:0;s:18:\"Payment processing\";}',1,0,0,0,0,0,'a:0:{}',20973,0,0,127,-1,0),(320,'ImageWatermark','CSI','support@cflsystems.com',0,0,0,0,0.0000,0,123,69.00,'USD','5.3',1,2,3,1444683600,4125184,0,'Image Watermark','CFL Systems, Inc.','This module allows you to watermark products and categories images with text and/or image.','http://my.x-cart.com/sites/default/files/addons/CSI/ImageWatermark/iconAlt.png','https://market.x-cart.com/addons/image-watermark-by-cfl-systems.html','','a:0:{}','a:1:{i:0;s:18:\"Catalog Management\";}',1,0,0,0,0,0,'a:0:{}',21104,0,0,127,-1,0),(321,'PaymentMethodFees','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,217,49.00,'USD','5.3',1,1,0,1455224400,133120,0,'Payment Method Fees','Qualiteam','This module allows you to configure discounts and extra fees for particular payment methods.','http://my.x-cart.com/sites/default/files/addons/QSL/PaymentMethodFees/iconAlt.png','https://market.x-cart.com/addons/payment-method-fees.html','','a:0:{}','a:1:{i:0;s:18:\"Payment processing\";}',1,0,0,0,0,0,'a:0:{}',20974,0,0,127,-1,0),(322,'Paysafecard','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,3,39.00,'USD','5.3',0,1,1,1444856400,61440,0,'Paysafecard','Qualiteam','Europe\'s leading prepaid solution for paying online, it enables your customers to pay online without a credit card. They purchase paysafecard at the nearest sales outlet ( $10, $25, $50, or $100) and pay with it at webshops by entering the 16-digit paysafecard PIN','http://my.x-cart.com/sites/default/files/addons/QSL/Paysafecard/iconAlt.png','https://market.x-cart.com/addons/paysafecard.html','','a:0:{}','a:1:{i:0;s:18:\"Payment processing\";}',1,0,0,0,0,0,'a:0:{}',20975,0,0,127,-1,0),(323,'TenPay','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,0,39.00,'USD','5.3',0,1,1,1444856400,81920,0,'TenPay','Qualiteam','The extension integrates your store with a major Chinese payments solution enabling Chinese consumers to pay online and cross-border. Tenpay wallets can be topped up with cash, (e-)bank transfers and stored credit or debit cards.','http://my.x-cart.com/sites/default/files/addons/QSL/TenPay/iconAlt.png','https://market.x-cart.com/addons/tenpay-china.html','','a:0:{}','a:1:{i:0;s:18:\"Payment processing\";}',1,0,0,0,0,0,'a:0:{}',20976,0,0,127,-1,0),(324,'Pagseguro','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,1,39.00,'USD','5.3',0,1,1,1444856400,645120,0,'PagSeguro - Padrao','Qualiteam','A Brazilian payment gateway supporting more than 25 payment methods with just one contract: credit and debit cards, bank deposits and more. To make payment, the customers are directed to PagSeguro page, and after that they\'re returned back to your store','http://my.x-cart.com/sites/default/files/addons/QSL/Pagseguro/iconAlt.png','https://market.x-cart.com/addons/pagseguro-padrao.html','','a:0:{}','a:1:{i:0;s:18:\"Payment processing\";}',1,0,0,0,0,0,'a:0:{}',20977,0,0,127,-1,0),(325,'HiddenCategories','CSI','support@cflsystems.com',0,0,0,0,0.0000,0,101,50.00,'USD','5.3',1,0,0,1445202000,67584,0,'Hidden Categories','CFL Systems, Inc.','This module adds \'Hidden but available for sale\' functionality for categories.','http://my.x-cart.com/sites/default/files/addons/CSI/HiddenCategories/iconAlt.png','https://market.x-cart.com/addons/hidden-categories-by-cfl-systems.html','','a:0:{}','a:3:{i:0;s:18:\"Catalog Management\";i:1;s:9:\"Marketing\";i:2;s:15:\"User experience\";}',1,0,0,0,0,0,'a:0:{}',21101,0,0,127,-1,0),(326,'Giropay','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,0,39.00,'USD','5.3',0,1,1,1445288400,460800,0,'Giropay','Qualiteam','GiroCheckout is a simple, fast and secure solution for the integration of several payment methods - both national and international - in your online store. The highest safety standards and a transparent fee model distinguish GiroCheckout.','http://my.x-cart.com/sites/default/files/addons/QSL/Giropay/iconAlt.png','https://market.x-cart.com/addons/giropay.html','','a:0:{}','a:1:{i:0;s:18:\"Payment processing\";}',1,0,0,0,0,0,'a:0:{}',20979,0,0,127,-1,0),(327,'Candles','TemplateMonster','support@x-cart.com',0,0,0,0,0.0000,0,174,139.00,'USD','5.3',3,1,3,1445893200,1994752,0,'Candles','TemplateMonster.com','Warm, cozy and relaxing - all the atmosphere the candles create. Banner carousel, built-in multilevel menu and other tools to attract customers attention. Fully responsive, SEO friendly and crossbrowser compatible.','http://my.x-cart.com/sites/default/files/addons/TemplateMonster/Candles/iconAlt.png','https://market.x-cart.com/ecommerce-templates/candles.html','','a:0:{}','a:1:{i:0;s:9:\"Templates\";}',1,0,0,0,1,0,'a:0:{}',20980,0,0,127,-1,0),(328,'CoffeeShop','TemplateMonster','support@x-cart.com',0,0,0,0,0.0000,0,26,139.00,'USD','5.3',1,2,1,1445979600,1528320,0,'Coffee Shop','TemplateMonster.com','Unique atmosphere of elegance, serenity and comfort. Animated banner, new tabs,  multilevel menu, optimized both for mobile navigation and desktops. Fully responsive, SEO friendly and crossbrowser compatible.','http://my.x-cart.com/sites/default/files/addons/TemplateMonster/CoffeeShop/iconAlt.png','https://market.x-cart.com/ecommerce-templates/coffee-shop.html','','a:0:{}','a:1:{i:0;s:9:\"Templates\";}',1,0,0,0,1,0,'a:0:{}',20981,0,0,127,-1,0),(329,'OrganicCosmetics','TemplateMonster','support@x-cart.com',0,0,0,0,0.0000,0,24,139.00,'USD','5.3',1,3,0,1445979600,1378816,0,'Organic Cosmetics','TemplateMonster.com','Green pastel colors and subtle paper background lay stress on the natural origin of the products you sell. Beautiful banners,  sticky multilevel categories menu, convenient navigation, etc. Fully responsive, SEO friendly and crossbrowser compatible.','http://my.x-cart.com/sites/default/files/addons/TemplateMonster/OrganicCosmetics/iconAlt.png','https://market.x-cart.com/ecommerce-templates/organic-cosmetics.html','','a:0:{}','a:1:{i:0;s:9:\"Templates\";}',1,0,0,0,1,0,'a:0:{}',20982,0,0,127,-1,0),(330,'FastSpring','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,43,39.00,'USD','5.3',2,1,1,1446066000,207360,0,'FastSpring - Popup Storefronts','Qualiteam','Integrate your website with FastSpring, using the \"Popup Storefronts\" method. It creates a pop up (a lightbox area) over the checkout page of your online store, allowing a customer to pay for the order quickly without going to a different web page','http://my.x-cart.com/sites/default/files/addons/QSL/FastSpring/iconAlt.png','https://market.x-cart.com/addons/fastspring.html','','a:0:{}','a:1:{i:0;s:18:\"Payment processing\";}',1,0,0,0,0,0,'a:0:{}',20983,0,0,127,-1,0),(331,'OrderStatus','CSI','support@cflsystems.com',0,0,0,0,0.0000,0,267,45.00,'USD','5.3',1,2,0,1446670800,63488,0,'Order Status','CFL Systems, Inc.','Customers can check order status without being logged in or having an account.','http://my.x-cart.com/sites/default/files/addons/CSI/OrderStatus/iconAlt.png','https://market.x-cart.com/addons/order-status-by-cfl-systems.html','','a:0:{}','a:3:{i:0;s:11:\"Fulfillment\";i:1;s:8:\"Shipping\";i:2;s:15:\"User experience\";}',1,0,0,0,0,0,'a:0:{}',21107,0,0,127,-1,0),(332,'ProductStickers','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,999,49.00,'USD','5.3',3,0,0,1447272000,108032,0,'Product stickers','Qualiteam','This module will allow you to add custom stickers to your products','http://my.x-cart.com/sites/default/files/addons/QSL/ProductStickers/iconAlt.png','https://market.x-cart.com/addons/product-stickers.html','','a:0:{}','a:2:{i:0;s:13:\"Design tweaks\";i:1;s:9:\"Marketing\";}',1,1,160,0,0,0,'a:0:{}',20985,0,0,127,-1,0),(333,'MobilePhones','TemplateMonster','support@x-cart.com',0,0,0,0,0.0000,0,111,139.00,'USD','5.3',1,5,3,1447275600,1764864,0,'MobilePhones','TemplateMonster.com','Stylish minimalistic design in white, black and coral. Sticky multilevel categories menu, banners, info blocks, google map, convenient and clear navigation. Fully responsive, SEO friendly and crossbrowser compatible.','http://my.x-cart.com/sites/default/files/addons/TemplateMonster/MobilePhones/iconAlt.png','https://market.x-cart.com/ecommerce-templates/mobile-phones.html','','a:0:{}','a:1:{i:0;s:9:\"Templates\";}',1,0,0,0,1,0,'a:0:{}',20987,0,0,127,-1,0),(334,'ProductsCarousel','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,442,49.00,'USD','5.3',1,4,2,1447272000,171520,0,'Products carousel','Qualiteam','Enable responsive and user-friendly product carousel for  Bestsellers, Featured Products, New Arrivals, Product Recommendations, Cooming Soon and Products on Sale.','http://my.x-cart.com/sites/default/files/addons/QSL/ProductsCarousel/iconAlt.png','https://market.x-cart.com/addons/products-carousel.html','','a:0:{}','a:3:{i:0;s:18:\"Catalog Management\";i:1;s:13:\"Design tweaks\";i:2;s:21:\"Search and Navigation\";}',1,0,0,0,0,0,'a:0:{}',20986,0,0,127,-1,0),(335,'WebmasterSiteVerification','CSI','support@cflsystems.com',0,0,0,0,0.0000,0,61,35.00,'USD','5.3',0,0,0,1447794000,26112,0,'Webmaster Site Verification','CFL Systems, Inc.','Verify your site with 3rd party services including Google, Bing, Pinterest and Yandex.','http://my.x-cart.com/sites/default/files/addons/CSI/WebmasterSiteVerification/iconAlt.png','https://market.x-cart.com/addons/webmaster-site-verification-by-cfl-systems.html','','a:0:{}','a:4:{i:0;s:9:\"Marketing\";i:1;s:3:\"SEO\";i:2;s:6:\"Social\";i:3;s:15:\"User experience\";}',1,0,0,0,0,0,'a:0:{}',21111,0,0,127,-1,0),(336,'GroceryStore','TemplateMonster','support@x-cart.com',0,0,0,0,0.0000,0,47,139.00,'USD','5.3',1,4,3,1447966800,3241472,0,'Grocery Store','TemplateMonster.com','Basil green and grey colors arise sensation of naturality and healthy lifestyle. Full width slider, banners, info blocks, animated elements, google map, etc. Fully responsive, SEO friendly and crossbrowser compatible.','http://my.x-cart.com/sites/default/files/addons/TemplateMonster/GroceryStore/iconAlt.png','https://market.x-cart.com/ecommerce-templates/grocery-store.html','','a:0:{}','a:1:{i:0;s:9:\"Templates\";}',1,0,0,0,1,0,'a:0:{}',20989,0,0,127,-1,0),(337,'HolidayDecoration','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,157,39.00,'USD','5.3',2,0,0,1448398800,305152,0,'Holiday Decoration','Qualiteam','The module adds holiday decoration to the store front.','http://my.x-cart.com/sites/default/files/addons/QSL/HolidayDecoration/iconAlt.png','https://market.x-cart.com/addons/holiday-decoration.html','','a:0:{}','a:1:{i:0;s:13:\"Design tweaks\";}',1,0,1,0,0,0,'a:0:{}',20990,0,0,127,-1,0),(338,'NaturalCosmetics','TemplateMonster','support@x-cart.com',0,0,0,0,0.0000,0,3667,139.00,'USD','5.3',4,0,4,1451937600,2691072,0,'Natural Cosmetics','TemplateMonster.com','The template is designed in white, green and black colors to lay emphasis on the idea of naturalness of your products. Animated elements, banners, dropdown categories menu, menu in the footer, etc. Responsive, SEO friendly and crossbrowser compatible.','http://my.x-cart.com/sites/default/files/addons/TemplateMonster/NaturalCosmetics/iconAlt.png','https://market.x-cart.com/ecommerce-templates/natural-cosmetics.html','','a:0:{}','a:1:{i:0;s:9:\"Templates\";}',1,0,0,0,1,0,'a:0:{}',20993,0,0,127,-1,0),(339,'AdvancedSecurity','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,400,199.00,'USD','5.3',5,3,3,1449176400,13199360,0,'Block Users by IP / Country / User agent','Qualiteam','The module protects your store from bots and fraud customers, by limiting or restricting access to it with the help of flexible settings and filters, taking into account IP, address and user behaviour.','http://my.x-cart.com/sites/default/files/addons/QSL/AdvancedSecurity/iconAlt.png','https://market.x-cart.com/addons/block-users-by-IP-country-user-agent.html','','a:0:{}','a:2:{i:0;s:14:\"Administration\";i:1;s:8:\"Security\";}',1,0,7,0,0,0,'a:0:{}',20994,0,0,127,-1,0),(340,'DHL','XC','helpdesk@x-cart.com',0,0,0,0,0.0000,0,1146,0.00,'USD','5.3',2,2,3,1449435600,1116160,0,'DHL Shipping','X-Cart team','Get real-time shipping quotes for DHL delivery methods. The integration supports COD (cash on delivery) and insurance.','http://my.x-cart.com/sites/default/files/addons/XC/DHL/icon.png','https://market.x-cart.com/addons/DHL-shipping.html','','a:0:{}','a:1:{i:0;s:8:\"Shipping\";}',1,0,9,0,0,0,'a:0:{}',0,0,0,127,-1,0),(341,'SkuVault','SkuVault','support@skuvault.com',0,0,0,0,0.0000,0,32,0.00,'USD','5.2',0,0,0,1480337586,105472,0,'SkuVault','Danny Shaw','Integrates your store with SkuVault.','http://my.x-cart.com/sites/default/files/addons/SkuVault/SkuVault/iconAlt.png','https://market.x-cart.com/addons/SkuVault.html','','a:0:{}','a:2:{i:0;s:14:\"Administration\";i:1;s:11:\"Fulfillment\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(342,'OutdoorFurniture','TemplateMonster','support@x-cart.com',0,0,0,0,0.0000,0,114,139.00,'USD','5.3',2,1,3,1451963202,1479680,0,'Outdoor Furniture','TemplateMonster.com','Very clear and pleasant theme in white, black and spring green will enhance your store\'s visitors experience. Big slider, banners, animated blocks, intuitive navigation, info blocks, etc. Responsive, SEO friendly and crossbrowser compatible.','http://my.x-cart.com/sites/default/files/addons/TemplateMonster/OutdoorFurniture/iconAlt.png','https://market.x-cart.com/ecommerce-templates/outdoor-furniture.html','','a:0:{}','a:1:{i:0;s:9:\"Templates\";}',1,0,0,0,1,0,'a:0:{}',20995,0,0,127,-1,0),(343,'Blog','PerceptionSystemPvtLtd','xcart@perceptionsystem.com',0,0,0,0,0.0000,0,4291,29.00,'USD','5.3',3,8,2,1450040400,655872,0,'Easy Blog in X-Cart 5','Perception System Pvt. Ltd.','Blog Module for X-Cart aimed to share engaging information related to your store products/services to enable business to get advantage like google SEO, Brand recognition, increase website traffic, better conversion, more leads and ultimately, sales. New social sites blog post sharing facility available. ','http://my.x-cart.com/sites/default/files/addons/PerceptionSystemPvtLtd/Blog/iconAlt.png','https://market.x-cart.com/addons/blog-by-perception-system.html','','a:0:{}','a:2:{i:0;s:4:\"Blog\";i:1;s:9:\"Marketing\";}',1,0,0,0,0,0,'a:0:{}',21080,0,0,127,-1,0),(344,'AggregionIntegration','AggregionLtd','info@aggregion.com',0,0,0,0,0.0000,0,23,0.00,'USD','5.2',1,0,0,1450126800,137216,0,'Aggregion integration','Aggregion Ltd.','Module for integration with Aggregion','http://my.x-cart.com/sites/default/files/addons/AggregionLtd/AggregionIntegration/iconAlt.png','https://market.x-cart.com/addons/Aggregion-Integration.html','','a:0:{}','a:0:{}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(345,'Segment','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,393,0.00,'USD','5.3',2,1,2,1491768000,163840,0,'Segment Integration','Qualiteam','Segment is a powerful data aggregator, it tracks e-commerce events and sends this info to such apps as Mixpanel, Google Analytics, Localytics, RJ Metrics, SalesForce, HubSpot, Optimizely, Clicky and other data processing tools.','http://my.x-cart.com/sites/default/files/addons/QSL/Segment/iconAlt.png','https://market.x-cart.com/addons/segment-integration.html','','a:0:{}','a:4:{i:0;s:14:\"Administration\";i:1;s:9:\"Marketing\";i:2;s:10:\"Statistics\";i:3;s:15:\"User experience\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(346,'FatouratiPayment','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,0,39.00,'USD','5.2',0,0,0,1451250000,33792,0,'Fatourati Payments','Qualiteam','Enables taking credit card payments for your online store via FATOURATI payment gateway (Maroc Telecommerce).','http://my.x-cart.com/sites/default/files/addons/QSL/FatouratiPayment/iconAlt.png','https://market.x-cart.com/addons/fatourati-payments.html','','a:0:{}','a:1:{i:0;s:18:\"Payment processing\";}',1,0,0,0,0,0,'a:0:{}',20998,0,0,127,-1,0),(347,'MTCPayment','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,15,39.00,'USD','5.3',1,0,0,1455224400,41472,0,'MTC Payments','Qualiteam','Enables taking credit card payments for your online store via MTCPayment payment gateway (Maroc Telecommerce).','http://my.x-cart.com/sites/default/files/addons/QSL/MTCPayment/iconAlt.png','https://market.x-cart.com/addons/MTC-Payments.html','','a:0:{}','a:1:{i:0;s:18:\"Payment processing\";}',1,0,0,0,0,0,'a:0:{}',20999,0,0,127,-1,0),(348,'SecurePay','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,0,39.00,'USD','5.3',0,1,1,1451250000,51200,0,'SecurePay (SecureFrame)','Qualiteam','Secure Pay module integrates your store with SecurePay\'s SecureFrame, a simple and flexible method of accepting payments in your store seamlessly via an iFrame.','http://my.x-cart.com/sites/default/files/addons/QSL/SecurePay/iconAlt.png','https://market.x-cart.com/addons/secure-pay.html','','a:0:{}','a:1:{i:0;s:18:\"Payment processing\";}',1,0,0,0,0,0,'a:0:{}',21000,0,0,127,-1,0),(349,'Dwolla','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,2,69.00,'USD','5.3',0,1,1,1455224400,983040,0,'Dwolla','Qualiteam','The integration addon enables Dwolla Direct in your online store. The network connects with U.S. banks and credit unions to provide safe, fast, account-to-account money transfers at low costs.','http://my.x-cart.com/sites/default/files/addons/QSL/Dwolla/iconAlt.png','https://market.x-cart.com/addons/dwolla.html','','a:0:{}','a:1:{i:0;s:18:\"Payment processing\";}',1,0,7,0,0,0,'a:0:{}',21001,0,0,127,-1,0),(350,'RealexHostedPayment','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,42,39.00,'USD','5.3',1,1,0,1451336400,34816,0,'Realex Hosted payments','Qualiteam','Integration with Global Iris/Realex payment gateway - Hosted Payment Page API','http://my.x-cart.com/sites/default/files/addons/QSL/RealexHostedPayment/iconAlt.png','https://market.x-cart.com/addons/realex-hosted-payments.html','','a:0:{}','a:1:{i:0;s:18:\"Payment processing\";}',1,0,0,0,0,0,'a:0:{}',21002,0,0,127,-1,0),(351,'ShippingPerProduct','BCSE','support@bcsengineering.com',0,0,0,0,0.0000,0,73,99.95,'USD','5.3',1,0,0,1460404800,43520,0,'Shipping Per Product','BCS Engineering','Choose shipping per product.','http://my.x-cart.com/sites/default/files/addons/BCSE/ShippingPerProduct/iconAlt.png','https://market.x-cart.com/addons/shipping-per-product.html','','a:0:{}','a:1:{i:0;s:8:\"Shipping\";}',1,0,0,0,0,0,'a:0:{}',21030,0,0,127,-1,0),(352,'TwoCheckoutInline','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,19,39.00,'USD','5.3',0,0,0,1452027600,81920,0,'2Checkout - Inline Checkout','Qualiteam','Integration with 2Checkout payment gateway - Inline Checkout API. User stays on your site during the payment.','http://my.x-cart.com/sites/default/files/addons/QSL/TwoCheckoutInline/iconAlt.png','https://market.x-cart.com/addons/2checkout-Inline-Checkout.html','','a:0:{}','a:1:{i:0;s:18:\"Payment processing\";}',1,0,0,0,0,0,'a:0:{}',21003,0,0,127,-1,0),(353,'PagaMasTarde','DigitalOrigin','afatsini@digitalorigin.com',0,0,0,0,0.0000,0,2,0.00,'USD','5.2',10,0,0,1481620751,43520,0,'Paga+Tarde','DigitalOrigin','Paga+Tarde is a payment method that allows online shops to offer customers to buy with monthly installments.','http://my.x-cart.com/sites/default/files/addons/DigitalOrigin/PagaMasTarde/iconAlt.png','https://market.x-cart.com/addons/paga-tarde.html','','a:0:{}','a:0:{}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(354,'Redirects','NovaHorizons','xcart@novahorizons.io',0,0,0,0,0.0000,0,446,34.99,'USD','5.3',3,5,0,1471550400,54784,0,'Redirects','Nova Horizons, LLC','This module allows you to easily set up redirects within your store.','http://my.x-cart.com/sites/default/files/addons/NovaHorizons/Redirects/iconAlt.png','https://market.x-cart.com/addons/redirects-by-Nova-Horizons.html','','a:0:{}','a:2:{i:0;s:14:\"Administration\";i:1;s:3:\"SEO\";}',1,0,0,0,1,0,'a:0:{}',21016,0,0,127,-1,0),(355,'FinpayPayment','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,0,39.00,'USD','5.3',0,0,0,1452718800,34816,0,'Finpay','Qualiteam','The module integrates your website with indonesian payment gateway: Finpay.','http://my.x-cart.com/sites/default/files/addons/QSL/FinpayPayment/iconAlt.png','https://market.x-cart.com/addons/finpay.html','','a:0:{}','a:1:{i:0;s:18:\"Payment processing\";}',1,0,0,0,0,0,'a:0:{}',21007,0,0,127,-1,0),(356,'OrderReports','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,179,149.00,'USD','5.3',2,0,0,1453064400,59392,0,'Order reports','Qualiteam','Get statistics about what are your bestselling products and categories, what countries and states you get the most orders from, what marketing campaign drove the most revenue to you.','http://my.x-cart.com/sites/default/files/addons/QSL/OrderReports/iconAlt.png','https://market.x-cart.com/addons/order-reports.html','','a:0:{}','a:4:{i:0;s:14:\"Administration\";i:1;s:6:\"Orders\";i:2;s:9:\"Marketing\";i:3;s:10:\"Statistics\";}',1,1,240,0,0,0,'a:0:{}',21008,0,0,127,-1,0),(357,'NotFinishedOrders','XC','helpdesk@x-cart.com',0,0,0,0,0.0000,0,4626,0.00,'USD','5.3',3,1,0,1471464000,143360,1,'Not Finished Orders','X-Cart team','This addon allows you to track not finished orders and contact customers, who have failed to proceed through the payment process.','http://my.x-cart.com/sites/default/files/addons/XC/NotFinishedOrders/iconAlt.png','https://market.x-cart.com/addons/not-finished-orders.html','','a:0:{}','a:2:{i:0;s:11:\"Fulfillment\";i:1;s:21:\"Multi-vendor friendly\";}',1,0,10,0,0,2,'a:3:{i:0;s:12:\"391_Business\";i:1;s:18:\"20598_Multi-vendor\";i:2;s:18:\"536881125_Ultimate\";}',0,0,0,127,-1,0),(358,'UpdateInventory','XC','helpdesk@x-cart.com',0,0,0,0,0.0000,0,5043,0.00,'USD','5.3',2,3,3,1474574400,61440,1,'Update Inventory','X-Cart team','Allows to update products quantity via CSV simple file.','http://my.x-cart.com/sites/default/files/addons/XC/UpdateInventory/icon.png','https://market.x-cart.com/addons/update-inventory.html','','a:0:{}','a:1:{i:0;s:18:\"Catalog Management\";}',1,0,12,0,0,2,'a:3:{i:0;s:12:\"391_Business\";i:1;s:18:\"20598_Multi-vendor\";i:2;s:18:\"536881125_Ultimate\";}',0,0,0,127,-1,0),(359,'SiteStructuredData','CSI','support@cflsystems.com',0,0,0,0,0.0000,0,209,85.00,'USD','5.3',3,1,2,1455224400,220160,0,'Site Structured Data','CFL Systems, Inc.','Site Structured Data module is an X-Cart 5 add-on which allows webmasters to easily add Structured Data Markup to the website - Logo, Company Info, Breadcrumbs, Rich Snippets, etc.','http://my.x-cart.com/sites/default/files/addons/CSI/SiteStructuredData/iconAlt.png','https://market.x-cart.com/addons/site-structured-data-by-cfl-systems.html','','a:0:{}','a:4:{i:0;s:9:\"Marketing\";i:1;s:3:\"SEO\";i:2;s:6:\"Social\";i:3;s:15:\"User experience\";}',1,0,0,0,0,0,'a:0:{}',21096,0,0,127,-1,0),(360,'ShoppingDaySkin','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,51,99.00,'USD','5.3',0,0,1,1453842000,946176,0,'Shopping Day','Qualiteam','The \"Shopping Day\" X-Cart Design Template (#23). This template is good for the following themes: Accessories, Books, Clothing, Food &amp; Drink, Supermarket.','http://my.x-cart.com/sites/default/files/addons/QSL/ShoppingDaySkin/iconAlt.png','https://market.x-cart.com/ecommerce-templates/shopping-day.html','','a:0:{}','a:1:{i:0;s:9:\"Templates\";}',1,0,0,0,0,0,'a:0:{}',456,0,0,127,-1,0),(361,'ExridPayment','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,0,39.00,'USD','5.3',0,0,0,1453928400,37376,0,'Exrid','Qualiteam','Enables taking credit card payments for your online store via EXRID payment gateway (Iran).','http://my.x-cart.com/sites/default/files/addons/QSL/ExridPayment/iconAlt.png','https://market.x-cart.com/addons/exrid.html','','a:0:{}','a:1:{i:0;s:18:\"Payment processing\";}',1,0,0,0,0,0,'a:0:{}',21011,0,0,127,-1,0),(362,'QuickPayLinkPayment','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,0,39.00,'USD','5.3',0,0,0,1453928400,70656,0,'QuickPay Link','Qualiteam','Integration with QuickPay Link payment gateway.','http://my.x-cart.com/sites/default/files/addons/QSL/QuickPayLinkPayment/iconAlt.png','https://market.x-cart.com/addons/quickpay-link.html','','a:0:{}','a:1:{i:0;s:18:\"Payment processing\";}',1,0,0,0,0,0,'a:0:{}',21012,0,0,127,-1,0),(363,'PayWayPayment','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,11,39.00,'USD','5.3',0,0,0,1453928400,47104,0,'PayWay Net','Qualiteam','Integration with PayWay Net payment gateway. PayWay Net is a secure, flexible online payment system. You can offer your customers credit card payments and PayPal payments.','http://my.x-cart.com/sites/default/files/addons/QSL/PayWayPayment/iconAlt.png','https://market.x-cart.com/addons/payway-net.html','','a:0:{}','a:1:{i:0;s:18:\"Payment processing\";}',1,0,0,0,0,0,'a:0:{}',21013,0,0,127,-1,0),(364,'AlipayPayment','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,8,39.00,'USD','5.3',0,0,0,1453928400,35840,0,'Alipay','Qualiteam','Enables taking credit card payments for your online store via Alipay payment gateway (Alibaba Corporation).','http://my.x-cart.com/sites/default/files/addons/QSL/AlipayPayment/iconAlt.png','https://market.x-cart.com/addons/alipay.html','','a:0:{}','a:1:{i:0;s:18:\"Payment processing\";}',1,0,0,0,0,0,'a:0:{}',21014,0,0,127,-1,0),(365,'SpecialOffersBase','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,7203,0.00,'USD','5.3',6,5,0,1454446800,455168,0,'Special Offers (base)','Qualiteam','This is the base module that allows other modules to add different types of special offers.','http://my.x-cart.com/sites/default/files/addons/QSL/SpecialOffersBase/iconAlt.png','https://market.x-cart.com/addons/special-offers-base.html','','a:0:{}','a:1:{i:0;s:9:\"Marketing\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(366,'SpecialOffersBuyXGetY','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,310,99.00,'USD','5.3',0,0,0,1454446800,76288,0,'Special Offers: Buy X Get Y','Qualiteam','This module adds variations of the \"Buy X Get Y\" special offer type. Requires the base Special Offers module.','http://my.x-cart.com/sites/default/files/addons/QSL/SpecialOffersBuyXGetY/iconAlt.png','https://market.x-cart.com/addons/buy-x-get-y.html','','a:1:{i:0;s:21:\"QSL\\SpecialOffersBase\";}','a:2:{i:0;s:9:\"Marketing\";i:1;s:15:\"Price modifiers\";}',1,1,100,0,0,0,'a:0:{}',21015,0,0,127,-1,0),(367,'FashionHouse','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,486,149.00,'USD','5.3',3,3,3,1454965200,1061376,0,'Fashion House','Qualiteam','The \"Fashion House\" X-Cart Design Template (#49). Stylish and clear template in light pastel pallet and straight cornered modern flat design, presented in three color schemes: pink, blue and teal. Full-width slider, banners, product carousels, etc. Fully responsive, SEO friendly and cross-browser compatible.','http://my.x-cart.com/sites/default/files/addons/QSL/FashionHouse/iconAlt.png','https://market.x-cart.com/ecommerce-templates/fashion-house.html','','a:0:{}','a:1:{i:0;s:9:\"Templates\";}',1,0,0,0,0,0,'a:0:{}',20997,0,0,127,-1,0),(368,'ToolsStore','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,88,99.00,'USD','5.3',3,2,0,1455570000,374784,0,'Tools Store','Qualiteam','The \"Tools Store\" X-Cart Design Template (#50). This template is good for the following themes:  Tools, Industry','http://my.x-cart.com/sites/default/files/addons/QSL/ToolsStore/iconAlt.png','https://market.x-cart.com/ecommerce-templates/tools-store.html','','a:0:{}','a:1:{i:0;s:9:\"Templates\";}',1,0,0,0,0,0,'a:0:{}',21017,0,0,127,-1,0),(369,'PostAffiliatePro','QualityUnit','support@ladesk.com',0,0,0,0,0.0000,0,176,0.00,'USD','5.3',3,0,0,1475784000,59904,0,'Post Affiliate Pro integration','QualityUnit','Track clicks and sales to your Post Affiliate Pro or Porst Affiliate Network easily! When configured, the module will automatically track all the needed data to your Post Affiliate Pro or Porst Affiliate Network. You can track total cost, order ID , product ID and lifetime commissions.','http://my.x-cart.com/sites/default/files/addons/QualityUnit/PostAffiliatePro/iconAlt.png','https://market.x-cart.com/addons/post-affiliate-pro-integration.html','','a:0:{}','a:1:{i:0;s:9:\"Marketing\";}',1,0,0,0,1,0,'a:0:{}',0,0,0,127,-1,0),(370,'V12Payment','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,1,39.00,'USD','5.3',0,0,0,1457643600,60416,0,'V12 Retail Finance - Take 5','Qualiteam','Integration with V12 Retail Finance payment gateway (\"Take 5\" payment method)','http://my.x-cart.com/sites/default/files/addons/QSL/V12Payment/iconAlt.png','https://market.x-cart.com/addons/V12-retail-finance-take-5.html','','a:0:{}','a:1:{i:0;s:18:\"Payment processing\";}',1,0,0,0,0,0,'a:0:{}',21022,0,0,127,-1,0),(371,'TwitterUserTimeline','Tienda','xcartpartner@firemouth.net',0,0,0,0,0.0000,0,19,10.00,'USD','5.3',0,0,0,1460404800,17920,0,'Twitter User Timeline','Tienda','Show your Tweets in the left hand menu','http://my.x-cart.com/sites/default/files/addons/Tienda/TwitterUserTimeline/iconAlt.png','https://market.x-cart.com/addons/twitter-user-timeline.html','','a:0:{}','a:1:{i:0;s:6:\"Social\";}',1,0,0,0,0,0,'a:0:{}',21027,0,0,127,-1,0),(372,'PayProCloud','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,63,39.00,'USD','5.3',9,3,1,1459108800,160768,0,'PayPro Cloud','Qualiteam','The module integrates your store with secure PayPro Global online payment processing method - PayPro Cloud.','http://my.x-cart.com/sites/default/files/addons/QSL/PayProCloud/iconAlt.png','https://market.x-cart.com/addons/paypro-cloud.html','','a:0:{}','a:1:{i:0;s:18:\"Payment processing\";}',1,0,0,0,0,0,'a:0:{}',21023,0,0,127,-1,0),(373,'SpecialOffersSpendXGetY','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,231,99.00,'USD','5.3',1,0,0,1459195200,114176,0,'Special Offers: Spend X Get Y','Qualiteam','This module adds variations of the \"Spend X Get Y\" special offer type. Requires the base Special Offers module.','http://my.x-cart.com/sites/default/files/addons/QSL/SpecialOffersSpendXGetY/iconAlt.png','https://market.x-cart.com/addons/spend-x-get-y.html','','a:1:{i:0;s:21:\"QSL\\SpecialOffersBase\";}','a:2:{i:0;s:9:\"Marketing\";i:1;s:15:\"Price modifiers\";}',1,1,110,0,0,0,'a:0:{}',21024,0,0,127,-1,0),(374,'NewRelic','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,75,0.00,'USD','5.3',0,0,0,1459886400,24064,0,'New Relic','Qualiteam','This module provides an integration with New Relic. New Relic is an analytics tool suite that provides a deep visibility into how your applications are performing in development and production.','http://my.x-cart.com/sites/default/files/addons/QSL/NewRelic/iconAlt.png','https://market.x-cart.com/addons/new-relic.html','','a:0:{}','a:2:{i:0;s:14:\"Administration\";i:1;s:10:\"Statistics\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(375,'LiveAgent','QualityUnit','support@ladesk.com',0,0,0,0,0.0000,0,242,0.00,'USD','5.3',1,0,0,1475784000,47616,0,'LiveAgent helpdesk setup','QualityUnit','Easily connect your LiveAgent account with your store and choose which chat button will be used for it. If you do not have an account yet, you can create one really quickly','http://my.x-cart.com/sites/default/files/addons/QualityUnit/LiveAgent/iconAlt.png','https://market.x-cart.com/addons/liveagent.html','','a:0:{}','a:2:{i:0;s:14:\"Sales Channels\";i:1;s:6:\"Social\";}',1,0,0,0,1,0,'a:0:{}',0,0,0,127,-1,0),(376,'RegisterOnCheckout','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,618,39.00,'USD','5.3',1,4,0,1460318400,41984,0,'Register on Checkout','Qualiteam','Disable checkout from not authorised customers and allows them to register on checkout','http://my.x-cart.com/sites/default/files/addons/QSL/RegisterOnCheckout/iconAlt.png','https://market.x-cart.com/addons/register-on-checkout.html','','a:0:{}','a:2:{i:0;s:8:\"Checkout\";i:1;s:8:\"Security\";}',1,0,0,0,0,0,'a:0:{}',21026,0,0,127,-1,0),(377,'UltimateSkin','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,149,149.00,'USD','5.3',0,9,2,1462392000,1324032,0,'Ultimate skin','Qualiteam','The \"Ultimate skin\" X-Cart Design Template (#51). This template is good for the following themes:  Accessories, Clothing, Jewelry, Watches, Wedding','http://my.x-cart.com/sites/default/files/addons/QSL/UltimateSkin/iconAlt.png','https://market.x-cart.com/ecommerce-templates/ultimate-skin.html','','a:0:{}','a:1:{i:0;s:9:\"Templates\";}',1,0,0,0,0,0,'a:0:{}',21025,0,0,127,-1,0),(378,'InternationalShipping','Swipezoom','info@swipezoom.com',0,0,0,0,0.0000,0,0,49.00,'USD','5.2',2,0,0,1461618000,501248,0,'SwipeZoom Global Payments and Shipping','Swipezoom','Start to welcome international customers, accept their payment and ship to their doorstep...within minutes!','http://my.x-cart.com/sites/default/files/addons/Swipezoom/InternationalShipping/iconAlt.png','https://market.x-cart.com/addons/swipezoom-global-payments-and-shipping.html','','a:0:{}','a:2:{i:0;s:18:\"Payment processing\";i:1;s:8:\"Shipping\";}',1,0,0,0,0,0,'a:0:{}',21029,0,0,127,-1,0),(379,'ArambaIntegration','Vendosoft','aokhrimenko@smsdelivery.ru',0,0,0,0,0.0000,0,1,15.00,'USD','5.2',0,0,0,1461099600,71168,0,'Aramba','Vendosoft LLC','Create and send professional newsletters! The module integrates your store with Aramba, a popular service for mailing and bulk SMS messaging.','http://my.x-cart.com/sites/default/files/addons/Vendosoft/ArambaIntegration/iconAlt.png','https://market.x-cart.com/addons/Aramba.html','','a:0:{}','a:1:{i:0;s:9:\"Marketing\";}',1,0,0,0,0,0,'a:0:{}',21028,0,0,127,-1,0),(380,'Shopify','MagneticOne','marketing@magneticone.com',0,0,0,0,0.0000,0,21,0.00,'USD','5.3',0,2,0,-10800,121856,0,'Migrate Data from Shopify to X-Cart','MagneticOne','Allows you to use the Cart2Cart service right out of your store admin panel and install Connection Bridge to transfer your products, orders, customers information and other data from your Shopify store to X-Cart.','http://my.x-cart.com/sites/default/files/addons/MagneticOne/Shopify/iconAlt.png','https://market.x-cart.com/addons/migrate-data-from-shopify-to-x-cart.html','','a:0:{}','a:0:{}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(381,'Interspire','MagneticOne','marketing@magneticone.com',0,0,0,0,0.0000,0,13,0.00,'USD','5.3',0,2,0,-10800,124416,0,'Migrate Data from Interspire to X-Cart','MagneticOne','Allows you to use the Cart2Cart service right out of your store admin panel and install Connection Bridge to transfer your products, orders, customers information and other data from your Interspire store to X-Cart.','http://my.x-cart.com/sites/default/files/addons/MagneticOne/Interspire/iconAlt.png','https://market.x-cart.com/addons/migrate-data-from-interspire-to-x-cart.html','','a:0:{}','a:0:{}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(382,'Bigcommerce','MagneticOne','marketing@magneticone.com',0,0,0,0,0.0000,0,16,0.00,'USD','5.3',0,2,0,-10800,122368,0,'Migrate Data from Bigcommerce to X-Cart','MagneticOne','Allows you to use the Cart2Cart service right out of your store admin panel to transfer your products, orders, customers information and other data from your Bigcommerce store to X-Cart.','http://my.x-cart.com/sites/default/files/addons/MagneticOne/Bigcommerce/iconAlt.png','https://market.x-cart.com/addons/migrate-data-from-Bigcommerce-to-X-Cart.html','','a:0:{}','a:0:{}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(383,'Zencart','MagneticOne','marketing@magneticone.com',0,0,0,0,0.0000,0,10,0.00,'USD','5.3',0,2,0,-10800,259072,0,'Migrate Data from Zen Cart to X-Cart','MagneticOne','Allows you to use the Cart2Cart service right out of your store admin panel and install Connection Bridge to transfer your products, orders, customers information and other data from your Zen Cart store to X-Cart.','http://my.x-cart.com/sites/default/files/addons/MagneticOne/Zencart/iconAlt.png','https://market.x-cart.com/addons/migrate-data-from-zencart-to-x-cart.html','','a:0:{}','a:0:{}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(384,'Oscommerce','MagneticOne','marketing@magneticone.com',0,0,0,0,0.0000,0,17,0.00,'USD','5.3',0,2,0,-10800,124416,0,'Migrate Data from osCommerce to X-Cart','MagneticOne','Allows you to use the Cart2Cart service right out of your store admin panel and install Connection Bridge to transfer your products, orders, customers information and other data from your osCommerce store to X-Cart.','http://my.x-cart.com/sites/default/files/addons/MagneticOne/Oscommerce/iconAlt.png','https://market.x-cart.com/addons/migrate-data-from-oscommerce-to-x-cart.html','','a:0:{}','a:0:{}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(385,'Woocommerce','MagneticOne','marketing@magneticone.com',0,0,0,0,0.0000,0,43,0.00,'USD','5.3',0,2,0,-10800,124416,0,'Migrate Data from WooCommerce to X-Cart','MagneticOne','Allows you to use the Cart2Cart service right out of your store admin panel to transfer your products, orders, customers information and other data from your WooCommerce store to X-Cart.','http://my.x-cart.com/sites/default/files/addons/MagneticOne/Woocommerce/iconAlt.png','https://market.x-cart.com/addons/migrate-data-from-WooCommerce-to-X-Cart.html','','a:0:{}','a:0:{}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(386,'Prestashop','MagneticOne','marketing@magneticone.com',0,0,0,0,0.0000,0,33,0.00,'USD','5.3',0,2,0,-10800,124416,0,'Migrate Data from PrestaShop to X-Cart','MagneticOne','Allows you to use the Cart2Cart service right out of your store admin panel and install Connection Bridge to transfer your products, orders, customers information and other data from your PrestaShop store to X-Cart.','http://my.x-cart.com/sites/default/files/addons/MagneticOne/Prestashop/iconAlt.png','https://market.x-cart.com/addons/migrate-data-from-prestashop-to-x-cart.html','','a:0:{}','a:0:{}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(387,'Magento','MagneticOne','marketing@magneticone.com',0,0,0,0,0.0000,0,18,0.00,'USD','5.3',0,2,0,-10800,123904,0,'Migrate Data from Magento to X-Cart','MagneticOne','Allows you to use the Cart2Cart service right out of your store admin panel and install Connection Bridge to transfer your products, orders, customers information and other data from your Magento store to X-Cart.','http://my.x-cart.com/sites/default/files/addons/MagneticOne/Magento/iconAlt.png','https://market.x-cart.com/addons/migrate-data-from-magento-to-x-cart.html','','a:0:{}','a:0:{}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(388,'Pilibaba','XC','helpdesk@x-cart.com',0,0,0,0,0.0000,0,2340,0.00,'USD','5.3',2,4,0,1461531201,245760,0,'Pilibaba Chinese Checkout','X-Cart team','Start accepting CNY payment and take orders from 1.3 Billion shoppers in China. Support all Chinese debit/credit cards and give merchants the flexibility to convert CNY payment into either USD,EUR or 12 supported currencies.','http://my.x-cart.com/sites/default/files/addons/XC/Pilibaba/icon.png','https://market.x-cart.com/addons/pilibaba.html','','a:0:{}','a:2:{i:0;s:18:\"Payment processing\";i:1;s:8:\"Shipping\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(389,'VendorMessages','XC','helpdesk@x-cart.com',0,0,0,0,0.0000,0,4576,0.00,'USD','5.3',5,4,4,1461528000,552960,1,'Messages','X-Cart team','The module adds an opportunity for customers, administrator and sellers to start messaging about an order right from the order details page. In multi-vendor edition, this addon also allows customers to reach a seller from the seller\'s page before purchasing.','http://my.x-cart.com/sites/default/files/addons/XC/VendorMessages/iconAlt.png','https://market.x-cart.com/addons/order-messages.html','','a:0:{}','a:3:{i:0;s:14:\"Administration\";i:1;s:21:\"Multi-vendor friendly\";i:2;s:15:\"User experience\";}',1,0,11,0,0,2,'a:3:{i:0;s:12:\"391_Business\";i:1;s:18:\"20598_Multi-vendor\";i:2;s:18:\"536881125_Ultimate\";}',0,0,0,127,-1,0),(390,'Netsuite','Webgility','sales@webgility.com',0,0,0,0,0.0000,0,33,0.00,'USD','5.3',1,0,0,1474574400,296960,0,'Unify for NetSuite','Webgility','Unify for NetSuite - Manage your e-commerce business from one place.  Unify easily integrates X-Cart with NetSuite.','http://my.x-cart.com/sites/default/files/addons/Webgility/Netsuite/iconAlt.png','https://market.x-cart.com/addons/unify-for-netsuite.html','','a:0:{}','a:0:{}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(391,'AmazonFeeds','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,682,255.00,'USD','5.3',6,6,2,1461787200,5734912,0,'Amazon Feeds [DEPRECATED]','Qualiteam','The module allows to upload products from your X-Cart store to Amazon one-by-one or in bulk, exporting product details, inventory, pricing and images.','http://my.x-cart.com/sites/default/files/addons/QSL/AmazonFeeds/iconAlt.png','https://market.x-cart.com/addons/amazon-feeds.html','','a:0:{}','a:3:{i:0;s:14:\"Administration\";i:1;s:18:\"Catalog Management\";i:2;s:14:\"Sales Channels\";}',1,0,0,0,0,0,'a:0:{}',21033,0,0,127,-1,0),(392,'EPL','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,84,355.00,'USD','5.3',3,0,2,1461873600,154624,0,'Lookup product details by UPC and name','Qualiteam','Get ready product data from external product libraries providing high quality product specifications, descriptions and images from official sources.','http://my.x-cart.com/sites/default/files/addons/QSL/EPL/iconAlt.png','https://market.x-cart.com/addons/lookup-product-details-by-UPC-and-name.html','','a:0:{}','a:1:{i:0;s:18:\"Catalog Management\";}',1,0,0,0,0,0,'a:0:{}',21032,0,0,127,-1,0),(393,'ZhTranslation','XC','helpdesk@x-cart.com',0,0,0,0,0.0000,0,418,0.00,'USD','5.3',3,3,3,1487620800,573440,0,'Translation: Chinese (Community translation)','X-Cart team','Chinese translation pack','http://my.x-cart.com/sites/default/files/addons/XC/ZhTranslation/iconAlt.png','https://market.x-cart.com/addons/translation-chinese.html','','a:0:{}','a:2:{i:0;s:21:\"Multi-vendor friendly\";i:1;s:11:\"Translation\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(394,'Testimonials','CSI','support@cflsystems.com',0,0,0,0,0.0000,0,174,50.00,'USD','5.3',1,0,0,1462262780,269824,0,'Testimonials','CFL Systems, Inc.','This easy to use and powerful module allows your customers to leave testimonials about your store, products and/or services.','http://my.x-cart.com/sites/default/files/addons/CSI/Testimonials/iconAlt.png','https://market.x-cart.com/addons/testimonials-by-cfl-systems.html','','a:0:{}','a:1:{i:0;s:15:\"User experience\";}',1,0,0,0,0,0,'a:0:{}',21110,0,0,127,-1,0),(395,'RaboOmniKassaPayment','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,4,39.00,'USD','5.3',0,0,0,1465243200,59392,0,'Rabo OmniKassa','Qualiteam','Integration with Rabo OmniKassa payment gateway. Rabo OmniKassa is a secure, flexible online payment system. You can offer your customers various ways to pay for their orders.','http://my.x-cart.com/sites/default/files/addons/QSL/RaboOmniKassaPayment/iconAlt.png','https://market.x-cart.com/addons/rabo-omnikassa.html','','a:0:{}','a:1:{i:0;s:18:\"Payment processing\";}',1,0,0,0,0,0,'a:0:{}',21035,0,0,127,-1,0),(396,'Backup','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,2071,79.00,'USD','5.3',5,3,2,1463515200,380416,0,'Backup Master','Qualiteam','Allows you to create full backups of your X-Cart 5 store.','http://my.x-cart.com/sites/default/files/addons/QSL/Backup/iconAlt.png','https://market.x-cart.com/addons/backup-master.html','','a:0:{}','a:3:{i:0;s:14:\"Administration\";i:1;s:11:\"Development\";i:2;s:8:\"Security\";}',1,1,230,0,0,0,'a:0:{}',21036,0,0,127,-1,0),(397,'BackgroundVideo','PerceptionSystemPvtLtd','xcart@perceptionsystem.com',0,0,0,0,0.0000,0,50,19.00,'USD','5.3',1,0,0,1464120000,1500160,0,'Background Video Banner','Perception System Pvt. Ltd.','New design trend to display Video at home page banner. Upload video or add You-tube Video as background with amazing Parallax effect. Best way to create trendy eCommerce Store.','http://my.x-cart.com/sites/default/files/addons/PerceptionSystemPvtLtd/BackgroundVideo/iconAlt.png','https://market.x-cart.com/addons/background-video-banner-by-perception-system.html','','a:0:{}','a:1:{i:0;s:13:\"Design tweaks\";}',1,0,0,0,0,0,'a:0:{}',21044,0,0,127,-1,0),(398,'BulkEditing','XC','helpdesk@x-cart.com',0,0,0,0,0.0000,0,6035,0.00,'USD','5.3',3,4,3,1464724800,235520,1,'Bulk Editing','X-Cart team','The module allows to edit products in bulk. Choose products for editing and select the parameter that needs to be updated for them.','http://my.x-cart.com/sites/default/files/addons/XC/BulkEditing/iconAlt.png','https://market.x-cart.com/addons/bulk-editing.html','','a:0:{}','a:3:{i:0;s:14:\"Administration\";i:1;s:18:\"Catalog Management\";i:2;s:21:\"Multi-vendor friendly\";}',1,0,14,0,0,2,'a:3:{i:0;s:12:\"391_Business\";i:1;s:18:\"20598_Multi-vendor\";i:2;s:18:\"536881125_Ultimate\";}',0,0,0,127,-1,0),(399,'CrispWhiteSkin','XC','helpdesk@x-cart.com',0,0,0,0,0.0000,0,17471,0.00,'USD','5.3',5,6,5,1464811200,1945600,0,'Crisp White skin','X-Cart team','Light and clean skin developed in minimalist style and combining flat and material design will make your store look clean and modern.','http://my.x-cart.com/sites/default/files/addons/XC/CrispWhiteSkin/icon.png','https://market.x-cart.com/ecommerce-templates/crisp-white-skin.html','','a:0:{}','a:1:{i:0;s:9:\"Templates\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(400,'FastLaneCheckout','XC','helpdesk@x-cart.com',0,0,0,0,0.0000,0,14062,0.00,'USD','5.3',4,5,4,1464811200,389120,0,'Fast Lane Checkout','X-Cart team','Modern multi-step checkout asks for a separate piece of information at a separate step. As a result, it looks looks clean for customers and seems secure and easy to fill in.','http://my.x-cart.com/sites/default/files/addons/XC/FastLaneCheckout/icon.png','https://market.x-cart.com/addons/fast-lane-checkout.html','','a:0:{}','a:2:{i:0;s:18:\"Payment processing\";i:1;s:15:\"User experience\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(401,'NewsletterSubscriptions','XC','helpdesk@x-cart.com',0,0,0,0,0.0000,0,8253,0.00,'USD','5.3',3,3,4,1464811200,122880,0,'Newsletter subscriptions','X-Cart team','The module adds a sign up form into your site footer inviting your customers to subscribe for your company newsletters. The list of subscribers is stored in the admin back-end and can also be forwarded to Mailchimp.','http://my.x-cart.com/sites/default/files/addons/XC/NewsletterSubscriptions/icon.png','https://market.x-cart.com/addons/newsletter-subscriptions.html','','a:0:{}','a:2:{i:0;s:9:\"Marketing\";i:1;s:14:\"Sales Channels\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(402,'TreeLikeCategoriesMenu','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,290,19.95,'USD','5.3',3,0,3,1465243200,34304,0,'Tree-like Categories Menu','Qualiteam','The module changes the default flyout categories menu in the Customer area by introducing a tree-like menu style. Requires Flyout Categories Menu module to be enabled','http://my.x-cart.com/sites/default/files/addons/QSL/TreeLikeCategoriesMenu/iconAlt.png','https://market.x-cart.com/addons/tree-like-categories-menu.html','','a:1:{i:0;s:24:\"QSL\\FlyoutCategoriesMenu\";}','a:1:{i:0;s:13:\"Design tweaks\";}',1,0,0,0,0,0,'a:0:{}',21040,0,0,127,-1,0),(403,'Returns','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,333,99.00,'USD','5.3',7,0,0,1465502400,338432,0,'Order returns','Qualiteam','Enable your customers to issue returns for their orders. Return requests are put into a queue, so they can be conveniently processed.','http://my.x-cart.com/sites/default/files/addons/QSL/Returns/iconAlt.png','https://market.x-cart.com/addons/order-returns.html','','a:0:{}','a:2:{i:0;s:14:\"Administration\";i:1;s:11:\"Fulfillment\";}',1,0,12,0,0,0,'a:0:{}',21041,0,0,127,-1,0),(404,'ColorSwatches','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,816,125.00,'USD','5.3',4,7,1,1466020800,224256,0,'Color swatches','Qualiteam','The module displays product options, such as color, fabric or design as clickable color swatches or small images on the product page.','http://my.x-cart.com/sites/default/files/addons/QSL/ColorSwatches/iconAlt.png','https://market.x-cart.com/addons/color-swatches.html','','a:0:{}','a:2:{i:0;s:18:\"Catalog Management\";i:1;s:13:\"Design tweaks\";}',1,0,150,0,0,0,'a:0:{}',21042,0,0,127,-1,0),(405,'PriceCountdown','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,186,85.00,'USD','5.3',6,3,2,1466366400,171008,0,'Price countdown','Qualiteam','The module adds countdown widget to the product page, category page or cart page showing the number of days and hours/minutes/seconds left to the end of the offer.','http://my.x-cart.com/sites/default/files/addons/QSL/PriceCountdown/iconAlt.png','https://market.x-cart.com/addons/price-countdown.html','','a:0:{}','a:2:{i:0;s:9:\"Marketing\";i:1;s:15:\"Price modifiers\";}',1,1,200,0,0,0,'a:0:{}',21043,0,0,127,-1,0),(406,'XLSExportImport','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,501,85.00,'USD','5.3',3,4,2,1466020800,7654400,0,'Excel export / import','Qualiteam','The module adds an opportunity to export and import data in .xls (Excel 5), .xlsx (Excel 2007), .ods (OpenDocument) formats.','http://my.x-cart.com/sites/default/files/addons/QSL/XLSExportImport/iconAlt.png','https://market.x-cart.com/addons/excel-export-import.html','','a:0:{}','a:1:{i:0;s:18:\"Catalog Management\";}',1,0,0,0,0,0,'a:0:{}',21045,0,0,127,-1,0),(407,'Wufoo','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,38,39.00,'USD','5.3',3,0,1,1466020800,73728,0,'Wufoo - online forms','Qualiteam','Design forms in Wufoo and add them to your store static pages to collect various data from your customers.','http://my.x-cart.com/sites/default/files/addons/QSL/Wufoo/iconAlt.png','https://market.x-cart.com/addons/wufoo.html','','a:1:{i:0;s:14:\"CDev\\SimpleCMS\";}','a:1:{i:0;s:18:\"Payment processing\";}',1,0,0,0,0,0,'a:0:{}',21046,0,0,127,-1,0),(408,'Muut','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,5,39.00,'USD','5.3',2,0,2,1469563200,46592,0,'Muut - discussion system for your site [DEPRECATED]','Qualiteam','Add comment and forum widgets to your site product and static pages, build your community and gain more returning customers.','http://my.x-cart.com/sites/default/files/addons/QSL/Muut/iconAlt.png','https://market.x-cart.com/addons/muut.html','','a:1:{i:0;s:14:\"CDev\\SimpleCMS\";}','a:2:{i:0;s:6:\"Social\";i:1;s:15:\"User experience\";}',1,0,0,0,0,0,'a:0:{}',21053,0,0,127,-1,0),(409,'Pnyxe','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,5,39.00,'USD','5.3',2,0,1,1469563200,44544,0,'Pnyxe - forum and comment systems [DEPRECATED]','Qualiteam','Increase user engagement with Pnyxe which allows you to add forum widgets to static pages and comment widgets to product pages.','http://my.x-cart.com/sites/default/files/addons/QSL/Pnyxe/iconAlt.png','https://market.x-cart.com/addons/pnyxe.html','','a:1:{i:0;s:14:\"CDev\\SimpleCMS\";}','a:2:{i:0;s:6:\"Social\";i:1;s:15:\"User experience\";}',1,0,0,0,0,0,'a:0:{}',21052,0,0,127,-1,0),(410,'OneCategory','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,31,45.00,'USD','5.3',1,0,2,1469649600,25088,0,'One category','Qualiteam','The module disables categories functionality in the storefront, and all products from the store catalog are displayed on the homepage.','http://my.x-cart.com/sites/default/files/addons/QSL/OneCategory/iconAlt.png','https://market.x-cart.com/addons/one-category.html','','a:0:{}','a:1:{i:0;s:18:\"Catalog Management\";}',1,0,0,0,0,0,'a:0:{}',21050,0,0,127,-1,0),(411,'OneProduct','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,10,45.00,'USD','5.3',0,0,1,1469649600,47104,0,'One product [DEPRECATED]','Qualiteam','This module changes the store to fit businesses selling one product only. It disables categories block, search block, breadcrumbs, and turns homepage into the product page.','http://my.x-cart.com/sites/default/files/addons/QSL/OneProduct/iconAlt.png','https://market.x-cart.com/addons/one-product.html','','a:0:{}','a:1:{i:0;s:18:\"Catalog Management\";}',1,0,0,0,0,0,'a:0:{}',21051,0,0,127,-1,0),(412,'MigrationWizard','XC','helpdesk@x-cart.com',0,0,0,0,0.0000,0,1260,0.00,'USD','5.3',7,7,4,1469563200,972800,0,'Migration wizard (Beta)','X-Cart team','The module guarantees trouble-free migration from X-Cart 4 (version 4.4.0 or later) to X-Cart 5. It transfers data and settings, and as a result, you get a working store on a new platform within a few minutes.','http://my.x-cart.com/sites/default/files/addons/XC/MigrationWizard/icon.png','https://market.x-cart.com/addons/migration-wizard.html','','a:1:{i:0;s:15:\"XC\\OrdersImport\";}','a:3:{i:0;s:14:\"Administration\";i:1;s:18:\"Catalog Management\";i:2;s:9:\"Migration\";}',1,0,4,0,0,0,'a:0:{}',0,0,0,127,-1,0),(413,'Highlight','Webgility','sales@webgility.com',0,0,0,0,0.0000,0,88,0.00,'USD','5.3',1,0,0,1471809600,294400,0,'Highlight','Webgility','Highlight - Consolidate your multi-channel data and get a holistic view of your e-commerce business. See what matters to your business.','http://my.x-cart.com/sites/default/files/addons/Webgility/Highlight/iconAlt.png','https://market.x-cart.com/addons/quickBooks-pos-integration-by-webgility.html','','a:0:{}','a:0:{}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(414,'HoverImage','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,73,19.95,'USD','5.3',3,0,3,1471464000,54784,0,'Hover Image','Qualiteam','This module shows next product image on hover in a product list','http://my.x-cart.com/sites/default/files/addons/QSL/HoverImage/iconAlt.png','https://market.x-cart.com/addons/hover-image.html','','a:0:{}','a:2:{i:0;s:13:\"Design tweaks\";i:1;s:15:\"User experience\";}',1,0,10,0,0,0,'a:0:{}',21070,0,0,127,-1,0),(415,'CategoryDescription','CSI','support@cflsystems.com',0,0,0,0,0.0000,0,38,35.00,'USD','5.3',1,0,0,1473672439,47616,0,'Category Second Description','CFL Systems, Inc.','Category Second Description module adds an additional description field for categories.','http://my.x-cart.com/sites/default/files/addons/CSI/CategoryDescription/iconAlt.png','https://market.x-cart.com/addons/category-second-description-by-cfl-systems.html','','a:0:{}','a:4:{i:0;s:18:\"Catalog Management\";i:1;s:9:\"Marketing\";i:2;s:3:\"SEO\";i:3;s:15:\"User experience\";}',1,0,3,0,0,0,'a:0:{}',21088,0,0,127,-1,0),(416,'StandardRTLSkin','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,597,149.00,'USD','5.3',4,7,5,1473624000,166400,0,'RTL languages support','Qualiteam','The module adds RTL-languages support into the standard X-Cart skin.','http://my.x-cart.com/sites/default/files/addons/QSL/StandardRTLSkin/iconAlt.png','https://market.x-cart.com/addons/standard-rtl-skin.html','','a:0:{}','a:2:{i:0;s:13:\"Design tweaks\";i:1;s:15:\"User experience\";}',1,0,2,0,0,0,'a:0:{}',21089,0,0,127,-1,0),(417,'G2APay','G2APay','salesg2apay@g2a.com',0,0,0,0,0.0000,0,416,0.00,'USD','5.3',0,2,1,1474574400,71680,0,'G2A Pay','G2A Pay','G2A PAY, a global payment gateway offers a solution which accepts more than 200 payment methods to increase your conversion by connecting with an international audience. Your customers can use a reliable checkout to pay with their payment method of choice – be it a global or local option. Open the doors of your online store to a global community by localizing their buying experience wherever they choose to pay.','http://my.x-cart.com/sites/default/files/addons/G2APay/G2APay/iconAlt.png','https://market.x-cart.com/addons/g2a-pay.html','','a:0:{}','a:1:{i:0;s:18:\"Payment processing\";}',1,0,1,0,0,0,'a:0:{}',0,0,0,127,-1,0),(418,'AuthorizenetAcceptjs','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,684,0.00,'USD','5.3',15,8,3,1476907200,102400,0,'Authorize.Net Accept.js','Qualiteam','The module integrates your store with Authorize.Net Accept.js to accept payments in a PCI-DSS compliant way.','http://my.x-cart.com/sites/default/files/addons/QSL/AuthorizenetAcceptjs/iconAlt.png','https://market.x-cart.com/addons/authorize-net-accept-js.html','','a:0:{}','a:1:{i:0;s:18:\"Payment processing\";}',1,0,0,0,0,0,'a:0:{}',21120,0,0,127,-1,0),(419,'PaymentMemberships','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,239,99.00,'USD','5.3',0,2,0,1479067200,41984,0,'Memberships for payment methods','Qualiteam','Limit access to payment methods for your customers according to the membership levels the customers belong to.','http://my.x-cart.com/sites/default/files/addons/QSL/PaymentMemberships/iconAlt.png','https://market.x-cart.com/addons/memberships-for-payment-methods.html','','a:0:{}','a:1:{i:0;s:18:\"Payment processing\";}',1,0,0,0,0,0,'a:0:{}',21121,0,0,127,-1,0),(420,'AllForHome','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,102,149.00,'USD','5.3',0,9,0,1480017600,2113536,0,'All for Home','Qualiteam','Minimalist and neutral, this skin is perfect for any design you embark upon. And a wide variety of marketing options will impact your customers satisfaction.','http://my.x-cart.com/sites/default/files/addons/QSL/AllForHome/iconAlt.png','https://market.x-cart.com/ecommerce-templates/all-for-home.html','','a:0:{}','a:1:{i:0;s:9:\"Templates\";}',1,0,0,0,0,0,'a:0:{}',21130,0,0,127,-1,0),(421,'BlueSnap','XC','helpdesk@x-cart.com',0,0,0,0,0.0000,0,380,0.00,'USD','5.3',2,6,4,1480449600,204800,0,'BlueSnap Credit/Debit Card Payments','X-Cart team','BlueSnap is an all-in-one payment solution, providing both a merchant account and payment gateway designed to accelerate commerce for merchants selling globally. \r\n\r\nBy connecting your X-Cart store with BlueSnap, you can accept payments securely from shoppers around the world in their local currency. X-Cart merchants process credit and debit card transactions with a secure checkout form, which is displayed directly on your checkout page so shoppers never leave your store.\r\n\r\nIn addition, BlueSnap provides analytics and reporting to make it easy to identify opportunities for higher conversions.','http://my.x-cart.com/sites/default/files/addons/XC/BlueSnap/icon.png','https://market.x-cart.com/addons/blue-snap.html','','a:0:{}','a:1:{i:0;s:18:\"Payment processing\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(422,'CanadianTaxes','XC','helpdesk@x-cart.com',0,0,0,0,0.0000,0,689,0.00,'USD','5.3',2,2,4,1480449600,174080,0,'Canadian Taxes','X-Cart team','This module has been developed specially for calculating taxes in Canada (GST,PST,HST,QST). Once the module is enabled, you have all destination zones set up as well as provincial rates accordingly assigned.','http://my.x-cart.com/sites/default/files/addons/XC/CanadianTaxes/iconAlt.png','https://market.x-cart.com/addons/canadian-taxes.html','','a:0:{}','a:2:{i:0;s:21:\"Multi-vendor friendly\";i:1;s:5:\"Taxes\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(423,'FroalaEditor','XC','helpdesk@x-cart.com',0,0,0,0,0.0000,0,3206,0.00,'USD','5.3',2,1,4,1480449600,81920,0,'Froala WYSIWYG editor integration','X-Cart team','The new clean lightweight editor offers rich text editing capabilities. It’s fully compatible with X-Cart built-in Inline Editing tool.','http://my.x-cart.com/sites/default/files/addons/XC/FroalaEditor/iconAlt.png','https://market.x-cart.com/addons/froala-wysiwyg-editor-integration.html','','a:0:{}','a:1:{i:0;s:14:\"Administration\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(424,'OrdersImport','XC','helpdesk@x-cart.com',0,0,0,0,0.0000,0,1357,0.00,'USD','5.3',2,3,4,1480449600,81920,0,'Order import','X-Cart team','The module extends default import functionality and adds an opportunity to add new orders or edit existing orders using the import tool.','http://my.x-cart.com/sites/default/files/addons/XC/OrdersImport/icon.png','https://market.x-cart.com/addons/orders-import.html','','a:0:{}','a:1:{i:0;s:6:\"Orders\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(425,'AlcoholicBeverage','TemplateMonster','support@x-cart.com',0,0,0,0,0.0000,0,17,139.00,'USD','5.3',2,0,5,1480622400,3080192,0,'Alcoholic Beverage','TemplateMonster.com','This dark color scheme is a perfect choice for an alcoholic beverage store. Banner slides and drop-down menus are here to make your website even more appealing.','http://my.x-cart.com/sites/default/files/addons/TemplateMonster/AlcoholicBeverage/iconAlt.png','https://market.x-cart.com/ecommerce-templates/alcoholic-beverage.html','','a:0:{}','a:1:{i:0;s:9:\"Templates\";}',1,0,0,0,0,0,'a:0:{}',21131,0,0,127,-1,0),(426,'SportsClothesEquipment','TemplateMonster','support@x-cart.com',0,0,0,0,0.0000,0,52,139.00,'USD','5.3',2,0,5,1480622400,3479552,0,'Sports Clothes Equipment','TemplateMonster.com','Clean and modern, this theme is perfect for stores selling sports clothing &amp; equipment. A full-width slider, a parallax banner and other animated elements are here to retain your customers’ attention.','http://my.x-cart.com/sites/default/files/addons/TemplateMonster/SportsClothesEquipment/iconAlt.png','https://market.x-cart.com/ecommerce-templates/sports-clothes-equipment.html','','a:0:{}','a:1:{i:0;s:9:\"Templates\";}',1,0,0,0,0,0,'a:0:{}',21132,0,0,127,-1,0),(427,'TrustedVendors','XC','helpdesk@x-cart.com',0,0,0,0,0.0000,0,282,0.00,'USD','5.3',2,2,4,1480449600,153600,1,'Trusted/Non-trusted vendors','X-Cart team','The module allows the admin to mark vendors as trusted and non-trusted.  Products added by the trusted vendors will be visible to your store visitors right away, those of non-trusted vendors will appear on the storefront only after the approval.','http://my.x-cart.com/sites/default/files/addons/XC/TrustedVendors/iconAlt.png','https://market.x-cart.com/addons/trusted-vendors.html','','a:1:{i:0;s:14:\"XC\\MultiVendor\";}','a:3:{i:0;s:14:\"Administration\";i:1;s:18:\"Catalog Management\";i:2;s:21:\"Multi-vendor friendly\";}',1,0,0,0,0,2,'a:2:{i:0;s:18:\"20598_Multi-vendor\";i:1;s:18:\"536881125_Ultimate\";}',0,0,0,127,-1,0),(428,'Fireworks','TemplateMonster','support@x-cart.com',0,0,0,0,0.0000,0,161,139.00,'USD','5.3',1,3,3,1480622400,1783296,0,'Fireworks','TemplateMonster.com','This flat high-contrast theme is a perfect fit for stores selling fireworks and car accessories. A full-width slider, semi-transparent bars and bright colors showcase your products in the most enticing way.','http://my.x-cart.com/sites/default/files/addons/TemplateMonster/Fireworks/iconAlt.png','https://market.x-cart.com/ecommerce-templates/fireworks.html','','a:0:{}','a:1:{i:0;s:9:\"Templates\";}',1,0,0,0,0,0,'a:0:{}',21135,0,0,127,-1,0),(429,'ScubaDivingEquipment','TemplateMonster','support@x-cart.com',0,0,0,0,0.0000,0,13,139.00,'USD','5.3',2,0,3,1480622400,5277184,0,'Scuba Diving Equipment','TemplateMonster.com','Clean and modern, Scuba Diving Equipment theme is the right choice for stores selling scuba diving gear other sporting goods. Animated elements, cloud zoom and full-width slider are here to grab your users’ attention.','http://my.x-cart.com/sites/default/files/addons/TemplateMonster/ScubaDivingEquipment/iconAlt.png','https://market.x-cart.com/ecommerce-templates/scuba-diving-equipment.html','','a:0:{}','a:1:{i:0;s:9:\"Templates\";}',1,0,0,0,0,0,'a:0:{}',21133,0,0,127,-1,0),(430,'ShowRoom','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,41,225.00,'USD','5.3',2,1,0,1480536000,478208,0,'Show Room [DEPRECATED]','Qualiteam','Convert a category image into a clickable Showroom - show your products in action! A great tool for furniture stores, as well as for apparel and fashion industry.','http://my.x-cart.com/sites/default/files/addons/QSL/ShowRoom/iconAlt.png','https://market.x-cart.com/addons/showroom.html','','a:0:{}','a:2:{i:0;s:9:\"Marketing\";i:1;s:8:\"Products\";}',1,0,0,0,0,0,'a:0:{}',21134,0,0,127,-1,0),(431,'ChristmasDecor','PerceptionSystemPvtLtd','xcart@perceptionsystem.com',0,0,0,0,0.0000,0,5,19.90,'USD','5.3',0,0,0,1480881600,91136,0,'X-Cart Christmas Decoration','Perception System Pvt. Ltd.','Our Christmas Decoration X-Cart Module provide facility to introduce festival Christmas look for your X-Cart store. This Christmas decoration module provide three layers of Snow Flake effects with body and header background images which you can upload it from back-end and also many more different admin manageable configurations available.','http://my.x-cart.com/sites/default/files/addons/PerceptionSystemPvtLtd/ChristmasDecor/iconAlt.png','https://market.x-cart.com/addons/x-cart-christmas-decoration.html','','a:0:{}','a:2:{i:0;s:13:\"Design tweaks\";i:1;s:9:\"Marketing\";}',1,0,0,0,0,0,'a:0:{}',21137,0,0,127,-1,0),(432,'XCartCDN','CSI','support@cflsystems.com',0,0,0,0,0.0000,0,96,45.00,'USD','5.3',0,3,5,1481227200,114688,0,'XCartCDN','CFL Systems, Inc.','This module allows you to setup your store to use CDN for images, css and js files.','http://my.x-cart.com/sites/default/files/addons/CSI/XCartCDN/iconAlt.png','https://market.x-cart.com/addons/xcartcdn-by-cfl-systems.html','','a:0:{}','a:3:{i:0;s:18:\"Catalog Management\";i:1;s:3:\"SEO\";i:2;s:15:\"User experience\";}',1,0,0,0,0,0,'a:0:{}',21138,0,0,127,-1,0),(433,'SocialLogin','STaM','support@kinvasoft.com',0,0,0,0,0.0000,0,9,39.99,'USD','5.3',2,0,0,1482091200,94720,0,'Login with Vk.com / Ok.ru','STaM LLC','The module allows your customers to sign in with their Odnoklassniki and VKontakte accounts.','http://my.x-cart.com/sites/default/files/addons/STaM/SocialLogin/iconAlt.png','https://market.x-cart.com/addons/login-social-odnoklassniki-vkontakte.html','','a:1:{i:0;s:16:\"CDev\\SocialLogin\";}','a:2:{i:0;s:10:\"Accounting\";i:1;s:6:\"Social\";}',1,0,0,0,0,0,'a:0:{}',21136,0,0,127,-1,0),(434,'QRCodeGenerator','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,540,0.00,'USD','5.3',1,0,0,1481572800,150016,0,'QR Code Generator','Qualiteam','Generate and display QR codes.','http://my.x-cart.com/sites/default/files/addons/QSL/QRCodeGenerator/iconAlt.png','https://market.x-cart.com/addons/qr-code-generator.html','','a:0:{}','a:0:{}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(435,'JsonApi','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,398,0.00,'USD','5.3',2,0,0,1481572800,428032,0,'JSON API','Qualiteam','Allows external services to access your shop data using popular JSON format.','http://my.x-cart.com/sites/default/files/addons/QSL/JsonApi/iconAlt.png','','','a:0:{}','a:0:{}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(436,'TrendyFashion','TemplateMonster','support@x-cart.com',0,0,0,0,0.0000,0,36,139.00,'USD','5.3',1,1,4,1481832000,2082304,0,'Trendy Fashion','TemplateMonster.com','Stylish and neat, with neutral soft beige accents, this template is a perfect fit for fashion stores.\n','http://my.x-cart.com/sites/default/files/addons/TemplateMonster/TrendyFashion/iconAlt.png','https://market.x-cart.com/ecommerce-templates/trendy-fashion.html','','a:0:{}','a:1:{i:0;s:9:\"Templates\";}',1,0,0,0,0,0,'a:0:{}',21145,0,0,127,-1,0),(437,'Backorder','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,509,99.00,'USD','5.3',5,3,3,1482350400,168448,0,'Backorder / Preorder','Qualiteam','Allow customers to purchase products that are not in stock at the moment and ship these goods to them upon arrival.','http://my.x-cart.com/sites/default/files/addons/QSL/Backorder/iconAlt.png','https://market.x-cart.com/addons/backorder-preorder.html','','a:0:{}','a:1:{i:0;s:18:\"Catalog Management\";}',1,0,0,0,0,0,'a:0:{}',21165,0,0,127,-1,0),(438,'MakeAnOffer','CSI','support@cflsystems.com',0,0,0,0,0.0000,0,68,65.00,'USD','5.3',2,1,4,1483387200,267264,0,'Make an Offer','CFL Systems, Inc.','Make an Offer module allows customers to submit an offer to purchase listed products and services.','http://my.x-cart.com/sites/default/files/addons/CSI/MakeAnOffer/iconAlt.png','https://market.x-cart.com/addons/make-an-offer-by-cfl-systems.html','','a:0:{}','a:4:{i:0;s:18:\"Catalog Management\";i:1;s:15:\"Price modifiers\";i:2;s:8:\"Products\";i:3;s:15:\"User experience\";}',1,0,0,0,0,0,'a:0:{}',21166,0,0,127,-1,0),(439,'PriceMatchRequest','CSI','support@cflsystems.com',0,0,0,0,0.0000,0,69,65.00,'USD','5.3',2,1,4,1483387200,268288,0,'Price Match Request','CFL Systems, Inc.','Price Match Request add-on allows customers to submit a request for price match based on competitor\'s product price.','http://my.x-cart.com/sites/default/files/addons/CSI/PriceMatchRequest/iconAlt.png','https://market.x-cart.com/addons/price-match-request-by-cfl-systems.html','','a:0:{}','a:4:{i:0;s:18:\"Catalog Management\";i:1;s:15:\"Price modifiers\";i:2;s:8:\"Products\";i:3;s:15:\"User experience\";}',1,0,0,0,0,0,'a:0:{}',21167,0,0,127,-1,0),(440,'PreorderSales','Webkulsoftware','support@webkul.com',0,0,0,0,0.0000,0,70,99.00,'USD','5.3',2,0,0,1483992000,183296,0,'Preorder','Webkul Software Pvt. Ltd.','This spectacular add-on benefits the store customers to place an order in advance for products which are yet to be released or have low inventory i.e. zero. This extension will help users to publish products in their store before they become available to customers and also give the idea about the inventory of people interested in buying the products.','http://my.x-cart.com/sites/default/files/addons/Webkulsoftware/PreorderSales/iconAlt.png','https://market.x-cart.com/addons/preorder.html','','a:0:{}','a:4:{i:0;s:14:\"Administration\";i:1;s:6:\"Orders\";i:2;s:9:\"Marketing\";i:3;s:8:\"Products\";}',1,0,0,0,0,0,'a:0:{}',21168,0,0,127,-1,0),(441,'twitter','Xmods','xcart.customize@gmail.com',0,0,0,0,0.0000,0,1,7.00,'USD','5.3',0,0,0,1483992000,37376,0,'Import My Latest Twit to Sidebar','Xmods [xcart developer]','Imports a Latest Twitter Post to xcart 5 Sidebar','http://my.x-cart.com/sites/default/files/addons/Xmods/twitter/iconAlt.png','https://market.x-cart.com/addons/import-my-latest-twit-to-sidebar.html','','a:0:{}','a:0:{}',1,0,0,0,0,0,'a:0:{}',21169,0,0,127,-1,0),(442,'FuturePay','FuturePay','bizdev@futurepay.com',0,0,0,0,0.0000,0,138,0.00,'USD','5.3',4,0,3,1484942400,178688,0,'FuturePay','FuturePay','FuturePay is a streamlined payment option that lets your customers buy now and pay later – without a credit card. With just one click, your customers can apply for a FuturePay account and if approved complete their purchase, all without ever leaving your cart. ','http://my.x-cart.com/sites/default/files/addons/FuturePay/FuturePay/iconAlt.png','https://market.x-cart.com/addons/futurepay.html','','a:0:{}','a:3:{i:0;s:8:\"Checkout\";i:1;s:15:\"Mobile Commerce\";i:2;s:18:\"Payment processing\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(443,'ProductsMap','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,42,65.00,'USD','5.3',2,0,2,1485374400,39424,0,'Products Map','Qualiteam','Product Map module adds an alphabetic A-Z first letter search to your storefront. The A-Z buttons appear on the top of the page. When a customer clicks on any of the letters, he gets a list of products whose names start with the selected letter','http://my.x-cart.com/sites/default/files/addons/QSL/ProductsMap/iconAlt.png','https://market.x-cart.com/addons/products-map.html','','a:0:{}','a:2:{i:0;s:8:\"Products\";i:1;s:21:\"Search and Navigation\";}',1,0,3,0,0,0,'a:0:{}',21173,0,0,127,-1,0),(444,'Concierge','XC','',0,0,0,0,0.0000,0,4253,0.00,'USD','5.3',1,5,3,-10800,174080,0,'Concierge','X-Cart team','This module helps X-Cart team to improve merchants experience, track errors and make X-Cart better.','http://my.x-cart.com/sites/default/files/addons/XC/Concierge/icon.png','','','a:0:{}','a:1:{i:0;s:14:\"Administration\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(445,'The80sMod','JThemesStudio','support@x-cart.com',0,0,0,0,0.0000,0,126,139.00,'USD','5.3',1,2,4,1485806400,4017152,0,'80\'s mod','JThemesStudio','This elegant responsive theme is designed for fashion shop, watch shop, jewelry and others. It supports 3 different homepage variants and offers many appearance settings.','http://my.x-cart.com/sites/default/files/addons/JThemesStudio/The80sMod/iconAlt.png','https://market.x-cart.com/ecommerce-templates/80-s-mod.html','','a:0:{}','a:1:{i:0;s:9:\"Templates\";}',1,0,0,0,0,0,'a:0:{}',21202,0,0,127,-1,0),(446,'reCAPTCHA','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,238,99.00,'USD','5.3',1,0,0,1487707200,135168,0,'Google reCAPTCHA','Qualiteam','Integrates with Google reCAPTCHA service that protects your site from spam and abuse. It uses advanced risk analysis techniques to tell humans and bots apart.','http://my.x-cart.com/sites/default/files/addons/QSL/reCAPTCHA/iconAlt.png','https://market.x-cart.com/addons/google-recaptcha.html','','a:0:{}','a:1:{i:0;s:8:\"Security\";}',1,0,0,0,0,0,'a:0:{}',21206,0,0,127,-1,0),(448,'PayFort','XC','helpdesk@x-cart.com',0,0,0,0,0.0000,0,75,0.00,'USD','5.3',0,1,0,1489780800,81920,0,'PayFort','X-Cart team','Integrate your store with Payfort, PCI DSS compliant payment system. For merchants from United Arab Emirates, Egypt, Saudi Arabia, Jordan, Lebanon, Qatar, Kuwait.','http://my.x-cart.com/sites/default/files/addons/XC/PayFort/iconAlt.png','https://market.x-cart.com/addons/payfort.html','','a:0:{}','a:1:{i:0;s:18:\"Payment processing\";}',1,0,4,0,0,0,'a:0:{}',0,0,0,127,-1,0),(449,'OneClickUpsellAfterCheckout','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,16,99.00,'USD','5.3',0,0,2,1490212800,40448,0,'Post-checkout upsell','Qualiteam','This extension enables a product recommendation popup that appears only after the checkout process is finished, right above the invoice. Оnce the recommended product is added to cart, the customer is redirected to checkout page right away, with all the info pre-completed based on the previous order - the only action required is to press “Place Order” button once again. Buying the item you sell fast on the heels is a matter of only two clicks for a buyer, yay!','http://my.x-cart.com/sites/default/files/addons/QSL/OneClickUpsellAfterCheckout/iconAlt.png','https://market.x-cart.com/addons/post-checkout-upsell.html','','a:1:{i:0;s:12:\"XC\\Upselling\";}','a:2:{i:0;s:8:\"Checkout\";i:1;s:8:\"Products\";}',1,1,220,0,0,0,'a:0:{}',21212,0,0,127,-1,0),(450,'OAuth2Client','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,81,99.00,'USD','5.3',1,1,3,1490299200,2704384,0,'Single Sign-On with OAuth 2','Qualiteam','Let your visitors use their accounts from other applications to log in and register in your store. Support Facebook, Google, LinkedIn, Instagram, PayPal or any other identity provider working with the OAuth 2.0 protocol','http://my.x-cart.com/sites/default/files/addons/QSL/OAuth2Client/iconAlt.png','https://market.x-cart.com/addons/single-sign-on-with-oauth-2.html','','a:0:{}','a:1:{i:0;s:6:\"Social\";}',1,0,30,0,0,0,'a:0:{}',21213,0,0,127,-1,0),(451,'AdvancedAddress','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,169,99.00,'USD','5.3',4,2,3,1490299200,1024000,0,'Checkout Address Autocomplete and Restrictions','Qualiteam','Optimize checkout for your customers: enable the shipping and billing address auto-completion with reliable and trusted Google API. Besides, you will be able to exclude undesired addresses by restricting particular cities and zip-codes.','http://my.x-cart.com/sites/default/files/addons/QSL/AdvancedAddress/iconAlt.png','https://market.x-cart.com/addons/checkout-address-autocomplete-and-restrictions.html','','a:0:{}','a:2:{i:0;s:8:\"Checkout\";i:1;s:8:\"Shipping\";}',1,0,40,0,0,0,'a:0:{}',21214,0,0,127,-1,0),(452,'Smile','JThemesStudio','support@x-cart.com',0,0,0,0,0.0000,0,48,139.00,'USD','5.3',1,4,3,1491249600,2645504,0,'Smile','JThemesStudio','Clean and modern skin with many functions and suits any of your shop.','http://my.x-cart.com/sites/default/files/addons/JThemesStudio/Smile/iconAlt.png','https://market.x-cart.com/ecommerce-templates/smile.html','','a:0:{}','a:1:{i:0;s:9:\"Templates\";}',1,0,0,0,0,0,'a:0:{}',21216,0,0,127,-1,0),(453,'WebPushNotification','Webkulsoftware','support@webkul.com',0,0,0,0,0.0000,0,9,99.00,'USD','5.3',1,0,0,1491422400,118784,0,'Web Push Notification','Webkul Software Pvt. Ltd.','WebPushNotification is a type of module which can help to send a notification message using the web to the subscribed user. That module has version 1.0 right now.','http://my.x-cart.com/sites/default/files/addons/Webkulsoftware/WebPushNotification/iconAlt.png','https://market.x-cart.com/addons/web-push-notification.html','','a:0:{}','a:3:{i:0;s:14:\"Administration\";i:1;s:9:\"Marketing\";i:2;s:15:\"User experience\";}',1,0,8,0,0,0,'a:0:{}',21218,0,0,127,-1,0),(454,'GoogleOptimize','STaM','support@kinvasoft.com',0,0,0,0,0.0000,0,26,25.00,'USD','5.3',0,2,0,1491768000,30208,0,'Google Optimize','STaM LLC','Google Optimize','http://my.x-cart.com/sites/default/files/addons/STaM/GoogleOptimize/iconAlt.png','https://market.x-cart.com/addons/google-optimize.html','','a:1:{i:0;s:20:\"CDev\\GoogleAnalytics\";}','a:2:{i:0;s:13:\"Design tweaks\";i:1;s:9:\"Marketing\";}',1,0,0,0,0,0,'a:0:{}',21219,0,0,127,-1,0),(455,'GCR','CSI','support@cflsystems.com',0,0,0,0,0.0000,0,71,55.00,'USD','5.3',1,0,0,1494878400,60416,0,'Google Customer Reviews Integration','CFL Systems, Inc.','Integrate your store with Google Customer Reviews.','http://my.x-cart.com/sites/default/files/addons/CSI/GCR/iconAlt.png','https://market.x-cart.com/addons/google-customer-reviews-integration-by-cfl-systems.html','','a:0:{}','a:2:{i:0;s:9:\"Marketing\";i:1;s:15:\"User experience\";}',1,0,0,0,0,0,'a:0:{}',21221,0,0,127,-1,0),(456,'SEOCheck','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,102,65.00,'USD','5.3',0,5,0,1495569600,162816,0,'SEO Health Check','Qualiteam','This module helps you find common SEO issues on your website and provides recommendations on improving your SEO performance.','http://my.x-cart.com/sites/default/files/addons/QSL/SEOCheck/iconAlt.png','https://market.x-cart.com/addons/seo-check.html','','a:0:{}','a:2:{i:0;s:14:\"Administration\";i:1;s:3:\"SEO\";}',1,1,260,0,0,0,'a:0:{}',21223,0,0,127,-1,0),(457,'BuyButton','XC','helpdesk@x-cart.com',0,0,0,0,0.0000,0,1139,0.00,'USD','5.3',1,5,3,1495742400,204800,1,'Buy button','X-Cart team','The module generates embed code to add your products with a “Buy” button to a newsletter, your blog and any other website or platform.','http://my.x-cart.com/sites/default/files/addons/XC/BuyButton/icon.png','https://market.x-cart.com/addons/buy-button.html','','a:0:{}','a:1:{i:0;s:14:\"Sales Channels\";}',1,1,320,0,0,2,'a:3:{i:0;s:12:\"391_Business\";i:1;s:18:\"20598_Multi-vendor\";i:2;s:18:\"536881125_Ultimate\";}',0,0,0,127,20,0),(458,'FacebookMarketing','XC','helpdesk@x-cart.com',0,0,0,0,0.0000,0,740,0.00,'USD','5.3',0,2,3,1495742400,184320,1,'Facebook E-Commerce','X-Cart team','This add-on syncs your X-Cart and your Facebook catalogs to help you make maximum use of Facebook Marketing tools having your products promoted to the right audience in the right place at the right time.','http://my.x-cart.com/sites/default/files/addons/XC/FacebookMarketing/icon.png','https://market.x-cart.com/addons/facebook-e-commerce.html','','a:0:{}','a:3:{i:0;s:9:\"Marketing\";i:1;s:21:\"Multi-vendor friendly\";i:2;s:14:\"Sales Channels\";}',1,1,330,0,0,2,'a:3:{i:0;s:12:\"391_Business\";i:1;s:18:\"20598_Multi-vendor\";i:2;s:18:\"536881125_Ultimate\";}',0,0,0,127,50,0),(459,'GiftWrapping','XC','helpdesk@x-cart.com',0,0,0,0,0.0000,0,161,0.00,'USD','5.3',0,1,3,1495742400,122880,1,'Gift wrapping','X-Cart team','The module allows adding a gift wrapping and a greeting message to the order on checkout.','http://my.x-cart.com/sites/default/files/addons/XC/GiftWrapping/icon.png','https://market.x-cart.com/addons/gift-wrapping.html','','a:0:{}','a:3:{i:0;s:18:\"Catalog Management\";i:1;s:11:\"Fulfillment\";i:2;s:6:\"Orders\";}',1,1,310,0,0,2,'a:3:{i:0;s:12:\"391_Business\";i:1;s:18:\"20598_Multi-vendor\";i:2;s:18:\"536881125_Ultimate\";}',0,0,0,127,-1,0),(460,'GoogleTagManager','XC','helpdesk@x-cart.com',0,0,0,0,0.0000,0,488,0.00,'USD','5.3',0,1,3,1495742400,61440,1,'Google Tag Manager','X-Cart team','The module integrates your X-Cart store with Google Tag Manager – a free and yet powerful marketing tool for analytics, remarketing and conversions tracking. The feature is of great help if you want to understand your customers better and take decisions on your site improvement faster due to possessing all the necessary information for it at hand.','http://my.x-cart.com/sites/default/files/addons/XC/GoogleTagManager/iconAlt.png','https://market.x-cart.com/addons/google-tag-manager.html','','a:0:{}','a:2:{i:0;s:9:\"Marketing\";i:1;s:10:\"Statistics\";}',1,0,0,0,0,2,'a:4:{i:0;s:14:\"536881128_Free\";i:1;s:12:\"391_Business\";i:2;s:18:\"20598_Multi-vendor\";i:3;s:18:\"536881125_Ultimate\";}',0,0,0,127,-1,0),(461,'Trial','XC','',0,0,0,0,0.0000,0,28,0.00,'USD','5.3',1,0,0,0,153600,0,'Trial','X-Cart team','TODO','http://my.x-cart.com/sites/default/files/addons/default_icon.png','','','a:0:{}','a:0:{}',1,0,0,1,0,0,'a:0:{}',0,0,0,127,-1,0),(462,'Paytm','PerceptionSystemPvtLtd','xcart@perceptionsystem.com',0,0,0,0,0.0000,0,3,29.00,'USD','5.3',0,0,0,1496001600,43520,0,'Paytm PG','Perception System Pvt. Ltd.','Paytm is a secure, fast and flexible online payment system for merchants from India. The module integrates your X-Cart store with Paytm Payment Gateway.','http://my.x-cart.com/sites/default/files/addons/PerceptionSystemPvtLtd/Paytm/iconAlt.png','https://market.x-cart.com/addons/paytm-payment-module-by-perception-system.html','','a:0:{}','a:3:{i:0;s:8:\"Checkout\";i:1;s:6:\"Orders\";i:2;s:18:\"Payment processing\";}',1,0,0,0,1,0,'a:0:{}',21224,0,0,127,-1,0),(463,'GoShop','JThemesStudio','support@x-cart.com',0,0,0,0,0.0000,0,170,139.00,'USD','5.3',0,18,3,1496088000,3609088,0,'GoShop','JThemesStudio','GoShop is uniquely designed for those who believe that there is beauty in simplicity. Create an attractive, simple, yet elegant eCommerce website.','http://my.x-cart.com/sites/default/files/addons/JThemesStudio/GoShop/iconAlt.png','https://market.x-cart.com/ecommerce-templates/goshop.html','','a:0:{}','a:1:{i:0;s:9:\"Templates\";}',1,0,0,0,0,0,'a:0:{}',21226,0,0,127,-1,0),(464,'CustomMessages','CSI','support@cflsystems.com',0,0,0,0,0.0000,0,36,75.00,'USD','5.3',2,1,0,1496952000,240128,0,'Custom Site Messages','CFL Systems, Inc.','Show custom messages to customers based on country, shipping and/or billing address, page, and more.','http://my.x-cart.com/sites/default/files/addons/CSI/CustomMessages/iconAlt.png','https://market.x-cart.com/addons/custom-site-messages-by-cfl-systems.html','','a:0:{}','a:2:{i:0;s:8:\"Checkout\";i:1;s:15:\"User experience\";}',1,1,340,0,0,0,'a:0:{}',21229,0,0,127,-1,0),(465,'BrazilianPortugueseTranslation','CarvalhoLO','quimeralinks@gmail.com',0,0,0,0,0.0000,0,8,30.00,'USD','5.3',0,0,0,1497556800,625664,0,'Translation: Brazilian Portuguese','Leonardo olivieri Carvalho','Human made brazilian portuguese translation.\n\nAll the labels are revised 3 times.\nKeeps the functionality of the X-Cart platform intact.\nIt translates both the administrative part and the front of the store.\n\nLeonardo Olivieri Carvalho','http://my.x-cart.com/sites/default/files/addons/CarvalhoLO/BrazilianPortugueseTranslation/iconAlt.png','https://market.x-cart.com/addons/translation-brazilian-portuguese.html','','a:0:{}','a:1:{i:0;s:11:\"Translation\";}',1,0,0,0,0,0,'a:0:{}',21230,0,0,127,-1,0),(466,'Organica','TemplateMonster','support@x-cart.com',0,0,0,0,0.0000,0,94,139.00,'USD','5.3',4,5,5,1497556800,2523648,0,'Organica','TemplateMonster.com','The stylish and clear template with green accents','http://my.x-cart.com/sites/default/files/addons/TemplateMonster/Organica/iconAlt.png','https://market.x-cart.com/ecommerce-templates/organic.html','','a:0:{}','a:1:{i:0;s:9:\"Templates\";}',1,0,0,0,0,0,'a:0:{}',21231,0,0,127,-1,0),(467,'AdvancedContactUs','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,96,69.00,'USD','5.3',3,0,0,1498075200,146432,0,'Advanced Contact Us Form','Qualiteam','The module creates a new Contact Us page in your store and this page can be flexibly changed according to your needs. Add, remove and re-arrange fields in the form; add store map and more.','http://my.x-cart.com/sites/default/files/addons/QSL/AdvancedContactUs/iconAlt.png','https://market.x-cart.com/addons/advanced-contact-us-form.html','','a:0:{}','a:2:{i:0;s:13:\"Design tweaks\";i:1;s:15:\"User experience\";}',1,1,300,0,0,0,'a:0:{}',21234,0,0,127,-1,0),(468,'GoDataFeed','XC','helpdesk@x-cart.com',0,0,0,0,0.0000,0,161,0.00,'USD','5.3',0,0,3,1476129600,71680,0,'GoDataFeed','X-Cart team','GoDataFeed is the powerful multichannel feed management solution that\'s also easy to use. With 200+ seamless integrations, a full suite of listing tools and ecommerce experts on support, GoDataFeed is the easiest, most effective way to get your products everywhere.','http://my.x-cart.com/sites/default/files/addons/XC/GoDataFeed/iconAlt.png','https://market.x-cart.com/addons/product-data-feeds.html','','a:0:{}','a:5:{i:0;s:18:\"Catalog Management\";i:1;s:9:\"Marketing\";i:2;s:21:\"Multi-vendor friendly\";i:3;s:8:\"Products\";i:4;s:14:\"Sales Channels\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,60,0),(469,'Magic360','MagicToolbox','support@magictoolbox.com',0,0,0,0,0.0000,0,4,169.00,'USD','5.3',6,0,0,1499976000,361984,0,'Magic 360 for X-Cart 5','Magic Toolbox','Spin products in 360 degrees to give customers complete confidence.','http://my.x-cart.com/sites/default/files/addons/MagicToolbox/Magic360/iconAlt.png','https://market.x-cart.com/addons/magic-360-for-x-cart-5.html','','a:0:{}','a:3:{i:0;s:13:\"Design tweaks\";i:1;s:11:\"Development\";i:2;s:8:\"Products\";}',1,0,0,0,1,0,'a:0:{}',21240,0,0,127,-1,0),(470,'MagicScroll','MagicToolbox','support@magictoolbox.com',0,0,0,0,0.0000,0,27,49.00,'USD','5.3',6,0,0,1500062400,433152,0,'Magic Scroll for X-Cart 5','Magic Toolbox','Effortlessly scroll through images on your product pages.','http://my.x-cart.com/sites/default/files/addons/MagicToolbox/MagicScroll/iconAlt.png','https://market.x-cart.com/addons/magic-scroll-for-x-cart-5.html','','a:0:{}','a:3:{i:0;s:13:\"Design tweaks\";i:1;s:11:\"Development\";i:2;s:8:\"Products\";}',1,0,0,0,1,0,'a:0:{}',21242,0,0,127,-1,0),(471,'MagicSlideshow','MagicToolbox','support@magictoolbox.com',0,0,0,0,0.0000,0,40,49.00,'USD','5.3',6,0,0,1500062400,463872,0,'Magic Slideshow for X-Cart 5','Magic Toolbox','Display one image after another with this responsive product slideshow. Choose from 14 effects including the classics fade and slide.','http://my.x-cart.com/sites/default/files/addons/MagicToolbox/MagicSlideshow/iconAlt.png','https://market.x-cart.com/addons/magic-slideshow-for-x-cart-5.html','','a:0:{}','a:3:{i:0;s:13:\"Design tweaks\";i:1;s:11:\"Development\";i:2;s:8:\"Products\";}',1,0,0,0,1,0,'a:0:{}',21243,0,0,127,-1,0),(472,'MagicZoom','MagicToolbox','support@magictoolbox.com',0,0,0,0,0.0000,0,16,49.00,'USD','5.3',6,0,0,1499025600,583168,0,'Magic Zoom for X-Cart 5','Magic Toolbox','Zoom or magnify into product images when you hover over an image. A beautiful effect.','http://my.x-cart.com/sites/default/files/addons/MagicToolbox/MagicZoom/iconAlt.png','https://market.x-cart.com/addons/magic-zoom-for-x-cart-5.html','','a:0:{}','a:3:{i:0;s:13:\"Design tweaks\";i:1;s:11:\"Development\";i:2;s:8:\"Products\";}',1,0,0,0,1,0,'a:0:{}',21238,0,0,127,-1,0),(473,'SparePartsStore','TemplateMonster','support@x-cart.com',0,0,0,0,0.0000,0,79,139.00,'USD','5.3',1,0,5,1501099200,3452928,0,'Spare Parts Store','TemplateMonster.com','This professionally designed theme will be a perfect fit for building websites for automotive business and auto parts stores. A clean and structured layout makes the content look clear and readable. This auto parts template features a fully responsive design and automatically adapts to all screen resolutions on the fly.','http://my.x-cart.com/sites/default/files/addons/TemplateMonster/SparePartsStore/iconAlt.png','https://market.x-cart.com/ecommerce-templates/spare-parts-store.html','','a:0:{}','a:1:{i:0;s:9:\"Templates\";}',1,0,0,0,0,0,'a:0:{}',21245,0,0,127,-1,0),(474,'Furniture','TemplateMonster','support@x-cart.com',0,0,0,0,0.0000,0,25,139.00,'USD','5.3',0,1,3,1501444800,2396672,0,'Furniture','TemplateMonster.com','This cutting-edge template with a well-structured and easy to navigate layout can become a perfect fit for almost any type of business. It’s universal and can be easily tweaked to create a unique and special mood in your store. It’s 100% mobile and SEO ready, as well as fully compatible with all popular browsers.','http://my.x-cart.com/sites/default/files/addons/TemplateMonster/Furniture/iconAlt.png','https://market.x-cart.com/ecommerce-templates/furniture.html','','a:0:{}','a:1:{i:0;s:9:\"Templates\";}',1,0,0,0,0,0,'a:0:{}',21246,0,0,127,-1,0),(475,'Twen','TemplateMonster','support@x-cart.com',0,0,0,0,0.0000,0,20,139.00,'USD','5.3',0,2,3,1501444800,3415040,0,'Twen','TemplateMonster.com','Twen is a responsive theme released specifically for fashion stores. Ajax cart and quick view option will help you make a shopping experience much more comfortable.','http://my.x-cart.com/sites/default/files/addons/TemplateMonster/Twen/iconAlt.png','https://market.x-cart.com/ecommerce-templates/twen.html','','a:0:{}','a:1:{i:0;s:9:\"Templates\";}',1,0,0,0,0,0,'a:0:{}',21247,0,0,127,-1,0),(476,'Multistore','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,468,149.00,'USD','5.3',2,12,5,1501790400,2442752,0,'Multistore','Qualiteam','Modern, light and clear with a lot of white spacing, this theme can be classified as all-business. It\'s a perfect fit for marketplaces.','http://my.x-cart.com/sites/default/files/addons/QSL/Multistore/iconAlt.png','https://market.x-cart.com/ecommerce-templates/multistore.html','','a:0:{}','a:1:{i:0;s:9:\"Templates\";}',1,0,0,0,0,0,'a:0:{}',21248,0,0,127,-1,0),(477,'BraintreeVZ','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,665,0.00,'USD','5.3',4,2,0,1501790400,891392,0,'PayPal powered by Braintree','Qualiteam','Braintree is a full-stack payments platform that makes it easy to accept payments in your app or website. The service replaces the traditional model of sourcing a payment gateway and merchant account from different providers.','http://my.x-cart.com/sites/default/files/addons/QSL/BraintreeVZ/iconAlt.png','https://market.x-cart.com/addons/paypal-powered-by-braintree.html','','a:0:{}','a:2:{i:0;s:21:\"Multi-vendor friendly\";i:1;s:18:\"Payment processing\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(478,'Mayleen','TemplateMonster','support@x-cart.com',0,0,0,0,0.0000,0,5,139.00,'USD','5.3',1,0,3,1502049600,2562048,0,'Mayleen','TemplateMonster.com','This contemporary, clean and light theme is a perfect fit for stores selling clothes, jewellery and other fashion items.','http://my.x-cart.com/sites/default/files/addons/TemplateMonster/Mayleen/iconAlt.png','https://market.x-cart.com/ecommerce-templates/mayleen.html','','a:0:{}','a:1:{i:0;s:9:\"Templates\";}',1,0,0,0,0,0,'a:0:{}',21249,0,0,127,-1,0),(479,'Zapier','XC','helpdesk@x-cart.com',0,0,0,0,0.0000,0,226,0.00,'USD','5.3',1,4,4,1502222400,163840,0,'Zapier','X-Cart team','The addon integrates X-Cart and Zapier to help you automate data transfer between your store and 3rd party applications based on predefined triggers and actions.','http://my.x-cart.com/sites/default/files/addons/XC/Zapier/icon.png','https://market.x-cart.com/addons/zapier.html','','a:1:{i:0;s:10:\"XC\\RESTAPI\";}','a:4:{i:0;s:14:\"Administration\";i:1;s:11:\"Development\";i:2;s:21:\"Multi-vendor friendly\";i:3;s:15:\"User experience\";}',1,1,290,0,0,0,'a:0:{}',0,0,0,127,-1,0),(480,'FashionBoutique','TemplateMonster','support@x-cart.com',0,0,0,0,0.0000,0,63,139.00,'USD','5.3',0,5,3,1502827200,2811392,0,'F2','TemplateMonster.com','F2 skin will give an elegant and trendy look to your store due to the combination of flat design, clear layout and stylish color scheme. The template is fully SEO- and mobile-ready and works perfectly with all popular browsers.','http://my.x-cart.com/sites/default/files/addons/TemplateMonster/FashionBoutique/iconAlt.png','https://market.x-cart.com/ecommerce-templates/f2.html','','a:0:{}','a:1:{i:0;s:9:\"Templates\";}',1,0,0,0,0,0,'a:0:{}',21251,0,0,127,-1,0),(481,'Winetone','TemplateMonster','support@x-cart.com',0,0,0,0,0.0000,0,2,139.00,'USD','5.3',0,0,3,1502827200,5354496,0,'Wine Tone','TemplateMonster.com','The Winetone skin adds luxe and exclusiveness to your online store, as well as creates welcoming atmosphere due to the eye-pleasing color scheme, progressive navigation and animated living banners.','http://my.x-cart.com/sites/default/files/addons/TemplateMonster/Winetone/iconAlt.png','https://market.x-cart.com/ecommerce-templates/wine-tone.html','','a:0:{}','a:1:{i:0;s:9:\"Templates\";}',1,0,0,0,0,0,'a:0:{}',21252,0,0,127,-1,0),(482,'Multisite','MercuryMinds','sales@mercuryminds.com',0,0,0,0,0.0000,0,64,399.00,'USD','5.3',6,0,0,1503086400,457216,0,'Multisite','MercuryMinds','If you work with X-Cart, sooner or later you will end up needing managing multiple stores (multistore) from single admin panel. One instance of the X-Cart software can enable you to start multiple websites or store views that use different Domain names, Categories, Products','http://my.x-cart.com/sites/default/files/addons/MercuryMinds/Multisite/iconAlt.png','https://market.x-cart.com/addons/multisites.html','','a:0:{}','a:6:{i:0;s:14:\"Administration\";i:1;s:18:\"Catalog Management\";i:2;s:6:\"Orders\";i:3;s:9:\"Marketing\";i:4;s:21:\"Multi-vendor friendly\";i:5;s:14:\"Sales Channels\";}',1,1,50,0,0,0,'a:0:{}',21253,0,0,127,-1,0),(483,'Lefishor','TemplateMonster','support@x-cart.com',0,0,0,0,0.0000,0,3,139.00,'USD','5.3',0,0,3,1503432000,2679296,0,'Lefishor','TemplateMonster.com','Lefishor is a revolutionary Fashion Shop skin. An unusual and elegant design is best suited for fashion and beauty related web stores. You can switch either to traditional horizontal top navigation or to a vertical menu on the left side of the screen. Brief description in the products list will ease the customer\'s choice. Top bar category widget shows the whole category tree. Fully responsive, cross-browser, user-friendly skin with a snazzy design.','http://my.x-cart.com/sites/default/files/addons/TemplateMonster/Lefishor/iconAlt.png','https://market.x-cart.com/ecommerce-templates/lefishor.html','','a:0:{}','a:1:{i:0;s:9:\"Templates\";}',1,0,0,0,0,0,'a:0:{}',21256,0,0,127,-1,0),(485,'BellaMen','JThemesStudio','support@x-cart.com',0,0,0,0,0.0000,0,21,139.00,'USD','5.3',1,3,5,1504209600,2132480,0,'Bella Shop','JThemesStudio','Bella Shop skin is clean, aesthetically pleasing with a lot of white spacing and fresh green accents. Store visitors will get an impression that they’re in the right place to shop for high-quality products. It works especially great for stores selling fashions, electronics, jewelry, natural cosmetics and more. Fully responsive, compatible with all popular browsers and with well-thought layout Bella Shop guarantees best customer experience.','http://my.x-cart.com/sites/default/files/addons/JThemesStudio/BellaMen/iconAlt.png','https://market.x-cart.com/ecommerce-templates/bella-shop.html','','a:0:{}','a:1:{i:0;s:9:\"Templates\";}',1,0,0,0,0,0,'a:0:{}',21258,0,0,127,-1,0),(486,'ProWedding','TemplateMonster','support@x-cart.com',0,0,0,0,0.0000,0,12,139.00,'USD','5.3',1,1,3,1504209600,2218496,0,'ProWedding','TemplateMonster.com','ProWedding is an awesome theme with nice graphics for stores selling wedding dresses, groom tuxedos and suits, and other items for wedding events.','http://my.x-cart.com/sites/default/files/addons/TemplateMonster/ProWedding/iconAlt.png','https://market.x-cart.com/ecommerce-templates/prowedding.html','','a:0:{}','a:1:{i:0;s:9:\"Templates\";}',1,0,0,0,0,0,'a:0:{}',21259,0,0,127,-1,0),(487,'Epro','JThemesStudio','support@x-cart.com',0,0,0,0,0.0000,0,14,139.00,'USD','5.3',1,0,5,1504468800,3227648,0,'Bike pro','JThemesStudio','Bike Pro is a visually pleasing contemporary theme created to help you build a professional online shop selling sports goods. However, its simple, clean and clear design make it a super flexible multipurpose theme, which will fit many modern stores.','http://my.x-cart.com/sites/default/files/addons/JThemesStudio/Epro/iconAlt.png','https://market.x-cart.com/ecommerce-templates/bike-pro.html','','a:0:{}','a:1:{i:0;s:9:\"Templates\";}',1,0,0,0,0,0,'a:0:{}',21260,0,0,127,-1,0),(489,'KitchenSuppliesStore','TemplateMonster','support@x-cart.com',0,0,0,0,0.0000,0,9,139.00,'USD','5.3',0,0,3,1504641600,2979328,0,'Kitchen Supplies Store','TemplateMonster.com','The Kitchen Supplies Store design template is good for stores selling accessories, kitchen supplies &amp; furniture. It\'s bright and looks stylish and professional due to red and black colors combination.','http://my.x-cart.com/sites/default/files/addons/TemplateMonster/KitchenSuppliesStore/iconAlt.png','https://market.x-cart.com/ecommerce-templates/kitchen-supplies-store.html','','a:0:{}','a:1:{i:0;s:9:\"Templates\";}',1,0,0,0,0,0,'a:0:{}',21262,0,0,127,-1,0),(490,'Linen','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,23,149.00,'USD','5.3',0,2,3,1505073600,7459840,0,'Linen','Qualiteam','Extremely light and clean skin. Let minimalism do the look-and-feel of the store','http://my.x-cart.com/sites/default/files/addons/QSL/Linen/iconAlt.png','https://market.x-cart.com/ecommerce-templates/linen.html','','a:0:{}','a:1:{i:0;s:9:\"Templates\";}',1,0,0,0,0,0,'a:0:{}',21263,0,0,127,-1,0),(491,'Lingerie','TemplateMonster','support@x-cart.com',0,0,0,0,0.0000,0,10,139.00,'USD','5.3',0,0,3,1505160000,2421760,0,'Lingerie','TemplateMonster.com','An elegant combination of black and sensual charming pink colors, user-friendly navigation and fully responsive flat design make the Lingerie a great template for your online store.','http://my.x-cart.com/sites/default/files/addons/TemplateMonster/Lingerie/iconAlt.png','https://market.x-cart.com/ecommerce-templates/lingerie.html','','a:0:{}','a:1:{i:0;s:9:\"Templates\";}',1,0,0,0,0,0,'a:0:{}',21264,0,0,127,-1,0),(492,'CoinPayments','Qualiteam','helpdesk@x-cart.com',0,0,0,0,0.0000,0,899,0.00,'USD','5.3',0,2,0,1505332800,71680,0,'Coin payments','Qualiteam','Integrated payment gateway for cryptocurrencies such as Bitcoin and Litecoin','http://my.x-cart.com/sites/default/files/addons/Qualiteam/CoinPayments/icon.png','https://market.x-cart.com/addons/coin-payments.html','','a:0:{}','a:1:{i:0;s:18:\"Payment processing\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(493,'GoogleFeed','XC','helpdesk@x-cart.com',0,0,0,0,0.0000,0,940,0.00,'USD','5.3',1,1,3,1506283200,184320,0,'Google Product Feed','X-Cart team','The addon generates a google feed file that can be used for Google Shopping service and other services that accept the Google feed format. Easy way to expand your sales channels.','http://my.x-cart.com/sites/default/files/addons/XC/GoogleFeed/icon.png','https://market.x-cart.com/addons/google-product-feed.html','','a:0:{}','a:1:{i:0;s:18:\"Catalog Management\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(494,'ShopperApproved','XC','helpdesk@x-cart.com',0,0,0,0,0.0000,0,622,0.00,'USD','5.3',0,9,3,1506283200,256000,0,'Shopper Approved Reviews','X-Cart team','Integrate your store with Shopper Approved to collect and manage Merchant, Product and Local reviews in a convenient and efficient manner. Due to the vast Distribution Network (Google, Yahoo, Bing, CitySearch, Facebook, Youtube, etc), these reviews and ratings will show up in all the right places reaching more people.','http://my.x-cart.com/sites/default/files/addons/XC/ShopperApproved/iconAlt.png','https://market.x-cart.com/addons/shopper-approved-reviews.html','','a:0:{}','a:4:{i:0;s:21:\"Multi-vendor friendly\";i:1;s:14:\"Sales Channels\";i:2;s:6:\"Social\";i:3;s:15:\"User experience\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(495,'TaxJar','XC','helpdesk@x-cart.com',0,0,0,0,0.0000,0,384,0.00,'USD','5.3',2,2,5,1506283200,184320,0,'TaxJar Sales Tax Automation','X-Cart team','The addon integrates your store with TaxJar to automate your sales tax calculations, reporting, and filings in minutes in any US state.','http://my.x-cart.com/sites/default/files/addons/XC/TaxJar/iconAlt.png','https://market.x-cart.com/addons/taxjar-sales-tax-automation.html','','a:0:{}','a:2:{i:0;s:21:\"Multi-vendor friendly\";i:1;s:5:\"Taxes\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(496,'Minimal','TemplateMonster','support@x-cart.com',0,0,0,0,0.0000,0,10,139.00,'USD','5.3',1,0,3,1506628800,2834944,0,'Minimal','TemplateMonster.com','Nice and clean, this «Minimal» design template comes with lots of white space, which provides an eye-friendly experience for buyers.','http://my.x-cart.com/sites/default/files/addons/TemplateMonster/Minimal/iconAlt.png','https://market.x-cart.com/ecommerce-templates/minimal.html','','a:0:{}','a:1:{i:0;s:9:\"Templates\";}',1,0,0,0,0,0,'a:0:{}',21267,0,0,127,-1,0),(497,'GardenFurniture','TemplateMonster','support@x-cart.com',0,0,0,0,0.0000,0,104,139.00,'USD','5.3',0,5,3,1506888000,2587648,0,'Garden Furniture','TemplateMonster.com','Garden Furniture theme is designed to be a rock-solid foundation of your furniture or other creative eCommerce projects. The theme supplied with the eye-catching animated effects while the palette makes the look and feel of the store light and modern.','http://my.x-cart.com/sites/default/files/addons/TemplateMonster/GardenFurniture/iconAlt.png','https://market.x-cart.com/ecommerce-templates/garden-furniture.html','','a:0:{}','a:1:{i:0;s:9:\"Templates\";}',1,0,0,0,0,0,'a:0:{}',21268,0,0,127,-1,0),(498,'PayKings','PK','info@paykings.com',0,0,0,0,0.0000,0,26,0.00,'USD','5.3',3,0,3,1500235200,55296,0,'PayKings - Payment Gateway Connector','PayKings.com','Enables taking credit card payments for your online store via PayKings payment gateway (Server Integration Method).','http://my.x-cart.com/sites/default/files/addons/PK/PayKings/iconAlt.png','https://market.x-cart.com/addons/paykings-payment-gateway.html','','a:0:{}','a:5:{i:0;s:8:\"Checkout\";i:1;s:16:\"Fraud prevention\";i:2;s:6:\"Orders\";i:3;s:15:\"Mobile Commerce\";i:4;s:18:\"Payment processing\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(499,'SendPulse','SendPulse','vb@sendpulse.com',0,0,0,0,0.0000,0,83,0.00,'USD','5.3',3,1,0,1506369600,115200,0,'SendPulse','SendPulse team','SendPulse is an email marketing service with powerful tools to manage your email campaigns and subscribers while gathering advanced analytics information on your campaign performance.\r\n\r\nThis module provide an automatic export of your customers email addresses into SendPulse mailing lists.','http://my.x-cart.com/sites/default/files/addons/SendPulse/SendPulse/iconAlt.png','https://market.x-cart.com/addons/sendpulse-integration-module.html','','a:0:{}','a:1:{i:0;s:9:\"Marketing\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(500,'SaveForLater','WontonDev','support@wontonmedia.com',0,0,0,0,0.0000,0,34,29.95,'USD','5.3',5,0,0,1507147200,58880,0,'Save For Later','Wonton Media LLC','Save for Later is a perfect tool for your Online Store! Keep your customers happy by allowing them to save items from your store to purchase at a later date! Just \"Save it For Later\"! Easy to install &amp; Easy to use!','http://my.x-cart.com/sites/default/files/addons/WontonDev/SaveForLater/iconAlt.png','https://market.x-cart.com/addons/save-for-later.html','','a:0:{}','a:2:{i:0;s:8:\"Checkout\";i:1;s:8:\"Products\";}',1,0,0,0,0,0,'a:0:{}',21269,0,0,127,-1,0),(501,'EveprestSpareParts','TemplateMonster','support@x-cart.com',0,0,0,0,0.0000,0,31,139.00,'USD','5.3',0,2,3,1507838400,2420224,0,'Eveprest Spare Parts','TemplateMonster.com','This light and neutral design template will suit different types of stores. Based on modern technologies it comes with responsive user-friendly and flexible layout.','http://my.x-cart.com/sites/default/files/addons/TemplateMonster/EveprestSpareParts/iconAlt.png','https://market.x-cart.com/ecommerce-templates/eveprest-spare-parts.html','','a:0:{}','a:1:{i:0;s:9:\"Templates\";}',1,0,0,0,0,0,'a:0:{}',21272,0,0,127,-1,0),(502,'Onboarding','XC','',0,0,0,0,0.0000,0,1523,0.00,'USD','5.3',0,4,4,-10800,2385920,0,'Onboarding Wizard','X-Cart team','The module helps to complete the very first steps of store setup: edit company information and upload logo, add products, set shipping and payments; as well as provides all the necessary links and tips related to the store setup.','http://my.x-cart.com/sites/default/files/addons/XC/Onboarding/icon.png','','','a:0:{}','a:1:{i:0;s:14:\"Administration\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(503,'Glassini','TemplateMonster','support@x-cart.com',0,0,0,0,0.0000,0,9,139.00,'USD','5.3',0,0,3,1508356800,2098176,0,'Glassini','TemplateMonster.com','Glassini is a responsive theme designed in a soft colors, which allows you to use it for a broad range of online stores. It is a modern-looking design for your store','http://my.x-cart.com/sites/default/files/addons/TemplateMonster/Glassini/iconAlt.png','https://market.x-cart.com/ecommerce-templates/glassini.html','','a:0:{}','a:1:{i:0;s:9:\"Templates\";}',1,0,0,0,0,0,'a:0:{}',21273,0,0,127,-1,0),(504,'Themebox','JThemesStudio','support@x-cart.com',0,0,0,0,0.0000,0,25,139.00,'USD','5.3',1,1,4,1508788800,2406912,0,'Themebox','JThemesStudio','Light and clean skin developed in minimalist style and combining flat and material design will make your store look clean and modern.','http://my.x-cart.com/sites/default/files/addons/JThemesStudio/Themebox/iconAlt.png','https://market.x-cart.com/ecommerce-templates/themebox.html','','a:0:{}','a:1:{i:0;s:9:\"Templates\";}',1,0,0,0,0,0,'a:0:{}',21275,0,0,127,-1,0),(505,'AMP','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,1085,0.00,'USD','5.3',0,12,4,1509307200,4969984,0,'AMP - Accelerated Mobile Pages','Qualiteam','Accelerated Mobile Pages (AMP) is an online publishing format that is optimized for mobile web browsing. The module provides AMP versions of home page and category pages. For more info about AMP project, see https://ampproject.org.','http://my.x-cart.com/sites/default/files/addons/QSL/AMP/iconAlt.png','https://market.x-cart.com/addons/amp.html','','a:0:{}','a:3:{i:0;s:21:\"Multi-vendor friendly\";i:1;s:3:\"SEO\";i:2;s:15:\"User experience\";}',1,1,270,0,0,0,'a:0:{}',0,0,0,127,-1,0),(506,'RelaxedDressCode','TemplateMonster','support@x-cart.com',0,0,0,0,0.0000,0,3,139.00,'USD','5.3',1,0,3,1509393600,2031616,0,'Relaxed Dress Code','TemplateMonster.com','Dark skin with red and white accents.','http://my.x-cart.com/sites/default/files/addons/TemplateMonster/RelaxedDressCode/iconAlt.png','https://market.x-cart.com/ecommerce-templates/relaxed-dress-code.html','','a:0:{}','a:1:{i:0;s:9:\"Templates\";}',1,0,0,0,0,0,'a:0:{}',21276,0,0,127,-1,0),(507,'PromotionsAndInsights','PayPal','paypal-publisher@itechart-group.com',0,0,0,0,0.0000,0,90,0.00,'USD','5.3',1,0,0,1509480000,261120,0,'PayPal Marketing Solutions','iTechArt Group','Helps increase sales through the power of PayPal shopping data with targeted promotions','http://my.x-cart.com/sites/default/files/addons/PayPal/PromotionsAndInsights/iconAlt.png','https://market.x-cart.com/addons/paypal-marketing-solutions.html','','a:0:{}','a:2:{i:0;s:9:\"Marketing\";i:1;s:15:\"User experience\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(508,'CatalogSubtitles','CSI','support@cflsystems.com',0,0,0,0,0.0000,0,7,55.00,'USD','5.3',0,1,0,1510689600,150528,0,'Catalog Subtitles','CFL Systems, Inc.','Set alternative titles for categories, products, pages and brands and use them either as subtitles or replacement for the actual titles on their respective pages.','http://my.x-cart.com/sites/default/files/addons/CSI/CatalogSubtitles/iconAlt.png','https://market.x-cart.com/addons/catalog-subtitles-by-cfl-systems.html','','a:0:{}','a:2:{i:0;s:18:\"Catalog Management\";i:1;s:3:\"SEO\";}',1,0,0,0,0,0,'a:0:{}',21277,0,0,127,-1,0),(509,'CriteoOneTag','CSI','support@cflsystems.com',0,0,0,0,0.0000,0,2,55.00,'USD','5.3',0,0,0,1510689600,58368,0,'Criteo OneTag Integration','CFL Systems, Inc.','Criteo OneTag Integration connects the site to your Criteo account to collect and track your visitors\' browsing events (such as pages browsed on site, purchases, etc). Criteo then uses this information to help you with recommendations for your ad banners','http://my.x-cart.com/sites/default/files/addons/CSI/CriteoOneTag/iconAlt.png','https://market.x-cart.com/addons/criteo-onetag-integration-by-cfl-systems.html','','a:0:{}','a:2:{i:0;s:18:\"Catalog Management\";i:1;s:9:\"Marketing\";}',1,0,0,0,0,0,'a:0:{}',21278,0,0,127,-1,0),(510,'Quistre','TemplateMonster','support@x-cart.com',0,0,0,0,0.0000,0,18,139.00,'USD','5.3',0,2,3,1511121600,2506752,0,'Quistre','TemplateMonster.com','The theme designed in a clean and minimalist way intends to bring your store\'s products to the forefront. Fully responsive, light and clear, it provides intuitive and simple navigation and beautiful hover effects.','http://my.x-cart.com/sites/default/files/addons/TemplateMonster/Quistre/iconAlt.png','https://market.x-cart.com/ecommerce-templates/quistre.html','','a:0:{}','a:1:{i:0;s:9:\"Templates\";}',1,0,0,0,0,0,'a:0:{}',21279,0,0,127,-1,0),(511,'BitPay','XC','helpdesk@x-cart.com',0,0,0,0,0.0000,0,294,0.00,'USD','5.3',0,3,3,1511208000,2805760,0,'BitPay','X-Cart team','The addon integrates your store with BitPay to start accepting Bitcoin Payments from your customers','http://my.x-cart.com/sites/default/files/addons/XC/BitPay/icon.png','https://market.x-cart.com/addons/bitpay.html','','a:0:{}','a:1:{i:0;s:18:\"Payment processing\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(512,'YandexMarket','XC','helpdesk@x-cart.com',0,0,0,0,0.0000,0,108,0.00,'USD','5.3',0,2,4,1511208000,143360,0,'Yandex.Market Feed','X-Cart team','The addon generates a YML feed file to easily import your online store products to Yandex.Market.','http://my.x-cart.com/sites/default/files/addons/XC/YandexMarket/iconAlt.png','https://market.x-cart.com/addons/yandex-market-feed.html','','a:0:{}','a:3:{i:0;s:18:\"Catalog Management\";i:1;s:21:\"Multi-vendor friendly\";i:2;s:14:\"Sales Channels\";}',1,0,80,0,0,0,'a:0:{}',0,0,0,127,-1,0),(513,'CostPrice','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,61,99.00,'USD','5.3',2,2,0,1511121600,66560,0,'Cost Price','Qualiteam','Adds cost price to your products and takes the hassle out of calculating profits and margins on goods sold','http://my.x-cart.com/sites/default/files/addons/QSL/CostPrice/iconAlt.png','https://market.x-cart.com/addons/cost-price.html','','a:0:{}','a:4:{i:0;s:10:\"Accounting\";i:1;s:18:\"Catalog Management\";i:2;s:15:\"Price modifiers\";i:3;s:8:\"Products\";}',1,1,280,0,0,0,'a:0:{}',21280,0,0,127,-1,0),(514,'Roulette','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,20,99.00,'USD','5.3',0,2,3,1511380800,220160,0,'Coupon Roulette','Qualiteam','This module adds a gamified exit popup to your website and helps you to collect prospect e-mails and boost sales by letting customers win coupon codes at roulette.','http://my.x-cart.com/sites/default/files/addons/QSL/Roulette/iconAlt.png','https://market.x-cart.com/addons/coupon-roulette.html','','a:0:{}','a:2:{i:0;s:9:\"Marketing\";i:1;s:15:\"User experience\";}',1,1,210,0,0,0,'a:0:{}',21281,0,0,127,-1,0),(515,'MarkMobileOrders','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,33,19.99,'USD','5.3',0,1,3,1513886400,27648,0,'Mark Mobile Orders','Qualiteam','Display mobile icon for orders created with mobile devices on the Order details and Order listing pages.','http://my.x-cart.com/sites/default/files/addons/QSL/MarkMobileOrders/iconAlt.png','https://market.x-cart.com/addons/mark-mobile-orders.html','','a:0:{}','a:2:{i:0;s:6:\"Orders\";i:1;s:15:\"Mobile Commerce\";}',1,0,0,0,0,0,'a:0:{}',21286,0,0,127,-1,0),(516,'MotorcycleStore','TemplateMonster','support@x-cart.com',0,0,0,0,0.0000,0,12,139.00,'USD','5.3',0,1,0,1515528000,1911808,0,'Motorcycle Store','TemplateMonster.com','This theme designed in soothing colors is for online stores selling bikes, motorcycles, scooters, their parts and accessories. It makes the store look stylish and has got everything necessary for best shopping experience for your customers and sales growth for you.','http://my.x-cart.com/sites/default/files/addons/TemplateMonster/MotorcycleStore/iconAlt.png','https://market.x-cart.com/ecommerce-templates/motorcycle-store.html','','a:0:{}','a:1:{i:0;s:9:\"Templates\";}',1,0,0,0,0,0,'a:0:{}',21287,0,0,127,-1,0),(517,'AgileCRM','AgileCRM','partners@agilecrm.com',0,0,0,0,0.0000,0,126,0.00,'USD','5.3',0,0,0,1515441600,53760,0,'Agile CRM','AgileCRM Team','Agile CRM is an all-in-one, affordable and next-gen Customer Relationship Management (CRM) software with marketing, sales and service automation, built with love for small businesses.','http://my.x-cart.com/sites/default/files/addons/AgileCRM/AgileCRM/iconAlt.png','https://market.x-cart.com/addons/agile-crm.html','','a:0:{}','a:2:{i:0;s:9:\"Marketing\";i:1;s:14:\"Sales Channels\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(518,'BundleProducts','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,98,99.00,'USD','5.3',0,3,0,1518724800,77312,0,'Bundle Products','Qualiteam','This module allows you to sell bundle products - they are made of several component products','http://my.x-cart.com/sites/default/files/addons/QSL/BundleProducts/iconAlt.png','https://market.x-cart.com/addons/bundle-products.html','','a:0:{}','a:3:{i:0;s:18:\"Catalog Management\";i:1;s:9:\"Marketing\";i:2;s:8:\"Products\";}',1,0,0,0,0,0,'a:0:{}',21294,0,0,127,-1,0),(519,'HurryUp','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,32,65.00,'USD','5.3',0,3,0,1519761600,108544,0,'Hurry Up','Qualiteam','Convince your customers to buy the products they are interested in right now - before someone else buys them.','http://my.x-cart.com/sites/default/files/addons/QSL/HurryUp/iconAlt.png','https://market.x-cart.com/addons/hurry-up.html','','a:0:{}','a:2:{i:0;s:9:\"Marketing\";i:1;s:15:\"User experience\";}',1,1,120,0,0,0,'a:0:{}',21297,0,0,127,-1,0),(520,'ProductCost','CSI','support@cflsystems.com',0,0,0,0,0.0000,0,25,89.00,'USD','5.3',1,2,3,1519848000,195072,0,'Product Cost','CFL Systems, Inc.','Add product cost to products and variants. Get orders products cost report from orders search page.','http://my.x-cart.com/sites/default/files/addons/CSI/ProductCost/iconAlt.png','https://market.x-cart.com/addons/product-cost-by-cfl-systems.html','','a:0:{}','a:4:{i:0;s:10:\"Accounting\";i:1;s:18:\"Catalog Management\";i:2;s:15:\"Price modifiers\";i:3;s:8:\"Products\";}',1,0,0,0,0,0,'a:0:{}',21298,0,0,127,-1,0),(521,'AdminProductsListThumbnails','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,51,19.99,'USD','5.3',0,0,3,1520539200,26624,0,'Admin Products List Thumbnails','Qualiteam','Display product thumbnails in admin products list.','http://my.x-cart.com/sites/default/files/addons/QSL/AdminProductsListThumbnails/iconAlt.png','https://market.x-cart.com/addons/admin-products-list-thumbnails.html','','a:0:{}','a:1:{i:0;s:14:\"Administration\";}',1,0,0,0,0,0,'a:0:{}',21300,0,0,127,-1,0),(522,'ToolsSupplies','TemplateMonster','support@x-cart.com',0,0,0,0,0.0000,0,1,139.00,'USD','5.3',0,0,3,1522094400,2626560,0,'Tools and supplies','TemplateMonster.com','Perfect theme for tools, supplies or any equipment store with the straight and solid content blocks and clear boundaries.','http://my.x-cart.com/sites/default/files/addons/TemplateMonster/ToolsSupplies/iconAlt.png','https://market.x-cart.com/ecommerce-templates/tools-and-supplies.html','','a:0:{}','a:1:{i:0;s:9:\"Templates\";}',1,0,0,0,0,0,'a:0:{}',21306,0,0,127,-1,0),(523,'PayTabs','XC','helpdesk@x-cart.com',0,0,0,0,0.0000,0,64,0.00,'USD','5.3',0,1,4,1522267200,81920,1,'PayTabs','X-Cart team','The addon integrates your store with PayTabs payment platform, a PCI compliant payment solution for your store with support for refunds and adaptive payments.','http://my.x-cart.com/sites/default/files/addons/XC/PayTabs/iconAlt.png','https://market.x-cart.com/addons/paytabs.html','','a:0:{}','a:1:{i:0;s:18:\"Payment processing\";}',1,0,180,0,0,2,'a:4:{i:0;s:14:\"536881128_Free\";i:1;s:12:\"391_Business\";i:2;s:18:\"20598_Multi-vendor\";i:3;s:18:\"536881125_Ultimate\";}',0,0,0,127,-1,0),(524,'RoyalMail','XC','helpdesk@x-cart.com',0,0,0,0,0.0000,0,43,0.00,'USD','5.3',0,0,4,1522267200,51200,1,'Royal Mail Click & Drop','X-Cart team','This addon allows quick generation of your orders feed in CSV for its further uploading to Royal Mail Click &amp; Drop service.','http://my.x-cart.com/sites/default/files/addons/XC/RoyalMail/iconAlt.png','https://market.x-cart.com/addons/royal-mail-click-and-drop.html','','a:0:{}','a:2:{i:0;s:6:\"Orders\";i:1;s:8:\"Shipping\";}',1,0,0,0,0,2,'a:4:{i:0;s:14:\"536881128_Free\";i:1;s:12:\"391_Business\";i:2;s:18:\"20598_Multi-vendor\";i:3;s:18:\"536881125_Ultimate\";}',0,0,0,127,-1,0),(525,'MembershipShipping','CSI','support@cflsystems.com',0,0,0,0,0.0000,0,3,95.00,'USD','5.3',0,0,2,1522267200,43520,0,'Membership for Shipping Methods','CFL Systems, Inc.','Assign memberships to shipping methods. At checkout customers will see and be able to use only the shipping methods assigned to their memebrship.','http://my.x-cart.com/sites/default/files/addons/CSI/MembershipShipping/iconAlt.png','https://market.x-cart.com/addons/membership-for-shipping-methods-by-cfl-systems.html','','a:0:{}','a:3:{i:0;s:14:\"Administration\";i:1;s:8:\"Shipping\";i:2;s:15:\"User experience\";}',1,0,0,0,0,0,'a:0:{}',21315,0,0,127,-1,0),(526,'Payment','MerchantSuite','support@merchantsuite.com',0,0,0,0,0.0000,0,31,0.00,'USD','5.3',0,0,0,1523217600,377344,0,'MerchantSuite','MerchantSuite Development Team','Accept payments on your store with MerchantSuite. At MerchantSuite, we provide payments solutions that are secure and simple to use. Our platform processes over 60 million payments a year for more than 20 thousand businesses.','http://my.x-cart.com/sites/default/files/addons/MerchantSuite/Payment/iconAlt.png','https://market.x-cart.com/addons/merchantsuite-1.html','','a:0:{}','a:1:{i:0;s:18:\"Payment processing\";}',1,0,170,0,0,0,'a:0:{}',0,0,0,127,-1,0),(527,'ProductNotes','CSI','support@cflsystems.com',0,0,0,0,0.0000,0,5,75.00,'USD','5.3',0,0,3,1523822400,206336,0,'Product Notes','CFL Systems, Inc.','Product Notes module is an X-Cart 5 add-on which allows admin to add unlimited notes to any product. Add records about restrictions, requirements, special status, vendor notes, etc.','http://my.x-cart.com/sites/default/files/addons/CSI/ProductNotes/iconAlt.png','https://market.x-cart.com/addons/product-notes-by-cfl-systems.html','','a:0:{}','a:4:{i:0;s:14:\"Administration\";i:1;s:18:\"Catalog Management\";i:2;s:6:\"Orders\";i:3;s:8:\"Products\";}',1,0,0,0,0,0,'a:0:{}',21318,0,0,127,-1,0),(528,'CmsShop','FC','addtocart@fastclick.site',0,0,0,0,0.0000,0,11,35.00,'USD','5.3',0,2,0,1517860800,67072,0,'More sites for X-Cart with \"add to cart\" function','FC','Extra showcases for your x-cart shop on your websites. Simply create complementary website using any webpage editor that suits you, insert the plugin main JavaScript code and get \"add-to-cart\" functionality for any image, text or button on your complementary site. One click adds product to the shopping cart and your customers continue surfing the complementary website. One click on the minicart opens the shopping cart on your main X-Cart shop to edit the order or purchase the goods. Install the plugin and go beyond any limits: create experimental websites with text and graphics, give your marketing ideas a test without any need to spend more money; sell different complex products and service','http://my.x-cart.com/sites/default/files/addons/FC/CmsShop/iconAlt.jpg','https://market.x-cart.com/addons/more-sites-for-x-cart-with-add-to-cart-function.html','','a:0:{}','a:5:{i:0;s:4:\"Blog\";i:1;s:13:\"Design tweaks\";i:2;s:9:\"Marketing\";i:3;s:14:\"Sales Channels\";i:4;s:15:\"User experience\";}',1,0,0,0,0,0,'a:0:{}',21290,0,0,127,-1,0),(529,'GDPR','XC','helpdesk@x-cart.com',0,0,0,0,0.0000,0,914,0.00,'USD','5.3',1,1,4,1525291200,266240,0,'GDPR','X-Cart team','The addon allows making GDPR compliance settings in your online store: informing your store visitors about using cookies, getting new registrants consent for the processing of their personal data, adding a Privacy Policy static page and popup on checkout, allowing customers to delete their profiles, etc.','http://my.x-cart.com/sites/default/files/addons/XC/GDPR/iconAlt.png','https://market.x-cart.com/addons/gdpr.html','','a:0:{}','a:1:{i:0;s:14:\"Administration\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(530,'VerifiedUsers','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,14,79.00,'USD','5.3',0,0,0,1527019200,164864,0,'Verified Users','Qualiteam','Enables email address verification for when a new user registers a user profile with the store; it also enables the store administrator to moderate user registrations by either approving or rejecting the profiles of new users.','http://my.x-cart.com/sites/default/files/addons/QSL/VerifiedUsers/iconAlt.png','https://market.x-cart.com/addons/verified-users.html','','a:0:{}','a:2:{i:0;s:10:\"Accounting\";i:1;s:14:\"Administration\";}',1,0,0,0,0,0,'a:0:{}',21323,0,0,127,-1,0),(531,'YandexCheckout','XC','helpdesk@x-cart.com',0,0,0,0,0.0000,0,11,0.00,'USD','5.3',0,0,4,1530648000,2078720,0,'Yandex.Kassa','X-Cart team','The means of accepting all payment options popular in Russia - bank cards, Yandex Payment Solution and Webmoney, mobile payments and cash.','http://my.x-cart.com/sites/default/files/addons/XC/YandexCheckout/iconAlt.png','https://market.x-cart.com/addons/yandex-kassa.html','','a:0:{}','a:2:{i:0;s:8:\"Checkout\";i:1;s:18:\"Payment processing\";}',1,0,20,0,0,0,'a:0:{}',0,0,0,127,-1,0),(532,'VendorPartners','XC','helpdesk@x-cart.com',0,0,0,0,0.0000,0,25,0.00,'USD','5.3',0,0,5,1531252800,225280,1,'Multiple profiles for vendors','X-Cart team','Allows vendors to add profiles for staff with full or limited access to the management of vendor data (company info, products, orders, shipping, etc.)','http://my.x-cart.com/sites/default/files/addons/XC/VendorPartners/iconAlt.png','https://market.x-cart.com/addons/multiple-profiles-for-vendors.html','','a:1:{i:0;s:14:\"XC\\MultiVendor\";}','a:2:{i:0;s:14:\"Administration\";i:1;s:21:\"Multi-vendor friendly\";}',1,0,0,0,0,2,'a:2:{i:0;s:18:\"20598_Multi-vendor\";i:1;s:18:\"536881125_Ultimate\";}',0,0,0,127,-1,0),(533,'Sbrf','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,45,0.00,'USD','5.3',0,1,0,1531684800,65536,0,'Sberbank payment gateway','Qualiteam','Sberbank payment gateway integration','http://my.x-cart.com/sites/default/files/addons/QSL/Sbrf/iconAlt.png','https://market.x-cart.com/addons/sberbank-payment-solution.html','','a:0:{}','a:1:{i:0;s:18:\"Payment processing\";}',1,0,30,0,0,0,'a:0:{}',0,0,0,127,-1,0),(534,'Arabic','XCCommunity','helpdesk@x-cart.com',0,0,0,0,0.0000,0,46,0.00,'USD','5.3',1,0,0,1532289600,882176,0,'Human-made Translation: Arabic','X-Cart Community','Human-made Arabic translation made by X-Cart community','http://my.x-cart.com/sites/default/files/addons/XCCommunity/Arabic/iconAlt.png','https://market.x-cart.com/addons/human-made-translation-arabic.html','','a:0:{}','a:1:{i:0;s:11:\"Translation\";}',1,0,40,0,0,0,'a:0:{}',0,0,0,127,-1,0),(535,'CarrotQuest','STaM','support@kinvasoft.com',0,0,0,0,0.0000,0,4,5.00,'USD','5.3',0,1,0,1533758400,37888,0,'сaRRRot','STaM LLC','Marketing automation and customer conversational platform.','http://my.x-cart.com/sites/default/files/addons/STaM/CarrotQuest/iconAlt.png','https://market.x-cart.com/addons/carrrot-by-stamllc.html','','a:0:{}','a:2:{i:0;s:9:\"Marketing\";i:1;s:6:\"Social\";}',1,0,0,0,0,0,'a:0:{}',21335,0,0,127,-1,0),(536,'RoyalMailService','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,7,259.99,'USD','5.3',0,3,5,1533844800,441856,0,'Royal Mail Service','Qualiteam','The module allows via Royal Mail Service to request for the creation, update, cancellation of a shipment, printing of a label, printing of international Customs documents, creation and printing of a manifest.','http://my.x-cart.com/sites/default/files/addons/QSL/RoyalMailService/iconAlt.png','https://market.x-cart.com/addons/royal-mail-service.html','','a:0:{}','a:2:{i:0;s:21:\"Multi-vendor friendly\";i:1;s:8:\"Shipping\";}',1,0,0,0,0,0,'a:0:{}',21329,0,0,127,-1,0),(537,'Heartland','XC','helpdesk@x-cart.com',0,0,0,0,0.0000,0,0,39.00,'USD','5.3',0,0,5,1535918400,2108416,0,'Heartland Payment System','X-Cart team','Heartland Payment Systems integration for X-Cart. Auth and capture or auth only mode. Supports void transactions, payment capture, full and partial refunds. One-page checkout for your X-Cart online store. PCI-DSS compliant out-of-the-box.','http://my.x-cart.com/sites/default/files/addons/XC/Heartland/iconAlt.png','https://market.x-cart.com/addons/heartland-payment-system.html','','a:0:{}','a:1:{i:0;s:18:\"Payment processing\";}',1,0,0,0,0,0,'a:0:{}',21334,0,0,127,-1,0),(538,'Banner','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,7394,49.00,'USD','5.3',5,0,3,1401048000,323072,0,'Banner System','Qualiteam','It allows admin to place both images and HTML-code banners anywhere in X-Cart via the special interface in admin area. This module is useful for promoting products, events, offers, etc.','http://my.x-cart.com/sites/default/files/addons/QSL/Banner/iconAlt.png','https://market.x-cart.com/addons/banner-system.html','','a:0:{}','a:2:{i:0;s:13:\"Design tweaks\";i:1;s:9:\"Marketing\";}',1,1,90,0,0,0,'a:0:{}',536881105,0,0,127,-1,0),(539,'MobileAdmin','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,2704,0.00,'USD','5.3',6,0,3,1417986000,8344064,0,'X-Cart Mobile Admin','Qualiteam','Manage your X-Cart store easily right from your Android-based smartphone. Download and install FREE X-Cart Mobile Admin application from AppStore or Google play, connect it with your store and get a complete control over the store at your fingertips!','http://my.x-cart.com/sites/default/files/addons/QSL/MobileAdmin/iconAlt.png','https://market.x-cart.com/addons/mobile-admin.html','','a:0:{}','a:3:{i:0;s:14:\"Administration\";i:1;s:18:\"Catalog Management\";i:2;s:15:\"Mobile Commerce\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(540,'Make','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,416,295.00,'USD','5.3',25,0,3,1487880000,539136,0,'Make/Model/Year','Qualiteam','Enable this module to allow your customers search for the right auto parts by vehicle using Make, Model, Year filter sets.','http://my.x-cart.com/sites/default/files/addons/QSL/Make/iconAlt.png','https://market.x-cart.com/addons/make-model-year.html','','a:0:{}','a:3:{i:0;s:18:\"Catalog Management\";i:1;s:8:\"Products\";i:2;s:21:\"Search and Navigation\";}',1,0,130,0,0,0,'a:0:{}',21207,0,0,127,-1,0),(541,'EveprestFashion','TemplateMonster','support@x-cart.com',0,0,0,0,0.0000,0,25,139.00,'USD','5.3',1,0,5,1504209600,2392064,0,'Eveprest Fashion','TemplateMonster.com','Elegant and attractive, this Eveprest Fashion template was developed with the latest web trends and tendencies in mind. Its flat design, clean and breathing, with user-friendly intuitive navigation, will let your users enjoy the time spent on your website. A combination of restrained pastel colors, beautiful hi-end fonts and conveniently arranged elements (including a \"sticky\" header bar!) can also make for a great user experience. Big pictures on the main and product pages will display your products to advantage. And fixed top icon menu will provide shoppers with quick access to the live search, shopping cart, and user account.','http://my.x-cart.com/sites/default/files/addons/TemplateMonster/EveprestFashion/iconAlt.png','https://market.x-cart.com/ecommerce-templates/eveprest-fashion.html','','a:0:{}','a:1:{i:0;s:9:\"Templates\";}',1,0,0,0,0,0,'a:0:{}',21257,0,0,127,-1,0),(542,'NotillisShoeStore','TemplateMonster','support@x-cart.com',0,0,0,0,0.0000,0,31,139.00,'USD','5.3',1,0,5,1504641600,2202112,0,'Notillis Shoe Store','TemplateMonster.com','The Notillis Shoe Store design template is clean and modern with user-friendly navigation and overall clear and convenient layout. It is a perfect fit for stores selling footwear, apparel, sports clothing &amp; equipment, and other goods.','http://my.x-cart.com/sites/default/files/addons/TemplateMonster/NotillisShoeStore/iconAlt.png','https://market.x-cart.com/ecommerce-templates/notillis-shoe-store.html','','a:0:{}','a:1:{i:0;s:9:\"Templates\";}',1,0,0,0,0,0,'a:0:{}',21261,0,0,127,-1,0),(543,'SecureTrading','XC','helpdesk@x-cart.com',0,0,0,0,0.0000,0,8,0.00,'USD','5.3',0,0,5,1534968000,79872,0,'Secure Trading','X-Cart team','Integrate your store with Secure Trading - secure, reliable, fully PCI DSS compliant online payment processor. Easy setup, cost-efficiency, 24/7 support and smooth transactions management make it great both for startups and established corporations.','http://my.x-cart.com/sites/default/files/addons/XC/SecureTrading/iconAlt.png','https://market.x-cart.com/addons/secure-trading.html','','a:0:{}','a:2:{i:0;s:8:\"Checkout\";i:1;s:18:\"Payment processing\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0),(544,'HumCommerce','Humcommerce','sandeep@humcommerce.com',0,0,0,0,0.0000,0,0,9.00,'USD','5.3',1,0,0,1537128000,80384,0,'HumCommerce','HumCommerce','Record, Analyze & Convert your website visitors – Using a single tool.','http://my.x-cart.com/sites/default/files/addons/Humcommerce/HumCommerce/iconAlt.png','https://market.x-cart.com/addons/humcommerce.html','','a:0:{}','a:2:{i:0;s:11:\"Development\";i:1;s:10:\"Statistics\";}',1,0,0,0,0,0,'a:0:{}',21338,0,0,127,-1,0),(545,'Kiwoompay','QSL','helpdesk@x-cart.com',0,0,0,0,0.0000,0,1,39.00,'USD','5.3',0,0,0,1537300800,24576,0,'Kiwoompay payment gateway','Qualiteam','Kiwoompay payment gateway','http://my.x-cart.com/sites/default/files/addons/QSL/Kiwoompay/iconAlt.png','https://market.x-cart.com/addons/kiwoompay.html','','a:0:{}','a:1:{i:0;s:18:\"Payment processing\";}',1,0,0,0,0,0,'a:0:{}',21336,0,0,127,-1,0),(546,'Announce','OutriderLabs','announce@outriderlabs.com',0,0,0,0,0.0000,0,10,0.00,'USD','5.3',1,1,0,1538683200,89600,0,'Announce','Outrider labs','Increase your conversion rate by displaying social proof notifications','http://my.x-cart.com/sites/default/files/addons/OutriderLabs/Announce/iconAlt.png','https://market.x-cart.com/addons/announce.html','','a:0:{}','a:3:{i:0;s:9:\"Marketing\";i:1;s:6:\"Social\";i:2;s:15:\"User experience\";}',1,0,0,0,0,0,'a:0:{}',0,0,0,127,-1,0);
/*!40000 ALTER TABLE `xc_modules` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_money_modificators`
--

DROP TABLE IF EXISTS `xc_money_modificators`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_money_modificators` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `class` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `modificator` varchar(64) COLLATE utf8_unicode_ci NOT NULL,
  `validator` varchar(64) COLLATE utf8_unicode_ci NOT NULL,
  `position` int(11) NOT NULL,
  `behavior` varchar(64) COLLATE utf8_unicode_ci NOT NULL,
  `purpose` varchar(64) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_money_modificators`
--

LOCK TABLES `xc_money_modificators` WRITE;
/*!40000 ALTER TABLE `xc_money_modificators` DISABLE KEYS */;
INSERT INTO `xc_money_modificators` VALUES (1,'XLite\\Logic\\AttributeSurcharge','modifyMoney','isApply',10,'','net'),(2,'XLite\\Module\\CDev\\Sale\\Logic\\SalePrice','modifyMoney','isApply',5,'','net'),(3,'XLite\\Module\\CDev\\Sale\\Logic\\PercentOff','modifyMoney','isApply',500,'','net');
/*!40000 ALTER TABLE `xc_money_modificators` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_news`
--

DROP TABLE IF EXISTS `xc_news`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_news` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `enabled` tinyint(1) NOT NULL,
  `date` int(11) NOT NULL,
  `metaDescType` varchar(1) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`),
  KEY `enabled` (`enabled`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_news`
--

LOCK TABLES `xc_news` WRITE;
/*!40000 ALTER TABLE `xc_news` DISABLE KEYS */;
/*!40000 ALTER TABLE `xc_news` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_news_message_translations`
--

DROP TABLE IF EXISTS `xc_news_message_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_news_message_translations` (
  `label_id` int(11) NOT NULL AUTO_INCREMENT,
  `id` int(10) unsigned DEFAULT NULL,
  `name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `body` longtext COLLATE utf8_unicode_ci NOT NULL,
  `brief_description` longtext COLLATE utf8_unicode_ci NOT NULL,
  `metaTags` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `metaDesc` longtext COLLATE utf8_unicode_ci NOT NULL,
  `metaTitle` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `code` char(2) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`label_id`),
  KEY `ci` (`code`,`id`),
  KEY `id` (`id`),
  CONSTRAINT `FK_4531246BD0BF396750` FOREIGN KEY (`id`) REFERENCES `xc_news` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_news_message_translations`
--

LOCK TABLES `xc_news_message_translations` WRITE;
/*!40000 ALTER TABLE `xc_news_message_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `xc_news_message_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_newsletter_subscriptions_subscribers`
--

DROP TABLE IF EXISTS `xc_newsletter_subscriptions_subscribers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_newsletter_subscriptions_subscribers` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `profile_id` int(11) DEFAULT NULL,
  `email` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `email` (`email`),
  KEY `IDX_45D0911E5FCCFA12B8` (`profile_id`),
  CONSTRAINT `FK_45D0911E5FCCFA12B8` FOREIGN KEY (`profile_id`) REFERENCES `xc_profiles` (`profile_id`) ON DELETE SET NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_newsletter_subscriptions_subscribers`
--

LOCK TABLES `xc_newsletter_subscriptions_subscribers` WRITE;
/*!40000 ALTER TABLE `xc_newsletter_subscriptions_subscribers` DISABLE KEYS */;
/*!40000 ALTER TABLE `xc_newsletter_subscriptions_subscribers` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_notification_translations`
--

DROP TABLE IF EXISTS `xc_notification_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_notification_translations` (
  `label_id` int(11) NOT NULL AUTO_INCREMENT,
  `id` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `name` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `description` longtext COLLATE utf8_unicode_ci NOT NULL,
  `customerSubject` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `customerText` longtext COLLATE utf8_unicode_ci NOT NULL,
  `adminSubject` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `adminText` longtext COLLATE utf8_unicode_ci NOT NULL,
  `code` char(2) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`label_id`),
  KEY `ci` (`code`,`id`),
  KEY `id` (`id`),
  CONSTRAINT `FK_453F6179FEBF396750` FOREIGN KEY (`id`) REFERENCES `xc_notifications` (`templatesDirectory`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=38 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_notification_translations`
--

LOCK TABLES `xc_notification_translations` WRITE;
/*!40000 ALTER TABLE `xc_notification_translations` DISABLE KEYS */;
INSERT INTO `xc_notification_translations` VALUES (1,'failed_admin_login','Failed admin login','The notification is sent to the email address of the admin user for whose account failed login attempts have been detected several times in a row. A copy of the message is also sent to the store’s super admin user.','','','WARNING! Administrator login failure','Failed administrator login detected.','en'),(2,'failed_transaction','Failed transaction','This notification is sent to the administrator if payment transaction was failed','','','Failed transaction','','en'),(3,'low_limit_warning','Low limit warning','This message is used to notify the administrator when the stock level of a product reaches the low stock limit as specified in the product details.','','','Low stock warning','The inventory level of a product in your store has reached the low limit.','en'),(4,'order_advanced_changed','Order changed with advanced order management','This message is sent to notify the customer of any changes made to their order by an administrator using the advanced order management feature.','Your order has been changed','Your order has been changed by customer service. Here are the details of your order:','','','en'),(5,'order_changed','Order changed','This notification is sent to both the administrator and customer when the status of an order is updated - in the event that no other type of notification is sent.','Your order has been changed','Your order has been changed. Here are the details of your order:','Order has been changed','Order has been changed.','en'),(6,'order_canceled','Order canceled','This notification is sent to both the administrator and customer when an order gets the status Canceled.','Your order has been canceled','Your order has been canceled.','Order has been canceled','Order has been canceled.','en'),(7,'order_created','Order created','This notification is sent to both the administrator and customer when a new order is created.','Order has been created','Thank you for shopping with us! We received your order.<br />You will receive an order confirmation once your order is processed.','Order has been created','Order has been created.','en'),(8,'order_failed','Order declined','This notification is sent to both the administrator and customer when an order gets the status Declined.','Your order has been declined','The status of your order has been changed to \"Declined\". This could be for one of the following reasons:<br />1) The order was declined by the store administrator.<br />2) The payment could not be processed at the time of order placement.<br />For more information, please contact the store administrator.','Order has been declined','Order has been declined.','en'),(9,'order_processed','Order processed','This notification is sent to both the administrator and customer when an order gets the status Paid.','Order confirmation','Your order has been processed. Thank you for your business.<br />We will notify you by email of any further order status updates.','Order has been processed','Order has been processed.','en'),(10,'order_shipped','Order shipped','This notification is sent to the customer when an order gets the status Shipped.','Your order has been shipped','Your order has been shipped. Thank you for your business.<br />Please come back soon!','','','en'),(11,'order_tracking_information','Order tracking information','This notification is sent to the customer when an administrator clicks the \"Send tracking information to customer\" button.','Your order tracking information','Here are the tracking details for your order','','','en'),(12,'order_waiting_for_approve','Order awaiting for approval','This notification is sent to the customer when an order gets the status Waiting for approve.','Order awaiting for approval','Thank you for your purchase. Our team will provide you with the download links in a couple of hours. Sorry for the inconveniences.','','','en'),(13,'profile_created','User profile created','This notification is sent to both the administrator and customer when a new customer profile is created.','Welcome!','Thank you for registering with us.','New user registration','A new user profile has been registered:','en'),(14,'profile_deleted','User profile deleted','This notification is sent to the administrator when a customer profile is deleted.','','','User profile has been deleted','The following user profile has been deleted:','en'),(15,'profile_modified','User profile modified','This notification is sent to both the administrator and customer when a user profile is updated.','Your profile has been modified','Your profile has been modified. To view your profile information, log in at our site.','User profile has been modified','The user profile has been modified.','en'),(16,'recover_password_request','Password reset request','This notification is sent to the user when a password reset is requested for their account.','Confirm password reset request','<p>You have received this message because you requested to reset your forgotten password.<br />If you did not submit such a request, it might mean that somebody was trying to gain access to your account.</p><p>To confirm that this request was submitted by you, click on the link below<br/>(If the link does not work, please copy and paste the entire URL into your browser\'s address bar and press Enter).</p>','Confirm password reset request','<p>You have received this message because you requested to reset your forgotten password.<br />If you did not submit such a request, it might mean that somebody was trying to gain access to your account.</p><p>To confirm that this request was submitted by you, click on the link below<br/>(If the link does not work, please copy and paste the entire URL into your browser\'s address bar and press Enter).</p>','en'),(17,'register_anonymous','User account created for guest buyer based on order info','This notification is sent to the customer when a customer profile is created for them by the store administrator based on a previously created order.','User account created','<p>Thank you for shopping with us! We noticed that one or more orders you made at our store were placed using guest checkout. We appreciate your business and look forward to continue serving you in the future. For your convenience, we created an account for you at our store. The account stores all the information about your previous orders with us.</p><p>To log in to your account, please use the following credentials:<br />(The password can be changed in your account profile)</p>','','','en'),(18,'modules/CDev/ContactUs/message','Contact us form submitted (Contact us module)','This notification is sent to the administrator when someone submits a request via the \"Contact us\" form.','','','Someone has used the Contact us form','','en'),(19,'modules/CDev/ContactUs/message','Заполнена форма для связи с администрацией магазина (модуль Contact us)','Данное сообщение используется для оповещения администратора в случае поступления в адрес магазина обращения через форму для связи с администрацией.','','','Поступило обращение через форму для связи с администрацией магазина','','ru'),(20,'modules/CDev/Egoods/egoods_links','E-goods download links (E-goods module)','This notification is sent to the customer when their order containing egoods gets the status Paid.','Your download links','Your order has been processed. The files for the products you purchased can be downloaded at:','','','en'),(21,'modules/CDev/Egoods/egoods_links','Ссылки для скачивания файлов (модуль E-goods)','Данное сообщение отправляется покупателю, когда размещенный им заказ, содержащий электронные товары, получает статус \"Оплачен\".','Ваши ссылки для скачивания файлов','Благодарим Вас за своевременную оплату заказа. Файлы приобретенных Вами товаров могут быть загружены по следующим ссылкам:','','','ru'),(22,'modules/CDev/PINCodes/acquire_pin_codes_failed','PIN code generation failure (PIN codes module)','This notification is sent to the administrator in the event of an error in the process of generating PIN codes for one or more items - as a result of which the PIN codes have not been generated.','','','PIN code generation failure for one or more ordered items','Could not generate PIN codes for the following products:','en'),(23,'modules/CDev/PINCodes/acquire_pin_codes_failed','Ошибка создания пин-кода (модуль PIN codes)','Данное сообщение отправляется администратору в случае, когда при создании PIN-кодов для одного или нескольких товаров произошла ошибка, в результате которой PIN-код(ы) не были созданы.','','','Ошибка создания PIN-кода для одного или нескольких заказанных товаров','Не удалось создать PIN-коды для следующих товаров:','ru'),(24,'modules/XC/Reviews/new_review','New product review submitted - (Product Reviews module)','This message is used to notify the administrator when a customer submits a new product review.','','','A new review has been submitted','','en'),(25,'modules/XC/Reviews/new_review','Получен новый отзыв о товаре - (модуль Product Reviews)','Данное сообщение используется для уведомления администратора о том, что клиент оставил отзыв о каком-либо товаре.','','','Получен новый отзыв о товаре','','ru'),(26,'modules/XC/Reviews/review_key','Request to review purchased products - (Product Reviews module)','This message is used to invite customers to leave feedback on the products they have purchased.','Please review your purchase','','','','en'),(27,'modules/XC/Reviews/review_key','Приглашение оставить отзыв на купленные товары - (модуль Product Reviews)','Данное сообщение используется для отправки покупателю приглашения оставить отзыв о купленных им товарах.','Пожалуйста, оставьте отзыв о купленных товарах','','','','ru'),(28,'modules/XC/VendorMessages/notification','Order message (Order messages module)','This message will be sent to customer when a new message appears in the communication thread regarding an order','New message for order %order_number%','%company_link%\n<p>\nYou\'ve got a message regarding your order %order_messages_link%:\n</p>\n<p>\n%message%\n</p>','','','en'),(29,'modules/XC/VendorMessages/new_message_notification','New message (Order messages module)','This message will be sent to customer when a new message appears in the conversation','New message in conversation','%company_link%\n<p>\nYou\'ve got a new message in %conversation_link%:\n</p>\n<p>\n%message%\n</p>\n','','','en'),(30,'modules/XC/VendorMessages/notification','Новое сообщение по заказу (модуль Order messages)','Это уведомление будет отправлено покупателю, когда в контексте сделанного им заказа появится новое сообщение','Новое сообщение по заказу №%order_number%','%company_link%\n<p>\nВы получили новое сообщение по заказу %order_messages_link%:\n</p>\n<p>\n%message%\n</p>','','','ru'),(31,'modules/XC/VendorMessages/new_message_notification','Новое сообщение (модуль Order messages)','Это уведомление будет отправлено покупателю, когда в разговоре появится новое сообщение','Новое сообщение в разговоре','%company_link%\n<p>\nВы получили новое сообщение в %conversation_link%:\n</p>\n<p>\n%message%\n</p>','','','ru'),(32,'modules/XC/CanadaPost/return_approved','Return request approved (Canada Post module)','This notification is sent to the customer if their request to return a product via Canada Post is approved by the administrator.','Your return request has been approved','Your return request has been approved','','','en'),(33,'modules/XC/CanadaPost/return_approved','Запрос на возврат товара одобрен (модуль Canada Post)','Данное сообщение отправляется покупателю в случае, если его запрос на возврат товара с пересылкой службой Canada Post получает одобрение администратора.','Ваш запрос на возврат товара одобрен','Ваш запрос на возврат товара одобрен','','','ru'),(34,'modules/XC/CanadaPost/return_rejected','Return request rejected (Canada Post module)','This notification is sent to the customer if their request to return a product via Canada Post is rejected by the administrator.','Your return request has been rejected','Your return request has been rejected','','','en'),(35,'modules/XC/CanadaPost/return_rejected','Запрос на возврат товара отклонен (модуль Canada Post)','Данное сообщение отправляется покупателю в случае, если его запрос на возврат товара с пересылкой службой Canada Post отклоняется администратором.','Ваш запрос на возврат товара отклонен','Ваш запрос на возврат товара отклонен','','','ru'),(36,'modules/XC/ProductVariants/low_variant_limit_warning','<b>Variant</b> low limit warning','This message is used to notify the administrator when the stock level of a product variant reaches the low stock limit as specified in the product details.','','','Variant low stock warning','The inventory level of a product variant in your store has reached the low limit.','en'),(37,'modules/XC/ProductVariants/low_variant_limit_warning','Предупреждение об уменьшении количества <b>варианта</b> товара на складе до минимального уровня','Данное уведомление используется для оповещения администратора об уменьшении количества какого-либо варианта товара до минимального уровня (в соответствии со значением, установленным на странице соответствующего товара)','','','Предупреждение об уменьшении количества варианта товара на складе до минимального уровня','Количество варианта товара на складе достигло минимального уровня.','ru');
/*!40000 ALTER TABLE `xc_notification_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_notifications`
--

DROP TABLE IF EXISTS `xc_notifications`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_notifications` (
  `templatesDirectory` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `availableForAdmin` tinyint(1) NOT NULL,
  `availableForCustomer` tinyint(1) NOT NULL,
  `enabledForAdmin` tinyint(1) NOT NULL,
  `enabledForCustomer` tinyint(1) NOT NULL,
  `adminHeaderEnabled` tinyint(1) NOT NULL,
  `adminGreetingEnabled` tinyint(1) NOT NULL,
  `adminSignatureEnabled` tinyint(1) NOT NULL,
  `customerHeaderEnabled` tinyint(1) NOT NULL,
  `customerGreetingEnabled` tinyint(1) NOT NULL,
  `customerSignatureEnabled` tinyint(1) NOT NULL,
  `position` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`templatesDirectory`),
  UNIQUE KEY `UNIQ_26039A9958BB5391` (`templatesDirectory`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_notifications`
--

LOCK TABLES `xc_notifications` WRITE;
/*!40000 ALTER TABLE `xc_notifications` DISABLE KEYS */;
INSERT INTO `xc_notifications` VALUES ('failed_admin_login',1,0,1,0,1,0,1,1,1,1,100),('failed_transaction',1,0,1,0,1,0,1,1,1,1,200),('low_limit_warning',1,0,1,0,1,0,1,1,1,1,300),('modules/CDev/ContactUs/message',0,0,1,0,1,0,1,1,1,1,500),('modules/CDev/Egoods/egoods_links',0,1,0,1,1,0,1,1,1,1,600),('modules/CDev/PINCodes/acquire_pin_codes_failed',1,0,1,0,1,0,1,1,1,1,700),('modules/XC/CanadaPost/return_approved',0,1,0,1,1,0,1,1,1,1,800),('modules/XC/CanadaPost/return_rejected',0,1,0,1,1,0,1,1,1,1,900),('modules/XC/ProductVariants/low_variant_limit_warning',1,0,1,0,1,0,1,1,1,1,400),('modules/XC/Reviews/new_review',1,0,1,0,1,0,1,0,0,0,1000),('modules/XC/Reviews/review_key',0,0,0,1,0,0,0,1,1,1,0),('modules/XC/VendorMessages/new_message_notification',1,1,1,1,1,0,1,1,1,1,1200),('modules/XC/VendorMessages/notification',1,1,1,1,1,0,1,1,1,1,1100),('order_advanced_changed',0,1,0,1,0,0,1,0,1,1,1300),('order_canceled',1,1,1,1,0,0,1,0,1,1,1500),('order_changed',1,1,1,1,0,0,1,0,1,1,1400),('order_created',1,1,1,1,0,0,1,0,1,1,1600),('order_failed',1,1,1,1,0,0,1,0,1,1,1700),('order_processed',1,1,1,1,0,0,1,0,1,1,1800),('order_shipped',0,1,0,1,0,0,1,0,1,1,1900),('order_tracking_information',0,0,0,1,0,0,1,0,1,1,2000),('order_waiting_for_approve',0,1,0,1,0,0,1,0,1,1,2100),('profile_created',1,1,0,1,1,0,1,1,1,1,2200),('profile_deleted',1,0,0,0,1,0,1,1,1,1,2300),('profile_modified',1,1,0,1,1,0,1,1,1,1,2400),('recover_password_request',0,0,1,1,1,0,1,1,1,1,2500),('register_anonymous',0,1,0,1,1,0,1,1,1,1,2600);
/*!40000 ALTER TABLE `xc_notifications` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_order_capost_office`
--

DROP TABLE IF EXISTS `xc_order_capost_office`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_order_capost_office` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `officeId` char(10) COLLATE utf8_unicode_ci NOT NULL,
  `name` varchar(40) COLLATE utf8_unicode_ci NOT NULL,
  `location` varchar(40) COLLATE utf8_unicode_ci NOT NULL,
  `distance` decimal(12,2) NOT NULL,
  `bilingualDesignation` tinyint(1) NOT NULL,
  `city` varchar(40) COLLATE utf8_unicode_ci NOT NULL,
  `latitude` decimal(15,5) NOT NULL,
  `longitude` decimal(15,5) NOT NULL,
  `postalCode` varchar(20) COLLATE utf8_unicode_ci NOT NULL,
  `province` varchar(64) COLLATE utf8_unicode_ci NOT NULL,
  `officeAddress` varchar(64) COLLATE utf8_unicode_ci NOT NULL,
  `workingHours` longtext COLLATE utf8_unicode_ci NOT NULL COMMENT '(DC2Type:array)',
  `orderId` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `UNIQ_CE3DE61FFA237437` (`orderId`),
  CONSTRAINT `FK_45CE3DE61FFA237437` FOREIGN KEY (`orderId`) REFERENCES `xc_orders` (`order_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_order_capost_office`
--

LOCK TABLES `xc_order_capost_office` WRITE;
/*!40000 ALTER TABLE `xc_order_capost_office` DISABLE KEYS */;
/*!40000 ALTER TABLE `xc_order_capost_office` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_order_capost_parcel_items`
--

DROP TABLE IF EXISTS `xc_order_capost_parcel_items`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_order_capost_parcel_items` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `amount` int(11) NOT NULL,
  `parcelId` int(11) DEFAULT NULL,
  `orderItemId` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `IDX_4518699C805A9ACC87` (`parcelId`),
  KEY `IDX_4518699C80BBF22A26` (`orderItemId`),
  CONSTRAINT `FK_4518699C805A9ACC87` FOREIGN KEY (`parcelId`) REFERENCES `xc_order_capost_parcels` (`id`) ON DELETE CASCADE,
  CONSTRAINT `FK_4518699C80BBF22A26` FOREIGN KEY (`orderItemId`) REFERENCES `xc_order_items` (`item_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_order_capost_parcel_items`
--

LOCK TABLES `xc_order_capost_parcel_items` WRITE;
/*!40000 ALTER TABLE `xc_order_capost_parcel_items` DISABLE KEYS */;
/*!40000 ALTER TABLE `xc_order_capost_parcel_items` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_order_capost_parcel_manifest_link_storage`
--

DROP TABLE IF EXISTS `xc_order_capost_parcel_manifest_link_storage`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_order_capost_parcel_manifest_link_storage` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `path` varchar(512) COLLATE utf8_unicode_ci NOT NULL,
  `fileName` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `mime` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `storageType` varchar(1) COLLATE utf8_unicode_ci NOT NULL,
  `size` int(10) unsigned NOT NULL,
  `date` int(10) unsigned NOT NULL,
  `linkId` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `UNIQ_73059AC5AEC98E42` (`linkId`),
  CONSTRAINT `FK_4573059AC5AEC98E42` FOREIGN KEY (`linkId`) REFERENCES `xc_order_capost_parcel_manifest_links` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_order_capost_parcel_manifest_link_storage`
--

LOCK TABLES `xc_order_capost_parcel_manifest_link_storage` WRITE;
/*!40000 ALTER TABLE `xc_order_capost_parcel_manifest_link_storage` DISABLE KEYS */;
/*!40000 ALTER TABLE `xc_order_capost_parcel_manifest_link_storage` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_order_capost_parcel_manifest_links`
--

DROP TABLE IF EXISTS `xc_order_capost_parcel_manifest_links`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_order_capost_parcel_manifest_links` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `rel` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `href` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `idx` int(11) DEFAULT NULL,
  `mediaType` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `manifestId` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `IDX_457FE471EA99AD4367` (`manifestId`),
  CONSTRAINT `FK_457FE471EA99AD4367` FOREIGN KEY (`manifestId`) REFERENCES `xc_order_capost_parcel_manifests` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_order_capost_parcel_manifest_links`
--

LOCK TABLES `xc_order_capost_parcel_manifest_links` WRITE;
/*!40000 ALTER TABLE `xc_order_capost_parcel_manifest_links` DISABLE KEYS */;
/*!40000 ALTER TABLE `xc_order_capost_parcel_manifest_links` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_order_capost_parcel_manifests`
--

DROP TABLE IF EXISTS `xc_order_capost_parcel_manifests`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_order_capost_parcel_manifests` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `poNumber` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `rel` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `href` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `idx` int(11) DEFAULT NULL,
  `mediaType` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_order_capost_parcel_manifests`
--

LOCK TABLES `xc_order_capost_parcel_manifests` WRITE;
/*!40000 ALTER TABLE `xc_order_capost_parcel_manifests` DISABLE KEYS */;
/*!40000 ALTER TABLE `xc_order_capost_parcel_manifests` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_order_capost_parcel_shipment`
--

DROP TABLE IF EXISTS `xc_order_capost_parcel_shipment`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_order_capost_parcel_shipment` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `shipmentId` varchar(32) COLLATE utf8_unicode_ci NOT NULL,
  `shipmentStatus` varchar(14) COLLATE utf8_unicode_ci DEFAULT NULL,
  `trackingPin` varchar(16) COLLATE utf8_unicode_ci DEFAULT NULL,
  `returnTrackingPin` varchar(16) COLLATE utf8_unicode_ci DEFAULT NULL,
  `poNumber` varchar(32) COLLATE utf8_unicode_ci DEFAULT NULL,
  `parcelId` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `UNIQ_7954C1A5A9ACC87` (`parcelId`),
  CONSTRAINT `FK_457954C1A5A9ACC87` FOREIGN KEY (`parcelId`) REFERENCES `xc_order_capost_parcels` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_order_capost_parcel_shipment`
--

LOCK TABLES `xc_order_capost_parcel_shipment` WRITE;
/*!40000 ALTER TABLE `xc_order_capost_parcel_shipment` DISABLE KEYS */;
/*!40000 ALTER TABLE `xc_order_capost_parcel_shipment` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_order_capost_parcel_shipment_link_storage`
--

DROP TABLE IF EXISTS `xc_order_capost_parcel_shipment_link_storage`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_order_capost_parcel_shipment_link_storage` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `path` varchar(512) COLLATE utf8_unicode_ci NOT NULL,
  `fileName` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `mime` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `storageType` varchar(1) COLLATE utf8_unicode_ci NOT NULL,
  `size` int(10) unsigned NOT NULL,
  `date` int(10) unsigned NOT NULL,
  `linkId` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `UNIQ_82EA5F8AAEC98E42` (`linkId`),
  CONSTRAINT `FK_4582EA5F8AAEC98E42` FOREIGN KEY (`linkId`) REFERENCES `xc_order_capost_parcel_shipment_links` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_order_capost_parcel_shipment_link_storage`
--

LOCK TABLES `xc_order_capost_parcel_shipment_link_storage` WRITE;
/*!40000 ALTER TABLE `xc_order_capost_parcel_shipment_link_storage` DISABLE KEYS */;
/*!40000 ALTER TABLE `xc_order_capost_parcel_shipment_link_storage` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_order_capost_parcel_shipment_links`
--

DROP TABLE IF EXISTS `xc_order_capost_parcel_shipment_links`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_order_capost_parcel_shipment_links` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `rel` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `href` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `idx` int(11) DEFAULT NULL,
  `mediaType` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `shipmentId` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `IDX_45EB25DE223C5EEBE2` (`shipmentId`),
  CONSTRAINT `FK_45EB25DE223C5EEBE2` FOREIGN KEY (`shipmentId`) REFERENCES `xc_order_capost_parcel_shipment` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_order_capost_parcel_shipment_links`
--

LOCK TABLES `xc_order_capost_parcel_shipment_links` WRITE;
/*!40000 ALTER TABLE `xc_order_capost_parcel_shipment_links` DISABLE KEYS */;
/*!40000 ALTER TABLE `xc_order_capost_parcel_shipment_links` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_order_capost_parcel_shipment_tracking`
--

DROP TABLE IF EXISTS `xc_order_capost_parcel_shipment_tracking`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_order_capost_parcel_shipment_tracking` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `expiry` int(10) unsigned NOT NULL,
  `pin` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `activeExists` tinyint(1) NOT NULL,
  `archiveExists` tinyint(1) NOT NULL,
  `destinationPostalId` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `expectedDeliveryDate` int(10) unsigned DEFAULT NULL,
  `changedExpectedDate` int(10) unsigned DEFAULT NULL,
  `changedExpectedDeliveryReason` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `mailedByCustomerNumber` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `mailedOnBehalfOfCustomerNumber` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `originalPin` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `serviceName` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `serviceName_2` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `customerRef_1` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `customerRef_2` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `returnPin` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `signatureImageExists` tinyint(1) NOT NULL,
  `suppressSignature` tinyint(1) NOT NULL,
  `shipmentId` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `UNIQ_619551123C5EEBE2` (`shipmentId`),
  CONSTRAINT `FK_45619551123C5EEBE2` FOREIGN KEY (`shipmentId`) REFERENCES `xc_order_capost_parcel_shipment` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_order_capost_parcel_shipment_tracking`
--

LOCK TABLES `xc_order_capost_parcel_shipment_tracking` WRITE;
/*!40000 ALTER TABLE `xc_order_capost_parcel_shipment_tracking` DISABLE KEYS */;
/*!40000 ALTER TABLE `xc_order_capost_parcel_shipment_tracking` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_order_capost_parcel_shipment_tracking_events`
--

DROP TABLE IF EXISTS `xc_order_capost_parcel_shipment_tracking_events`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_order_capost_parcel_shipment_tracking_events` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `identifier` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `date` char(10) COLLATE utf8_unicode_ci NOT NULL,
  `time` char(8) COLLATE utf8_unicode_ci NOT NULL,
  `timeZone` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `description` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `signatoryName` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `site` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `province` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `retailLocationId` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `retailName` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `trackingId` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `IDX_4575BDE7A6F76B6A7` (`trackingId`),
  CONSTRAINT `FK_4575BDE7A6F76B6A7` FOREIGN KEY (`trackingId`) REFERENCES `xc_order_capost_parcel_shipment_tracking` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_order_capost_parcel_shipment_tracking_events`
--

LOCK TABLES `xc_order_capost_parcel_shipment_tracking_events` WRITE;
/*!40000 ALTER TABLE `xc_order_capost_parcel_shipment_tracking_events` DISABLE KEYS */;
/*!40000 ALTER TABLE `xc_order_capost_parcel_shipment_tracking_events` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_order_capost_parcel_shipment_tracking_files`
--

DROP TABLE IF EXISTS `xc_order_capost_parcel_shipment_tracking_files`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_order_capost_parcel_shipment_tracking_files` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `docType` char(1) COLLATE utf8_unicode_ci NOT NULL,
  `path` varchar(512) COLLATE utf8_unicode_ci NOT NULL,
  `fileName` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `mime` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `storageType` varchar(1) COLLATE utf8_unicode_ci NOT NULL,
  `size` int(10) unsigned NOT NULL,
  `date` int(10) unsigned NOT NULL,
  `trackingId` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `IDX_454EB59AF6F76B6A7` (`trackingId`),
  CONSTRAINT `FK_454EB59AF6F76B6A7` FOREIGN KEY (`trackingId`) REFERENCES `xc_order_capost_parcel_shipment_tracking` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_order_capost_parcel_shipment_tracking_files`
--

LOCK TABLES `xc_order_capost_parcel_shipment_tracking_files` WRITE;
/*!40000 ALTER TABLE `xc_order_capost_parcel_shipment_tracking_files` DISABLE KEYS */;
/*!40000 ALTER TABLE `xc_order_capost_parcel_shipment_tracking_files` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_order_capost_parcel_shipment_tracking_options`
--

DROP TABLE IF EXISTS `xc_order_capost_parcel_shipment_tracking_options`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_order_capost_parcel_shipment_tracking_options` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `description` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `trackingId` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `IDX_45F6B816A26F76B6A7` (`trackingId`),
  CONSTRAINT `FK_45F6B816A26F76B6A7` FOREIGN KEY (`trackingId`) REFERENCES `xc_order_capost_parcel_shipment_tracking` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_order_capost_parcel_shipment_tracking_options`
--

LOCK TABLES `xc_order_capost_parcel_shipment_tracking_options` WRITE;
/*!40000 ALTER TABLE `xc_order_capost_parcel_shipment_tracking_options` DISABLE KEYS */;
/*!40000 ALTER TABLE `xc_order_capost_parcel_shipment_tracking_options` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_order_capost_parcel_shipments_manifests`
--

DROP TABLE IF EXISTS `xc_order_capost_parcel_shipments_manifests`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_order_capost_parcel_shipments_manifests` (
  `manifest_id` int(11) NOT NULL,
  `shipment_id` int(11) NOT NULL,
  PRIMARY KEY (`manifest_id`,`shipment_id`),
  KEY `IDX_458D3D4D8FE697B2FB` (`manifest_id`),
  KEY `IDX_458D3D4D8F7BE036FC` (`shipment_id`),
  CONSTRAINT `FK_458D3D4D8F7BE036FC` FOREIGN KEY (`shipment_id`) REFERENCES `xc_order_capost_parcel_shipment` (`id`) ON DELETE CASCADE,
  CONSTRAINT `FK_458D3D4D8FE697B2FB` FOREIGN KEY (`manifest_id`) REFERENCES `xc_order_capost_parcel_manifests` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_order_capost_parcel_shipments_manifests`
--

LOCK TABLES `xc_order_capost_parcel_shipments_manifests` WRITE;
/*!40000 ALTER TABLE `xc_order_capost_parcel_shipments_manifests` DISABLE KEYS */;
/*!40000 ALTER TABLE `xc_order_capost_parcel_shipments_manifests` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_order_capost_parcels`
--

DROP TABLE IF EXISTS `xc_order_capost_parcels`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_order_capost_parcels` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `order_id` int(11) DEFAULT NULL,
  `number` int(11) NOT NULL,
  `status` char(2) COLLATE utf8_unicode_ci NOT NULL,
  `quoteType` char(2) COLLATE utf8_unicode_ci NOT NULL,
  `boxWeight` decimal(14,4) NOT NULL,
  `boxWidth` decimal(14,4) NOT NULL,
  `boxLength` decimal(14,4) NOT NULL,
  `boxHeight` decimal(14,4) NOT NULL,
  `isDocument` tinyint(1) NOT NULL,
  `isUnpackaged` tinyint(1) NOT NULL,
  `isMailingTube` tinyint(1) NOT NULL,
  `isOversized` tinyint(1) NOT NULL,
  `notifyOnShipment` tinyint(1) NOT NULL,
  `notifyOnException` tinyint(1) NOT NULL,
  `notifyOnDelivery` tinyint(1) NOT NULL,
  `optSignature` tinyint(1) NOT NULL,
  `optCoverage` decimal(14,4) NOT NULL,
  `optAgeProof` varchar(4) COLLATE utf8_unicode_ci NOT NULL,
  `optWayToDeliver` varchar(3) COLLATE utf8_unicode_ci NOT NULL,
  `optNonDelivery` varchar(4) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`),
  KEY `IDX_4535C9355A8D9F6D38` (`order_id`),
  KEY `status` (`status`),
  KEY `number` (`number`),
  CONSTRAINT `FK_4535C9355A8D9F6D38` FOREIGN KEY (`order_id`) REFERENCES `xc_orders` (`order_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_order_capost_parcels`
--

LOCK TABLES `xc_order_capost_parcels` WRITE;
/*!40000 ALTER TABLE `xc_order_capost_parcels` DISABLE KEYS */;
/*!40000 ALTER TABLE `xc_order_capost_parcels` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_order_coupons`
--

DROP TABLE IF EXISTS `xc_order_coupons`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_order_coupons` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `order_id` int(11) DEFAULT NULL,
  `coupon_id` int(10) unsigned DEFAULT NULL,
  `code` char(16) COLLATE utf8_unicode_ci NOT NULL,
  `value` decimal(14,4) NOT NULL,
  `type` char(1) COLLATE utf8_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `IDX_45451D92198D9F6D38` (`order_id`),
  KEY `IDX_45451D921966C5951B` (`coupon_id`),
  CONSTRAINT `FK_45451D921966C5951B` FOREIGN KEY (`coupon_id`) REFERENCES `xc_coupons` (`id`) ON DELETE SET NULL,
  CONSTRAINT `FK_45451D92198D9F6D38` FOREIGN KEY (`order_id`) REFERENCES `xc_orders` (`order_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_order_coupons`
--

LOCK TABLES `xc_order_coupons` WRITE;
/*!40000 ALTER TABLE `xc_order_coupons` DISABLE KEYS */;
/*!40000 ALTER TABLE `xc_order_coupons` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_order_details`
--

DROP TABLE IF EXISTS `xc_order_details`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_order_details` (
  `detail_id` int(11) NOT NULL AUTO_INCREMENT,
  `order_id` int(11) DEFAULT NULL,
  `name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `label` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `value` longtext COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`detail_id`),
  KEY `IDX_45C25F888B8D9F6D38` (`order_id`),
  KEY `oname` (`order_id`,`name`),
  CONSTRAINT `FK_45C25F888B8D9F6D38` FOREIGN KEY (`order_id`) REFERENCES `xc_orders` (`order_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_order_details`
--

LOCK TABLES `xc_order_details` WRITE;
/*!40000 ALTER TABLE `xc_order_details` DISABLE KEYS */;
/*!40000 ALTER TABLE `xc_order_details` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_order_history_event_data`
--

DROP TABLE IF EXISTS `xc_order_history_event_data`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_order_history_event_data` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `event_id` int(11) DEFAULT NULL,
  `name` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `value` longtext COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`),
  KEY `IDX_45BAE0BB2471F7E88B` (`event_id`),
  KEY `en` (`event_id`,`name`),
  CONSTRAINT `FK_45BAE0BB2471F7E88B` FOREIGN KEY (`event_id`) REFERENCES `xc_order_history_events` (`event_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_order_history_event_data`
--

LOCK TABLES `xc_order_history_event_data` WRITE;
/*!40000 ALTER TABLE `xc_order_history_event_data` DISABLE KEYS */;
/*!40000 ALTER TABLE `xc_order_history_event_data` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_order_history_events`
--

DROP TABLE IF EXISTS `xc_order_history_events`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_order_history_events` (
  `event_id` int(11) NOT NULL AUTO_INCREMENT,
  `order_id` int(11) DEFAULT NULL,
  `author_id` int(11) DEFAULT NULL,
  `date` int(11) NOT NULL,
  `code` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `description` varchar(1024) COLLATE utf8_unicode_ci DEFAULT NULL,
  `data` longtext COLLATE utf8_unicode_ci NOT NULL COMMENT '(DC2Type:array)',
  `comment` longtext COLLATE utf8_unicode_ci NOT NULL,
  `authorName` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `authorIp` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`event_id`),
  KEY `IDX_4557EBBA5F8D9F6D38` (`order_id`),
  KEY `IDX_4557EBBA5FF675F31B` (`author_id`),
  CONSTRAINT `FK_4557EBBA5F8D9F6D38` FOREIGN KEY (`order_id`) REFERENCES `xc_orders` (`order_id`) ON DELETE CASCADE,
  CONSTRAINT `FK_4557EBBA5FF675F31B` FOREIGN KEY (`author_id`) REFERENCES `xc_profiles` (`profile_id`) ON DELETE SET NULL
) ENGINE=InnoDB AUTO_INCREMENT=21 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_order_history_events`
--

LOCK TABLES `xc_order_history_events` WRITE;
/*!40000 ALTER TABLE `xc_order_history_events` DISABLE KEYS */;
INSERT INTO `xc_order_history_events` VALUES (1,1,1,1394005540,'PLACE ORDER','Order placed','N;','',NULL,''),(2,1,1,1394005540,'TRANSACTION','Payment transaction [method: Phone Ordering, type: sale, amount: 18.49, status: Pending]','N;','',NULL,''),(3,1,1,1394005540,'EMAIL ADMIN SENT','Email sent to the admin','a:1:{s:7:\"orderId\";i:1;}','Order is initially created',NULL,''),(4,2,1,1396005895,'PLACE ORDER','Order placed','N;','',NULL,''),(5,2,1,1396005895,'TRANSACTION','Payment transaction [method: Phone Ordering, type: sale, amount: 88.67, status: Pending]','N;','',NULL,''),(6,2,1,1396005895,'EMAIL ADMIN SENT','Email sent to the admin','a:1:{s:7:\"orderId\";i:2;}','Order is initially created',NULL,''),(7,3,1,1407005895,'PLACE ORDER','Order placed','N;','',NULL,''),(8,3,1,1407005895,'TRANSACTION','Payment transaction [method: Phone Ordering, type: sale, amount: 158.94, status: Pending]','N;','',NULL,''),(9,3,1,1407005895,'EMAIL ADMIN SENT','Email sent to the admin','a:1:{s:7:\"orderId\";i:3;}','Order is initially created',NULL,''),(10,4,1,1452604435,'PLACE ORDER','Order placed','a:1:{s:7:\"orderId\";i:4;}','',NULL,''),(11,4,1,1452604436,'TRANSACTION','Back end payment transaction [method: Simplify Commerce Hosted Payments, type: sale, amount: 38.01, status: Failed] [initial request]','N;','',NULL,''),(12,4,1,1452604436,'TRANSACTION','Payment transaction [method: Simplify Commerce Hosted Payments, type: sale, amount: 38.01, status: Failed]','N;','',NULL,''),(13,4,1,1452604437,'CHANGE PAYMENT STATUS ORDER','Order payment status changed from {{oldStatus}} to {{newStatus}}','a:3:{s:7:\"orderId\";i:4;s:9:\"newStatus\";s:8:\"Declined\";s:9:\"oldStatus\";s:16:\"Awaiting payment\";}','',NULL,''),(14,4,1,1452604501,'CHANGE PAYMENT STATUS ORDER','Order payment status changed from {{oldStatus}} to {{newStatus}}','a:3:{s:7:\"orderId\";i:4;s:9:\"newStatus\";s:16:\"Awaiting payment\";s:9:\"oldStatus\";s:8:\"Declined\";}','',NULL,''),(15,4,1,1452604502,'TRANSACTION','Back end payment transaction [method: Simplify Commerce Hosted Payments, type: sale, amount: 38.01, status: Failed] [initial request]','N;','',NULL,''),(16,4,1,1452604502,'TRANSACTION','Payment transaction [method: Simplify Commerce Hosted Payments, type: sale, amount: 38.01, status: Failed]','N;','',NULL,''),(17,4,1,1452604502,'CHANGE PAYMENT STATUS ORDER','Order payment status changed from {{oldStatus}} to {{newStatus}}','a:3:{s:7:\"orderId\";i:4;s:9:\"newStatus\";s:8:\"Declined\";s:9:\"oldStatus\";s:16:\"Awaiting payment\";}','',NULL,''),(18,5,1,1452604702,'PLACE ORDER','Order placed','N;','',NULL,''),(19,5,1,1452604702,'TRANSACTION','Payment transaction [method: Money Ordering, type: sale, amount: 352.81, status: Pending]','N;','',NULL,''),(20,5,1,1452604702,'EMAIL ADMIN SENT','Email sent to the admin','a:1:{s:7:\"orderId\";i:5;}','Order is initially created',NULL,'');
/*!40000 ALTER TABLE `xc_order_history_events` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_order_item_attribute_values`
--

DROP TABLE IF EXISTS `xc_order_item_attribute_values`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_order_item_attribute_values` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `item_id` int(11) DEFAULT NULL,
  `attribute_value_checkbox_id` int(10) unsigned DEFAULT NULL,
  `attribute_value_select_id` int(10) unsigned DEFAULT NULL,
  `attribute_value_text_id` int(10) unsigned DEFAULT NULL,
  `name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `value` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `attributeId` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  KEY `IDX_4546E30CEA126F525E` (`item_id`),
  KEY `IDX_4546E30CEA571B5A02` (`attribute_value_checkbox_id`),
  KEY `IDX_4546E30CEAA16D6CC9` (`attribute_value_select_id`),
  KEY `IDX_4546E30CEA27A31B4D` (`attribute_value_text_id`),
  CONSTRAINT `FK_4546E30CEA126F525E` FOREIGN KEY (`item_id`) REFERENCES `xc_order_items` (`item_id`) ON DELETE CASCADE,
  CONSTRAINT `FK_4546E30CEA27A31B4D` FOREIGN KEY (`attribute_value_text_id`) REFERENCES `xc_attribute_values_text` (`id`) ON DELETE SET NULL,
  CONSTRAINT `FK_4546E30CEA571B5A02` FOREIGN KEY (`attribute_value_checkbox_id`) REFERENCES `xc_attribute_values_checkbox` (`id`) ON DELETE SET NULL,
  CONSTRAINT `FK_4546E30CEAA16D6CC9` FOREIGN KEY (`attribute_value_select_id`) REFERENCES `xc_attribute_values_select` (`id`) ON DELETE SET NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_order_item_attribute_values`
--

LOCK TABLES `xc_order_item_attribute_values` WRITE;
/*!40000 ALTER TABLE `xc_order_item_attribute_values` DISABLE KEYS */;
/*!40000 ALTER TABLE `xc_order_item_attribute_values` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_order_item_private_attachments`
--

DROP TABLE IF EXISTS `xc_order_item_private_attachments`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_order_item_private_attachments` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `item_id` int(11) DEFAULT NULL,
  `attachment_id` int(10) unsigned DEFAULT NULL,
  `title` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `downloadKey` char(128) COLLATE utf8_unicode_ci NOT NULL,
  `expire` int(10) unsigned NOT NULL,
  `attempt` int(10) unsigned NOT NULL,
  `attemptLimit` int(10) unsigned NOT NULL,
  `blocked` tinyint(1) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `IDX_45BC5B98F1126F525E` (`item_id`),
  KEY `IDX_45BC5B98F1464E68B` (`attachment_id`),
  CONSTRAINT `FK_45BC5B98F1126F525E` FOREIGN KEY (`item_id`) REFERENCES `xc_order_items` (`item_id`) ON DELETE CASCADE,
  CONSTRAINT `FK_45BC5B98F1464E68B` FOREIGN KEY (`attachment_id`) REFERENCES `xc_product_attachments` (`id`) ON DELETE SET NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_order_item_private_attachments`
--

LOCK TABLES `xc_order_item_private_attachments` WRITE;
/*!40000 ALTER TABLE `xc_order_item_private_attachments` DISABLE KEYS */;
/*!40000 ALTER TABLE `xc_order_item_private_attachments` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_order_item_surcharges`
--

DROP TABLE IF EXISTS `xc_order_item_surcharges`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_order_item_surcharges` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `item_id` int(11) DEFAULT NULL,
  `type` char(8) COLLATE utf8_unicode_ci NOT NULL,
  `code` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `class` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `include` tinyint(1) NOT NULL,
  `available` tinyint(1) NOT NULL,
  `value` decimal(14,4) NOT NULL,
  `name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `weight` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `IDX_45F9394518126F525E` (`item_id`),
  CONSTRAINT `FK_45F9394518126F525E` FOREIGN KEY (`item_id`) REFERENCES `xc_order_items` (`item_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_order_item_surcharges`
--

LOCK TABLES `xc_order_item_surcharges` WRITE;
/*!40000 ALTER TABLE `xc_order_item_surcharges` DISABLE KEYS */;
/*!40000 ALTER TABLE `xc_order_item_surcharges` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_order_items`
--

DROP TABLE IF EXISTS `xc_order_items`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_order_items` (
  `item_id` int(11) NOT NULL AUTO_INCREMENT,
  `object_id` int(10) unsigned DEFAULT NULL,
  `order_id` int(11) DEFAULT NULL,
  `categoryAdded` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `xpcFakeItem` tinyint(1) NOT NULL,
  `name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `sku` varchar(32) COLLATE utf8_unicode_ci NOT NULL,
  `price` decimal(14,4) NOT NULL COMMENT '(DC2Type:money)',
  `itemNetPrice` decimal(14,4) NOT NULL,
  `discountedSubtotal` decimal(14,4) NOT NULL,
  `amount` int(11) NOT NULL,
  `total` decimal(14,4) NOT NULL,
  `subtotal` decimal(14,4) NOT NULL,
  `object_type` varchar(16) COLLATE utf8_unicode_ci NOT NULL,
  `variant_id` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`item_id`),
  KEY `IDX_454693C0A18D9F6D38` (`order_id`),
  KEY `ooo` (`order_id`,`object_type`,`object_id`),
  KEY `object_id` (`object_id`),
  KEY `price` (`price`),
  KEY `amount` (`amount`),
  KEY `IDX_FC5C8B053B69A9AF` (`variant_id`),
  CONSTRAINT `FK_454693C0A1232D562B` FOREIGN KEY (`object_id`) REFERENCES `xc_products` (`product_id`) ON DELETE SET NULL,
  CONSTRAINT `FK_454693C0A18D9F6D38` FOREIGN KEY (`order_id`) REFERENCES `xc_orders` (`order_id`) ON DELETE CASCADE,
  CONSTRAINT `FK_FC5C8B053B69A9AF` FOREIGN KEY (`variant_id`) REFERENCES `xc_product_variants` (`id`) ON DELETE SET NULL
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_order_items`
--

LOCK TABLES `xc_order_items` WRITE;
/*!40000 ALTER TABLE `xc_order_items` DISABLE KEYS */;
INSERT INTO `xc_order_items` VALUES (1,13,1,'',0,'Vinyl Idolz: Ghostbusters','1204',19.9900,19.9900,16.9900,1,19.9900,19.9900,'product',NULL),(2,3,2,'',0,'Spiderman Selfie Ladies\' Tee','12030',19.9900,19.9900,39.9800,2,39.9800,39.9800,'product',NULL),(3,8,2,'',0,'Bow Ties Are Cool [Unlimited QTY]','12007',19.9900,14.9900,44.9700,3,44.9700,44.9700,'product',NULL),(4,12,3,'',0,'Minions Pop Vinyl Figures','12022',9.9900,9.9900,59.9400,6,59.9400,59.9400,'product',NULL),(5,17,3,'',0,'Ollie - The App Controlled Robot','12026',99.0000,99.0000,99.9900,1,99.0000,99.0000,'product',NULL),(6,10,4,'',0,'Ewok Ladies Hooded Tank Top','100ewl',34.9900,34.9900,34.9900,1,34.9900,34.9900,'product',NULL),(7,15,5,'',0,'Soft Kitty Singing Plush [Sale] [Reviews]','12029',29.9900,25.4900,305.8800,12,305.8800,305.8800,'product',NULL),(8,27,5,'',0,'Superhero Mom Mug','12035',12.9900,6.4900,45.4300,7,45.4300,45.4300,'product',NULL);
/*!40000 ALTER TABLE `xc_order_items` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_order_modifiers`
--

DROP TABLE IF EXISTS `xc_order_modifiers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_order_modifiers` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `class` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `weight` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_order_modifiers`
--

LOCK TABLES `xc_order_modifiers` WRITE;
/*!40000 ALTER TABLE `xc_order_modifiers` DISABLE KEYS */;
INSERT INTO `xc_order_modifiers` VALUES (1,'XLite\\Logic\\Order\\Modifier\\Shipping',100),(2,'XLite\\Module\\CDev\\Coupons\\Logic\\Order\\Modifier\\Discount',50),(3,'XLite\\Module\\CDev\\VolumeDiscounts\\Logic\\Order\\Modifier\\Discount',50),(4,'XLite\\Module\\CDev\\SalesTax\\Logic\\Order\\Modifier\\Tax',1100);
/*!40000 ALTER TABLE `xc_order_modifiers` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_order_payment_status_translations`
--

DROP TABLE IF EXISTS `xc_order_payment_status_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_order_payment_status_translations` (
  `label_id` int(11) NOT NULL AUTO_INCREMENT,
  `id` int(10) unsigned DEFAULT NULL,
  `name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `customerName` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `code` char(2) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`label_id`),
  KEY `ci` (`code`,`id`),
  KEY `id` (`id`),
  CONSTRAINT `FK_45702453C2BF396750` FOREIGN KEY (`id`) REFERENCES `xc_order_payment_statuses` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_order_payment_status_translations`
--

LOCK TABLES `xc_order_payment_status_translations` WRITE;
/*!40000 ALTER TABLE `xc_order_payment_status_translations` DISABLE KEYS */;
INSERT INTO `xc_order_payment_status_translations` VALUES (1,1,'Awaiting payment','Awaiting payment','en'),(2,2,'Authorized','Authorization hold','en'),(3,3,'Partially Paid','Partially Paid','en'),(4,4,'Paid','Paid','en'),(5,5,'Declined','Declined','en'),(6,6,'Cancelled','Cancelled','en'),(7,7,'Refunded','Refunded','en');
/*!40000 ALTER TABLE `xc_order_payment_status_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_order_payment_statuses`
--

DROP TABLE IF EXISTS `xc_order_payment_statuses`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_order_payment_statuses` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `code` char(4) COLLATE utf8_unicode_ci DEFAULT NULL,
  `position` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `UNIQ_A2C34C8E77153098` (`code`),
  KEY `code` (`code`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_order_payment_statuses`
--

LOCK TABLES `xc_order_payment_statuses` WRITE;
/*!40000 ALTER TABLE `xc_order_payment_statuses` DISABLE KEYS */;
INSERT INTO `xc_order_payment_statuses` VALUES (1,'Q',10),(2,'A',20),(3,'PP',30),(4,'P',40),(5,'D',50),(6,'C',60),(7,'R',70);
/*!40000 ALTER TABLE `xc_order_payment_statuses` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_order_review_keys`
--

DROP TABLE IF EXISTS `xc_order_review_keys`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_order_review_keys` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `order_id` int(11) DEFAULT NULL,
  `keyValue` char(32) COLLATE utf8_unicode_ci NOT NULL,
  `addedDate` int(11) NOT NULL,
  `sentDate` int(11) NOT NULL,
  `firstClickDate` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `UNIQ_3869BA7B8D9F6D38` (`order_id`),
  KEY `keyValue` (`keyValue`),
  KEY `addedDate` (`addedDate`),
  KEY `sentDate` (`sentDate`),
  CONSTRAINT `FK_453869BA7B8D9F6D38` FOREIGN KEY (`order_id`) REFERENCES `xc_orders` (`order_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_order_review_keys`
--

LOCK TABLES `xc_order_review_keys` WRITE;
/*!40000 ALTER TABLE `xc_order_review_keys` DISABLE KEYS */;
/*!40000 ALTER TABLE `xc_order_review_keys` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_order_shipping_status_translations`
--

DROP TABLE IF EXISTS `xc_order_shipping_status_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_order_shipping_status_translations` (
  `label_id` int(11) NOT NULL AUTO_INCREMENT,
  `id` int(10) unsigned DEFAULT NULL,
  `name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `customerName` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `code` char(2) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`label_id`),
  KEY `ci` (`code`,`id`),
  KEY `id` (`id`),
  CONSTRAINT `FK_4553DEE45BBF396750` FOREIGN KEY (`id`) REFERENCES `xc_order_shipping_statuses` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_order_shipping_status_translations`
--

LOCK TABLES `xc_order_shipping_status_translations` WRITE;
/*!40000 ALTER TABLE `xc_order_shipping_status_translations` DISABLE KEYS */;
INSERT INTO `xc_order_shipping_status_translations` VALUES (1,1,'New','New','en'),(2,2,'Processing','Processing','en'),(3,3,'Shipped','Shipped','en'),(4,4,'Delivered','Delivered','en'),(5,5,'Will Not Deliver','Will Not Deliver','en'),(6,6,'Returned','Returned','en'),(7,7,'Waiting for approve','Waiting for approve','en'),(8,8,'Not Finished','Not finished','en'),(9,8,'Не завершен','Не завершен','ru');
/*!40000 ALTER TABLE `xc_order_shipping_status_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_order_shipping_statuses`
--

DROP TABLE IF EXISTS `xc_order_shipping_statuses`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_order_shipping_statuses` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `code` char(4) COLLATE utf8_unicode_ci DEFAULT NULL,
  `position` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `UNIQ_F46FC21177153098` (`code`),
  KEY `code` (`code`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_order_shipping_statuses`
--

LOCK TABLES `xc_order_shipping_statuses` WRITE;
/*!40000 ALTER TABLE `xc_order_shipping_statuses` DISABLE KEYS */;
INSERT INTO `xc_order_shipping_statuses` VALUES (1,'N',10),(2,'P',20),(3,'S',30),(4,'D',40),(5,'WND',50),(6,'R',60),(7,'WFA',70),(8,'NF',100);
/*!40000 ALTER TABLE `xc_order_shipping_statuses` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_order_status_properties`
--

DROP TABLE IF EXISTS `xc_order_status_properties`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_order_status_properties` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `payment_status_id` int(10) unsigned DEFAULT NULL,
  `shipping_status_id` int(10) unsigned DEFAULT NULL,
  `incStock` tinyint(1) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `payment_status` (`payment_status_id`),
  KEY `shipping_status` (`shipping_status_id`),
  CONSTRAINT `FK_45A5E047EE28DE2F95` FOREIGN KEY (`payment_status_id`) REFERENCES `xc_order_payment_statuses` (`id`) ON DELETE CASCADE,
  CONSTRAINT `FK_45A5E047EE2D02518A` FOREIGN KEY (`shipping_status_id`) REFERENCES `xc_order_shipping_statuses` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=57 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_order_status_properties`
--

LOCK TABLES `xc_order_status_properties` WRITE;
/*!40000 ALTER TABLE `xc_order_status_properties` DISABLE KEYS */;
INSERT INTO `xc_order_status_properties` VALUES (1,2,1,0),(2,2,2,0),(3,2,3,0),(4,2,4,0),(5,2,5,0),(6,2,6,0),(7,2,7,0),(8,3,1,0),(9,3,2,0),(10,3,3,0),(11,3,4,0),(12,3,5,0),(13,3,6,0),(14,3,7,0),(15,4,1,0),(16,4,2,0),(17,4,3,0),(18,4,4,0),(19,4,5,0),(20,4,6,0),(21,4,7,0),(22,5,1,1),(23,5,2,1),(24,5,3,1),(25,5,4,1),(26,5,5,1),(27,5,6,1),(28,5,7,1),(29,6,1,1),(30,6,2,1),(31,6,3,1),(32,6,4,1),(33,6,5,1),(34,6,6,1),(35,6,7,1),(36,1,1,0),(37,1,2,0),(38,1,3,0),(39,1,4,0),(40,1,5,0),(41,1,6,0),(42,1,7,0),(43,7,1,1),(44,7,2,1),(45,7,3,0),(46,7,4,0),(47,7,5,1),(48,7,6,1),(49,7,7,1),(50,2,8,1),(51,3,8,1),(52,4,8,1),(53,5,8,1),(54,6,8,1),(55,1,8,1),(56,7,8,1);
/*!40000 ALTER TABLE `xc_order_status_properties` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_order_surcharges`
--

DROP TABLE IF EXISTS `xc_order_surcharges`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_order_surcharges` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `order_id` int(11) DEFAULT NULL,
  `type` char(8) COLLATE utf8_unicode_ci NOT NULL,
  `code` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `class` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `include` tinyint(1) NOT NULL,
  `available` tinyint(1) NOT NULL,
  `value` decimal(14,4) NOT NULL,
  `name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `weight` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `IDX_453583A1698D9F6D38` (`order_id`),
  CONSTRAINT `FK_453583A1698D9F6D38` FOREIGN KEY (`order_id`) REFERENCES `xc_orders` (`order_id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_order_surcharges`
--

LOCK TABLES `xc_order_surcharges` WRITE;
/*!40000 ALTER TABLE `xc_order_surcharges` DISABLE KEYS */;
INSERT INTO `xc_order_surcharges` VALUES (1,1,'shipping','SHIPPING','\\XLite\\Logic\\Order\\Modifier\\Shipping',0,1,1.5000,'Shipping cost',0),(2,1,'discount','DISCOUNT','\\XLite\\Module\\CDev\\VolumeDiscounts\\Logic\\Order\\Modifier\\Discount',0,1,-3.0000,'Discount',0),(3,2,'shipping','SHIPPING','\\XLite\\Logic\\Order\\Modifier\\Shipping',0,1,3.7200,'Shipping cost',0),(4,3,'shipping','SHIPPING','\\XLite\\Logic\\Order\\Modifier\\Shipping',0,1,0.0000,'Shipping cost',0),(5,4,'shipping','SHIPPING','\\XLite\\Logic\\Order\\Modifier\\Shipping',0,1,3.0200,'Shipping cost',0),(6,5,'shipping','SHIPPING','\\XLite\\Logic\\Order\\Modifier\\Shipping',0,1,1.5000,'Shipping cost',0);
/*!40000 ALTER TABLE `xc_order_surcharges` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_order_tracking_number`
--

DROP TABLE IF EXISTS `xc_order_tracking_number`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_order_tracking_number` (
  `tracking_id` int(11) NOT NULL AUTO_INCREMENT,
  `order_id` int(11) DEFAULT NULL,
  `value` longtext COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`tracking_id`),
  KEY `IDX_4577A238F48D9F6D38` (`order_id`),
  CONSTRAINT `FK_4577A238F48D9F6D38` FOREIGN KEY (`order_id`) REFERENCES `xc_orders` (`order_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_order_tracking_number`
--

LOCK TABLES `xc_order_tracking_number` WRITE;
/*!40000 ALTER TABLE `xc_order_tracking_number` DISABLE KEYS */;
/*!40000 ALTER TABLE `xc_order_tracking_number` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_orders`
--

DROP TABLE IF EXISTS `xc_orders`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_orders` (
  `order_id` int(11) NOT NULL AUTO_INCREMENT,
  `not_finished_order_id` int(11) DEFAULT NULL,
  `profile_id` int(11) DEFAULT NULL,
  `orig_profile_id` int(11) DEFAULT NULL,
  `payment_status_id` int(10) unsigned DEFAULT NULL,
  `shipping_status_id` int(10) unsigned DEFAULT NULL,
  `currency_id` int(10) unsigned DEFAULT NULL,
  `fraud_status_xpc` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `fraud_type_xpc` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `fraud_check_transaction_id` int(11) NOT NULL,
  `is_zero_auth` tinyint(1) NOT NULL,
  `mailchimpStoreId` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `demo` tinyint(1) NOT NULL,
  `shipping_id` int(11) NOT NULL,
  `shipping_method_name` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `payment_method_name` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `tracking` varchar(32) COLLATE utf8_unicode_ci NOT NULL,
  `date` int(11) NOT NULL,
  `lastRenewDate` int(11) NOT NULL,
  `notes` longtext COLLATE utf8_unicode_ci NOT NULL,
  `adminNotes` longtext COLLATE utf8_unicode_ci NOT NULL,
  `orderNumber` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `recent` tinyint(1) NOT NULL,
  `xcPendingExport` tinyint(1) NOT NULL,
  `total` decimal(14,4) NOT NULL,
  `subtotal` decimal(14,4) NOT NULL,
  `is_order` int(11) NOT NULL,
  PRIMARY KEY (`order_id`),
  KEY `IDX_459A9BE335791AE370` (`not_finished_order_id`),
  KEY `IDX_459A9BE335CCFA12B8` (`profile_id`),
  KEY `IDX_459A9BE335DBFEF46C` (`orig_profile_id`),
  KEY `IDX_459A9BE33538248176` (`currency_id`),
  KEY `date` (`date`),
  KEY `total` (`total`),
  KEY `subtotal` (`subtotal`),
  KEY `tracking` (`tracking`),
  KEY `payment_status` (`payment_status_id`),
  KEY `shipping_status` (`shipping_status_id`),
  KEY `shipping_id` (`shipping_id`),
  KEY `lastRenewDate` (`lastRenewDate`),
  KEY `orderNumber` (`orderNumber`),
  KEY `is_order` (`is_order`),
  KEY `xcPendingExport` (`xcPendingExport`),
  KEY `is_zero_auth` (`is_zero_auth`),
  CONSTRAINT `FK_459A9BE33528DE2F95` FOREIGN KEY (`payment_status_id`) REFERENCES `xc_order_payment_statuses` (`id`) ON DELETE SET NULL,
  CONSTRAINT `FK_459A9BE3352D02518A` FOREIGN KEY (`shipping_status_id`) REFERENCES `xc_order_shipping_statuses` (`id`) ON DELETE SET NULL,
  CONSTRAINT `FK_459A9BE33538248176` FOREIGN KEY (`currency_id`) REFERENCES `xc_currencies` (`currency_id`) ON DELETE CASCADE,
  CONSTRAINT `FK_459A9BE335791AE370` FOREIGN KEY (`not_finished_order_id`) REFERENCES `xc_orders` (`order_id`) ON DELETE SET NULL,
  CONSTRAINT `FK_459A9BE335CCFA12B8` FOREIGN KEY (`profile_id`) REFERENCES `xc_profiles` (`profile_id`) ON DELETE CASCADE,
  CONSTRAINT `FK_459A9BE335DBFEF46C` FOREIGN KEY (`orig_profile_id`) REFERENCES `xc_profiles` (`profile_id`) ON DELETE SET NULL
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_orders`
--

LOCK TABLES `xc_orders` WRITE;
/*!40000 ALTER TABLE `xc_orders` DISABLE KEYS */;
INSERT INTO `xc_orders` VALUES (1,NULL,2,1,4,4,840,'','',0,0,'',1,0,'','','',1394005540,1537174038,'','','1',0,0,18.4900,19.9900,1),(2,NULL,3,1,4,4,840,'','',0,0,'',1,0,'','','',1396005895,1537174038,'','','2',1,0,88.6700,84.9500,1),(3,NULL,4,1,4,4,840,'','',0,0,'',1,0,'','','',1407005895,1537174038,'','','3',1,0,158.9400,158.9400,1),(4,NULL,5,1,5,5,840,'','',0,0,'',1,0,'','Simplify Commerce Hosted Payments','',1452604403,1537174038,'','','4',1,0,38.0100,34.9900,1),(5,NULL,6,1,4,4,840,'','',0,0,'',1,0,'','','',1452604702,1537174039,'','','5',0,0,352.8100,351.3100,1);
/*!40000 ALTER TABLE `xc_orders` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_page_images`
--

DROP TABLE IF EXISTS `xc_page_images`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_page_images` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `page_id` int(10) unsigned DEFAULT NULL,
  `width` int(11) NOT NULL,
  `height` int(11) NOT NULL,
  `hash` char(32) COLLATE utf8_unicode_ci DEFAULT NULL,
  `needProcess` tinyint(1) NOT NULL,
  `path` varchar(512) COLLATE utf8_unicode_ci NOT NULL,
  `fileName` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `mime` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `storageType` varchar(1) COLLATE utf8_unicode_ci NOT NULL,
  `size` int(10) unsigned NOT NULL,
  `date` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `UNIQ_ABDA1565C4663E4` (`page_id`),
  CONSTRAINT `FK_45ABDA1565C4663E4` FOREIGN KEY (`page_id`) REFERENCES `xc_pages` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_page_images`
--

LOCK TABLES `xc_page_images` WRITE;
/*!40000 ALTER TABLE `xc_page_images` DISABLE KEYS */;
/*!40000 ALTER TABLE `xc_page_images` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_page_translations`
--

DROP TABLE IF EXISTS `xc_page_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_page_translations` (
  `label_id` int(11) NOT NULL AUTO_INCREMENT,
  `id` int(10) unsigned DEFAULT NULL,
  `name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `teaser` longtext COLLATE utf8_unicode_ci NOT NULL,
  `body` longtext COLLATE utf8_unicode_ci NOT NULL,
  `metaKeywords` longtext COLLATE utf8_unicode_ci NOT NULL,
  `metaTitle` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `code` char(2) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`label_id`),
  KEY `ci` (`code`,`id`),
  KEY `id` (`id`),
  CONSTRAINT `FK_45D4ABAC0BF396750` FOREIGN KEY (`id`) REFERENCES `xc_pages` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_page_translations`
--

LOCK TABLES `xc_page_translations` WRITE;
/*!40000 ALTER TABLE `xc_page_translations` DISABLE KEYS */;
INSERT INTO `xc_page_translations` VALUES (1,1,'Terms and conditions','Terms and conditions','<p>Terms and conditions text</p><p>To replace this text with the actual Terms and conditions, go to the \"Content -> Pages\" section, open the \"Terms &amp; Conditions\" page and edit the \"Content\" field.</p>','','','en'),(2,1,'Условия использования','Условия использования','<p>Чтобы разместить на этой странице Ваш собственный текст \"Условия использования\", перейдите в раздел \"Содержание -> Страницы\", откройте для редактирования страницу \"Условия использования\" и добавьте требуемый текст в поле \"Содержание\".</p>','','','ru'),(3,1,'条款约定','条款约定','<p>内容描述</p><p>要替代该条款内的内容，请到&ldquo;内容-网页&ldquo;中进行设置，打开页面编辑并在这里编辑内容栏目。</p>','','','zh'),(4,2,'Shipping','Shipping teaser','<p>This page is intended for your store\'s shipping policy.</p><p>Here you can provide general information about the available shipping options and rates, shipping turn-around times, size and weight limits for shipping, shipping restrictions, order tracking, and so on.</p><p></p><p>To replace this text with the actual delivery information, go to the \"Content -> Pages\" section, open the \"Shipping\" page and edit the \"Content\" field.</p>','','','en'),(5,2,'Доставка','Доставка','<p>Чтобы разместить на этой странице Ваш собственный текст \"Доставка\", перейдите в раздел \"Содержание -> Страницы\", откройте для редактирования страницу \"Доставка\" и добавьте требуемый текст в поле \"Содержание\".</p>','','','ru'),(6,2,'关于运输','关于运输','<p>关于运输的内容</p><p>要设置该页面的运输项目内容，请到&rdquo;内容-页面&rdquo;中打开关于运输页面进行修改。</p>','','','zh');
/*!40000 ALTER TABLE `xc_page_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_pages`
--

DROP TABLE IF EXISTS `xc_pages`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_pages` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `useCustomOG` tinyint(1) NOT NULL,
  `ogMeta` longtext COLLATE utf8_unicode_ci NOT NULL,
  `showSocialButtons` tinyint(1) NOT NULL,
  `enabled` tinyint(1) NOT NULL,
  `metaDescType` varchar(1) COLLATE utf8_unicode_ci NOT NULL,
  `position` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `enabled` (`enabled`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_pages`
--

LOCK TABLES `xc_pages` WRITE;
/*!40000 ALTER TABLE `xc_pages` DISABLE KEYS */;
INSERT INTO `xc_pages` VALUES (1,0,'',0,1,'A',0),(2,0,'',0,1,'A',0);
/*!40000 ALTER TABLE `xc_pages` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_payment_backend_transaction_data`
--

DROP TABLE IF EXISTS `xc_payment_backend_transaction_data`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_payment_backend_transaction_data` (
  `data_id` int(11) NOT NULL AUTO_INCREMENT,
  `backend_transaction_id` int(11) DEFAULT NULL,
  `name` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `label` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `access_level` char(1) COLLATE utf8_unicode_ci NOT NULL,
  `value` longtext COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`data_id`),
  KEY `IDX_45BE43AC028167CC5C` (`backend_transaction_id`),
  KEY `tn` (`backend_transaction_id`,`name`),
  CONSTRAINT `FK_45BE43AC028167CC5C` FOREIGN KEY (`backend_transaction_id`) REFERENCES `xc_payment_backend_transactions` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_payment_backend_transaction_data`
--

LOCK TABLES `xc_payment_backend_transaction_data` WRITE;
/*!40000 ALTER TABLE `xc_payment_backend_transaction_data` DISABLE KEYS */;
/*!40000 ALTER TABLE `xc_payment_backend_transaction_data` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_payment_backend_transactions`
--

DROP TABLE IF EXISTS `xc_payment_backend_transactions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_payment_backend_transactions` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `transaction_id` int(11) DEFAULT NULL,
  `date` int(11) NOT NULL,
  `status` char(1) COLLATE utf8_unicode_ci NOT NULL,
  `value` decimal(14,4) NOT NULL,
  `type` varchar(20) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`),
  KEY `IDX_45808A7FC32FC0CB0F` (`transaction_id`),
  KEY `td` (`transaction_id`,`date`),
  CONSTRAINT `FK_45808A7FC32FC0CB0F` FOREIGN KEY (`transaction_id`) REFERENCES `xc_payment_transactions` (`transaction_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_payment_backend_transactions`
--

LOCK TABLES `xc_payment_backend_transactions` WRITE;
/*!40000 ALTER TABLE `xc_payment_backend_transactions` DISABLE KEYS */;
/*!40000 ALTER TABLE `xc_payment_backend_transactions` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_payment_method_settings`
--

DROP TABLE IF EXISTS `xc_payment_method_settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_payment_method_settings` (
  `setting_id` int(11) NOT NULL AUTO_INCREMENT,
  `method_id` int(11) DEFAULT NULL,
  `name` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `value` longtext COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`setting_id`),
  KEY `IDX_4533B9DA0019883967` (`method_id`),
  KEY `mn` (`method_id`,`name`),
  CONSTRAINT `FK_4533B9DA0019883967` FOREIGN KEY (`method_id`) REFERENCES `xc_payment_methods` (`method_id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=167 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_payment_method_settings`
--

LOCK TABLES `xc_payment_method_settings` WRITE;
/*!40000 ALTER TABLE `xc_payment_method_settings` DISABLE KEYS */;
INSERT INTO `xc_payment_method_settings` VALUES (1,8,'vendor',''),(2,8,'user',''),(3,8,'pwd',''),(4,8,'partner','PayPal'),(5,8,'prefix','mystore_'),(6,8,'transaction_type','S'),(7,8,'mode','test'),(8,8,'buyNowEnabled','1'),(9,9,'vendor',''),(10,9,'user',''),(11,9,'pwd',''),(12,9,'partner','PayPal'),(13,9,'prefix','mystore_'),(14,9,'transaction_type','S'),(15,9,'mode','test'),(16,10,'vendor',''),(17,10,'user',''),(18,10,'pwd',''),(19,10,'partner','PayPal'),(20,10,'prefix','mystore_'),(21,10,'transaction_type','S'),(22,10,'mode','test'),(23,10,'buyNowEnabled','1'),(24,11,'account',''),(25,11,'description',''),(26,11,'prefix','mystore_'),(27,11,'mode','test'),(28,12,'api_type','email'),(29,12,'email','nogard@x-cart.com'),(30,12,'api_solution','paypal'),(31,12,'vendor',''),(32,12,'user',''),(33,12,'pwd',''),(34,12,'partner','PayPal'),(35,12,'api_username',''),(36,12,'api_password',''),(37,12,'auth_method','signature'),(38,12,'signature',''),(39,12,'certificate',''),(40,12,'prefix','mystore_'),(41,12,'transaction_type','S'),(42,12,'mode','test'),(43,12,'merchantId',''),(44,12,'buyNowEnabled','1'),(45,13,'enabled','1'),(46,13,'agreement','N'),(47,13,'email',''),(48,13,'publisherId',''),(49,13,'bannerOnHomePage','D'),(50,13,'bannerOnCategoryPages','D'),(51,13,'bannerOnProductDetailsPages','A'),(52,13,'bannerOnCartPage','C'),(53,14,'app_id',''),(54,14,'api_username',''),(55,14,'api_password',''),(56,14,'signature',''),(57,14,'paypal_login',''),(58,14,'partner','PayPal'),(59,14,'feesPayer','PRIMARYRECEIVER'),(60,14,'matchCriteria','name'),(61,14,'prefix','mystore_'),(62,14,'transaction_type','S'),(63,14,'mode','test'),(64,14,'buyNowEnabled','1'),(65,15,'email',''),(66,15,'client_id',''),(67,15,'secret',''),(68,15,'partner_id',''),(69,15,'bn_code',''),(70,15,'additional_partner_referral_id',''),(71,15,'additional_merchant_id',''),(72,15,'payment_descriptor',''),(73,15,'prefix','mystore_'),(74,15,'transaction_type','S'),(75,15,'mode','test'),(76,15,'disburse_funds','INSTANT'),(77,17,'login',''),(78,17,'key',''),(79,17,'signature',''),(80,17,'type','sale'),(81,17,'test','1'),(82,17,'prefix','xcart'),(83,17,'hash_key',''),(84,17,'hash_type','sha512'),(85,49,'login',''),(86,49,'prefix','xcart'),(87,49,'hash',''),(88,49,'include_response','N'),(89,50,'account',''),(90,50,'secret',''),(91,50,'language','en'),(92,50,'mode','test'),(93,50,'prefix','xcart'),(94,50,'currency','USD'),(95,52,'pspid',''),(96,52,'sha_in',''),(97,52,'sha_out',''),(98,52,'currency','GBP'),(99,52,'test','1'),(100,52,'prefix','xcart_'),(101,52,'debug_enabled','0'),(102,53,'merchant_id',''),(103,53,'subid','0'),(104,53,'pub_cert','rabobank.cer'),(105,53,'pub_key',''),(106,53,'private_key',''),(107,53,'private_key_pass',''),(108,53,'currency','EUR'),(109,53,'test','Y'),(110,53,'prefix','xcart_'),(111,53,'debug_enabled','0'),(112,54,'vendorName',''),(113,54,'password',''),(114,54,'type','sale'),(115,54,'test','1'),(116,54,'prefix','xcart'),(117,55,'publishKey',''),(118,55,'accessToken',''),(119,55,'publishKeyTest',''),(120,55,'accessTokenTest',''),(121,55,'mode','live'),(122,55,'type','sale'),(123,55,'prefix','xcart'),(124,55,'userId',''),(125,55,'refreshToken',''),(126,56,'pspid',''),(127,56,'shaIn',''),(128,56,'shaOut',''),(129,56,'prefix','xcart'),(130,56,'mode','test'),(131,57,'store_id',''),(132,57,'hpp_key',''),(133,57,'mode','test'),(134,57,'prefix','xcart'),(135,57,'currency','USD'),(136,58,'merchant_id',''),(137,58,'mode',''),(138,58,'access_key',''),(139,58,'secret_key',''),(140,58,'client_id',''),(141,58,'region','USD'),(142,58,'capture_mode','C'),(143,58,'sync_mode','S'),(144,58,'order_id_prefix',''),(145,59,'prefix',''),(146,59,'merchantId',''),(147,59,'accessToken',''),(148,59,'refreshToken',''),(149,59,'merchantAccountId',''),(150,59,'kountMerchantId',''),(151,59,'isAutoSettle',''),(152,59,'testMode','1'),(153,59,'isPayPal','0'),(154,59,'paypalButtonColor','gold'),(155,59,'paypalButtonShape','pill'),(156,59,'is3dSecure','0'),(157,59,'isAcceptNo3dSecure','0'),(158,59,'is3dSecureForVault','0'),(159,59,'isUseVault','1'),(160,59,'isShowSaveCardBox','1'),(161,60,'api_login_id',''),(162,60,'transaction_key',''),(163,60,'public_key',''),(164,60,'type','sale'),(165,60,'mode','test'),(166,60,'prefix','xcart');
/*!40000 ALTER TABLE `xc_payment_method_settings` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_payment_method_translations`
--

DROP TABLE IF EXISTS `xc_payment_method_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_payment_method_translations` (
  `label_id` int(11) NOT NULL AUTO_INCREMENT,
  `id` int(11) DEFAULT NULL,
  `name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `title` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `description` longtext COLLATE utf8_unicode_ci NOT NULL,
  `adminDescription` longtext COLLATE utf8_unicode_ci NOT NULL,
  `altAdminDescription` longtext COLLATE utf8_unicode_ci NOT NULL,
  `instruction` longtext COLLATE utf8_unicode_ci NOT NULL,
  `code` char(2) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`label_id`),
  KEY `ci` (`code`,`id`),
  KEY `id` (`id`),
  CONSTRAINT `FK_459FBF065BF396750` FOREIGN KEY (`id`) REFERENCES `xc_payment_methods` (`method_id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=218 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_payment_method_translations`
--

LOCK TABLES `xc_payment_method_translations` WRITE;
/*!40000 ALTER TABLE `xc_payment_method_translations` DISABLE KEYS */;
INSERT INTO `xc_payment_method_translations` VALUES (1,1,'Purchase Order','','','','','','en'),(2,1,'Заказ-наряд','','Оформить заказ на поставку товара','','','','ru'),(3,2,'Phone Ordering','','Phone: (555) 555-5555','','','','en'),(4,2,'Заказ по телефону','','Тел. (555) 555-5555','','','','ru'),(5,3,'Fax Ordering','','Fax: (555) 555-5555','','','','en'),(6,3,'Заказ по факсу','','','','','','ru'),(7,4,'Money Order','','US Banks Only','','','','en'),(8,4,'Денежный перевод','','Оплата через отделение банка','','','','ru'),(9,5,'Check','','Check payment','','','','en'),(10,5,'Чек','','Оплата банковским чеком','','','','ru'),(11,6,'COD','','Cash On Delivery','','','','en'),(12,6,'Наложенный платеж','','Оплата товара при получении','','','','ru'),(13,7,'Cash on Delivery (FedEx)','','','','','','en'),(14,8,'PayPal Payflow Link','Credit/Debit card or PayPal','','','Accept Visa, MasterCard®, American Express, Discover and PayPal payments on your site by connecting a PayPal-hosted checkout page with your own internet merchant account. Customize the page to look like the rest of your site and make sure customer transactions are secure.','','en'),(15,9,'PayPal Partner Hosted with PCI Compliance','Credit/Debit card','','','PCI compliant payments on your site with Visa, MasterCard, American Express and Discover - without PayPal-hosted pages. Maintain full control over your customers\' checkout experience by providing a credit card form that will post your customers\' payment details from your site\'s native checkout page directly to the Gateway server.','','en'),(16,10,'PayPal Payments Advanced','Credit/Debit card or PayPal','','','Accept Visa, MasterCard®, American Express, Discover and PayPal payments securely. With this all-in-one option, customers stay on your site for the entire checkout process. It simplifies PCI compliance and opens the door to more than 100 million active PayPal customers. Requires credit approval (2-3 business days).','','en'),(17,11,'PayPal Payments Standard','PayPal','','','Add a PayPal payment button to your site to accept Visa, MasterCard®, American Express, Discover and PayPal payments securely. When your customers check out, they are redirected to PayPal to pay, then return to your site after they are finished.','','en'),(18,12,'PayPal Express Checkout','PayPal','','','Create a seamless checkout experience and increase your conversion rate by opening the door to over 100 million active PayPal customers who look for and use this fast, easy, and secure way to pay.','','en'),(19,13,'PayPal Credit','PayPal Credit','','','','','en'),(20,14,'PayPal Adaptive payments (legacy)','PayPal','','','This method provides automatic transfer of payments to vendor users (the type of users enabled by the Multi-vendor module). The method may not be activated unless the module <a href=\'admin.php?target=addons_list_marketplace&moduleName=XC\\MultiVendor\' target=\'_blank\'>Multi-vendor</a> is installed and enabled. To use this method, store administrator is required to have an Application ID for PayPal Adaptive Payments API.','','en'),(21,15,'PayPal for Marketplaces (beta)','PayPal','','','PayPal for Marketplaces is a comprehensive payments solution for marketplaces, crowdfunding platforms, and other environments where people buy and sell goods and services or raise money. The solution is ideal if you run a multi-party commerce platform and want a flexible, end-to-end solution for processing payments.','','en'),(22,15,'PayPal for Marketplaces (beta)','PayPal','','','PayPal for Marketplaces - это комплексное решение по приёму платежей для торговых площадок, платформ для сбора средств под проект (\"краудфандинг\") и других сфер, где осуществляется продажа и покупка товаров и услуг, либо сбор средств. Данное решение идеально подойдет для платформ, осуществляющих коммерческую деятельность от лица нескольких участников, и представляет собой комплексное и гибкое решение для обработки платежей на всех этапах этой деятельности.','','ru'),(23,16,'Cash on Delivery (UPS)','','','','','','en'),(24,17,'Authorize.Net SIM','','','','','','en'),(25,18,'Skrill Wallet','','','','','','en'),(26,19,'Skrill Neteller','','','','','','en'),(27,20,'Skrill PSC','','','','','','en'),(28,21,'Skrill Resurs','','','','','','en'),(29,22,'Skrill All Card Types','','','','','','en'),(30,23,'Skrill Visa','','','','','','en'),(31,24,'Skrill MasterCard','','','','','','en'),(32,25,'Skrill Visa Delta/Debit','','','','','','en'),(33,26,'Skrill Visa Electron','','','','','','en'),(34,27,'Skrill Maestro','','','','','','en'),(35,28,'Skrill American Express','','','','','','en'),(36,29,'Skrill Carte Bleue','','','','','','en'),(37,30,'Skrill Dankort','','','','','','en'),(38,31,'Skrill PostePay','','','','','','en'),(39,32,'Skrill CartaSi','','','','','','en'),(40,33,'Skrill Online Bank Transfer','','','','','','en'),(41,34,'Skrill Giropay','','','','','','en'),(42,35,'Skrill Direct Debit / ELV','','','','','','en'),(43,36,'Skrill All Polish Banks','','','','','','en'),(44,37,'Skrill Sofortueberweisung','','','','','','en'),(45,38,'Skrill Nordea Solo','','','','','','en'),(46,39,'Skrill iDEAL','','','','','','en'),(47,40,'Skrill EPS (Netpay)','','','','','','en'),(48,41,'Skrill POLi','','','','','','en'),(49,42,'Skrill ePay.bg','','','','','','en'),(50,43,'Skrill Trustly','','','','','','en'),(51,44,'Skrill Alipay','','','','','','en'),(52,45,'Skrill Direct bank transfer','','','','','','en'),(53,46,'Skrill Manual bank transfer','','','','','','en'),(54,47,'Skrill Cash/Invoice','','','','','','en'),(55,48,'Skrill Unionpay','','','','','','en'),(56,49,'QuantumGateway','','','','','','en'),(57,50,'2Checkout.com','','','','','','en'),(58,51,'Cash on Delivery (USPS)','','','','','','en'),(59,52,'Barclaycard ePDQ e-Commerce','','','','','','en'),(60,53,'iDEAL Professional (Rabobank)','','','','','','en'),(61,54,'Sage Pay form protocol','','','','','','en'),(62,55,'Stripe','','','','','','en'),(63,56,'Ingenico Payment Services (Ogone)','','','','','','en'),(64,57,'Moneris (eSELECTplus- Hosted Pay Page)','','','','','','en'),(65,58,'Amazon Pay','','','','','','en'),(66,59,'PayPal powered by Braintree','','','Supported countries: US, UK, France, Italy & Spain.','','','en'),(67,60,'Authorize.Net Accept.js','','','','','','en'),(68,61,'emerchantpay Checkout','emerchantpay Checkout','emerchantpay offers a secure way to pay for your order, using Credit/Debit/Prepaid Card, e-Wallet or Vouchers.','','Accept Credit/Debit Cards or Alternative Payments (e-Wallet, Prepaid-Cards, Vouchers etc.) via Payment Form on emerchantpay PCI-certified servers.','','en'),(69,62,'emerchantpay Direct','emerchantpay Direct','emerchantpay offers a secure way to pay for your order, using Credit/Debit Card','','Direct API - allow customers to enter their CreditCard information on your website. Note: You need PCI-DSS certificate in order to enable this payment method.','','en'),(70,63,'FuturePay','','','','','','en'),(71,64,'G2A Pay','','','Accept transactions via 150+ payment methods. Connect with international customers. Grow worldwide.','','','en'),(72,65,'Meritus Payment Solutions (“MPS”) WebHost','','','Accept transactions via Meritus Payment Solutions.','','','en'),(73,66,'Credit Card (Secured by MerchantSuite)','','','','','','en'),(74,67,'PayKings','','','','','','en'),(75,68,'Paytm PG','','','','','','en'),(76,69,'Alipay payment gateway','','','','','','en'),(77,70,'Braintree, a PayPal Company','','','','','','en'),(78,71,'CCBill','','','','','','en'),(79,72,'Dwolla','','','','','','en'),(80,73,'E-Gateway','','','','','','en'),(81,74,'eProcessing Network - Database Engine','','','','','','en'),(82,75,'EXRID Payment gateway','','','','','','en'),(83,76,'FastSpring - Popup Storefronts','','','','','','en'),(84,77,'Finpay (PT. Finnet Indonesia)','','','','','','en'),(85,78,'First Data Payeezy Gateway - Hosted Payment Pages','','','','','','en'),(86,79,'Giropay','','','','','','en'),(87,80,'Global Transport eCommerce processor','','','','','','en'),(88,81,'Kiwoompay','','','','','','en'),(89,82,'CMI Payment','','','','','','en'),(90,83,'Pagseguro','','','','','','en'),(91,84,'PayPal Here','','Pay in person with PayPal Here app and card reader. Pay with credit and debit cards or with your PayPal account.','','','','en'),(92,84,'PayPal Here','','Платите лично с приложением и кардридером PayPalHere. Платите кредитной и дебетовой картами или с использованием вашего аккаунта PayPal.','','','','ru'),(93,85,'PayPro Cloud','','','','','','en'),(94,86,'PayWay Net','','','','','','en'),(95,87,'Paysafecard','','','','','','en'),(96,88,'QuickPay Link','','','','','','en'),(97,89,'Rabo OmniKassa','','','','','','en'),(98,90,'Global Iris/Realex Payments Hosted Payment Page','','','','','','en'),(99,91,'Оплата через Сбербанк','','','','','','ru'),(100,91,'Sberbank payments','','','','','','en'),(101,92,'SecurePay (SecureFrame)','','','','','','en'),(102,93,'TenPay','','','','','','en'),(103,94,'2Checkout - Inline Checkout','','','','','','en'),(104,95,'V12 Retail Finance','','','','','','en'),(105,96,'CoinPayments','','','','','','en'),(106,97,'paymentwall.com','','','','','','en'),(107,98,'Beanstream','','','','','','en'),(108,99,'BitPay','','','','','','en'),(109,100,'BlueSnap Credit/Debit Card Payments','Credit/Debit Cards','','','','','en'),(110,101,'ChronoPay','','','','','','en'),(111,102,'DIBS FlexWin','','','','','','en'),(112,103,'Datatrans (Universal payment page)','','','','','','en'),(113,104,'EBS India','','','','','','en'),(114,105,'eWAY Payments','','','','','','en'),(115,106,'Heartland Payment System','','','','','','en'),(116,107,'InternetSecure','','','','','','en'),(117,108,'Netbanx Hosted Payment','','','','','','en'),(118,109,'PayFort','','','','','','en'),(119,110,'PayTabs','','','','','','en'),(120,111,'PayU India','','','','','','en'),(121,112,'Pilibaba Chinese Checkout','','','','','','en'),(122,113,'Poli Payment','','','','','','en'),(123,114,'Visa QIWI Wallet','','','','','','en'),(124,115,'Robokassa','','','','','','en'),(125,116,'Secure Trading','','','','','','en'),(126,117,'Simplify Commerce','','','','','','en'),(127,118,'Simplify Commerce Hosted Payments','','','','','','en'),(128,119,'SOFORT Banking','','','','','','en'),(129,120,'Converge (Virtual merchant)','','','','','','en'),(130,121,'WebMoney','','','','','','en'),(131,122,'WorldPay','','','','','','en'),(132,123,'Yandex.Checkout','','','','','','en'),(133,123,'Яндекс.Касса, выбор способа оплаты на стороне Кассы','','','','','','ru'),(134,124,'Yandex.Checkout with bank card payment','','','','','','en'),(135,124,'Яндекс.Касса, оплата банковской картой','','','','','','ru'),(136,125,'Yandex.Checkout with Yandex.Money wallet','','','','','','en'),(137,125,'Яндекс.Касса, оплата со счета Яндекс.Деньги','','','','','','ru'),(138,126,'Yandex.Checkout with mobile account payment','','','','','','en'),(139,126,'Яндекс.Касса, оплата с мобильного телефона','','','','','','ru'),(140,127,'Yandex.Checkout with cash in terminal','','','','','','en'),(141,127,'Яндекс.Касса, оплата наличными в терминале','','','','','','ru'),(142,128,'Yandex.Checkout with WebMoney wallet','','','','','','en'),(143,128,'Яндекс.Касса, оплата через WebMoney','','','','','','ru'),(144,129,'Yandex.Checkout with Sberbank Online','','','','','','en'),(145,129,'Яндекс.Касса, оплата через Сбербанк Онлайн','','','','','','ru'),(146,130,'Yandex.Checkout with QIWI Wallet','','','','','','en'),(147,130,'Яндекс.Касса, оплата через QIWI Wallet','','','','','','ru'),(148,131,'Yandex.Checkout with Alfa-Click','','','','','','en'),(149,131,'Яндекс.Касса, оплата через Альфа-Клик','','','','','','ru'),(150,132,'Yandex Payment Solution all card types','','','','','','en'),(151,133,'Yandex Payment Solution wallet','','','','','','en'),(152,134,'Yandex Payment Solution mobile phone','','','','','','en'),(153,135,'Yandex Payment Solution terminals','','','','','','en'),(154,136,'Yandex Payment Solution WebMoney wallet','','','','','','en'),(155,137,'Yandex Payment Solution Sberbank Online','','','','','','en'),(156,138,'ANZ eGate','','','','','','en'),(157,139,'American Express Web-Services API Integration','','','','','','en'),(158,140,'Authorize.Net','','','','','','en'),(159,141,'Bambora (Beanstream)','','','','','','en'),(160,142,'Beanstream (legacy API)','','','','','','en'),(161,143,'Bendigo Bank','','','','','','en'),(162,144,'BillriantPay','','','','','','en'),(163,145,'BluePay','','','','','','en'),(164,146,'BlueSnap Payment API (XML)','','','','','','en'),(165,147,'Braintree, direct integration with CC storing','','','','','','en'),(166,148,'BluePay Canada (Caledon)','','','','','','en'),(167,149,'Cardinal Commerce Centinel','','','','','','en'),(168,150,'Chase Paymentech','','','','','','en'),(169,151,'CommWeb - Commonwealth Bank','','','','','','en'),(170,152,'CyberSource - SOAP toolkit API','','','','','','en'),(171,153,'DIBS','','','','','','en'),(172,154,'DirectOne - Direct Interface','','','','','','en'),(173,155,'eProcessing Network - Transparent Database Engine','','','','','','en'),(174,156,'SecurePay Australia','','','','','','en'),(175,157,'eSELECTplus','','','','','','en'),(176,158,'ECHO NVP','','','','','','en'),(177,159,'Elavon (Realex API)','','','','','','en'),(178,160,'ePDQ MPI XML (Phased out)','','','','','','en'),(179,161,'eWAY Rapid - Direct Connection','','','','','','en'),(180,162,'eWay Realtime Payments XML','','','','','','en'),(181,163,'Sparrow (5th Dimension Gateway)','','','','','','en'),(182,164,'First Data Payeezy Gateway (ex- Global Gateway e4)','','','','','','en'),(183,165,'Global Iris','','','','','','en'),(184,166,'GoEmerchant - XML Gateway API','','','','','','en'),(185,167,'HeidelPay','','','','','','en'),(186,168,'Innovative Gateway','','','','','','en'),(187,169,'Intuit QuickBooks Payments','','','','','','en'),(188,170,'iTransact XML','','','','','','en'),(189,171,'Payment XP (Meritus) Web Host','','','','','','en'),(190,172,'NAB - National Australia Bank','','','','','','en'),(191,173,'NMI (Network Merchants Inc.)','','','','','','en'),(192,174,'NetRegistry','','','','','','en'),(193,175,'Netbilling - Direct Mode','','','','','','en'),(194,176,'Netevia','','','','','','en'),(195,177,'Ingenico ePayments (Ogone e-Commerce)','','','','','','en'),(196,178,'PayGate Korea','','','','','','en'),(197,179,'Payflow Pro','','','','','','en'),(198,180,'PayPal Payments Pro (PayPal API)','','','','','','en'),(199,181,'PayPal Payments Pro (Payflow API)','','','','','','en'),(200,182,'PSiGate XML API','','','','','','en'),(201,183,'QuantumGateway - Transparent QGWdatabase Engine','','','','','','en'),(202,184,'QuantumGateway - XML Requester','','','','','','en'),(203,185,'QuickPay','','','','','','en'),(204,186,'Worldpay Corporate Gateway - Direct Model','','','','','','en'),(205,187,'Realex','','','','','','en'),(206,188,'Sage Pay Go - Direct Interface','','','','','','en'),(207,189,'Paya (ex. Sage Payments US)','','','','','','en'),(208,190,'SecurePay USA','','','','','','en'),(209,191,'Simplify Commerce by MasterCard','','','','','','en'),(210,192,'SkipJack','','','','','','en'),(211,193,'Suncorp','','','','','','en'),(212,194,'USA ePay - Transaction Gateway API','','','','','','en'),(213,195,'Elavon Converge (ex VirtualMerchant)','','','','','','en'),(214,196,'WebXpress','','','','','','en'),(215,197,'Worldpay Total US','','','','','','en'),(216,198,'Worldpay US (Lynk Systems)','','','','','','en'),(217,199,'Use a saved credit card','','','','','','en');
/*!40000 ALTER TABLE `xc_payment_method_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_payment_methods`
--

DROP TABLE IF EXISTS `xc_payment_methods`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_payment_methods` (
  `method_id` int(11) NOT NULL AUTO_INCREMENT,
  `service_name` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `class` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `moduleName` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `orderby` int(11) NOT NULL,
  `adminOrderby` int(11) NOT NULL,
  `enabled` tinyint(1) NOT NULL,
  `moduleEnabled` tinyint(1) NOT NULL,
  `added` tinyint(1) NOT NULL,
  `type` char(1) COLLATE utf8_unicode_ci NOT NULL,
  `fromMarketplace` tinyint(1) NOT NULL,
  `iconURL` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `countries` longtext COLLATE utf8_unicode_ci COMMENT '(DC2Type:array)',
  `exCountries` longtext COLLATE utf8_unicode_ci COMMENT '(DC2Type:array)',
  PRIMARY KEY (`method_id`),
  KEY `orderby` (`orderby`),
  KEY `class` (`class`,`enabled`),
  KEY `enabled` (`enabled`)
) ENGINE=InnoDB AUTO_INCREMENT=200 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_payment_methods`
--

LOCK TABLES `xc_payment_methods` WRITE;
/*!40000 ALTER TABLE `xc_payment_methods` DISABLE KEYS */;
INSERT INTO `xc_payment_methods` VALUES (1,'PurchaseOrder','Model\\Payment\\Processor\\PurchaseOrder','',20,0,0,1,1,'O',0,NULL,'N;','N;'),(2,'PhoneOrdering','Model\\Payment\\Processor\\PhoneOrdering','',30,0,1,1,1,'O',0,NULL,'N;','N;'),(3,'FaxOrdering','Model\\Payment\\Processor\\Offline','',40,0,1,1,1,'O',0,NULL,'N;','N;'),(4,'MoneyOrdering','Model\\Payment\\Processor\\Offline','',50,0,1,1,1,'O',0,NULL,'N;','N;'),(5,'Echeck','Model\\Payment\\Processor\\Check','',60,0,0,1,1,'O',0,NULL,'N;','N;'),(6,'COD','Model\\Payment\\Processor\\Offline','',70,0,1,1,1,'O',0,NULL,'N;','N;'),(7,'COD_FEDEX','Module\\CDev\\FedEx\\Model\\Payment\\Processor\\COD','CDev_FedEx',0,0,0,1,1,'O',0,NULL,'a:2:{i:0;s:2:\"CA\";i:1;s:2:\"US\";}','N;'),(8,'PayflowLink','Module\\CDev\\Paypal\\Model\\Payment\\Processor\\PayflowLink','CDev_Paypal',-10600,-104900,0,1,0,'C',0,NULL,'a:4:{i:0;s:2:\"US\";i:1;s:2:\"CA\";i:2;s:2:\"AU\";i:3;s:2:\"NZ\";}','a:0:{}'),(9,'PayflowTransparentRedirect','Module\\CDev\\Paypal\\Model\\Payment\\Processor\\PayflowTransparentRedirect','CDev_Paypal',-10650,-105800,0,1,0,'C',0,NULL,'a:4:{i:0;s:2:\"US\";i:1;s:2:\"CA\";i:2;s:2:\"AU\";i:3;s:2:\"NZ\";}','a:0:{}'),(10,'PaypalAdvanced','Module\\CDev\\Paypal\\Model\\Payment\\Processor\\PaypalAdvanced','CDev_Paypal',-10700,-105830,0,1,0,'C',0,NULL,'a:2:{i:0;s:2:\"US\";i:1;s:2:\"CA\";}','a:0:{}'),(11,'PaypalWPS','Module\\CDev\\Paypal\\Model\\Payment\\Processor\\PaypalWPS','CDev_Paypal',-10800,-105840,0,1,0,'A',0,NULL,'a:24:{i:0;s:2:\"US\";i:1;s:2:\"CA\";i:2;s:2:\"MX\";i:3;s:2:\"BE\";i:4;s:2:\"DK\";i:5;s:2:\"FR\";i:6;s:2:\"DE\";i:7;s:2:\"IE\";i:8;s:2:\"IT\";i:9;s:2:\"LU\";i:10;s:2:\"NL\";i:11;s:2:\"NO\";i:12;s:2:\"PL\";i:13;s:2:\"RU\";i:14;s:2:\"JP\";i:15;s:2:\"ES\";i:16;s:2:\"NZ\";i:17;s:2:\"BR\";i:18;s:2:\"SE\";i:19;s:2:\"GB\";i:20;s:2:\"AU\";i:21;s:2:\"CN\";i:22;s:2:\"IL\";i:23;s:2:\"SG\";}','a:0:{}'),(12,'ExpressCheckout','Module\\CDev\\Paypal\\Model\\Payment\\Processor\\ExpressCheckout','CDev_Paypal',-102000,-105990,1,1,1,'C',0,NULL,'a:23:{i:0;s:2:\"US\";i:1;s:2:\"MX\";i:2;s:2:\"BE\";i:3;s:2:\"DK\";i:4;s:2:\"FR\";i:5;s:2:\"DE\";i:6;s:2:\"IE\";i:7;s:2:\"IT\";i:8;s:2:\"LU\";i:9;s:2:\"NL\";i:10;s:2:\"NO\";i:11;s:2:\"PL\";i:12;s:2:\"RU\";i:13;s:2:\"JP\";i:14;s:2:\"ES\";i:15;s:2:\"NZ\";i:16;s:2:\"BR\";i:17;s:2:\"SE\";i:18;s:2:\"GB\";i:19;s:2:\"AU\";i:20;s:2:\"CN\";i:21;s:2:\"IL\";i:22;s:2:\"SG\";}','a:0:{}'),(13,'PaypalCredit','Module\\CDev\\Paypal\\Model\\Payment\\Processor\\PaypalCredit','CDev_Paypal',-11000,-104920,1,1,1,'C',0,NULL,'a:2:{i:0;s:2:\"US\";i:1;s:2:\"CA\";}','a:0:{}'),(14,'PaypalAdaptive','Module\\CDev\\Paypal\\Model\\Payment\\Processor\\PaypalAdaptive','CDev_Paypal',-11100,-104930,0,1,0,'C',0,NULL,'a:0:{}','a:0:{}'),(15,'PaypalForMarketplaces','Module\\CDev\\Paypal\\Model\\Payment\\Processor\\PaypalForMarketplaces','CDev_Paypal',-11100,-105850,0,1,0,'C',0,NULL,'a:27:{i:0;s:2:\"AT\";i:1;s:2:\"AU\";i:2;s:2:\"BE\";i:3;s:2:\"CA\";i:4;s:2:\"CH\";i:5;s:2:\"CZ\";i:6;s:2:\"DE\";i:7;s:2:\"DK\";i:8;s:2:\"ES\";i:9;s:2:\"FI\";i:10;s:2:\"FR\";i:11;s:2:\"GB\";i:12;s:2:\"GB\";i:13;s:2:\"GR\";i:14;s:2:\"HU\";i:15;s:2:\"IE\";i:16;s:2:\"IL\";i:17;s:2:\"IN\";i:18;s:2:\"IT\";i:19;s:2:\"NL\";i:20;s:2:\"NO\";i:21;s:2:\"PL\";i:22;s:2:\"PT\";i:23;s:2:\"RU\";i:24;s:2:\"SE\";i:25;s:2:\"SK\";i:26;s:2:\"US\";}','a:0:{}'),(16,'COD_UPS','Module\\XC\\UPS\\Model\\Payment\\Processor\\COD','XC_UPS',0,0,0,1,1,'O',0,NULL,'a:2:{i:0;s:2:\"US\";i:1;s:2:\"PR\";}','N;'),(17,'AuthorizeNet SIM','Module\\CDev\\AuthorizeNet\\Model\\Payment\\Processor\\AuthorizeNetSIM','CDev_AuthorizeNet',-101000,-105640,0,1,0,'C',0,NULL,'a:4:{i:0;s:2:\"US\";i:1;s:2:\"CA\";i:2;s:2:\"GB\";i:3;s:2:\"AU\";}','a:0:{}'),(18,'Moneybookers.WLT','Module\\CDev\\Moneybookers\\Model\\Payment\\Processor\\Moneybookers','CDev_Moneybookers',1010,-104130,0,1,0,'N',0,NULL,'a:210:{i:0;s:2:\"AX\";i:1;s:2:\"AL\";i:2;s:2:\"DZ\";i:3;s:2:\"AD\";i:4;s:2:\"AO\";i:5;s:2:\"AI\";i:6;s:2:\"AQ\";i:7;s:2:\"AG\";i:8;s:2:\"AR\";i:9;s:2:\"AM\";i:10;s:2:\"AW\";i:11;s:2:\"AU\";i:12;s:2:\"AT\";i:13;s:2:\"AZ\";i:14;s:2:\"BS\";i:15;s:2:\"BH\";i:16;s:2:\"BD\";i:17;s:2:\"BB\";i:18;s:2:\"BY\";i:19;s:2:\"BE\";i:20;s:2:\"BZ\";i:21;s:2:\"BJ\";i:22;s:2:\"BM\";i:23;s:2:\"BT\";i:24;s:2:\"BO\";i:25;s:2:\"BQ\";i:26;s:2:\"BA\";i:27;s:2:\"BV\";i:28;s:2:\"BR\";i:29;s:2:\"IO\";i:30;s:2:\"BN\";i:31;s:2:\"BG\";i:32;s:2:\"BF\";i:33;s:2:\"BI\";i:34;s:2:\"CA\";i:35;s:2:\"CV\";i:36;s:2:\"KY\";i:37;s:2:\"TD\";i:38;s:2:\"CL\";i:39;s:2:\"CN\";i:40;s:2:\"CX\";i:41;s:2:\"CC\";i:42;s:2:\"CO\";i:43;s:2:\"KM\";i:44;s:2:\"CG\";i:45;s:2:\"CG\";i:46;s:2:\"CK\";i:47;s:2:\"CR\";i:48;s:2:\"HR\";i:49;s:2:\"CW\";i:50;s:2:\"CY\";i:51;s:2:\"CZ\";i:52;s:2:\"DK\";i:53;s:2:\"DJ\";i:54;s:2:\"DM\";i:55;s:2:\"DO\";i:56;s:2:\"EC\";i:57;s:2:\"EG\";i:58;s:2:\"SV\";i:59;s:2:\"GQ\";i:60;s:2:\"ER\";i:61;s:2:\"EE\";i:62;s:2:\"ET\";i:63;s:2:\"FK\";i:64;s:2:\"FJ\";i:65;s:2:\"FI\";i:66;s:2:\"FR\";i:67;s:2:\"PF\";i:68;s:2:\"TF\";i:69;s:2:\"GM\";i:70;s:2:\"GE\";i:71;s:2:\"DE\";i:72;s:2:\"GH\";i:73;s:2:\"GI\";i:74;s:2:\"GR\";i:75;s:2:\"GD\";i:76;s:2:\"GU\";i:77;s:2:\"GT\";i:78;s:2:\"GG\";i:79;s:2:\"GY\";i:80;s:2:\"HT\";i:81;s:2:\"HM\";i:82;s:2:\"HN\";i:83;s:2:\"HK\";i:84;s:2:\"HU\";i:85;s:2:\"IS\";i:86;s:2:\"IN\";i:87;s:2:\"ID\";i:88;s:2:\"IE\";i:89;s:2:\"IM\";i:90;s:2:\"IL\";i:91;s:2:\"IT\";i:92;s:2:\"JP\";i:93;s:2:\"JE\";i:94;s:2:\"JO\";i:95;s:2:\"KZ\";i:96;s:2:\"KE\";i:97;s:2:\"KI\";i:98;s:2:\"KR\";i:99;s:2:\"XK\";i:100;s:2:\"KW\";i:101;s:2:\"KG\";i:102;s:2:\"LA\";i:103;s:2:\"LV\";i:104;s:2:\"LB\";i:105;s:2:\"LS\";i:106;s:2:\"LR\";i:107;s:2:\"LY\";i:108;s:2:\"LI\";i:109;s:2:\"LT\";i:110;s:2:\"LU\";i:111;s:2:\"MO\";i:112;s:2:\"MK\";i:113;s:2:\"MG\";i:114;s:2:\"MW\";i:115;s:2:\"MY\";i:116;s:2:\"MT\";i:117;s:2:\"MH\";i:118;s:2:\"MQ\";i:119;s:2:\"MR\";i:120;s:2:\"MU\";i:121;s:2:\"YT\";i:122;s:2:\"MX\";i:123;s:2:\"FM\";i:124;s:2:\"MD\";i:125;s:2:\"MC\";i:126;s:2:\"MN\";i:127;s:2:\"ME\";i:128;s:2:\"MS\";i:129;s:2:\"MA\";i:130;s:2:\"NR\";i:131;s:2:\"NP\";i:132;s:2:\"NL\";i:133;s:2:\"AN\";i:134;s:2:\"NZ\";i:135;s:2:\"NI\";i:136;s:2:\"NE\";i:137;s:2:\"NG\";i:138;s:2:\"NU\";i:139;s:2:\"NF\";i:140;s:2:\"NO\";i:141;s:2:\"OM\";i:142;s:2:\"PK\";i:143;s:2:\"PW\";i:144;s:2:\"PS\";i:145;s:2:\"PA\";i:146;s:2:\"PG\";i:147;s:2:\"PY\";i:148;s:2:\"PE\";i:149;s:2:\"PH\";i:150;s:2:\"PN\";i:151;s:2:\"PL\";i:152;s:2:\"PT\";i:153;s:2:\"PR\";i:154;s:2:\"QA\";i:155;s:2:\"RO\";i:156;s:2:\"RU\";i:157;s:2:\"SH\";i:158;s:2:\"KN\";i:159;s:2:\"LC\";i:160;s:2:\"PM\";i:161;s:2:\"VC\";i:162;s:2:\"WS\";i:163;s:2:\"SM\";i:164;s:2:\"ST\";i:165;s:2:\"SA\";i:166;s:2:\"RS\";i:167;s:2:\"SC\";i:168;s:2:\"SL\";i:169;s:2:\"SG\";i:170;s:2:\"SX\";i:171;s:2:\"SK\";i:172;s:2:\"SI\";i:173;s:2:\"SB\";i:174;s:2:\"SO\";i:175;s:2:\"ZA\";i:176;s:2:\"GS\";i:177;s:2:\"ES\";i:178;s:2:\"LK\";i:179;s:2:\"SR\";i:180;s:2:\"SJ\";i:181;s:2:\"SE\";i:182;s:2:\"CH\";i:183;s:2:\"TW\";i:184;s:2:\"TZ\";i:185;s:2:\"TH\";i:186;s:2:\"TG\";i:187;s:2:\"TK\";i:188;s:2:\"TO\";i:189;s:2:\"TT\";i:190;s:2:\"TN\";i:191;s:2:\"TM\";i:192;s:2:\"TC\";i:193;s:2:\"TV\";i:194;s:2:\"UA\";i:195;s:2:\"AE\";i:196;s:2:\"GB\";i:197;s:2:\"UY\";i:198;s:2:\"UZ\";i:199;s:2:\"VU\";i:200;s:2:\"VA\";i:201;s:2:\"VE\";i:202;s:2:\"VN\";i:203;s:2:\"VG\";i:204;s:2:\"VI\";i:205;s:2:\"WF\";i:206;s:2:\"EH\";i:207;s:2:\"YE\";i:208;s:2:\"ZM\";i:209;s:2:\"ZW\";}','a:0:{}'),(19,'Moneybookers.NTL','Module\\CDev\\Moneybookers\\Model\\Payment\\Processor\\Moneybookers','CDev_Moneybookers',1010,-104310,0,1,0,'N',0,NULL,'a:0:{}','a:43:{i:0;s:2:\"AF\";i:1;s:2:\"AM\";i:2;s:2:\"BT\";i:3;s:2:\"BV\";i:4;s:2:\"MM\";i:5;s:2:\"CN\";i:6;s:2:\"CK\";i:7;s:2:\"CU\";i:8;s:2:\"ER\";i:9;s:2:\"GS\";i:10;s:2:\"GU\";i:11;s:2:\"GN\";i:12;s:2:\"IQ\";i:13;s:2:\"KZ\";i:14;s:2:\"KG\";i:15;s:2:\"LR\";i:16;s:2:\"LY\";i:17;s:2:\"MN\";i:18;s:2:\"MP\";i:19;s:2:\"MH\";i:20;s:2:\"PW\";i:21;s:2:\"PK\";i:22;s:2:\"PR\";i:23;s:2:\"SL\";i:24;s:2:\"SO\";i:25;s:2:\"ZW\";i:26;s:2:\"SD\";i:27;s:2:\"TJ\";i:28;s:2:\"TM\";i:29;s:2:\"UG\";i:30;s:2:\"US\";i:31;s:2:\"UZ\";i:32;s:2:\"YE\";i:33;s:2:\"CC\";i:34;s:2:\"CD\";i:35;s:2:\"HM\";i:36;s:2:\"IR\";i:37;s:2:\"CI\";i:38;s:2:\"KP\";i:39;s:2:\"FM\";i:40;s:2:\"TL\";i:41;s:2:\"SY\";i:42;s:2:\"VI\";}'),(20,'Moneybookers.PSC','Module\\CDev\\Moneybookers\\Model\\Payment\\Processor\\Moneybookers','CDev_Moneybookers',1010,-104230,0,1,0,'N',0,NULL,'a:35:{i:0;s:2:\"AS\";i:1;s:2:\"AT\";i:2;s:2:\"BE\";i:3;s:2:\"CA\";i:4;s:2:\"HR\";i:5;s:2:\"CY\";i:6;s:2:\"CZ\";i:7;s:2:\"DK\";i:8;s:2:\"FI\";i:9;s:2:\"FR\";i:10;s:2:\"DE\";i:11;s:2:\"GU\";i:12;s:2:\"HU\";i:13;s:2:\"IE\";i:14;s:2:\"IT\";i:15;s:2:\"LV\";i:16;s:2:\"LU\";i:17;s:2:\"MT\";i:18;s:2:\"MX\";i:19;s:2:\"NL\";i:20;s:2:\"MP\";i:21;s:2:\"NO\";i:22;s:2:\"PL\";i:23;s:2:\"PT\";i:24;s:2:\"PR\";i:25;s:2:\"RO\";i:26;s:2:\"SK\";i:27;s:2:\"SI\";i:28;s:2:\"ES\";i:29;s:2:\"SE\";i:30;s:2:\"CH\";i:31;s:2:\"TR\";i:32;s:2:\"GB\";i:33;s:2:\"US\";i:34;s:2:\"VI\";}','a:0:{}'),(21,'Moneybookers.RSB','Module\\CDev\\Moneybookers\\Model\\Payment\\Processor\\Moneybookers','CDev_Moneybookers',1010,-104210,0,1,0,'N',0,NULL,'a:4:{i:0;s:2:\"SE\";i:1;s:2:\"NO\";i:2;s:2:\"FI\";i:3;s:2:\"DK\";}','a:0:{}'),(22,'Moneybookers.ACC','Module\\CDev\\Moneybookers\\Model\\Payment\\Processor\\Moneybookers','CDev_Moneybookers',1020,-104630,0,1,0,'C',0,NULL,'a:231:{i:0;s:2:\"AX\";i:1;s:2:\"CX\";i:2;s:2:\"GN\";i:3;s:2:\"AL\";i:4;s:2:\"CC\";i:5;s:2:\"GW\";i:6;s:2:\"DZ\";i:7;s:2:\"CD\";i:8;s:2:\"GY\";i:9;s:2:\"AS\";i:10;s:2:\"CK\";i:11;s:2:\"HT\";i:12;s:2:\"AD\";i:13;s:2:\"CR\";i:14;s:2:\"HM\";i:15;s:2:\"AO\";i:16;s:2:\"CO\";i:17;s:2:\"VA\";i:18;s:2:\"AI\";i:19;s:2:\"KM\";i:20;s:2:\"HN\";i:21;s:2:\"AQ\";i:22;s:2:\"CD\";i:23;s:2:\"HK\";i:24;s:2:\"AG\";i:25;s:2:\"CI\";i:26;s:2:\"HU\";i:27;s:2:\"AR\";i:28;s:2:\"HR\";i:29;s:2:\"IS\";i:30;s:2:\"AM\";i:31;s:2:\"CY\";i:32;s:2:\"IN\";i:33;s:2:\"AW\";i:34;s:2:\"CZ\";i:35;s:2:\"ID\";i:36;s:2:\"AU\";i:37;s:2:\"DK\";i:38;s:2:\"IE\";i:39;s:2:\"AT\";i:40;s:2:\"DJ\";i:41;s:2:\"IM\";i:42;s:2:\"AZ\";i:43;s:2:\"DM\";i:44;s:2:\"IL\";i:45;s:2:\"BS\";i:46;s:2:\"DO\";i:47;s:2:\"IT\";i:48;s:2:\"BH\";i:49;s:2:\"EC\";i:50;s:2:\"JM\";i:51;s:2:\"BD\";i:52;s:2:\"EG\";i:53;s:2:\"JP\";i:54;s:2:\"BB\";i:55;s:2:\"SV\";i:56;s:2:\"JE\";i:57;s:2:\"BY\";i:58;s:2:\"GQ\";i:59;s:2:\"JO\";i:60;s:2:\"BE\";i:61;s:2:\"EE\";i:62;s:2:\"KZ\";i:63;s:2:\"BZ\";i:64;s:2:\"ET\";i:65;s:2:\"KE\";i:66;s:2:\"BJ\";i:67;s:2:\"FK\";i:68;s:2:\"KI\";i:69;s:2:\"BM\";i:70;s:2:\"FO\";i:71;s:2:\"KR\";i:72;s:2:\"BT\";i:73;s:2:\"FJ\";i:74;s:2:\"KW\";i:75;s:2:\"BO\";i:76;s:2:\"FI\";i:77;s:2:\"LA\";i:78;s:2:\"BA\";i:79;s:2:\"GG\";i:80;s:2:\"LV\";i:81;s:2:\"BW\";i:82;s:2:\"FR\";i:83;s:2:\"LB\";i:84;s:2:\"BV\";i:85;s:2:\"GF\";i:86;s:2:\"LS\";i:87;s:2:\"BR\";i:88;s:2:\"PF\";i:89;s:2:\"LR\";i:90;s:2:\"BN\";i:91;s:2:\"TF\";i:92;s:2:\"LI\";i:93;s:2:\"BG\";i:94;s:2:\"GA\";i:95;s:2:\"LT\";i:96;s:2:\"BF\";i:97;s:2:\"GM\";i:98;s:2:\"LU\";i:99;s:2:\"BI\";i:100;s:2:\"GE\";i:101;s:2:\"MO\";i:102;s:2:\"KH\";i:103;s:2:\"DE\";i:104;s:2:\"MK\";i:105;s:2:\"CM\";i:106;s:2:\"GH\";i:107;s:2:\"MG\";i:108;s:2:\"CA\";i:109;s:2:\"GI\";i:110;s:2:\"MW\";i:111;s:2:\"CV\";i:112;s:2:\"GR\";i:113;s:2:\"MY\";i:114;s:2:\"KY\";i:115;s:2:\"GL\";i:116;s:2:\"SE\";i:117;s:2:\"CF\";i:118;s:2:\"GD\";i:119;s:2:\"CH\";i:120;s:2:\"TD\";i:121;s:2:\"GP\";i:122;s:2:\"TW\";i:123;s:2:\"CL\";i:124;s:2:\"GU\";i:125;s:2:\"TJ\";i:126;s:2:\"CN\";i:127;s:2:\"GT\";i:128;s:2:\"TZ\";i:129;s:2:\"MV\";i:130;s:2:\"PE\";i:131;s:2:\"TH\";i:132;s:2:\"ML\";i:133;s:2:\"PH\";i:134;s:2:\"TL\";i:135;s:2:\"MT\";i:136;s:2:\"PN\";i:137;s:2:\"TG\";i:138;s:2:\"MH\";i:139;s:2:\"PL\";i:140;s:2:\"TK\";i:141;s:2:\"MQ\";i:142;s:2:\"PT\";i:143;s:2:\"TO\";i:144;s:2:\"MR\";i:145;s:2:\"PR\";i:146;s:2:\"TT\";i:147;s:2:\"MU\";i:148;s:2:\"QA\";i:149;s:2:\"TN\";i:150;s:2:\"YT\";i:151;s:2:\"RE\";i:152;s:2:\"TR\";i:153;s:2:\"MX\";i:154;s:2:\"RO\";i:155;s:2:\"TM\";i:156;s:2:\"FM\";i:157;s:2:\"RU\";i:158;s:2:\"TC\";i:159;s:2:\"MD\";i:160;s:2:\"RW\";i:161;s:2:\"TV\";i:162;s:2:\"MC\";i:163;s:2:\"SH\";i:164;s:2:\"UG\";i:165;s:2:\"MN\";i:166;s:2:\"KN\";i:167;s:2:\"UA\";i:168;s:2:\"ME\";i:169;s:2:\"LC\";i:170;s:2:\"AE\";i:171;s:2:\"MS\";i:172;s:2:\"PM\";i:173;s:2:\"GB\";i:174;s:2:\"MA\";i:175;s:2:\"VC\";i:176;s:2:\"US\";i:177;s:2:\"MZ\";i:178;s:2:\"WS\";i:179;s:2:\"UY\";i:180;s:2:\"MM\";i:181;s:2:\"SM\";i:182;s:2:\"UZ\";i:183;s:2:\"NA\";i:184;s:2:\"ST\";i:185;s:2:\"VU\";i:186;s:2:\"NP\";i:187;s:2:\"SA\";i:188;s:2:\"VE\";i:189;s:2:\"NL\";i:190;s:2:\"SN\";i:191;s:2:\"VN\";i:192;s:2:\"AN\";i:193;s:2:\"RS\";i:194;s:2:\"VG\";i:195;s:2:\"NC\";i:196;s:2:\"SC\";i:197;s:2:\"VI\";i:198;s:2:\"NZ\";i:199;s:2:\"SL\";i:200;s:2:\"WF\";i:201;s:2:\"NI\";i:202;s:2:\"SG\";i:203;s:2:\"EH\";i:204;s:2:\"NE\";i:205;s:2:\"SK\";i:206;s:2:\"YE\";i:207;s:2:\"NG\";i:208;s:2:\"SI\";i:209;s:2:\"ZM\";i:210;s:2:\"NU\";i:211;s:2:\"SB\";i:212;s:2:\"ZW\";i:213;s:2:\"NF\";i:214;s:2:\"SO\";i:215;s:2:\"MP\";i:216;s:2:\"ZA\";i:217;s:2:\"NO\";i:218;s:2:\"GS\";i:219;s:2:\"OM\";i:220;s:2:\"ES\";i:221;s:2:\"PK\";i:222;s:2:\"LK\";i:223;s:2:\"PW\";i:224;s:2:\"SR\";i:225;s:2:\"PS\";i:226;s:2:\"SJ\";i:227;s:2:\"PA\";i:228;s:2:\"SZ\";i:229;s:2:\"PG\";i:230;s:2:\"PY\";}','a:0:{}'),(23,'Moneybookers.VSA','Module\\CDev\\Moneybookers\\Model\\Payment\\Processor\\Moneybookers','CDev_Moneybookers',1030,-104160,0,1,0,'C',0,NULL,'a:210:{i:0;s:2:\"AX\";i:1;s:2:\"AL\";i:2;s:2:\"DZ\";i:3;s:2:\"AD\";i:4;s:2:\"AO\";i:5;s:2:\"AI\";i:6;s:2:\"AQ\";i:7;s:2:\"AG\";i:8;s:2:\"AR\";i:9;s:2:\"AM\";i:10;s:2:\"AW\";i:11;s:2:\"AU\";i:12;s:2:\"AT\";i:13;s:2:\"AZ\";i:14;s:2:\"BS\";i:15;s:2:\"BH\";i:16;s:2:\"BD\";i:17;s:2:\"BB\";i:18;s:2:\"BY\";i:19;s:2:\"BE\";i:20;s:2:\"BZ\";i:21;s:2:\"BJ\";i:22;s:2:\"BM\";i:23;s:2:\"BT\";i:24;s:2:\"BO\";i:25;s:2:\"BQ\";i:26;s:2:\"BA\";i:27;s:2:\"BV\";i:28;s:2:\"BR\";i:29;s:2:\"IO\";i:30;s:2:\"BN\";i:31;s:2:\"BG\";i:32;s:2:\"BF\";i:33;s:2:\"BI\";i:34;s:2:\"CA\";i:35;s:2:\"CV\";i:36;s:2:\"KY\";i:37;s:2:\"TD\";i:38;s:2:\"CL\";i:39;s:2:\"CN\";i:40;s:2:\"CX\";i:41;s:2:\"CC\";i:42;s:2:\"CO\";i:43;s:2:\"KM\";i:44;s:2:\"CG\";i:45;s:2:\"CG\";i:46;s:2:\"CK\";i:47;s:2:\"CR\";i:48;s:2:\"HR\";i:49;s:2:\"CW\";i:50;s:2:\"CY\";i:51;s:2:\"CZ\";i:52;s:2:\"DK\";i:53;s:2:\"DJ\";i:54;s:2:\"DM\";i:55;s:2:\"DO\";i:56;s:2:\"EC\";i:57;s:2:\"EG\";i:58;s:2:\"SV\";i:59;s:2:\"GQ\";i:60;s:2:\"ER\";i:61;s:2:\"EE\";i:62;s:2:\"ET\";i:63;s:2:\"FK\";i:64;s:2:\"FJ\";i:65;s:2:\"FI\";i:66;s:2:\"FR\";i:67;s:2:\"PF\";i:68;s:2:\"TF\";i:69;s:2:\"GM\";i:70;s:2:\"GE\";i:71;s:2:\"DE\";i:72;s:2:\"GH\";i:73;s:2:\"GI\";i:74;s:2:\"GR\";i:75;s:2:\"GD\";i:76;s:2:\"GU\";i:77;s:2:\"GT\";i:78;s:2:\"GG\";i:79;s:2:\"GY\";i:80;s:2:\"HT\";i:81;s:2:\"HM\";i:82;s:2:\"HN\";i:83;s:2:\"HK\";i:84;s:2:\"HU\";i:85;s:2:\"IS\";i:86;s:2:\"IN\";i:87;s:2:\"ID\";i:88;s:2:\"IE\";i:89;s:2:\"IM\";i:90;s:2:\"IL\";i:91;s:2:\"IT\";i:92;s:2:\"JP\";i:93;s:2:\"JE\";i:94;s:2:\"JO\";i:95;s:2:\"KZ\";i:96;s:2:\"KE\";i:97;s:2:\"KI\";i:98;s:2:\"KR\";i:99;s:2:\"XK\";i:100;s:2:\"KW\";i:101;s:2:\"KG\";i:102;s:2:\"LA\";i:103;s:2:\"LV\";i:104;s:2:\"LB\";i:105;s:2:\"LS\";i:106;s:2:\"LR\";i:107;s:2:\"LY\";i:108;s:2:\"LI\";i:109;s:2:\"LT\";i:110;s:2:\"LU\";i:111;s:2:\"MO\";i:112;s:2:\"MK\";i:113;s:2:\"MG\";i:114;s:2:\"MW\";i:115;s:2:\"MY\";i:116;s:2:\"MT\";i:117;s:2:\"MH\";i:118;s:2:\"MQ\";i:119;s:2:\"MR\";i:120;s:2:\"MU\";i:121;s:2:\"YT\";i:122;s:2:\"MX\";i:123;s:2:\"FM\";i:124;s:2:\"MD\";i:125;s:2:\"MC\";i:126;s:2:\"MN\";i:127;s:2:\"ME\";i:128;s:2:\"MS\";i:129;s:2:\"MA\";i:130;s:2:\"NR\";i:131;s:2:\"NP\";i:132;s:2:\"NL\";i:133;s:2:\"AN\";i:134;s:2:\"NZ\";i:135;s:2:\"NI\";i:136;s:2:\"NE\";i:137;s:2:\"NG\";i:138;s:2:\"NU\";i:139;s:2:\"NF\";i:140;s:2:\"NO\";i:141;s:2:\"OM\";i:142;s:2:\"PK\";i:143;s:2:\"PW\";i:144;s:2:\"PS\";i:145;s:2:\"PA\";i:146;s:2:\"PG\";i:147;s:2:\"PY\";i:148;s:2:\"PE\";i:149;s:2:\"PH\";i:150;s:2:\"PN\";i:151;s:2:\"PL\";i:152;s:2:\"PT\";i:153;s:2:\"PR\";i:154;s:2:\"QA\";i:155;s:2:\"RO\";i:156;s:2:\"RU\";i:157;s:2:\"SH\";i:158;s:2:\"KN\";i:159;s:2:\"LC\";i:160;s:2:\"PM\";i:161;s:2:\"VC\";i:162;s:2:\"WS\";i:163;s:2:\"SM\";i:164;s:2:\"ST\";i:165;s:2:\"SA\";i:166;s:2:\"RS\";i:167;s:2:\"SC\";i:168;s:2:\"SL\";i:169;s:2:\"SG\";i:170;s:2:\"SX\";i:171;s:2:\"SK\";i:172;s:2:\"SI\";i:173;s:2:\"SB\";i:174;s:2:\"SO\";i:175;s:2:\"ZA\";i:176;s:2:\"GS\";i:177;s:2:\"ES\";i:178;s:2:\"LK\";i:179;s:2:\"SR\";i:180;s:2:\"SJ\";i:181;s:2:\"SE\";i:182;s:2:\"CH\";i:183;s:2:\"TW\";i:184;s:2:\"TZ\";i:185;s:2:\"TH\";i:186;s:2:\"TG\";i:187;s:2:\"TK\";i:188;s:2:\"TO\";i:189;s:2:\"TT\";i:190;s:2:\"TN\";i:191;s:2:\"TM\";i:192;s:2:\"TC\";i:193;s:2:\"TV\";i:194;s:2:\"UA\";i:195;s:2:\"AE\";i:196;s:2:\"GB\";i:197;s:2:\"UY\";i:198;s:2:\"UZ\";i:199;s:2:\"VU\";i:200;s:2:\"VA\";i:201;s:2:\"VE\";i:202;s:2:\"VN\";i:203;s:2:\"VG\";i:204;s:2:\"VI\";i:205;s:2:\"WF\";i:206;s:2:\"EH\";i:207;s:2:\"YE\";i:208;s:2:\"ZM\";i:209;s:2:\"ZW\";}','a:0:{}'),(24,'Moneybookers.MSC','Module\\CDev\\Moneybookers\\Model\\Payment\\Processor\\Moneybookers','CDev_Moneybookers',1040,-104350,0,1,0,'C',0,NULL,'a:231:{i:0;s:2:\"AX\";i:1;s:2:\"CX\";i:2;s:2:\"GN\";i:3;s:2:\"AL\";i:4;s:2:\"CC\";i:5;s:2:\"GW\";i:6;s:2:\"DZ\";i:7;s:2:\"CD\";i:8;s:2:\"GY\";i:9;s:2:\"AS\";i:10;s:2:\"CK\";i:11;s:2:\"HT\";i:12;s:2:\"AD\";i:13;s:2:\"CR\";i:14;s:2:\"HM\";i:15;s:2:\"AO\";i:16;s:2:\"CO\";i:17;s:2:\"VA\";i:18;s:2:\"AI\";i:19;s:2:\"KM\";i:20;s:2:\"HN\";i:21;s:2:\"AQ\";i:22;s:2:\"CD\";i:23;s:2:\"HK\";i:24;s:2:\"AG\";i:25;s:2:\"CI\";i:26;s:2:\"HU\";i:27;s:2:\"AR\";i:28;s:2:\"HR\";i:29;s:2:\"IS\";i:30;s:2:\"AM\";i:31;s:2:\"CY\";i:32;s:2:\"IN\";i:33;s:2:\"AW\";i:34;s:2:\"CZ\";i:35;s:2:\"ID\";i:36;s:2:\"AU\";i:37;s:2:\"DK\";i:38;s:2:\"IE\";i:39;s:2:\"AT\";i:40;s:2:\"DJ\";i:41;s:2:\"IM\";i:42;s:2:\"AZ\";i:43;s:2:\"DM\";i:44;s:2:\"IL\";i:45;s:2:\"BS\";i:46;s:2:\"DO\";i:47;s:2:\"IT\";i:48;s:2:\"BH\";i:49;s:2:\"EC\";i:50;s:2:\"JM\";i:51;s:2:\"BD\";i:52;s:2:\"EG\";i:53;s:2:\"JP\";i:54;s:2:\"BB\";i:55;s:2:\"SV\";i:56;s:2:\"JE\";i:57;s:2:\"BY\";i:58;s:2:\"GQ\";i:59;s:2:\"JO\";i:60;s:2:\"BE\";i:61;s:2:\"EE\";i:62;s:2:\"KZ\";i:63;s:2:\"BZ\";i:64;s:2:\"ET\";i:65;s:2:\"KE\";i:66;s:2:\"BJ\";i:67;s:2:\"FK\";i:68;s:2:\"KI\";i:69;s:2:\"BM\";i:70;s:2:\"FO\";i:71;s:2:\"KR\";i:72;s:2:\"BT\";i:73;s:2:\"FJ\";i:74;s:2:\"KW\";i:75;s:2:\"BO\";i:76;s:2:\"FI\";i:77;s:2:\"LA\";i:78;s:2:\"BA\";i:79;s:2:\"GG\";i:80;s:2:\"LV\";i:81;s:2:\"BW\";i:82;s:2:\"FR\";i:83;s:2:\"LB\";i:84;s:2:\"BV\";i:85;s:2:\"GF\";i:86;s:2:\"LS\";i:87;s:2:\"BR\";i:88;s:2:\"PF\";i:89;s:2:\"LR\";i:90;s:2:\"BN\";i:91;s:2:\"TF\";i:92;s:2:\"LI\";i:93;s:2:\"BG\";i:94;s:2:\"GA\";i:95;s:2:\"LT\";i:96;s:2:\"BF\";i:97;s:2:\"GM\";i:98;s:2:\"LU\";i:99;s:2:\"BI\";i:100;s:2:\"GE\";i:101;s:2:\"MO\";i:102;s:2:\"KH\";i:103;s:2:\"DE\";i:104;s:2:\"MK\";i:105;s:2:\"CM\";i:106;s:2:\"GH\";i:107;s:2:\"MG\";i:108;s:2:\"CA\";i:109;s:2:\"GI\";i:110;s:2:\"MW\";i:111;s:2:\"CV\";i:112;s:2:\"GR\";i:113;s:2:\"MY\";i:114;s:2:\"KY\";i:115;s:2:\"GL\";i:116;s:2:\"SE\";i:117;s:2:\"CF\";i:118;s:2:\"GD\";i:119;s:2:\"CH\";i:120;s:2:\"TD\";i:121;s:2:\"GP\";i:122;s:2:\"TW\";i:123;s:2:\"CL\";i:124;s:2:\"GU\";i:125;s:2:\"TJ\";i:126;s:2:\"CN\";i:127;s:2:\"GT\";i:128;s:2:\"TZ\";i:129;s:2:\"MV\";i:130;s:2:\"PE\";i:131;s:2:\"TH\";i:132;s:2:\"ML\";i:133;s:2:\"PH\";i:134;s:2:\"TL\";i:135;s:2:\"MT\";i:136;s:2:\"PN\";i:137;s:2:\"TG\";i:138;s:2:\"MH\";i:139;s:2:\"PL\";i:140;s:2:\"TK\";i:141;s:2:\"MQ\";i:142;s:2:\"PT\";i:143;s:2:\"TO\";i:144;s:2:\"MR\";i:145;s:2:\"PR\";i:146;s:2:\"TT\";i:147;s:2:\"MU\";i:148;s:2:\"QA\";i:149;s:2:\"TN\";i:150;s:2:\"YT\";i:151;s:2:\"RE\";i:152;s:2:\"TR\";i:153;s:2:\"MX\";i:154;s:2:\"RO\";i:155;s:2:\"TM\";i:156;s:2:\"FM\";i:157;s:2:\"RU\";i:158;s:2:\"TC\";i:159;s:2:\"MD\";i:160;s:2:\"RW\";i:161;s:2:\"TV\";i:162;s:2:\"MC\";i:163;s:2:\"SH\";i:164;s:2:\"UG\";i:165;s:2:\"MN\";i:166;s:2:\"KN\";i:167;s:2:\"UA\";i:168;s:2:\"ME\";i:169;s:2:\"LC\";i:170;s:2:\"AE\";i:171;s:2:\"MS\";i:172;s:2:\"PM\";i:173;s:2:\"GB\";i:174;s:2:\"MA\";i:175;s:2:\"VC\";i:176;s:2:\"US\";i:177;s:2:\"MZ\";i:178;s:2:\"WS\";i:179;s:2:\"UY\";i:180;s:2:\"MM\";i:181;s:2:\"SM\";i:182;s:2:\"UZ\";i:183;s:2:\"NA\";i:184;s:2:\"ST\";i:185;s:2:\"VU\";i:186;s:2:\"NP\";i:187;s:2:\"SA\";i:188;s:2:\"VE\";i:189;s:2:\"NL\";i:190;s:2:\"SN\";i:191;s:2:\"VN\";i:192;s:2:\"AN\";i:193;s:2:\"RS\";i:194;s:2:\"VG\";i:195;s:2:\"NC\";i:196;s:2:\"SC\";i:197;s:2:\"VI\";i:198;s:2:\"NZ\";i:199;s:2:\"SL\";i:200;s:2:\"WF\";i:201;s:2:\"NI\";i:202;s:2:\"SG\";i:203;s:2:\"EH\";i:204;s:2:\"NE\";i:205;s:2:\"SK\";i:206;s:2:\"YE\";i:207;s:2:\"NG\";i:208;s:2:\"SI\";i:209;s:2:\"ZM\";i:210;s:2:\"NU\";i:211;s:2:\"SB\";i:212;s:2:\"ZW\";i:213;s:2:\"NF\";i:214;s:2:\"SO\";i:215;s:2:\"MP\";i:216;s:2:\"ZA\";i:217;s:2:\"NO\";i:218;s:2:\"GS\";i:219;s:2:\"OM\";i:220;s:2:\"ES\";i:221;s:2:\"PK\";i:222;s:2:\"LK\";i:223;s:2:\"PW\";i:224;s:2:\"SR\";i:225;s:2:\"PS\";i:226;s:2:\"SJ\";i:227;s:2:\"PA\";i:228;s:2:\"SZ\";i:229;s:2:\"PG\";i:230;s:2:\"PY\";}','a:0:{}'),(25,'Moneybookers.VSD','Module\\CDev\\Moneybookers\\Model\\Payment\\Processor\\Moneybookers','CDev_Moneybookers',1050,-104150,0,1,0,'C',0,NULL,'a:4:{i:0;s:2:\"US\";i:1;s:2:\"CA\";i:2;s:2:\"GB\";i:3;s:2:\"DE\";}','a:0:{}'),(26,'Moneybookers.VSE','Module\\CDev\\Moneybookers\\Model\\Payment\\Processor\\Moneybookers','CDev_Moneybookers',1060,-104140,0,1,0,'C',0,NULL,'a:210:{i:0;s:2:\"AX\";i:1;s:2:\"AL\";i:2;s:2:\"DZ\";i:3;s:2:\"AD\";i:4;s:2:\"AO\";i:5;s:2:\"AI\";i:6;s:2:\"AQ\";i:7;s:2:\"AG\";i:8;s:2:\"AR\";i:9;s:2:\"AM\";i:10;s:2:\"AW\";i:11;s:2:\"AU\";i:12;s:2:\"AT\";i:13;s:2:\"AZ\";i:14;s:2:\"BS\";i:15;s:2:\"BH\";i:16;s:2:\"BD\";i:17;s:2:\"BB\";i:18;s:2:\"BY\";i:19;s:2:\"BE\";i:20;s:2:\"BZ\";i:21;s:2:\"BJ\";i:22;s:2:\"BM\";i:23;s:2:\"BT\";i:24;s:2:\"BO\";i:25;s:2:\"BQ\";i:26;s:2:\"BA\";i:27;s:2:\"BV\";i:28;s:2:\"BR\";i:29;s:2:\"IO\";i:30;s:2:\"BN\";i:31;s:2:\"BG\";i:32;s:2:\"BF\";i:33;s:2:\"BI\";i:34;s:2:\"CA\";i:35;s:2:\"CV\";i:36;s:2:\"KY\";i:37;s:2:\"TD\";i:38;s:2:\"CL\";i:39;s:2:\"CN\";i:40;s:2:\"CX\";i:41;s:2:\"CC\";i:42;s:2:\"CO\";i:43;s:2:\"KM\";i:44;s:2:\"CG\";i:45;s:2:\"CG\";i:46;s:2:\"CK\";i:47;s:2:\"CR\";i:48;s:2:\"HR\";i:49;s:2:\"CW\";i:50;s:2:\"CY\";i:51;s:2:\"CZ\";i:52;s:2:\"DK\";i:53;s:2:\"DJ\";i:54;s:2:\"DM\";i:55;s:2:\"DO\";i:56;s:2:\"EC\";i:57;s:2:\"EG\";i:58;s:2:\"SV\";i:59;s:2:\"GQ\";i:60;s:2:\"ER\";i:61;s:2:\"EE\";i:62;s:2:\"ET\";i:63;s:2:\"FK\";i:64;s:2:\"FJ\";i:65;s:2:\"FI\";i:66;s:2:\"FR\";i:67;s:2:\"PF\";i:68;s:2:\"TF\";i:69;s:2:\"GM\";i:70;s:2:\"GE\";i:71;s:2:\"DE\";i:72;s:2:\"GH\";i:73;s:2:\"GI\";i:74;s:2:\"GR\";i:75;s:2:\"GD\";i:76;s:2:\"GU\";i:77;s:2:\"GT\";i:78;s:2:\"GG\";i:79;s:2:\"GY\";i:80;s:2:\"HT\";i:81;s:2:\"HM\";i:82;s:2:\"HN\";i:83;s:2:\"HK\";i:84;s:2:\"HU\";i:85;s:2:\"IS\";i:86;s:2:\"IN\";i:87;s:2:\"ID\";i:88;s:2:\"IE\";i:89;s:2:\"IM\";i:90;s:2:\"IL\";i:91;s:2:\"IT\";i:92;s:2:\"JP\";i:93;s:2:\"JE\";i:94;s:2:\"JO\";i:95;s:2:\"KZ\";i:96;s:2:\"KE\";i:97;s:2:\"KI\";i:98;s:2:\"KR\";i:99;s:2:\"XK\";i:100;s:2:\"KW\";i:101;s:2:\"KG\";i:102;s:2:\"LA\";i:103;s:2:\"LV\";i:104;s:2:\"LB\";i:105;s:2:\"LS\";i:106;s:2:\"LR\";i:107;s:2:\"LY\";i:108;s:2:\"LI\";i:109;s:2:\"LT\";i:110;s:2:\"LU\";i:111;s:2:\"MO\";i:112;s:2:\"MK\";i:113;s:2:\"MG\";i:114;s:2:\"MW\";i:115;s:2:\"MY\";i:116;s:2:\"MT\";i:117;s:2:\"MH\";i:118;s:2:\"MQ\";i:119;s:2:\"MR\";i:120;s:2:\"MU\";i:121;s:2:\"YT\";i:122;s:2:\"MX\";i:123;s:2:\"FM\";i:124;s:2:\"MD\";i:125;s:2:\"MC\";i:126;s:2:\"MN\";i:127;s:2:\"ME\";i:128;s:2:\"MS\";i:129;s:2:\"MA\";i:130;s:2:\"NR\";i:131;s:2:\"NP\";i:132;s:2:\"NL\";i:133;s:2:\"AN\";i:134;s:2:\"NZ\";i:135;s:2:\"NI\";i:136;s:2:\"NE\";i:137;s:2:\"NG\";i:138;s:2:\"NU\";i:139;s:2:\"NF\";i:140;s:2:\"NO\";i:141;s:2:\"OM\";i:142;s:2:\"PK\";i:143;s:2:\"PW\";i:144;s:2:\"PS\";i:145;s:2:\"PA\";i:146;s:2:\"PG\";i:147;s:2:\"PY\";i:148;s:2:\"PE\";i:149;s:2:\"PH\";i:150;s:2:\"PN\";i:151;s:2:\"PL\";i:152;s:2:\"PT\";i:153;s:2:\"PR\";i:154;s:2:\"QA\";i:155;s:2:\"RO\";i:156;s:2:\"RU\";i:157;s:2:\"SH\";i:158;s:2:\"KN\";i:159;s:2:\"LC\";i:160;s:2:\"PM\";i:161;s:2:\"VC\";i:162;s:2:\"WS\";i:163;s:2:\"SM\";i:164;s:2:\"ST\";i:165;s:2:\"SA\";i:166;s:2:\"RS\";i:167;s:2:\"SC\";i:168;s:2:\"SL\";i:169;s:2:\"SG\";i:170;s:2:\"SX\";i:171;s:2:\"SK\";i:172;s:2:\"SI\";i:173;s:2:\"SB\";i:174;s:2:\"SO\";i:175;s:2:\"ZA\";i:176;s:2:\"GS\";i:177;s:2:\"ES\";i:178;s:2:\"LK\";i:179;s:2:\"SR\";i:180;s:2:\"SJ\";i:181;s:2:\"SE\";i:182;s:2:\"CH\";i:183;s:2:\"TW\";i:184;s:2:\"TZ\";i:185;s:2:\"TH\";i:186;s:2:\"TG\";i:187;s:2:\"TK\";i:188;s:2:\"TO\";i:189;s:2:\"TT\";i:190;s:2:\"TN\";i:191;s:2:\"TM\";i:192;s:2:\"TC\";i:193;s:2:\"TV\";i:194;s:2:\"UA\";i:195;s:2:\"AE\";i:196;s:2:\"GB\";i:197;s:2:\"UY\";i:198;s:2:\"UZ\";i:199;s:2:\"VU\";i:200;s:2:\"VA\";i:201;s:2:\"VE\";i:202;s:2:\"VN\";i:203;s:2:\"VG\";i:204;s:2:\"VI\";i:205;s:2:\"WF\";i:206;s:2:\"EH\";i:207;s:2:\"YE\";i:208;s:2:\"ZM\";i:209;s:2:\"ZW\";}','a:0:{}'),(27,'Moneybookers.MAE','Module\\CDev\\Moneybookers\\Model\\Payment\\Processor\\Moneybookers','CDev_Moneybookers',1070,-104370,0,1,0,'C',0,NULL,'a:4:{i:0;s:2:\"GB\";i:1;s:2:\"ES\";i:2;s:2:\"IE\";i:3;s:2:\"AT\";}','a:0:{}'),(28,'Moneybookers.AMX','Module\\CDev\\Moneybookers\\Model\\Payment\\Processor\\Moneybookers','CDev_Moneybookers',1090,-104610,0,1,0,'C',0,NULL,'a:210:{i:0;s:2:\"AX\";i:1;s:2:\"AL\";i:2;s:2:\"DZ\";i:3;s:2:\"AD\";i:4;s:2:\"AO\";i:5;s:2:\"AI\";i:6;s:2:\"AQ\";i:7;s:2:\"AG\";i:8;s:2:\"AR\";i:9;s:2:\"AM\";i:10;s:2:\"AW\";i:11;s:2:\"AU\";i:12;s:2:\"AT\";i:13;s:2:\"AZ\";i:14;s:2:\"BS\";i:15;s:2:\"BH\";i:16;s:2:\"BD\";i:17;s:2:\"BB\";i:18;s:2:\"BY\";i:19;s:2:\"BE\";i:20;s:2:\"BZ\";i:21;s:2:\"BJ\";i:22;s:2:\"BM\";i:23;s:2:\"BT\";i:24;s:2:\"BO\";i:25;s:2:\"BQ\";i:26;s:2:\"BA\";i:27;s:2:\"BV\";i:28;s:2:\"BR\";i:29;s:2:\"IO\";i:30;s:2:\"BN\";i:31;s:2:\"BG\";i:32;s:2:\"BF\";i:33;s:2:\"BI\";i:34;s:2:\"CA\";i:35;s:2:\"CV\";i:36;s:2:\"KY\";i:37;s:2:\"TD\";i:38;s:2:\"CL\";i:39;s:2:\"CN\";i:40;s:2:\"CX\";i:41;s:2:\"CC\";i:42;s:2:\"CO\";i:43;s:2:\"KM\";i:44;s:2:\"CG\";i:45;s:2:\"CG\";i:46;s:2:\"CK\";i:47;s:2:\"CR\";i:48;s:2:\"HR\";i:49;s:2:\"CW\";i:50;s:2:\"CY\";i:51;s:2:\"CZ\";i:52;s:2:\"DK\";i:53;s:2:\"DJ\";i:54;s:2:\"DM\";i:55;s:2:\"DO\";i:56;s:2:\"EC\";i:57;s:2:\"EG\";i:58;s:2:\"SV\";i:59;s:2:\"GQ\";i:60;s:2:\"ER\";i:61;s:2:\"EE\";i:62;s:2:\"ET\";i:63;s:2:\"FK\";i:64;s:2:\"FJ\";i:65;s:2:\"FI\";i:66;s:2:\"FR\";i:67;s:2:\"PF\";i:68;s:2:\"TF\";i:69;s:2:\"GM\";i:70;s:2:\"GE\";i:71;s:2:\"DE\";i:72;s:2:\"GH\";i:73;s:2:\"GI\";i:74;s:2:\"GR\";i:75;s:2:\"GD\";i:76;s:2:\"GU\";i:77;s:2:\"GT\";i:78;s:2:\"GG\";i:79;s:2:\"GY\";i:80;s:2:\"HT\";i:81;s:2:\"HM\";i:82;s:2:\"HN\";i:83;s:2:\"HK\";i:84;s:2:\"HU\";i:85;s:2:\"IS\";i:86;s:2:\"IN\";i:87;s:2:\"ID\";i:88;s:2:\"IE\";i:89;s:2:\"IM\";i:90;s:2:\"IL\";i:91;s:2:\"IT\";i:92;s:2:\"JP\";i:93;s:2:\"JE\";i:94;s:2:\"JO\";i:95;s:2:\"KZ\";i:96;s:2:\"KE\";i:97;s:2:\"KI\";i:98;s:2:\"KR\";i:99;s:2:\"XK\";i:100;s:2:\"KW\";i:101;s:2:\"KG\";i:102;s:2:\"LA\";i:103;s:2:\"LV\";i:104;s:2:\"LB\";i:105;s:2:\"LS\";i:106;s:2:\"LR\";i:107;s:2:\"LY\";i:108;s:2:\"LI\";i:109;s:2:\"LT\";i:110;s:2:\"LU\";i:111;s:2:\"MO\";i:112;s:2:\"MK\";i:113;s:2:\"MG\";i:114;s:2:\"MW\";i:115;s:2:\"MY\";i:116;s:2:\"MT\";i:117;s:2:\"MH\";i:118;s:2:\"MQ\";i:119;s:2:\"MR\";i:120;s:2:\"MU\";i:121;s:2:\"YT\";i:122;s:2:\"MX\";i:123;s:2:\"FM\";i:124;s:2:\"MD\";i:125;s:2:\"MC\";i:126;s:2:\"MN\";i:127;s:2:\"ME\";i:128;s:2:\"MS\";i:129;s:2:\"MA\";i:130;s:2:\"NR\";i:131;s:2:\"NP\";i:132;s:2:\"NL\";i:133;s:2:\"AN\";i:134;s:2:\"NZ\";i:135;s:2:\"NI\";i:136;s:2:\"NE\";i:137;s:2:\"NG\";i:138;s:2:\"NU\";i:139;s:2:\"NF\";i:140;s:2:\"NO\";i:141;s:2:\"OM\";i:142;s:2:\"PK\";i:143;s:2:\"PW\";i:144;s:2:\"PS\";i:145;s:2:\"PA\";i:146;s:2:\"PG\";i:147;s:2:\"PY\";i:148;s:2:\"PE\";i:149;s:2:\"PH\";i:150;s:2:\"PN\";i:151;s:2:\"PL\";i:152;s:2:\"PT\";i:153;s:2:\"PR\";i:154;s:2:\"QA\";i:155;s:2:\"RO\";i:156;s:2:\"RU\";i:157;s:2:\"SH\";i:158;s:2:\"KN\";i:159;s:2:\"LC\";i:160;s:2:\"PM\";i:161;s:2:\"VC\";i:162;s:2:\"WS\";i:163;s:2:\"SM\";i:164;s:2:\"ST\";i:165;s:2:\"SA\";i:166;s:2:\"RS\";i:167;s:2:\"SC\";i:168;s:2:\"SL\";i:169;s:2:\"SG\";i:170;s:2:\"SX\";i:171;s:2:\"SK\";i:172;s:2:\"SI\";i:173;s:2:\"SB\";i:174;s:2:\"SO\";i:175;s:2:\"ZA\";i:176;s:2:\"GS\";i:177;s:2:\"ES\";i:178;s:2:\"LK\";i:179;s:2:\"SR\";i:180;s:2:\"SJ\";i:181;s:2:\"SE\";i:182;s:2:\"CH\";i:183;s:2:\"TW\";i:184;s:2:\"TZ\";i:185;s:2:\"TH\";i:186;s:2:\"TG\";i:187;s:2:\"TK\";i:188;s:2:\"TO\";i:189;s:2:\"TT\";i:190;s:2:\"TN\";i:191;s:2:\"TM\";i:192;s:2:\"TC\";i:193;s:2:\"TV\";i:194;s:2:\"UA\";i:195;s:2:\"AE\";i:196;s:2:\"GB\";i:197;s:2:\"UY\";i:198;s:2:\"UZ\";i:199;s:2:\"VU\";i:200;s:2:\"VA\";i:201;s:2:\"VE\";i:202;s:2:\"VN\";i:203;s:2:\"VG\";i:204;s:2:\"VI\";i:205;s:2:\"WF\";i:206;s:2:\"EH\";i:207;s:2:\"YE\";i:208;s:2:\"ZM\";i:209;s:2:\"ZW\";}','a:1:{i:0;s:2:\"US\";}'),(29,'Moneybookers.GCB','Module\\CDev\\Moneybookers\\Model\\Payment\\Processor\\Moneybookers','CDev_Moneybookers',1130,-104550,0,1,0,'C',0,NULL,'a:1:{i:0;s:2:\"FR\";}','a:0:{}'),(30,'Moneybookers.DNK','Module\\CDev\\Moneybookers\\Model\\Payment\\Processor\\Moneybookers','CDev_Moneybookers',1140,-104520,0,1,0,'C',0,NULL,'a:1:{i:0;s:2:\"DK\";}','a:0:{}'),(31,'Moneybookers.PSP','Module\\CDev\\Moneybookers\\Model\\Payment\\Processor\\Moneybookers','CDev_Moneybookers',1150,-104240,0,1,0,'C',0,NULL,'a:1:{i:0;s:2:\"IT\";}','a:0:{}'),(32,'Moneybookers.CSI','Module\\CDev\\Moneybookers\\Model\\Payment\\Processor\\Moneybookers','CDev_Moneybookers',1160,-104560,0,1,0,'C',0,NULL,'a:1:{i:0;s:2:\"IT\";}','a:0:{}'),(33,'Moneybookers.OBT','Module\\CDev\\Moneybookers\\Model\\Payment\\Processor\\Moneybookers','CDev_Moneybookers',1170,-104280,0,1,0,'N',0,NULL,'a:8:{i:0;s:2:\"DE\";i:1;s:2:\"GB\";i:2;s:2:\"FR\";i:3;s:2:\"IT\";i:4;s:2:\"ES\";i:5;s:2:\"HU\";i:6;s:2:\"PL\";i:7;s:2:\"AT\";}','a:0:{}'),(34,'Moneybookers.GIR','Module\\CDev\\Moneybookers\\Model\\Payment\\Processor\\Moneybookers','CDev_Moneybookers',1180,-104440,0,1,0,'N',0,NULL,'a:1:{i:0;s:2:\"DE\";}','a:0:{}'),(35,'Moneybookers.DID','Module\\CDev\\Moneybookers\\Model\\Payment\\Processor\\Moneybookers','CDev_Moneybookers',1190,-104480,0,1,0,'N',0,NULL,'a:1:{i:0;s:2:\"DE\";}','a:0:{}'),(36,'Moneybookers.PWY','Module\\CDev\\Moneybookers\\Model\\Payment\\Processor\\Moneybookers','CDev_Moneybookers',1270,-104620,0,1,0,'N',0,NULL,'a:1:{i:0;s:2:\"PL\";}','a:0:{}'),(37,'Moneybookers.SFT','Module\\CDev\\Moneybookers\\Model\\Payment\\Processor\\Moneybookers','CDev_Moneybookers',1200,-104200,0,1,0,'N',0,NULL,'a:11:{i:0;s:2:\"DE\";i:1;s:2:\"AT\";i:2;s:2:\"BE\";i:3;s:2:\"NL\";i:4;s:2:\"IT\";i:5;s:2:\"FR\";i:6;s:2:\"PL\";i:7;s:2:\"HU\";i:8;s:2:\"SK\";i:9;s:2:\"CZ\";i:10;s:2:\"GB\";}','a:0:{}'),(38,'Moneybookers.EBT','Module\\CDev\\Moneybookers\\Model\\Payment\\Processor\\Moneybookers','CDev_Moneybookers',1220,-104290,0,1,0,'N',0,NULL,'a:1:{i:0;s:2:\"SE\";}','a:0:{}'),(39,'Moneybookers.IDL','Module\\CDev\\Moneybookers\\Model\\Payment\\Processor\\Moneybookers','CDev_Moneybookers',1240,-104430,0,1,0,'N',0,NULL,'a:28:{i:0;s:2:\"BE\";i:1;s:2:\"BG\";i:2;s:2:\"CZ\";i:3;s:2:\"DK\";i:4;s:2:\"DE\";i:5;s:2:\"EE\";i:6;s:2:\"IE\";i:7;s:2:\"EL\";i:8;s:2:\"ES\";i:9;s:2:\"FR\";i:10;s:2:\"HR\";i:11;s:2:\"IT\";i:12;s:2:\"CY\";i:13;s:2:\"LV\";i:14;s:2:\"LT\";i:15;s:2:\"LU\";i:16;s:2:\"HU\";i:17;s:2:\"MT\";i:18;s:2:\"NL\";i:19;s:2:\"AT\";i:20;s:2:\"PL\";i:21;s:2:\"PT\";i:22;s:2:\"RO\";i:23;s:2:\"SI\";i:24;s:2:\"SK\";i:25;s:2:\"FI\";i:26;s:2:\"SE\";i:27;s:2:\"UK\";}','a:0:{}'),(40,'Moneybookers.NPY','Module\\CDev\\Moneybookers\\Model\\Payment\\Processor\\Moneybookers','CDev_Moneybookers',1250,-104460,0,1,0,'N',0,NULL,'a:1:{i:0;s:2:\"AT\";}','a:0:{}'),(41,'Moneybookers.PLI','Module\\CDev\\Moneybookers\\Model\\Payment\\Processor\\Moneybookers','CDev_Moneybookers',1260,-104250,0,1,0,'N',0,NULL,'a:1:{i:0;s:2:\"AU\";}','a:0:{}'),(42,'Moneybookers.EPY','Module\\CDev\\Moneybookers\\Model\\Payment\\Processor\\Moneybookers','CDev_Moneybookers',1450,-104470,0,1,0,'N',0,NULL,'a:1:{i:0;s:2:\"BG\";}','a:0:{}'),(43,'Moneybookers.GLU','Module\\CDev\\Moneybookers\\Model\\Payment\\Processor\\Moneybookers','CDev_Moneybookers',1460,-104180,0,1,0,'N',0,NULL,'a:13:{i:0;s:2:\"SE\";i:1;s:2:\"FI\";i:2;s:2:\"EE\";i:3;s:2:\"DK\";i:4;s:2:\"ES\";i:5;s:2:\"IT\";i:6;s:2:\"DE\";i:7;s:2:\"PT\";i:8;s:2:\"AT\";i:9;s:2:\"LV\";i:10;s:2:\"LT\";i:11;s:2:\"NL\";i:12;s:2:\"PL\";}','a:0:{}'),(44,'Moneybookers.ALI','Module\\CDev\\Moneybookers\\Model\\Payment\\Processor\\Moneybookers','CDev_Moneybookers',1460,-104640,0,1,0,'N',0,NULL,'a:1:{i:0;s:2:\"CN\";}','a:0:{}'),(45,'Moneybookers.ADB','Module\\CDev\\Moneybookers\\Model\\Payment\\Processor\\Moneybookers','CDev_Moneybookers',1460,-104490,0,1,0,'N',0,NULL,'a:2:{i:0;s:2:\"AR\";i:1;s:2:\"BR\";}','a:0:{}'),(46,'Moneybookers.AOB','Module\\CDev\\Moneybookers\\Model\\Payment\\Processor\\Moneybookers','CDev_Moneybookers',1460,-104360,0,1,0,'N',0,NULL,'a:4:{i:0;s:2:\"BR\";i:1;s:2:\"CL\";i:2;s:2:\"CN\";i:3;s:2:\"CO\";}','a:0:{}'),(47,'Moneybookers.ACI','Module\\CDev\\Moneybookers\\Model\\Payment\\Processor\\Moneybookers','CDev_Moneybookers',1460,-104540,0,1,0,'N',0,NULL,'a:7:{i:0;s:2:\"AR\";i:1;s:2:\"BR\";i:2;s:2:\"CL\";i:3;s:2:\"CN\";i:4;s:2:\"CO\";i:5;s:2:\"MX\";i:6;s:2:\"UY\";}','a:0:{}'),(48,'Moneybookers.AUP','Module\\CDev\\Moneybookers\\Model\\Payment\\Processor\\Moneybookers','CDev_Moneybookers',1460,-104170,0,1,0,'N',0,NULL,'a:1:{i:0;s:2:\"CN\";}','a:0:{}'),(49,'QuantumGateway','Module\\CDev\\Quantum\\Model\\Payment\\Processor\\Quantum','CDev_Quantum',-10000,-105780,0,1,0,'C',0,NULL,'a:1:{i:0;s:2:\"US\";}','a:0:{}'),(50,'2Checkout.com','Module\\CDev\\TwoCheckout\\Model\\Payment\\Processor\\TwoCheckout','CDev_TwoCheckout',-10500,-105690,0,1,0,'C',0,NULL,'a:0:{}','a:0:{}'),(51,'COD_USPS','Module\\CDev\\USPS\\Model\\Payment\\Processor\\COD','CDev_USPS',0,0,0,1,1,'O',0,NULL,'a:1:{i:0;s:2:\"US\";}','N;'),(52,'ePDQ e-Commerce','Module\\XC\\EPDQ\\Model\\Payment\\Processor\\EPDQ','XC_EPDQ',-10200,-105620,0,1,0,'C',0,NULL,'a:1:{i:0;s:2:\"GB\";}','a:0:{}'),(53,'iDEAL Professional','Module\\XC\\IdealPayments\\Model\\Payment\\Processor\\IdealProfessional','XC_IdealPayments',-10100,-105140,0,1,0,'C',0,NULL,'a:28:{i:0;s:2:\"BE\";i:1;s:2:\"BG\";i:2;s:2:\"CZ\";i:3;s:2:\"DK\";i:4;s:2:\"DE\";i:5;s:2:\"EE\";i:6;s:2:\"IE\";i:7;s:2:\"EL\";i:8;s:2:\"ES\";i:9;s:2:\"FR\";i:10;s:2:\"HR\";i:11;s:2:\"IT\";i:12;s:2:\"CY\";i:13;s:2:\"LV\";i:14;s:2:\"LT\";i:15;s:2:\"LU\";i:16;s:2:\"HU\";i:17;s:2:\"MT\";i:18;s:2:\"NL\";i:19;s:2:\"AT\";i:20;s:2:\"PL\";i:21;s:2:\"PT\";i:22;s:2:\"RO\";i:23;s:2:\"SI\";i:24;s:2:\"SK\";i:25;s:2:\"FI\";i:26;s:2:\"SE\";i:27;s:2:\"UK\";}','a:0:{}'),(54,'SagePay form protocol','Module\\XC\\SagePay\\Model\\Payment\\Processor\\SagePayForm','XC_SagePay',-101500,-104740,0,1,0,'C',0,NULL,'a:2:{i:0;s:2:\"GB\";i:1;s:2:\"IE\";}','a:0:{}'),(55,'Stripe','Module\\XC\\Stripe\\Model\\Payment\\Stripe','XC_Stripe',-10300,-105900,0,1,0,'C',0,NULL,'a:22:{i:0;s:2:\"AU\";i:1;s:2:\"CA\";i:2;s:2:\"DK\";i:3;s:2:\"FI\";i:4;s:2:\"FR\";i:5;s:2:\"IE\";i:6;s:2:\"JP\";i:7;s:2:\"NO\";i:8;s:2:\"SG\";i:9;s:2:\"ES\";i:10;s:2:\"SE\";i:11;s:2:\"GB\";i:12;s:2:\"US\";i:13;s:2:\"AT\";i:14;s:2:\"BE\";i:15;s:2:\"DE\";i:16;s:2:\"HK\";i:17;s:2:\"IT\";i:18;s:2:\"LU\";i:19;s:2:\"NL\";i:20;s:2:\"PT\";i:21;s:2:\"CH\";}','a:0:{}'),(56,'Ingenico Payment Services (Ogone)','Module\\XC\\OgoneEcommerce\\Model\\Payment\\Processor\\OgoneEcommerce','XC_OgoneEcommerce',0,-105120,0,1,0,'C',0,NULL,'a:63:{i:0;s:2:\"FR\";i:1;s:2:\"DE\";i:2;s:2:\"IT\";i:3;s:2:\"PT\";i:4;s:2:\"ES\";i:5;s:2:\"GB\";i:6;s:2:\"HU\";i:7;s:2:\"PL\";i:8;s:2:\"RU\";i:9;s:2:\"TR\";i:10;s:2:\"AI\";i:11;s:2:\"AG\";i:12;s:2:\"AR\";i:13;s:2:\"AW\";i:14;s:2:\"BS\";i:15;s:2:\"BB\";i:16;s:2:\"BZ\";i:17;s:2:\"BM\";i:18;s:2:\"BO\";i:19;s:2:\"BR\";i:20;s:2:\"VG\";i:21;s:2:\"KY\";i:22;s:2:\"CL\";i:23;s:2:\"CO\";i:24;s:2:\"CR\";i:25;s:2:\"CU\";i:26;s:2:\"DM\";i:27;s:2:\"DO\";i:28;s:2:\"EC\";i:29;s:2:\"SV\";i:30;s:2:\"FK\";i:31;s:2:\"GF\";i:32;s:2:\"GD\";i:33;s:2:\"GP\";i:34;s:2:\"GT\";i:35;s:2:\"GY\";i:36;s:2:\"HT\";i:37;s:2:\"HN\";i:38;s:2:\"JM\";i:39;s:2:\"MQ\";i:40;s:2:\"MX\";i:41;s:2:\"MS\";i:42;s:2:\"AN\";i:43;s:2:\"NI\";i:44;s:2:\"PA\";i:45;s:2:\"PY\";i:46;s:2:\"PE\";i:47;s:2:\"PR\";i:48;s:2:\"LC\";i:49;s:2:\"KN\";i:50;s:2:\"VC\";i:51;s:2:\"SR\";i:52;s:2:\"TT\";i:53;s:2:\"TC\";i:54;s:2:\"VI\";i:55;s:2:\"UY\";i:56;s:2:\"VE\";i:57;s:2:\"CA\";i:58;s:2:\"GL\";i:59;s:2:\"PM\";i:60;s:2:\"US\";i:61;s:2:\"BL\";i:62;s:2:\"MF\";}','a:0:{}'),(57,'Moneris (eSELECTplus- Hosted Pay Page)','Module\\XC\\ESelectHPP\\Model\\Payment\\Processor\\ESelectHPP','XC_ESelectHPP',0,-105060,0,1,0,'C',0,NULL,'a:1:{i:0;s:2:\"CA\";}','a:0:{}'),(58,'PayWithAmazon','Module\\Amazon\\PayWithAmazon\\Model\\Payment\\Processor\\PayWithAmazon','Amazon_PayWithAmazon',-101600,-105870,0,1,0,'C',0,NULL,'a:4:{i:0;s:2:\"US\";i:1;s:2:\"GB\";i:2;s:2:\"DE\";i:3;s:2:\"JP\";}','a:0:{}'),(59,'PayPal powered by Braintree','Module\\QSL\\BraintreeVZ\\Model\\Payment\\Processor\\BraintreeVZ','QSL_BraintreeVZ',-101950,-105980,0,1,0,'A',0,NULL,'a:5:{i:0;s:2:\"US\";i:1;s:2:\"UK\";i:2;s:2:\"FR\";i:3;s:2:\"IT\";i:4;s:2:\"ES\";}','a:0:{}'),(60,'AuthorizenetAcceptjs','Module\\QSL\\AuthorizenetAcceptjs\\Model\\Payment\\Processor\\AuthorizenetAcceptjs','QSL_AuthorizenetAcceptjs',-101800,-105960,0,1,1,'C',0,NULL,'a:1:{i:0;s:2:\"US\";}','a:0:{}'),(61,'EMerchantPayCheckout','Module\\EMerchantPay\\Genesis\\Model\\Payment\\Processor\\EMerchantPayCheckout','EMerchantPay_Genesis',0,-105340,0,0,0,'C',1,'//my.x-cart.com/sites/default/files/addons/EMerchantPay/Genesis/method_icon.png','a:0:{}','N;'),(62,'EMerchantPayDirect','Module\\EMerchantPay\\Genesis\\Model\\Payment\\Processor\\EMerchantPayDirect','EMerchantPay_Genesis',0,-105330,0,0,0,'C',1,'//my.x-cart.com/sites/default/files/addons/EMerchantPay/Genesis/method_icon.png','a:0:{}','N;'),(63,'FuturePay','Module\\FuturePay\\FuturePay\\Model\\Payment\\FuturePay','FuturePay_FuturePay',0,-105220,0,0,0,'C',1,'//my.x-cart.com/sites/default/files/addons/FuturePay/FuturePay/method_icon.png','a:0:{}','N;'),(64,'G2A','Module\\G2APay\\G2APay\\Model\\Payment\\G2A','G2APay_G2APay',0,-105210,0,0,0,'C',1,'//my.x-cart.com/sites/default/files/addons/G2APay/G2APay/method_icon.png','a:0:{}','N;'),(65,'MPSWebHost','Module\\MPS\\MeritusPayment\\Model\\Payment\\Processor\\MeritusPayment','MPS_MeritusPayment',0,-105070,0,0,0,'C',1,'//my.x-cart.com/sites/default/files/addons/MPS/MeritusPayment/method_icon.png','a:1:{i:0;s:2:\"US\";}','N;'),(66,'MerchantSuite','Module\\MerchantSuite\\Payment\\Model\\Payment\\Processor\\MerchantSuite','MerchantSuite_Payment',0,-105450,0,0,0,'C',1,'//my.x-cart.com/sites/default/files/addons/MerchantSuite/Payment/method_icon.png','a:0:{}','N;'),(67,'PayKings','Module\\PK\\PayKings\\Model\\Payment\\Processor\\PayKings','PK_PayKings',0,-105860,0,0,0,'C',1,'//my.x-cart.com/sites/default/files/addons/PK/PayKings/method_icon.png','a:0:{}','N;'),(68,'PaytmPayment','Module\\PerceptionSystemPvtLtd\\Paytm\\Model\\Payment\\Processor\\PaytmPayment','PerceptionSystemPvtLtd_Paytm',0,-104870,0,0,0,'C',1,'//my.x-cart.com/sites/default/files/addons/PerceptionSystemPvtLtd/Paytm/method_icon.png','a:1:{i:0;s:2:\"IN\";}','N;'),(69,'Alipay','Module\\QSL\\AlipayPayment\\Model\\Payment\\Processor\\Alipay','QSL_AlipayPayment',0,-105670,0,0,0,'C',1,'//my.x-cart.com/sites/default/files/addons/QSL/AlipayPayment/method_icon.png','a:0:{}','N;'),(70,'Braintree payments','Module\\QSL\\Braintree\\Model\\Payment\\Processor\\Braintree','QSL_Braintree',0,-105970,0,0,0,'C',1,'//my.x-cart.com/sites/default/files/addons/QSL/Braintree/method_icon.png','a:107:{i:0;s:2:\"AD\";i:1;s:2:\"AE\";i:2;s:2:\"AF\";i:3;s:2:\"AL\";i:4;s:2:\"AM\";i:5;s:2:\"AT\";i:6;s:2:\"AU\";i:7;s:2:\"AX\";i:8;s:2:\"AZ\";i:9;s:2:\"BA\";i:10;s:2:\"BD\";i:11;s:2:\"BE\";i:12;s:2:\"BG\";i:13;s:2:\"BH\";i:14;s:2:\"BN\";i:15;s:2:\"BT\";i:16;s:2:\"BY\";i:17;s:2:\"CA\";i:18;s:2:\"CH\";i:19;s:2:\"CN\";i:20;s:2:\"CY\";i:21;s:2:\"CZ\";i:22;s:2:\"DE\";i:23;s:2:\"DK\";i:24;s:2:\"EE\";i:25;s:2:\"ES\";i:26;s:2:\"FI\";i:27;s:2:\"FO\";i:28;s:2:\"FR\";i:29;s:2:\"GB\";i:30;s:2:\"GE\";i:31;s:2:\"GG\";i:32;s:2:\"GI\";i:33;s:2:\"GR\";i:34;s:2:\"HK\";i:35;s:2:\"HR\";i:36;s:2:\"HU\";i:37;s:2:\"ID\";i:38;s:2:\"IE\";i:39;s:2:\"IL\";i:40;s:2:\"IM\";i:41;s:2:\"IN\";i:42;s:2:\"IO\";i:43;s:2:\"IQ\";i:44;s:2:\"IR\";i:45;s:2:\"IS\";i:46;s:2:\"IT\";i:47;s:2:\"JE\";i:48;s:2:\"JO\";i:49;s:2:\"JP\";i:50;s:2:\"KG\";i:51;s:2:\"KH\";i:52;s:2:\"KP\";i:53;s:2:\"KR\";i:54;s:2:\"KW\";i:55;s:2:\"KZ\";i:56;s:2:\"LA\";i:57;s:2:\"LB\";i:58;s:2:\"LI\";i:59;s:2:\"LK\";i:60;s:2:\"LT\";i:61;s:2:\"LU\";i:62;s:2:\"LV\";i:63;s:2:\"MC\";i:64;s:2:\"MD\";i:65;s:2:\"ME\";i:66;s:2:\"MK\";i:67;s:2:\"MM\";i:68;s:2:\"MN\";i:69;s:2:\"MO\";i:70;s:2:\"MT\";i:71;s:2:\"MV\";i:72;s:2:\"MY\";i:73;s:2:\"NL\";i:74;s:2:\"NO\";i:75;s:2:\"NP\";i:76;s:2:\"OM\";i:77;s:2:\"PG\";i:78;s:2:\"PH\";i:79;s:2:\"PK\";i:80;s:2:\"PL\";i:81;s:2:\"PS\";i:82;s:2:\"PT\";i:83;s:2:\"QA\";i:84;s:2:\"RO\";i:85;s:2:\"RS\";i:86;s:2:\"RU\";i:87;s:2:\"SA\";i:88;s:2:\"SE\";i:89;s:2:\"SG\";i:90;s:2:\"SI\";i:91;s:2:\"SJ\";i:92;s:2:\"SK\";i:93;s:2:\"SM\";i:94;s:2:\"SY\";i:95;s:2:\"TH\";i:96;s:2:\"TJ\";i:97;s:2:\"TL\";i:98;s:2:\"TM\";i:99;s:2:\"TR\";i:100;s:2:\"TW\";i:101;s:2:\"UA\";i:102;s:2:\"US\";i:103;s:2:\"UZ\";i:104;s:2:\"VA\";i:105;s:2:\"VN\";i:106;s:2:\"YE\";}','N;'),(71,'CCBill','Module\\QSL\\CCBill\\Model\\Payment\\Processor\\CCBill','QSL_CCBill',0,-105510,0,0,0,'C',1,'//my.x-cart.com/sites/default/files/addons/QSL/CCBill/method_icon.png','a:0:{}','N;'),(72,'Dwolla','Module\\QSL\\Dwolla\\Model\\Payment\\Processor\\Dwolla','QSL_Dwolla',0,-105390,0,0,0,'C',1,'//my.x-cart.com/sites/default/files/addons/QSL/Dwolla/method_icon.png','a:1:{i:0;s:2:\"US\";}','N;'),(73,'E-Gateway','Module\\QSL\\EGateway\\Model\\Payment\\Processor\\EGateway','QSL_EGateway',0,-105380,0,0,0,'C',1,'//my.x-cart.com/sites/default/files/addons/QSL/EGateway/method_icon.png','a:4:{i:0;s:2:\"AU\";i:1;s:2:\"US\";i:2;s:2:\"CA\";i:3;s:2:\"GB\";}','N;'),(74,'eProcessing Network - Database Engine','Module\\QSL\\EProcessingNetwork\\Model\\Payment\\Processor\\EProcessingNetwork','QSL_EProcessingNetwork',0,-105310,0,0,0,'C',1,'//my.x-cart.com/sites/default/files/addons/QSL/EProcessingNetwork/method_icon.png','a:0:{}','N;'),(75,'Exrid','Module\\QSL\\ExridPayment\\Model\\Payment\\Processor\\Exrid','QSL_ExridPayment',0,-105270,0,0,0,'C',1,'//my.x-cart.com/sites/default/files/addons/QSL/ExridPayment/method_icon.png','a:0:{}','N;'),(76,'FastSpring','Module\\QSL\\FastSpring\\Model\\Payment\\Processor\\FastSpring','QSL_FastSpring',0,-105260,0,0,0,'C',1,'//my.x-cart.com/sites/default/files/addons/QSL/FastSpring/method_icon.png','a:1:{i:0;s:2:\"US\";}','N;'),(77,'FinpayPayment','Module\\QSL\\FinpayPayment\\Model\\Payment\\Processor\\FinpayPayment','QSL_FinpayPayment',0,-105240,0,0,0,'C',1,'//my.x-cart.com/sites/default/files/addons/QSL/FinpayPayment/method_icon.png','a:0:{}','N;'),(78,'FirstDataPayeezyGatewayHP','Module\\QSL\\FirstDataPayeezyGatewayHP\\Model\\Payment\\Processor\\FirstDataPayeezyGatewayHP','QSL_FirstDataPayeezyGatewayHP',0,-105230,0,0,0,'C',1,'//my.x-cart.com/sites/default/files/addons/QSL/FirstDataPayeezyGatewayHP/method_icon.png','a:0:{}','N;'),(79,'Giropay','Module\\QSL\\Giropay\\Model\\Payment\\Processor\\Giropay','QSL_Giropay',0,-105200,0,0,0,'C',1,'//my.x-cart.com/sites/default/files/addons/QSL/Giropay/method_icon.png','a:1:{i:0;s:2:\"DE\";}','N;'),(80,'Global Transport eCommerce processor','Module\\QSL\\GlobalTransport\\Model\\Payment\\Processor\\GlobalTransport','QSL_GlobalTransport',0,-105170,0,0,0,'C',1,'//my.x-cart.com/sites/default/files/addons/QSL/GlobalTransport/method_icon.png','a:18:{i:0;s:2:\"MV\";i:1;s:2:\"CN\";i:2;s:2:\"HK\";i:3;s:2:\"IN\";i:4;s:2:\"MY\";i:5;s:2:\"PH\";i:6;s:2:\"SG\";i:7;s:2:\"TW\";i:8;s:2:\"BR\";i:9;s:2:\"CA\";i:10;s:2:\"RU\";i:11;s:2:\"MT\";i:12;s:2:\"ES\";i:13;s:2:\"GB\";i:14;s:2:\"US\";i:15;s:2:\"GR\";i:16;s:2:\"HU\";i:17;s:2:\"SK\";}','N;'),(81,'Kiwoompay','Module\\QSL\\Kiwoompay\\Model\\Payment\\Processor\\Kiwoompay','QSL_Kiwoompay',0,-105080,0,0,0,'C',1,NULL,'a:0:{}','N;'),(82,'CMI Payment','Module\\QSL\\MTCPayment\\Model\\Payment\\Processor\\MTC','QSL_MTCPayment',0,-105490,0,0,0,'C',1,'//my.x-cart.com/sites/default/files/addons/QSL/MTCPayment/method_icon.png','a:1:{i:0;s:2:\"MA\";}','N;'),(83,'Pagseguro','Module\\QSL\\Pagseguro\\Model\\Payment\\Processor\\Pagseguro','QSL_Pagseguro',0,-105000,0,0,0,'C',1,'//my.x-cart.com/sites/default/files/addons/QSL/Pagseguro/method_icon.png','a:1:{i:0;s:2:\"BR\";}','N;'),(84,'PayPalHere','Module\\QSL\\PayPalHere\\Model\\Payment\\Processor\\PayPalHere','QSL_PayPalHere',0,-104910,0,0,0,'C',1,'//my.x-cart.com/sites/default/files/addons/QSL/PayPalHere/method_icon.png','a:32:{i:0;s:2:\"US\";i:1;s:2:\"CA\";i:2;s:2:\"AU\";i:3;s:2:\"NZ\";i:4;s:2:\"BE\";i:5;s:2:\"BG\";i:6;s:2:\"CZ\";i:7;s:2:\"DK\";i:8;s:2:\"DE\";i:9;s:2:\"EE\";i:10;s:2:\"IE\";i:11;s:2:\"EL\";i:12;s:2:\"ES\";i:13;s:2:\"FR\";i:14;s:2:\"HR\";i:15;s:2:\"IT\";i:16;s:2:\"CY\";i:17;s:2:\"LV\";i:18;s:2:\"LT\";i:19;s:2:\"LU\";i:20;s:2:\"HU\";i:21;s:2:\"MT\";i:22;s:2:\"NL\";i:23;s:2:\"AT\";i:24;s:2:\"PL\";i:25;s:2:\"PT\";i:26;s:2:\"RO\";i:27;s:2:\"SI\";i:28;s:2:\"SK\";i:29;s:2:\"FI\";i:30;s:2:\"SE\";i:31;s:2:\"GB\";}','N;'),(85,'PayProCloud','Module\\QSL\\PayProCloud\\Model\\Payment\\Processor\\PayProCloud','QSL_PayProCloud',0,-104890,0,0,0,'C',1,'//my.x-cart.com/sites/default/files/addons/QSL/PayProCloud/method_icon.png','a:166:{i:0;s:2:\"DZ\";i:1;s:2:\"AR\";i:2;s:2:\"AM\";i:3;s:2:\"AU\";i:4;s:2:\"AT\";i:5;s:2:\"AZ\";i:6;s:2:\"BH\";i:7;s:2:\"BY\";i:8;s:2:\"BE\";i:9;s:2:\"BR\";i:10;s:2:\"BG\";i:11;s:2:\"CA\";i:12;s:2:\"CN\";i:13;s:2:\"CO\";i:14;s:2:\"HR\";i:15;s:2:\"CY\";i:16;s:2:\"CZ\";i:17;s:2:\"DK\";i:18;s:2:\"EC\";i:19;s:2:\"EG\";i:20;s:2:\"SV\";i:21;s:2:\"EE\";i:22;s:2:\"FI\";i:23;s:2:\"FR\";i:24;s:2:\"GE\";i:25;s:2:\"DE\";i:26;s:2:\"GH\";i:27;s:2:\"GR\";i:28;s:2:\"GT\";i:29;s:2:\"HN\";i:30;s:2:\"HU\";i:31;s:2:\"IN\";i:32;s:2:\"ID\";i:33;s:2:\"IQ\";i:34;s:2:\"IE\";i:35;s:2:\"IL\";i:36;s:2:\"IT\";i:37;s:2:\"JP\";i:38;s:2:\"JO\";i:39;s:2:\"KZ\";i:40;s:2:\"KW\";i:41;s:2:\"KG\";i:42;s:2:\"LV\";i:43;s:2:\"LB\";i:44;s:2:\"LT\";i:45;s:2:\"LU\";i:46;s:2:\"MK\";i:47;s:2:\"MY\";i:48;s:2:\"MT\";i:49;s:2:\"MX\";i:50;s:2:\"MA\";i:51;s:2:\"NL\";i:52;s:2:\"NZ\";i:53;s:2:\"NG\";i:54;s:2:\"NO\";i:55;s:2:\"OM\";i:56;s:2:\"PK\";i:57;s:2:\"PA\";i:58;s:2:\"PY\";i:59;s:2:\"PE\";i:60;s:2:\"PH\";i:61;s:2:\"PL\";i:62;s:2:\"PT\";i:63;s:2:\"QA\";i:64;s:2:\"RO\";i:65;s:2:\"RU\";i:66;s:2:\"SA\";i:67;s:2:\"SG\";i:68;s:2:\"SK\";i:69;s:2:\"SI\";i:70;s:2:\"ES\";i:71;s:2:\"SE\";i:72;s:2:\"CH\";i:73;s:2:\"TJ\";i:74;s:2:\"TH\";i:75;s:2:\"TN\";i:76;s:2:\"TR\";i:77;s:2:\"TM\";i:78;s:2:\"UA\";i:79;s:2:\"AE\";i:80;s:2:\"GB\";i:81;s:2:\"UY\";i:82;s:2:\"UZ\";i:83;s:2:\"AE\";i:84;s:2:\"AM\";i:85;s:2:\"AR\";i:86;s:2:\"AT\";i:87;s:2:\"AU\";i:88;s:2:\"AZ\";i:89;s:2:\"BE\";i:90;s:2:\"BG\";i:91;s:2:\"BH\";i:92;s:2:\"BR\";i:93;s:2:\"BY\";i:94;s:2:\"CA\";i:95;s:2:\"CH\";i:96;s:2:\"CN\";i:97;s:2:\"CO\";i:98;s:2:\"CY\";i:99;s:2:\"CZ\";i:100;s:2:\"DE\";i:101;s:2:\"DK\";i:102;s:2:\"DZ\";i:103;s:2:\"EC\";i:104;s:2:\"EE\";i:105;s:2:\"EG\";i:106;s:2:\"ES\";i:107;s:2:\"FI\";i:108;s:2:\"FR\";i:109;s:2:\"GB\";i:110;s:2:\"GE\";i:111;s:2:\"GH\";i:112;s:2:\"GR\";i:113;s:2:\"GT\";i:114;s:2:\"HN\";i:115;s:2:\"HR\";i:116;s:2:\"HU\";i:117;s:2:\"ID\";i:118;s:2:\"IE\";i:119;s:2:\"IL\";i:120;s:2:\"IN\";i:121;s:2:\"IQ\";i:122;s:2:\"IT\";i:123;s:2:\"JO\";i:124;s:2:\"JP\";i:125;s:2:\"KG\";i:126;s:2:\"KW\";i:127;s:2:\"KZ\";i:128;s:2:\"LB\";i:129;s:2:\"LT\";i:130;s:2:\"LU\";i:131;s:2:\"LV\";i:132;s:2:\"MA\";i:133;s:2:\"MK\";i:134;s:2:\"MT\";i:135;s:2:\"MX\";i:136;s:2:\"MY\";i:137;s:2:\"NG\";i:138;s:2:\"NL\";i:139;s:2:\"NO\";i:140;s:2:\"NZ\";i:141;s:2:\"OM\";i:142;s:2:\"PA\";i:143;s:2:\"PE\";i:144;s:2:\"PH\";i:145;s:2:\"PK\";i:146;s:2:\"PL\";i:147;s:2:\"PT\";i:148;s:2:\"PY\";i:149;s:2:\"QA\";i:150;s:2:\"RO\";i:151;s:2:\"RU\";i:152;s:2:\"SA\";i:153;s:2:\"SE\";i:154;s:2:\"SG\";i:155;s:2:\"SI\";i:156;s:2:\"SK\";i:157;s:2:\"SV\";i:158;s:2:\"TH\";i:159;s:2:\"TJ\";i:160;s:2:\"TM\";i:161;s:2:\"TN\";i:162;s:2:\"TR\";i:163;s:2:\"UA\";i:164;s:2:\"UY\";i:165;s:2:\"UZ\";}','N;'),(86,'PayWay Net','Module\\QSL\\PayWayPayment\\Model\\Payment\\Processor\\PayWay','QSL_PayWayPayment',0,-104840,0,0,0,'C',1,'//my.x-cart.com/sites/default/files/addons/QSL/PayWayPayment/method_icon.png','a:0:{}','N;'),(87,'Paysafecard','Module\\QSL\\Paysafecard\\Model\\Payment\\Processor\\Paysafecard','QSL_Paysafecard',0,-105760,0,0,0,'C',1,'//my.x-cart.com/sites/default/files/addons/QSL/Paysafecard/method_icon.png','a:37:{i:0;s:2:\"AR\";i:1;s:2:\"AU\";i:2;s:2:\"AT\";i:3;s:2:\"BE\";i:4;s:2:\"BG\";i:5;s:2:\"CA\";i:6;s:2:\"HR\";i:7;s:2:\"CY\";i:8;s:2:\"CZ\";i:9;s:2:\"DK\";i:10;s:2:\"FI\";i:11;s:2:\"FR\";i:12;s:2:\"DE\";i:13;s:2:\"GR\";i:14;s:2:\"HU\";i:15;s:2:\"IE\";i:16;s:2:\"IT\";i:17;s:2:\"LV\";i:18;s:2:\"LT\";i:19;s:2:\"LU\";i:20;s:2:\"MT\";i:21;s:2:\"MX\";i:22;s:2:\"NL\";i:23;s:2:\"NO\";i:24;s:2:\"PE\";i:25;s:2:\"PL\";i:26;s:2:\"PT\";i:27;s:2:\"RO\";i:28;s:2:\"SK\";i:29;s:2:\"SI\";i:30;s:2:\"ES\";i:31;s:2:\"SE\";i:32;s:2:\"CH\";i:33;s:2:\"TR\";i:34;s:2:\"GB\";i:35;s:2:\"UY\";i:36;s:2:\"US\";}','N;'),(88,'QuickPay Link','Module\\QSL\\QuickPayLinkPayment\\Model\\Payment\\Processor\\QuickPayLink','QSL_QuickPayLinkPayment',0,-104770,0,0,0,'C',1,'//my.x-cart.com/sites/default/files/addons/QSL/QuickPayLinkPayment/method_icon.png','a:12:{i:0;s:2:\"DK\";i:1;s:2:\"NO\";i:2;s:2:\"SE\";i:3;s:2:\"FO\";i:4;s:2:\"UK\";i:5;s:2:\"DE\";i:6;s:2:\"AT\";i:7;s:2:\"NL\";i:8;s:2:\"EE\";i:9;s:2:\"LV\";i:10;s:2:\"LT\";i:11;s:2:\"HU\";}','N;'),(89,'Rabo OmniKassa','Module\\QSL\\RaboOmniKassaPayment\\Model\\Payment\\Processor\\RaboOmniKassa','QSL_RaboOmniKassaPayment',0,-105750,0,0,0,'C',1,'//my.x-cart.com/sites/default/files/addons/QSL/RaboOmniKassaPayment/method_icon.png','a:0:{}','N;'),(90,'RealexHosted','Module\\QSL\\RealexHostedPayment\\Model\\Payment\\Processor\\RealexHosted','QSL_RealexHostedPayment',0,-105180,0,0,0,'C',1,'//my.x-cart.com/sites/default/files/addons/QSL/RealexHostedPayment/method_icon.png','a:0:{}','N;'),(91,'QSLSbrf','Module\\QSL\\Sbrf\\Model\\Payment\\Processor\\Sbrf','QSL_Sbrf',0,-104720,0,0,0,'C',1,'//my.x-cart.com/sites/default/files/addons/QSL/Sbrf/method_icon.png','a:0:{}','N;'),(92,'SecurePay SecureFrame','Module\\QSL\\SecurePay\\Model\\Payment\\Processor\\SecurePay','QSL_SecurePay',0,-104710,0,0,0,'C',1,'//my.x-cart.com/sites/default/files/addons/QSL/SecurePay/method_icon.png','a:1:{i:0;s:2:\"AU\";}','N;'),(93,'TenPay','Module\\QSL\\TenPay\\Model\\Payment\\Processor\\TenPay','QSL_TenPay',0,-104080,0,0,0,'C',1,'//my.x-cart.com/sites/default/files/addons/QSL/TenPay/method_icon.png','a:1:{i:0;s:2:\"CN\";}','N;'),(94,'2Checkout - Inline Checkout','Module\\QSL\\TwoCheckoutInline\\Model\\Payment\\Processor\\TwoCheckout','QSL_TwoCheckoutInline',0,-105790,0,0,0,'C',1,'//my.x-cart.com/sites/default/files/addons/QSL/TwoCheckoutInline/method_icon.png','a:0:{}','a:6:{i:0;s:2:\"KP\";i:1;s:2:\"CU\";i:2;s:2:\"IR\";i:3;s:2:\"SY\";i:4;s:2:\"SD\";i:5;s:2:\"MM\";}'),(95,'V12 Retail Finance','Module\\QSL\\V12Payment\\Model\\Payment\\Processor\\V12','QSL_V12Payment',0,-104050,0,0,0,'C',1,'//my.x-cart.com/sites/default/files/addons/QSL/V12Payment/method_icon.png','a:0:{}','N;'),(96,'CoinPayments','Module\\Qualiteam\\CoinPayments\\Model\\Payment\\Processor\\CoinPayments','Qualiteam_CoinPayments',0,-105480,0,0,0,'N',1,'//my.x-cart.com/sites/default/files/addons/Qualiteam/CoinPayments/method_icon.png','a:1:{i:0;s:2:\"US\";}','N;'),(97,'paymentwall.com','Module\\Webkulsoftware\\PaymentWall\\Model\\Payment\\Processor\\PaymentWallForm','Webkulsoftware_PaymentWall',0,-104950,0,0,0,'C',1,'//my.x-cart.com/sites/default/files/addons/Webkulsoftware/PaymentWall/method_icon.png','a:0:{}','N;'),(98,'Beanstream','Module\\XC\\Beanstream\\Model\\Payment\\Processor\\BeanstreamPaymentForm','XC_Beanstream',0,-105740,0,0,0,'C',1,'//my.x-cart.com/sites/default/files/addons/XC/Beanstream/method_icon.png','a:2:{i:0;s:2:\"US\";i:1;s:2:\"CA\";}','N;'),(99,'BitPay','Module\\XC\\BitPay\\Model\\Payment\\Processor\\BitPay','XC_BitPay',0,-105580,0,0,0,'C',1,'//my.x-cart.com/sites/default/files/addons/XC/BitPay/method_icon.png','a:1:{i:0;s:2:\"US\";}','N;'),(100,'BlueSnap','Module\\XC\\BlueSnap\\Model\\Payment\\Processor\\BlueSnap','XC_BlueSnap',0,-105550,0,0,0,'C',1,'//my.x-cart.com/sites/default/files/addons/XC/BlueSnap/method_icon.png','a:1:{i:0;s:2:\"US\";}','N;'),(101,'ChronoPay','Module\\XC\\ChronoPay\\Model\\Payment\\Processor\\ChronoPay','XC_ChronoPay',0,-105500,0,0,0,'C',1,'//my.x-cart.com/sites/default/files/addons/XC/ChronoPay/method_icon.png','a:1:{i:0;s:2:\"NL\";}','N;'),(102,'DIBSFlexWin','Module\\XC\\DIBSFlexWin\\Model\\Payment\\Processor\\DIBSFlexWin','XC_DIBSFlexWin',0,-105410,0,0,0,'C',1,'//my.x-cart.com/sites/default/files/addons/XC/DIBSFlexWin/method_icon.png','a:2:{i:0;s:2:\"UK\";i:1;s:2:\"US\";}','N;'),(103,'DatatransUPP','Module\\XC\\DatatransUPP\\Model\\Payment\\Processor\\DatatransUPP','XC_DatatransUPP',0,-105430,0,0,0,'C',1,'//my.x-cart.com/sites/default/files/addons/XC/DatatransUPP/method_icon.png','a:3:{i:0;s:2:\"CH\";i:1;s:2:\"DE\";i:2;s:2:\"GB\";}','N;'),(104,'EBS India','Module\\XC\\EBSIndia\\Model\\Payment\\Processor\\EBSIndia','XC_EBSIndia',0,-105370,0,0,0,'C',1,'//my.x-cart.com/sites/default/files/addons/XC/EBSIndia/method_icon.png','a:1:{i:0;s:2:\"IN\";}','N;'),(105,'EWAYStoredShared','Module\\XC\\EWAYStoredShared\\Model\\Payment\\Processor\\EWAYStoredShared','XC_EWAYStoredShared',0,-105890,0,0,0,'C',1,'//my.x-cart.com/sites/default/files/addons/XC/EWAYStoredShared/method_icon.png','a:5:{i:0;s:2:\"AU\";i:1;s:2:\"NZ\";i:2;s:2:\"SG\";i:3;s:2:\"MY\";i:4;s:2:\"HK\";}','N;'),(106,'Heartland','Module\\XC\\Heartland\\Model\\Payment\\Processor\\Heartland','XC_Heartland',0,-105770,0,0,0,'C',1,'//my.x-cart.com/sites/default/files/addons/XC/Heartland/method_icon.png','a:1:{i:0;s:2:\"US\";}','N;'),(107,'InternetSecure','Module\\XC\\InternetSecure\\Model\\Payment\\Processor\\ISecMerchantLink','XC_InternetSecure',0,-105100,0,0,0,'C',1,'//my.x-cart.com/sites/default/files/addons/XC/InternetSecure/method_icon.png','a:2:{i:0;s:2:\"CA\";i:1;s:2:\"US\";}','N;'),(108,'Netbanx Hosted Payment','Module\\XC\\NetbanxHostedPayment\\Model\\Payment\\Processor\\NetbanxHostedPayment','XC_NetbanxHostedPayment',0,-105720,0,0,0,'C',1,'//my.x-cart.com/sites/default/files/addons/XC/NetbanxHostedPayment/method_icon.png','a:32:{i:0;s:2:\"CA\";i:1;s:2:\"US\";i:2;s:2:\"GB\";i:3;s:2:\"AU\";i:4;s:2:\"BE\";i:5;s:2:\"EL\";i:6;s:2:\"LT\";i:7;s:2:\"PT\";i:8;s:2:\"BG\";i:9;s:2:\"ES\";i:10;s:2:\"LU\";i:11;s:2:\"RO\";i:12;s:2:\"CZ\";i:13;s:2:\"FR\";i:14;s:2:\"HU\";i:15;s:2:\"SI\";i:16;s:2:\"DK\";i:17;s:2:\"HR\";i:18;s:2:\"MT\";i:19;s:2:\"SK\";i:20;s:2:\"DE\";i:21;s:2:\"IT\";i:22;s:2:\"NL\";i:23;s:2:\"FI\";i:24;s:2:\"EE\";i:25;s:2:\"CY\";i:26;s:2:\"AT\";i:27;s:2:\"SE\";i:28;s:2:\"IE\";i:29;s:2:\"LV\";i:30;s:2:\"PL\";i:31;s:2:\"UK\";}','N;'),(109,'PayFort','Module\\XC\\PayFort\\Model\\Payment\\Processor\\PayFort','XC_PayFort',0,-104970,0,0,0,'C',1,'//my.x-cart.com/sites/default/files/addons/XC/PayFort/method_icon.png','a:7:{i:0;s:2:\"AE\";i:1;s:2:\"EG\";i:2;s:2:\"SA\";i:3;s:2:\"JO\";i:4;s:2:\"LB\";i:5;s:2:\"QA\";i:6;s:2:\"KW\";}','N;'),(110,'PayTabs','Module\\XC\\PayTabs\\Model\\Payment\\Processor\\PayTabs','XC_PayTabs',0,-104880,0,0,0,'C',1,'//my.x-cart.com/sites/default/files/addons/XC/PayTabs/method_icon.png','a:17:{i:0;s:2:\"IN\";i:1;s:2:\"ID\";i:2;s:2:\"MY\";i:3;s:2:\"PH\";i:4;s:2:\"SG\";i:5;s:2:\"HK\";i:6;s:2:\"DZ\";i:7;s:2:\"BH\";i:8;s:2:\"EG\";i:9;s:2:\"JO\";i:10;s:2:\"KW\";i:11;s:2:\"LB\";i:12;s:2:\"MA\";i:13;s:2:\"OM\";i:14;s:2:\"SA\";i:15;s:2:\"TN\";i:16;s:2:\"AE\";}','N;'),(111,'PayUIndia','Module\\XC\\PayUIndia\\Model\\Payment\\Processor\\PayU','XC_PayUIndia',0,-104860,0,0,0,'C',1,'//my.x-cart.com/sites/default/files/addons/XC/PayUIndia/method_icon.png','a:1:{i:0;s:2:\"IN\";}','N;'),(112,'Pilibaba','Module\\XC\\Pilibaba\\Model\\Payment\\Processor\\Pilibaba','XC_Pilibaba',0,-104830,0,0,0,'C',1,'//my.x-cart.com/sites/default/files/addons/XC/Pilibaba/method_icon.png','a:0:{}','N;'),(113,'PoliPayment','Module\\XC\\PoliPayment\\Model\\Payment\\Processor\\PoliPayment','XC_PoliPayment',0,-104820,0,0,0,'C',1,'//my.x-cart.com/sites/default/files/addons/XC/PoliPayment/method_icon.png','a:2:{i:0;s:2:\"AU\";i:1;s:2:\"NZ\";}','N;'),(114,'Visa QIWI Wallet','Module\\XC\\Qiwi\\Model\\Payment\\Processor\\Qiwi','XC_Qiwi',0,-104040,0,0,0,'N',1,'//my.x-cart.com/sites/default/files/addons/XC/Qiwi/method_icon.png','a:27:{i:0;s:2:\"RU\";i:1;s:2:\"GE\";i:2;s:2:\"BY\";i:3;s:2:\"PA\";i:4;s:2:\"GB\";i:5;s:2:\"TJ\";i:6;s:2:\"LT\";i:7;s:2:\"IL\";i:8;s:2:\"KG\";i:9;s:2:\"TR\";i:10;s:2:\"UA\";i:11;s:2:\"VN\";i:12;s:2:\"AZ\";i:13;s:2:\"AM\";i:14;s:2:\"LV\";i:15;s:2:\"IN\";i:16;s:2:\"TH\";i:17;s:2:\"MD\";i:18;s:2:\"US\";i:19;s:2:\"EE\";i:20;s:2:\"JP\";i:21;s:2:\"UZ\";i:22;s:2:\"KR\";i:23;s:2:\"KZ\";i:24;s:2:\"GR\";i:25;s:2:\"BR\";i:26;s:2:\"CN\";}','N;'),(115,'Robokassa','Module\\XC\\Robokassa\\Model\\Payment\\Processor\\Robokassa','XC_Robokassa',0,-104750,0,0,0,'N',1,'//my.x-cart.com/sites/default/files/addons/XC/Robokassa/method_icon.png','a:1:{i:0;s:2:\"RU\";}','N;'),(116,'SecureTrading','Module\\XC\\SecureTrading\\Model\\Payment\\Processor\\SecureTrading','XC_SecureTrading',0,-105940,0,0,0,'C',1,'//my.x-cart.com/sites/default/files/addons/XC/SecureTrading/method_icon.png','a:0:{}','N;'),(117,'SimplifyCommerce','Module\\XC\\SimplifyCommerce\\Model\\Payment\\Processor\\SimplifyCommerce','XC_SimplifyCommerce',0,-104680,0,0,0,'C',1,'//my.x-cart.com/sites/default/files/addons/XC/SimplifyCommerce/method_icon.png','a:2:{i:0;s:2:\"US\";i:1;s:2:\"IE\";}','N;'),(118,'SimplifyCommerceHP','Module\\XC\\SimplifyCommerce\\Model\\Payment\\Processor\\SimplifyCommerceHP','XC_SimplifyCommerce',0,-104660,0,0,0,'C',1,'//my.x-cart.com/sites/default/files/addons/XC/SimplifyCommerce/method_icon.png','a:2:{i:0;s:2:\"US\";i:1;s:2:\"IE\";}','N;'),(119,'SOFORT Banking','Module\\XC\\SofortBanking\\Model\\Payment\\Processor\\SofortBanking','XC_SofortBanking',0,-104120,0,0,0,'C',1,'//my.x-cart.com/sites/default/files/addons/XC/SofortBanking/method_icon.png','a:13:{i:0;s:2:\"DE\";i:1;s:2:\"AT\";i:2;s:2:\"CH\";i:3;s:2:\"BE\";i:4;s:2:\"FR\";i:5;s:2:\"NL\";i:6;s:2:\"GB\";i:7;s:2:\"IT\";i:8;s:2:\"ES\";i:9;s:2:\"PL\";i:10;s:2:\"HU\";i:11;s:2:\"SK\";i:12;s:2:\"CZ\";}','N;'),(120,'VirtualMerchant','Module\\XC\\VirtualMerchant\\Model\\Payment\\Processor\\VirtualMerchant','XC_VirtualMerchant',0,-105460,0,0,0,'C',1,'//my.x-cart.com/sites/default/files/addons/XC/VirtualMerchant/method_icon.png','a:3:{i:0;s:2:\"US\";i:1;s:2:\"CA\";i:2;s:2:\"PR\";}','N;'),(121,'WebMoney','Module\\XC\\Webmoney\\Model\\Payment\\Processor\\Webmoney','XC_Webmoney',0,-104030,0,0,0,'N',1,'//my.x-cart.com/sites/default/files/addons/XC/Webmoney/method_icon.png','a:1:{i:0;s:2:\"RU\";}','N;'),(122,'Worldpay','Module\\XC\\WorldpayHPP\\Model\\Payment\\Processor\\Worldpay','XC_WorldpayHPP',0,-104010,0,0,0,'C',1,'//my.x-cart.com/sites/default/files/addons/XC/WorldpayHPP/method_icon.png','a:3:{i:0;s:2:\"SE\";i:1;s:2:\"DK\";i:2;s:2:\"NO\";}','N;'),(123,'YandexCheckout','Module\\XC\\YandexCheckout\\Model\\Payment\\Processor\\YandexCheckout','XC_YandexCheckout',0,-103970,0,0,0,'C',1,'//my.x-cart.com/sites/default/files/addons/XC/YandexCheckout/method_icon.png','a:0:{}','a:33:{i:0;s:2:\"AF\";i:1;s:2:\"BO\";i:2;s:2:\"BF\";i:3;s:2:\"VU\";i:4;s:2:\"HT\";i:5;s:2:\"GN\";i:6;s:2:\"GW\";i:7;s:2:\"ZM\";i:8;s:2:\"IQ\";i:9;s:2:\"IR\";i:10;s:2:\"KH\";i:11;s:2:\"CD\";i:12;s:2:\"CI\";i:13;s:2:\"LA\";i:14;s:2:\"LS\";i:15;s:2:\"LR\";i:16;s:2:\"LB\";i:17;s:2:\"ML\";i:18;s:2:\"MZ\";i:19;s:2:\"MM\";i:20;s:2:\"NP\";i:21;s:2:\"PK\";i:22;s:2:\"PA\";i:23;s:2:\"PY\";i:24;s:2:\"ST\";i:25;s:2:\"SY\";i:26;s:2:\"SO\";i:27;s:2:\"SD\";i:28;s:2:\"SL\";i:29;s:2:\"TZ\";i:30;s:2:\"UG\";i:31;s:2:\"LK\";i:32;s:2:\"KP\";}'),(124,'YandexCheckout.bank_card','Module\\XC\\YandexCheckout\\Model\\Payment\\Processor\\YandexCheckout','XC_YandexCheckout',0,-103950,0,0,0,'C',1,'//my.x-cart.com/sites/default/files/addons/XC/YandexCheckout/method_icon.png','a:0:{}','a:33:{i:0;s:2:\"AF\";i:1;s:2:\"BO\";i:2;s:2:\"BF\";i:3;s:2:\"VU\";i:4;s:2:\"HT\";i:5;s:2:\"GN\";i:6;s:2:\"GW\";i:7;s:2:\"ZM\";i:8;s:2:\"IQ\";i:9;s:2:\"IR\";i:10;s:2:\"KH\";i:11;s:2:\"CD\";i:12;s:2:\"CI\";i:13;s:2:\"LA\";i:14;s:2:\"LS\";i:15;s:2:\"LR\";i:16;s:2:\"LB\";i:17;s:2:\"ML\";i:18;s:2:\"MZ\";i:19;s:2:\"MM\";i:20;s:2:\"NP\";i:21;s:2:\"PK\";i:22;s:2:\"PA\";i:23;s:2:\"PY\";i:24;s:2:\"ST\";i:25;s:2:\"SY\";i:26;s:2:\"SO\";i:27;s:2:\"SD\";i:28;s:2:\"SL\";i:29;s:2:\"TZ\";i:30;s:2:\"UG\";i:31;s:2:\"LK\";i:32;s:2:\"KP\";}'),(125,'YandexCheckout.yandex_money','Module\\XC\\YandexCheckout\\Model\\Payment\\Processor\\YandexCheckout','XC_YandexCheckout',0,-103890,0,0,0,'C',1,'//my.x-cart.com/sites/default/files/addons/XC/YandexCheckout/method_icon.png','a:0:{}','a:33:{i:0;s:2:\"AF\";i:1;s:2:\"BO\";i:2;s:2:\"BF\";i:3;s:2:\"VU\";i:4;s:2:\"HT\";i:5;s:2:\"GN\";i:6;s:2:\"GW\";i:7;s:2:\"ZM\";i:8;s:2:\"IQ\";i:9;s:2:\"IR\";i:10;s:2:\"KH\";i:11;s:2:\"CD\";i:12;s:2:\"CI\";i:13;s:2:\"LA\";i:14;s:2:\"LS\";i:15;s:2:\"LR\";i:16;s:2:\"LB\";i:17;s:2:\"ML\";i:18;s:2:\"MZ\";i:19;s:2:\"MM\";i:20;s:2:\"NP\";i:21;s:2:\"PK\";i:22;s:2:\"PA\";i:23;s:2:\"PY\";i:24;s:2:\"ST\";i:25;s:2:\"SY\";i:26;s:2:\"SO\";i:27;s:2:\"SD\";i:28;s:2:\"SL\";i:29;s:2:\"TZ\";i:30;s:2:\"UG\";i:31;s:2:\"LK\";i:32;s:2:\"KP\";}'),(126,'YandexCheckout.mobile_balance','Module\\XC\\YandexCheckout\\Model\\Payment\\Processor\\YandexCheckout','XC_YandexCheckout',0,-103930,0,0,0,'C',1,'//my.x-cart.com/sites/default/files/addons/XC/YandexCheckout/method_icon.png','a:0:{}','a:33:{i:0;s:2:\"AF\";i:1;s:2:\"BO\";i:2;s:2:\"BF\";i:3;s:2:\"VU\";i:4;s:2:\"HT\";i:5;s:2:\"GN\";i:6;s:2:\"GW\";i:7;s:2:\"ZM\";i:8;s:2:\"IQ\";i:9;s:2:\"IR\";i:10;s:2:\"KH\";i:11;s:2:\"CD\";i:12;s:2:\"CI\";i:13;s:2:\"LA\";i:14;s:2:\"LS\";i:15;s:2:\"LR\";i:16;s:2:\"LB\";i:17;s:2:\"ML\";i:18;s:2:\"MZ\";i:19;s:2:\"MM\";i:20;s:2:\"NP\";i:21;s:2:\"PK\";i:22;s:2:\"PA\";i:23;s:2:\"PY\";i:24;s:2:\"ST\";i:25;s:2:\"SY\";i:26;s:2:\"SO\";i:27;s:2:\"SD\";i:28;s:2:\"SL\";i:29;s:2:\"TZ\";i:30;s:2:\"UG\";i:31;s:2:\"LK\";i:32;s:2:\"KP\";}'),(127,'YandexCheckout.cash','Module\\XC\\YandexCheckout\\Model\\Payment\\Processor\\YandexCheckout','XC_YandexCheckout',0,-103940,0,0,0,'C',1,'//my.x-cart.com/sites/default/files/addons/XC/YandexCheckout/method_icon.png','a:0:{}','a:33:{i:0;s:2:\"AF\";i:1;s:2:\"BO\";i:2;s:2:\"BF\";i:3;s:2:\"VU\";i:4;s:2:\"HT\";i:5;s:2:\"GN\";i:6;s:2:\"GW\";i:7;s:2:\"ZM\";i:8;s:2:\"IQ\";i:9;s:2:\"IR\";i:10;s:2:\"KH\";i:11;s:2:\"CD\";i:12;s:2:\"CI\";i:13;s:2:\"LA\";i:14;s:2:\"LS\";i:15;s:2:\"LR\";i:16;s:2:\"LB\";i:17;s:2:\"ML\";i:18;s:2:\"MZ\";i:19;s:2:\"MM\";i:20;s:2:\"NP\";i:21;s:2:\"PK\";i:22;s:2:\"PA\";i:23;s:2:\"PY\";i:24;s:2:\"ST\";i:25;s:2:\"SY\";i:26;s:2:\"SO\";i:27;s:2:\"SD\";i:28;s:2:\"SL\";i:29;s:2:\"TZ\";i:30;s:2:\"UG\";i:31;s:2:\"LK\";i:32;s:2:\"KP\";}'),(128,'YandexCheckout.webmoney','Module\\XC\\YandexCheckout\\Model\\Payment\\Processor\\YandexCheckout','XC_YandexCheckout',0,-103900,0,0,0,'C',1,'//my.x-cart.com/sites/default/files/addons/XC/YandexCheckout/method_icon.png','a:0:{}','a:33:{i:0;s:2:\"AF\";i:1;s:2:\"BO\";i:2;s:2:\"BF\";i:3;s:2:\"VU\";i:4;s:2:\"HT\";i:5;s:2:\"GN\";i:6;s:2:\"GW\";i:7;s:2:\"ZM\";i:8;s:2:\"IQ\";i:9;s:2:\"IR\";i:10;s:2:\"KH\";i:11;s:2:\"CD\";i:12;s:2:\"CI\";i:13;s:2:\"LA\";i:14;s:2:\"LS\";i:15;s:2:\"LR\";i:16;s:2:\"LB\";i:17;s:2:\"ML\";i:18;s:2:\"MZ\";i:19;s:2:\"MM\";i:20;s:2:\"NP\";i:21;s:2:\"PK\";i:22;s:2:\"PA\";i:23;s:2:\"PY\";i:24;s:2:\"ST\";i:25;s:2:\"SY\";i:26;s:2:\"SO\";i:27;s:2:\"SD\";i:28;s:2:\"SL\";i:29;s:2:\"TZ\";i:30;s:2:\"UG\";i:31;s:2:\"LK\";i:32;s:2:\"KP\";}'),(129,'YandexCheckout.sberbank','Module\\XC\\YandexCheckout\\Model\\Payment\\Processor\\YandexCheckout','XC_YandexCheckout',0,-103910,0,0,0,'C',1,'//my.x-cart.com/sites/default/files/addons/XC/YandexCheckout/method_icon.png','a:0:{}','a:33:{i:0;s:2:\"AF\";i:1;s:2:\"BO\";i:2;s:2:\"BF\";i:3;s:2:\"VU\";i:4;s:2:\"HT\";i:5;s:2:\"GN\";i:6;s:2:\"GW\";i:7;s:2:\"ZM\";i:8;s:2:\"IQ\";i:9;s:2:\"IR\";i:10;s:2:\"KH\";i:11;s:2:\"CD\";i:12;s:2:\"CI\";i:13;s:2:\"LA\";i:14;s:2:\"LS\";i:15;s:2:\"LR\";i:16;s:2:\"LB\";i:17;s:2:\"ML\";i:18;s:2:\"MZ\";i:19;s:2:\"MM\";i:20;s:2:\"NP\";i:21;s:2:\"PK\";i:22;s:2:\"PA\";i:23;s:2:\"PY\";i:24;s:2:\"ST\";i:25;s:2:\"SY\";i:26;s:2:\"SO\";i:27;s:2:\"SD\";i:28;s:2:\"SL\";i:29;s:2:\"TZ\";i:30;s:2:\"UG\";i:31;s:2:\"LK\";i:32;s:2:\"KP\";}'),(130,'YandexCheckout.qiwi','Module\\XC\\YandexCheckout\\Model\\Payment\\Processor\\YandexCheckout','XC_YandexCheckout',0,-103920,0,0,0,'C',1,'//my.x-cart.com/sites/default/files/addons/XC/YandexCheckout/method_icon.png','a:0:{}','a:33:{i:0;s:2:\"AF\";i:1;s:2:\"BO\";i:2;s:2:\"BF\";i:3;s:2:\"VU\";i:4;s:2:\"HT\";i:5;s:2:\"GN\";i:6;s:2:\"GW\";i:7;s:2:\"ZM\";i:8;s:2:\"IQ\";i:9;s:2:\"IR\";i:10;s:2:\"KH\";i:11;s:2:\"CD\";i:12;s:2:\"CI\";i:13;s:2:\"LA\";i:14;s:2:\"LS\";i:15;s:2:\"LR\";i:16;s:2:\"LB\";i:17;s:2:\"ML\";i:18;s:2:\"MZ\";i:19;s:2:\"MM\";i:20;s:2:\"NP\";i:21;s:2:\"PK\";i:22;s:2:\"PA\";i:23;s:2:\"PY\";i:24;s:2:\"ST\";i:25;s:2:\"SY\";i:26;s:2:\"SO\";i:27;s:2:\"SD\";i:28;s:2:\"SL\";i:29;s:2:\"TZ\";i:30;s:2:\"UG\";i:31;s:2:\"LK\";i:32;s:2:\"KP\";}'),(131,'YandexCheckout.alfabank','Module\\XC\\YandexCheckout\\Model\\Payment\\Processor\\YandexCheckout','XC_YandexCheckout',0,-103960,0,0,0,'C',1,'//my.x-cart.com/sites/default/files/addons/XC/YandexCheckout/method_icon.png','a:0:{}','a:33:{i:0;s:2:\"AF\";i:1;s:2:\"BO\";i:2;s:2:\"BF\";i:3;s:2:\"VU\";i:4;s:2:\"HT\";i:5;s:2:\"GN\";i:6;s:2:\"GW\";i:7;s:2:\"ZM\";i:8;s:2:\"IQ\";i:9;s:2:\"IR\";i:10;s:2:\"KH\";i:11;s:2:\"CD\";i:12;s:2:\"CI\";i:13;s:2:\"LA\";i:14;s:2:\"LS\";i:15;s:2:\"LR\";i:16;s:2:\"LB\";i:17;s:2:\"ML\";i:18;s:2:\"MZ\";i:19;s:2:\"MM\";i:20;s:2:\"NP\";i:21;s:2:\"PK\";i:22;s:2:\"PA\";i:23;s:2:\"PY\";i:24;s:2:\"ST\";i:25;s:2:\"SY\";i:26;s:2:\"SO\";i:27;s:2:\"SD\";i:28;s:2:\"SL\";i:29;s:2:\"TZ\";i:30;s:2:\"UG\";i:31;s:2:\"LK\";i:32;s:2:\"KP\";}'),(132,'YandexMoney.ac','Module\\XC\\YandexMoney\\Model\\Payment\\Processor\\YandexMoneyAC','XC_YandexMoney',0,-103880,0,0,0,'C',1,'//my.x-cart.com/sites/default/files/addons/XC/YandexMoney/method_icon.png','a:0:{}','a:33:{i:0;s:2:\"AF\";i:1;s:2:\"BO\";i:2;s:2:\"BF\";i:3;s:2:\"VU\";i:4;s:2:\"HT\";i:5;s:2:\"GN\";i:6;s:2:\"GW\";i:7;s:2:\"ZM\";i:8;s:2:\"IQ\";i:9;s:2:\"IR\";i:10;s:2:\"KH\";i:11;s:2:\"CD\";i:12;s:2:\"CI\";i:13;s:2:\"LA\";i:14;s:2:\"LS\";i:15;s:2:\"LR\";i:16;s:2:\"LB\";i:17;s:2:\"ML\";i:18;s:2:\"MZ\";i:19;s:2:\"MM\";i:20;s:2:\"NP\";i:21;s:2:\"PK\";i:22;s:2:\"PA\";i:23;s:2:\"PY\";i:24;s:2:\"ST\";i:25;s:2:\"SY\";i:26;s:2:\"SO\";i:27;s:2:\"SD\";i:28;s:2:\"SL\";i:29;s:2:\"TZ\";i:30;s:2:\"UG\";i:31;s:2:\"LK\";i:32;s:2:\"KP\";}'),(133,'YandexMoney.pc','Module\\XC\\YandexMoney\\Model\\Payment\\Processor\\YandexMoney','XC_YandexMoney',0,-103840,0,0,0,'C',1,'//my.x-cart.com/sites/default/files/addons/XC/YandexMoney/method_icon.png','a:0:{}','a:33:{i:0;s:2:\"AF\";i:1;s:2:\"BO\";i:2;s:2:\"BF\";i:3;s:2:\"VU\";i:4;s:2:\"HT\";i:5;s:2:\"GN\";i:6;s:2:\"GW\";i:7;s:2:\"ZM\";i:8;s:2:\"IQ\";i:9;s:2:\"IR\";i:10;s:2:\"KH\";i:11;s:2:\"CD\";i:12;s:2:\"CI\";i:13;s:2:\"LA\";i:14;s:2:\"LS\";i:15;s:2:\"LR\";i:16;s:2:\"LB\";i:17;s:2:\"ML\";i:18;s:2:\"MZ\";i:19;s:2:\"MM\";i:20;s:2:\"NP\";i:21;s:2:\"PK\";i:22;s:2:\"PA\";i:23;s:2:\"PY\";i:24;s:2:\"ST\";i:25;s:2:\"SY\";i:26;s:2:\"SO\";i:27;s:2:\"SD\";i:28;s:2:\"SL\";i:29;s:2:\"TZ\";i:30;s:2:\"UG\";i:31;s:2:\"LK\";i:32;s:2:\"KP\";}'),(134,'YandexMoney.mc','Module\\XC\\YandexMoney\\Model\\Payment\\Processor\\YandexMoney','XC_YandexMoney',0,-103870,0,0,0,'C',1,'//my.x-cart.com/sites/default/files/addons/XC/YandexMoney/method_icon.png','a:0:{}','a:33:{i:0;s:2:\"AF\";i:1;s:2:\"BO\";i:2;s:2:\"BF\";i:3;s:2:\"VU\";i:4;s:2:\"HT\";i:5;s:2:\"GN\";i:6;s:2:\"GW\";i:7;s:2:\"ZM\";i:8;s:2:\"IQ\";i:9;s:2:\"IR\";i:10;s:2:\"KH\";i:11;s:2:\"CD\";i:12;s:2:\"CI\";i:13;s:2:\"LA\";i:14;s:2:\"LS\";i:15;s:2:\"LR\";i:16;s:2:\"LB\";i:17;s:2:\"ML\";i:18;s:2:\"MZ\";i:19;s:2:\"MM\";i:20;s:2:\"NP\";i:21;s:2:\"PK\";i:22;s:2:\"PA\";i:23;s:2:\"PY\";i:24;s:2:\"ST\";i:25;s:2:\"SY\";i:26;s:2:\"SO\";i:27;s:2:\"SD\";i:28;s:2:\"SL\";i:29;s:2:\"TZ\";i:30;s:2:\"UG\";i:31;s:2:\"LK\";i:32;s:2:\"KP\";}'),(135,'YandexMoney.gp','Module\\XC\\YandexMoney\\Model\\Payment\\Processor\\YandexMoney','XC_YandexMoney',0,-103850,0,0,0,'C',1,'//my.x-cart.com/sites/default/files/addons/XC/YandexMoney/method_icon.png','a:0:{}','a:33:{i:0;s:2:\"AF\";i:1;s:2:\"BO\";i:2;s:2:\"BF\";i:3;s:2:\"VU\";i:4;s:2:\"HT\";i:5;s:2:\"GN\";i:6;s:2:\"GW\";i:7;s:2:\"ZM\";i:8;s:2:\"IQ\";i:9;s:2:\"IR\";i:10;s:2:\"KH\";i:11;s:2:\"CD\";i:12;s:2:\"CI\";i:13;s:2:\"LA\";i:14;s:2:\"LS\";i:15;s:2:\"LR\";i:16;s:2:\"LB\";i:17;s:2:\"ML\";i:18;s:2:\"MZ\";i:19;s:2:\"MM\";i:20;s:2:\"NP\";i:21;s:2:\"PK\";i:22;s:2:\"PA\";i:23;s:2:\"PY\";i:24;s:2:\"ST\";i:25;s:2:\"SY\";i:26;s:2:\"SO\";i:27;s:2:\"SD\";i:28;s:2:\"SL\";i:29;s:2:\"TZ\";i:30;s:2:\"UG\";i:31;s:2:\"LK\";i:32;s:2:\"KP\";}'),(136,'YandexMoney.wm','Module\\XC\\YandexMoney\\Model\\Payment\\Processor\\YandexMoney','XC_YandexMoney',0,-103830,0,0,0,'C',1,'//my.x-cart.com/sites/default/files/addons/XC/YandexMoney/method_icon.png','a:0:{}','a:33:{i:0;s:2:\"AF\";i:1;s:2:\"BO\";i:2;s:2:\"BF\";i:3;s:2:\"VU\";i:4;s:2:\"HT\";i:5;s:2:\"GN\";i:6;s:2:\"GW\";i:7;s:2:\"ZM\";i:8;s:2:\"IQ\";i:9;s:2:\"IR\";i:10;s:2:\"KH\";i:11;s:2:\"CD\";i:12;s:2:\"CI\";i:13;s:2:\"LA\";i:14;s:2:\"LS\";i:15;s:2:\"LR\";i:16;s:2:\"LB\";i:17;s:2:\"ML\";i:18;s:2:\"MZ\";i:19;s:2:\"MM\";i:20;s:2:\"NP\";i:21;s:2:\"PK\";i:22;s:2:\"PA\";i:23;s:2:\"PY\";i:24;s:2:\"ST\";i:25;s:2:\"SY\";i:26;s:2:\"SO\";i:27;s:2:\"SD\";i:28;s:2:\"SL\";i:29;s:2:\"TZ\";i:30;s:2:\"UG\";i:31;s:2:\"LK\";i:32;s:2:\"KP\";}'),(137,'YandexMoney.sb','Module\\XC\\YandexMoney\\Model\\Payment\\Processor\\YandexMoney','XC_YandexMoney',0,-103860,0,0,0,'C',1,'//my.x-cart.com/sites/default/files/addons/XC/YandexMoney/method_icon.png','a:0:{}','a:33:{i:0;s:2:\"AF\";i:1;s:2:\"BO\";i:2;s:2:\"BF\";i:3;s:2:\"VU\";i:4;s:2:\"HT\";i:5;s:2:\"GN\";i:6;s:2:\"GW\";i:7;s:2:\"ZM\";i:8;s:2:\"IQ\";i:9;s:2:\"IR\";i:10;s:2:\"KH\";i:11;s:2:\"CD\";i:12;s:2:\"CI\";i:13;s:2:\"LA\";i:14;s:2:\"LS\";i:15;s:2:\"LR\";i:16;s:2:\"LB\";i:17;s:2:\"ML\";i:18;s:2:\"MZ\";i:19;s:2:\"MM\";i:20;s:2:\"NP\";i:21;s:2:\"PK\";i:22;s:2:\"PA\";i:23;s:2:\"PY\";i:24;s:2:\"ST\";i:25;s:2:\"SY\";i:26;s:2:\"SO\";i:27;s:2:\"SD\";i:28;s:2:\"SL\";i:29;s:2:\"TZ\";i:30;s:2:\"UG\";i:31;s:2:\"LK\";i:32;s:2:\"KP\";}'),(138,'XPayments.Allowed.XPay_Module_ANZeGate','Module\\CDev\\XPaymentsConnector\\Model\\Payment\\Processor\\XPayments','CDev_XPaymentsConnector',0,-105650,0,1,0,'C',0,'//my.x-cart.com/sites/default/files/addons/CDev/XPaymentsConnector/XPayments.Allowed.XPay_Module_ANZeGate.png','a:22:{i:0;s:2:\"AE\";i:1;s:2:\"AS\";i:2;s:2:\"AU\";i:3;s:2:\"CN\";i:4;s:2:\"DE\";i:5;s:2:\"FJ\";i:6;s:2:\"GB\";i:7;s:2:\"GU\";i:8;s:2:\"HK\";i:9;s:2:\"ID\";i:10;s:2:\"IN\";i:11;s:2:\"JP\";i:12;s:2:\"KH\";i:13;s:2:\"KP\";i:14;s:2:\"MY\";i:15;s:2:\"NZ\";i:16;s:2:\"PH\";i:17;s:2:\"SG\";i:18;s:2:\"TH\";i:19;s:2:\"TW\";i:20;s:2:\"US\";i:21;s:2:\"VN\";}','N;'),(139,'XPayments.Allowed.XPay_Module_Amex','Module\\CDev\\XPaymentsConnector\\Model\\Payment\\Processor\\XPayments','CDev_XPaymentsConnector',0,-105660,0,1,0,'C',0,'//my.x-cart.com/sites/default/files/addons/CDev/XPaymentsConnector/XPayments.Allowed.XPay_Module_Amex.png','a:1:{i:0;s:2:\"US\";}','N;'),(140,'XPayments.Allowed.XPay_Module_AuthorizeNetXML','Module\\CDev\\XPaymentsConnector\\Model\\Payment\\Processor\\XPayments','CDev_XPaymentsConnector',0,-105950,0,1,0,'C',0,'//my.x-cart.com/sites/default/files/addons/CDev/XPaymentsConnector/XPayments.Allowed.XPay_Module_AuthorizeNetXML.png','a:4:{i:0;s:2:\"AU\";i:1;s:2:\"GB\";i:2;s:2:\"NZ\";i:3;s:2:\"US\";}','N;'),(141,'XPayments.Allowed.XPay_Module_Bambora','Module\\CDev\\XPaymentsConnector\\Model\\Payment\\Processor\\XPayments','CDev_XPaymentsConnector',0,-105630,0,1,0,'C',0,'//my.x-cart.com/sites/default/files/addons/CDev/XPaymentsConnector/XPayments.Allowed.XPay_Module_Bambora.png','a:10:{i:0;s:2:\"CA\";i:1;s:2:\"US\";i:2;s:2:\"GB\";i:3;s:2:\"SE\";i:4;s:2:\"CH\";i:5;s:2:\"NO\";i:6;s:2:\"DK\";i:7;s:2:\"FI\";i:8;s:2:\"AU\";i:9;s:2:\"NZ\";}','N;'),(142,'XPayments.Allowed.XPay_Module_Bean','Module\\CDev\\XPaymentsConnector\\Model\\Payment\\Processor\\XPayments','CDev_XPaymentsConnector',0,-105610,0,1,0,'C',0,'//my.x-cart.com/sites/default/files/addons/CDev/XPaymentsConnector/XPayments.Allowed.XPay_Module_Bean.png','a:27:{i:0;s:2:\"CA\";i:1;s:2:\"CY\";i:2;s:2:\"CZ\";i:3;s:2:\"DE\";i:4;s:2:\"DK\";i:5;s:2:\"EE\";i:6;s:2:\"ES\";i:7;s:2:\"FI\";i:8;s:2:\"FR\";i:9;s:2:\"GB\";i:10;s:2:\"GR\";i:11;s:2:\"HR\";i:12;s:2:\"HU\";i:13;s:2:\"IE\";i:14;s:2:\"IT\";i:15;s:2:\"LT\";i:16;s:2:\"LU\";i:17;s:2:\"LV\";i:18;s:2:\"MT\";i:19;s:2:\"NL\";i:20;s:2:\"PL\";i:21;s:2:\"PT\";i:22;s:2:\"RO\";i:23;s:2:\"SE\";i:24;s:2:\"SI\";i:25;s:2:\"SK\";i:26;s:2:\"US\";}','N;'),(143,'XPayments.Allowed.XPay_Module_BendigoBank','Module\\CDev\\XPaymentsConnector\\Model\\Payment\\Processor\\XPayments','CDev_XPaymentsConnector',0,-105600,0,1,0,'C',0,'//my.x-cart.com/sites/default/files/addons/CDev/XPaymentsConnector/XPayments.Allowed.XPay_Module_BendigoBank.png','a:0:{}','N;'),(144,'XPayments.Allowed.XPay_Module_BillriantPay','Module\\CDev\\XPaymentsConnector\\Model\\Payment\\Processor\\XPayments','CDev_XPaymentsConnector',0,-105590,0,1,0,'C',0,'//my.x-cart.com/sites/default/files/addons/CDev/XPaymentsConnector/XPayments.Allowed.XPay_Module_BillriantPay.png','a:0:{}','N;'),(145,'XPayments.Allowed.XPay_Module_BluePay','Module\\CDev\\XPaymentsConnector\\Model\\Payment\\Processor\\XPayments','CDev_XPaymentsConnector',0,-105570,0,1,0,'C',0,'//my.x-cart.com/sites/default/files/addons/CDev/XPaymentsConnector/XPayments.Allowed.XPay_Module_BluePay.png','a:2:{i:0;s:2:\"CA\";i:1;s:2:\"US\";}','N;'),(146,'XPayments.Allowed.XPay_Module_BlueSnap','Module\\CDev\\XPaymentsConnector\\Model\\Payment\\Processor\\XPayments','CDev_XPaymentsConnector',0,-105540,0,1,0,'C',0,'//my.x-cart.com/sites/default/files/addons/CDev/XPaymentsConnector/XPayments.Allowed.XPay_Module_BlueSnap.png','a:0:{}','N;'),(147,'XPayments.Allowed.XPay_Module_Braintree','Module\\CDev\\XPaymentsConnector\\Model\\Payment\\Processor\\XPayments','CDev_XPaymentsConnector',0,-105530,0,1,0,'C',0,'//my.x-cart.com/sites/default/files/addons/CDev/XPaymentsConnector/XPayments.Allowed.XPay_Module_Braintree.png','a:44:{i:0;s:2:\"US\";i:1;s:2:\"CA\";i:2;s:2:\"AD\";i:3;s:2:\"AU\";i:4;s:2:\"AT\";i:5;s:2:\"BE\";i:6;s:2:\"BG\";i:7;s:2:\"HR\";i:8;s:2:\"CY\";i:9;s:2:\"CZ\";i:10;s:2:\"DK\";i:11;s:2:\"EE\";i:12;s:2:\"FI\";i:13;s:2:\"FR\";i:14;s:2:\"GI\";i:15;s:2:\"DE\";i:16;s:2:\"GR\";i:17;s:2:\"GG\";i:18;s:2:\"HU\";i:19;s:2:\"IS\";i:20;s:2:\"IM\";i:21;s:2:\"IE\";i:22;s:2:\"IT\";i:23;s:2:\"JE\";i:24;s:2:\"LV\";i:25;s:2:\"LI\";i:26;s:2:\"LT\";i:27;s:2:\"MT\";i:28;s:2:\"MC\";i:29;s:2:\"NL\";i:30;s:2:\"NO\";i:31;s:2:\"PL\";i:32;s:2:\"PT\";i:33;s:2:\"RO\";i:34;s:2:\"SK\";i:35;s:2:\"SI\";i:36;s:2:\"ES\";i:37;s:2:\"SE\";i:38;s:2:\"CH\";i:39;s:2:\"TR\";i:40;s:2:\"GB\";i:41;s:2:\"HK\";i:42;s:2:\"MY\";i:43;s:2:\"NZ\";}','N;'),(148,'XPayments.Allowed.XPay_Module_Caledon','Module\\CDev\\XPaymentsConnector\\Model\\Payment\\Processor\\XPayments','CDev_XPaymentsConnector',0,-105560,0,1,0,'C',0,'//my.x-cart.com/sites/default/files/addons/CDev/XPaymentsConnector/XPayments.Allowed.XPay_Module_Caledon.png','a:1:{i:0;s:2:\"CA\";}','N;'),(149,'XPayments.Allowed.XPay_Module_CardinalCommerce','Module\\CDev\\XPaymentsConnector\\Model\\Payment\\Processor\\XPayments','CDev_XPaymentsConnector',0,-105520,0,1,0,'C',0,'//my.x-cart.com/sites/default/files/addons/CDev/XPaymentsConnector/XPayments.Allowed.XPay_Module_CardinalCommerce.png','a:2:{i:0;s:2:\"BR\";i:1;s:2:\"US\";}','N;'),(150,'XPayments.Allowed.XPay_Module_Chase','Module\\CDev\\XPaymentsConnector\\Model\\Payment\\Processor\\XPayments','CDev_XPaymentsConnector',0,-105880,0,1,0,'C',0,'//my.x-cart.com/sites/default/files/addons/CDev/XPaymentsConnector/XPayments.Allowed.XPay_Module_Chase.png','a:24:{i:0;s:2:\"US\";i:1;s:2:\"CA\";i:2;s:2:\"AT\";i:3;s:2:\"BE\";i:4;s:2:\"CY\";i:5;s:2:\"CZ\";i:6;s:2:\"DK\";i:7;s:2:\"FI\";i:8;s:2:\"FR\";i:9;s:2:\"DE\";i:10;s:2:\"GI\";i:11;s:2:\"GG\";i:12;s:2:\"IE\";i:13;s:2:\"IM\";i:14;s:2:\"IT\";i:15;s:2:\"JE\";i:16;s:2:\"LU\";i:17;s:2:\"NL\";i:18;s:2:\"NO\";i:19;s:2:\"PT\";i:20;s:2:\"ES\";i:21;s:2:\"SE\";i:22;s:2:\"CH\";i:23;s:2:\"GB\";}','N;'),(151,'XPayments.Allowed.XPay_Module_CommWeb','Module\\CDev\\XPaymentsConnector\\Model\\Payment\\Processor\\XPayments','CDev_XPaymentsConnector',0,-105470,0,1,0,'C',0,'//my.x-cart.com/sites/default/files/addons/CDev/XPaymentsConnector/XPayments.Allowed.XPay_Module_CommWeb.png','a:0:{}','N;'),(152,'XPayments.Allowed.XPay_Module_CyberSourceSOAP','Module\\CDev\\XPaymentsConnector\\Model\\Payment\\Processor\\XPayments','CDev_XPaymentsConnector',0,-105440,0,1,0,'C',0,'//my.x-cart.com/sites/default/files/addons/CDev/XPaymentsConnector/XPayments.Allowed.XPay_Module_CyberSourceSOAP.png','a:2:{i:0;s:2:\"CA\";i:1;s:2:\"US\";}','N;'),(153,'XPayments.Allowed.XPay_Module_Dibs','Module\\CDev\\XPaymentsConnector\\Model\\Payment\\Processor\\XPayments','CDev_XPaymentsConnector',0,-105420,0,1,0,'C',0,'//my.x-cart.com/sites/default/files/addons/CDev/XPaymentsConnector/XPayments.Allowed.XPay_Module_Dibs.png','a:5:{i:0;s:2:\"DK\";i:1;s:2:\"SE\";i:2;s:2:\"NO\";i:3;s:2:\"FI\";i:4;s:2:\"UK\";}','N;'),(154,'XPayments.Allowed.XPay_Module_DirectOne','Module\\CDev\\XPaymentsConnector\\Model\\Payment\\Processor\\XPayments','CDev_XPaymentsConnector',0,-105400,0,1,0,'C',0,'//my.x-cart.com/sites/default/files/addons/CDev/XPaymentsConnector/XPayments.Allowed.XPay_Module_DirectOne.png','a:1:{i:0;s:2:\"AU\";}','N;'),(155,'XPayments.Allowed.XPay_Module_EProcessingTDE','Module\\CDev\\XPaymentsConnector\\Model\\Payment\\Processor\\XPayments','CDev_XPaymentsConnector',0,-105700,0,1,0,'C',0,'//my.x-cart.com/sites/default/files/addons/CDev/XPaymentsConnector/XPayments.Allowed.XPay_Module_EProcessingTDE.png','a:1:{i:0;s:2:\"US\";}','N;'),(156,'XPayments.Allowed.XPay_Module_ESec','Module\\CDev\\XPaymentsConnector\\Model\\Payment\\Processor\\XPayments','CDev_XPaymentsConnector',0,-104700,0,1,0,'C',0,'//my.x-cart.com/sites/default/files/addons/CDev/XPaymentsConnector/XPayments.Allowed.XPay_Module_ESec.png','a:1:{i:0;s:2:\"AU\";}','N;'),(157,'XPayments.Allowed.XPay_Module_ESelect','Module\\CDev\\XPaymentsConnector\\Model\\Payment\\Processor\\XPayments','CDev_XPaymentsConnector',0,-105300,0,1,0,'C',0,'//my.x-cart.com/sites/default/files/addons/CDev/XPaymentsConnector/XPayments.Allowed.XPay_Module_ESelect.png','a:2:{i:0;s:2:\"CA\";i:1;s:2:\"US\";}','N;'),(158,'XPayments.Allowed.XPay_Module_Echo','Module\\CDev\\XPaymentsConnector\\Model\\Payment\\Processor\\XPayments','CDev_XPaymentsConnector',0,-105360,0,1,0,'C',0,'//my.x-cart.com/sites/default/files/addons/CDev/XPaymentsConnector/XPayments.Allowed.XPay_Module_Echo.png','a:14:{i:0;s:2:\"AE\";i:1;s:2:\"AU\";i:2;s:2:\"BR\";i:3;s:2:\"CA\";i:4;s:2:\"FR\";i:5;s:2:\"GB\";i:6;s:2:\"HK\";i:7;s:2:\"IE\";i:8;s:2:\"IN\";i:9;s:2:\"MY\";i:10;s:2:\"PH\";i:11;s:2:\"SG\";i:12;s:2:\"US\";i:13;s:2:\"ZA\";}','N;'),(159,'XPayments.Allowed.XPay_Module_Elavon','Module\\CDev\\XPaymentsConnector\\Model\\Payment\\Processor\\XPayments','CDev_XPaymentsConnector',0,-105350,0,1,0,'C',0,'//my.x-cart.com/sites/default/files/addons/CDev/XPaymentsConnector/XPayments.Allowed.XPay_Module_Elavon.png','a:11:{i:0;s:2:\"CA\";i:1;s:2:\"US\";i:2;s:2:\"PR\";i:3;s:2:\"DE\";i:4;s:2:\"IE\";i:5;s:2:\"NO\";i:6;s:2:\"PL\";i:7;s:2:\"LU\";i:8;s:2:\"BE\";i:9;s:2:\"NL\";i:10;s:2:\"MX\";}','N;'),(160,'XPayments.Allowed.XPay_Module_EpdqXML','Module\\CDev\\XPaymentsConnector\\Model\\Payment\\Processor\\XPayments','CDev_XPaymentsConnector',0,-105320,0,1,0,'C',0,'//my.x-cart.com/sites/default/files/addons/CDev/XPaymentsConnector/XPayments.Allowed.XPay_Module_EpdqXML.png','a:1:{i:0;s:2:\"GB\";}','N;'),(161,'XPayments.Allowed.XPay_Module_EwayRapid','Module\\CDev\\XPaymentsConnector\\Model\\Payment\\Processor\\XPayments','CDev_XPaymentsConnector',0,-105290,0,1,0,'C',0,'//my.x-cart.com/sites/default/files/addons/CDev/XPaymentsConnector/XPayments.Allowed.XPay_Module_EwayRapid.png','a:6:{i:0;s:2:\"AU\";i:1;s:2:\"GB\";i:2;s:2:\"HK\";i:3;s:2:\"MO\";i:4;s:2:\"NZ\";i:5;s:2:\"SG\";}','N;'),(162,'XPayments.Allowed.XPay_Module_EwayXML','Module\\CDev\\XPaymentsConnector\\Model\\Payment\\Processor\\XPayments','CDev_XPaymentsConnector',0,-105280,0,1,0,'C',0,'//my.x-cart.com/sites/default/files/addons/CDev/XPaymentsConnector/XPayments.Allowed.XPay_Module_EwayXML.png','a:6:{i:0;s:2:\"AU\";i:1;s:2:\"GB\";i:2;s:2:\"HK\";i:3;s:2:\"MO\";i:4;s:2:\"NZ\";i:5;s:2:\"SG\";}','N;'),(163,'XPayments.Allowed.XPay_Module_FifthDimensionGateway','Module\\CDev\\XPaymentsConnector\\Model\\Payment\\Processor\\XPayments','CDev_XPaymentsConnector',0,-104110,0,1,0,'C',0,'//my.x-cart.com/sites/default/files/addons/CDev/XPaymentsConnector/XPayments.Allowed.XPay_Module_FifthDimensionGateway.png','a:1:{i:0;s:2:\"US\";}','N;'),(164,'XPayments.Allowed.XPay_Module_FirstDataE4','Module\\CDev\\XPaymentsConnector\\Model\\Payment\\Processor\\XPayments','CDev_XPaymentsConnector',0,-105930,0,1,0,'C',0,'//my.x-cart.com/sites/default/files/addons/CDev/XPaymentsConnector/XPayments.Allowed.XPay_Module_FirstDataE4.png','a:57:{i:0;s:2:\"AN\";i:1;s:2:\"BE\";i:2;s:2:\"BG\";i:3;s:2:\"CD\";i:4;s:2:\"CY\";i:5;s:2:\"CZ\";i:6;s:2:\"DE\";i:7;s:2:\"DK\";i:8;s:2:\"EE\";i:9;s:2:\"EH\";i:10;s:2:\"ES\";i:11;s:2:\"FI\";i:12;s:2:\"FR\";i:13;s:2:\"GR\";i:14;s:2:\"HN\";i:15;s:2:\"HR\";i:16;s:2:\"HU\";i:17;s:2:\"IE\";i:18;s:2:\"IT\";i:19;s:2:\"JM\";i:20;s:2:\"KN\";i:21;s:2:\"LC\";i:22;s:2:\"LT\";i:23;s:2:\"LU\";i:24;s:2:\"LV\";i:25;s:2:\"MQ\";i:26;s:2:\"MS\";i:27;s:2:\"MT\";i:28;s:2:\"MX\";i:29;s:2:\"NI\";i:30;s:2:\"NL\";i:31;s:2:\"PA\";i:32;s:2:\"PE\";i:33;s:2:\"PL\";i:34;s:2:\"PR\";i:35;s:2:\"PT\";i:36;s:2:\"PY\";i:37;s:2:\"RO\";i:38;s:2:\"SD\";i:39;s:2:\"SE\";i:40;s:2:\"SI\";i:41;s:2:\"SK\";i:42;s:2:\"SR\";i:43;s:2:\"SZ\";i:44;s:2:\"TC\";i:45;s:2:\"TG\";i:46;s:2:\"TN\";i:47;s:2:\"TT\";i:48;s:2:\"TZ\";i:49;s:2:\"UG\";i:50;s:2:\"US\";i:51;s:2:\"UY\";i:52;s:2:\"VC\";i:53;s:2:\"VE\";i:54;s:2:\"VI\";i:55;s:2:\"ZM\";i:56;s:2:\"ZW\";}','N;'),(165,'XPayments.Allowed.XPay_Module_GlobalIris','Module\\CDev\\XPaymentsConnector\\Model\\Payment\\Processor\\XPayments','CDev_XPaymentsConnector',0,-105190,0,1,0,'C',0,'//my.x-cart.com/sites/default/files/addons/CDev/XPaymentsConnector/XPayments.Allowed.XPay_Module_GlobalIris.png','a:10:{i:0;s:2:\"GB\";i:1;s:2:\"IE\";i:2;s:2:\"FR\";i:3;s:2:\"BE\";i:4;s:2:\"NL\";i:5;s:2:\"LU\";i:6;s:2:\"IT\";i:7;s:2:\"US\";i:8;s:2:\"CA\";i:9;s:2:\"ES\";}','N;'),(166,'XPayments.Allowed.XPay_Module_GoEmerchant','Module\\CDev\\XPaymentsConnector\\Model\\Payment\\Processor\\XPayments','CDev_XPaymentsConnector',0,-105160,0,1,0,'C',0,'//my.x-cart.com/sites/default/files/addons/CDev/XPaymentsConnector/XPayments.Allowed.XPay_Module_GoEmerchant.png','a:1:{i:0;s:2:\"US\";}','N;'),(167,'XPayments.Allowed.XPay_Module_HeidelPay','Module\\CDev\\XPaymentsConnector\\Model\\Payment\\Processor\\XPayments','CDev_XPaymentsConnector',0,-105150,0,1,0,'C',0,'//my.x-cart.com/sites/default/files/addons/CDev/XPaymentsConnector/XPayments.Allowed.XPay_Module_HeidelPay.png','a:27:{i:0;s:2:\"AT\";i:1;s:2:\"BE\";i:2;s:2:\"BG\";i:3;s:2:\"CY\";i:4;s:2:\"CZ\";i:5;s:2:\"DE\";i:6;s:2:\"DK\";i:7;s:2:\"EE\";i:8;s:2:\"ES\";i:9;s:2:\"FI\";i:10;s:2:\"FR\";i:11;s:2:\"GR\";i:12;s:2:\"HR\";i:13;s:2:\"HU\";i:14;s:2:\"IE\";i:15;s:2:\"IT\";i:16;s:2:\"LT\";i:17;s:2:\"LU\";i:18;s:2:\"LV\";i:19;s:2:\"MT\";i:20;s:2:\"NL\";i:21;s:2:\"PL\";i:22;s:2:\"PT\";i:23;s:2:\"RO\";i:24;s:2:\"SE\";i:25;s:2:\"SI\";i:26;s:2:\"SK\";}','N;'),(168,'XPayments.Allowed.XPay_Module_InnovativeGateway','Module\\CDev\\XPaymentsConnector\\Model\\Payment\\Processor\\XPayments','CDev_XPaymentsConnector',0,-105110,0,1,0,'C',0,'//my.x-cart.com/sites/default/files/addons/CDev/XPaymentsConnector/XPayments.Allowed.XPay_Module_InnovativeGateway.png','a:1:{i:0;s:2:\"US\";}','N;'),(169,'XPayments.Allowed.XPay_Module_Intuit','Module\\CDev\\XPaymentsConnector\\Model\\Payment\\Processor\\XPayments','CDev_XPaymentsConnector',0,-105920,0,1,0,'C',0,'//my.x-cart.com/sites/default/files/addons/CDev/XPaymentsConnector/XPayments.Allowed.XPay_Module_Intuit.png','a:14:{i:0;s:2:\"AE\";i:1;s:2:\"AU\";i:2;s:2:\"BR\";i:3;s:2:\"CA\";i:4;s:2:\"FR\";i:5;s:2:\"GB\";i:6;s:2:\"HK\";i:7;s:2:\"IE\";i:8;s:2:\"IN\";i:9;s:2:\"MY\";i:10;s:2:\"PH\";i:11;s:2:\"SG\";i:12;s:2:\"US\";i:13;s:2:\"ZA\";}','N;'),(170,'XPayments.Allowed.XPay_Module_ItransactXML','Module\\CDev\\XPaymentsConnector\\Model\\Payment\\Processor\\XPayments','CDev_XPaymentsConnector',0,-105090,0,1,0,'C',0,'//my.x-cart.com/sites/default/files/addons/CDev/XPaymentsConnector/XPayments.Allowed.XPay_Module_ItransactXML.png','a:1:{i:0;s:2:\"US\";}','N;'),(171,'XPayments.Allowed.XPay_Module_Meritus','Module\\CDev\\XPaymentsConnector\\Model\\Payment\\Processor\\XPayments','CDev_XPaymentsConnector',0,-104940,0,1,0,'C',0,'//my.x-cart.com/sites/default/files/addons/CDev/XPaymentsConnector/XPayments.Allowed.XPay_Module_Meritus.png','a:1:{i:0;s:2:\"US\";}','N;'),(172,'XPayments.Allowed.XPay_Module_NAB','Module\\CDev\\XPaymentsConnector\\Model\\Payment\\Processor\\XPayments','CDev_XPaymentsConnector',0,-105040,0,1,0,'C',0,'//my.x-cart.com/sites/default/files/addons/CDev/XPaymentsConnector/XPayments.Allowed.XPay_Module_NAB.png','a:0:{}','N;'),(173,'XPayments.Allowed.XPay_Module_NMI','Module\\CDev\\XPaymentsConnector\\Model\\Payment\\Processor\\XPayments','CDev_XPaymentsConnector',0,-105730,0,1,0,'C',0,'//my.x-cart.com/sites/default/files/addons/CDev/XPaymentsConnector/XPayments.Allowed.XPay_Module_NMI.png','a:0:{}','N;'),(174,'XPayments.Allowed.XPay_Module_NetRegistry','Module\\CDev\\XPaymentsConnector\\Model\\Payment\\Processor\\XPayments','CDev_XPaymentsConnector',0,-105020,0,1,0,'C',0,'//my.x-cart.com/sites/default/files/addons/CDev/XPaymentsConnector/XPayments.Allowed.XPay_Module_NetRegistry.png','a:1:{i:0;s:2:\"AU\";}','N;'),(175,'XPayments.Allowed.XPay_Module_Netbilling','Module\\CDev\\XPaymentsConnector\\Model\\Payment\\Processor\\XPayments','CDev_XPaymentsConnector',0,-105710,0,1,0,'C',0,'//my.x-cart.com/sites/default/files/addons/CDev/XPaymentsConnector/XPayments.Allowed.XPay_Module_Netbilling.png','a:1:{i:0;s:2:\"US\";}','N;'),(176,'XPayments.Allowed.XPay_Module_Netevia','Module\\CDev\\XPaymentsConnector\\Model\\Payment\\Processor\\XPayments','CDev_XPaymentsConnector',0,-105030,0,1,0,'C',0,'//my.x-cart.com/sites/default/files/addons/CDev/XPaymentsConnector/XPayments.Allowed.XPay_Module_Netevia.png','a:0:{}','N;'),(177,'XPayments.Allowed.XPay_Module_Ogone','Module\\CDev\\XPaymentsConnector\\Model\\Payment\\Processor\\XPayments','CDev_XPaymentsConnector',0,-105130,0,1,0,'C',0,'//my.x-cart.com/sites/default/files/addons/CDev/XPaymentsConnector/XPayments.Allowed.XPay_Module_Ogone.png','a:47:{i:0;s:2:\"AN\";i:1;s:2:\"CL\";i:2;s:2:\"CO\";i:3;s:2:\"CR\";i:4;s:2:\"CU\";i:5;s:2:\"DE\";i:6;s:2:\"DM\";i:7;s:2:\"DO\";i:8;s:2:\"EC\";i:9;s:2:\"ES\";i:10;s:2:\"FK\";i:11;s:2:\"FR\";i:12;s:2:\"GB\";i:13;s:2:\"GD\";i:14;s:2:\"GF\";i:15;s:2:\"GP\";i:16;s:2:\"GT\";i:17;s:2:\"GY\";i:18;s:2:\"HN\";i:19;s:2:\"HT\";i:20;s:2:\"HU\";i:21;s:2:\"IT\";i:22;s:2:\"JM\";i:23;s:2:\"KN\";i:24;s:2:\"KY\";i:25;s:2:\"LC\";i:26;s:2:\"MQ\";i:27;s:2:\"MS\";i:28;s:2:\"MX\";i:29;s:2:\"NI\";i:30;s:2:\"PA\";i:31;s:2:\"PE\";i:32;s:2:\"PL\";i:33;s:2:\"PR\";i:34;s:2:\"PT\";i:35;s:2:\"PY\";i:36;s:2:\"RU\";i:37;s:2:\"SR\";i:38;s:2:\"SV\";i:39;s:2:\"TC\";i:40;s:2:\"TR\";i:41;s:2:\"TT\";i:42;s:2:\"UY\";i:43;s:2:\"VC\";i:44;s:2:\"VE\";i:45;s:2:\"VG\";i:46;s:2:\"VI\";}','N;'),(178,'XPayments.Allowed.XPay_Module_PayGate','Module\\CDev\\XPaymentsConnector\\Model\\Payment\\Processor\\XPayments','CDev_XPaymentsConnector',0,-104960,0,1,0,'C',0,'//my.x-cart.com/sites/default/files/addons/CDev/XPaymentsConnector/XPayments.Allowed.XPay_Module_PayGate.png','a:3:{i:0;s:2:\"CN\";i:1;s:2:\"JP\";i:2;s:2:\"KR\";}','N;'),(179,'XPayments.Allowed.XPay_Module_PayflowPro','Module\\CDev\\XPaymentsConnector\\Model\\Payment\\Processor\\XPayments','CDev_XPaymentsConnector',0,-104980,0,1,0,'C',0,'//my.x-cart.com/sites/default/files/addons/CDev/XPaymentsConnector/XPayments.Allowed.XPay_Module_PayflowPro.png','a:4:{i:0;s:2:\"AU\";i:1;s:2:\"CA\";i:2;s:2:\"NZ\";i:3;s:2:\"US\";}','N;'),(180,'XPayments.Allowed.XPay_Module_PaypalWPPDirectPayment','Module\\CDev\\XPaymentsConnector\\Model\\Payment\\Processor\\XPayments','CDev_XPaymentsConnector',0,-105820,0,1,0,'C',0,'//my.x-cart.com/sites/default/files/addons/CDev/XPaymentsConnector/XPayments.Allowed.XPay_Module_PaypalWPPDirectPayment.png','a:4:{i:0;s:2:\"AU\";i:1;s:2:\"CA\";i:2;s:2:\"NZ\";i:3;s:2:\"US\";}','N;'),(181,'XPayments.Allowed.XPay_Module_PaypalWPPPEDirectPayment','Module\\CDev\\XPaymentsConnector\\Model\\Payment\\Processor\\XPayments','CDev_XPaymentsConnector',0,-105810,0,1,0,'C',0,'//my.x-cart.com/sites/default/files/addons/CDev/XPaymentsConnector/XPayments.Allowed.XPay_Module_PaypalWPPPEDirectPayment.png','a:4:{i:0;s:2:\"AU\";i:1;s:2:\"CA\";i:2;s:2:\"NZ\";i:3;s:2:\"US\";}','N;'),(182,'XPayments.Allowed.XPay_Module_PsiGateXML','Module\\CDev\\XPaymentsConnector\\Model\\Payment\\Processor\\XPayments','CDev_XPaymentsConnector',0,-104810,0,1,0,'C',0,'//my.x-cart.com/sites/default/files/addons/CDev/XPaymentsConnector/XPayments.Allowed.XPay_Module_PsiGateXML.png','a:2:{i:0;s:2:\"CA\";i:1;s:2:\"US\";}','N;'),(183,'XPayments.Allowed.XPay_Module_QuantumGateway','Module\\CDev\\XPaymentsConnector\\Model\\Payment\\Processor\\XPayments','CDev_XPaymentsConnector',0,-104800,0,1,0,'C',0,'//my.x-cart.com/sites/default/files/addons/CDev/XPaymentsConnector/XPayments.Allowed.XPay_Module_QuantumGateway.png','a:1:{i:0;s:2:\"US\";}','N;'),(184,'XPayments.Allowed.XPay_Module_QuantumGatewayXML','Module\\CDev\\XPaymentsConnector\\Model\\Payment\\Processor\\XPayments','CDev_XPaymentsConnector',0,-104790,0,1,0,'C',0,'//my.x-cart.com/sites/default/files/addons/CDev/XPaymentsConnector/XPayments.Allowed.XPay_Module_QuantumGatewayXML.png','a:1:{i:0;s:2:\"US\";}','N;'),(185,'XPayments.Allowed.XPay_Module_QuickPay','Module\\CDev\\XPaymentsConnector\\Model\\Payment\\Processor\\XPayments','CDev_XPaymentsConnector',0,-104780,0,1,0,'C',0,'//my.x-cart.com/sites/default/files/addons/CDev/XPaymentsConnector/XPayments.Allowed.XPay_Module_QuickPay.png','a:0:{}','N;'),(186,'XPayments.Allowed.XPay_Module_RBSGlobalGatewayDirect','Module\\CDev\\XPaymentsConnector\\Model\\Payment\\Processor\\XPayments','CDev_XPaymentsConnector',0,-104000,0,1,0,'C',0,'//my.x-cart.com/sites/default/files/addons/CDev/XPaymentsConnector/XPayments.Allowed.XPay_Module_RBSGlobalGatewayDirect.png','a:27:{i:0;s:2:\"BE\";i:1;s:2:\"BG\";i:2;s:2:\"CY\";i:3;s:2:\"CZ\";i:4;s:2:\"DE\";i:5;s:2:\"DK\";i:6;s:2:\"EE\";i:7;s:2:\"ES\";i:8;s:2:\"FI\";i:9;s:2:\"FR\";i:10;s:2:\"GB\";i:11;s:2:\"GR\";i:12;s:2:\"HR\";i:13;s:2:\"HU\";i:14;s:2:\"IE\";i:15;s:2:\"IT\";i:16;s:2:\"LT\";i:17;s:2:\"LU\";i:18;s:2:\"LV\";i:19;s:2:\"MT\";i:20;s:2:\"NL\";i:21;s:2:\"PL\";i:22;s:2:\"PT\";i:23;s:2:\"RO\";i:24;s:2:\"SE\";i:25;s:2:\"SI\";i:26;s:2:\"SK\";}','N;'),(187,'XPayments.Allowed.XPay_Module_Realex','Module\\CDev\\XPaymentsConnector\\Model\\Payment\\Processor\\XPayments','CDev_XPaymentsConnector',0,-104760,0,1,0,'C',0,'//my.x-cart.com/sites/default/files/addons/CDev/XPaymentsConnector/XPayments.Allowed.XPay_Module_Realex.png','a:26:{i:0;s:2:\"BG\";i:1;s:2:\"CY\";i:2;s:2:\"CZ\";i:3;s:2:\"DE\";i:4;s:2:\"DK\";i:5;s:2:\"EE\";i:6;s:2:\"ES\";i:7;s:2:\"FI\";i:8;s:2:\"FR\";i:9;s:2:\"GB\";i:10;s:2:\"GR\";i:11;s:2:\"HR\";i:12;s:2:\"HU\";i:13;s:2:\"IE\";i:14;s:2:\"IT\";i:15;s:2:\"LT\";i:16;s:2:\"LU\";i:17;s:2:\"LV\";i:18;s:2:\"MT\";i:19;s:2:\"NL\";i:20;s:2:\"PL\";i:21;s:2:\"PT\";i:22;s:2:\"RO\";i:23;s:2:\"SE\";i:24;s:2:\"SI\";i:25;s:2:\"SK\";}','N;'),(188,'XPayments.Allowed.XPay_Module_SagePayDirect','Module\\CDev\\XPaymentsConnector\\Model\\Payment\\Processor\\XPayments','CDev_XPaymentsConnector',0,-104730,0,1,0,'C',0,'//my.x-cart.com/sites/default/files/addons/CDev/XPaymentsConnector/XPayments.Allowed.XPay_Module_SagePayDirect.png','a:3:{i:0;s:2:\"AU\";i:1;s:2:\"GB\";i:2;s:2:\"US\";}','N;'),(189,'XPayments.Allowed.XPay_Module_SageUs','Module\\CDev\\XPaymentsConnector\\Model\\Payment\\Processor\\XPayments','CDev_XPaymentsConnector',0,-104990,0,1,0,'C',0,'//my.x-cart.com/sites/default/files/addons/CDev/XPaymentsConnector/XPayments.Allowed.XPay_Module_SageUs.png','a:0:{}','N;'),(190,'XPayments.Allowed.XPay_Module_Securepay','Module\\CDev\\XPaymentsConnector\\Model\\Payment\\Processor\\XPayments','CDev_XPaymentsConnector',0,-104690,0,1,0,'C',0,'//my.x-cart.com/sites/default/files/addons/CDev/XPaymentsConnector/XPayments.Allowed.XPay_Module_Securepay.png','a:1:{i:0;s:2:\"US\";}','N;'),(191,'XPayments.Allowed.XPay_Module_SimplifyCommerce','Module\\CDev\\XPaymentsConnector\\Model\\Payment\\Processor\\XPayments','CDev_XPaymentsConnector',0,-104670,0,1,0,'C',0,'//my.x-cart.com/sites/default/files/addons/CDev/XPaymentsConnector/XPayments.Allowed.XPay_Module_SimplifyCommerce.png','a:2:{i:0;s:2:\"IE\";i:1;s:2:\"US\";}','N;'),(192,'XPayments.Allowed.XPay_Module_SkipJack','Module\\CDev\\XPaymentsConnector\\Model\\Payment\\Processor\\XPayments','CDev_XPaymentsConnector',0,-104650,0,1,0,'C',0,'//my.x-cart.com/sites/default/files/addons/CDev/XPaymentsConnector/XPayments.Allowed.XPay_Module_SkipJack.png','a:2:{i:0;s:2:\"CA\";i:1;s:2:\"US\";}','N;'),(193,'XPayments.Allowed.XPay_Module_Suncorp','Module\\CDev\\XPaymentsConnector\\Model\\Payment\\Processor\\XPayments','CDev_XPaymentsConnector',0,-104100,0,1,0,'C',0,'//my.x-cart.com/sites/default/files/addons/CDev/XPaymentsConnector/XPayments.Allowed.XPay_Module_Suncorp.png','a:0:{}','N;'),(194,'XPayments.Allowed.XPay_Module_USAePay','Module\\CDev\\XPaymentsConnector\\Model\\Payment\\Processor\\XPayments','CDev_XPaymentsConnector',0,-104070,0,1,0,'C',0,'//my.x-cart.com/sites/default/files/addons/CDev/XPaymentsConnector/XPayments.Allowed.XPay_Module_USAePay.png','a:1:{i:0;s:2:\"US\";}','N;'),(195,'XPayments.Allowed.XPay_Module_VirtualMerchantMPF','Module\\CDev\\XPaymentsConnector\\Model\\Payment\\Processor\\XPayments','CDev_XPaymentsConnector',0,-105910,0,1,0,'C',0,'//my.x-cart.com/sites/default/files/addons/CDev/XPaymentsConnector/XPayments.Allowed.XPay_Module_VirtualMerchantMPF.png','a:3:{i:0;s:2:\"CA\";i:1;s:2:\"PR\";i:2;s:2:\"US\";}','N;'),(196,'XPayments.Allowed.XPay_Module_WebXpress','Module\\CDev\\XPaymentsConnector\\Model\\Payment\\Processor\\XPayments','CDev_XPaymentsConnector',0,-104020,0,1,0,'C',0,'//my.x-cart.com/sites/default/files/addons/CDev/XPaymentsConnector/XPayments.Allowed.XPay_Module_WebXpress.png','a:1:{i:0;s:2:\"US\";}','N;'),(197,'XPayments.Allowed.XPay_Module_WorldpayTotalUS','Module\\CDev\\XPaymentsConnector\\Model\\Payment\\Processor\\XPayments','CDev_XPaymentsConnector',0,-103990,0,1,0,'C',0,'//my.x-cart.com/sites/default/files/addons/CDev/XPaymentsConnector/XPayments.Allowed.XPay_Module_WorldpayTotalUS.png','a:0:{}','N;'),(198,'XPayments.Allowed.XPay_Module_WorldpayUs','Module\\CDev\\XPaymentsConnector\\Model\\Payment\\Processor\\XPayments','CDev_XPaymentsConnector',0,-103980,0,1,0,'C',0,'//my.x-cart.com/sites/default/files/addons/CDev/XPaymentsConnector/XPayments.Allowed.XPay_Module_WorldpayUs.png','a:1:{i:0;s:2:\"US\";}','N;'),(199,'SavedCard','Module\\CDev\\XPaymentsConnector\\Model\\Payment\\Processor\\SavedCard','CDev_XPaymentsConnector',0,-104060,0,1,0,'C',0,'//my.x-cart.com/sites/default/files/addons/CDev/XPaymentsConnector/SavedCard.png','a:0:{}','N;');
/*!40000 ALTER TABLE `xc_payment_methods` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_payment_transaction_data`
--

DROP TABLE IF EXISTS `xc_payment_transaction_data`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_payment_transaction_data` (
  `data_id` int(11) NOT NULL AUTO_INCREMENT,
  `transaction_id` int(11) DEFAULT NULL,
  `name` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `label` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `access_level` char(1) COLLATE utf8_unicode_ci NOT NULL,
  `value` longtext COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`data_id`),
  KEY `IDX_45BA8F92A12FC0CB0F` (`transaction_id`),
  KEY `tn` (`transaction_id`,`name`),
  CONSTRAINT `FK_45BA8F92A12FC0CB0F` FOREIGN KEY (`transaction_id`) REFERENCES `xc_payment_transactions` (`transaction_id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_payment_transaction_data`
--

LOCK TABLES `xc_payment_transaction_data` WRITE;
/*!40000 ALTER TABLE `xc_payment_transaction_data` DISABLE KEYS */;
INSERT INTO `xc_payment_transaction_data` VALUES (1,4,'test_mode','Test mode','A','1'),(2,4,'error_field_name_card.number','Error: field name','A','card.number'),(3,4,'error_field_code_card.number','Error: field code','A','country.bin.not.accepted'),(4,4,'error_field_message_card.number','Error: field message','A','Card bin Country rejected by acquirer'),(5,4,'cart_items','Cart items','A','a:1:{i:0;a:5:{s:4:\"name\";s:27:\"Ewok Ladies Hooded Tank Top\";s:3:\"sku\";s:6:\"100ewl\";s:5:\"price\";d:34.990000000000002;s:6:\"amount\";i:1;s:5:\"attrs\";a:0:{}}}'),(6,5,'test_mode','Test mode','A','1'),(7,5,'error_field_name_card.number','Error: field name','A','card.number'),(8,5,'error_field_code_card.number','Error: field code','A','card.expired'),(9,5,'error_field_message_card.number','Error: field message','A','Card has expired.'),(10,5,'cart_items','Cart items','A','a:1:{i:0;a:5:{s:4:\"name\";s:27:\"Ewok Ladies Hooded Tank Top\";s:3:\"sku\";s:6:\"100ewl\";s:5:\"price\";d:34.990000000000002;s:6:\"amount\";i:1;s:5:\"attrs\";a:0:{}}}');
/*!40000 ALTER TABLE `xc_payment_transaction_data` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_payment_transactions`
--

DROP TABLE IF EXISTS `xc_payment_transactions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_payment_transactions` (
  `transaction_id` int(11) NOT NULL AUTO_INCREMENT,
  `order_id` int(11) DEFAULT NULL,
  `method_id` int(11) DEFAULT NULL,
  `currency_id` int(10) unsigned DEFAULT NULL,
  `date` int(11) NOT NULL,
  `publicTxnId` varchar(16) COLLATE utf8_unicode_ci DEFAULT NULL,
  `method_name` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `method_local_name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `status` char(1) COLLATE utf8_unicode_ci NOT NULL,
  `value` decimal(14,4) NOT NULL,
  `note` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `type` varchar(16) COLLATE utf8_unicode_ci NOT NULL,
  `public_id` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`transaction_id`),
  KEY `IDX_4533CBDC008D9F6D38` (`order_id`),
  KEY `IDX_4533CBDC0019883967` (`method_id`),
  KEY `IDX_4533CBDC0038248176` (`currency_id`),
  KEY `status` (`status`),
  KEY `o` (`order_id`,`status`),
  KEY `pm` (`method_id`,`status`),
  KEY `publicTxnId` (`publicTxnId`),
  CONSTRAINT `FK_4533CBDC0019883967` FOREIGN KEY (`method_id`) REFERENCES `xc_payment_methods` (`method_id`) ON DELETE SET NULL,
  CONSTRAINT `FK_4533CBDC0038248176` FOREIGN KEY (`currency_id`) REFERENCES `xc_currencies` (`currency_id`),
  CONSTRAINT `FK_4533CBDC008D9F6D38` FOREIGN KEY (`order_id`) REFERENCES `xc_orders` (`order_id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_payment_transactions`
--

LOCK TABLES `xc_payment_transactions` WRITE;
/*!40000 ALTER TABLE `xc_payment_transactions` DISABLE KEYS */;
INSERT INTO `xc_payment_transactions` VALUES (1,1,4,840,1394005540,'000001-KGSP','MoneyOrdering','Money Order','S',110.6500,'','sale','000001-KGSP'),(2,2,4,840,1396005895,'000002-FX7B','MoneyOrdering','Money Order','S',88.6700,'','sale','000002-FX7B'),(3,3,4,840,1407005895,'000002-FX7B','MoneyOrdering','Money Order','S',158.9400,'','sale','000002-FX7B'),(4,4,NULL,840,1452604411,'000012-AS2T','SimplifyCommerceHP','Simplify Commerce Hosted Payments','F',38.0100,'Simplify_BadRequestException: \"Request data is invalid\" (status: 400, error code: validation, reference: c5a0b8b8-92ac-4908-9506-88b843ecd399)\nField error: card.number\"Card bin Country rejected by acquirer\" (country.bin.not.accepted)','sale','demostore-000012-AS2T'),(5,4,NULL,840,1452604437,'000013-3I22','SimplifyCommerceHP','Simplify Commerce Hosted Payments','F',38.0100,'Simplify_BadRequestException: \"Request data is invalid\" (status: 400, error code: validation, reference: 195c1b1a-44c8-46d4-8e48-ee4e65f271af)\nField error: card.number\"Card has expired.\" (card.expired)','sale','demostore-000013-3I22'),(6,5,4,840,1452604702,'000005-KXAQ','MoneyOrdering','Money Order','S',352.8100,'','sale','000005-KXAQ');
/*!40000 ALTER TABLE `xc_payment_transactions` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_permission_translations`
--

DROP TABLE IF EXISTS `xc_permission_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_permission_translations` (
  `label_id` int(11) NOT NULL AUTO_INCREMENT,
  `id` int(10) unsigned DEFAULT NULL,
  `name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `description` longtext COLLATE utf8_unicode_ci NOT NULL,
  `code` char(2) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`label_id`),
  KEY `IDX_4598B75E86BF396750` (`id`),
  CONSTRAINT `FK_4598B75E86BF396750` FOREIGN KEY (`id`) REFERENCES `xc_permissions` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=22 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_permission_translations`
--

LOCK TABLES `xc_permission_translations` WRITE;
/*!40000 ALTER TABLE `xc_permission_translations` DISABLE KEYS */;
INSERT INTO `xc_permission_translations` VALUES (1,1,'Root access','','en'),(2,2,'Manage catalog','','en'),(3,3,'Manage users','','en'),(4,4,'Manage administrators','','en'),(5,5,'Manage orders','','en'),(6,6,'Manage import','','en'),(7,7,'Manage export','','en'),(8,8,'Manage banners','','en'),(9,9,'Allow unfiltered HTML','','en'),(10,10,'Manage coupons','','en'),(11,10,'Управление купонами','','ru'),(12,11,'Manage custom pages','','en'),(13,12,'Manage menus','','en'),(14,13,'Manage volume discounts','','en'),(15,13,'Управление скидками','','ru'),(16,14,'Manage reviews','','en'),(17,14,'Управление отзывами','','ru'),(18,15,'Manage news','','en'),(19,15,'Управление новостями','','ru'),(20,16,'Manage conversations','','en'),(21,16,'Управление разговорами','','ru');
/*!40000 ALTER TABLE `xc_permission_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_permissions`
--

DROP TABLE IF EXISTS `xc_permissions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_permissions` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `enabled` tinyint(1) NOT NULL,
  `code` char(32) COLLATE utf8_unicode_ci NOT NULL,
  `section` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=17 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_permissions`
--

LOCK TABLES `xc_permissions` WRITE;
/*!40000 ALTER TABLE `xc_permissions` DISABLE KEYS */;
INSERT INTO `xc_permissions` VALUES (1,1,'root access','All'),(2,1,'manage catalog','Catalog'),(3,1,'manage users','Users'),(4,1,'manage admins','Users'),(5,1,'manage orders','Sales'),(6,1,'manage import','Import and Export'),(7,1,'manage export','Import and Export'),(8,1,'manage banners','Content'),(9,1,'unfiltered html','Content'),(10,1,'manage coupons','Coupons'),(11,1,'manage custom pages','Content'),(12,1,'manage menus','Content'),(13,1,'manage volume discounts','Volume discounts'),(14,1,'manage reviews','Catalog'),(15,1,'manage news','Content'),(16,1,'manage conversations','Conversations');
/*!40000 ALTER TABLE `xc_permissions` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_pin_codes`
--

DROP TABLE IF EXISTS `xc_pin_codes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_pin_codes` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `code` varchar(64) COLLATE utf8_unicode_ci NOT NULL,
  `createDate` int(11) NOT NULL,
  `isSold` tinyint(1) NOT NULL,
  `isBlocked` tinyint(1) NOT NULL,
  `productId` int(10) unsigned DEFAULT NULL,
  `orderItemId` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `productCode` (`code`,`productId`),
  KEY `IDX_45454145C536799605` (`productId`),
  KEY `IDX_45454145C5BBF22A26` (`orderItemId`),
  CONSTRAINT `FK_45454145C536799605` FOREIGN KEY (`productId`) REFERENCES `xc_products` (`product_id`) ON DELETE SET NULL,
  CONSTRAINT `FK_45454145C5BBF22A26` FOREIGN KEY (`orderItemId`) REFERENCES `xc_order_items` (`item_id`) ON DELETE SET NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_pin_codes`
--

LOCK TABLES `xc_pin_codes` WRITE;
/*!40000 ALTER TABLE `xc_pin_codes` DISABLE KEYS */;
/*!40000 ALTER TABLE `xc_pin_codes` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_product_attachment_history_points`
--

DROP TABLE IF EXISTS `xc_product_attachment_history_points`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_product_attachment_history_points` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `attachment_id` int(10) unsigned DEFAULT NULL,
  `order_id` int(11) DEFAULT NULL,
  `profile_id` int(11) DEFAULT NULL,
  `login` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `ip` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `date` int(10) unsigned NOT NULL,
  `path` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `additionalDetails` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`),
  KEY `IDX_458F48E3E88D9F6D38` (`order_id`),
  KEY `IDX_458F48E3E8CCFA12B8` (`profile_id`),
  KEY `attachment` (`attachment_id`),
  CONSTRAINT `FK_458F48E3E8464E68B` FOREIGN KEY (`attachment_id`) REFERENCES `xc_product_attachments` (`id`) ON DELETE CASCADE,
  CONSTRAINT `FK_458F48E3E88D9F6D38` FOREIGN KEY (`order_id`) REFERENCES `xc_orders` (`order_id`) ON DELETE CASCADE,
  CONSTRAINT `FK_458F48E3E8CCFA12B8` FOREIGN KEY (`profile_id`) REFERENCES `xc_profiles` (`profile_id`) ON DELETE SET NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_product_attachment_history_points`
--

LOCK TABLES `xc_product_attachment_history_points` WRITE;
/*!40000 ALTER TABLE `xc_product_attachment_history_points` DISABLE KEYS */;
/*!40000 ALTER TABLE `xc_product_attachment_history_points` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_product_attachment_storages`
--

DROP TABLE IF EXISTS `xc_product_attachment_storages`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_product_attachment_storages` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `attachment_id` int(10) unsigned DEFAULT NULL,
  `path` varchar(512) COLLATE utf8_unicode_ci NOT NULL,
  `fileName` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `mime` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `storageType` varchar(1) COLLATE utf8_unicode_ci NOT NULL,
  `size` int(10) unsigned NOT NULL,
  `date` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `UNIQ_34701892464E68B` (`attachment_id`),
  CONSTRAINT `FK_4534701892464E68B` FOREIGN KEY (`attachment_id`) REFERENCES `xc_product_attachments` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_product_attachment_storages`
--

LOCK TABLES `xc_product_attachment_storages` WRITE;
/*!40000 ALTER TABLE `xc_product_attachment_storages` DISABLE KEYS */;
/*!40000 ALTER TABLE `xc_product_attachment_storages` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_product_attachment_translations`
--

DROP TABLE IF EXISTS `xc_product_attachment_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_product_attachment_translations` (
  `label_id` int(11) NOT NULL AUTO_INCREMENT,
  `id` int(10) unsigned DEFAULT NULL,
  `title` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `description` longtext COLLATE utf8_unicode_ci NOT NULL,
  `code` char(2) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`label_id`),
  KEY `ci` (`code`,`id`),
  KEY `id` (`id`),
  CONSTRAINT `FK_45C05C8533BF396750` FOREIGN KEY (`id`) REFERENCES `xc_product_attachments` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_product_attachment_translations`
--

LOCK TABLES `xc_product_attachment_translations` WRITE;
/*!40000 ALTER TABLE `xc_product_attachment_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `xc_product_attachment_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_product_attachments`
--

DROP TABLE IF EXISTS `xc_product_attachments`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_product_attachments` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `product_id` int(10) unsigned DEFAULT NULL,
  `private` tinyint(1) NOT NULL,
  `orderby` int(11) NOT NULL,
  `access` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`),
  KEY `IDX_45A8FB24FA4584665A` (`product_id`),
  KEY `o` (`orderby`),
  CONSTRAINT `FK_45A8FB24FA4584665A` FOREIGN KEY (`product_id`) REFERENCES `xc_products` (`product_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_product_attachments`
--

LOCK TABLES `xc_product_attachments` WRITE;
/*!40000 ALTER TABLE `xc_product_attachments` DISABLE KEYS */;
/*!40000 ALTER TABLE `xc_product_attachments` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_product_class_coupons`
--

DROP TABLE IF EXISTS `xc_product_class_coupons`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_product_class_coupons` (
  `coupon_id` int(10) unsigned NOT NULL,
  `class_id` int(10) unsigned NOT NULL,
  PRIMARY KEY (`coupon_id`,`class_id`),
  KEY `IDX_45684B0DA666C5951B` (`coupon_id`),
  KEY `IDX_45684B0DA6EA000B10` (`class_id`),
  CONSTRAINT `FK_45684B0DA666C5951B` FOREIGN KEY (`coupon_id`) REFERENCES `xc_coupons` (`id`) ON DELETE CASCADE,
  CONSTRAINT `FK_45684B0DA6EA000B10` FOREIGN KEY (`class_id`) REFERENCES `xc_product_classes` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_product_class_coupons`
--

LOCK TABLES `xc_product_class_coupons` WRITE;
/*!40000 ALTER TABLE `xc_product_class_coupons` DISABLE KEYS */;
/*!40000 ALTER TABLE `xc_product_class_coupons` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_product_class_translations`
--

DROP TABLE IF EXISTS `xc_product_class_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_product_class_translations` (
  `label_id` int(11) NOT NULL AUTO_INCREMENT,
  `id` int(10) unsigned DEFAULT NULL,
  `name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `code` char(2) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`label_id`),
  KEY `ci` (`code`,`id`),
  KEY `id` (`id`),
  CONSTRAINT `FK_458471715FBF396750` FOREIGN KEY (`id`) REFERENCES `xc_product_classes` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_product_class_translations`
--

LOCK TABLES `xc_product_class_translations` WRITE;
/*!40000 ALTER TABLE `xc_product_class_translations` DISABLE KEYS */;
INSERT INTO `xc_product_class_translations` VALUES (1,1,'Apparel','en'),(4,1,'Одежда','ru'),(5,2,'Mobile phone','en'),(6,2,'Мобильный телефон','ru');
/*!40000 ALTER TABLE `xc_product_class_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_product_classes`
--

DROP TABLE IF EXISTS `xc_product_classes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_product_classes` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `position` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_product_classes`
--

LOCK TABLES `xc_product_classes` WRITE;
/*!40000 ALTER TABLE `xc_product_classes` DISABLE KEYS */;
INSERT INTO `xc_product_classes` VALUES (1,0),(2,0);
/*!40000 ALTER TABLE `xc_product_classes` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_product_images`
--

DROP TABLE IF EXISTS `xc_product_images`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_product_images` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `product_id` int(10) unsigned DEFAULT NULL,
  `orderby` int(11) NOT NULL,
  `alt` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `width` int(11) NOT NULL,
  `height` int(11) NOT NULL,
  `hash` char(32) COLLATE utf8_unicode_ci DEFAULT NULL,
  `needProcess` tinyint(1) NOT NULL,
  `path` varchar(512) COLLATE utf8_unicode_ci NOT NULL,
  `fileName` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `mime` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `storageType` varchar(1) COLLATE utf8_unicode_ci NOT NULL,
  `size` int(10) unsigned NOT NULL,
  `date` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  KEY `IDX_45142C546A4584665A` (`product_id`),
  CONSTRAINT `FK_45142C546A4584665A` FOREIGN KEY (`product_id`) REFERENCES `xc_products` (`product_id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=132 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_product_images`
--

LOCK TABLES `xc_product_images` WRITE;
/*!40000 ALTER TABLE `xc_product_images` DISABLE KEYS */;
INSERT INTO `xc_product_images` VALUES (1,1,10,'',600,593,'5299d40bd531da6b84febc349922e653',1,'e84d_mordorable.jpeg','e84d_mordorable.jpeg','image/jpeg','r',74341,1537174085),(2,1,20,'',600,710,'88743399bdcc3c6da9f44a6bc6ac21e5',1,'e84d_mordorable_2.jpeg','e84d_mordorable_2.jpeg','image/jpeg','r',56290,1537174085),(3,2,10,'',600,764,'0689f8d88eea52103e6067bd018af374',1,'f14d_octopus_cardigan.jpeg','f14d_octopus_cardigan.jpeg','image/jpeg','r',121401,1537174085),(4,2,20,'',600,600,'5538be4d82b16d0826356dc0c590b1db',1,'f14d_octopus_cardigan_detail.jpeg','f14d_octopus_cardigan_detail.jpeg','image/jpeg','r',101219,1537174085),(5,3,10,'',442,650,'22c65e252fe916a995be95f5c1f3f618',1,'hrmr_spiderman_selfie_ladies_tee_mb.jpeg','hrmr_spiderman_selfie_ladies_tee_mb.jpeg','image/jpeg','r',65492,1537174085),(6,3,20,'',588,600,'b4ed0b0dac8cdef52c5a36b4c9c7c845',1,'hrmr_spiderman_selfie_ladies_tee_dd.jpeg','hrmr_spiderman_selfie_ladies_tee_dd.jpeg','image/jpeg','r',140046,1537174085),(7,4,10,'',600,751,'838c60a1a1792c61ec3712c05fa04c60',1,'efba_star_wars_tissue_weight_babydoll.jpeg','efba_star_wars_tissue_weight_babydoll.jpeg','image/jpeg','r',102081,1537174085),(8,4,20,'',600,600,'4ab7499b042c7c22aab20bc1f99e9b2d',1,'efba_star_wars_tissue_weight_babydoll_detail.jpeg','efba_star_wars_tissue_weight_babydoll_detail.jpeg','image/jpeg','r',83001,1537174085),(9,5,10,'',549,650,'61766678172ee7f8e6c10d92605ac7a7',1,'htkn_wonder_woman_hockey_stripe_ladies_tee_mb.jpeg','htkn_wonder_woman_hockey_stripe_ladies_tee_mb.jpeg','image/jpeg','r',108983,1537174085),(10,5,20,'',593,600,'294b05636f67d750265855486efc98ae',1,'htkn_wonder_woman_hockey_stripe_ladies_tee_dd.jpeg','htkn_wonder_woman_hockey_stripe_ladies_tee_dd.jpeg','image/jpeg','r',165186,1537174085),(11,6,10,'',600,640,'cbffa03dbb5c37a6c87de99f97df5eea',1,'1814_star_trek_command_cycle_jersey.jpeg','1814_star_trek_command_cycle_jersey.jpeg','image/jpeg','r',92126,1537174085),(12,6,20,'',600,600,'7ef5ac24f796e066d2b381618bb0ff58',1,'1814_star_trek_command_cycle_jersey_back.jpeg','1814_star_trek_command_cycle_jersey_back.jpeg','image/jpeg','r',87670,1537174085),(13,6,30,'',600,600,'253c8e6dba97b6abf601a7794c2ec8d5',1,'1814_star_trek_command_cycle_jersey_side.jpeg','1814_star_trek_command_cycle_jersey_side.jpeg','image/jpeg','r',75126,1537174085),(14,7,10,'',600,600,'90bd1953679389d9a6993d31fd757d20',1,'1135_star_trek_uniform_polos.jpeg','1135_star_trek_uniform_polos.jpeg','image/jpeg','r',81944,1537174085),(15,7,20,'',600,600,'b03d6a19112b2fd4ec5ebb580527faee',1,'1135_star_trek_uniform_polos_red.jpeg','1135_star_trek_uniform_polos_red.jpeg','image/jpeg','r',64958,1537174085),(16,7,30,'',600,600,'c284fc7cf3574b3bc77db93f177b59a1',1,'1135_star_trek_uniform_polos_gold.jpeg','1135_star_trek_uniform_polos_gold.jpeg','image/jpeg','r',55090,1537174085),(17,7,40,'',600,600,'301211eee7b0bee0b7a000fe2f8eb176',1,'1135_star_trek_uniform_polos_blue.jpeg','1135_star_trek_uniform_polos_blue.jpeg','image/jpeg','r',59402,1537174085),(18,8,10,'',600,751,'369164818960e8228209197ca83f60eb',1,'ec8a_bow_ties.jpeg','ec8a_bow_ties.jpeg','image/jpeg','r',60989,1537174085),(19,9,10,'',600,600,'3d7fe7efcb859fa22ee41944bf0b047f',1,'16d9_star_trek_tng_uniform_tee.jpeg','16d9_star_trek_tng_uniform_tee.jpeg','image/jpeg','r',76644,1537174085),(20,9,20,'',600,600,'cb64f72ab593f7747b95adf3780d0cfe',1,'16d9_star_trek_tng_uniform_tee_red.jpeg','16d9_star_trek_tng_uniform_tee_red.jpeg','image/jpeg','r',54606,1537174085),(21,9,30,'',600,600,'5525651ffa552d34445abd29a4f89ff2',1,'16d9_star_trek_tng_uniform_tee_gold.jpeg','16d9_star_trek_tng_uniform_tee_gold.jpeg','image/jpeg','r',51345,1537174085),(22,9,40,'',600,600,'e49c73e9e3ee9796ecea5b9a2a384ad5',1,'16d9_star_trek_tng_uniform_tee_blue.jpeg','16d9_star_trek_tng_uniform_tee_blue.jpeg','image/jpeg','r',53701,1537174085),(23,9,50,'',600,600,'d7713c827cfd3d21b66a268afb5196c2',1,'16d9_star_trek_tng_uniform_tee_detail.jpeg','16d9_star_trek_tng_uniform_tee_detail.jpeg','image/jpeg','r',91610,1537174085),(24,10,10,'',612,700,'ed504f86b73247eb7986d17b34c64b44',1,'1baa_ewok_ladies_hooded_tank_top.jpeg','1baa_ewok_ladies_hooded_tank_top.jpeg','image/jpeg','r',83473,1537174085),(25,10,20,'',564,700,'a769876356c44dd909fcde7db357de51',1,'1baa_ewok_ladies_hooded_tank_top_back.jpeg','1baa_ewok_ladies_hooded_tank_top_back.jpeg','image/jpeg','r',70520,1537174085),(26,11,10,'',582,650,'168ee0f75cfc5ec7af7e598401bbec9e',1,'ipkm_dota_series_3_plush_blind_box.jpeg','ipkm_dota_series_3_plush_blind_box.jpeg','image/jpeg','r',146309,1537174085),(27,11,20,'',552,650,'2447c1c3ce5100eb6da7138423f67190',1,'ipkm_dota_series_3_plush_box.jpeg','ipkm_dota_series_3_plush_box.jpeg','image/jpeg','r',125196,1537174085),(28,11,30,'',604,650,'6be9ea3da95da48cda3d9a76504bacd6',1,'ipkm_dota_series_3_plush_blind_box_grid.jpeg','ipkm_dota_series_3_plush_blind_box_grid.jpeg','image/jpeg','r',143094,1537174085),(29,12,10,'',600,600,'16d0137580f25206caef7e3da20403b6',1,'inli_minions_pop_figs.jpeg','inli_minions_pop_figs.jpeg','image/jpeg','r',84358,1537174085),(30,12,20,'',600,600,'b45d5098f964d29989edee78b5fb22cd',1,'inli_minions_pop_figs_grid.jpeg','inli_minions_pop_figs_grid.jpeg','image/jpeg','r',106740,1537174085),(31,13,10,'',600,600,'dbae85eed33bb55bd0d417f82f8b7af1',1,'ijro_ghostbusters_vinyl_idols.jpeg','ijro_ghostbusters_vinyl_idols.jpeg','image/jpeg','r',108622,1537174085),(32,14,10,'',600,680,'8d4288921a9757a1bb26ffa11cd34cad',1,'hrpk_dota_sniper_plush.jpeg','hrpk_dota_sniper_plush.jpeg','image/jpeg','r',97396,1537174085),(33,14,20,'',600,635,'d5fe2c1d95e0c0424ba120cbb7dda33b',1,'hrpk_dota_sniper_plush_back.jpeg','hrpk_dota_sniper_plush_back.jpeg','image/jpeg','r',91479,1537174085),(34,14,30,'',600,600,'f5af2cc428b6d0d7014d519857629d79',1,'hrpk_dota_sniper_plush_cuddle.jpeg','hrpk_dota_sniper_plush_cuddle.jpeg','image/jpeg','r',51735,1537174085),(35,15,10,'',600,470,'be7bcd740e44f41c2aca7167dc2eb1e7',1,'ea67_soft_kitty_singing_plush.jpeg','ea67_soft_kitty_singing_plush.jpeg','image/jpeg','r',63207,1537174085),(36,15,20,'',600,779,'2495aa9918805b880caab54fc4d75cb5',1,'ea67_soft_kitty_singing_plush_hug.jpeg','ea67_soft_kitty_singing_plush_hug.jpeg','image/jpeg','r',64165,1537174085),(37,16,10,'',600,393,'a39904d113b4cfc9e47cb0df528d7484',1,'hukv_age_ultron_fabrikations_plush.jpeg','hukv_age_ultron_fabrikations_plush.jpeg','image/jpeg','r',96951,1537174085),(38,16,20,'',600,600,'8d959ac68d9aa812114b204db40b7cbe',1,'hukv_age_ultron_fabrikations_plush_inhand.jpeg','hukv_age_ultron_fabrikations_plush_inhand.jpeg','image/jpeg','r',78011,1537174085),(39,16,30,'',600,778,'7e43d1b73f63ccf22296e72e9a4df4c9',1,'hukv_age_ultron_fabrikations_plush_grid.jpeg','hukv_age_ultron_fabrikations_plush_grid.jpeg','image/jpeg','r',158647,1537174085),(40,17,10,'',600,600,'2cc06e22d282e5b5cba9c4974f088c08',1,'hrsp_sphero_ollie.jpeg','hrsp_sphero_ollie.jpeg','image/jpeg','r',32011,1537174085),(41,17,20,'',400,600,'2a759b9886ad071d84a9bbd082269000',1,'hrsp_sphero_ollie_env.jpeg','hrsp_sphero_ollie_env.jpeg','image/jpeg','r',42750,1537174085),(42,17,30,'',600,402,'d6bb16daebb41a2ce27812dc5f8adbe4',1,'hrsp_sphero_ollie_tricks.jpeg','hrsp_sphero_ollie_tricks.jpeg','image/jpeg','r',27977,1537174085),(43,17,40,'',600,471,'a85fa4e9261e9437bcad971bdffd763a',1,'hrsp_sphero_ollie_inuse_race.jpeg','hrsp_sphero_ollie_inuse_race.jpeg','image/jpeg','r',75257,1537174085),(44,17,50,'',600,600,'fa9aebea93f8dcfa02534a6c80e7be0d',1,'hrsp_sphero_ollie_parts.jpeg','hrsp_sphero_ollie_parts.jpeg','image/jpeg','r',65015,1537174085),(45,18,10,'',600,600,'9a51e91a4c507f49e244774155b0e3cb',1,'htlr_powerup_3_iphone_plane.jpeg','htlr_powerup_3_iphone_plane.jpeg','image/jpeg','r',55471,1537174085),(46,18,20,'',600,600,'57bedabc69eb856eac1000a10d9c6c5c',1,'htlr_powerup_3_iphone_plane_throttle_control.jpeg','htlr_powerup_3_iphone_plane_throttle_control.jpeg','image/jpeg','r',102010,1537174085),(47,18,30,'',600,337,'152c8e29458b4e70afd9836ec9eb9b30',1,'htlr_powerup_3_iphone_plane_outside.jpeg','htlr_powerup_3_iphone_plane_outside.jpeg','image/jpeg','r',34604,1537174085),(48,18,40,'',600,444,'6d34366178aadb50eacb64965af457ea',1,'htlr_powerup_3_iphone_plane_solo.jpeg','htlr_powerup_3_iphone_plane_solo.jpeg','image/jpeg','r',22689,1537174085),(49,18,50,'',600,397,'534754cd0ff20f187de025ed9dd35c00',1,'htlr_powerup_3_iphone_plane_charge_laptop.jpeg','htlr_powerup_3_iphone_plane_charge_laptop.jpeg','image/jpeg','r',35259,1537174085),(50,18,60,'',600,600,'e3de7492e6c0f46dfb4c7dd01143bb08',1,'htlr_powerup_3_iphone_plane_battery_pack.jpeg','htlr_powerup_3_iphone_plane_battery_pack.jpeg','image/jpeg','r',45895,1537174085),(51,19,10,'',600,513,'1a02c0df3c380ed30112aea7396431dc',1,'177a_chocolate_covered_edible_bugs_gift_pack.jpeg','177a_chocolate_covered_edible_bugs_gift_pack.jpeg','image/jpeg','r',92224,1537174085),(52,19,20,'',600,546,'24b9e8a52569e7d709b5e3f8b78b9cdc',1,'177a_chocolate_covered_edible_bugs_gift_pack_scorpions.jpeg','177a_chocolate_covered_edible_bugs_gift_pack_scorpions.jpeg','image/jpeg','r',81892,1537174085),(53,19,30,'',600,504,'3752933f0c2dad1c2c87308d5677b852',1,'177a_chocolate_covered_edible_bugs_gift_pack_silkworms.jpeg','177a_chocolate_covered_edible_bugs_gift_pack_silkworms.jpeg','image/jpeg','r',83929,1537174085),(54,19,40,'',600,538,'5fe9a7ba8d8e35569a8827c5647ce7d9',1,'177a_chocolate_covered_edible_bugs_gift_pack_inhand.jpeg','177a_chocolate_covered_edible_bugs_gift_pack_inhand.jpeg','image/jpeg','r',65057,1537174085),(55,20,10,'',600,700,'7bc0e801f4f6e1ab6b1311d4657c3e32',1,'e5a7_canned_unicorn_meat.jpeg','e5a7_canned_unicorn_meat.jpeg','image/jpeg','r',162392,1537174085),(56,20,20,'',600,813,'7ea0ad588cbd1fa128a2a6eeea8e7966',1,'e5a7_canned_unicorn_meat_eating.jpeg','e5a7_canned_unicorn_meat_eating.jpeg','image/jpeg','r',105856,1537174085),(57,20,30,'',600,600,'eb59d679c6b85520d53f1f96ac8624c2',1,'e5a7_canned_unicorn_meat_inside.jpeg','e5a7_canned_unicorn_meat_inside.jpeg','image/jpeg','r',54026,1537174085),(58,20,40,'',600,411,'4d06b7040819d7d828a71ebff319b803',1,'e5a7_canned_unicorn_meat_pantry.jpeg','e5a7_canned_unicorn_meat_pantry.jpeg','image/jpeg','r',67806,1537174085),(59,20,50,'',600,549,'a7454124cb3f15ea8664010d95eb3be3',1,'e5a7_canned_unicorn_meat_parts_diagram.jpeg','e5a7_canned_unicorn_meat_parts_diagram.jpeg','image/jpeg','r',116928,1537174085),(60,21,10,'',600,600,'8c493fa135c9fb1b2d92710871397d89',1,'b278_thinkgeek_annoy-a-tron_text.jpeg','b278_thinkgeek_annoy-a-tron_text.jpeg','image/jpeg','r',78968,1537174085),(61,22,10,'',600,600,'8ab1f1af3faea32ebb3f5248cff75d5a',1,'1848_legendary_hero_8-bit_heart_bouquet.jpeg','1848_legendary_hero_8-bit_heart_bouquet.jpeg','image/jpeg','r',45427,1537174085),(62,22,20,'',600,455,'7e81e771d5d58626e2d3cc8b0d4e8721',1,'1848_legendary_hero_8-bit_heart_bouquet_desk.jpeg','1848_legendary_hero_8-bit_heart_bouquet_desk.jpeg','image/jpeg','r',81020,1537174085),(63,22,30,'',600,600,'b9c8485999896a68e37129b6f36bad70',1,'1848_legendary_hero_8-bit_heart_bouquet_detail.jpeg','1848_legendary_hero_8-bit_heart_bouquet_detail.jpeg','image/jpeg','r',71694,1537174085),(64,22,40,'',600,600,'5eed45750a14f14bdbe37e8800290fe3',1,'1848_legendary_hero_8-bit_heart_bouquet_love.jpeg','1848_legendary_hero_8-bit_heart_bouquet_love.jpeg','image/jpeg','r',78847,1537174085),(65,23,10,'',600,355,'b60aa55addc1c96f9046a17171944961',1,'15b7_exec_building_brick_set_chrome.jpeg','15b7_exec_building_brick_set_chrome.jpeg','image/jpeg','r',48764,1537174085),(66,23,20,'',600,600,'7eb85004c26bcd0c2a8b90ede5d29ae5',1,'1b69_exec_building_brick_set_gold_inuse.jpeg','1b69_exec_building_brick_set_gold_inuse.jpeg','image/jpeg','r',90732,1537174085),(67,23,30,'',472,640,'7ce3d70dcc8202e302e7b62274f99cea',1,'15b7_exec_building_brick_set_chrome_pckg.jpeg','15b7_exec_building_brick_set_chrome_pckg.jpeg','image/jpeg','r',85532,1537174085),(68,24,10,'',600,498,'d28af1b8713fedece1eb0a5e8f0945ef',1,'hslh_diablo_goblin_bank_w_sound.jpeg','hslh_diablo_goblin_bank_w_sound.jpeg','image/jpeg','r',74015,1537174085),(69,24,20,'',600,600,'81424ad719e4d0d4f794f8ab8a31ab37',1,'hslh_diablo_goblin_bank_w_sound_side.jpeg','hslh_diablo_goblin_bank_w_sound_side.jpeg','image/jpeg','r',120820,1537174085),(70,24,30,'',600,600,'e543f5b72e51d9c0eb67649b3831a143',1,'hslh_diablo_goblin_bank_w_sound_sword.jpeg','hslh_diablo_goblin_bank_w_sound_sword.jpeg','image/jpeg','r',130351,1537174085),(71,25,10,'',600,600,'9764172389725098128e348dd3935f23',1,'iith_ghostbusters_stay_puft_mug.jpeg','iith_ghostbusters_stay_puft_mug.jpeg','image/jpeg','r',60434,1537174085),(72,25,20,'',600,600,'9f7d29d29d2b371f5bc72c000dcf08be',1,'iith_ghostbusters_stay_puft_mug_inuse.jpeg','iith_ghostbusters_stay_puft_mug_inuse.jpeg','image/jpeg','r',64293,1537174085),(73,26,10,'',600,638,'71fb6b8a0e790ba37ea2eaa2ddbe2370',1,'ee3c_build-on_brick_mug.jpeg','ee3c_build-on_brick_mug.jpeg','image/jpeg','r',95448,1537174085),(74,26,20,'',600,600,'da0b44a89c42e33f0c17f0204f807595',1,'ee3c_build-on_brick_mug_inhand.jpeg','ee3c_build-on_brick_mug_inhand.jpeg','image/jpeg','r',89784,1537174085),(75,26,30,'',650,571,'70af7d4e02e4192bfbd3e36a82c54c36',1,'ee3c_build-on_brick_mug_desk.jpeg','ee3c_build-on_brick_mug_desk.jpeg','image/jpeg','r',115411,1537174085),(76,26,40,'',600,572,'21ac3c78ad9c2dada9a7b85561965a68',1,'ee3c_build-on_brick_mug_red.jpeg','ee3c_build-on_brick_mug_red.jpeg','image/jpeg','r',75721,1537174085),(77,26,50,'',600,600,'bb10a293e7efb0bb3201293784087d54',1,'1955_build-on_brick_mug_black.jpeg','1955_build-on_brick_mug_black.jpeg','image/jpeg','r',101680,1537174085),(78,27,10,'',600,505,'30beabca0e2341549c9105526cf6a06c',1,'htro_superhero_mom_mug.jpeg','htro_superhero_mom_mug.jpeg','image/jpeg','r',89507,1537174085),(79,27,20,'',600,462,'8723381411c99c604ed877798e7ee07b',1,'htro_superhero_mom_mug_back.jpeg','htro_superhero_mom_mug_back.jpeg','image/jpeg','r',60854,1537174085),(80,28,10,'',410,410,'fa22a202ec0e81b1db2168d8f4b39b86',1,'1c80_olloclip_iphone_macro_3in1_lens_system.jpeg','1c80_olloclip_iphone_macro_3in1_lens_system.jpeg','image/jpeg','r',31370,1537174085),(81,28,20,'',600,600,'9dca8bdc53c4d6dbaabcc2d2c421f1f1',1,'1c80_olloclip_iphone_macro_3in1_lens_system_breakout.jpeg','1c80_olloclip_iphone_macro_3in1_lens_system_breakout.jpeg','image/jpeg','r',36198,1537174085),(82,28,30,'',600,600,'ee6dabe6726ef6bfb00d04742e3835a6',1,'1c80_olloclip_iphone_macro_3in1_lens_system_fly.jpeg','1c80_olloclip_iphone_macro_3in1_lens_system_fly.jpeg','image/jpeg','r',57723,1537174085),(83,28,40,'',450,450,'64dad2b5f3678f9690d3eddd3546bfa2',1,'1c80_olloclip_iphone_macro_3in1_lens_system_solo.jpeg','1c80_olloclip_iphone_macro_3in1_lens_system_solo.jpeg','image/jpeg','r',34316,1537174085),(84,28,50,'',380,380,'a8568ccfa2c7b43fef9dea41d151f161',1,'1c80_olloclip_iphone_macro_3in1_lens_system_inuse.jpeg','1c80_olloclip_iphone_macro_3in1_lens_system_inuse.jpeg','image/jpeg','r',26774,1537174085),(85,29,10,'',600,250,'a9f76c3a869f9b4365915587444f1a6c',1,'inkv_gunnar_vayper_gaming_glasses.jpeg','inkv_gunnar_vayper_gaming_glasses.jpeg','image/jpeg','r',31037,1537174085),(86,29,20,'',600,250,'1dda3ee0185b210aeaf54e317e92e272',1,'inkv_gunnar_vayper_gaming_glasses_front.jpeg','inkv_gunnar_vayper_gaming_glasses_front.jpeg','image/jpeg','r',33859,1537174085),(87,29,30,'',600,282,'8d64acc70bb68ed729b1aa0754e7b663',1,'inkv_gunnar_vayper_gaming_glasses_side.jpeg','inkv_gunnar_vayper_gaming_glasses_side.jpeg','image/jpeg','r',43222,1537174085),(88,30,10,'',600,600,'67ea643e36986c7aa9b075af75cd55b3',1,'htjo_astro_a50_halo_headset.jpeg','htjo_astro_a50_halo_headset.jpeg','image/jpeg','r',67689,1537174085),(89,30,20,'',600,600,'2d62907536d08349360b845477772da9',1,'htjo_astro_a50_halo_headset_bundle.jpeg','htjo_astro_a50_halo_headset_bundle.jpeg','image/jpeg','r',82618,1537174085),(90,30,30,'',600,600,'620a6f8983f1db2f59545310d4e24ac6',1,'htjo_astro_a50_halo_headset_side.jpeg','htjo_astro_a50_halo_headset_side.jpeg','image/jpeg','r',50553,1537174085),(91,30,40,'',600,600,'e80889c238f5f44d50a056595d261e9d',1,'htjo_astro_a50_halo_headset_connect.jpeg','htjo_astro_a50_halo_headset_connect.jpeg','image/jpeg','r',75735,1537174085),(92,31,10,'',600,360,'e65ce5836f99b2d5122af8be3aff3fd3',1,'htil_espresso_bluetooth_speaker.jpeg','htil_espresso_bluetooth_speaker.jpeg','image/jpeg','r',63725,1537174085),(93,31,20,'',600,600,'d407dc16987439ac815dc18d7050dcfa',1,'htil_espresso_bluetooth_speaker_grid.jpeg','htil_espresso_bluetooth_speaker_grid.jpeg','image/jpeg','r',70587,1537174085),(94,31,30,'',600,600,'f998be3489a221263245101b2c79f987',1,'htil_espresso_bluetooth_speaker_clip.jpeg','htil_espresso_bluetooth_speaker_clip.jpeg','image/jpeg','r',135521,1537174085),(95,32,10,'',600,431,'aa1842cfc3ccc0397c6ff6aecff1e810',1,'htij_jbl_pebbles.jpeg','htij_jbl_pebbles.jpeg','image/jpeg','r',68275,1537174085),(96,32,20,'',600,600,'0ed6d5b831f6e53ac36de84681305b13',1,'htij_jbl_pebbles_white.jpeg','htij_jbl_pebbles_white.jpeg','image/jpeg','r',62392,1537174085),(97,32,30,'',650,464,'75f7141ef4e498f3b39e182476692236',1,'htij_jbl_pebbles_inuse.jpeg','htij_jbl_pebbles_inuse.jpeg','image/jpeg','r',107177,1537174085),(98,32,40,'',500,294,'2eb5de27b757f757c5125744c7005514',1,'htij_jbl_pebbles_aux.jpeg','htij_jbl_pebbles_aux.jpeg','image/jpeg','r',31561,1537174085),(99,33,10,'',600,600,'d0f10c6330e47d3ab56740299bd8bc08',1,'1585_bright_idea_usb_powered_light_bulb.jpeg','1585_bright_idea_usb_powered_light_bulb.jpeg','image/jpeg','r',36096,1537174085),(100,33,20,'',600,400,'ecabb82994ecbb495ab6f40345610d9d',1,'1585_bright_idea_usb_powered_light_bulb_inuse.jpeg','1585_bright_idea_usb_powered_light_bulb_inuse.jpeg','image/jpeg','r',38260,1537174085),(101,34,10,'',600,600,'dd0deb799e4ec39cb85a39e98ef9cd97',1,'hujs_mj_tech_android_tablet.jpeg','hujs_mj_tech_android_tablet.jpeg','image/jpeg','r',84485,1537174085),(102,34,20,'',600,600,'43d20a3e4253c062c5495382f18c1788',1,'hujs_mj_tech_android_tablet_inuse1.jpeg','hujs_mj_tech_android_tablet_inuse1.jpeg','image/jpeg','r',43912,1537174085),(103,34,30,'',600,600,'281e484190bd84464aa0e15988da6ae5',1,'hujs_mj_tech_android_tablet_inuse2.jpeg','hujs_mj_tech_android_tablet_inuse2.jpeg','image/jpeg','r',55501,1537174085),(104,34,40,'',600,600,'6ba274db0d055322d4493f14ace7269b',1,'hujs_mj_tech_android_tablet_inuse3.jpeg','hujs_mj_tech_android_tablet_inuse3.jpeg','image/jpeg','r',73010,1537174085),(105,35,10,'',443,650,'9813f90b1bbf8220c53431edbb5736a5',1,'210b_bactrack_vio_bluetooth_app_breathalyzer.jpeg','210b_bactrack_vio_bluetooth_app_breathalyzer.jpeg','image/jpeg','r',64534,1537174085),(106,35,20,'',600,600,'ba328bc4f4cd9ee4da60ccafe691343a',1,'210b_bactrack_vio_bluetooth_breathalyzer_iwatch.jpeg','210b_bactrack_vio_bluetooth_breathalyzer_iwatch.jpeg','image/jpeg','r',47798,1537174085),(107,35,30,'',600,600,'a01978d7692e460bb9d4cb92ba4840b8',1,'210b_bactrack_vio_bluetooth_app_breathalyzer_inuse.jpeg','210b_bactrack_vio_bluetooth_app_breathalyzer_inuse.jpeg','image/jpeg','r',191341,1537174085),(108,35,40,'',600,600,'a872a956e31c4e84b110aa0de1471df8',1,'210b_bactrack_vio_bluetooth_app_breathalyzer_flat.jpeg','210b_bactrack_vio_bluetooth_app_breathalyzer_flat.jpeg','image/jpeg','r',62884,1537174085),(109,35,50,'',600,600,'3aea4654ddc2df9350141290dbca17b6',1,'210b_bactrack_vio_bluetooth_app_breathalyzer_table.jpeg','210b_bactrack_vio_bluetooth_app_breathalyzer_table.jpeg','image/jpeg','r',119636,1537174085),(110,36,10,'',400,457,'7831ba21e67774ab8993e0973b529a9c',1,'b29e_coffee_cup_inverter.jpeg','b29e_coffee_cup_inverter.jpeg','image/jpeg','r',40012,1537174085),(111,36,20,'',400,400,'1557320df2c17697706ce8d05ece8ffb',1,'b29e_coffee_cup_inverter_inuse.jpeg','b29e_coffee_cup_inverter_inuse.jpeg','image/jpeg','r',21338,1537174085),(112,36,30,'',400,529,'2480eb940d51d00dad2be46a8ec6332d',1,'b29e_coffee_cup_inverter_package.jpeg','b29e_coffee_cup_inverter_package.jpeg','image/jpeg','r',62191,1537174085),(113,37,10,'',434,555,'f515c9d6f4f524d3bf0b013e90856426',1,'iphone6.png','iphone6.png','image/png','r',204624,1537174085),(114,37,20,'',596,700,'7e87077dc9c40df95fd72129d8e8cd78',1,'iPhone6_4.jpeg','iPhone6_4.jpeg','image/jpeg','r',60034,1537174085),(115,37,30,'',251,700,'0239cba5b147c475ed707becd18733cf',1,'iPhone6_1.jpeg','iPhone6_1.jpeg','image/jpeg','r',69709,1537174085),(116,38,10,'',570,395,'25c1dc8f140839535053c584bd680552',1,'i.jpeg','i.jpeg','image/jpeg','r',71095,1537174085),(117,39,10,'',401,454,'eea160dd409196298d499ef3f882f8dc',1,'watch.jpeg','watch.jpeg','image/jpeg','r',40976,1537174085),(118,39,20,'',402,454,'16e14a5099b6d5a4fad9470aeb773b30',1,'watch1.jpeg','watch1.jpeg','image/jpeg','r',56147,1537174085),(119,39,30,'',402,454,'6c0a40c2c7254de73860b25582696375',1,'watch2.jpeg','watch2.jpeg','image/jpeg','r',52241,1537174085),(120,39,40,'',402,454,'957ddb940d399dbc39f317aa58228ce3',1,'watch3.jpeg','watch3.jpeg','image/jpeg','r',56314,1537174085),(121,39,50,'',402,454,'b62d02d906d4fcf9a419805c10b7e18c',1,'watch5.jpeg','watch5.jpeg','image/jpeg','r',49611,1537174085),(122,40,10,'',600,600,'dc886671bf270c264b7ce3553b063986',1,'htjm_astro_a30_headset_black.jpeg','htjm_astro_a30_headset_black.jpeg','image/jpeg','r',69981,1537174085),(123,40,20,'',600,600,'94de9bc543549a7defa63db0542ee995',1,'htjm_astro_a30_headset_white.jpeg','htjm_astro_a30_headset_white.jpeg','image/jpeg','r',63728,1537174085),(124,40,30,'',600,600,'32252209f9950b2292833ac8c5a42914',1,'htjm_astro_a30_headset_black_controls.jpeg','htjm_astro_a30_headset_black_controls.jpeg','image/jpeg','r',60723,1537174085),(125,40,40,'',600,600,'69966c3ef575de1963bcc513a00ae7d3',1,'htjm_astro_a30_headset_black_side.jpeg','htjm_astro_a30_headset_black_side.jpeg','image/jpeg','r',54352,1537174085),(126,40,50,'',600,600,'b20e1a27cc4695d615399ddba22b0872',1,'htjm_astro_a30_headset_black_flat.jpeg','htjm_astro_a30_headset_black_flat.jpeg','image/jpeg','r',71614,1537174085),(127,40,60,'',600,600,'72931e566827a70d260377fc8675636f',1,'htjm_astro_a30_headset_white_flat.jpeg','htjm_astro_a30_headset_white_flat.jpeg','image/jpeg','r',64852,1537174085),(128,41,10,'',434,555,'526a7c5e8041cd7d21053841f93fffea',1,'iphone6plus.png','iphone6plus.png','image/png','r',237417,1537174085),(129,41,20,'',596,700,'1dbeda47e261be3c2b4dc595294f5c4c',1,'iPhone6_4_1.jpeg','iPhone6_4.jpeg','image/jpeg','r',59053,1537174085),(130,41,30,'',251,700,'375550835b5b0da3b28b0a3f4c40221d',1,'iPhone6_1_1.jpeg','iPhone6_1.jpeg','image/jpeg','r',69713,1537174085),(131,42,10,'iPhone 5S',437,498,'1497070405ebee9f5faad2197c791390',1,'iphonese-select-2016.png','iphonese-select-2016.png','image/png','r',149929,1537174085);
/*!40000 ALTER TABLE `xc_product_images` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_product_membership_links`
--

DROP TABLE IF EXISTS `xc_product_membership_links`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_product_membership_links` (
  `product_id` int(10) unsigned NOT NULL,
  `membership_id` int(10) unsigned NOT NULL,
  PRIMARY KEY (`product_id`,`membership_id`),
  KEY `IDX_45E924C4344584665A` (`product_id`),
  KEY `IDX_45E924C4341FB354CD` (`membership_id`),
  CONSTRAINT `FK_45E924C4341FB354CD` FOREIGN KEY (`membership_id`) REFERENCES `xc_memberships` (`membership_id`) ON DELETE CASCADE,
  CONSTRAINT `FK_45E924C4344584665A` FOREIGN KEY (`product_id`) REFERENCES `xc_products` (`product_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_product_membership_links`
--

LOCK TABLES `xc_product_membership_links` WRITE;
/*!40000 ALTER TABLE `xc_product_membership_links` DISABLE KEYS */;
/*!40000 ALTER TABLE `xc_product_membership_links` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_product_min_quantities`
--

DROP TABLE IF EXISTS `xc_product_min_quantities`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_product_min_quantities` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `membership_id` int(10) unsigned DEFAULT NULL,
  `product_id` int(10) unsigned DEFAULT NULL,
  `quantity` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `pair` (`product_id`,`membership_id`),
  KEY `IDX_C4D854111FB354CD` (`membership_id`),
  KEY `IDX_C4D854114584665A` (`product_id`),
  CONSTRAINT `FK_C4D854111FB354CD` FOREIGN KEY (`membership_id`) REFERENCES `xc_memberships` (`membership_id`) ON DELETE CASCADE,
  CONSTRAINT `FK_C4D854114584665A` FOREIGN KEY (`product_id`) REFERENCES `xc_products` (`product_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_product_min_quantities`
--

LOCK TABLES `xc_product_min_quantities` WRITE;
/*!40000 ALTER TABLE `xc_product_min_quantities` DISABLE KEYS */;
/*!40000 ALTER TABLE `xc_product_min_quantities` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_product_stats`
--

DROP TABLE IF EXISTS `xc_product_stats`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_product_stats` (
  `stat_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `viewed_product_id` int(10) unsigned DEFAULT NULL,
  `bought_product_id` int(10) unsigned DEFAULT NULL,
  `count` int(10) unsigned NOT NULL,
  PRIMARY KEY (`stat_id`),
  KEY `IDX_45B01836BC658EF086` (`viewed_product_id`),
  KEY `IDX_45B01836BC3BA20971` (`bought_product_id`),
  CONSTRAINT `FK_45B01836BC3BA20971` FOREIGN KEY (`bought_product_id`) REFERENCES `xc_products` (`product_id`) ON DELETE CASCADE,
  CONSTRAINT `FK_45B01836BC658EF086` FOREIGN KEY (`viewed_product_id`) REFERENCES `xc_products` (`product_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_product_stats`
--

LOCK TABLES `xc_product_stats` WRITE;
/*!40000 ALTER TABLE `xc_product_stats` DISABLE KEYS */;
/*!40000 ALTER TABLE `xc_product_stats` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_product_tab_translations`
--

DROP TABLE IF EXISTS `xc_product_tab_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_product_tab_translations` (
  `label_id` int(11) NOT NULL AUTO_INCREMENT,
  `id` int(10) unsigned DEFAULT NULL,
  `name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `brief_info` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `content` longtext COLLATE utf8_unicode_ci NOT NULL,
  `code` char(2) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`label_id`),
  KEY `IDX_45D669DEC9BF396750` (`id`),
  CONSTRAINT `FK_45D669DEC9BF396750` FOREIGN KEY (`id`) REFERENCES `xc_product_tabs` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_product_tab_translations`
--

LOCK TABLES `xc_product_tab_translations` WRITE;
/*!40000 ALTER TABLE `xc_product_tab_translations` DISABLE KEYS */;
INSERT INTO `xc_product_tab_translations` VALUES (1,190,'Privacy','','<h1 class=\"hero-headline\">Apple’s commitment to your privacy</h1>\n<p>At Apple, your trust means everything to us. That’s why we respect your privacy and protect it with strong encryption, plus strict policies that govern how all data is handled.</p>\n<p>Security and privacy are fundamental to the design of all our hardware, software, and services, including iCloud and new services like Apple Pay. And we continue to make improvements. Two-step verification, which we encourage all our customers to use, in addition to protecting your Apple ID account information, now also protects all of the data you store and keep up to date with iCloud.</p>\n<p>We believe in telling you up front exactly what’s going to happen to your personal information and asking for your permission before you share it with us. And if you change your mind later, we make it easy to stop sharing with us. Every Apple product is designed around those principles. When we do ask to use your data, it’s to provide you with a better user experience.</p>\n<p>We’re publishing this website to explain how we handle your personal information, what we do and don’t collect, and why. We’re going to make sure you get updates here about privacy at Apple at least once a year and whenever there are significant changes to our policies.</p>\n<p>A few years ago, users of Internet services began to realize that when an online service is free, you’re not the customer. You’re the product. But at Apple, we believe a great customer experience shouldn’t come at the expense of your privacy.</p>\n<p>Our business model is very straightforward: We sell great products. We don’t build a profile based on your email content or web browsing habits to sell to advertisers. We don’t “monetize” the information you store on your iPhone or in iCloud. And we don’t read your email or your messages to get information to market to you. Our software and services are designed to make our devices better. Plain and simple.</p>\n<p>One very small part of our business does serve advertisers, and that’s iAd. We built an advertising network because some app developers depend on that business model, and we want to support them as well as a free iTunes Radio service. iAd sticks to the same privacy policy that applies to every other Apple product. It doesn’t get data from Health and HomeKit, Maps, Siri, iMessage, your call history, or any iCloud service like Contacts or Mail, and you can always just opt out altogether.</p>\n<p>Finally, I want to be absolutely clear that we have never worked with any government agency from any country to create a backdoor in any of our products or services. We have also never allowed access to our servers. And we never will.</p>\n<p>Our commitment to protecting your privacy comes from a deep respect for our customers. We know that your trust doesn’t come easy. That’s why we have and always will work as hard as we can to earn and keep it.</p>\n<p><strong>Tim Cook</strong><br /><span class=\"attribution-title\">CEO, Apple Inc.</span></p>','en'),(2,190,'Конфиденциальность','','<h1 class=\"hero-headline\">Политика конфиденциальности Apple</h1>\n<p>Компания Apple очень дорожит вашим доверием. И мы уважаем ваше право на защиту личных данных. Чтобы обеспечить конфиденциальность, мы используем надёжное шифрование и выполняем строгие правила, которые применяются при обработке любой информации.</p>\n<p>Безопасность и конфиденциальность лежат в основе всех наших устройств, приложений и служб, включая iCloud и новые сервисы, такие как Apple Pay. И мы продолжаем совершенствовать средства защиты. Так, все данные, которые хранятся в iCloud или синхронизируются через него, теперь защищаются при помощи проверки подлинности в два этапа. Мы всем рекомендуем пользоваться ей и обязательно хранить в тайне Apple ID и пароль.</p>\n<p>Мы считаем своей обязанностью заранее предупреждать вас о том, что может случиться с вашей личной информацией, и получать согласие на предоставление этих данных. А если вы передумаете, то в любой момент сможете отключить передачу личных данных. По этому принципу работает каждый продукт Apple. Если мы запрашиваем ваши данные, то только для того, чтобы вам было проще и удобнее пользоваться нашей продукцией.</p>\n<p>Мы создали этот веб-сайт, чтобы объяснить вам, как и почему мы используем личную информацию, какие сведения мы собираем, а какие нет. Мы обязательно будем обновлять текст Политики конфиденциальности на этом сайте как минимум раз в год, а также при внесении любых существенных изменений.</p>\n<p>Несколько лет назад пользователи некоторых интернет-сервисов стали замечать, что из клиентов они превращаются в товар. Мы в Apple убеждены, что высокое качество обслуживания не должно достигаться в ущерб конфиденциальности.</p>\n<p>Модель нашего бизнеса крайне проста: мы продаём отличные продукты. Мы не создаём досье на основе переписки, истории просмотра веб-сайтов и других действий, и мы никогда не выставим на продажу данные своих пользователей. Мы не пытаемся заработать на информации, которую вы храните на iPad и в iCloud. И мы не читаем вашу почту и сообщения, чтобы показывать вам рекламу. Наше программное обеспечение и услуги созданы для вашего удобства. И ни для чего другого.</p>\n<p>Единственное, что мы делаем для рекламодателей — это iAd. Мы создали рекламную сеть, потому что некоторые разработчики зависят от такой модели ведения бизнеса, и нам хотелось бы их поддержать. То же самое можно сказать про бесплатную службу iTunes Radio. iAd подчиняется той же политике безопасности, что и все остальные решения Apple. Она не получает информацию от приложений Здоровье, HomeKit, Карты, Siri и iMessage, не имеет доступа к истории звонков, не подключается к таким службам iCloud, как Контакты или Mail, и так далее. И вы можете полностью от неё отказаться в любой момент.</p>\n<p>Наконец, я хотел бы прямо заявить, что мы никогда не сотрудничали с государственными органами каких бы то ни было стран на предмет создания «лазеек» в наших продуктах и службах. Мы никогда не давали доступа к нашим серверам. И обязуемся не делать этого в будущем.</p>\n<p>Мы защищаем вашу личную информацию, потому что уважаем вас. Мы знаем, как непросто заслужить доверие. И именно поэтому мы всегда будем делать всё возможное, чтобы не утратить его.</p>\n<p><strong>Тим Кук</strong><br /><span class=\"attribution-title\">Генеральный директор Apple Inc.</span></p>','ru'),(3,191,'Конфиденциальность','','<h1 class=\"hero-headline\">Политика конфиденциальности Apple</h1>\n<p>Компания Apple очень дорожит вашим доверием. И мы уважаем ваше право на защиту личных данных. Чтобы обеспечить конфиденциальность, мы используем надёжное шифрование и выполняем строгие правила, которые применяются при обработке любой информации.</p>\n<p>Безопасность и конфиденциальность лежат в основе всех наших устройств, приложений и служб, включая iCloud и новые сервисы, такие как Apple Pay. И мы продолжаем совершенствовать средства защиты. Так, все данные, которые хранятся в iCloud или синхронизируются через него, теперь защищаются при помощи проверки подлинности в два этапа. Мы всем рекомендуем пользоваться ей и обязательно хранить в тайне Apple ID и пароль.</p>\n<p>Мы считаем своей обязанностью заранее предупреждать вас о том, что может случиться с вашей личной информацией, и получать согласие на предоставление этих данных. А если вы передумаете, то в любой момент сможете отключить передачу личных данных. По этому принципу работает каждый продукт Apple. Если мы запрашиваем ваши данные, то только для того, чтобы вам было проще и удобнее пользоваться нашей продукцией.</p>\n<p>Мы создали этот веб-сайт, чтобы объяснить вам, как и почему мы используем личную информацию, какие сведения мы собираем, а какие нет. Мы обязательно будем обновлять текст Политики конфиденциальности на этом сайте как минимум раз в год, а также при внесении любых существенных изменений.</p>\n<p>Несколько лет назад пользователи некоторых интернет-сервисов стали замечать, что из клиентов они превращаются в товар. Мы в Apple убеждены, что высокое качество обслуживания не должно достигаться в ущерб конфиденциальности.</p>\n<p>Модель нашего бизнеса крайне проста: мы продаём отличные продукты. Мы не создаём досье на основе переписки, истории просмотра веб-сайтов и других действий, и мы никогда не выставим на продажу данные своих пользователей. Мы не пытаемся заработать на информации, которую вы храните на iPad и в iCloud. И мы не читаем вашу почту и сообщения, чтобы показывать вам рекламу. Наше программное обеспечение и услуги созданы для вашего удобства. И ни для чего другого.</p>\n<p>Единственное, что мы делаем для рекламодателей — это iAd. Мы создали рекламную сеть, потому что некоторые разработчики зависят от такой модели ведения бизнеса, и нам хотелось бы их поддержать. То же самое можно сказать про бесплатную службу iTunes Radio. iAd подчиняется той же политике безопасности, что и все остальные решения Apple. Она не получает информацию от приложений Здоровье, HomeKit, Карты, Siri и iMessage, не имеет доступа к истории звонков, не подключается к таким службам iCloud, как Контакты или Mail, и так далее. И вы можете полностью от неё отказаться в любой момент.</p>\n<p>Наконец, я хотел бы прямо заявить, что мы никогда не сотрудничали с государственными органами каких бы то ни было стран на предмет создания «лазеек» в наших продуктах и службах. Мы никогда не давали доступа к нашим серверам. И обязуемся не делать этого в будущем.</p>\n<p>Мы защищаем вашу личную информацию, потому что уважаем вас. Мы знаем, как непросто заслужить доверие. И именно поэтому мы всегда будем делать всё возможное, чтобы не утратить его.</p>\n<p><strong>Тим Кук</strong><br /><span class=\"attribution-title\">Генеральный директор Apple Inc.</span></p>','ru'),(4,191,'Privacy','','<h1 class=\"hero-headline\">Apple’s commitment to your privacy</h1>\n<p>At Apple, your trust means everything to us. That’s why we respect your privacy and protect it with strong encryption, plus strict policies that govern how all data is handled.</p>\n<p>Security and privacy are fundamental to the design of all our hardware, software, and services, including iCloud and new services like Apple Pay. And we continue to make improvements. Two-step verification, which we encourage all our customers to use, in addition to protecting your Apple ID account information, now also protects all of the data you store and keep up to date with iCloud.</p>\n<p>We believe in telling you up front exactly what’s going to happen to your personal information and asking for your permission before you share it with us. And if you change your mind later, we make it easy to stop sharing with us. Every Apple product is designed around those principles. When we do ask to use your data, it’s to provide you with a better user experience.</p>\n<p>We’re publishing this website to explain how we handle your personal information, what we do and don’t collect, and why. We’re going to make sure you get updates here about privacy at Apple at least once a year and whenever there are significant changes to our policies.</p>\n<p>A few years ago, users of Internet services began to realize that when an online service is free, you’re not the customer. You’re the product. But at Apple, we believe a great customer experience shouldn’t come at the expense of your privacy.</p>\n<p>Our business model is very straightforward: We sell great products. We don’t build a profile based on your email content or web browsing habits to sell to advertisers. We don’t “monetize” the information you store on your iPhone or in iCloud. And we don’t read your email or your messages to get information to market to you. Our software and services are designed to make our devices better. Plain and simple.</p>\n<p>One very small part of our business does serve advertisers, and that’s iAd. We built an advertising network because some app developers depend on that business model, and we want to support them as well as a free iTunes Radio service. iAd sticks to the same privacy policy that applies to every other Apple product. It doesn’t get data from Health and HomeKit, Maps, Siri, iMessage, your call history, or any iCloud service like Contacts or Mail, and you can always just opt out altogether.</p>\n<p>Finally, I want to be absolutely clear that we have never worked with any government agency from any country to create a backdoor in any of our products or services. We have also never allowed access to our servers. And we never will.</p>\n<p>Our commitment to protecting your privacy comes from a deep respect for our customers. We know that your trust doesn’t come easy. That’s why we have and always will work as hard as we can to earn and keep it.</p>\n<p><strong>Tim Cook</strong><br /><span class=\"attribution-title\">CEO, Apple Inc.</span></p>','en');
/*!40000 ALTER TABLE `xc_product_tab_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_product_tabs`
--

DROP TABLE IF EXISTS `xc_product_tabs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_product_tabs` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `product_id` int(10) unsigned DEFAULT NULL,
  `global_tab_id` int(10) unsigned DEFAULT NULL,
  `position` int(11) NOT NULL,
  `enabled` tinyint(1) NOT NULL,
  `link` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `product_global_tab` (`product_id`,`global_tab_id`),
  KEY `IDX_45F5B7716D4584665A` (`product_id`),
  KEY `IDX_45F5B7716D629D8673` (`global_tab_id`),
  CONSTRAINT `FK_45F5B7716D4584665A` FOREIGN KEY (`product_id`) REFERENCES `xc_products` (`product_id`) ON DELETE CASCADE,
  CONSTRAINT `FK_45F5B7716D629D8673` FOREIGN KEY (`global_tab_id`) REFERENCES `xc_global_product_tabs` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=423 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_product_tabs`
--

LOCK TABLES `xc_product_tabs` WRITE;
/*!40000 ALTER TABLE `xc_product_tabs` DISABLE KEYS */;
INSERT INTO `xc_product_tabs` VALUES (1,1,5,-10,1,NULL),(2,2,5,-10,1,NULL),(3,3,5,-10,1,NULL),(4,4,5,-10,1,NULL),(5,5,5,-10,1,NULL),(6,6,5,-10,1,NULL),(7,7,5,-10,1,NULL),(8,8,5,-10,1,NULL),(9,9,5,-10,1,NULL),(10,10,5,-10,1,NULL),(11,11,5,-10,1,NULL),(12,12,5,-10,1,NULL),(13,13,5,-10,1,NULL),(14,14,5,-10,1,NULL),(15,15,5,-10,1,NULL),(16,16,5,-10,1,NULL),(17,17,5,-10,1,NULL),(18,18,5,-10,1,NULL),(19,19,5,-10,1,NULL),(20,20,5,-10,1,NULL),(21,21,5,-10,1,NULL),(22,22,5,-10,1,NULL),(23,23,5,-10,1,NULL),(24,24,5,-10,1,NULL),(25,25,5,-10,1,NULL),(26,26,5,-10,1,NULL),(27,27,5,-10,1,NULL),(28,28,5,-10,1,NULL),(29,29,5,-10,1,NULL),(30,30,5,-10,1,NULL),(31,31,5,-10,1,NULL),(32,32,5,-10,1,NULL),(33,33,5,-10,1,NULL),(34,34,5,-10,1,NULL),(35,35,5,-10,1,NULL),(36,36,5,-10,1,NULL),(37,37,5,-10,1,NULL),(38,38,5,-10,1,NULL),(39,39,5,-10,1,NULL),(40,40,5,-10,1,NULL),(41,41,5,-10,1,NULL),(42,42,5,-10,1,NULL),(64,1,6,-10,1,NULL),(65,2,6,-10,1,NULL),(66,3,6,-10,1,NULL),(67,4,6,-10,1,NULL),(68,5,6,-10,1,NULL),(69,6,6,-10,1,NULL),(70,7,6,-10,1,NULL),(71,8,6,-10,1,NULL),(72,9,6,-10,1,NULL),(73,10,6,-10,1,NULL),(74,11,6,-10,1,NULL),(75,12,6,-10,1,NULL),(76,13,6,-10,1,NULL),(77,14,6,-10,1,NULL),(78,15,6,-10,1,NULL),(79,16,6,-10,1,NULL),(80,17,6,-10,1,NULL),(81,18,6,-10,1,NULL),(82,19,6,-10,1,NULL),(83,20,6,-10,1,NULL),(84,21,6,-10,1,NULL),(85,22,6,-10,1,NULL),(86,23,6,-10,1,NULL),(87,24,6,-10,1,NULL),(88,25,6,-10,1,NULL),(89,26,6,-10,1,NULL),(90,27,6,-10,1,NULL),(91,28,6,-10,1,NULL),(92,29,6,-10,1,NULL),(93,30,6,-10,1,NULL),(94,31,6,-10,1,NULL),(95,32,6,-10,1,NULL),(96,33,6,-10,1,NULL),(97,34,6,-10,1,NULL),(98,35,6,-10,1,NULL),(99,36,6,-10,1,NULL),(100,37,6,-10,1,NULL),(101,38,6,-10,1,NULL),(102,39,6,-10,1,NULL),(103,40,6,-10,1,NULL),(104,41,6,-10,1,NULL),(105,42,6,-10,1,NULL),(127,1,7,-10,1,NULL),(128,2,7,-10,1,NULL),(129,3,7,-10,1,NULL),(130,4,7,-10,1,NULL),(131,5,7,-10,1,NULL),(132,6,7,-10,1,NULL),(133,7,7,-10,1,NULL),(134,8,7,-10,1,NULL),(135,9,7,-10,1,NULL),(136,10,7,-10,1,NULL),(137,11,7,-10,1,NULL),(138,12,7,-10,1,NULL),(139,13,7,-10,1,NULL),(140,14,7,-10,1,NULL),(141,15,7,-10,1,NULL),(142,16,7,-10,1,NULL),(143,17,7,-10,1,NULL),(144,18,7,-10,1,NULL),(145,19,7,-10,1,NULL),(146,20,7,-10,1,NULL),(147,21,7,-10,1,NULL),(148,22,7,-10,1,NULL),(149,23,7,-10,1,NULL),(150,24,7,-10,1,NULL),(151,25,7,-10,1,NULL),(152,26,7,-10,1,NULL),(153,27,7,-10,1,NULL),(154,28,7,-10,1,NULL),(155,29,7,-10,1,NULL),(156,30,7,-10,1,NULL),(157,31,7,-10,1,NULL),(158,32,7,-10,1,NULL),(159,33,7,-10,1,NULL),(160,34,7,-10,1,NULL),(161,35,7,-10,1,NULL),(162,36,7,-10,1,NULL),(163,37,7,-10,1,NULL),(164,38,7,-10,1,NULL),(165,39,7,-10,1,NULL),(166,40,7,-10,1,NULL),(167,41,7,-10,1,NULL),(168,42,7,-10,1,NULL),(190,37,NULL,0,1,'Privacy'),(191,42,NULL,0,1,'Privacy'),(192,1,1,-80,1,NULL),(193,2,1,-80,1,NULL),(194,3,1,-80,1,NULL),(195,4,1,-80,1,NULL),(196,5,1,-80,1,NULL),(197,6,1,-80,1,NULL),(198,7,1,-80,1,NULL),(199,8,1,-80,1,NULL),(200,9,1,-80,1,NULL),(201,10,1,-80,1,NULL),(202,11,1,-80,1,NULL),(203,12,1,-80,1,NULL),(204,13,1,-80,1,NULL),(205,14,1,-80,1,NULL),(206,15,1,-80,1,NULL),(207,16,1,-80,1,NULL),(208,17,1,-80,1,NULL),(209,18,1,-80,1,NULL),(210,19,1,-80,1,NULL),(211,20,1,-80,1,NULL),(212,21,1,-80,1,NULL),(213,22,1,-80,1,NULL),(214,23,1,-80,1,NULL),(215,24,1,-80,1,NULL),(216,25,1,-80,1,NULL),(217,26,1,-80,1,NULL),(218,27,1,-80,1,NULL),(219,28,1,-80,1,NULL),(220,29,1,-80,1,NULL),(221,30,1,-80,1,NULL),(222,31,1,-80,1,NULL),(223,32,1,-80,1,NULL),(224,33,1,-80,1,NULL),(225,34,1,-80,1,NULL),(226,35,1,-80,1,NULL),(227,36,1,-80,1,NULL),(228,37,1,-80,1,NULL),(229,38,1,-80,1,NULL),(230,39,1,-80,1,NULL),(231,40,1,-80,1,NULL),(232,41,1,-80,1,NULL),(233,42,1,-80,1,NULL),(255,1,2,-70,1,NULL),(256,2,2,-70,1,NULL),(257,3,2,-70,1,NULL),(258,4,2,-70,1,NULL),(259,5,2,-70,1,NULL),(260,6,2,-70,1,NULL),(261,7,2,-70,1,NULL),(262,8,2,-70,1,NULL),(263,9,2,-70,1,NULL),(264,10,2,-70,1,NULL),(265,11,2,-70,1,NULL),(266,12,2,-70,1,NULL),(267,13,2,-70,1,NULL),(268,14,2,-70,1,NULL),(269,15,2,-70,1,NULL),(270,16,2,-70,1,NULL),(271,17,2,-70,1,NULL),(272,18,2,-70,1,NULL),(273,19,2,-70,1,NULL),(274,20,2,-70,1,NULL),(275,21,2,-70,1,NULL),(276,22,2,-70,1,NULL),(277,23,2,-70,1,NULL),(278,24,2,-70,1,NULL),(279,25,2,-70,1,NULL),(280,26,2,-70,1,NULL),(281,27,2,-70,1,NULL),(282,28,2,-70,1,NULL),(283,29,2,-70,1,NULL),(284,30,2,-70,1,NULL),(285,31,2,-70,1,NULL),(286,32,2,-70,1,NULL),(287,33,2,-70,1,NULL),(288,34,2,-70,1,NULL),(289,35,2,-70,1,NULL),(290,36,2,-70,1,NULL),(291,37,2,-70,1,NULL),(292,38,2,-70,1,NULL),(293,39,2,-70,1,NULL),(294,40,2,-70,1,NULL),(295,41,2,-70,1,NULL),(296,42,2,-70,1,NULL),(318,1,3,-60,1,NULL),(319,2,3,-60,1,NULL),(320,3,3,-60,1,NULL),(321,4,3,-60,1,NULL),(322,5,3,-60,1,NULL),(323,6,3,-60,1,NULL),(324,7,3,-60,1,NULL),(325,8,3,-60,1,NULL),(326,9,3,-60,1,NULL),(327,10,3,-60,1,NULL),(328,11,3,-60,1,NULL),(329,12,3,-60,1,NULL),(330,13,3,-60,1,NULL),(331,14,3,-60,1,NULL),(332,15,3,-60,1,NULL),(333,16,3,-60,1,NULL),(334,17,3,-60,1,NULL),(335,18,3,-60,1,NULL),(336,19,3,-60,1,NULL),(337,20,3,-60,1,NULL),(338,21,3,-60,1,NULL),(339,22,3,-60,1,NULL),(340,23,3,-60,1,NULL),(341,24,3,-60,1,NULL),(342,25,3,-60,1,NULL),(343,26,3,-60,1,NULL),(344,27,3,-60,1,NULL),(345,28,3,-60,1,NULL),(346,29,3,-60,1,NULL),(347,30,3,-60,1,NULL),(348,31,3,-60,1,NULL),(349,32,3,-60,1,NULL),(350,33,3,-60,1,NULL),(351,34,3,-60,1,NULL),(352,35,3,-60,1,NULL),(353,36,3,-60,1,NULL),(354,37,3,-60,1,NULL),(355,38,3,-60,1,NULL),(356,39,3,-60,1,NULL),(357,40,3,-60,1,NULL),(358,41,3,-60,1,NULL),(359,42,3,-60,1,NULL),(381,1,4,-30,1,NULL),(382,2,4,-30,1,NULL),(383,3,4,-30,1,NULL),(384,4,4,-30,1,NULL),(385,5,4,-30,1,NULL),(386,6,4,-30,1,NULL),(387,7,4,-30,1,NULL),(388,8,4,-30,1,NULL),(389,9,4,-30,1,NULL),(390,10,4,-30,1,NULL),(391,11,4,-30,1,NULL),(392,12,4,-30,1,NULL),(393,13,4,-30,1,NULL),(394,14,4,-30,1,NULL),(395,15,4,-30,1,NULL),(396,16,4,-30,1,NULL),(397,17,4,-30,1,NULL),(398,18,4,-30,1,NULL),(399,19,4,-30,1,NULL),(400,20,4,-30,1,NULL),(401,21,4,-30,1,NULL),(402,22,4,-30,1,NULL),(403,23,4,-30,1,NULL),(404,24,4,-30,1,NULL),(405,25,4,-30,1,NULL),(406,26,4,-30,1,NULL),(407,27,4,-30,1,NULL),(408,28,4,-30,1,NULL),(409,29,4,-30,1,NULL),(410,30,4,-30,1,NULL),(411,31,4,-30,1,NULL),(412,32,4,-30,1,NULL),(413,33,4,-30,1,NULL),(414,34,4,-30,1,NULL),(415,35,4,-30,1,NULL),(416,36,4,-30,1,NULL),(417,37,4,-30,1,NULL),(418,38,4,-30,1,NULL),(419,39,4,-30,1,NULL),(420,40,4,-30,1,NULL),(421,41,4,-30,1,NULL),(422,42,4,-30,1,NULL);
/*!40000 ALTER TABLE `xc_product_tabs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_product_tags`
--

DROP TABLE IF EXISTS `xc_product_tags`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_product_tags` (
  `product_id` int(10) unsigned NOT NULL,
  `tag_id` int(10) unsigned NOT NULL,
  PRIMARY KEY (`product_id`,`tag_id`),
  KEY `IDX_4588C085284584665A` (`product_id`),
  KEY `IDX_4588C08528BAD26311` (`tag_id`),
  CONSTRAINT `FK_4588C085284584665A` FOREIGN KEY (`product_id`) REFERENCES `xc_products` (`product_id`) ON DELETE CASCADE,
  CONSTRAINT `FK_4588C08528BAD26311` FOREIGN KEY (`tag_id`) REFERENCES `xc_tags` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_product_tags`
--

LOCK TABLES `xc_product_tags` WRITE;
/*!40000 ALTER TABLE `xc_product_tags` DISABLE KEYS */;
/*!40000 ALTER TABLE `xc_product_tags` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_product_translations`
--

DROP TABLE IF EXISTS `xc_product_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_product_translations` (
  `label_id` int(11) NOT NULL AUTO_INCREMENT,
  `id` int(10) unsigned DEFAULT NULL,
  `name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `description` longtext COLLATE utf8_unicode_ci NOT NULL,
  `briefDescription` longtext COLLATE utf8_unicode_ci NOT NULL,
  `metaTags` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `metaDesc` longtext COLLATE utf8_unicode_ci NOT NULL,
  `metaTitle` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `code` char(2) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`label_id`),
  KEY `ci` (`code`,`id`),
  KEY `id` (`id`),
  KEY `name` (`name`),
  CONSTRAINT `FK_45F48089BABF396750` FOREIGN KEY (`id`) REFERENCES `xc_products` (`product_id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=43 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_product_translations`
--

LOCK TABLES `xc_product_translations` WRITE;
/*!40000 ALTER TABLE `xc_product_translations` DISABLE KEYS */;
INSERT INTO `xc_product_translations` VALUES (1,1,'Mordorable! Fitted Ladies\' Tee','<h4 class=\"prodheader\">TALK ABOUT PRECIOUSSSSS!</h4>\n<p>One does not simply walk into Mordor. It\'s best if one <em>skips</em>. Holding hands and singing showtunes, preferably. This shirt features a montage of all the cuteness that\'s to be had when you visit Mordor. There\'s little Gollum waving hello or goodbye or something to The One Ring. Isn\'t it preciousssss? A big ol\' snuggledy battle troll waits patiently to give out \"Free Hugs,\" and an Uruk-hai says \"o hai!\" over his shoulder. In the distance, there\'s Mount Doom with its explosion of lava (read: candy) and happy, puffy clouds of vog. Through the sky flies a friendly Nazgul on his Fell Beast (rawr!). The whole scene is watched over by the big, blinky eye of Sauron perched between the pinnacles of Barad-dûr. Face it. It\'s Mordorable.</p>\n<p>All the cuteness of Mordor is captured on this teal babydoll shirt. Fitted in juniors sizes. Despite the above description, ThinkGeek warns of the potential risks of traveling to Mordor and urges caution when traveling there. And you should definitely be up on your immunizations.</p>','<p>Who doesn\'t want to go to Mordor? With its mountain vistas and minimalist landscapes, your vacation photos are sure to turn out great. (Did we mention black is slimming?) Ancient castles to visit. New species to observe. It\'s the adventure of a lifetime</p>','','Who doesn\'t want to go to Mordor? With its mountain vistas and minimalist landscapes, your vacation photos are sure to turn out great. (Did we mention black is slimming?) Ancient castles to visit. New species to observe. It\'s the adventure of a lifetime','','en'),(2,2,'Octopus Cardigan','<h4 class=\"prodheader\">FOR HUMANS</h4>\n<p>What would you do with eight arms? At first, we thought, \"FOUR LAPTOPS!\" Then we realized that we still only had one pair of eyes. Now we\'re thinking two laptops, an iPod, some knitting, and one arm left for scratching any itches that arise. (Ever notice how you always get itchy whenever your hands are full or nail polish is drying? Pesky!)</p>\n<p>This Octopus Cardigan is for two-armed lifeforms, specifically humanoid. It is 100% cotton black colored cardigan with green Octopus design. See the chart below to select your size.</p>\n<table><tbody><tr><td> </td>\n<td>S</td>\n<td>M</td>\n<td>L</td>\n<td>XL</td>\n</tr><tr><td>Chest</td>\n<td>34 in.</td>\n<td>36 in.</td>\n<td>38 in.</td>\n<td>41 in.</td>\n</tr><tr><td>Length</td>\n<td>16 in.</td>\n<td>16 1/4 in.</td>\n<td>16 1/2 in.</td>\n<td>16 3/4 in.</td>\n</tr></tbody></table>','<p>No, no, not a cardigan FOR an octopus. This one only has two arms, so it\'s for a human. Of course, if you knew a cold octopus, this could warm two of its limbs.</p>','','No, no, not a cardigan FOR an octopus. This one only has two arms, so it\'s for a human. Of course, if you knew a cold octopus, this could warm two of its limbs.','','en'),(3,3,'Spiderman Selfie Ladies\' Tee','<h4 class=\"prodheader\">SELFIE SENSES TINGLING</h4>\n<p>Being a photojournalist for the <em>Daily Bugle</em>, you\'d think Peter Parker would understand how selfies work. Although maybe he\'s taking this shot in a mirror and he\'s going to scan the finished product and post it to Facebook. Or maybe the word \"FLASH!\" in the burst is actually a tip that The Flash is just off the side of this image taking a picture with his phone of Spidey with his camera. Although that would be comic book universes colliding.... Maybe we think about things too much.</p>\n<p>Spiderman taking a photo with the hashtag #amazing beneath on the front of this black, 100% cotton ladies\' shirt. Machine wash cold. Tumble dry low or lay flat to dry. Imported.</p>\n<p><em>Please note that the model is wearing a size medium.</em></p>\n<p>Sizing Table</p>\n<table><tbody><tr><td> </td>\n<td>S</td>\n<td>M</td>\n<td>L</td>\n<td>XL</td>\n<td>2X</td>\n<td>3X</td>\n<td> </td>\n</tr><tr><td>Chest</td>\n<td>32 in.</td>\n<td>34 in.</td>\n<td>36 in.</td>\n<td>38 in.</td>\n<td>40 in.</td>\n<td>42 in.</td>\n<td>  </td>\n</tr><tr><td>Body Length</td>\n<td>25 3/4 in.</td>\n<td>26 1/2 in.</td>\n<td>27 1/4 in.</td>\n<td>28 in.</td>\n<td>28 3/4 in.</td>\n<td>30 in.</td>\n</tr></tbody></table>','<p>We\'ll just warn you that if you check this hashtag your mileage may vary. What people think is \"amazing\" differs vastly.</p>','','We\'ll just warn you that if you check this hashtag your mileage may vary. What people think is \"amazing\" differs vastly.','','en'),(4,4,'Star Wars Tissue-Weight Fitted Ladies\' Tee','<h4 class=\"prodheader\">ARE YOU A FAN?</h4>\n<p>As female Star Wars fans, our cosplay options were previously fairly limited. Leia, Slave Leia, maybe a Twi\'lek if you had the patience to paint yourself blue. But thanks to some brave pioneers, crossplay is alive and well in the Star Wars fandom, so we can freely be totally awesome versions of Han Solo, Boba Fett, or even Chewbacca. We\'ve tailored our costumes to meet the needs of our bodies <em>and</em> our fandom. The same should go for our t-shirts, right?</p>\n<p>Star Wars printed in white on a tissue-weight, heather plum, 65% cotton / 35% polyester babydoll (fitted) shirt.</p>\n<p>Note: Please reference the table below to choose your size.</p>\n<table><tbody><tr><td> </td>\n<td>S</td>\n<td>M</td>\n<td>L</td>\n<td>XL</td>\n<td>2X</td>\n</tr><tr><td>Chest</td>\n<td>32 1/2 in.</td>\n<td>34 1/2 in.</td>\n<td>36 1/2 in.</td>\n<td>39 1/2 in.</td>\n<td>41 1/2 in.</td>\n</tr><tr><td>Body Length</td>\n<td>25 in.</td>\n<td>26 in.</td>\n<td>27 in.</td>\n<td>28 in.</td>\n<td>29 in.</td>\n</tr></tbody></table>','<h4 class=\"prodheader\">ARE YOU A FAN?</h4>\n<p>Here is something made especially for all those women who are Star Wars fans! It is cool, it is feminine, and it shows that you are a true fan!</p>','','ARE YOU A FAN?\nHere is something made especially for all those women who are Star Wars fans! It is cool, it is feminine, and it shows that you are a true fan!','','en'),(5,5,'Wonder Woman Hockey Stripe Ladies\' Tee','<div id=\"proddescription\">\n<h4 class=\"prodheader\">*CUE THE THEME MUSIC*</h4>\n<p>Ever notice that nearly every heroine has the superpower of Awesome Hair? Seriously, not a strand out of place, even when they\'re flying, kicking the crap out of someone, or running through a sewer. Perfect. Hair. *sigh* We\'re so jealous.</p>\n<p>Well, heroines and Thor.</p>\n<p>Wonder Woman\'s logo on the front of this blue, 50% cotton / 50% polyester ladies\' shirt. Sleeves have white and blue stripes. Machine wash cold. Tumble dry low or lay flat to dry. Imported.</p>\n<p><em>Please note that the model is wearing a size medium.</em></p>\n<table><tbody><tr><td> </td>\n<td>S</td>\n<td>M</td>\n<td>L</td>\n<td>XL</td>\n<td>2X</td>\n</tr><tr><td>Chest</td>\n<td>30 in.</td>\n<td>32 in</td>\n<td>34 in.</td>\n<td>36 in.</td>\n<td>38 in.</td>\n</tr><tr><td>Waist</td>\n<td>28 in.</td>\n<td>30 in.</td>\n<td>32 in.</td>\n<td>34 in.</td>\n<td>36 in.</td>\n</tr><tr><td>Body Length</td>\n<td>24 in.</td>\n<td>25 in.</td>\n<td>26 in.</td>\n<td>27 in.</td>\n<td>28 in.</td>\n</tr><tr><td>Sleeve Length</td>\n<td>9 3/4 in.</td>\n<td>10 in.</td>\n<td>10 1/4 in.</td>\n<td>10 1/2 in.</td>\n<td>10 3/4 in.</td>\n</tr></tbody></table></div>\n<div id=\"bullets\"> </div>\n<div id=\"olapic_specific_widget\" class=\"olapic olapic-widget-rendered olapic-chrome olapic_items_0 olapic_slide_horizontal\"> </div>','<h4 class=\"prodheader\">*CUE THE THEME MUSIC*</h4>\n<p>If you spin around really fast in this shirt, you won\'t turn into Wonder Woman. But you might get vertigo and fall over. So it\'s probably best if you don\'t do that.</p>','','*CUE THE THEME MUSIC*\nIf you spin around really fast in this shirt, you won\'t turn into Wonder Woman. But you might get vertigo and fall over. So it\'s probably best if you don\'t do that.','','en'),(6,6,'Star Trek Command Cycle Jersey','<h4 class=\"prodheader\">BOLDLY GO! ON YOUR LEFT...</h4>\n<p>Star Trek fans are doctors, lawyers, politicians, coders, engineers, artists, and athletes. They are everywhere, and they are legion. Recognizing each other by their clothes, jewelry, bags, and bumper stickers, they greet each other with a lift of an eyebrow, and a traditional Vulcan salute, answering \"Peace and Long Life\" with the venerated \"Live Long and Prosper.\"</p>\n<p>Once shunted into the back-alleys of fandom, Star Trek fans are now coming out of the woodwork, wearing their pride openly and declaring to the world, \"I\'m a Trekkie. You\'ll have to deal with it.\"</p>\n<p>And you don\'t have to pilot a starship to be a Star Trek fan! You can trade in your warp nacelles for two wheels, and hit the dusty streets and trails of planet Earth. Our new bicycle jersey is made of space-age AIRpass-Pro fiber, which wicks away moisture.</p>\n<p>Product Specifications</p>\n<ul><li>Space-age bicycle jersey is science fact</li>\n<li>Officially-licensed Star Trek merchandise</li>\n<li>Command gold pattern on sleeves and sides made up of alternating Starfleet badges</li>\n<li>Great for the Trek-fan biker in your life</li>\n<li>AIRpass-Pro moisture wicking technology</li>\n<li>UV protection</li>\n<li>Wicks away moisture, keeping you cool and dry</li>\n<li>Hidden, full-length YKK zipper</li>\n<li>3 pockets with reinforced stitching</li>\n<li>Silicon Gripper bottom in rear</li>\n<li>Form-fitting for maximum comfort</li>\n<li>Materials: 100% polyester</li>\n<li>Hand wash, lay flat to dry.</li>\n<li>Made in China</li>\n<li>Please reference the table below to determine your size. Note: Front length does not include collar.</li>\n</ul><p> </p>\n<table><tbody><tr><td>\n<p> </p>\n</td>\n<td>\n<p>S</p>\n</td>\n<td>\n<p>M</p>\n</td>\n<td>\n<p>L</p>\n</td>\n<td>\n<p>XL</p>\n</td>\n<td>\n<p>2XL</p>\n</td>\n<td>\n<p>3XL</p>\n</td>\n</tr><tr><td>\n<p>Chest</p>\n</td>\n<td>\n<p>37 - 39\"</p>\n</td>\n<td>\n<p>39 - 41\"</p>\n</td>\n<td>\n<p>41 - 43\"</p>\n</td>\n<td>\n<p>43 - 45\"</p>\n</td>\n<td>\n<p>45 - 47\"</p>\n</td>\n<td>\n<p>47 - 49\"</p>\n</td>\n</tr><tr><td>\n<p>Waist</p>\n</td>\n<td>\n<p>31 - 33\"</p>\n</td>\n<td>\n<p>33 - 36\"</p>\n</td>\n<td>\n<p>37 - 39\"</p>\n</td>\n<td>\n<p>40 - 43\"</p>\n</td>\n<td>\n<p>44 - 46\"</p>\n</td>\n<td>\n<p>47 - 49\"</p>\n</td>\n</tr><tr><td>\n<p>Front Length</p>\n</td>\n<td>\n<p>19\"</p>\n</td>\n<td>\n<p>22\"</p>\n</td>\n<td>\n<p>24\"</p>\n</td>\n<td>\n<p>26\"</p>\n</td>\n<td>\n<p>28\"</p>\n</td>\n<td>\n<p>30\"</p>\n</td>\n</tr></tbody></table>','<h4 class=\"prodheader\">BOLDLY GO! ON YOUR LEFT...</h4>\n<ul><li>Space-age bicycle jersey is science fact</li>\n<li>Officially-licensed Star Trek merchandise</li>\n<li>Command gold pattern on sleeves and sides made up of alternating Starfleet badges</li>\n</ul>','','BOLDLY GO! ON YOUR LEFT...\nSpace-age bicycle jersey is science fact\nOfficially-licensed Star Trek merchandise\nCommand gold pattern on sleeves and sides made up of alternating Starfleet badges\n','','en'),(7,7,'Star Trek Uniform Polos','<h4 class=\"prodheader\">FROM THE FINAL FRONTIER TO THE OFFICE</h4>\n<blockquote><em>Kirk to Scotty: Meet me at the water cooler. We should talk about the game.</em></blockquote>\n<p>Not everyone in Starfleet worked on the bridge of a spaceship. Some of them were computer programmers, IT workers, and engineers, and they worked in a great office with a ping-pong table and casual Friday.</p>\n<p>Join in the fun with a Star Trek uniform polo shirt! Each different color is embroidered with the appropriate symbol from the Original Series: choose between blue (science), red (operations/engineering), and gold (command).</p>\n<p>Product Specifications</p>\n<ul><li>Polo with embroidered Star Trek insignia</li>\n<li>Corporate casual for Starfleet and your office</li>\n<li>Officially licensed STAR TREK product</li>\n<li>Choose between blue, gold and red</li>\n<li>Materials: 50% cotton, 50% polyester</li>\n<li>Custom embroidery approx. 3 inches tall on left chest</li>\n</ul>','<h4 class=\"prodheader\">FROM THE FINAL FRONTIER TO THE OFFICE</h4>\n<p>These Star Trek uniform polo shirts are perfect for the corporate-casual trekkie in all of us. They\'re made from 50% cotton and 50% polyester and feature embroidered science, engineering or command insignia. All you need to do is choose a color!</p>','','FROM THE FINAL FRONTIER TO THE OFFICE\nThese Star Trek uniform polo shirts are perfect for the corporate-casual trekkie in all of us. They\'re made from 50% cotton and 50% polyester and feature embroidered science, engineering or command insignia. All you need to do is choose a color!','','en'),(8,8,'Bow Ties Are Cool [Unlimited QTY]','<div id=\"proddescription\">\n<h4 class=\"prodheader\">NO TYING REQUIRED.</h4>\n<p>There\'s a long history regarding bow ties, neckties, and doctors. Did you know that pediatricians wear bow ties to avoid being strangled by grabby babies? In fact, neckties are such a danger to doctors and patients that British hospitals banned the wearing of neckties in 2007. \"Colonized by pathogens\" was the exact phrase. Yuck.</p>\n<p>Our Doctor, on the other hand, acquired his signature bow tie in an English hospital, where perhaps it once graced the neck of a cardiologist. (It\'s a pity they never met; that would have been a fun EKG.) We\'re not sure if The Doctor chose it for its fashionable qualities or its utilitarian nature, but he\'s succeeded on both counts.</p>\n<p>\"Bow Ties Are Cool\" printed on a navy blue, 100% cotton t-shirt in the classic \"Keep Calm\" font, topped with a bow tie you don\'t ever have to tie.</p>\n</div>','<h4 class=\"prodheader\">NO TYING REQUIRED.</h4>\n<p>Turns out, The Doctor is quite the influential figure in fashion. In the month after the episode <em>The Eleventh Hour</em> aired, bow tie sales at one UK menswear shop grew by 94%. Who knew?</p>','','NO TYING REQUIRED.\nTurns out, The Doctor is quite the influential figure in fashion. In the month after the episode The Eleventh Hour aired, bow tie sales at one UK menswear shop grew by 94%. Who knew?','','en'),(9,9,'Star Trek TNG Uniform Tee','<h4 class=\"prodheader\">CAPTAIN ON THE BRIDGE</h4>\n<p>We all have questions about Deanna Troi\'s uniform choices. Why doesn\'t she have to wear Starfleet standard issue? Why did she choose that weird asymmetrical blue dress? And why, exactly, is Enterprise the only ship in the fleet with a psychic counselor at the captain\'s left hand?</p>\n<p>All of these problems could be solved pretty quickly with this Star Trek uniform tee, inspired by the TNG uniforms. If Counselor Troi had seen the comfort and quality of these casual Starfleet duds, she would have ditched her pastel dresses in a minute.</p>\n<p>Each TNG Uniform Tee is made from 100% cotton high-quality cut-and-sew construction. Sparkly comm badges and pips are screenprinted. Imported.</p>','<h4 class=\"prodheader\">CAPTAIN ON THE BRIDGE</h4>\n<p>Dress like your favorite Enterprise-D crew member! The Star Trek: The Next Generation uniform t-shirts are constructed just for this purpose, the high quality Picard would demand from his crew. Pips and sparkly comm badges are screen-printed on.</p>','','CAPTAIN ON THE BRIDGE\nDress like your favorite Enterprise-D crew member! The Star Trek: The Next Generation uniform t-shirts are constructed just for this purpose, the high quality Picard would demand from his crew. Pips and sparkly comm badges are screen-printed on.','','en'),(10,10,'Ewok Ladies Hooded Tank Top','<h4 class=\"prodheader\">EWOK THE WALK</h4>\n<p>Are you curious? Do you love the forest? Do you express your enjoyment of something through singing and dancing? If you answered yes to all these questions, you, too, might be an Ewok. We didn\'t recognize you without your ears.</p>\n<p>Get this hooded tank top to show everybody your inner Ewok. We\'re going to bypass the ceremony of the Festival of Hoods and just say you\'ve earned this orange hood, complete with little, fuzzy Ewok ears. There are various shades of Ewok brown printed on the front and back of this 100% cotton ladies\' tank top. Back is racerback-style. Machine wash cold. Tumble dry low or lay flat to dry. Imported.</p>\n<p><em>Please note that the model is wearing a size medium. This tank does run small, we recommend going up one size.</em></p>\n<p>Please reference the table below to choose your size. These are the measurements of the body type that will fit each size, not the actual garment.</p>\n<p>Sizing Table</p>\n<table><tbody><tr><td> </td>\n<td>S</td>\n<td>M</td>\n<td>L</td>\n<td>XL</td>\n<td>XXL</td>\n<td>XXXL</td>\n</tr><tr><td>Chest</td>\n<td>34 in.</td>\n<td>36 in.</td>\n<td>37 in.</td>\n<td>38 in.</td>\n<td>39 in.</td>\n<td>41 in.</td>\n</tr><tr><td>Waist</td>\n<td>27 in.</td>\n<td>29 in.</td>\n<td>31 in.</td>\n<td>32 in.</td>\n<td>33 in.</td>\n<td>35 in.</td>\n</tr><tr><td>Hips</td>\n<td>36 in.</td>\n<td>38 in.</td>\n<td>40 in.</td>\n<td>41 in.</td>\n<td>42 in.</td>\n<td>44 in.</td>\n</tr><tr><td>Body Length</td>\n<td>26 1/2 in.</td>\n<td>27 in.</td>\n<td>27 1/2 in.</td>\n<td>28 in.</td>\n<td>28 1/2 in.</td>\n<td>29 in.</td>\n</tr></tbody></table>','<h4 class=\"prodheader\">EWOK THE WALK</h4>\n<ul><li>Makes you look like an Ewok</li>\n<li>Standard tank top in front, racerback-styling in back</li>\n<li>Don\'t make us poke you with the spear</li>\n</ul>','','EWOK THE WALK\nMakes you look like an Ewok\nStandard tank top in front, racerback-styling in back\nDon\'t make us poke you with the spear\n','','en'),(11,11,'DOTA 2 - Series 3 Micro Plush Blind Box','<h4 class=\"prodheader\">FUZZY WUZZY RETURNS</h4>\n<p>Maybe tiny plush isn\'t the first product that comes to mind when you\'re thinking of merchandising your multiplayer online battle arena game. \"Aren\'t you just the cutest little Strygwyr EVAR? Yes you are. Who\'s Daddy\'s little bloodseeker?\" But we all know Valve doesn\'t play by the same rules as other video game companies, so who are we to be surprised?<br /><br />These Series 3 DOTA 2 Microplushes feature 11 different designs to collect: Brewmaster, Dark Seer, Invoker, Jakiro, Juggernaut, Lina, Necrophos, Razor, Staglift, Storm Spirit, and Sven. The 10 commons come with come with an unlock code for \"Imbued Lockless Luckvase 2015.\" Staglift is rare and comes with an additional in-game card.<br /><br />Please note: Digital items are currently limited to one copy per Steam account. If you have previously registered a key for this item to your account, you will be unable to receive a second copy.</p>\n<p>Product Specifications </p>\n<ul><li>DOTA 2 - Series 3 Micro Plush Blind Box</li>\n<li>Officially-licensed <em>Defense of the Ancients 2</em> merchandise</li>\n<li>Blind boxed for maximum surprise (see FAQ below for more info) </li>\n<li>11 different plushes to collect (Brewmaster, Dark Seer, Invoker, Jakiro, Juggernaut, Lina, Necrophos, Razor, Staglift, Storm Spirit, and Sven)</li>\n<li>1 rare in mix: Staglift </li>\n<li>10 commons come with unlock code for \"Imbued Lockless Luckvase 2015\" in DOTA 2</li>\n<li>Staglift comes with an additional in-game card</li>\n<li>Elastic loop on top makes them easy to hang</li>\n<li>Dimensions: 4 1/2\" - 5\" tall</li>\n</ul><p><span style=\"color:#384245;font-family:Lato, Helvetica, Arial, sans-serif;font-size:14.3999996185303px;line-height:22.3999996185303px;\"> </span></p>','<h4 class=\"prodheader\">FUZZY WUZZY RETURNS</h4>\n<ul><li>11 different DOTA 2 Microplushes to collect</li>\n<li>Brewmaster, Dark Seer, Invoker, Jakiro, Juggernaut, Lina, Necrophos, Razor, Staglift, Storm Spirit, Sven</li>\n<li>Each comes with an unlock code for Imbued Lockless Luckvase 2015</li>\n</ul>','','FUZZY WUZZY RETURNS\n11 different DOTA 2 Microplushes to collect\nBrewmaster, Dark Seer, Invoker, Jakiro, Juggernaut, Lina, Necrophos, Razor, Staglift, Storm Spirit, Sven\nEach comes with an unlock code for Imbued Lockless Luckvase 2015\n','','en'),(12,12,'Minions Pop Vinyl Figures','<h4 class=\"prodheader\">CAUSE THEY WEREN\'T CUTE ENOUGH?</h4>\n<p>We hear these little guys are on the lookout for a new evil overlord to follow. Is it you? If so, they\'re guaranteed to make your collectibles shelf at least 27% more mysterious.*</p>\n<p>More Minions have been added to Funko\'s already extensive POP! lineup, this time from the <em>Minions</em> movie. Choose Au Naturel; Eye, Matie; or King Bob.</p>\n<p>*Your collectibles\' mysteriousness not guaranteed to increase in value. Call now. Operators are standing by.</p>\n<p>Product Specifications  </p>\n<p> </p>\n<ul><li>Super-cute Funko POP! versions of Minions</li>\n<li>Officially-licensed Minions movie merchandise</li>\n<li>Choose Au Naturel; Eye, Matie; or King Bob </li>\n<li>Materials: Vinyl</li>\n<li>Dimensions: 3 3/4\" tall (King Bob\'s a little taller overall because of his crown)</li>\n<li>Ages 3+</li>\n<li>WARNING - SMALL PARTS - Not intended for children under 3 years of age</li>\n</ul>','<h4 class=\"prodheader\">CAUSE THEY WEREN\'T CUTE ENOUGH?</h4>\n<ul><li>Super-cute Funko POP! versions of Minions</li>\n<li>Choose Au Naturel; Eye, Matie; or King Bob</li>\n<li>BANANA!!!!</li>\n</ul>','','CAUSE THEY WEREN\'T CUTE ENOUGH?\nSuper-cute Funko POP! versions of Minions\nChoose Au Naturel; Eye, Matie; or King Bob\nBANANA!!!!\n','','en'),(13,13,'Vinyl Idolz: Ghostbusters','<h4 class=\"prodheader\">WHO YOU GONNA SMALL?</h4>\n<p>Are you troubled by strange noises in the middle of the night? Do you experience feelings of dread in your basement or attic? Have you or any member of your family ever seen a spook, specter, or ghost? If the answer is yes, then don\'t wait another minute. Pick up your mouse and order these Vinyl Idolz: Ghostbusters. They\'re ready to believe you!<br /><br />Vinyl Sugar has made tiny versions of your favorite protectors from the paranormal. Choose Dr. Peter Venkman, Dr. Egon Spengler, or Dr. Raymond Stantz. Get these Vinyl Idolz: Ghostbusters some s\'mores, and recreate the movie you love to love. Just don\'t cross the streams. Because that would be bad. <br /><br />Product Specifications  </p>\n<ul><li>Vinyl Idolz: Ghostbusters</li>\n<li>Officially-licensed <em>Ghostbusters</em> merchandise</li>\n<li>Choose Dr. Peter Venkman, Dr. Egon Spengler, or Dr. Raymond Stantz</li>\n<li>Part of the Vinyl Idolz line from Vinyl Sugar (basically Funko) &amp; A Large Evil Corporation</li>\n<li>Materials: Vinyl</li>\n<li>Dimensions: 8\" tall</li>\n</ul>','<h4 class=\"prodheader\">WHO YOU GONNA SMALL?</h4>\n<ul><li>Ghostbusters vinyl figures from the Vinyl Idolz line</li>\n<li>Choose Dr. Peter Venkman, Dr. Egon Spengler, or Dr. Raymond Stantz</li>\n<li>We\'re holding out for the cartoon-y Ecto-1</li>\n</ul>','','WHO YOU GONNA SMALL?\nGhostbusters vinyl figures from the Vinyl Idolz line\nChoose Dr. Peter Venkman, Dr. Egon Spengler, or Dr. Raymond Stantz\nWe\'re holding out for the cartoon-y Ecto-1\n','','en'),(14,14,'DOTA 2 Sniper Plush','<h4 class=\"prodheader\">THIS PLUSH IS ALSO VERY SQUISHY</h4>\n<p>If there\'s one thing we can all agree on, it\'s that Kardel Sharpeye is pretty annoying unless you\'re the one playing him. If we hear \"You got peep\'d!\" one more time, or that inane \"Hee hee hee!\"</p>\n<p>Come here, Dota 2 Sniper Plush. We feel the need to throttle you, and with this convenient little plush, we can totally do it....</p>\n<p>Product Specifications  </p>\n<p> </p>\n<ul><li><em>DOTA 2 </em>Sniper Plush</li>\n<li>Officially-licensed <em>DOTA 2</em> merchandise</li>\n<li> Comes with unlock code for \"Imbued Lockless Luckvessel\" in <em>DOTA 2</em></li>\n<li>Goggles are NOT removable (we might have ripped the eyeballs off our plush checking for you)</li>\n<li>Materials: 100% polyester</li>\n<li>Care Instructions: Spot clean with a damp cloth and mild detergent </li>\n<li>Imported</li>\n<li>Dimensions: </li>\n<li>Ages 13+</li>\n<li>WARNING - SMALL PARTS - Not intended for children under 3 years of age</li>\n</ul>','<h4 class=\"prodheader\">THIS PLUSH IS ALSO VERY SQUISHY</h4>\n<ul><li>Be sure to max out Shrapnel</li>\n<li>Or don\'t</li>\n<li>Comes with an unlock code for Imbued Lockless Luckvessel</li>\n</ul>','','THIS PLUSH IS ALSO VERY SQUISHY\nBe sure to max out Shrapnel\nOr don\'t\nComes with an unlock code for Imbued Lockless Luckvessel\n','','en'),(15,15,'Soft Kitty Singing Plush [Sale] [Reviews]','<h4 class=\"prodheader\">HEAR KITTY, KITTY, KITTY</h4>\n<p>We love \"Soft Kitty,\" but there\'s a problem inherent with the song. In order to sing it properly, you have to be in the presence of a sick person (or, well, Shel-bot). A sick person with a highly-contagious illness. On the sickie\'s behalf, we\'ll also point out that sometimes when you\'re sick, you just don\'t want to see other humans. You feel horrible. You look horrible. You just want to burrow in your blanket cave and be left alone. That\'s when the Soft Kitty Singing Plush comes in handy. It\'s the perfect proxy. Just squeeze its front left paw to get it to sing \"Soft Kitty.\" Best of all, it never gets frustrated when you tell it it has to start over. In fact, every time you press its paw, it starts from the beginning. Good kitty.</p>\n<blockquote>Soft kitty, warm kitty<br />Little ball of fur<br />Happy kitty, sleepy kitty<br />Purr purr purr</blockquote>\n<p> </p>\n<p>Soft Kitty Singing Plush</p>\n<ul><li>10-inches long.</li>\n<li>Collar has a little Bohr-model atom tag with the <em>Big Bang Theory</em> logo.</li>\n<li>Requires 3x 1.5V button-cell batteries (included).</li>\n<li>Pull the clear plastic tab from the battery compartment to activate.</li>\n<li>Sings \"Soft Kitty.\"</li>\n<li>Polyester fiber. All new material.</li>\n<li>Do not machine wash. Surface clean with a damp cloth.</li>\n<li>For ages 3+.</li>\n</ul>','<h4 class=\"prodheader\">HEAR KITTY, KITTY, KITTY</h4>\n<ul><li>Officially-licensed <em>Big Bang Theory</em> product.</li>\n<li>Sings \"Soft Kitty\" when paw is pressed.</li>\n<li>Guaranteed to make you feel better.</li>\n</ul>','','HEAR KITTY, KITTY, KITTY\nOfficially-licensed Big Bang Theory product.\nSings \"Soft Kitty\" when paw is pressed.\nGuaranteed to make you feel better.\n','','en'),(16,16,'Avengers: Fabrikations Plush [Related Products]','<h4 class=\"prodheader\">HUG THE AVENGERS!</h4>\n<p>We\'ve all seen it before. Sometimes when superheroes become established they go soft. They coast on their reputation, remembering past good deeds instead of undertaking new ones. But nobody would accuse the Avengers of such shenanigans - until now.</p>\n<p>They\'ve all gone soft, or, well, at least some of the guys have. Choose Captain America, Hulk, Iron Man, or Thor. Each of these Avengers: Age of Ultron Fabrikations soft-sculpt figures from Funko has only one point of articulation. Their heads turn, as if to say, \"No, we have NOT gone soft. We have gone plushy. It\'s different.\" Take it from our tiny genius, billionaire, playboy, plushanthropist.</p>\n<div id=\"proddescription\">\n<p>Product Specifications  </p>\n<ul><li>Avengers Fabrikations soft-sculpt figures from Funko</li>\n<li>Officially-licensed <em>Avengers: Age of Ultron</em> merchandise</li>\n<li>Choose Captain America, Hulk, Iron Man, or Thor </li>\n<li>Features rotating head</li>\n<li>Flat-bottomed and weighted feet for easy display</li>\n<li>Embroidered details and vinyl accessories</li>\n<li>Care Instructions: Spot clean with a damp cloth and mild detergent </li>\n<li>Imported</li>\n<li>Dimensions: ~6\" tall</li>\n<li>Age 14+</li>\n<li>WARNING - SMALL PARTS - Not intended for children under 3 years of age</li>\n</ul></div>','<h4 class=\"prodheader\">HUG THE AVENGERS!</h4>\n<p>Choose one of these Avengers: Age of Ultron Fabrikations soft-sculpt figures from Funko: Captain America, Hulk, Iron Man, or Thor.</p>','','HUG THE AVENGERS!\nChoose one of these Avengers: Age of Ultron Fabrikations soft-sculpt figures from Funko: Captain America, Hulk, Iron Man, or Thor.','','en'),(17,17,'Ollie - The App Controlled Robot','<h4 class=\"prodheader\">TUBULAR!</h4>\n<p>One of the pieces of feedback the creators of <a href=\"http://www.thinkgeek.com/ed94\">Sphero</a> got about their popular R/C robot was that it could do really cool things, but the users wished it could go faster. So they created Ollie.</p>\n<p>Ollie\'s a cylinder. He can\'t do all the things that his spherical counterpart can do, but he can do one thing particularly well: go fast. How fast? 14 miles an hour. And his wheels spin independently, which basically makes him a tiny skateboarding genius. He can spin, drift, flip, turn, and tumble when you tell him to via an app on your smartphone. He pairs with a touch and works up to 98 ft. away (which is good for a little guy who can escape at a speed of 14 mph). While they were testing him, the creators managed to get one to jump off a ramp over 6 ft. high. Basically over a person. Boo. Yah.</p>\n<p>He\'ll run for an hour (and recharges via micro USB cable, included, which takes 3 hours). That means that on a single charge, we could theoretically drive our Ollie all the way from ThinkGeek World Domination HQ to the Pentagon. Which we\'re sure wouldn\'t raise any eyebrows or cause security alerts. Do not try this at home with your own Ollie. If you do, do not blame us.</p>\n<p>Product Specifications</p>\n<ul><li>Smartphone-controlled robot shaped like a cylinder</li>\n<li>Compatible with iOS 7.0+ and Android 4.4.2+</li>\n<li>Super-fast - top speed of 14 mph</li>\n<li>Wheels spin independently of each other</li>\n<li>Spin, drift, flip, turn, and tumble with app-powered tricks</li>\n<li>Connects to your smartphone via Bluetooth™ LE (pairs via touch)</li>\n<li>Wireless Range: 98 ft.</li>\n<li>Check to see if your device is compatible <a href=\"http://www.gosphero.com/c/#ollie-identifier\">here</a></li>\n<li>4 separate apps for different functions (driving, programming, etc.)</li>\n<li>Automatic firmware updates</li>\n<li>SDK available in <a href=\"https://developer.gosphero.com/\">14 coding languages</a></li>\n<li>Set it to open or closed spaces, hard or soft surfaces</li>\n<li>Future accessories include alternate wheels, tires, hubcaps, and smartramps</li>\n<li>Has LED \"running lights\" that react</li>\n<li>Materials: High-grade polycarbonate body</li>\n<li>Batteries: Rechargeable - charges via micro USB cable (included)</li>\n<li>Runs for 1 hr. on charge; charging takes 3 hrs.</li>\n<li>Dimensions: 9.9\" x 4.8\" x 4.3\"</li>\n<li>Weight: 1.4 lbs.</li>\n<li>Includes Ollie, 2 Nubby Tires (all-terrain), 2 Hubcaps, micro USB charging cable, and a quick start guide</li>\n<li>Note: Unlike <a href=\"http://www.thinkgeek.com/ed94\">Sphero</a>, Ollie is NOT waterproof</li>\n</ul>','<h4 class=\"prodheader\">TUBULAR!</h4>\n<ul><li>Colorful cylinder with a tiny robot inside</li>\n<li>Spin, drift, flip, turn, and tumble with app-powered tricks</li>\n<li>Compatible with iOS and Android devices</li>\n</ul>','','TUBULAR!\nColorful cylinder with a tiny robot inside\nSpin, drift, flip, turn, and tumble with app-powered tricks\nCompatible with iOS and Android devices\n','','en'),(18,18,'PowerUp® 3.0 Smartphone Controlled Paper Airplane','<h4 class=\"prodheader\">TURN ANY PAPER AIRPLANE INTO AN R/C AIRPLANE!</h4>\n<p>Paper airplanes are awesome for relieving office boredom, attacking a coworker or sibling, or sending messages around the Ministry of Magic. But sometimes paper airplanes need just a little more oomph - a little more power. Well, the time has come to easily add that extra power and control the plane with your smartphone with the PowerUp® 3.0 Smartphone Controlled Paper Airplane.</p>\n<p>First, make your airplane. Oooo, nice one. Then, you just slip your PowerUp® 3.0 Smartphone Controlled Paper Airplane propeller-stalk thing onto your paper airplane. It clips to the front, with the prop sticking out the back. Twenty minutes of USB charging, and you\'ll have ten minutes of flight time! Load up the app in your iPhone or Android device, and you\'ll be able to control the paper airplane right from your phone! Control the thrust with a virtual throttle and tilt your phone for steering. Get yerself a PowerUp® 3.0 Smartphone Controlled Paper Airplane, and you will be the ruler of the air!</p>\n<p>Product Specifications  </p>\n<p> </p>\n<ul><li>For Ages 14 and Up</li>\n<li>Turn any paper airplane into a smartphone controlled R/C airplane!</li>\n<li>Connects via Bluetooth</li>\n<li>Features:\n<ul><li>180 feet range</li>\n<li>Crash-proof bumper</li>\n<li>10 minutes of flight on one 20 minute charge</li>\n<li>Crash-proof carbon fiber frame</li>\n<li>Automatic thrust to assist when turning</li>\n<li>Precision control for easy flying</li>\n</ul></li>\n<li>App features:\n<ul><li>Magnetic compass</li>\n<li>Charging status indicator</li>\n<li>Thrust level indicator</li>\n<li>Ascend/Descend lever</li>\n<li>Artificial horizon</li>\n<li>Battery level indicator</li>\n<li>Range indicator</li>\n</ul></li>\n<li>Includes: PowerUp® 3.0 Smart Module, Micro USB cable, Spare propeller, Spare rudder, Display case and mount, 4 PowerUp® paper templates, Waterproof paper template, PowerUp® 3.0 user guide</li>\n<li>Free app available for iOS and Android devices</li>\n<li>Dimensions: approx. 8.25\" long</li>\n</ul>','<h4 class=\"prodheader\">TURN ANY PAPER AIRPLANE INTO AN R/C AIRPLANE!</h4>\n<ul><li>Add to your paper plane to make it propeller driven and smartphone controlled</li>\n<li>Connects via Bluetooth to your smartphone (because wires would be silly)</li>\n<li>20 minute charge gives you 10 minutes of flight!</li>\n</ul>','','TURN ANY PAPER AIRPLANE INTO AN R/C AIRPLANE!\nAdd to your paper plane to make it propeller driven and smartphone controlled\nConnects via Bluetooth to your smartphone (because wires would be silly)\n20 minute charge gives you 10 minutes of flight!\n','','en'),(19,19,'Chocolate-Covered Edible Bugs Gift Pack','<h4 class=\"prodheader\">BUGS PLUS CHOCOLATE EQUALS YUMMY!</h4>\n<p>Get ready to have your mind blown: we\'ve taken the five second rule and plugged it into Einstein\'s General Theory of Relativistic Theories on Stuff and Things. The result is this: as a food falls to the ground, the five second rule countdown starts. BUT (and this is the most important part), if the food started off on the ground, then the five second rule becomes infinite. What does that mean? You can eat bugs any time you want, since technically they never fell to the ground to begin with!! Cover \'em with chocolate, and you\'ve got our <em>Chocolate-Covered Edible Bugs Gift Pack</em>.</p>\n<p>Each <em>Chocolate-Covered Edible Bugs Gift Pack</em> is a trio of dark chocolate-covered insects, full of protein and crunch and yumminess. Scorpions, superworms, and silkworms all await your eager palate. We like to say they are enrobed in chocolate, because that makes them a sexier food. The <em>Chocolate-Covered Edible Bugs Gift Pack</em> makes a perfect present for the person who thinks they have everything, an instant appetizer sampler for adventurous entertaining, and/or a protein-packed snack any time you need it. Entomophagist-a-licious!</p>\n<p>Chocolate-Covered Edible Bugs Gift Pack</p>\n<ul><li>A trio of dark chocolate-covered ex-creepy crawlies await your mouth and tasting/eating parts.</li>\n<li>You\'ll get three cans - one of each (dark chocolate covered): Armor Tail Scorpions (<em>Mesobuthus martensii</em>), Superworms (<em>Zophobas morio</em>), and Silkworms (<em>Bombyx mori</em>).</li>\n<li>Ingredients: bug, sugar, vegetable fat, cocoa powder, emulsifier, and vanillin.</li>\n<li>Insect Roll Call:\n<ul><li>Scorpions - 2 per tin.</li>\n<li>Superworms - 12 per tin.</li>\n<li>Silkworms - 12 per tin.</li>\n</ul></li>\n<li>Tin Dimensions: 2.5\" diameter x 1.5\" tall.</li>\n</ul>','<h4 class=\"prodheader\">BUGS PLUS CHOCOLATE EQUALS YUMMY!</h4>\n<ul><li>Three different bugs (each in its own tin) covered in delectable chocolate.</li>\n<li>Scorpions, superworms, and silkworms.</li>\n<li>And chocolate. Yum!</li>\n</ul>','','BUGS PLUS CHOCOLATE EQUALS YUMMY!\nThree different bugs (each in its own tin) covered in delectable chocolate.\nScorpions, superworms, and silkworms.\nAnd chocolate. Yum!\n','','en'),(20,20,'Canned Unicorn Meat','<h4 class=\"prodheader\">NO FOOLIN\' - UNICORN MEAT IS REAL!</h4>\n<p><em>Excellent source of sparkles!</em></p>\n<p>Unicorns, as we all know, frolic all over the world, pooping rainbows and marshmallows wherever they go. What you don\'t know is that when unicorns reach the end of their lifespan, they are drawn to County Meath, Ireland. The Sisters at Radiant Farms have dedicated their lives to nursing these elegant creatures through their final days. Taking a cue from the Kobe beef industry, they massage each unicorn\'s coat with Guinness daily and fatten them on a diet comprised entirely of candy corn. As the unicorn ages, its meat becomes fatty and marbled and the living bone in the horn loses density in a process much like osteoporosis. The horn\'s outer layer of keratin begins to develop a flavor very similar to candied almonds. Blending the crushed unicorn horn into the meat adds delightful, crispy flavor notes in each bite. We are confident you will find a world of bewilderment in every mouthful of scrumptious unicorn meat.</p>\n<p>Unfortunately, due to restrictions on the importation of mythical processed meatstuff, we are unable to bring you Canned Unicorn Meat in the way the Sisters of Radiant Farms intended. When you open your can, you will find one tiny unicorn which has been appropriately sliced into its main cuts of meat. Simply use your Growth Ray to re-embiggen the unicorn before skinning it and processing its flesh. Or if you\'re lazy, just bring it to your local Mad Scientist-Butcher. He\'ll know what to do.</p>\n<p><strong>Radiant Farms Canned Unicorn Meat Specifications</strong></p>\n<ul class=\"floatfix\"><li>14 ounces of delicious unicorn meat, canned for your convenience</li>\n<li>Imported from a small independent cannery in County Meath, Ireland</li>\n<li>Crunchy horn bits in every bite - an excellent source of Calcium</li>\n<li>Tastes like rotisserie chicken but with a hint of marshmallow sweetness</li>\n<li>Easily spreadable for sandwiches, hors d\'oeuvres, and more</li>\n<li>Sparkly meat lends the unmistakable air of class and sophistication to your parties</li>\n<li>Unlike other meats, unicorn fat is polyunsaturated and lowers your LDL cholesterol</li>\n<li>Not yet approved by the USDA or FDA, but the nuns have eaten it for centuries and they\'re healthy as horses</li>\n<li>Okay, for real: you can\'t eat this. It\'s a dismembered stuffed unicorn in a can.</li>\n<li>The bottom of the tin is easily removable to gain access to the mini dead unicorn inside. No can opener needed!</li>\n</ul>','<h4 class=\"prodheader\">NO FOOLIN\' - UNICORN MEAT IS REAL!</h4>\n<ul><li>14 ounces of delicious unicorn meat, canned for your convenience</li>\n<li>Imported from a small independent cannery in County Meath, Ireland</li>\n<li>Okay, for real: you can\'t eat this. It\'s a dismembered stuffed unicorn in a can.</li>\n</ul>','','NO FOOLIN\' - UNICORN MEAT IS REAL!\n14 ounces of delicious unicorn meat, canned for your convenience\nImported from a small independent cannery in County Meath, Ireland\nOkay, for real: you can\'t eat this. It\'s a dismembered stuffed unicorn in a can.\n','','en'),(21,21,'The ThinkGeek Annoy-a-tron','<h4 class=\"prodheader\">DRIVE YOUR \"FRIENDS\" CRAZY - AGAIN</h4>\n<p>Now that they\'ve mostly recovered from the twisted mind maze that was the original Annoy-a-tron, send them on a new journey of \"self discovery\" with the latest version featuring 6 sound choices, it\'s at least twice as fun (and annoying) as the original. For effective deployment, we humbly suggest the following sounds and locations, but you can conduct your own field research for more insight.</p>\n<p>The cricket chirping sound is interesting because someone will instinctively look near the ground when trying to locate a cricket. So, placing the Annoy-a-tron several feet or more above the ground will help to obscure its location. The 15kHz sound is also interesting because this frequency range of sound cannot be heard by everyone. In older adults or those with deteriorated hearing (a condition known as presbycusis) this high frequency sound will not be audible, while others will clearly hear the sound and find it quite annoying. They also might think they are going crazy because people nearby will report that they don\'t hear anything.</p>\n<p>Assuming you have done your part in selecting a suitable hiding location for the Annoy-a-tron, it will do its part to drive your co-workers slowly mad with its short and seemingly random beeps. And when someone does locate the Annoy-a-tron, they\'re not going to know what it is - which is almost as much fun as watching them search for it. Muahaha...</p>\n<p>** - The 15kHz \'Teen Buzz Tone\' is a frequency that young people can hear but older folks cannot. Sometimes younger folks cannot hear it and sometimes older folks can hear it, but, in general, it\'s called the \'Teen Buzz\' tone. When you can hear it, trust us, it\'s annoying. Dogs agree.</p>\n<p>The ThinkGeek Annoy-a-tron Features: <br /><br /></p>\n<ul><li>Amazingly small</li>\n<li>Six sounds choices:\n<ul><li>Beep</li>\n<li>12kHz electronic noise sound</li>\n<li>15kHz \'Teen Buzz Tone\' electronic noise sound</li>\n<li>Cricket</li>\n<li>Doorbell</li>\n<li>Random/Alternating sound mode</li>\n</ul></li>\n<li>Battery included (lasts 1 month+ of continuous use)</li>\n<li>Embedded Rare-earth Magnet for easy hiding</li>\n<li>Single push button to change sounds</li>\n<li>Please note: after removing battery tab you may need to push down slightly on the magnet to re-seat the battery correctly (you may even hear a small click)</li>\n<li>Battery: CR2032</li>\n</ul>','<h4 class=\"prodheader\">DRIVE YOUR \"FRIENDS\" CRAZY - AGAIN</h4>\n<ul><li>Tiny device produces six annoying noises</li>\n<li>Turn it on, hide it, and watch the fun begin</li>\n<li><em>As seen on NCIS!</em></li>\n</ul>','','DRIVE YOUR \"FRIENDS\" CRAZY - AGAIN\nTiny device produces six annoying noises\nTurn it on, hide it, and watch the fun begin\nAs seen on NCIS!\n','','en'),(22,22,'Legendary Hero 8-Bit Heart Bouquet','<h4 class=\"prodheader\">BE MY PLAYER 2</h4>\n<p>Life was simpler in 8-bit. Sidescrolling was the name of the game and came with none of the potential motion-sickness that today\'s immersion games can cause. There were clear-cut good guys and bad guys. There was a princess to rescue. There was one hero, and it was you.</p>\n<p>And back in those days, Valentines were handmade from construction paper. Everybody got one. And when you wrote \"love,\" it meant \"love\" as in \"I\'d love another cookie.\" Life was simpler.</p>\n<div id=\"proddescription\">\n<p>Do you have somebody in your life who deserves your heart... or three? Celebrate the simplicity of old-school gaming with our 8-bit Legendary Hero. This foam cutout comes with a cardboard fold-out stand or can be hung from the wall. Great as decoration on a table, it says, \"Be my Player 2\" better than any stupid flowers ever could.</p>\n<p><strong>Product Specifications</strong></p>\n<ul><li>8-bit Legendary Hero</li>\n<li>A ThinkGeek creation and exclusive!</li>\n<li>3D construction with 3 layers of depth</li>\n<li>Includes fold-out stand for displaying on a desk or table</li>\n<li>Holes in back for wall mounting</li>\n<li>Materials: Durable EVA foam</li>\n<li>Dimensions: 11\" tall x 5 1/2\" wide x 3\" deep assembled</li>\n</ul></div>','<h4 class=\"prodheader\">BE MY PLAYER 2</h4>\n<ul><li>3D foam cutout brings back old-school memories</li>\n<li>Includes fold-out stand for displaying on a desk or table</li>\n<li>A ThinkGeek creation and exclusive!</li>\n</ul>','','BE MY PLAYER 2\n3D foam cutout brings back old-school memories\nIncludes fold-out stand for displaying on a desk or table\nA ThinkGeek creation and exclusive!\n','','en'),(23,23,'Executive Building Brick Set (Chrome)','<h4 class=\"prodheader\">BUILDING BRICKS ALL GROWN UP</h4>\n<div class=\"right\"> </div>\n<p>We here at ThinkGeek World Domination HQ have long been of the philosophy that building bricks are for all ages, but some people seem to think they\'re just for kids. These are the same sorts of people who give us the hairy eyeball when we venture into the brick store at the mall or when we put a pack of Fun Dip in our cart with every intention of eating it ourselves. Possibly before we get to the register. Slightly damp UPCs are still scannable, right?</p>\n<p>Why should you stop having fun because some people have no imagination? You shouldn\'t! This Executive Building Brick Set is the perfect answer to those spoilsports. With 8 2x4 stud building bricks, this set can be incorporated with your other bricks to build all sorts of shiny custom creations. With their clean and crisp lines, these metal bricks look perfect gracing your modern office or coffee table. Leave them out and see who can\'t resist.</p>\n<p><strong>Product Specifications </strong> </p>\n<p> </p>\n<ul><li>Executive Building Brick Set</li>\n<li>Includes 8 2x4 stud building bricks</li>\n<li>Chrome-plated solid metal construction</li>\n<li>Combine with your other bricks</li>\n<li>Compatible with other popular building sets</li>\n<li>Materials: Chrome-plated base metal</li>\n<li>Weight: 6 1/2 oz. </li>\n<li>Ages 14+</li>\n</ul>','<h4 class=\"prodheader\">BUILDING BRICKS ALL GROWN UP</h4>\n<ul><li>Set includes 8 2x4 stud building bricks</li>\n<li>Chrome-plated solid metal construction</li>\n<li>Compatible with other popular building sets</li>\n</ul>','','BUILDING BRICKS ALL GROWN UP\nSet includes 8 2x4 stud building bricks\nChrome-plated solid metal construction\nCompatible with other popular building sets\n','','en'),(24,24,'Blizzard Diablo Goblin Bank with Sound','<h4 class=\"prodheader\">OMGOBLIN!</h4>\n<p>Diablo III\'s Treasure Goblins. Enigmatically, they\'re creatures which cannot deal damage to your character but are the most likely to be the reason for your character\'s untimely demise. There\'s something about them (could it be all the LOOT?!) that makes all reason go out the door. Even in hardcore, we occasionally accidentally chase them right into the midst of elite mob packs. That rarely ends well.</p>\n<p>You don\'t have to worry about that happening with this Diablo Treasure Goblin Bank with Sound, and we promise this one won\'t teleport out on you with 3% health left. He\'s going to stay right where you put him. Just don\'t put him down next to a portal, okay? Fill his bag with loot and listen to him cackle happily as he takes your money. And you don\'t have to beat the candy out of him to get your money back - there\'s a coin removal door on the bottom of the bank. If only in-game Treasure Goblins were this simple....</p>\n<p><strong>Product Specifications</strong>   </p>\n<ul><li>Diablo Treasure Goblin Bank with Sound</li>\n<li>Officially-licensed <em>Diablo III</em> merchandise</li>\n<li>A ThinkGeek creation &amp; exclusive</li>\n<li>Cackles happily as he takes your money</li>\n<li>When you drop a coin in, one of six sounds plays</li>\n<li>Coin removal door on the bottom (so you don\'t have to beat the candy out of him - unless you just want to)</li>\n<li>Note: Does not drop legendary items (unless you fill it with legendary items)</li>\n<li>Batteries: 3 AAA 1.5V LR03 (not included)</li>\n<li>Dimensions: 9\" deep x 4 1/2\" wide x 8\" tall </li>\n<li>Weight: 12 oz. (without batteries)</li>\n<li><strong>Ages 6+</strong></li>\n</ul>','<h4 class=\"prodheader\">OMGOBLIN!</h4>\n<ul><li>Diablo Treasure Goblin Bank with Sound</li>\n<li>Cackles happily as he takes your money</li>\n<li>A ThinkGeek creation &amp; exclusive</li>\n</ul>','','OMGOBLIN!\nDiablo Treasure Goblin Bank with Sound\nCackles happily as he takes your money\nA ThinkGeek creation &amp; exclusive\n','','en'),(25,25,'Ghostbusters Stay Puft Marshmallow Face Mug','<h4 class=\"prodheader\">I AIN\'T AFRAID OF NO COFFEE</h4>\n<div class=\"right\"> </div>\n<blockquote>I tried to think of the most harmless thing. Something I loved from my childhood. Something that could never ever possibly destroy us. Mr. Stay Puft!<br />- Ray</blockquote>\n<p>This mug lets you decide how your day\'s going to go. On one side, it features the sweet Stay Puft Marshmallow Man\'s smiling face, the one Ray remembers from his childhood. On the other, it features evil Stay Puft Marshmallow Man, destroyer of worlds, the one who\'s come to terrorize New York City. Which side will you drink from today?</p>\n<p><strong>Product Specifications</strong>   </p>\n<ul><li>A two-sided mug featuring the Stay Puft Marshmallow Man\'s countenance</li>\n<li>Happy mascot on one side; paranormal monster on the other</li>\n<li>Officially-licensed Ghostbusters merchandise</li>\n<li>Capacity: 20 oz.</li>\n<li>Materials: Ceramic</li>\n<li>Dimensions: 3 3/4\" tall x 4\" wide</li>\n<li>Not microwave safe</li>\n<li>Not dishwasher safe</li>\n<li><strong>Ages 12+</strong></li>\n</ul>','<h4 class=\"prodheader\">I AIN\'T AFRAID OF NO COFFEE</h4>\n<ul><li>If you are not afraid of any ghosts, this is the mug for you</li>\n<li>Holds 20 ounces of your favorite beverage</li>\n<li>(Presumably cocoa with marshmallows)</li>\n</ul>','','I AIN\'T AFRAID OF NO COFFEE\nIf you are not afraid of any ghosts, this is the mug for you\nHolds 20 ounces of your favorite beverage\n(Presumably cocoa with marshmallows)\n','','en'),(26,26,'Build-On Brick Mug','<h4 class=\"prodheader\">BUILD UP YOUR COFFEE!</h4>\n<p><span style=\"color:#ff0000;\"><em>Important Note: The Brick Mug does not come with any bricks. You need to provide your own. However we\'re confident you\'ve got a variety of compatible building sets at your house already. Oh... also you don\'t get coffee, you need to brew that or something. In short, you get the mug. Okay, we\'re done here.</em></span></p>\n<p>Morning meetings suck. We\'re lucky at ThinkGeek because generally a \"morning\" meeting starts at 11, so you\'ve got some time to get a cup of coffee in before you have to brain too hard. If you\'re in a climate where 9 am meetings are the norm, you\'re going to need more than caffeine to stay awake.</p>\n<p>Enter the Build-On Brick Mug. It\'s a coffee mug and construction set all in one! Bring along a handful of your favorite building blocks - it\'s compatible with LEGO™, PixelBlocks, Mega Bloks, KRE-O, or K\'NEX Bricks™ - and tinker with a creation while your upper management drones on about things they think are important. What will your mug become? That\'s up to you! Be sure to send us your Action Shots!</p>\n<p><strong>Product Specifications</strong></p>\n<ul><li>Drink your coffee and build something, too!</li>\n<li>Choose from black, grey, or red</li>\n<li>Mug with exterior building surface compatible with most bricks</li>\n<li>Compatibility:\n<ul><li>LEGO™</li>\n<li>PixelBlocks</li>\n<li>Mega Bloks</li>\n<li>KRE-O</li>\n<li>K\'NEX Bricks™</li>\n</ul></li>\n<li><strong>Note</strong>: This mug is not officially licensed by LEGO™, PixelBlocks, Mega Bloks, KRE-O, or K\'NEX Bricks™. It just happens to be compatible with them all.</li>\n<li>Not Microwave safe (but fine for hot coffee)</li>\n<li><strong>Materials</strong>: BPA-free plastic</li>\n<li><strong>Capacity</strong>: 12 ounces</li>\n<li><strong>Washing</strong>: Hand wash</li>\n</ul>','<h4 class=\"prodheader\">BUILD UP YOUR COFFEE!</h4>\n<ul><li>Have your coffee and build it too!</li>\n<li>Compatible with most construction bricks</li>\n<li>May cause distraction at morning meetings</li>\n</ul>','','BUILD UP YOUR COFFEE!\nHave your coffee and build it too!\nCompatible with most construction bricks\nMay cause distraction at morning meetings\n','','en'),(27,27,'Superhero Mom Mug','<h4 class=\"prodheader\">YEAH, YOU\'RE SUPER!</h4>\n<p>You may not always have the cape on, but you really are super. Your kids think so. We think so. We also think you should let the world know. You could always wear a shirt or a sandwich board proclaiming your super-ness, but we think the best way is with a super mug. A Superhero Mom Mug, to be precise.</p>\n<p>Each Superhero Mom Mug features all the molded on details you\'d expect from a super mug: cape, belt (to keep the superpants up), arms akimbo, and emblem on the chest (featuring a big M for Mom). And the arms akimbo aren\'t just a posture choice - they actually form two handles! The Superhero Mom Mug will hold 15 oz. of your favorite beverage and is dishwasher and microwave safe. The only thing the Superhero Mom Mug can\'t do is fly. We\'ll leave that up to you!</p>\n<p>Also great for anyone whose name starts with the letter M.</p>\n<p><strong>Product Specifications</strong>  </p>\n<ul><li>Superhero Mom Mug</li>\n<li>This mug is ready for justice</li>\n<li>The arms (gallantly akimbo) are the handles of this super mug</li>\n<li>A ThinkGeek creation and exclusive!</li>\n<li>Dishwasher safe</li>\n<li>Microwave safe</li>\n<li>Capacity: 15 oz.</li>\n<li>Materials: Ceramic</li>\n<li>Dimensions: approx. 3.75\" x 6.75\" x 4\"</li>\n</ul>','<h4 class=\"prodheader\">YEAH, YOU\'RE SUPER!</h4>\n<ul><li>The perfect mug for SuperMoms everywhere</li>\n<li>Holds 15 oz of any super beverage</li>\n<li>A ThinkGeek creation and exclusive!</li>\n</ul>','','YEAH, YOU\'RE SUPER!\nThe perfect mug for SuperMoms everywhere\nHolds 15 oz of any super beverage\nA ThinkGeek creation and exclusive!\n','','en'),(28,28,'Olloclip iPhone Macro 3-in-1 Lens System','<h4 class=\"prodheader\">MACROCOSMIC</h4>\n<p>Compatible with the iPhone 5/5S or the 5th gen iPod Touch (using the included adapter), the Olloclip Macro 3-in-1 is a quick-connect lens system that includes 7x, 14x, and 21x lenses in a tiny and convenient package.</p>\n<p>Using Olloclip is easy! Slide it on over your iPhone\'s rear camera lens, and you\'re ready to take amazing photos and videos. With that 21x lens, what you have is a very basic microscope, one which runs on your iPhone and snags amazing pictures of your \"slides.\" The 14x and 21x also come with hoods designed to diffuse light and set you up for success by providing the optimum distance from the object being photographed. Olloclip\'s storage bag even doubles as a microfiber cleaning cloth for the ultimate in convenience.</p>\n<p>Product Specifications</p>\n<ul><li>Quick-connect lens system for iPhone 5/5S</li>\n<li>Comes with 7x, 14x, and 21x macro lens options</li>\n<li>Slides on to the corner of your iPhone and automatically aligns itself</li>\n<li>The camera will autofocus as normal with the Olloclip on, don\'t worry!</li>\n<li>Works for still photos, videos, even super-detailed Facetime</li>\n<li>Lenses made with precision-ground glass, multi-element optics</li>\n<li>Barrels made from aircraft-grade anodized aluminum</li>\n<li>Soft plastic material on clip protects your iPhone from scratches</li>\n<li>Included in the Olloclip package:\n<ul><li>3 macro lenses (7x, 14x, and 21x)</li>\n<li>2 InstaFocus hoods for steadier shots at the perfect distance and diffused light</li>\n<li>Microfiber lens cleaning cloth storage bag</li>\n<li>5th gen iPod Touch adapter</li>\n</ul></li>\n<li>Note: The Olloclip is specifically designed for the shape and size of the iPhone 5 and 5S. It will not fit any other device besides the iPod touch model mentioned above.</li>\n</ul>','<h4 class=\"prodheader\">MACROCOSMIC</h4>\n<ul><li>Quick-connect lens system for iPhone 5/5S</li>\n<li>Includes 7x, 14x, and 21x macro lenses</li>\n<li>Works for still photos, videos, even super-detailed Facetime</li>\n</ul>','','MACROCOSMIC\nQuick-connect lens system for iPhone 5/5S\nIncludes 7x, 14x, and 21x macro lenses\nWorks for still photos, videos, even super-detailed Facetime\n','','en'),(29,29,'Gunnar Vayper Gaming Glasses','<div id=\"productimage\">\n<div class=\"prod_gallery\">\n<div id=\"image\"><strong>REDUCE EYESTRAIN WITH SCIENCE!</strong></div>\n</div>\n</div>\n<div class=\"contentblob\">\n<div> </div>\n<div id=\"proddescription\">The human eye is a magnificent device. Refined over millions of years of evolution, it\'s a highly specialized and effective organ that helps us hunt prey, spot berries, and notice and dodge swinging clubs. As humanity continued to evolve, however, we relied more on the tools we manufactured rather than the ones with which we were born.<br /><br />Now we have more so-called \"knowledge-workers\" than ever, spending all day tied to desks, and staring at computer screens. We\'ve traded sore backs and calluses for headaches and dry and tired eyes. You rub your eyes, and drip drops into them, but that doesn\'t really help, does it?<br /><br />You see, high-efficiency fluorescent lighting and computer monitors in our offices are highly shifted towards the blue-end of the spectrum. The problem is, blue light focuses differently on the retina than the rest of the spectrum. Ever look at a blue LED and noticed a halo around the light? Staring at it gives you a headache, doesn\'t it? Guess why! Your eyes are straining to try and bring that fuzzy spot into focus, and they just can\'t!<br /><br />What you need is a way to filter out some of those blues that give your eyes so much trouble. With amber lenses, Gunnar Computer Glasses shift that light to the warmer end of the spectrum, giving your tired eyes a chance to recover. Not only do they filter blue light, they also reduce glare, helping with eye strain even more.<br /><br />Be more productive, working longer and harder than the other guys, and maybe you\'ll get that promotion before Doofus McDumbPants across the hall does. We hate that guy.<br /><br /><strong>Product Specifications  </strong><br /><ul><li>Glasses specifically designed to reduce computer-related eyestrain</li>\n<li>Onyx-colored, injection-polymer frame</li>\n<li>Adjustable silicone nose pads provide a customizable fit</li>\n<li>Fastener-free hinge design and high tensile steel construction</li>\n<li>Gently-curved, ultra-slim temples distribute headphone pressure to ensure headset compatibility</li>\n<li>One piece front construction eliminates all welds, screws and other potential points of failure</li>\n<li>Flexible temples conform and ergonomically fit a wide range of head and face shapes</li>\n<li>Wide format lenses create a panoramic viewing field for high resolution viewing</li>\n<li>58mm lens width x 15mm nose x 130mm temple</li>\n<li>Note: These will not fit over your current glasses. However, you can custom order them <a href=\"http://www.gunnars.com/rx/\">with your prescription lenses.</a></li>\n</ul></div>\n</div>','<h4 class=\"prodheader\">REDUCE EYESTRAIN WITH SCIENCE!</h4>\n<ul><li>Glasses reduce computer-related eyestrain</li>\n<li>Great for code monkeys and gamers</li>\n<li>Onyx-colored, injection-polymer frame</li>\n</ul>','','REDUCE EYESTRAIN WITH SCIENCE!\nGlasses reduce computer-related eyestrain\nGreat for code monkeys and gamers\nOnyx-colored, injection-polymer frame\n','','en'),(30,30,'Astro A50 Halo Edition','<h4 class=\"prodheader\">HEADPHONES FOR THE MASTER CHIEF IN YOU!</h4>\n<p>When it\'s game time, you slip on your headphones and disappear into whatever world you\'re gaming in. It\'s important that these headphones are quality for many reasons. First, you want to make sure you hear everything: from explosions to enemies to spells to conversation with other online players. And second, you want to make sure other players hear you! Time to power up your gaming experience to a whole new level with the Astro A50 Halo Edition.</p>\n<p>With the Astro A50 Halo Edition, you can experience the world of the Master Chief with Dolby 7.1 Surround Sound, without being tied down by cords. The uni-directional microphone delivers absolute vocal clarity for distortion-free communication with your teammates. Using top of the line wireless technology, the Astro A50 Halo Edition employs three different EQ modes, allowing you to customize your audio experience for movies, hardcore gaming, or competitive shooters. And thanks to the Astro A50 Halo Edition\'s adjustable size and plush cushions, you can game comfortably all through the night. Because sometimes, the war never ends.</p>\n<p><strong>Product Specifications</strong>  </p>\n<ul><li>These wireless headphones are at the pinnacle of gaming headphone technology</li>\n<li>Master Chief color and detailing</li>\n<li>Wireless 5.8 GHz</li>\n<li>Dolby 7.1</li>\n<li>EQ presets</li>\n<li>Flip-up to mute mic</li>\n<li>Compatibility: Xbox One (also works with PS4, PS3, 360*, PC)\n<ul><li>* For 360, voice chat requires XBL Controller Cable (Sold Separately)</li>\n</ul></li>\n<li>Astro A50 Specs:\n<ul><li>Transducer Principle: Open Air</li>\n<li>Frequency Response: 20 - 21,000 Hz</li>\n<li>Distortion: THD &lt; 1%</li>\n<li>Microphone: 6.0mm unidirectional with noise gate</li>\n<li>Nominal Impedance: 48 Ohms</li>\n<li>Headband Pressure: 2.6N</li>\n<li>Ear Coupling: Over-Ear</li>\n<li>Weight w/o Cable: 363 g</li>\n<li>Connection: 2.5mm Xbox Live Chat Port, Micro-USB Port</li>\n</ul></li>\n<li>MixAmp Tx Specs:\n<ul><li>Wireless: 5.8GHz w/ KleerNet</li>\n<li>Audio Fidelity: 48kHz 16-bit</li>\n<li>Mic Fidelity: 48kHz 16-bit</li>\n<li>Channels: Stereo w/ Dolby</li>\n<li>Input: Micro-USB Power &amp; Voice, Optical In, AUX In (3.5mm)</li>\n<li>Output: Optical Passthrough, USB Charging Port</li>\n<li>Power: USB</li>\n<li>Surround Technology: Dolby PLIIx, Dolby Headphone</li>\n</ul></li>\n<li>Includes:\n<ul><li>A50 Wireless Headset</li>\n<li>MixAmp Tx </li>\n<li>AG1</li>\n<li>Display Stand</li>\n<li>Headset Cables: 0.5m Micro-USB Cable</li>\n<li>MixAmp Cables: 1.0m Micro-USB Cable, 1.0m TOSlink Optical Cable</li>\n</ul></li>\n</ul>','<h4 class=\"prodheader\">HEADPHONES FOR THE MASTER CHIEF IN YOU!</h4>\n<ul><li>The zenith of Astro headphones: the A50!</li>\n<li>Dolby Digital 7.1 sound and wireless 5.8GHz technology</li>\n<li>Master Chief color and detailing</li>\n</ul>','','HEADPHONES FOR THE MASTER CHIEF IN YOU!\nThe zenith of Astro headphones: the A50!\nDolby Digital 7.1 sound and wireless 5.8GHz technology\nMaster Chief color and detailing\n','','en'),(31,31,'Cup of Mojo Bluetooth Speaker','<h4 class=\"prodheader\">A TINY SHOT OF BIG SOUND</h4>\n<p>Mojo is some powerful stuff. They say either you have it or you don\'t, but if you\'ve had it in the past and are just running low now, you can get it back. You know what our favorite way to get our mojo is? Wirelessly, because then we can share it with everyone in the room. See, this kind of mojo connects to our smartphone and plays our music for all to hear. No, we\'re not crazy - we\'re using the Cup of Mojo Bluetooth Speaker!</p>\n<p>Available in many stunning colors that are fun and bold, the Cup of Mojo Bluetooth Speaker is the perfect accompaniment to any smartphone, tablet, computer, or anything else with Bluetooth. Enjoy the loud, clear, acoustics whether you\'re at home, by the BBQ, in the park, or in your local coffee shop (possibly annoying many other patrons). Clip the Cup of Mojo Bluetooth Speaker anywhere with the integrated handle carabiner clip, and you\'ll always have your tunes when you need them most (especially, during afternoon tea).</p>\n<p><strong>Product Specifications</strong>   </p>\n<ul><li>A little cup is really a portable bluetooth speaker!</li>\n<li>Clip your Cup of Mojo Speaker anywhere with the carabiner handle clip</li>\n<li>Stream music from any Bluetooth 3.0 device (smartphones, tablets, computers, etc.)</li>\n<li>Boosted bass for even bass-ier bass</li>\n<li>Rubber bottom to protect surfaces (and prevent slippage)</li>\n<li>One button operation (for ease power on/off and Bluetooth pairing)</li>\n<li>Range: Up to 32.8 feet (depending on line of sight)</li>\n<li>Batteries: Rechargeable lithium-ion battery via micro-USB cable (included)</li>\n<li>Battery Life: Up to 4 hours</li>\n<li>Includes: Cup of Mojo Bluetooth Speaker, USB Charge-Cable, and Quick Start Guide </li>\n<li>It looks like a mug, but it is not microwave or dishwasher safe</li>\n<li>Dimensions: approx. 2.3\" x 3.25\" x 2.4\"</li>\n<li>Weight: approx. 3.7 oz</li>\n</ul>','<h4 class=\"prodheader\">A TINY SHOT OF BIG SOUND</h4>\n<ul><li>A little Bluetooth speaker that looks like a cup of mojo</li>\n<li>Boosted bass for a fuller sound</li>\n<li>Carabiner handle clip will make sure you have a speaker whenever you need it</li>\n</ul>','','A TINY SHOT OF BIG SOUND\nA little Bluetooth speaker that looks like a cup of mojo\nBoosted bass for a fuller sound\nCarabiner handle clip will make sure you have a speaker whenever you need it\n','','en'),(32,32,'JBL Pebbles PC Speakers','<h4 class=\"prodheader\">THESE SPEAKERS GO BAMM-BAMM!</h4>\n<p>Some things in life are very complicated. And many times, those complicated things don\'t work out as well as they should (based on their complexity). Well, to all those complicated things that aren\'t good, we say, \"SHAME!\" And to further shame them, we use a pair of JBL Pebbles PC Speakers. Why? Because they are super easy, yet pump out sound like a complicated speaker system.</p>\n<p>Simply connect your JBL Pebbles PC Speakers via USB plug-and-play and transform your laptop entertainment into a unique 2.0 stereo sound experience. The USB provides audio information AND power, so there\'s no extra AC adapter to worry about. Plus, the cords wrap around the base, to minimize the cable clutter. One of the JBL Pebbles PC Speakers has an integrated volume knob (the whole center of the speaker is a big dial), so you can quickly and easily adjust the loud-i-tude of your tunes. Upgrade your computer\'s sound system with the JBL Pebbles PC Speakers. Your music will thank you.</p>\n<p><strong>Product Specifications</strong>  </p>\n<ul><li>Stylish pair of USB plug-and-play speakers for your computer</li>\n<li>USB powered - USB audio transfer</li>\n<li>Integrated cords wrap around base for less wire clutter; stores in base for easy portability</li>\n<li>Integrated volume/power control</li>\n<li>Auxiliary input for connecting other devices</li>\n<li>Choice of Color: Black or White</li>\n<li>Includes:\n<ul><li>1 pair JBL Pebbles USB digital speakers, with built-in USB</li>\n<li>Audio cable</li>\n<li>Quick-start guide</li>\n</ul></li>\n<li>Dimensions: 6\" diameter x 2.75\" wide (each)</li>\n<li>Weight: 1.18 lbs (each)</li>\n</ul>','<h4 class=\"prodheader\">THESE SPEAKERS GO BAMM-BAMM!</h4>\n<ul><li>Stylish USB speakers are plug-and-play</li>\n<li>USB powered, so AC adapter needed</li>\n<li>Integrated volume control in the center of one speaker</li>\n</ul>','','THESE SPEAKERS GO BAMM-BAMM!\nStylish USB speakers are plug-and-play\nUSB powered, so AC adapter needed\nIntegrated volume control in the center of one speaker\n','','en'),(33,33,'Bright Idea - USB-Powered Light Bulb','<h4 class=\"prodheader\">SHED SOME LIGHT ON THE SUBJECT</h4>\n<p>There are a lot of USB-powered devices that aren\'t terribly useful. See: USB Humping Dog, <a href=\"http://www.thinkgeek.com/c208\">USB Pet Rock</a>, <a href=\"http://www.thinkgeek.com/ede3\">USB Squirming Tentacle</a>. They\'re all, shall we say, ornamental. Like rhinestones on a phone case, they\'re purely decorative additions to your space, which is just what you need sometimes.</p>\n<p>However, this USB-Powered Light Bulb won\'t ever fall into that category. See, when it\'s plugged into a USB port it gives off a frosted, soft blue light, and when it\'s not it glows in the dark.</p>\n<p>It\'s perfect for working late at night. Sure, your laptop is backlit, but sometimes it\'s not just the screen you need to see. And the shiny, adjustable cable is definitely artsy and clever. Plug it into an <a href=\"http://www.thinkgeek.com/eb7b\">iGeek</a> or a similar charger and have your own portable, crazy-looking lamp. It\'d be great around a pool or at an outdoor venue where you need light for a little while but may not have a convenient outlet.</p>\n<p><strong>Product Specifications</strong></p>\n<ul><li>Light bulb powered by USB (gives off a frosted, soft blue light from an LED)</li>\n<li>Glows in the dark when not powered</li>\n<li>Compatible with all standard USB ports</li>\n<li>Adjustable gooseneck arm is 9 1/2\" of shiny metal</li>\n<li>Good for considerate roommates (inconsiderate roommates need not apply)</li>\n<li>Materials: Plastic? Resin? Not glass, at the very least.</li>\n<li>Dimensions: 2 1/2\" wide x 2 1/2\" deep, 9 1/2\" cable</li>\n<li>It\'s basically the size of a standard incandescent bulb, although the base is a bit smaller.</li>\n<li>Weight: just over 2 oz.</li>\n</ul>','<h4 class=\"prodheader\">SHED SOME LIGHT ON THE SUBJECT</h4>\n<ul><li>Light bulb powered by USB</li>\n<li>Great for situations where you need just a bit more light</li>\n<li>Glows in the dark when not plugged in</li>\n</ul>','','SHED SOME LIGHT ON THE SUBJECT\nLight bulb powered by USB\nGreat for situations where you need just a bit more light\nGlows in the dark when not plugged in\n','','en'),(34,34,'MJ Technology Android Tablet with Built-in HDTV Tuner','<h4 class=\"prodheader\">MORE PORTS THAN AN IPAD</h4>\n<p>Okay, so almost ANY ports is more than an iPad, so that isn\'t really an accomplishment, but we still figured it was worth pointing out, because we always end up frustrated when we end up troubleshooting someone\'s iPad (despite having bought them AppleCare and having previously escorted them to the Genius Bar) and realize we have to transfer something large we have on this laptop next to us to the iPad via the Internet. <br /><br />None of that with this new Android tablet with built-in HDTV tuner from MJ Technology. You might recognize MJ Technology\'s name because of the talk about their Ubuntu tablets coming out. This 7\" one instead runs Android 4.1 (Jelly Bean) on its 1.5GHz dual cortex A9 processor. To get a good grasp of this tablet, imagine everything you expect out of an Android tablet. Now add in the ability to pick up an over-the-air HDTV television signal. Voila. With just a 7\" screen diagonal, it\'s not clunky but neither is it the torture of trying to navigate a spreadsheet on your phone. Goldilocks, we think it\'s just right.<br /><br /><strong>Product Specifications  </strong></p>\n<ul><li>Android Tablet with Built-in HDTV Tuner</li>\n<li>Choose black, white, or gray</li>\n<li>Runs Android 4.1 (Jelly Bean)</li>\n<li>7\" diagonal LCD screen with 1024 x 600 resolution (720P)</li>\n<li>1.5GHz dual cortex A9 processor</li>\n<li>8GB storage built-in</li>\n<li>Ports for the included 3G antenna, a micro-SD (supports up to 64GB), microphone, headphone jack, and micro-USB </li>\n<li>Built-in cameras (front-facing 0.3 + 2 megapixel rear-facing)</li>\n<li>802.1 b/g/n wi-fi connection</li>\n<li>5 points multi-touch capacitive touch screen</li>\n<li>Built-in speakers with Dolby Digital Audio</li>\n<li>Retractable external ATSC antenna for over-the-air digital television</li>\n<li>Batteries: Built-in rechargeable Li-Poly battery</li>\n<li>One charge provides 4-6 hours of HDTV-tuned TV or 8 hours of tablet/general use</li>\n<li>Includes tablet, microUSB to standard USB adapter, 3G antenna, and a wall charger</li>\n<li>Dimensions: 8 1/2\" long x 5 1/4\" wide x 1\" thick</li>\n<li>Weight: 11 oz.</li>\n</ul>','<h4 class=\"prodheader\">MORE PORTS THAN AN IPAD</h4>\n<ul><li>7\" diagonal LCD screen with 1024 x 600 resolution (720P)</li>\n<li>1.5GHz dual cortex A9 processor</li>\n<li>Retractable external ATSC antenna for over-the-air digital television</li>\n</ul>','','MORE PORTS THAN AN IPAD\n7\" diagonal LCD screen with 1024 x 600 resolution (720P)\n1.5GHz dual cortex A9 processor\nRetractable external ATSC antenna for over-the-air digital television\n','','en'),(35,35,'BACtrack Vio - Bluetooth App Enabled Breathalyzer','<h4 class=\"prodheader\">THREE SPREADSHEETS TO THE WIND</h4>\n<p>All adults who drink have their own sobriety self-tests. Some of us start slurring our words. Others get more clumsy than usual (which takes skill). Some of us who are introverts can tell we\'re drunk when we\'re talking to strangers without being acutely aware of it. But, of course, none of these is an accurate test for whether or not it\'s safe to hit the road.</p>\n<p>The BACtrack Vio is a wireless, app-enabled breathalyzer. It uses Bluetooth 4.0 LE to sync with your device. You breathe into the device; your phone tells you your blood alcohol content level, from 0.000 - 0.400%. But wait. There\'s more. Because this breathalyzer has your smartphone powering it, it can do a few more things. For instance, it can track your drinking over time. It can tell you at what time you\'ll be sober (15 more minutes of ill-advised karaoke or are you down for a movie?). It allows you to easily share via SMS or social your details and location with someone who\'s not with you so you can get home safely. And it\'ll let you guess your BAC, so you\'ll know how good your self-test really is.</p>\n<p>One final note. For anybody who\'s argued with a drunk friend in a parking lot before, this app is great for using science to prove to them that you need to take the wheel for everyone\'s sake. And it comes with three replaceable mouthpieces so you can test multiple friends once they see how cool your little gadget is.</p>\n<p><strong>Product Specifications</strong></p>\n<ul><li>Detects blood alcohol content from 0.000 - 0.400% BAC</li>\n<li>Compatible with iPhone 5/5S, 5C, 4S; iPad Air, 4, 3, Mini 1 and 2; Samsung Galaxy S5, S4, S3 (some other devices running Android 4.3 equipped with Bluetooth 4.0)</li>\n<li>Wirelessly syncs with your iPhone or Android smartphone via Bluetooth 4.0 LE</li>\n<li>Free BACtrack app estimates when your BAC will return to 0.00%, lets you guess your BAC, tracks your drinking over time, and even lets you easily share details including location and time via SMS or social (if you\'re calling friends for a ride, make it easy on them)</li>\n<li>More accurate results than standard semiconductor sensors</li>\n<li>Warm-up Time: 10 seconds</li>\n<li>Blowing Time: 5 seconds</li>\n<li>In under 30 seconds, you can know whether you should ride with a friend or call a cab</li>\n<li>Batteries: 1 AAA battery (included)</li>\n<li>Dimensions: 0.95\" x 2.85\" x 0.65\"</li>\n<li>Weight: 2 oz. (including battery)</li>\n<li>Includes BACtrack, battery, 3 replaceable mouthpieces, and manual</li>\n</ul>','<h4 class=\"prodheader\">THREE SPREADSHEETS TO THE WIND</h4>\n<ul><li>Detects blood alcohol content from 0.000 - 0.400%</li>\n<li>Fits easily into a pocket or purse</li>\n<li>Compatible with iPhone 5/5S, Samsung Galaxy S5, S4, and more</li>\n</ul>','','THREE SPREADSHEETS TO THE WIND\nDetects blood alcohol content from 0.000 - 0.400%\nFits easily into a pocket or purse\nCompatible with iPhone 5/5S, Samsung Galaxy S5, S4, and more\n','','en'),(36,36,'Coffee Cup Power Inverter V2.0','<div id=\"proddescription\">\n<h4 class=\"prodheader\">LIKE A CAFFEINE BOOST FOR YOUR ELECTRONICS!</h4>\n<p>When you start to feel a little low on energy you can turn to that terrific alkaloid, caffeine. Available from many sources like Bawls and, of course, that tried and true hot beverage, coffee. Reaching for your coffee cup to get an energy boost when you\'re tired is pretty much second nature. Well, now your gadgets can turn to a coffee cup of their own when they need an energy recharge.</p>\n<p>The Coffee Cup Power Inverter V2.0 is a conveniently shaped power source that coverts your car\'s DC power into two 120-volt AC outlets. Perfect for powering or charging smartphones, tablets, DVD players, televisions, game consoles, and tons of other portable electronics. This new version of the coffee cup also has an upgraded USB charging port providing 2.1 amps of power. The unique coffee cup shape fits nicely in today\'s auto/boat/truck cup holders, preventing it from moving around inside your vehicle.</p>\n<p> </p>\n</div>\n<div id=\"bullets\">\n<ul><li>200 Watt inverter with 2 AC plugs and USB power port</li>\n<li>New and improved version of one of our favorites</li>\n<li>2.1 amp USB port for extra charging power (previously 500mAh)</li>\n<li>Provides 120 Volt AC power from any cigarette lighter socket</li>\n<li>200W continuous/400W peak</li>\n<li>Fits into standard cup holders</li>\n<li>18\" cord</li>\n<li>Overload protection and low battery shut-off</li>\n<li>Power 3 devices at once</li>\n<li>One year warranty</li>\n<li>Dimensions: 6\" tall x 3.5\" dia</li>\n</ul></div>','<h4 class=\"prodheader\">LIKE A CAFFEINE BOOST FOR YOUR ELECTRONICS!</h4>\n<ul><li>200 watt inverter with 2 AC plugs with new 2.1 amp USB port</li>\n<li>Fits into standard cup holders in your car</li>\n<li>Keep all of your gear up and running</li>\n</ul>','','LIKE A CAFFEINE BOOST FOR YOUR ELECTRONICS!\n200 watt inverter with 2 AC plugs with new 2.1 amp USB port\nFits into standard cup holders in your car\nKeep all of your gear up and running\n','','en'),(37,37,'Apple iPhone 6S [Options & Attributes] [Custom tabs]','<div class=\"features\">\n<div class=\"feature media-block\">\n<div class=\"content\"><br /><p>iPhone 6S isn’t simply bigger — it’s better in every way. Larger, yet dramatically thinner. More powerful, but remarkably power efficient. With a smooth metal surface that seamlessly meets the new Retina HD display. It’s one continuous form where hardware and software function in perfect unison, creating a new generation of iPhone that’s better by any measure.</p>\n<h4>iPhone at its largest. And thinnest.</h4>\n<p>Developing an iPhone with a larger, more advanced display meant pushing the edge of design. From the seamless transition of glass and metal to the streamlined profile, every detail was carefully considered to enhance your experience. So while its display is larger, iPhone 6 feels just right.</p>\n</div>\n</div>\n<div class=\"feature media-block\">\n<div class=\"media\"> </div>\n<div class=\"content\">\n<h4>Not just a bigger display. A better display.</h4>\n<p>It’s one thing to make a bigger display. It’s something else entirely to make a bigger MultiTouch display with brilliant colors and higher contrast at even wider viewing angles. But that’s exactly what we did with the new Retina HD display.</p>\n</div>\n</div>\n<div class=\"feature media-block\">\n<div class=\"media\"> </div>\n<div class=\"content\">\n<h4>Hugely powerful. Enormously efficient.</h4>\n<p>Built on 64-bit desktop-class architecture, the new A8 chip delivers more power, even while driving a larger display. The M8 motion coprocessor efficiently gathers data from advanced sensors and a new barometer. And with increased battery life, iPhone 6 lets you do more, for longer than ever.</p>\n</div>\n</div>\n</div>\n<div class=\"feature media-block\">\n<div class=\"media\"> </div>\n<div class=\"content\">\n<h4>The camera that changed photos now does the same for video.</h4>\n<p>More people take more photos with iPhone than with any other camera. And now the iSight camera has a new sensor with Focus Pixels and new video features, like 1080p HD at 60 fps, slo-mo at 240 fps, and time-lapse video mode. So you’ll have more reasons to capture more moments on video, too.</p>\n</div>\n</div>\n<div class=\"gs grid-9of20\">\n<div class=\"in-the-box\">\n<div> </div>\n<div class=\"content\">\n<h4>What’s in the box</h4>\n<ul class=\"ul\"><li>iPhone 6S</li>\n<li>Apple EarPods with Remote and Mic</li>\n<li>Lightning to USB Cable</li>\n<li>5W USB Power Adapter</li>\n</ul></div>\n</div>\n</div>\n<div style=\"padding:24px 24px 24px 21px;display:block;\">This site is a demo site only. This product is not available for sale at our site. <br />But you can buy it at <a style=\"color:#1e7ec8;text-decoration:underline;\" title=\"Apple Store\" href=\"http://store.apple.com/us/buy-iphone/iphone6\">Apple Store</a>, this is where we took description from.</div>','','','\niPhone 6S isn’t simply bigger — it’s better in every way. Larger, yet dramatically thinner. More powerful, but remarkably power efficient. With a smooth metal surface that seamlessly meets the new Retina HD display. It’s one continuous form where hardware and software function in perfect unison, creating a new generation of iPhone that’s better by any measure.\niPhone at its largest. And thinnest.\nDeveloping an iPhone with a larger, more advanced display meant pushing the edge of design. From the seamless transition of glass and metal to the streamlined profile, every detail was carefully considered to enhance your experience. So while its display is larger, iPhone 6 feels just right.\n\n\n\n \n\nNot just a bigger display. A better display.\nIt’s one thing to make a bigger display. It’s something else entirely to make a bigger MultiTouch display with brilliant colors and higher contrast at even wider viewing angles. But that’s exactly what we did with the new Retina HD display.\n\n\n\n \n\nHugely powerful. Enormously efficient.\nBuilt on 64-bit desktop-class architecture, the new A8 chip delivers more power, even while driving a larger display. The M8 motion coprocessor efficiently gathers data from advanced sensors and a new barometer. And with increased battery life, iPhone 6 lets you do more, for longer than ever.\n\n\n\n\n \n\nThe camera that changed photos now does the same for video.\nMore people take more photos with iPhone than with any other camera. And now the iSight camera has a new sensor with Focus Pixels and new video features, like 1080p HD at 60 fps, slo-mo at 240 fps, and time-lapse video mode. So you’ll have more reasons to capture more moments on video, too.\n\n\n\n\n \n\nWhat’s in the box\niPhone 6S\nApple EarPods with Remote and Mic\nLightning to USB Cable\n5W USB Power Adapter\n\n\n\nThis site is a demo site only. This product is not available for sale at our site. But you can buy it at Apple Store, this is where we took description from.','','en'),(38,38,'Canon EF 24-105mm f/4L IS USM','<p>This easy-to-use standard zoom lens can cover a large zoom area ranging from 24mm wide-angle to 105mm portrait-length telephoto, and its Image Stabilizer Technology steadies camera shake up to three stops. Constructed with one Super-UD glass element and three aspherical lenses, this lens minimizes chromatic aberration and distortion. The result is excellent picture quality, even at wide apertures. Canon\'s ring-type USM gives silent but quick AF, along with full-time manual focus. Moreover, with dust- and moisture-resistant construction, this is a durable yet sophisticated lens that meets the demands of advanced amateur photographers and professional photographers alike.</p>\n<ul class=\"propsInfo\"><li>Lens mount: Canon EF Mount</li>\n<li>24 mm - 105 mm, Aperture 1:4.0</li>\n<li>image stabilizer</li>\n<li>min. focal range 0.45 m</li>\n<li>Filter-Ø 77 mm, weatherproof</li>\n</ul>','','','This easy-to-use standard zoom lens can cover a large zoom area ranging from 24mm wide-angle to 105mm portrait-length telephoto, and its Image Stabilizer Technology steadies camera shake up to three stops. Constructed with one Super-UD glass element and three aspherical lenses, this lens minimizes chromatic aberration and distortion. The result is excellent picture quality, even at wide apertures. Canon\'s ring-type USM gives silent but quick AF, along with full-time manual focus. Moreover, with dust- and moisture-resistant construction, this is a durable yet sophisticated lens that meets the demands of advanced amateur photographers and professional photographers alike.\nLens mount: Canon EF Mount\n24 mm - 105 mm, Aperture 1:4.0\nimage stabilizer\nmin. focal range 0.45 m\nFilter-Ø 77 mm, weatherproof\n','','en'),(39,39,'Apple Watch Sport 42mm with Sport Band','<p>Every Apple Watch Sport comes with one year of hardware repair coverage through its <a href=\"http://www.apple.com/legal/warranty\" target=\"_blank\">limited warranty</a> and up to <a href=\"http://www.apple.com/support/complimentary\" target=\"_blank\">90 days of complimentary support</a>.</p>\n<h2 class=\"fwl\">What’s in the box</h2>\n<ul><li>Apple Watch</li>\n<li>Magnetic charging cable (2 m)</li>\n<li>USB power adapter (5W)</li>\n<li>Sport Band (includes band that can be configured for either S/M or M/L length)</li>\n<li>Quick start guide</li>\n</ul><p> </p>\n<h2 class=\"fwl\">Apple Watch Sport features</h2>\n<ul><li>Silver or space gray anodized aluminum case</li>\n<li>Ion-X glass</li>\n<li>Retina display with Force Touch</li>\n<li>Composite back</li>\n<li class=\"compact-right-10\">Sport Band with stainless steel pin</li>\n<li>Digital Crown</li>\n<li>Heart rate sensor, accelerometer, and gyroscope</li>\n</ul><ul><li>Ambient light sensor</li>\n<li>Speaker and microphone</li>\n<li>Wi-Fi (802.11b/g/n 2.4GHz)</li>\n<li>Bluetooth 4.0</li>\n<li>Up to 18 hours of battery life*</li>\n<li>Water resistant**</li>\n</ul><p> </p>\n<p class=\"disclaimer\">*Battery life varies by use and configuration; actual results will vary. See <a href=\"http://www.apple.com/batteries\" target=\"_blank\">www.apple.com/batteries</a> and <a href=\"http://www.apple.com/watch/battery.html\" target=\"_blank\">www.apple.com/watch/battery.html</a> for more information.</p>\n<p class=\"disclaimer\">**Apple Watch is splash and water resistant but not waterproof. You can, for example, wear and use Apple Watch during exercise, in the rain, and while washing your hands, but submerging Apple Watch is not recommended. Apple Watch has a water resistance rating of IPX7 under IEC standard 60529. The leather bands are not water resistant.</p>\n<p class=\"disclaimer\"><br />Features are subject to change and may not be available in all regions or all languages. Requires iPhone 5 or later.</p>\n<p> </p>','','','Every Apple Watch Sport comes with one year of hardware repair coverage through its limited warranty and up to 90 days of complimentary support.\nWhat’s in the box\nApple Watch\nMagnetic charging cable (2 m)\nUSB power adapter (5W)\nSport Band (includes band that can be configured for either S/M or M/L length)\nQuick start guide\n \nApple Watch Sport features\nSilver or space gray anodized aluminum case\nIon-X glass\nRetina display with Force Touch\nComposite back\nSport Band with stainless steel pin\nDigital Crown\nHeart rate sensor, accelerometer, and gyroscope\nAmbient light sensor\nSpeaker and microphone\nWi-Fi (802.11b/g/n 2.4GHz)\nBluetooth 4.0\nUp to 18 hours of battery life*\nWater resistant**\n \n*Battery life varies by use and configuration; actual results will vary. See www.apple.com/batteries and www.apple.com/watch/battery.html for more information.\n**Apple Watch is splash and water resistant but not waterproof. You can, for example, wear and use Apple Watch during exercise, in the rain, and while washing your hands, but submerging Apple Watch is not recommended. Apple Watch has a water resistance rating of IPX7 under IEC standard 60529. The leather bands are not water resistant.\nFeatures are subject to change and may not be available in all regions or all languages. Requires iPhone 5 or later.\n ','','en'),(40,40,'Astro A30 System','<h4 class=\"prodheader\">HEAR WHAT YOU\'VE BEEN MISSING</h4>\n<p>When it\'s game time, you slip on your headphones and disappear into whatever world you\'re gaming in. It\'s important that these headphones are quality for many reasons. First, you want to make sure you hear everything: from explosions to enemies to spells to conversation with other online players. And second, you want to make sure other players hear you! Time to power up your gaming experience to a whole new level with the Astro A30 System.</p>\n<p>The Astro A30 System brings the power Dolby 7.1 Surround Sound to the next generation of gaming by combining the power of the A30 headset with the MixAmp Pro. The preferred choice among cross-platform gamers, the A30 is highly portable, lightweight and comes fully equipped with three different audio cables for easy connection not just to your Xbox One, but with a variety of mobile devices and consoles. Easy size adjustment and breathable fabric cushions make this over-ear design so comfortable, you might even forget you’re wearing them. The MixAmp Pro brings the ultimate power of Dolby 7.1 Surround Sound to your favorite games and allows you to capture both voice and game audio through the Stream output. The Astro A30 System - more power for your ear holes!</p>\n<p>Product Specifications  </p>\n<ul><li>Don\'t just hear your games, aurally experience them with this awesome headphones set</li>\n<li>Color Choice: Black or White</li>\n<li>Compatibility: Xbox One/PS4/PS3/PC</li>\n<li>Astro A30 Specs:\n<ul><li>Transducer Principle: Dynamic, Closed</li>\n<li>Frequency Response: 20 - 21,000 Hz</li>\n<li>Distortion: Less than 0.1%</li>\n<li>Microphone: 6.0mm unidirectional with noise gate</li>\n<li>Nominal Impedance: 32 Ohms</li>\n<li>Headband Pressure: 2.0N</li>\n<li>Ear Coupling: On-Ear</li>\n<li>Weight w/o Cable: 188 grams</li>\n<li>Connection: 3.5mm 4-pole Jack</li>\n</ul></li>\n<li>MixAmp Pro Specs:\n<ul><li>Inputs Rear: 3.5mm Mini TOSlink, 3.5mm mp3 connector, USB mini-B (audio/power), 3.5mm Stream Output</li>\n<li>Frequency Response: 20-20,000 Hz</li>\n<li>Power Output: 70mW 32ohm per channel</li>\n<li>Inputs Front: Headset Connector, 2.5mm Xbox Live voice communication connector, Two daisy chain 3.5mm ports</li>\n</ul></li>\n<li>Includes: \n<ul><li>A30 Headset</li>\n<li>A30 Mic</li>\n<li>ASTRO Speaker Tags</li>\n<li>MixAmp Pro</li>\n<li>Headset Cables: 2.0M A30 Inline Mute Cable, 65mm PC Splitter Cable</li>\n<li>MixAmp Cables: 3.0M TOSlink Optical Cable, 3.0M Mini-USB Cable, 1.5M Xbox Live Chat Cable, 1.5M 3.5mm Audio Cable</li>\n</ul></li>\n</ul>','<h4 class=\"prodheader\">HEAR WHAT YOU\'VE BEEN MISSING</h4>\n<ul><li>Awesome, cross-platform, gaming headphones</li>\n<li>MixAmp Pro included for even more control</li>\n<li>Works with Xbox One, PS4, PS3, and PC</li>\n</ul>','','HEAR WHAT YOU\'VE BEEN MISSING\nAwesome, cross-platform, gaming headphones\nMixAmp Pro included for even more control\nWorks with Xbox One, PS4, PS3, and PC\n','','en'),(41,41,'Apple iPhone 6S Plus [Options & Attributes]','<ul class=\"propsInfo\"><li>Smartphone, Apple iOS 9</li>\n<li>Display: 11.9 cm (4.7\"), 8.0 MP camera</li>\n<li>CPU: 2x 1.40 GHz, 64.0 GB storage</li>\n<li>GPS</li>\n<li>LTE, WLAN, Bluetooth 4.0, NFC</li>\n</ul>','','','Smartphone, Apple iOS 9\nDisplay: 11.9 cm (4.7\"), 8.0 MP camera\nCPU: 2x 1.40 GHz, 64.0 GB storage\nGPS\nLTE, WLAN, Bluetooth 4.0, NFC\n','','en'),(42,42,'Apple iPhone SE [Options & Attributes] [Tabs]','<div class=\"features\">\n<div class=\"feature media-block\">\n<div class=\"content\">\n<div class=\"features\">\n<div class=\"feature media-block\">\n<div class=\"content\">\n<h4>All-new design.</h4>\n<p>At 7.6 mm and 113 grams,<span style=\"font-size:xx-small;\"> </span>iPhone SE has a remarkably thin and light design. It’s made from anodized aluminum. And the beveled edges are diamond cut for incredible precision.</p>\n</div>\n</div>\n<div class=\"feature media-block\">\n<div class=\"media\"> </div>\n<div class=\"content\">\n<h4>Brilliant 4-inch Retina display.</h4>\n<p>4-inch (diagonal) LED-backlit widescreen Multi-Touch display with IPS technology</p>\n</div>\n</div>\n<div class=\"feature media-block\">\n<div class=\"content\">\n<h4>Powerful A9 chip.</h4>\n<p>A9 chip with 64-bit architecture. Embedded M9 motion coprocessor</p>\n</div>\n</div>\n<div class=\"feature media-block\">\n<div class=\"media\"> </div>\n<div class=\"content\">\n<h4>Ultrafast wireless.</h4>\n<p>With support for the latest wireless technologies, iPhone SE connects to more networks all over the world. And Wi-Fi is faster, too.</p>\n</div>\n</div>\n</div>\n<div class=\"gs grid-9of20\">\n<div class=\"in-the-box\">\n<div> </div>\n<div class=\"content\">\n<h4>What’s in the box</h4>\n<ul class=\"ul\"><li>iPhone SE with iOS 9.3</li>\n<li>Apple EarPods with Remote and Mic</li>\n<li>Lightning to USB Cable</li>\n<li>USB Power Adapter</li>\n</ul></div>\n</div>\n<div class=\"system-requirements\">\n<h4>Warranty</h4>\n<p>Every iPhone includes 90 days of free telephone technical support and a one-year limited warranty.</p>\n</div>\n</div>\n</div>\n</div>\n</div>\n<div class=\"gs grid-9of20\">\n<div class=\"system-requirements\">\n<p> </p>\n</div>\n</div>\n<div style=\"padding:24px 24px 24px 21px;display:block;\">This site is a demo site only. This product is not available for sale at our site. <br />But you can buy it at <a style=\"color:#1e7ec8;text-decoration:underline;\" title=\"Apple Store\" href=\"http://store.apple.com/us/buy/home/shop_iphone/family/iphone5\">Apple Store</a> , this is where we took description from.</div>','','','\n\n\n\n\nAll-new design.\nAt 7.6 mm and 113 grams, iPhone SE has a remarkably thin and light design. It’s made from anodized aluminum. And the beveled edges are diamond cut for incredible precision.\n\n\n\n \n\nBrilliant 4-inch Retina display.\n4-inch (diagonal) LED-backlit widescreen Multi-Touch display with IPS technology\n\n\n\n\nPowerful A9 chip.\nA9 chip with 64-bit architecture. Embedded M9 motion coprocessor\n\n\n\n \n\nUltrafast wireless.\nWith support for the latest wireless technologies, iPhone SE connects to more networks all over the world. And Wi-Fi is faster, too.\n\n\n\n\n\n \n\nWhat’s in the box\niPhone SE with iOS 9.3\nApple EarPods with Remote and Mic\nLightning to USB Cable\nUSB Power Adapter\n\n\n\nWarranty\nEvery iPhone includes 90 days of free telephone technical support and a one-year limited warranty.\n\n\n\n\n\n\n\n \n\n\nThis site is a demo site only. This product is not available for sale at our site. But you can buy it at Apple Store , this is where we took description from.','','en');
/*!40000 ALTER TABLE `xc_product_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_product_variant_attribute_value_checkbox`
--

DROP TABLE IF EXISTS `xc_product_variant_attribute_value_checkbox`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_product_variant_attribute_value_checkbox` (
  `variant_id` int(10) unsigned NOT NULL,
  `attribute_value_id` int(10) unsigned NOT NULL,
  PRIMARY KEY (`variant_id`,`attribute_value_id`),
  KEY `IDX_7EA78E353B69A9AF` (`variant_id`),
  KEY `IDX_7EA78E3565A22152` (`attribute_value_id`),
  CONSTRAINT `FK_7EA78E353B69A9AF` FOREIGN KEY (`variant_id`) REFERENCES `xc_product_variants` (`id`) ON DELETE CASCADE,
  CONSTRAINT `FK_7EA78E3565A22152` FOREIGN KEY (`attribute_value_id`) REFERENCES `xc_attribute_values_checkbox` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_product_variant_attribute_value_checkbox`
--

LOCK TABLES `xc_product_variant_attribute_value_checkbox` WRITE;
/*!40000 ALTER TABLE `xc_product_variant_attribute_value_checkbox` DISABLE KEYS */;
/*!40000 ALTER TABLE `xc_product_variant_attribute_value_checkbox` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_product_variant_attribute_value_select`
--

DROP TABLE IF EXISTS `xc_product_variant_attribute_value_select`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_product_variant_attribute_value_select` (
  `variant_id` int(10) unsigned NOT NULL,
  `attribute_value_id` int(10) unsigned NOT NULL,
  PRIMARY KEY (`variant_id`,`attribute_value_id`),
  KEY `IDX_456A98943B69A9AF` (`variant_id`),
  KEY `IDX_456A989465A22152` (`attribute_value_id`),
  CONSTRAINT `FK_456A98943B69A9AF` FOREIGN KEY (`variant_id`) REFERENCES `xc_product_variants` (`id`) ON DELETE CASCADE,
  CONSTRAINT `FK_456A989465A22152` FOREIGN KEY (`attribute_value_id`) REFERENCES `xc_attribute_values_select` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_product_variant_attribute_value_select`
--

LOCK TABLES `xc_product_variant_attribute_value_select` WRITE;
/*!40000 ALTER TABLE `xc_product_variant_attribute_value_select` DISABLE KEYS */;
/*!40000 ALTER TABLE `xc_product_variant_attribute_value_select` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_product_variant_images`
--

DROP TABLE IF EXISTS `xc_product_variant_images`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_product_variant_images` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `product_variant_id` int(10) unsigned DEFAULT NULL,
  `alt` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `width` int(11) NOT NULL,
  `height` int(11) NOT NULL,
  `hash` char(32) COLLATE utf8_unicode_ci DEFAULT NULL,
  `needProcess` tinyint(1) NOT NULL,
  `path` varchar(512) COLLATE utf8_unicode_ci NOT NULL,
  `fileName` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `mime` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `storageType` varchar(1) COLLATE utf8_unicode_ci NOT NULL,
  `size` int(10) unsigned NOT NULL,
  `date` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `UNIQ_6A795010A80EF684` (`product_variant_id`),
  CONSTRAINT `FK_6A795010A80EF684` FOREIGN KEY (`product_variant_id`) REFERENCES `xc_product_variants` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_product_variant_images`
--

LOCK TABLES `xc_product_variant_images` WRITE;
/*!40000 ALTER TABLE `xc_product_variant_images` DISABLE KEYS */;
/*!40000 ALTER TABLE `xc_product_variant_images` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_product_variant_wholesale_prices`
--

DROP TABLE IF EXISTS `xc_product_variant_wholesale_prices`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_product_variant_wholesale_prices` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `product_variant_id` int(10) unsigned DEFAULT NULL,
  `membership_id` int(10) unsigned DEFAULT NULL,
  `type` varchar(32) COLLATE utf8_unicode_ci NOT NULL,
  `price` decimal(14,4) NOT NULL COMMENT '(DC2Type:money)',
  `quantityRangeBegin` int(10) unsigned NOT NULL,
  `quantityRangeEnd` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  KEY `IDX_6F324BE0A80EF684` (`product_variant_id`),
  KEY `IDX_6F324BE01FB354CD` (`membership_id`),
  KEY `range` (`product_variant_id`,`membership_id`,`quantityRangeBegin`,`quantityRangeEnd`),
  CONSTRAINT `FK_6F324BE01FB354CD` FOREIGN KEY (`membership_id`) REFERENCES `xc_memberships` (`membership_id`) ON DELETE CASCADE,
  CONSTRAINT `FK_6F324BE0A80EF684` FOREIGN KEY (`product_variant_id`) REFERENCES `xc_product_variants` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_product_variant_wholesale_prices`
--

LOCK TABLES `xc_product_variant_wholesale_prices` WRITE;
/*!40000 ALTER TABLE `xc_product_variant_wholesale_prices` DISABLE KEYS */;
/*!40000 ALTER TABLE `xc_product_variant_wholesale_prices` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_product_variants`
--

DROP TABLE IF EXISTS `xc_product_variants`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_product_variants` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `product_id` int(10) unsigned DEFAULT NULL,
  `price` decimal(14,4) NOT NULL COMMENT '(DC2Type:money)',
  `defaultPrice` tinyint(1) NOT NULL,
  `amount` int(10) unsigned NOT NULL,
  `defaultAmount` tinyint(1) NOT NULL,
  `weight` decimal(14,4) NOT NULL,
  `defaultWeight` tinyint(1) NOT NULL,
  `sku` varchar(32) COLLATE utf8_unicode_ci DEFAULT NULL,
  `variant_id` varchar(32) COLLATE utf8_unicode_ci DEFAULT NULL,
  `defaultValue` tinyint(1) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `IDX_BE2CDD914584665A` (`product_id`),
  CONSTRAINT `FK_BE2CDD914584665A` FOREIGN KEY (`product_id`) REFERENCES `xc_products` (`product_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_product_variants`
--

LOCK TABLES `xc_product_variants` WRITE;
/*!40000 ALTER TABLE `xc_product_variants` DISABLE KEYS */;
/*!40000 ALTER TABLE `xc_product_variants` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_product_variants_attributes`
--

DROP TABLE IF EXISTS `xc_product_variants_attributes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_product_variants_attributes` (
  `product_id` int(10) unsigned NOT NULL,
  `attribute_id` int(10) unsigned NOT NULL,
  PRIMARY KEY (`product_id`,`attribute_id`),
  KEY `IDX_471FF1474584665A` (`product_id`),
  KEY `IDX_471FF147B6E62EFA` (`attribute_id`),
  CONSTRAINT `FK_471FF1474584665A` FOREIGN KEY (`product_id`) REFERENCES `xc_products` (`product_id`) ON DELETE CASCADE,
  CONSTRAINT `FK_471FF147B6E62EFA` FOREIGN KEY (`attribute_id`) REFERENCES `xc_attributes` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_product_variants_attributes`
--

LOCK TABLES `xc_product_variants_attributes` WRITE;
/*!40000 ALTER TABLE `xc_product_variants_attributes` DISABLE KEYS */;
/*!40000 ALTER TABLE `xc_product_variants_attributes` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_products`
--

DROP TABLE IF EXISTS `xc_products`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_products` (
  `product_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `product_class_id` int(10) unsigned DEFAULT NULL,
  `tax_class_id` int(10) unsigned DEFAULT NULL,
  `ogMeta` longtext COLLATE utf8_unicode_ci,
  `useCustomOG` tinyint(1) NOT NULL,
  `marketPrice` decimal(14,4) NOT NULL,
  `pinCodesEnabled` tinyint(1) NOT NULL,
  `autoPinCodes` tinyint(1) NOT NULL,
  `participateSale` tinyint(1) NOT NULL,
  `discountType` varchar(32) COLLATE utf8_unicode_ci NOT NULL,
  `salePriceValue` decimal(14,4) NOT NULL,
  `xcPendingBulkEdit` tinyint(1) NOT NULL,
  `isCustomerAttachmentsAvailable` tinyint(1) NOT NULL,
  `isCustomerAttachmentsRequired` tinyint(1) NOT NULL,
  `freeShip` tinyint(1) NOT NULL,
  `shipForFree` tinyint(1) NOT NULL,
  `freightFixedFee` decimal(14,4) NOT NULL,
  `useAsSegmentCondition` tinyint(1) NOT NULL,
  `demo` tinyint(1) NOT NULL,
  `price` decimal(14,4) NOT NULL COMMENT '(DC2Type:money)',
  `sku` varchar(32) COLLATE utf8_unicode_ci DEFAULT NULL,
  `enabled` tinyint(1) NOT NULL,
  `weight` decimal(14,4) NOT NULL,
  `useSeparateBox` tinyint(1) NOT NULL,
  `boxWidth` decimal(14,4) NOT NULL,
  `boxLength` decimal(14,4) NOT NULL,
  `boxHeight` decimal(14,4) NOT NULL,
  `itemsPerBox` int(11) NOT NULL,
  `free_shipping` tinyint(1) NOT NULL,
  `taxable` tinyint(1) NOT NULL,
  `javascript` longtext COLLATE utf8_unicode_ci NOT NULL,
  `arrivalDate` int(11) NOT NULL,
  `date` int(11) NOT NULL,
  `updateDate` int(10) unsigned NOT NULL,
  `needProcess` tinyint(1) NOT NULL,
  `inventoryEnabled` tinyint(1) NOT NULL,
  `amount` int(10) unsigned NOT NULL,
  `lowLimitEnabledCustomer` tinyint(1) NOT NULL,
  `lowLimitEnabled` tinyint(1) NOT NULL,
  `lowLimitAmount` int(10) unsigned NOT NULL,
  `attrSepTab` tinyint(1) NOT NULL,
  `metaDescType` varchar(1) COLLATE utf8_unicode_ci NOT NULL,
  `sales` int(10) unsigned NOT NULL,
  `xcPendingExport` tinyint(1) NOT NULL,
  `entityVersion` char(36) COLLATE utf8_unicode_ci NOT NULL COMMENT '(DC2Type:guid)',
  PRIMARY KEY (`product_id`),
  KEY `IDX_452B79045921B06187` (`product_class_id`),
  KEY `IDX_452B790459A94AAAE` (`tax_class_id`),
  KEY `sku` (`sku`),
  KEY `price` (`price`),
  KEY `weight` (`weight`),
  KEY `free_shipping` (`free_shipping`),
  KEY `customerArea` (`enabled`,`arrivalDate`),
  CONSTRAINT `FK_452B79045921B06187` FOREIGN KEY (`product_class_id`) REFERENCES `xc_product_classes` (`id`) ON DELETE SET NULL,
  CONSTRAINT `FK_452B790459A94AAAE` FOREIGN KEY (`tax_class_id`) REFERENCES `xc_tax_classes` (`id`) ON DELETE SET NULL
) ENGINE=InnoDB AUTO_INCREMENT=43 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_products`
--

LOCK TABLES `xc_products` WRITE;
/*!40000 ALTER TABLE `xc_products` DISABLE KEYS */;
INSERT INTO `xc_products` VALUES (1,1,NULL,'',0,0.0000,0,0,0,'sale_price',0.0000,0,0,0,0,0,0.0000,0,1,19.9900,'12024',1,0.5000,0,0.0000,0.0000,0.0000,1,0,1,'',1524214040,1537174028,1537174036,0,1,45,1,1,10,1,'A',0,0,'17e96b91-e1de-42fb-82d2-21c46fb10c45'),(2,1,NULL,'',0,0.0000,0,0,0,'sale_price',0.0000,0,0,0,0,0,0.0000,0,1,49.9900,'12025',1,1.5000,0,0.0000,0.0000,0.0000,1,0,1,'',1536310040,1537174028,1537174036,0,1,5,1,1,10,1,'A',0,0,'9def67f3-112c-42c9-8c4b-3e77e9878fa9'),(3,1,NULL,'',0,0.0000,0,0,0,'sale_price',0.0000,0,0,0,0,0,0.0000,0,1,19.9900,'12030',1,1.5000,0,0.0000,0.0000,0.0000,1,0,1,'',1524214040,1537174028,1537174039,0,1,5,1,1,10,1,'A',2,0,'8182c722-04b7-42e7-9935-c0f2031fed90'),(4,1,NULL,'',0,0.0000,0,0,0,'sale_price',0.0000,0,0,0,0,0,0.0000,0,1,24.9900,'sw-0',1,1.0000,0,0.0000,0.0000,0.0000,1,0,1,'',1539766040,1537174028,1537174036,0,1,9,1,1,10,1,'A',0,0,'d21caabc-bc14-4ea4-a026-0cc5cea79ec2'),(5,1,NULL,'',0,0.0000,0,0,0,'sale_price',0.0000,0,0,0,0,0,0.0000,0,1,19.9900,'1205',1,2.5000,0,0.0000,0.0000,0.0000,1,0,1,'',1536310040,1537174029,1537174036,0,1,6,1,1,10,1,'A',0,0,'06797101-1dbf-40c5-ae5b-14ccf21a7a33'),(6,1,NULL,'',0,0.0000,0,0,1,'sale_price',47.9900,0,0,0,0,0,0.0000,0,1,79.9900,'12031',1,1.9000,0,0.0000,0.0000,0.0000,1,0,1,'',1539766040,1537174029,1537174039,0,1,6,1,1,10,1,'A',0,0,'c0eb63c5-ffb3-4238-8e07-2bd84f9472c4'),(7,1,NULL,'',0,0.0000,0,0,0,'sale_price',0.0000,0,0,0,0,0,0.0000,0,1,29.9900,'12033',1,1.9000,0,0.0000,0.0000,0.0000,1,0,1,'',1524214040,1537174029,1537174036,0,1,8,1,1,10,1,'A',0,0,'337df1cf-170a-4e3b-8c75-8dc19516f27b'),(8,1,NULL,'',0,0.0000,0,0,1,'sale_price',14.9900,0,0,0,0,0,0.0000,0,1,19.9900,'12007',1,2.5000,0,0.0000,0.0000,0.0000,1,0,1,'',1539766040,1537174029,1537174039,0,0,6,1,1,10,1,'A',3,0,'44b97014-baaf-4f0d-a12f-8b105d910cd8'),(9,1,NULL,'',0,0.0000,0,0,0,'sale_price',0.0000,0,0,0,0,0,0.0000,0,1,19.9900,'12032',1,0.8000,0,0.0000,0.0000,0.0000,1,0,1,'',1524214040,1537174029,1537174036,0,1,11,1,1,10,1,'A',0,0,'40fc9168-819d-4ea7-a313-e67e9230a4f7'),(10,1,NULL,'',0,0.0000,0,0,0,'sale_price',0.0000,0,0,0,0,0,0.0000,0,1,34.9900,'100ewl',1,0.9500,0,0.0000,0.0000,0.0000,1,0,1,'',1524214040,1537174029,1537174036,0,1,5,1,1,10,1,'A',0,0,'3a2be2a5-cb55-4c1f-ac36-9ccbf933b0e3'),(11,NULL,NULL,'',0,0.0000,0,0,0,'sale_price',0.0000,0,0,0,0,0,0.0000,0,1,14.9900,'12015',1,3.2000,0,0.0000,0.0000,0.0000,1,0,1,'',1524214040,1537174029,1537174036,0,1,6,1,1,10,1,'A',0,0,'8325ddb1-8c6b-4a10-991d-298545992f2f'),(12,NULL,NULL,'',0,0.0000,0,0,0,'sale_price',0.0000,0,0,0,0,0,0.0000,0,1,9.9900,'12022',1,0.3000,0,0.0000,0.0000,0.0000,1,0,1,'',1524214040,1537174029,1537174039,0,1,20,1,1,10,1,'A',6,0,'5ced62fa-3e73-49eb-ad2e-de9c0a8ba0c0'),(13,NULL,NULL,'',0,0.0000,0,0,0,'sale_percent',0.0000,0,0,0,0,0,0.0000,0,1,19.9900,'1204',1,0.5500,0,0.0000,0.0000,0.0000,1,0,1,'',1524214040,1537174029,1537174039,0,1,400,1,1,10,1,'A',1,0,'fcf9de09-c39b-4e10-8236-854d2ee57b9a'),(14,NULL,NULL,'',0,0.0000,0,0,0,'sale_price',0.0000,0,0,0,0,0,0.0000,0,1,39.9900,'12016',1,3.7000,0,0.0000,0.0000,0.0000,1,0,1,'',1536310040,1537174029,1537174037,0,1,34,1,1,10,1,'A',0,0,'f08e6b56-c7b7-4a79-8195-46cd519347a2'),(15,NULL,NULL,'',0,0.0000,0,0,1,'sale_percent',15.0000,0,0,0,0,0,0.0000,0,1,29.9900,'12029',1,1.0000,0,0.0000,0.0000,0.0000,1,0,1,'',1524214040,1537174029,1537174039,0,1,5,1,1,10,1,'A',12,0,'4a2d299c-7158-4904-812f-041ff6216a86'),(16,NULL,NULL,'',0,0.0000,0,0,1,'sale_percent',25.0000,0,0,0,0,0,0.0000,0,1,19.9900,'12004',1,1.0000,0,0.0000,0.0000,0.0000,1,0,1,'',1524214040,1537174029,1537174039,0,1,743,1,1,10,1,'A',0,0,'232cbde0-00fa-4977-9831-4087c85a20df'),(17,NULL,NULL,'',0,0.0000,0,0,0,'sale_price',0.0000,0,0,0,0,0,0.0000,0,1,99.0000,'12026',1,0.1000,0,0.0000,0.0000,0.0000,1,0,1,'',1539766040,1537174029,1537174039,0,1,13,1,1,10,1,'A',1,0,'9f705fb8-43b4-4b8d-8dc5-8ebd53e4b118'),(18,NULL,NULL,'',0,0.0000,0,0,0,'sale_price',0.0000,0,0,0,0,0,0.0000,0,1,49.9900,'12028',1,0.5000,0,0.0000,0.0000,0.0000,1,0,1,'',1539766040,1537174029,1537174037,0,1,6,1,1,10,1,'A',0,0,'17c89f82-d2fc-4c5e-861b-50397e5cde8c'),(19,NULL,NULL,'',0,0.0000,0,0,0,'sale_price',0.0000,0,0,0,0,0,0.0000,0,1,19.9900,'12012',1,1.0500,0,0.0000,0.0000,0.0000,1,0,1,'',1536310040,1537174029,1537174037,0,1,7,1,1,10,1,'A',0,0,'629fc21b-7206-448d-beaa-e42eca3d7daa'),(20,NULL,NULL,'',0,0.0000,0,0,0,'sale_price',0.0000,0,0,0,0,0,0.0000,0,1,9.9900,'12010',1,2.1000,0,0.0000,0.0000,0.0000,1,0,1,'',1524214040,1537174029,1537174037,0,1,45,1,1,10,1,'A',0,0,'e4cd9988-24ce-4b43-9f4b-963b408bd779'),(21,NULL,NULL,'',0,0.0000,0,0,0,'sale_price',0.0000,0,0,0,0,0,0.0000,0,1,9.9900,'12036',1,0.1500,0,0.0000,0.0000,0.0000,1,0,1,'',1536310040,1537174029,1537174037,0,1,3,1,1,10,1,'A',0,0,'abe02adf-0e6b-4019-94b5-90c819d146a8'),(22,NULL,NULL,'',0,0.0000,0,0,0,'sale_price',0.0000,0,0,0,0,0,0.0000,0,1,29.9900,'12021',1,2.0000,0,0.0000,0.0000,0.0000,1,0,1,'',1524214040,1537174029,1537174037,0,1,8,1,1,10,1,'A',0,0,'9833bbd1-51fd-4808-90c6-1b434c31ffd4'),(23,NULL,NULL,'',0,0.0000,0,0,0,'sale_price',0.0000,0,0,0,0,0,0.0000,0,1,19.9900,'12017',1,3.5200,0,0.0000,0.0000,0.0000,1,0,1,'',1539766040,1537174029,1537174037,0,1,6,1,1,10,1,'A',0,0,'3824e05b-4ba2-439f-a4c6-6f23313ca417'),(24,NULL,NULL,'',0,0.0000,0,0,0,'sale_price',0.0000,0,0,0,0,0,0.0000,0,1,29.9900,'12006',1,3.3000,0,0.0000,0.0000,0.0000,1,0,1,'',1524214040,1537174029,1537174037,0,1,645,1,1,10,1,'A',0,0,'86292c48-76fc-4828-b704-d4c406224865'),(25,NULL,NULL,'',0,0.0000,0,0,0,'sale_price',0.0000,0,0,0,0,0,0.0000,0,1,14.9900,'12018',1,0.8500,0,0.0000,0.0000,0.0000,1,0,1,'',1524214040,1537174029,1537174037,0,1,7,1,1,10,1,'A',0,0,'c90f9500-8ae6-4958-89bd-ecf70649c591'),(26,NULL,NULL,'',0,0.0000,0,0,0,'sale_price',0.0000,0,0,0,0,0,0.0000,0,1,19.9900,'12009',1,1.5000,0,0.0000,0.0000,0.0000,1,0,1,'',1524214040,1537174029,1537174037,0,1,9,1,1,10,1,'A',0,0,'635f1801-9b62-4d6c-9247-2593982390b6'),(27,NULL,NULL,'',0,0.0000,0,0,1,'sale_price',6.4900,0,0,0,0,0,0.0000,0,1,12.9900,'12035',1,1.5000,0,0.0000,0.0000,0.0000,1,0,1,'',1536310040,1537174030,1537174039,0,1,12,1,1,10,1,'A',7,0,'026bb723-71f8-451d-aace-a3dd8d3da408'),(28,NULL,NULL,'',0,0.0000,0,0,0,'sale_price',0.0000,0,0,0,0,0,0.0000,0,1,69.9900,'12027',1,1.2000,0,0.0000,0.0000,0.0000,1,0,1,'',1524214040,1537174030,1537174037,0,1,5,1,1,10,1,'A',0,0,'44761759-f911-45e6-a6f9-aa8271c7872f'),(29,NULL,NULL,'',0,0.0000,0,0,0,'sale_price',0.0000,0,0,0,0,0,0.0000,0,1,79.9900,'12019',1,1.0000,0,0.0000,0.0000,0.0000,1,0,1,'',1524214040,1537174030,1537174037,0,1,8,1,1,10,1,'A',0,0,'6f7c578c-83fd-42e5-8712-7308994a416b'),(30,NULL,NULL,'',0,0.0000,0,0,0,'sale_price',0.0000,0,0,0,0,0,0.0000,0,1,299.9900,'12003',1,2.1000,0,0.0000,0.0000,0.0000,1,0,1,'',1524214040,1537174030,1537174037,0,1,60,1,1,10,1,'A',0,0,'a3c1458d-c57f-4f30-bebd-583f6a47e006'),(31,NULL,NULL,'',0,0.0000,0,0,1,'sale_price',19.9900,0,0,0,0,0,0.0000,0,1,49.9900,'12014',1,1.4000,0,0.0000,0.0000,0.0000,1,0,1,'',1536310040,1537174030,1537174039,0,1,9,1,1,10,1,'A',0,0,'5d4f4915-daec-45ef-85a1-1928595b1d70'),(32,NULL,NULL,'',0,0.0000,0,0,1,'sale_price',44.9900,0,0,0,0,0,0.0000,0,1,59.9900,'12020',1,1.5000,0,0.0000,0.0000,0.0000,1,0,1,'',1536310040,1537174030,1537174039,0,1,8,1,1,10,1,'A',0,0,'274ff824-afbe-4c0a-8b77-e17669fd31f6'),(33,NULL,NULL,'',0,0.0000,0,0,0,'sale_price',0.0000,0,0,0,0,0,0.0000,0,1,11.9900,'12008',1,1.5200,0,0.0000,0.0000,0.0000,1,0,1,'',1524214040,1537174030,1537174037,0,1,8,1,1,10,1,'A',0,0,'418f1fdf-eb22-422b-abff-ff0d4cf12a7a'),(34,NULL,NULL,'',0,0.0000,0,0,0,'sale_price',0.0000,0,0,0,0,0,0.0000,0,1,139.9900,'12023',1,1.3000,0,0.0000,0.0000,0.0000,1,0,1,'',1524214040,1537174031,1537174037,0,1,23,1,1,10,1,'A',0,0,'2de260ce-ecc6-41e7-bc04-5b739bd669da'),(35,NULL,NULL,'',0,0.0000,0,0,1,'sale_price',39.9900,0,0,0,0,0,0.0000,0,1,49.9900,'12005',1,1.7000,0,0.0000,0.0000,0.0000,1,0,1,'',1524214040,1537174031,1537174039,0,1,7,1,1,10,1,'A',0,0,'5128311e-9349-495c-a348-81273068bcc3'),(36,NULL,NULL,'',0,0.0000,0,0,0,'sale_price',0.0000,0,0,0,0,0,0.0000,0,1,34.9900,'12013',1,2.6000,0,0.0000,0.0000,0.0000,1,0,1,'',1524214040,1537174032,1537174037,0,1,8,1,1,10,1,'A',0,0,'499c4581-2360-400f-9e9a-e088e2b50407'),(37,2,NULL,'',0,0.0000,0,0,0,'sale_price',0.0000,0,0,0,0,0,0.0000,0,1,650.0000,'12000',1,2.8000,0,0.0000,0.0000,0.0000,1,0,1,'',1524214040,1537174032,1537174037,0,1,40,1,1,10,1,'A',0,0,'1aaf1c9d-5556-4d2e-b75b-4d5d47162da7'),(38,NULL,NULL,'',0,0.0000,0,0,0,'sale_price',0.0000,0,0,0,0,0,0.0000,0,1,817.5900,'12011',1,5.8000,0,0.0000,0.0000,0.0000,1,0,1,'',1524214040,1537174032,1537174037,0,1,7,1,1,10,1,'A',0,0,'e541f168-525e-4df2-b3e2-e82e45115dd6'),(39,NULL,NULL,'',0,0.0000,0,0,0,'sale_price',0.0000,0,0,0,0,0,0.0000,0,1,399.0000,'12001',1,0.9500,0,0.0000,0.0000,0.0000,1,0,1,'',1524214040,1537174032,1537174037,0,1,6,1,1,10,1,'A',0,0,'6d8eed28-6c1e-4393-8f5d-f9101d948204'),(40,NULL,NULL,'',0,0.0000,0,0,0,'sale_price',0.0000,0,0,0,0,0,0.0000,0,1,199.9900,'12002',1,1.5000,0,0.0000,0.0000,0.0000,1,0,1,'',1524214040,1537174033,1537174037,0,1,6,1,1,10,1,'A',0,0,'0e1cf723-b214-487c-bb12-29191f857f64'),(41,2,NULL,'',0,0.0000,0,0,0,'sale_price',0.0000,0,0,0,0,0,0.0000,0,1,850.0000,'12003p',1,4.5300,0,0.0000,0.0000,0.0000,1,0,1,'',1524214040,1537174033,1537174037,0,1,5,1,1,10,1,'A',0,0,'3fbcf691-9788-4952-91fc-841d82aace6c'),(42,2,NULL,'',0,0.0000,0,0,0,'sale_price',0.0000,0,0,0,0,0,0.0000,0,1,299.0000,'10096',1,4.1000,0,0.0000,0.0000,0.0000,1,0,1,'',1524214040,1537174033,1537174038,0,1,4,1,1,10,1,'A',0,0,'bdb651e6-dc90-49f0-801e-d3bb98048d3e');
/*!40000 ALTER TABLE `xc_products` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_profile_addresses`
--

DROP TABLE IF EXISTS `xc_profile_addresses`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_profile_addresses` (
  `address_id` int(11) NOT NULL AUTO_INCREMENT,
  `profile_id` int(11) DEFAULT NULL,
  `state_id` int(11) DEFAULT NULL,
  `country_code` char(2) COLLATE utf8_unicode_ci DEFAULT NULL,
  `is_billing` tinyint(1) NOT NULL,
  `is_shipping` tinyint(1) NOT NULL,
  `isWork` tinyint(1) NOT NULL,
  `address_type` char(1) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`address_id`),
  KEY `IDX_45A6B45064CCFA12B8` (`profile_id`),
  KEY `IDX_45A6B450645D83CC1` (`state_id`),
  KEY `IDX_45A6B45064F026BB7C` (`country_code`),
  KEY `is_billing` (`is_billing`),
  KEY `is_shipping` (`is_shipping`),
  CONSTRAINT `FK_45A6B450645D83CC1` FOREIGN KEY (`state_id`) REFERENCES `xc_states` (`state_id`) ON DELETE SET NULL,
  CONSTRAINT `FK_45A6B45064CCFA12B8` FOREIGN KEY (`profile_id`) REFERENCES `xc_profiles` (`profile_id`) ON DELETE CASCADE,
  CONSTRAINT `FK_45A6B45064F026BB7C` FOREIGN KEY (`country_code`) REFERENCES `xc_countries` (`code`) ON DELETE SET NULL
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_profile_addresses`
--

LOCK TABLES `xc_profile_addresses` WRITE;
/*!40000 ALTER TABLE `xc_profile_addresses` DISABLE KEYS */;
INSERT INTO `xc_profile_addresses` VALUES (1,1,NULL,'US',1,1,0,'R'),(2,2,NULL,'US',1,1,0,'R'),(3,3,NULL,'US',1,1,0,'R'),(4,4,NULL,'US',1,1,0,'R'),(5,5,NULL,'US',1,1,0,'R'),(6,6,NULL,'US',1,1,0,'R');
/*!40000 ALTER TABLE `xc_profile_addresses` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_profile_roles`
--

DROP TABLE IF EXISTS `xc_profile_roles`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_profile_roles` (
  `role_id` int(10) unsigned NOT NULL,
  `profile_id` int(11) NOT NULL,
  PRIMARY KEY (`role_id`,`profile_id`),
  KEY `IDX_457E99B5FD60322AC` (`role_id`),
  KEY `IDX_457E99B5FCCFA12B8` (`profile_id`),
  CONSTRAINT `FK_457E99B5FCCFA12B8` FOREIGN KEY (`profile_id`) REFERENCES `xc_profiles` (`profile_id`) ON DELETE CASCADE,
  CONSTRAINT `FK_457E99B5FD60322AC` FOREIGN KEY (`role_id`) REFERENCES `xc_roles` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_profile_roles`
--

LOCK TABLES `xc_profile_roles` WRITE;
/*!40000 ALTER TABLE `xc_profile_roles` DISABLE KEYS */;
INSERT INTO `xc_profile_roles` VALUES (1,7);
/*!40000 ALTER TABLE `xc_profile_roles` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_profiles`
--

DROP TABLE IF EXISTS `xc_profiles`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_profiles` (
  `profile_id` int(11) NOT NULL AUTO_INCREMENT,
  `order_id` int(11) DEFAULT NULL,
  `membership_id` int(10) unsigned DEFAULT NULL,
  `pending_membership_id` int(10) unsigned DEFAULT NULL,
  `socialLoginProvider` varchar(128) COLLATE utf8_unicode_ci DEFAULT NULL,
  `socialLoginId` varchar(128) COLLATE utf8_unicode_ci DEFAULT NULL,
  `gaClientId` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `default_card_id` int(10) unsigned NOT NULL,
  `pending_zero_auth` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `pending_zero_auth_txn_id` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `pending_zero_auth_status` char(1) COLLATE utf8_unicode_ci NOT NULL,
  `pending_zero_auth_interface` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `braintree_customer_id` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `saveCardBoxChecked` tinyint(1) NOT NULL,
  `conciergeUserId` varchar(128) COLLATE utf8_unicode_ci DEFAULT NULL,
  `login` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `password` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `password_hint` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `password_hint_answer` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `passwordResetKey` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `passwordResetKeyDate` int(11) NOT NULL,
  `access_level` int(11) NOT NULL,
  `cms_profile_id` int(11) NOT NULL,
  `cms_name` varchar(32) COLLATE utf8_unicode_ci NOT NULL,
  `added` int(11) NOT NULL,
  `first_login` int(11) NOT NULL,
  `last_login` int(11) NOT NULL,
  `status` char(1) COLLATE utf8_unicode_ci NOT NULL,
  `statusComment` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `referer` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `language` varchar(2) COLLATE utf8_unicode_ci NOT NULL,
  `last_shipping_id` int(11) DEFAULT NULL,
  `last_payment_id` int(11) DEFAULT NULL,
  `anonymous` tinyint(1) NOT NULL,
  `forceChangePassword` tinyint(1) NOT NULL,
  `dateOfLoginAttempt` int(10) unsigned NOT NULL,
  `countOfLoginAttempts` int(11) NOT NULL,
  `searchFakeField` longtext COLLATE utf8_unicode_ci,
  `xcPendingExport` tinyint(1) NOT NULL,
  `lastCheckoutEmail` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`profile_id`),
  UNIQUE KEY `UNIQ_13F3DB338D9F6D38` (`order_id`),
  KEY `IDX_4513F3DB331FB354CD` (`membership_id`),
  KEY `IDX_4513F3DB33CD228392` (`pending_membership_id`),
  KEY `cms_profile` (`cms_name`,`cms_profile_id`),
  KEY `login` (`login`),
  KEY `order_id` (`order_id`),
  KEY `password` (`password`),
  KEY `access_level` (`access_level`),
  KEY `first_login` (`first_login`),
  KEY `last_login` (`last_login`),
  KEY `status` (`status`),
  CONSTRAINT `FK_4513F3DB331FB354CD` FOREIGN KEY (`membership_id`) REFERENCES `xc_memberships` (`membership_id`) ON DELETE SET NULL,
  CONSTRAINT `FK_4513F3DB338D9F6D38` FOREIGN KEY (`order_id`) REFERENCES `xc_orders` (`order_id`) ON DELETE CASCADE,
  CONSTRAINT `FK_4513F3DB33CD228392` FOREIGN KEY (`pending_membership_id`) REFERENCES `xc_memberships` (`membership_id`) ON DELETE SET NULL
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_profiles`
--

LOCK TABLES `xc_profiles` WRITE;
/*!40000 ALTER TABLE `xc_profiles` DISABLE KEYS */;
INSERT INTO `xc_profiles` VALUES (1,NULL,NULL,NULL,NULL,NULL,'',0,'','','','','',0,NULL,'bit-bucket@example.com','084e0343a0486ff05530df6c705c8bb4','','','',0,0,0,'',1537174038,0,0,'E','','','en',NULL,NULL,1,0,0,0,'Guest Guest Guest;bit-bucket@example.com',0,''),(2,1,NULL,NULL,NULL,NULL,'',0,'','','','','',0,NULL,'bit-bucket@example.com','084e0343a0486ff05530df6c705c8bb4','','','',0,0,0,'',1537174038,0,0,'E','','','en',NULL,NULL,1,0,0,0,'Guest Guest Guest;bit-bucket@example.com',0,''),(3,2,NULL,NULL,NULL,NULL,'',0,'','','','','',0,NULL,'bit-bucket@example.com','084e0343a0486ff05530df6c705c8bb4','','','',0,0,0,'',1537174038,0,0,'E','','','en',NULL,NULL,1,0,0,0,'Guest Guest Guest;bit-bucket@example.com',0,''),(4,3,NULL,NULL,NULL,NULL,'',0,'','','','','',0,NULL,'bit-bucket@example.com','084e0343a0486ff05530df6c705c8bb4','','','',0,0,0,'',1537174038,0,0,'E','','','en',NULL,NULL,1,0,0,0,'Guest Guest Guest;bit-bucket@example.com',0,''),(5,4,NULL,NULL,NULL,NULL,'',0,'','','','','',0,NULL,'bit-bucket@example.com','084e0343a0486ff05530df6c705c8bb4','','','',0,0,0,'',1537174038,0,0,'E','','','en',NULL,NULL,1,0,0,0,'Guest Guest Guest;bit-bucket@example.com',0,''),(6,5,NULL,NULL,NULL,NULL,'',0,'','','','','',0,NULL,'bit-bucket@example.com','084e0343a0486ff05530df6c705c8bb4','','','',0,0,0,'',1537174039,0,0,'E','','','en',NULL,NULL,1,0,0,0,'Guest Guest Guest;bit-bucket@example.com',0,''),(7,NULL,NULL,NULL,NULL,NULL,'',0,'','','','','',0,NULL,'nogard@x-cart.com','SHA512:d5fa7a9e21dc857d8d552451ce5ad97ea3af54f955a8916017801f5569b1e7cf0eced7c49bd5bc1e7a6f540b4f09be8577c5741210e53d1bae953077722af888','','','',0,100,0,'',1539949691,1539949728,1539949728,'E','','','en',NULL,NULL,0,0,0,0,'nogard@x-cart.com',0,'');
/*!40000 ALTER TABLE `xc_profiles` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_quick_data`
--

DROP TABLE IF EXISTS `xc_quick_data`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_quick_data` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `product_id` int(10) unsigned DEFAULT NULL,
  `membership_id` int(10) unsigned DEFAULT NULL,
  `price` decimal(14,4) NOT NULL,
  `minPrice` decimal(14,4) NOT NULL,
  `maxPrice` decimal(14,4) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `IDX_45C6F6D1AD4584665A` (`product_id`),
  KEY `IDX_45C6F6D1AD1FB354CD` (`membership_id`),
  KEY `customerArea` (`membership_id`,`product_id`),
  CONSTRAINT `FK_45C6F6D1AD1FB354CD` FOREIGN KEY (`membership_id`) REFERENCES `xc_memberships` (`membership_id`) ON DELETE CASCADE,
  CONSTRAINT `FK_45C6F6D1AD4584665A` FOREIGN KEY (`product_id`) REFERENCES `xc_products` (`product_id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=85 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_quick_data`
--

LOCK TABLES `xc_quick_data` WRITE;
/*!40000 ALTER TABLE `xc_quick_data` DISABLE KEYS */;
INSERT INTO `xc_quick_data` VALUES (1,1,1,19.9900,0.0000,0.0000),(2,1,NULL,19.9900,0.0000,0.0000),(3,2,1,49.9900,0.0000,0.0000),(4,2,NULL,49.9900,0.0000,0.0000),(5,3,1,19.9900,0.0000,0.0000),(6,3,NULL,19.9900,0.0000,0.0000),(7,4,1,24.9900,0.0000,0.0000),(8,4,NULL,24.9900,0.0000,0.0000),(9,5,1,19.9900,0.0000,0.0000),(10,5,NULL,19.9900,0.0000,0.0000),(11,6,1,79.9900,0.0000,0.0000),(12,6,NULL,47.9900,0.0000,0.0000),(13,7,1,29.9900,0.0000,0.0000),(14,7,NULL,29.9900,0.0000,0.0000),(15,8,1,19.9900,0.0000,0.0000),(16,8,NULL,14.9900,0.0000,0.0000),(17,9,1,19.9900,0.0000,0.0000),(18,9,NULL,19.9900,0.0000,0.0000),(19,10,1,34.9900,0.0000,0.0000),(20,10,NULL,34.9900,0.0000,0.0000),(21,11,1,14.9900,0.0000,0.0000),(22,11,NULL,14.9900,0.0000,0.0000),(23,12,1,9.9900,0.0000,0.0000),(24,12,NULL,9.9900,0.0000,0.0000),(25,13,1,19.9900,0.0000,0.0000),(26,13,NULL,19.9900,0.0000,0.0000),(27,14,1,39.9900,0.0000,0.0000),(28,14,NULL,39.9900,0.0000,0.0000),(29,15,1,29.9900,0.0000,0.0000),(30,15,NULL,25.4900,0.0000,0.0000),(31,16,1,19.9900,0.0000,0.0000),(32,16,NULL,14.9900,0.0000,0.0000),(33,17,1,99.0000,0.0000,0.0000),(34,17,NULL,99.0000,0.0000,0.0000),(35,18,1,49.9900,0.0000,0.0000),(36,18,NULL,49.9900,0.0000,0.0000),(37,19,1,19.9900,0.0000,0.0000),(38,19,NULL,19.9900,0.0000,0.0000),(39,20,1,9.9900,0.0000,0.0000),(40,20,NULL,9.9900,0.0000,0.0000),(41,21,1,9.9900,0.0000,0.0000),(42,21,NULL,9.9900,0.0000,0.0000),(43,22,1,29.9900,0.0000,0.0000),(44,22,NULL,29.9900,0.0000,0.0000),(45,23,1,19.9900,0.0000,0.0000),(46,23,NULL,19.9900,0.0000,0.0000),(47,24,1,29.9900,0.0000,0.0000),(48,24,NULL,29.9900,0.0000,0.0000),(49,25,1,14.9900,0.0000,0.0000),(50,25,NULL,14.9900,0.0000,0.0000),(51,26,1,19.9900,0.0000,0.0000),(52,26,NULL,19.9900,0.0000,0.0000),(53,27,1,12.9900,0.0000,0.0000),(54,27,NULL,6.4900,0.0000,0.0000),(55,28,1,69.9900,0.0000,0.0000),(56,28,NULL,69.9900,0.0000,0.0000),(57,29,1,79.9900,0.0000,0.0000),(58,29,NULL,79.9900,0.0000,0.0000),(59,30,1,299.9900,0.0000,0.0000),(60,30,NULL,299.9900,0.0000,0.0000),(61,31,1,49.9900,0.0000,0.0000),(62,31,NULL,19.9900,0.0000,0.0000),(63,32,1,59.9900,0.0000,0.0000),(64,32,NULL,44.9900,0.0000,0.0000),(65,33,1,11.9900,0.0000,0.0000),(66,33,NULL,11.9900,0.0000,0.0000),(67,34,1,139.9900,0.0000,0.0000),(68,34,NULL,139.9900,0.0000,0.0000),(69,35,1,49.9900,0.0000,0.0000),(70,35,NULL,39.9900,0.0000,0.0000),(71,36,1,34.9900,0.0000,0.0000),(72,36,NULL,34.9900,0.0000,0.0000),(73,37,1,650.0000,0.0000,0.0000),(74,37,NULL,650.0000,0.0000,0.0000),(75,38,1,817.5900,0.0000,0.0000),(76,38,NULL,817.5900,0.0000,0.0000),(77,39,1,399.0000,0.0000,0.0000),(78,39,NULL,399.0000,0.0000,0.0000),(79,40,1,199.9900,0.0000,0.0000),(80,40,NULL,199.9900,0.0000,0.0000),(81,41,1,850.0000,0.0000,0.0000),(82,41,NULL,850.0000,0.0000,0.0000),(83,42,1,299.0000,0.0000,0.0000),(84,42,NULL,299.0000,0.0000,0.0000);
/*!40000 ALTER TABLE `xc_quick_data` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_regions`
--

DROP TABLE IF EXISTS `xc_regions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_regions` (
  `code` varchar(10) COLLATE utf8_unicode_ci NOT NULL,
  `country_code` char(2) COLLATE utf8_unicode_ci DEFAULT NULL,
  `name` varchar(64) COLLATE utf8_unicode_ci NOT NULL,
  `weight` int(11) DEFAULT NULL,
  PRIMARY KEY (`code`),
  UNIQUE KEY `code` (`code`,`country_code`),
  KEY `IDX_45B319C6B1F026BB7C` (`country_code`),
  KEY `name` (`name`),
  CONSTRAINT `FK_45B319C6B1F026BB7C` FOREIGN KEY (`country_code`) REFERENCES `xc_countries` (`code`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_regions`
--

LOCK TABLES `xc_regions` WRITE;
/*!40000 ALTER TABLE `xc_regions` DISABLE KEYS */;
INSERT INTO `xc_regions` VALUES ('GB-ENG','GB','England',100),('GB-NIR','GB','Northern Ireland',400),('GB-SCT','GB','Scotland',200),('GB-WLS','GB','Wales',300);
/*!40000 ALTER TABLE `xc_regions` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_reviews`
--

DROP TABLE IF EXISTS `xc_reviews`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_reviews` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `profile_id` int(11) DEFAULT NULL,
  `respondent_id` int(11) DEFAULT NULL,
  `product_id` int(10) unsigned DEFAULT NULL,
  `rkey_id` int(10) unsigned DEFAULT NULL,
  `review` longtext COLLATE utf8_unicode_ci NOT NULL,
  `response` longtext COLLATE utf8_unicode_ci,
  `rating` smallint(6) NOT NULL,
  `additionDate` int(11) NOT NULL,
  `responseDate` int(11) DEFAULT NULL,
  `reviewerName` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `status` smallint(6) NOT NULL,
  `useForMeta` tinyint(1) NOT NULL,
  `isNew` tinyint(1) NOT NULL,
  `xcPendingExport` tinyint(1) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `IDX_45780E544DCCFA12B8` (`profile_id`),
  KEY `IDX_45780E544DCE80CD19` (`respondent_id`),
  KEY `IDX_45780E544D4584665A` (`product_id`),
  KEY `IDX_45780E544D5A4DEAEC` (`rkey_id`),
  KEY `additionDate` (`additionDate`),
  KEY `status` (`status`),
  CONSTRAINT `FK_45780E544D4584665A` FOREIGN KEY (`product_id`) REFERENCES `xc_products` (`product_id`) ON DELETE CASCADE,
  CONSTRAINT `FK_45780E544D5A4DEAEC` FOREIGN KEY (`rkey_id`) REFERENCES `xc_order_review_keys` (`id`) ON DELETE SET NULL,
  CONSTRAINT `FK_45780E544DCCFA12B8` FOREIGN KEY (`profile_id`) REFERENCES `xc_profiles` (`profile_id`) ON DELETE SET NULL,
  CONSTRAINT `FK_45780E544DCE80CD19` FOREIGN KEY (`respondent_id`) REFERENCES `xc_profiles` (`profile_id`) ON DELETE SET NULL
) ENGINE=InnoDB AUTO_INCREMENT=798 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_reviews`
--

LOCK TABLES `xc_reviews` WRITE;
/*!40000 ALTER TABLE `xc_reviews` DISABLE KEYS */;
INSERT INTO `xc_reviews` VALUES (1,NULL,NULL,15,NULL,'Очень мягкая и милая игрушка, хорошо упакованная. Подарила племянице, ей понравилось :) ',NULL,5,1458658002,NULL,'Лена М.',1,0,0,0),(2,NULL,NULL,1,NULL,'',NULL,5,1458658288,NULL,'',1,0,0,0),(3,NULL,NULL,15,NULL,'Wow\r\nSo warm!\r\nMuch kitty\r\nVery soft\r\nSuch happy!\r\nMany purr',NULL,5,1458658995,NULL,'Doge',1,0,0,0),(4,NULL,NULL,15,NULL,'Котика, можно использовать и как подушку, и как игрушку. В восторге от нее!',NULL,5,1458659200,NULL,'Матвей',1,0,0,0),(5,NULL,NULL,15,NULL,'Awesome gift idea! Bought it for my husband,Big Bang Theory fan. You should have seen his eyes:) and quality is great. Thank you:) ',NULL,5,1458660023,NULL,'Anna S.',1,0,0,0),(6,NULL,NULL,1,NULL,'',NULL,1,1458207917,NULL,'test test',1,0,0,0),(7,NULL,NULL,1,NULL,'',NULL,1,1458121517,NULL,'test test',1,0,0,0),(8,NULL,NULL,1,NULL,'',NULL,1,1458467117,NULL,'test test',1,0,0,0),(9,NULL,NULL,1,NULL,'',NULL,1,1458899117,NULL,'test test',1,0,0,0),(10,NULL,NULL,1,NULL,'',NULL,1,1458121517,NULL,'test test',1,0,0,0),(11,NULL,NULL,1,NULL,'',NULL,1,1458121517,NULL,'test test',1,0,0,0),(12,NULL,NULL,1,NULL,'',NULL,1,1458726317,NULL,'test test',1,0,0,0),(13,NULL,NULL,1,NULL,'',NULL,1,1458294317,NULL,'test test',1,0,0,0),(14,NULL,NULL,1,NULL,'',NULL,2,1458207917,NULL,'test test',1,0,0,0),(15,NULL,NULL,1,NULL,'',NULL,1,1458380717,NULL,'test test',1,0,0,0),(16,NULL,NULL,1,NULL,'',NULL,1,1458207917,NULL,'test test',1,0,0,0),(17,NULL,NULL,1,NULL,'',NULL,1,1458553517,NULL,'test test',1,0,0,0),(18,NULL,NULL,1,NULL,'',NULL,1,1458380717,NULL,'test test',1,0,0,0),(19,NULL,NULL,1,NULL,'',NULL,1,1458207917,NULL,'test test',1,0,0,0),(20,NULL,NULL,1,NULL,'',NULL,1,1458380717,NULL,'test test',1,0,0,0),(21,NULL,NULL,2,NULL,'',NULL,1,1458726317,NULL,'test test',1,0,0,0),(22,NULL,NULL,2,NULL,'',NULL,1,1458121517,NULL,'test test',1,0,0,0),(23,NULL,NULL,2,NULL,'',NULL,2,1458899117,NULL,'test test',1,0,0,0),(24,NULL,NULL,2,NULL,'',NULL,2,1458380717,NULL,'test test',1,0,0,0),(25,NULL,NULL,2,NULL,'',NULL,2,1458726317,NULL,'test test',1,0,0,0),(26,NULL,NULL,2,NULL,'',NULL,2,1458380717,NULL,'test test',1,0,0,0),(27,NULL,NULL,2,NULL,'',NULL,2,1458553517,NULL,'test test',1,0,0,0),(28,NULL,NULL,2,NULL,'',NULL,2,1458899117,NULL,'test test',1,0,0,0),(29,NULL,NULL,2,NULL,'',NULL,2,1458467117,NULL,'test test',1,0,0,0),(30,NULL,NULL,2,NULL,'',NULL,2,1458121517,NULL,'test test',1,0,0,0),(31,NULL,NULL,2,NULL,'',NULL,2,1458812717,NULL,'test test',1,0,0,0),(32,NULL,NULL,2,NULL,'',NULL,2,1458294317,NULL,'test test',1,0,0,0),(33,NULL,NULL,2,NULL,'',NULL,2,1458121517,NULL,'test test',1,0,0,0),(34,NULL,NULL,2,NULL,'',NULL,2,1458380717,NULL,'test test',1,0,0,0),(35,NULL,NULL,2,NULL,'',NULL,2,1458294317,NULL,'test test',1,0,0,0),(36,NULL,NULL,2,NULL,'',NULL,2,1458467117,NULL,'test test',1,0,0,0),(37,NULL,NULL,2,NULL,'',NULL,2,1458639917,NULL,'test test',1,0,0,0),(38,NULL,NULL,2,NULL,'',NULL,2,1458467117,NULL,'test test',1,0,0,0),(39,NULL,NULL,2,NULL,'',NULL,2,1458035117,NULL,'test test',1,0,0,0),(40,NULL,NULL,2,NULL,'',NULL,2,1458553517,NULL,'test test',1,0,0,0),(41,NULL,NULL,2,NULL,'',NULL,2,1458639917,NULL,'test test',1,0,0,0),(42,NULL,NULL,2,NULL,'',NULL,2,1458121517,NULL,'test test',1,0,0,0),(43,NULL,NULL,2,NULL,'',NULL,2,1458380717,NULL,'test test',1,0,0,0),(44,NULL,NULL,3,NULL,'',NULL,2,1458899117,NULL,'test test',1,0,0,0),(45,NULL,NULL,3,NULL,'',NULL,1,1458380717,NULL,'test test',1,0,0,0),(46,NULL,NULL,3,NULL,'',NULL,2,1458726317,NULL,'test test',1,0,0,0),(47,NULL,NULL,3,NULL,'',NULL,2,1458207917,NULL,'test test',1,0,0,0),(48,NULL,NULL,3,NULL,'',NULL,2,1458035117,NULL,'test test',1,0,0,0),(49,NULL,NULL,3,NULL,'',NULL,2,1458121517,NULL,'test test',1,0,0,0),(50,NULL,NULL,3,NULL,'',NULL,2,1458380717,NULL,'test test',1,0,0,0),(51,NULL,NULL,3,NULL,'',NULL,2,1458467117,NULL,'test test',1,0,0,0),(52,NULL,NULL,3,NULL,'',NULL,2,1458899117,NULL,'test test',1,0,0,0),(53,NULL,NULL,3,NULL,'',NULL,2,1458553517,NULL,'test test',1,0,0,0),(54,NULL,NULL,3,NULL,'',NULL,2,1458380717,NULL,'test test',1,0,0,0),(55,NULL,NULL,3,NULL,'',NULL,2,1458380717,NULL,'test test',1,0,0,0),(56,NULL,NULL,3,NULL,'',NULL,2,1458294317,NULL,'test test',1,0,0,0),(57,NULL,NULL,3,NULL,'',NULL,2,1458726317,NULL,'test test',1,0,0,0),(58,NULL,NULL,3,NULL,'',NULL,2,1458899117,NULL,'test test',1,0,0,0),(59,NULL,NULL,3,NULL,'',NULL,2,1458294317,NULL,'test test',1,0,0,0),(60,NULL,NULL,3,NULL,'',NULL,2,1458294317,NULL,'test test',1,0,0,0),(61,NULL,NULL,3,NULL,'',NULL,2,1458121517,NULL,'test test',1,0,0,0),(62,NULL,NULL,3,NULL,'',NULL,2,1458207917,NULL,'test test',1,0,0,0),(63,NULL,NULL,3,NULL,'',NULL,2,1458553517,NULL,'test test',1,0,0,0),(64,NULL,NULL,3,NULL,'',NULL,2,1458207917,NULL,'test test',1,0,0,0),(65,NULL,NULL,3,NULL,'',NULL,2,1458553517,NULL,'test test',1,0,0,0),(66,NULL,NULL,4,NULL,'',NULL,2,1458812717,NULL,'test test',1,0,0,0),(67,NULL,NULL,4,NULL,'',NULL,1,1458639917,NULL,'test test',1,0,0,0),(68,NULL,NULL,4,NULL,'',NULL,2,1458207917,NULL,'test test',1,0,0,0),(69,NULL,NULL,4,NULL,'',NULL,2,1458380717,NULL,'test test',1,0,0,0),(70,NULL,NULL,4,NULL,'',NULL,2,1458726317,NULL,'test test',1,0,0,0),(71,NULL,NULL,4,NULL,'',NULL,2,1458812717,NULL,'test test',1,0,0,0),(72,NULL,NULL,4,NULL,'',NULL,2,1458035117,NULL,'test test',1,0,0,0),(73,NULL,NULL,4,NULL,'',NULL,2,1458812717,NULL,'test test',1,0,0,0),(74,NULL,NULL,4,NULL,'',NULL,2,1458294317,NULL,'test test',1,0,0,0),(75,NULL,NULL,4,NULL,'',NULL,2,1458035117,NULL,'test test',1,0,0,0),(76,NULL,NULL,4,NULL,'',NULL,2,1458294317,NULL,'test test',1,0,0,0),(77,NULL,NULL,4,NULL,'',NULL,2,1458121517,NULL,'test test',1,0,0,0),(78,NULL,NULL,4,NULL,'',NULL,2,1458294317,NULL,'test test',1,0,0,0),(79,NULL,NULL,4,NULL,'',NULL,2,1458294317,NULL,'test test',1,0,0,0),(80,NULL,NULL,4,NULL,'',NULL,2,1458207917,NULL,'test test',1,0,0,0),(81,NULL,NULL,4,NULL,'',NULL,2,1458639917,NULL,'test test',1,0,0,0),(82,NULL,NULL,4,NULL,'',NULL,2,1458726317,NULL,'test test',1,0,0,0),(83,NULL,NULL,5,NULL,'',NULL,4,1458207917,NULL,'test test',1,0,0,0),(84,NULL,NULL,5,NULL,'',NULL,3,1458294317,NULL,'test test',1,0,0,0),(85,NULL,NULL,5,NULL,'',NULL,3,1458121517,NULL,'test test',1,0,0,0),(86,NULL,NULL,5,NULL,'',NULL,3,1458639917,NULL,'test test',1,0,0,0),(87,NULL,NULL,5,NULL,'',NULL,2,1458553517,NULL,'test test',1,0,0,0),(88,NULL,NULL,5,NULL,'',NULL,3,1458899117,NULL,'test test',1,0,0,0),(89,NULL,NULL,5,NULL,'',NULL,3,1458639917,NULL,'test test',1,0,0,0),(90,NULL,NULL,5,NULL,'',NULL,2,1458899117,NULL,'test test',1,0,0,0),(91,NULL,NULL,5,NULL,'',NULL,3,1458207917,NULL,'test test',1,0,0,0),(92,NULL,NULL,5,NULL,'',NULL,3,1458726317,NULL,'test test',1,0,0,0),(93,NULL,NULL,5,NULL,'',NULL,3,1458121517,NULL,'test test',1,0,0,0),(94,NULL,NULL,5,NULL,'',NULL,3,1458726317,NULL,'test test',1,0,0,0),(95,NULL,NULL,5,NULL,'',NULL,3,1458035117,NULL,'test test',1,0,0,0),(96,NULL,NULL,5,NULL,'',NULL,3,1458726317,NULL,'test test',1,0,0,0),(97,NULL,NULL,5,NULL,'',NULL,3,1458639917,NULL,'test test',1,0,0,0),(98,NULL,NULL,5,NULL,'',NULL,3,1458726317,NULL,'test test',1,0,0,0),(99,NULL,NULL,5,NULL,'',NULL,3,1458035117,NULL,'test test',1,0,0,0),(100,NULL,NULL,5,NULL,'',NULL,3,1458121517,NULL,'test test',1,0,0,0),(101,NULL,NULL,5,NULL,'',NULL,3,1458467117,NULL,'test test',1,0,0,0),(102,NULL,NULL,5,NULL,'',NULL,3,1458812717,NULL,'test test',1,0,0,0),(103,NULL,NULL,5,NULL,'',NULL,3,1458207917,NULL,'test test',1,0,0,0),(104,NULL,NULL,5,NULL,'',NULL,3,1458294317,NULL,'test test',1,0,0,0),(105,NULL,NULL,6,NULL,'',NULL,3,1458207917,NULL,'test test',1,0,0,0),(106,NULL,NULL,6,NULL,'',NULL,2,1458207917,NULL,'test test',1,0,0,0),(107,NULL,NULL,6,NULL,'',NULL,3,1458553517,NULL,'test test',1,0,0,0),(108,NULL,NULL,6,NULL,'',NULL,3,1458294317,NULL,'test test',1,0,0,0),(109,NULL,NULL,6,NULL,'',NULL,3,1458467117,NULL,'test test',1,0,0,0),(110,NULL,NULL,6,NULL,'',NULL,3,1458899117,NULL,'test test',1,0,0,0),(111,NULL,NULL,6,NULL,'',NULL,3,1458553517,NULL,'test test',1,0,0,0),(112,NULL,NULL,6,NULL,'',NULL,3,1458207917,NULL,'test test',1,0,0,0),(113,NULL,NULL,6,NULL,'',NULL,3,1458639917,NULL,'test test',1,0,0,0),(114,NULL,NULL,6,NULL,'',NULL,3,1458726317,NULL,'test test',1,0,0,0),(115,NULL,NULL,6,NULL,'',NULL,3,1458467117,NULL,'test test',1,0,0,0),(116,NULL,NULL,6,NULL,'',NULL,3,1458812717,NULL,'test test',1,0,0,0),(117,NULL,NULL,6,NULL,'',NULL,3,1458467117,NULL,'test test',1,0,0,0),(118,NULL,NULL,6,NULL,'',NULL,3,1458121517,NULL,'test test',1,0,0,0),(119,NULL,NULL,6,NULL,'',NULL,3,1458812717,NULL,'test test',1,0,0,0),(120,NULL,NULL,6,NULL,'',NULL,3,1458121517,NULL,'test test',1,0,0,0),(121,NULL,NULL,6,NULL,'',NULL,3,1458035117,NULL,'test test',1,0,0,0),(122,NULL,NULL,6,NULL,'',NULL,3,1458121517,NULL,'test test',1,0,0,0),(123,NULL,NULL,6,NULL,'',NULL,3,1458812717,NULL,'test test',1,0,0,0),(124,NULL,NULL,7,NULL,'',NULL,3,1458207917,NULL,'test test',1,0,0,0),(125,NULL,NULL,7,NULL,'',NULL,3,1458812717,NULL,'test test',1,0,0,0),(126,NULL,NULL,7,NULL,'',NULL,3,1458899117,NULL,'test test',1,0,0,0),(127,NULL,NULL,7,NULL,'',NULL,4,1458899117,NULL,'test test',1,0,0,0),(128,NULL,NULL,7,NULL,'',NULL,3,1458553517,NULL,'test test',1,0,0,0),(129,NULL,NULL,7,NULL,'',NULL,3,1458639917,NULL,'test test',1,0,0,0),(130,NULL,NULL,7,NULL,'',NULL,4,1458899117,NULL,'test test',1,0,0,0),(131,NULL,NULL,7,NULL,'',NULL,3,1458726317,NULL,'test test',1,0,0,0),(132,NULL,NULL,7,NULL,'',NULL,3,1458121517,NULL,'test test',1,0,0,0),(133,NULL,NULL,7,NULL,'',NULL,3,1458812717,NULL,'test test',1,0,0,0),(134,NULL,NULL,7,NULL,'',NULL,3,1458899117,NULL,'test test',1,0,0,0),(135,NULL,NULL,7,NULL,'',NULL,3,1458467117,NULL,'test test',1,0,0,0),(136,NULL,NULL,7,NULL,'',NULL,3,1458035117,NULL,'test test',1,0,0,0),(137,NULL,NULL,7,NULL,'',NULL,3,1458207917,NULL,'test test',1,0,0,0),(138,NULL,NULL,7,NULL,'',NULL,3,1458035117,NULL,'test test',1,0,0,0),(139,NULL,NULL,8,NULL,'',NULL,3,1458294317,NULL,'test test',1,0,0,0),(140,NULL,NULL,8,NULL,'',NULL,2,1458726317,NULL,'test test',1,0,0,0),(141,NULL,NULL,8,NULL,'',NULL,3,1458035117,NULL,'test test',1,0,0,0),(142,NULL,NULL,8,NULL,'',NULL,3,1458899117,NULL,'test test',1,0,0,0),(143,NULL,NULL,8,NULL,'',NULL,3,1458899117,NULL,'test test',1,0,0,0),(144,NULL,NULL,8,NULL,'',NULL,3,1458726317,NULL,'test test',1,0,0,0),(145,NULL,NULL,8,NULL,'',NULL,3,1458726317,NULL,'test test',1,0,0,0),(146,NULL,NULL,8,NULL,'',NULL,4,1458467117,NULL,'test test',1,0,0,0),(147,NULL,NULL,8,NULL,'',NULL,3,1458553517,NULL,'test test',1,0,0,0),(148,NULL,NULL,8,NULL,'',NULL,3,1458207917,NULL,'test test',1,0,0,0),(149,NULL,NULL,8,NULL,'',NULL,3,1458553517,NULL,'test test',1,0,0,0),(150,NULL,NULL,8,NULL,'',NULL,3,1458380717,NULL,'test test',1,0,0,0),(151,NULL,NULL,8,NULL,'',NULL,3,1458380717,NULL,'test test',1,0,0,0),(152,NULL,NULL,8,NULL,'',NULL,3,1458639917,NULL,'test test',1,0,0,0),(153,NULL,NULL,8,NULL,'',NULL,3,1458467117,NULL,'test test',1,0,0,0),(154,NULL,NULL,8,NULL,'',NULL,3,1458294317,NULL,'test test',1,0,0,0),(155,NULL,NULL,8,NULL,'',NULL,3,1458812717,NULL,'test test',1,0,0,0),(156,NULL,NULL,8,NULL,'',NULL,3,1458380717,NULL,'test test',1,0,0,0),(157,NULL,NULL,8,NULL,'',NULL,3,1458207917,NULL,'test test',1,0,0,0),(158,NULL,NULL,8,NULL,'',NULL,3,1458726317,NULL,'test test',1,0,0,0),(159,NULL,NULL,8,NULL,'',NULL,3,1458035117,NULL,'test test',1,0,0,0),(160,NULL,NULL,8,NULL,'',NULL,3,1458812717,NULL,'test test',1,0,0,0),(161,NULL,NULL,8,NULL,'',NULL,3,1458726317,NULL,'test test',1,0,0,0),(162,NULL,NULL,8,NULL,'',NULL,3,1458726317,NULL,'test test',1,0,0,0),(163,NULL,NULL,9,NULL,'',NULL,4,1458899117,NULL,'test test',1,0,0,0),(164,NULL,NULL,9,NULL,'',NULL,2,1458553517,NULL,'test test',1,0,0,0),(165,NULL,NULL,9,NULL,'',NULL,3,1458639917,NULL,'test test',1,0,0,0),(166,NULL,NULL,9,NULL,'',NULL,3,1458380717,NULL,'test test',1,0,0,0),(167,NULL,NULL,9,NULL,'',NULL,3,1458553517,NULL,'test test',1,0,0,0),(168,NULL,NULL,9,NULL,'',NULL,3,1458899117,NULL,'test test',1,0,0,0),(169,NULL,NULL,9,NULL,'',NULL,3,1458467117,NULL,'test test',1,0,0,0),(170,NULL,NULL,9,NULL,'',NULL,3,1458899117,NULL,'test test',1,0,0,0),(171,NULL,NULL,9,NULL,'',NULL,3,1458639917,NULL,'test test',1,0,0,0),(172,NULL,NULL,9,NULL,'',NULL,3,1458467117,NULL,'test test',1,0,0,0),(173,NULL,NULL,9,NULL,'',NULL,3,1458812717,NULL,'test test',1,0,0,0),(174,NULL,NULL,9,NULL,'',NULL,3,1458639917,NULL,'test test',1,0,0,0),(175,NULL,NULL,9,NULL,'',NULL,3,1458207917,NULL,'test test',1,0,0,0),(176,NULL,NULL,9,NULL,'',NULL,3,1458639917,NULL,'test test',1,0,0,0),(177,NULL,NULL,9,NULL,'',NULL,3,1458121517,NULL,'test test',1,0,0,0),(178,NULL,NULL,9,NULL,'',NULL,3,1458812717,NULL,'test test',1,0,0,0),(179,NULL,NULL,9,NULL,'',NULL,3,1458812717,NULL,'test test',1,0,0,0),(180,NULL,NULL,9,NULL,'',NULL,3,1458726317,NULL,'test test',1,0,0,0),(181,NULL,NULL,10,NULL,'',NULL,3,1458207917,NULL,'test test',1,0,0,0),(182,NULL,NULL,10,NULL,'',NULL,4,1458207917,NULL,'test test',1,0,0,0),(183,NULL,NULL,10,NULL,'',NULL,4,1458380717,NULL,'test test',1,0,0,0),(184,NULL,NULL,10,NULL,'',NULL,2,1458726317,NULL,'test test',1,0,0,0),(185,NULL,NULL,10,NULL,'',NULL,3,1458467117,NULL,'test test',1,0,0,0),(186,NULL,NULL,10,NULL,'',NULL,3,1458294317,NULL,'test test',1,0,0,0),(187,NULL,NULL,10,NULL,'',NULL,3,1458207917,NULL,'test test',1,0,0,0),(188,NULL,NULL,10,NULL,'',NULL,3,1458639917,NULL,'test test',1,0,0,0),(189,NULL,NULL,10,NULL,'',NULL,3,1458121517,NULL,'test test',1,0,0,0),(190,NULL,NULL,10,NULL,'',NULL,3,1458294317,NULL,'test test',1,0,0,0),(191,NULL,NULL,10,NULL,'',NULL,3,1458467117,NULL,'test test',1,0,0,0),(192,NULL,NULL,10,NULL,'',NULL,3,1458812717,NULL,'test test',1,0,0,0),(193,NULL,NULL,10,NULL,'',NULL,3,1458035117,NULL,'test test',1,0,0,0),(194,NULL,NULL,10,NULL,'',NULL,3,1458467117,NULL,'test test',1,0,0,0),(195,NULL,NULL,10,NULL,'',NULL,3,1458380717,NULL,'test test',1,0,0,0),(196,NULL,NULL,10,NULL,'',NULL,3,1458726317,NULL,'test test',1,0,0,0),(197,NULL,NULL,10,NULL,'',NULL,3,1458812717,NULL,'test test',1,0,0,0),(198,NULL,NULL,10,NULL,'',NULL,3,1458899117,NULL,'test test',1,0,0,0),(199,NULL,NULL,10,NULL,'',NULL,3,1458639917,NULL,'test test',1,0,0,0),(200,NULL,NULL,10,NULL,'',NULL,3,1458294317,NULL,'test test',1,0,0,0),(201,NULL,NULL,10,NULL,'',NULL,3,1458899117,NULL,'test test',1,0,0,0),(202,NULL,NULL,10,NULL,'',NULL,3,1458294317,NULL,'test test',1,0,0,0),(203,NULL,NULL,11,NULL,'',NULL,4,1458812717,NULL,'test test',1,0,0,0),(204,NULL,NULL,11,NULL,'',NULL,4,1458812717,NULL,'test test',1,0,0,0),(205,NULL,NULL,11,NULL,'',NULL,3,1458899117,NULL,'test test',1,0,0,0),(206,NULL,NULL,11,NULL,'',NULL,5,1458035117,NULL,'test test',1,0,0,0),(207,NULL,NULL,11,NULL,'',NULL,4,1458467117,NULL,'test test',1,0,0,0),(208,NULL,NULL,11,NULL,'',NULL,3,1458121517,NULL,'test test',1,0,0,0),(209,NULL,NULL,11,NULL,'',NULL,4,1458812717,NULL,'test test',1,0,0,0),(210,NULL,NULL,11,NULL,'',NULL,4,1458294317,NULL,'test test',1,0,0,0),(211,NULL,NULL,11,NULL,'',NULL,4,1458812717,NULL,'test test',1,0,0,0),(212,NULL,NULL,11,NULL,'',NULL,4,1458121517,NULL,'test test',1,0,0,0),(213,NULL,NULL,11,NULL,'',NULL,4,1458553517,NULL,'test test',1,0,0,0),(214,NULL,NULL,11,NULL,'',NULL,4,1458294317,NULL,'test test',1,0,0,0),(215,NULL,NULL,11,NULL,'',NULL,4,1458899117,NULL,'test test',1,0,0,0),(216,NULL,NULL,11,NULL,'',NULL,4,1458121517,NULL,'test test',1,0,0,0),(217,NULL,NULL,11,NULL,'',NULL,4,1458553517,NULL,'test test',1,0,0,0),(218,NULL,NULL,11,NULL,'',NULL,4,1458207917,NULL,'test test',1,0,0,0),(219,NULL,NULL,11,NULL,'',NULL,4,1458726317,NULL,'test test',1,0,0,0),(220,NULL,NULL,12,NULL,'',NULL,5,1458639917,NULL,'test test',1,0,0,0),(221,NULL,NULL,12,NULL,'',NULL,3,1458467117,NULL,'test test',1,0,0,0),(222,NULL,NULL,12,NULL,'',NULL,3,1458294317,NULL,'test test',1,0,0,0),(223,NULL,NULL,12,NULL,'',NULL,4,1458467117,NULL,'test test',1,0,0,0),(224,NULL,NULL,12,NULL,'',NULL,4,1458467117,NULL,'test test',1,0,0,0),(225,NULL,NULL,12,NULL,'',NULL,4,1458726317,NULL,'test test',1,0,0,0),(226,NULL,NULL,12,NULL,'',NULL,4,1458899117,NULL,'test test',1,0,0,0),(227,NULL,NULL,12,NULL,'',NULL,4,1458294317,NULL,'test test',1,0,0,0),(228,NULL,NULL,12,NULL,'',NULL,4,1458553517,NULL,'test test',1,0,0,0),(229,NULL,NULL,12,NULL,'',NULL,4,1458899117,NULL,'test test',1,0,0,0),(230,NULL,NULL,12,NULL,'',NULL,4,1458899117,NULL,'test test',1,0,0,0),(231,NULL,NULL,12,NULL,'',NULL,4,1458899117,NULL,'test test',1,0,0,0),(232,NULL,NULL,12,NULL,'',NULL,4,1458812717,NULL,'test test',1,0,0,0),(233,NULL,NULL,12,NULL,'',NULL,4,1458294317,NULL,'test test',1,0,0,0),(234,NULL,NULL,12,NULL,'',NULL,4,1458726317,NULL,'test test',1,0,0,0),(235,NULL,NULL,12,NULL,'',NULL,4,1458639917,NULL,'test test',1,0,0,0),(236,NULL,NULL,12,NULL,'',NULL,4,1458207917,NULL,'test test',1,0,0,0),(237,NULL,NULL,12,NULL,'',NULL,4,1458726317,NULL,'test test',1,0,0,0),(238,NULL,NULL,12,NULL,'',NULL,4,1458207917,NULL,'test test',1,0,0,0),(239,NULL,NULL,12,NULL,'',NULL,4,1458380717,NULL,'test test',1,0,0,0),(240,NULL,NULL,13,NULL,'',NULL,3,1458639917,NULL,'test test',1,0,0,0),(241,NULL,NULL,13,NULL,'',NULL,4,1458467117,NULL,'test test',1,0,0,0),(242,NULL,NULL,13,NULL,'',NULL,4,1458207917,NULL,'test test',1,0,0,0),(243,NULL,NULL,13,NULL,'',NULL,3,1458812717,NULL,'test test',1,0,0,0),(244,NULL,NULL,13,NULL,'',NULL,4,1458121517,NULL,'test test',1,0,0,0),(245,NULL,NULL,13,NULL,'',NULL,4,1458553517,NULL,'test test',1,0,0,0),(246,NULL,NULL,13,NULL,'',NULL,4,1458726317,NULL,'test test',1,0,0,0),(247,NULL,NULL,13,NULL,'',NULL,4,1458207917,NULL,'test test',1,0,0,0),(248,NULL,NULL,13,NULL,'',NULL,4,1458207917,NULL,'test test',1,0,0,0),(249,NULL,NULL,13,NULL,'',NULL,3,1458899117,NULL,'test test',1,0,0,0),(250,NULL,NULL,13,NULL,'',NULL,4,1458035117,NULL,'test test',1,0,0,0),(251,NULL,NULL,13,NULL,'',NULL,4,1458899117,NULL,'test test',1,0,0,0),(252,NULL,NULL,13,NULL,'',NULL,4,1458467117,NULL,'test test',1,0,0,0),(253,NULL,NULL,13,NULL,'',NULL,4,1458380717,NULL,'test test',1,0,0,0),(254,NULL,NULL,13,NULL,'',NULL,4,1458467117,NULL,'test test',1,0,0,0),(255,NULL,NULL,14,NULL,'',NULL,4,1458899117,NULL,'test test',1,0,0,0),(256,NULL,NULL,14,NULL,'',NULL,4,1458121517,NULL,'test test',1,0,0,0),(257,NULL,NULL,14,NULL,'',NULL,4,1458380717,NULL,'test test',1,0,0,0),(258,NULL,NULL,14,NULL,'',NULL,4,1458207917,NULL,'test test',1,0,0,0),(259,NULL,NULL,14,NULL,'',NULL,3,1458726317,NULL,'test test',1,0,0,0),(260,NULL,NULL,14,NULL,'',NULL,4,1458294317,NULL,'test test',1,0,0,0),(261,NULL,NULL,14,NULL,'',NULL,3,1458207917,NULL,'test test',1,0,0,0),(262,NULL,NULL,14,NULL,'',NULL,4,1458726317,NULL,'test test',1,0,0,0),(263,NULL,NULL,14,NULL,'',NULL,4,1458121517,NULL,'test test',1,0,0,0),(264,NULL,NULL,14,NULL,'',NULL,4,1458467117,NULL,'test test',1,0,0,0),(265,NULL,NULL,14,NULL,'',NULL,4,1458467117,NULL,'test test',1,0,0,0),(266,NULL,NULL,14,NULL,'',NULL,4,1458812717,NULL,'test test',1,0,0,0),(267,NULL,NULL,14,NULL,'',NULL,4,1458726317,NULL,'test test',1,0,0,0),(268,NULL,NULL,14,NULL,'',NULL,4,1458294317,NULL,'test test',1,0,0,0),(269,NULL,NULL,14,NULL,'',NULL,4,1458035117,NULL,'test test',1,0,0,0),(270,NULL,NULL,14,NULL,'',NULL,4,1458121517,NULL,'test test',1,0,0,0),(271,NULL,NULL,14,NULL,'',NULL,4,1458035117,NULL,'test test',1,0,0,0),(272,NULL,NULL,14,NULL,'',NULL,4,1458553517,NULL,'test test',1,0,0,0),(273,NULL,NULL,14,NULL,'',NULL,4,1458380717,NULL,'test test',1,0,0,0),(274,NULL,NULL,14,NULL,'',NULL,4,1458812717,NULL,'test test',1,0,0,0),(275,NULL,NULL,14,NULL,'',NULL,4,1458726317,NULL,'test test',1,0,0,0),(276,NULL,NULL,15,NULL,'',NULL,5,1458035117,NULL,'test test',1,0,0,0),(277,NULL,NULL,15,NULL,'',NULL,5,1458639917,NULL,'test test',1,0,0,0),(278,NULL,NULL,15,NULL,'',NULL,5,1458899117,NULL,'test test',1,0,0,0),(279,NULL,NULL,15,NULL,'',NULL,5,1458207917,NULL,'test test',1,0,0,0),(280,NULL,NULL,15,NULL,'',NULL,5,1458639917,NULL,'test test',1,0,0,0),(281,NULL,NULL,15,NULL,'',NULL,5,1458035117,NULL,'test test',1,0,0,0),(282,NULL,NULL,15,NULL,'',NULL,5,1458121517,NULL,'test test',1,0,0,0),(283,NULL,NULL,15,NULL,'',NULL,5,1458121517,NULL,'test test',1,0,0,0),(284,NULL,NULL,15,NULL,'',NULL,4,1458380717,NULL,'test test',1,0,0,0),(285,NULL,NULL,15,NULL,'',NULL,5,1458639917,NULL,'test test',1,0,0,0),(286,NULL,NULL,15,NULL,'',NULL,4,1458121517,NULL,'test test',1,0,0,0),(287,NULL,NULL,15,NULL,'',NULL,5,1458553517,NULL,'test test',1,0,0,0),(288,NULL,NULL,15,NULL,'',NULL,5,1458035117,NULL,'test test',1,0,0,0),(289,NULL,NULL,15,NULL,'',NULL,5,1458380717,NULL,'test test',1,0,0,0),(290,NULL,NULL,15,NULL,'',NULL,5,1458294317,NULL,'test test',1,0,0,0),(291,NULL,NULL,15,NULL,'',NULL,4,1458294317,NULL,'test test',1,0,0,0),(292,NULL,NULL,15,NULL,'',NULL,5,1458553517,NULL,'test test',1,0,0,0),(293,NULL,NULL,16,NULL,'',NULL,5,1458121517,NULL,'test test',1,0,0,0),(294,NULL,NULL,16,NULL,'',NULL,5,1458467117,NULL,'test test',1,0,0,0),(295,NULL,NULL,16,NULL,'',NULL,4,1458035117,NULL,'test test',1,0,0,0),(296,NULL,NULL,16,NULL,'',NULL,4,1458553517,NULL,'test test',1,0,0,0),(297,NULL,NULL,16,NULL,'',NULL,4,1458380717,NULL,'test test',1,0,0,0),(298,NULL,NULL,16,NULL,'',NULL,3,1458812717,NULL,'test test',1,0,0,0),(299,NULL,NULL,16,NULL,'',NULL,4,1458899117,NULL,'test test',1,0,0,0),(300,NULL,NULL,16,NULL,'',NULL,4,1458467117,NULL,'test test',1,0,0,0),(301,NULL,NULL,16,NULL,'',NULL,4,1458899117,NULL,'test test',1,0,0,0),(302,NULL,NULL,16,NULL,'',NULL,4,1458899117,NULL,'test test',1,0,0,0),(303,NULL,NULL,16,NULL,'',NULL,4,1458121517,NULL,'test test',1,0,0,0),(304,NULL,NULL,16,NULL,'',NULL,4,1458380717,NULL,'test test',1,0,0,0),(305,NULL,NULL,16,NULL,'',NULL,4,1458812717,NULL,'test test',1,0,0,0),(306,NULL,NULL,16,NULL,'',NULL,4,1458812717,NULL,'test test',1,0,0,0),(307,NULL,NULL,16,NULL,'',NULL,4,1458380717,NULL,'test test',1,0,0,0),(308,NULL,NULL,16,NULL,'',NULL,4,1458467117,NULL,'test test',1,0,0,0),(309,NULL,NULL,16,NULL,'',NULL,4,1458812717,NULL,'test test',1,0,0,0),(310,NULL,NULL,16,NULL,'',NULL,4,1458553517,NULL,'test test',1,0,0,0),(311,NULL,NULL,16,NULL,'',NULL,4,1458121517,NULL,'test test',1,0,0,0),(312,NULL,NULL,16,NULL,'',NULL,4,1458812717,NULL,'test test',1,0,0,0),(313,NULL,NULL,16,NULL,'',NULL,4,1458726317,NULL,'test test',1,0,0,0),(314,NULL,NULL,16,NULL,'',NULL,4,1458207917,NULL,'test test',1,0,0,0),(315,NULL,NULL,17,NULL,'',NULL,5,1458207917,NULL,'test test',1,0,0,0),(316,NULL,NULL,17,NULL,'',NULL,4,1458380717,NULL,'test test',1,0,0,0),(317,NULL,NULL,17,NULL,'',NULL,4,1458294317,NULL,'test test',1,0,0,0),(318,NULL,NULL,17,NULL,'',NULL,4,1458726317,NULL,'test test',1,0,0,0),(319,NULL,NULL,17,NULL,'',NULL,4,1458467117,NULL,'test test',1,0,0,0),(320,NULL,NULL,17,NULL,'',NULL,4,1458639917,NULL,'test test',1,0,0,0),(321,NULL,NULL,17,NULL,'',NULL,4,1458121517,NULL,'test test',1,0,0,0),(322,NULL,NULL,17,NULL,'',NULL,4,1458812717,NULL,'test test',1,0,0,0),(323,NULL,NULL,17,NULL,'',NULL,4,1458294317,NULL,'test test',1,0,0,0),(324,NULL,NULL,17,NULL,'',NULL,4,1458207917,NULL,'test test',1,0,0,0),(325,NULL,NULL,17,NULL,'',NULL,4,1458294317,NULL,'test test',1,0,0,0),(326,NULL,NULL,17,NULL,'',NULL,4,1458380717,NULL,'test test',1,0,0,0),(327,NULL,NULL,17,NULL,'',NULL,4,1458812717,NULL,'test test',1,0,0,0),(328,NULL,NULL,17,NULL,'',NULL,4,1458726317,NULL,'test test',1,0,0,0),(329,NULL,NULL,17,NULL,'',NULL,4,1458207917,NULL,'test test',1,0,0,0),(330,NULL,NULL,17,NULL,'',NULL,4,1458726317,NULL,'test test',1,0,0,0),(331,NULL,NULL,17,NULL,'',NULL,4,1458294317,NULL,'test test',1,0,0,0),(332,NULL,NULL,17,NULL,'',NULL,4,1458207917,NULL,'test test',1,0,0,0),(333,NULL,NULL,17,NULL,'',NULL,4,1458726317,NULL,'test test',1,0,0,0),(334,NULL,NULL,17,NULL,'',NULL,4,1458380717,NULL,'test test',1,0,0,0),(335,NULL,NULL,17,NULL,'',NULL,4,1458553517,NULL,'test test',1,0,0,0),(336,NULL,NULL,18,NULL,'',NULL,4,1458553517,NULL,'test test',1,0,0,0),(337,NULL,NULL,18,NULL,'',NULL,4,1458207917,NULL,'test test',1,0,0,0),(338,NULL,NULL,18,NULL,'',NULL,4,1458899117,NULL,'test test',1,0,0,0),(339,NULL,NULL,18,NULL,'',NULL,4,1458035117,NULL,'test test',1,0,0,0),(340,NULL,NULL,18,NULL,'',NULL,5,1458121517,NULL,'test test',1,0,0,0),(341,NULL,NULL,18,NULL,'',NULL,4,1458553517,NULL,'test test',1,0,0,0),(342,NULL,NULL,18,NULL,'',NULL,5,1458121517,NULL,'test test',1,0,0,0),(343,NULL,NULL,18,NULL,'',NULL,4,1458899117,NULL,'test test',1,0,0,0),(344,NULL,NULL,18,NULL,'',NULL,4,1458294317,NULL,'test test',1,0,0,0),(345,NULL,NULL,18,NULL,'',NULL,4,1458380717,NULL,'test test',1,0,0,0),(346,NULL,NULL,18,NULL,'',NULL,4,1458207917,NULL,'test test',1,0,0,0),(347,NULL,NULL,18,NULL,'',NULL,4,1458726317,NULL,'test test',1,0,0,0),(348,NULL,NULL,18,NULL,'',NULL,4,1458726317,NULL,'test test',1,0,0,0),(349,NULL,NULL,18,NULL,'',NULL,4,1458899117,NULL,'test test',1,0,0,0),(350,NULL,NULL,18,NULL,'',NULL,4,1458207917,NULL,'test test',1,0,0,0),(351,NULL,NULL,18,NULL,'',NULL,4,1458467117,NULL,'test test',1,0,0,0),(352,NULL,NULL,18,NULL,'',NULL,4,1458121517,NULL,'test test',1,0,0,0),(353,NULL,NULL,18,NULL,'',NULL,4,1458035117,NULL,'test test',1,0,0,0),(354,NULL,NULL,18,NULL,'',NULL,4,1458726317,NULL,'test test',1,0,0,0),(355,NULL,NULL,18,NULL,'',NULL,4,1458380717,NULL,'test test',1,0,0,0),(356,NULL,NULL,18,NULL,'',NULL,4,1458380717,NULL,'test test',1,0,0,0),(357,NULL,NULL,18,NULL,'',NULL,4,1458121517,NULL,'test test',1,0,0,0),(358,NULL,NULL,18,NULL,'',NULL,4,1458207917,NULL,'test test',1,0,0,0),(359,NULL,NULL,18,NULL,'',NULL,4,1458121517,NULL,'test test',1,0,0,0),(360,NULL,NULL,19,NULL,'',NULL,4,1458380717,NULL,'test test',1,0,0,0),(361,NULL,NULL,19,NULL,'',NULL,4,1458035117,NULL,'test test',1,0,0,0),(362,NULL,NULL,19,NULL,'',NULL,4,1458380717,NULL,'test test',1,0,0,0),(363,NULL,NULL,19,NULL,'',NULL,3,1458553517,NULL,'test test',1,0,0,0),(364,NULL,NULL,19,NULL,'',NULL,4,1458726317,NULL,'test test',1,0,0,0),(365,NULL,NULL,19,NULL,'',NULL,4,1458812717,NULL,'test test',1,0,0,0),(366,NULL,NULL,19,NULL,'',NULL,4,1458121517,NULL,'test test',1,0,0,0),(367,NULL,NULL,19,NULL,'',NULL,4,1458380717,NULL,'test test',1,0,0,0),(368,NULL,NULL,19,NULL,'',NULL,4,1458121517,NULL,'test test',1,0,0,0),(369,NULL,NULL,19,NULL,'',NULL,4,1458035117,NULL,'test test',1,0,0,0),(370,NULL,NULL,19,NULL,'',NULL,4,1458380717,NULL,'test test',1,0,0,0),(371,NULL,NULL,19,NULL,'',NULL,4,1458207917,NULL,'test test',1,0,0,0),(372,NULL,NULL,19,NULL,'',NULL,4,1458553517,NULL,'test test',1,0,0,0),(373,NULL,NULL,19,NULL,'',NULL,4,1458553517,NULL,'test test',1,0,0,0),(374,NULL,NULL,19,NULL,'',NULL,4,1458121517,NULL,'test test',1,0,0,0),(375,NULL,NULL,19,NULL,'',NULL,4,1458899117,NULL,'test test',1,0,0,0),(376,NULL,NULL,20,NULL,'',NULL,4,1458035117,NULL,'test test',1,0,0,0),(377,NULL,NULL,20,NULL,'',NULL,4,1458294317,NULL,'test test',1,0,0,0),(378,NULL,NULL,20,NULL,'',NULL,4,1458639917,NULL,'test test',1,0,0,0),(379,NULL,NULL,20,NULL,'',NULL,4,1458726317,NULL,'test test',1,0,0,0),(380,NULL,NULL,20,NULL,'',NULL,5,1458294317,NULL,'test test',1,0,0,0),(381,NULL,NULL,20,NULL,'',NULL,3,1458812717,NULL,'test test',1,0,0,0),(382,NULL,NULL,20,NULL,'',NULL,4,1458207917,NULL,'test test',1,0,0,0),(383,NULL,NULL,20,NULL,'',NULL,4,1458467117,NULL,'test test',1,0,0,0),(384,NULL,NULL,20,NULL,'',NULL,4,1458812717,NULL,'test test',1,0,0,0),(385,NULL,NULL,20,NULL,'',NULL,4,1458899117,NULL,'test test',1,0,0,0),(386,NULL,NULL,20,NULL,'',NULL,4,1458812717,NULL,'test test',1,0,0,0),(387,NULL,NULL,20,NULL,'',NULL,4,1458294317,NULL,'test test',1,0,0,0),(388,NULL,NULL,20,NULL,'',NULL,4,1458121517,NULL,'test test',1,0,0,0),(389,NULL,NULL,20,NULL,'',NULL,4,1458121517,NULL,'test test',1,0,0,0),(390,NULL,NULL,20,NULL,'',NULL,4,1458380717,NULL,'test test',1,0,0,0),(391,NULL,NULL,20,NULL,'',NULL,4,1458467117,NULL,'test test',1,0,0,0),(392,NULL,NULL,20,NULL,'',NULL,4,1458121517,NULL,'test test',1,0,0,0),(393,NULL,NULL,20,NULL,'',NULL,4,1458812717,NULL,'test test',1,0,0,0),(394,NULL,NULL,20,NULL,'',NULL,4,1458035117,NULL,'test test',1,0,0,0),(395,NULL,NULL,20,NULL,'',NULL,4,1458899117,NULL,'test test',1,0,0,0),(396,NULL,NULL,20,NULL,'',NULL,4,1458726317,NULL,'test test',1,0,0,0),(397,NULL,NULL,20,NULL,'',NULL,4,1458121517,NULL,'test test',1,0,0,0),(398,NULL,NULL,20,NULL,'',NULL,4,1458294317,NULL,'test test',1,0,0,0),(399,NULL,NULL,20,NULL,'',NULL,4,1458812717,NULL,'test test',1,0,0,0),(400,NULL,NULL,20,NULL,'',NULL,4,1458207917,NULL,'test test',1,0,0,0),(401,NULL,NULL,21,NULL,'',NULL,4,1458726317,NULL,'test test',1,0,0,0),(402,NULL,NULL,21,NULL,'',NULL,3,1458035117,NULL,'test test',1,0,0,0),(403,NULL,NULL,21,NULL,'',NULL,3,1458726317,NULL,'test test',1,0,0,0),(404,NULL,NULL,21,NULL,'',NULL,3,1458380717,NULL,'test test',1,0,0,0),(405,NULL,NULL,21,NULL,'',NULL,4,1458207917,NULL,'test test',1,0,0,0),(406,NULL,NULL,21,NULL,'',NULL,4,1458639917,NULL,'test test',1,0,0,0),(407,NULL,NULL,21,NULL,'',NULL,4,1458380717,NULL,'test test',1,0,0,0),(408,NULL,NULL,21,NULL,'',NULL,4,1458553517,NULL,'test test',1,0,0,0),(409,NULL,NULL,21,NULL,'',NULL,4,1458380717,NULL,'test test',1,0,0,0),(410,NULL,NULL,21,NULL,'',NULL,4,1458121517,NULL,'test test',1,0,0,0),(411,NULL,NULL,21,NULL,'',NULL,4,1458899117,NULL,'test test',1,0,0,0),(412,NULL,NULL,21,NULL,'',NULL,4,1458207917,NULL,'test test',1,0,0,0),(413,NULL,NULL,21,NULL,'',NULL,4,1458380717,NULL,'test test',1,0,0,0),(414,NULL,NULL,21,NULL,'',NULL,4,1458467117,NULL,'test test',1,0,0,0),(415,NULL,NULL,21,NULL,'',NULL,4,1458121517,NULL,'test test',1,0,0,0),(416,NULL,NULL,21,NULL,'',NULL,4,1458294317,NULL,'test test',1,0,0,0),(417,NULL,NULL,21,NULL,'',NULL,4,1458294317,NULL,'test test',1,0,0,0),(418,NULL,NULL,21,NULL,'',NULL,4,1458380717,NULL,'test test',1,0,0,0),(419,NULL,NULL,21,NULL,'',NULL,4,1458467117,NULL,'test test',1,0,0,0),(420,NULL,NULL,21,NULL,'',NULL,4,1458467117,NULL,'test test',1,0,0,0),(421,NULL,NULL,21,NULL,'',NULL,4,1458812717,NULL,'test test',1,0,0,0),(422,NULL,NULL,21,NULL,'',NULL,4,1458899117,NULL,'test test',1,0,0,0),(423,NULL,NULL,22,NULL,'',NULL,4,1458639917,NULL,'test test',1,0,0,0),(424,NULL,NULL,22,NULL,'',NULL,4,1458726317,NULL,'test test',1,0,0,0),(425,NULL,NULL,22,NULL,'',NULL,4,1458035117,NULL,'test test',1,0,0,0),(426,NULL,NULL,22,NULL,'',NULL,4,1458553517,NULL,'test test',1,0,0,0),(427,NULL,NULL,22,NULL,'',NULL,5,1458467117,NULL,'test test',1,0,0,0),(428,NULL,NULL,22,NULL,'',NULL,4,1458121517,NULL,'test test',1,0,0,0),(429,NULL,NULL,22,NULL,'',NULL,4,1458899117,NULL,'test test',1,0,0,0),(430,NULL,NULL,22,NULL,'',NULL,4,1458380717,NULL,'test test',1,0,0,0),(431,NULL,NULL,22,NULL,'',NULL,4,1458294317,NULL,'test test',1,0,0,0),(432,NULL,NULL,22,NULL,'',NULL,4,1458726317,NULL,'test test',1,0,0,0),(433,NULL,NULL,22,NULL,'',NULL,4,1458467117,NULL,'test test',1,0,0,0),(434,NULL,NULL,22,NULL,'',NULL,4,1458121517,NULL,'test test',1,0,0,0),(435,NULL,NULL,22,NULL,'',NULL,4,1458121517,NULL,'test test',1,0,0,0),(436,NULL,NULL,22,NULL,'',NULL,4,1458639917,NULL,'test test',1,0,0,0),(437,NULL,NULL,22,NULL,'',NULL,4,1458812717,NULL,'test test',1,0,0,0),(438,NULL,NULL,22,NULL,'',NULL,4,1458553517,NULL,'test test',1,0,0,0),(439,NULL,NULL,22,NULL,'',NULL,4,1458294317,NULL,'test test',1,0,0,0),(440,NULL,NULL,23,NULL,'',NULL,4,1458207917,NULL,'test test',1,0,0,0),(441,NULL,NULL,23,NULL,'',NULL,5,1458639917,NULL,'test test',1,0,0,0),(442,NULL,NULL,23,NULL,'',NULL,4,1458207917,NULL,'test test',1,0,0,0),(443,NULL,NULL,23,NULL,'',NULL,4,1458467117,NULL,'test test',1,0,0,0),(444,NULL,NULL,23,NULL,'',NULL,4,1458121517,NULL,'test test',1,0,0,0),(445,NULL,NULL,23,NULL,'',NULL,4,1458639917,NULL,'test test',1,0,0,0),(446,NULL,NULL,23,NULL,'',NULL,4,1458553517,NULL,'test test',1,0,0,0),(447,NULL,NULL,23,NULL,'',NULL,4,1458380717,NULL,'test test',1,0,0,0),(448,NULL,NULL,23,NULL,'',NULL,4,1458035117,NULL,'test test',1,0,0,0),(449,NULL,NULL,23,NULL,'',NULL,4,1458035117,NULL,'test test',1,0,0,0),(450,NULL,NULL,23,NULL,'',NULL,4,1458899117,NULL,'test test',1,0,0,0),(451,NULL,NULL,23,NULL,'',NULL,4,1458553517,NULL,'test test',1,0,0,0),(452,NULL,NULL,23,NULL,'',NULL,4,1458899117,NULL,'test test',1,0,0,0),(453,NULL,NULL,23,NULL,'',NULL,4,1458812717,NULL,'test test',1,0,0,0),(454,NULL,NULL,23,NULL,'',NULL,4,1458207917,NULL,'test test',1,0,0,0),(455,NULL,NULL,23,NULL,'',NULL,4,1458639917,NULL,'test test',1,0,0,0),(456,NULL,NULL,23,NULL,'',NULL,4,1458899117,NULL,'test test',1,0,0,0),(457,NULL,NULL,23,NULL,'',NULL,4,1458812717,NULL,'test test',1,0,0,0),(458,NULL,NULL,23,NULL,'',NULL,4,1458207917,NULL,'test test',1,0,0,0),(459,NULL,NULL,23,NULL,'',NULL,4,1458035117,NULL,'test test',1,0,0,0),(460,NULL,NULL,23,NULL,'',NULL,4,1458812717,NULL,'test test',1,0,0,0),(461,NULL,NULL,23,NULL,'',NULL,4,1458553517,NULL,'test test',1,0,0,0),(462,NULL,NULL,23,NULL,'',NULL,4,1458380717,NULL,'test test',1,0,0,0),(463,NULL,NULL,24,NULL,'',NULL,4,1458553517,NULL,'test test',1,0,0,0),(464,NULL,NULL,24,NULL,'',NULL,4,1458035117,NULL,'test test',1,0,0,0),(465,NULL,NULL,24,NULL,'',NULL,3,1458553517,NULL,'test test',1,0,0,0),(466,NULL,NULL,24,NULL,'',NULL,4,1458726317,NULL,'test test',1,0,0,0),(467,NULL,NULL,24,NULL,'',NULL,4,1458726317,NULL,'test test',1,0,0,0),(468,NULL,NULL,24,NULL,'',NULL,5,1458380717,NULL,'test test',1,0,0,0),(469,NULL,NULL,24,NULL,'',NULL,4,1458294317,NULL,'test test',1,0,0,0),(470,NULL,NULL,24,NULL,'',NULL,5,1458035117,NULL,'test test',1,0,0,0),(471,NULL,NULL,24,NULL,'',NULL,4,1458639917,NULL,'test test',1,0,0,0),(472,NULL,NULL,24,NULL,'',NULL,4,1458899117,NULL,'test test',1,0,0,0),(473,NULL,NULL,24,NULL,'',NULL,4,1458294317,NULL,'test test',1,0,0,0),(474,NULL,NULL,24,NULL,'',NULL,4,1458121517,NULL,'test test',1,0,0,0),(475,NULL,NULL,24,NULL,'',NULL,4,1458035117,NULL,'test test',1,0,0,0),(476,NULL,NULL,24,NULL,'',NULL,4,1458035117,NULL,'test test',1,0,0,0),(477,NULL,NULL,24,NULL,'',NULL,4,1458726317,NULL,'test test',1,0,0,0),(478,NULL,NULL,25,NULL,'',NULL,3,1458467117,NULL,'test test',1,0,0,0),(479,NULL,NULL,25,NULL,'',NULL,3,1458121517,NULL,'test test',1,0,0,0),(480,NULL,NULL,25,NULL,'',NULL,3,1458726317,NULL,'test test',1,0,0,0),(481,NULL,NULL,25,NULL,'',NULL,4,1458467117,NULL,'test test',1,0,0,0),(482,NULL,NULL,25,NULL,'',NULL,4,1458639917,NULL,'test test',1,0,0,0),(483,NULL,NULL,25,NULL,'',NULL,4,1458726317,NULL,'test test',1,0,0,0),(484,NULL,NULL,25,NULL,'',NULL,4,1458380717,NULL,'test test',1,0,0,0),(485,NULL,NULL,25,NULL,'',NULL,4,1458899117,NULL,'test test',1,0,0,0),(486,NULL,NULL,25,NULL,'',NULL,4,1458380717,NULL,'test test',1,0,0,0),(487,NULL,NULL,25,NULL,'',NULL,4,1458294317,NULL,'test test',1,0,0,0),(488,NULL,NULL,25,NULL,'',NULL,4,1458726317,NULL,'test test',1,0,0,0),(489,NULL,NULL,25,NULL,'',NULL,4,1458639917,NULL,'test test',1,0,0,0),(490,NULL,NULL,25,NULL,'',NULL,4,1458294317,NULL,'test test',1,0,0,0),(491,NULL,NULL,25,NULL,'',NULL,4,1458639917,NULL,'test test',1,0,0,0),(492,NULL,NULL,25,NULL,'',NULL,4,1458294317,NULL,'test test',1,0,0,0),(493,NULL,NULL,25,NULL,'',NULL,4,1458726317,NULL,'test test',1,0,0,0),(494,NULL,NULL,25,NULL,'',NULL,4,1458207917,NULL,'test test',1,0,0,0),(495,NULL,NULL,25,NULL,'',NULL,4,1458380717,NULL,'test test',1,0,0,0),(496,NULL,NULL,25,NULL,'',NULL,4,1458380717,NULL,'test test',1,0,0,0),(497,NULL,NULL,26,NULL,'',NULL,5,1458899117,NULL,'test test',1,0,0,0),(498,NULL,NULL,26,NULL,'',NULL,5,1458121517,NULL,'test test',1,0,0,0),(499,NULL,NULL,26,NULL,'',NULL,5,1458726317,NULL,'test test',1,0,0,0),(500,NULL,NULL,26,NULL,'',NULL,5,1458207917,NULL,'test test',1,0,0,0),(501,NULL,NULL,26,NULL,'',NULL,4,1458207917,NULL,'test test',1,0,0,0),(502,NULL,NULL,26,NULL,'',NULL,5,1458467117,NULL,'test test',1,0,0,0),(503,NULL,NULL,26,NULL,'',NULL,5,1458207917,NULL,'test test',1,0,0,0),(504,NULL,NULL,26,NULL,'',NULL,5,1458553517,NULL,'test test',1,0,0,0),(505,NULL,NULL,26,NULL,'',NULL,5,1458553517,NULL,'test test',1,0,0,0),(506,NULL,NULL,26,NULL,'',NULL,5,1458294317,NULL,'test test',1,0,0,0),(507,NULL,NULL,26,NULL,'',NULL,4,1458553517,NULL,'test test',1,0,0,0),(508,NULL,NULL,26,NULL,'',NULL,5,1458380717,NULL,'test test',1,0,0,0),(509,NULL,NULL,26,NULL,'',NULL,5,1458812717,NULL,'test test',1,0,0,0),(510,NULL,NULL,26,NULL,'',NULL,5,1458726317,NULL,'test test',1,0,0,0),(511,NULL,NULL,26,NULL,'',NULL,5,1458207917,NULL,'test test',1,0,0,0),(512,NULL,NULL,26,NULL,'',NULL,5,1458294317,NULL,'test test',1,0,0,0),(513,NULL,NULL,26,NULL,'',NULL,5,1458467117,NULL,'test test',1,0,0,0),(514,NULL,NULL,26,NULL,'',NULL,5,1458899117,NULL,'test test',1,0,0,0),(515,NULL,NULL,26,NULL,'',NULL,5,1458639917,NULL,'test test',1,0,0,0),(516,NULL,NULL,27,NULL,'',NULL,5,1458380717,NULL,'test test',1,0,0,0),(517,NULL,NULL,27,NULL,'',NULL,5,1458294317,NULL,'test test',1,0,0,0),(518,NULL,NULL,27,NULL,'',NULL,4,1458035117,NULL,'test test',1,0,0,0),(519,NULL,NULL,27,NULL,'',NULL,5,1458207917,NULL,'test test',1,0,0,0),(520,NULL,NULL,27,NULL,'',NULL,5,1458899117,NULL,'test test',1,0,0,0),(521,NULL,NULL,27,NULL,'',NULL,4,1458380717,NULL,'test test',1,0,0,0),(522,NULL,NULL,27,NULL,'',NULL,4,1458812717,NULL,'test test',1,0,0,0),(523,NULL,NULL,27,NULL,'',NULL,5,1458294317,NULL,'test test',1,0,0,0),(524,NULL,NULL,27,NULL,'',NULL,5,1458121517,NULL,'test test',1,0,0,0),(525,NULL,NULL,27,NULL,'',NULL,5,1458121517,NULL,'test test',1,0,0,0),(526,NULL,NULL,27,NULL,'',NULL,5,1458639917,NULL,'test test',1,0,0,0),(527,NULL,NULL,27,NULL,'',NULL,5,1458467117,NULL,'test test',1,0,0,0),(528,NULL,NULL,27,NULL,'',NULL,5,1458121517,NULL,'test test',1,0,0,0),(529,NULL,NULL,27,NULL,'',NULL,5,1458726317,NULL,'test test',1,0,0,0),(530,NULL,NULL,27,NULL,'',NULL,5,1458294317,NULL,'test test',1,0,0,0),(531,NULL,NULL,28,NULL,'',NULL,4,1458294317,NULL,'test test',1,0,0,0),(532,NULL,NULL,28,NULL,'',NULL,4,1458035117,NULL,'test test',1,0,0,0),(533,NULL,NULL,28,NULL,'',NULL,4,1458726317,NULL,'test test',1,0,0,0),(534,NULL,NULL,28,NULL,'',NULL,5,1458553517,NULL,'test test',1,0,0,0),(535,NULL,NULL,28,NULL,'',NULL,5,1458553517,NULL,'test test',1,0,0,0),(536,NULL,NULL,28,NULL,'',NULL,5,1458380717,NULL,'test test',1,0,0,0),(537,NULL,NULL,28,NULL,'',NULL,5,1458899117,NULL,'test test',1,0,0,0),(538,NULL,NULL,28,NULL,'',NULL,5,1458207917,NULL,'test test',1,0,0,0),(539,NULL,NULL,28,NULL,'',NULL,5,1458726317,NULL,'test test',1,0,0,0),(540,NULL,NULL,28,NULL,'',NULL,5,1458726317,NULL,'test test',1,0,0,0),(541,NULL,NULL,28,NULL,'',NULL,5,1458035117,NULL,'test test',1,0,0,0),(542,NULL,NULL,28,NULL,'',NULL,5,1458899117,NULL,'test test',1,0,0,0),(543,NULL,NULL,28,NULL,'',NULL,5,1458121517,NULL,'test test',1,0,0,0),(544,NULL,NULL,28,NULL,'',NULL,5,1458467117,NULL,'test test',1,0,0,0),(545,NULL,NULL,28,NULL,'',NULL,5,1458812717,NULL,'test test',1,0,0,0),(546,NULL,NULL,28,NULL,'',NULL,5,1458812717,NULL,'test test',1,0,0,0),(547,NULL,NULL,28,NULL,'',NULL,5,1458812717,NULL,'test test',1,0,0,0),(548,NULL,NULL,29,NULL,'',NULL,5,1458207917,NULL,'test test',1,0,0,0),(549,NULL,NULL,29,NULL,'',NULL,4,1458812717,NULL,'test test',1,0,0,0),(550,NULL,NULL,29,NULL,'',NULL,5,1458121517,NULL,'test test',1,0,0,0),(551,NULL,NULL,29,NULL,'',NULL,5,1458207917,NULL,'test test',1,0,0,0),(552,NULL,NULL,29,NULL,'',NULL,5,1458207917,NULL,'test test',1,0,0,0),(553,NULL,NULL,29,NULL,'',NULL,5,1458035117,NULL,'test test',1,0,0,0),(554,NULL,NULL,29,NULL,'',NULL,4,1458467117,NULL,'test test',1,0,0,0),(555,NULL,NULL,29,NULL,'',NULL,5,1458380717,NULL,'test test',1,0,0,0),(556,NULL,NULL,29,NULL,'',NULL,5,1458121517,NULL,'test test',1,0,0,0),(557,NULL,NULL,29,NULL,'',NULL,5,1458121517,NULL,'test test',1,0,0,0),(558,NULL,NULL,29,NULL,'',NULL,5,1458899117,NULL,'test test',1,0,0,0),(559,NULL,NULL,29,NULL,'',NULL,5,1458207917,NULL,'test test',1,0,0,0),(560,NULL,NULL,29,NULL,'',NULL,5,1458899117,NULL,'test test',1,0,0,0),(561,NULL,NULL,29,NULL,'',NULL,5,1458294317,NULL,'test test',1,0,0,0),(562,NULL,NULL,29,NULL,'',NULL,5,1458553517,NULL,'test test',1,0,0,0),(563,NULL,NULL,29,NULL,'',NULL,5,1458899117,NULL,'test test',1,0,0,0),(564,NULL,NULL,29,NULL,'',NULL,5,1458035117,NULL,'test test',1,0,0,0),(565,NULL,NULL,29,NULL,'',NULL,5,1458207917,NULL,'test test',1,0,0,0),(566,NULL,NULL,30,NULL,'',NULL,4,1458553517,NULL,'test test',1,0,0,0),(567,NULL,NULL,30,NULL,'',NULL,5,1458467117,NULL,'test test',1,0,0,0),(568,NULL,NULL,30,NULL,'',NULL,5,1458121517,NULL,'test test',1,0,0,0),(569,NULL,NULL,30,NULL,'',NULL,5,1458812717,NULL,'test test',1,0,0,0),(570,NULL,NULL,30,NULL,'',NULL,5,1458207917,NULL,'test test',1,0,0,0),(571,NULL,NULL,30,NULL,'',NULL,5,1458899117,NULL,'test test',1,0,0,0),(572,NULL,NULL,30,NULL,'',NULL,5,1458812717,NULL,'test test',1,0,0,0),(573,NULL,NULL,30,NULL,'',NULL,5,1458207917,NULL,'test test',1,0,0,0),(574,NULL,NULL,30,NULL,'',NULL,5,1458035117,NULL,'test test',1,0,0,0),(575,NULL,NULL,30,NULL,'',NULL,5,1458294317,NULL,'test test',1,0,0,0),(576,NULL,NULL,30,NULL,'',NULL,5,1458121517,NULL,'test test',1,0,0,0),(577,NULL,NULL,30,NULL,'',NULL,5,1458899117,NULL,'test test',1,0,0,0),(578,NULL,NULL,30,NULL,'',NULL,5,1458207917,NULL,'test test',1,0,0,0),(579,NULL,NULL,30,NULL,'',NULL,5,1458294317,NULL,'test test',1,0,0,0),(580,NULL,NULL,30,NULL,'',NULL,5,1458812717,NULL,'test test',1,0,0,0),(581,NULL,NULL,30,NULL,'',NULL,5,1458380717,NULL,'test test',1,0,0,0),(582,NULL,NULL,30,NULL,'',NULL,5,1458467117,NULL,'test test',1,0,0,0),(583,NULL,NULL,30,NULL,'',NULL,5,1458121517,NULL,'test test',1,0,0,0),(584,NULL,NULL,30,NULL,'',NULL,5,1458380717,NULL,'test test',1,0,0,0),(585,NULL,NULL,30,NULL,'',NULL,5,1458035117,NULL,'test test',1,0,0,0),(586,NULL,NULL,31,NULL,'',NULL,4,1458467117,NULL,'test test',1,0,0,0),(587,NULL,NULL,31,NULL,'',NULL,5,1458553517,NULL,'test test',1,0,0,0),(588,NULL,NULL,31,NULL,'',NULL,5,1458121517,NULL,'test test',1,0,0,0),(589,NULL,NULL,31,NULL,'',NULL,5,1458467117,NULL,'test test',1,0,0,0),(590,NULL,NULL,31,NULL,'',NULL,5,1458812717,NULL,'test test',1,0,0,0),(591,NULL,NULL,31,NULL,'',NULL,5,1458035117,NULL,'test test',1,0,0,0),(592,NULL,NULL,31,NULL,'',NULL,5,1458726317,NULL,'test test',1,0,0,0),(593,NULL,NULL,31,NULL,'',NULL,5,1458380717,NULL,'test test',1,0,0,0),(594,NULL,NULL,31,NULL,'',NULL,5,1458035117,NULL,'test test',1,0,0,0),(595,NULL,NULL,31,NULL,'',NULL,5,1458812717,NULL,'test test',1,0,0,0),(596,NULL,NULL,31,NULL,'',NULL,5,1458639917,NULL,'test test',1,0,0,0),(597,NULL,NULL,31,NULL,'',NULL,5,1458639917,NULL,'test test',1,0,0,0),(598,NULL,NULL,31,NULL,'',NULL,5,1458294317,NULL,'test test',1,0,0,0),(599,NULL,NULL,31,NULL,'',NULL,4,1458726317,NULL,'test test',1,0,0,0),(600,NULL,NULL,31,NULL,'',NULL,4,1458553517,NULL,'test test',1,0,0,0),(601,NULL,NULL,31,NULL,'',NULL,5,1458553517,NULL,'test test',1,0,0,0),(602,NULL,NULL,31,NULL,'',NULL,5,1458639917,NULL,'test test',1,0,0,0),(603,NULL,NULL,31,NULL,'',NULL,5,1458380717,NULL,'test test',1,0,0,0),(604,NULL,NULL,31,NULL,'',NULL,5,1458726317,NULL,'test test',1,0,0,0),(605,NULL,NULL,31,NULL,'',NULL,5,1458726317,NULL,'test test',1,0,0,0),(606,NULL,NULL,31,NULL,'',NULL,5,1458726317,NULL,'test test',1,0,0,0),(607,NULL,NULL,31,NULL,'',NULL,5,1458812717,NULL,'test test',1,0,0,0),(608,NULL,NULL,32,NULL,'',NULL,5,1458726317,NULL,'test test',1,0,0,0),(609,NULL,NULL,32,NULL,'',NULL,5,1458035117,NULL,'test test',1,0,0,0),(610,NULL,NULL,32,NULL,'',NULL,4,1458207917,NULL,'test test',1,0,0,0),(611,NULL,NULL,32,NULL,'',NULL,5,1458553517,NULL,'test test',1,0,0,0),(612,NULL,NULL,32,NULL,'',NULL,5,1458380717,NULL,'test test',1,0,0,0),(613,NULL,NULL,32,NULL,'',NULL,4,1458639917,NULL,'test test',1,0,0,0),(614,NULL,NULL,32,NULL,'',NULL,5,1458726317,NULL,'test test',1,0,0,0),(615,NULL,NULL,32,NULL,'',NULL,5,1458812717,NULL,'test test',1,0,0,0),(616,NULL,NULL,32,NULL,'',NULL,5,1458639917,NULL,'test test',1,0,0,0),(617,NULL,NULL,32,NULL,'',NULL,5,1458207917,NULL,'test test',1,0,0,0),(618,NULL,NULL,32,NULL,'',NULL,5,1458380717,NULL,'test test',1,0,0,0),(619,NULL,NULL,32,NULL,'',NULL,5,1458812717,NULL,'test test',1,0,0,0),(620,NULL,NULL,32,NULL,'',NULL,5,1458726317,NULL,'test test',1,0,0,0),(621,NULL,NULL,32,NULL,'',NULL,5,1458207917,NULL,'test test',1,0,0,0),(622,NULL,NULL,32,NULL,'',NULL,5,1458899117,NULL,'test test',1,0,0,0),(623,NULL,NULL,32,NULL,'',NULL,5,1458467117,NULL,'test test',1,0,0,0),(624,NULL,NULL,33,NULL,'',NULL,5,1458639917,NULL,'test test',1,0,0,0),(625,NULL,NULL,33,NULL,'',NULL,5,1458035117,NULL,'test test',1,0,0,0),(626,NULL,NULL,33,NULL,'',NULL,5,1458380717,NULL,'test test',1,0,0,0),(627,NULL,NULL,33,NULL,'',NULL,5,1458294317,NULL,'test test',1,0,0,0),(628,NULL,NULL,33,NULL,'',NULL,4,1458726317,NULL,'test test',1,0,0,0),(629,NULL,NULL,33,NULL,'',NULL,5,1458639917,NULL,'test test',1,0,0,0),(630,NULL,NULL,33,NULL,'',NULL,5,1458121517,NULL,'test test',1,0,0,0),(631,NULL,NULL,33,NULL,'',NULL,5,1458294317,NULL,'test test',1,0,0,0),(632,NULL,NULL,33,NULL,'',NULL,4,1458294317,NULL,'test test',1,0,0,0),(633,NULL,NULL,33,NULL,'',NULL,5,1458812717,NULL,'test test',1,0,0,0),(634,NULL,NULL,33,NULL,'',NULL,5,1458726317,NULL,'test test',1,0,0,0),(635,NULL,NULL,33,NULL,'',NULL,5,1458121517,NULL,'test test',1,0,0,0),(636,NULL,NULL,33,NULL,'',NULL,5,1458639917,NULL,'test test',1,0,0,0),(637,NULL,NULL,33,NULL,'',NULL,5,1458553517,NULL,'test test',1,0,0,0),(638,NULL,NULL,33,NULL,'',NULL,5,1458035117,NULL,'test test',1,0,0,0),(639,NULL,NULL,33,NULL,'',NULL,5,1458380717,NULL,'test test',1,0,0,0),(640,NULL,NULL,33,NULL,'',NULL,5,1458553517,NULL,'test test',1,0,0,0),(641,NULL,NULL,33,NULL,'',NULL,5,1458207917,NULL,'test test',1,0,0,0),(642,NULL,NULL,33,NULL,'',NULL,5,1458035117,NULL,'test test',1,0,0,0),(643,NULL,NULL,34,NULL,'',NULL,5,1458035117,NULL,'test test',1,0,0,0),(644,NULL,NULL,34,NULL,'',NULL,5,1458899117,NULL,'test test',1,0,0,0),(645,NULL,NULL,34,NULL,'',NULL,4,1458726317,NULL,'test test',1,0,0,0),(646,NULL,NULL,34,NULL,'',NULL,5,1458899117,NULL,'test test',1,0,0,0),(647,NULL,NULL,34,NULL,'',NULL,5,1458639917,NULL,'test test',1,0,0,0),(648,NULL,NULL,34,NULL,'',NULL,4,1458035117,NULL,'test test',1,0,0,0),(649,NULL,NULL,34,NULL,'',NULL,5,1458294317,NULL,'test test',1,0,0,0),(650,NULL,NULL,34,NULL,'',NULL,4,1458553517,NULL,'test test',1,0,0,0),(651,NULL,NULL,34,NULL,'',NULL,5,1458726317,NULL,'test test',1,0,0,0),(652,NULL,NULL,34,NULL,'',NULL,5,1458553517,NULL,'test test',1,0,0,0),(653,NULL,NULL,34,NULL,'',NULL,5,1458467117,NULL,'test test',1,0,0,0),(654,NULL,NULL,34,NULL,'',NULL,5,1458294317,NULL,'test test',1,0,0,0),(655,NULL,NULL,34,NULL,'',NULL,5,1458294317,NULL,'test test',1,0,0,0),(656,NULL,NULL,34,NULL,'',NULL,5,1458553517,NULL,'test test',1,0,0,0),(657,NULL,NULL,34,NULL,'',NULL,5,1458726317,NULL,'test test',1,0,0,0),(658,NULL,NULL,34,NULL,'',NULL,5,1458639917,NULL,'test test',1,0,0,0),(659,NULL,NULL,35,NULL,'',NULL,5,1458294317,NULL,'test test',1,0,0,0),(660,NULL,NULL,35,NULL,'',NULL,5,1458467117,NULL,'test test',1,0,0,0),(661,NULL,NULL,35,NULL,'',NULL,5,1458812717,NULL,'test test',1,0,0,0),(662,NULL,NULL,35,NULL,'',NULL,4,1458553517,NULL,'test test',1,0,0,0),(663,NULL,NULL,35,NULL,'',NULL,5,1458726317,NULL,'test test',1,0,0,0),(664,NULL,NULL,35,NULL,'',NULL,5,1458639917,NULL,'test test',1,0,0,0),(665,NULL,NULL,35,NULL,'',NULL,4,1458294317,NULL,'test test',1,0,0,0),(666,NULL,NULL,35,NULL,'',NULL,5,1458812717,NULL,'test test',1,0,0,0),(667,NULL,NULL,35,NULL,'',NULL,5,1458294317,NULL,'test test',1,0,0,0),(668,NULL,NULL,35,NULL,'',NULL,5,1458812717,NULL,'test test',1,0,0,0),(669,NULL,NULL,35,NULL,'',NULL,4,1458899117,NULL,'test test',1,0,0,0),(670,NULL,NULL,35,NULL,'',NULL,5,1458726317,NULL,'test test',1,0,0,0),(671,NULL,NULL,35,NULL,'',NULL,5,1458467117,NULL,'test test',1,0,0,0),(672,NULL,NULL,35,NULL,'',NULL,5,1458207917,NULL,'test test',1,0,0,0),(673,NULL,NULL,35,NULL,'',NULL,5,1458726317,NULL,'test test',1,0,0,0),(674,NULL,NULL,35,NULL,'',NULL,5,1458467117,NULL,'test test',1,0,0,0),(675,NULL,NULL,35,NULL,'',NULL,5,1458121517,NULL,'test test',1,0,0,0),(676,NULL,NULL,36,NULL,'',NULL,5,1458553517,NULL,'test test',1,0,0,0),(677,NULL,NULL,36,NULL,'',NULL,5,1458467117,NULL,'test test',1,0,0,0),(678,NULL,NULL,36,NULL,'',NULL,5,1458812717,NULL,'test test',1,0,0,0),(679,NULL,NULL,36,NULL,'',NULL,5,1458553517,NULL,'test test',1,0,0,0),(680,NULL,NULL,36,NULL,'',NULL,5,1458812717,NULL,'test test',1,0,0,0),(681,NULL,NULL,36,NULL,'',NULL,4,1458380717,NULL,'test test',1,0,0,0),(682,NULL,NULL,36,NULL,'',NULL,5,1458380717,NULL,'test test',1,0,0,0),(683,NULL,NULL,36,NULL,'',NULL,5,1458380717,NULL,'test test',1,0,0,0),(684,NULL,NULL,36,NULL,'',NULL,5,1458899117,NULL,'test test',1,0,0,0),(685,NULL,NULL,36,NULL,'',NULL,5,1458726317,NULL,'test test',1,0,0,0),(686,NULL,NULL,36,NULL,'',NULL,5,1458726317,NULL,'test test',1,0,0,0),(687,NULL,NULL,36,NULL,'',NULL,5,1458467117,NULL,'test test',1,0,0,0),(688,NULL,NULL,36,NULL,'',NULL,5,1458467117,NULL,'test test',1,0,0,0),(689,NULL,NULL,36,NULL,'',NULL,5,1458467117,NULL,'test test',1,0,0,0),(690,NULL,NULL,36,NULL,'',NULL,5,1458726317,NULL,'test test',1,0,0,0),(691,NULL,NULL,37,NULL,'',NULL,5,1458899117,NULL,'test test',1,0,0,0),(692,NULL,NULL,37,NULL,'',NULL,4,1458294317,NULL,'test test',1,0,0,0),(693,NULL,NULL,37,NULL,'',NULL,4,1458294317,NULL,'test test',1,0,0,0),(694,NULL,NULL,37,NULL,'',NULL,5,1458726317,NULL,'test test',1,0,0,0),(695,NULL,NULL,37,NULL,'',NULL,5,1458899117,NULL,'test test',1,0,0,0),(696,NULL,NULL,37,NULL,'',NULL,5,1458639917,NULL,'test test',1,0,0,0),(697,NULL,NULL,37,NULL,'',NULL,5,1458639917,NULL,'test test',1,0,0,0),(698,NULL,NULL,37,NULL,'',NULL,5,1458294317,NULL,'test test',1,0,0,0),(699,NULL,NULL,37,NULL,'',NULL,5,1458553517,NULL,'test test',1,0,0,0),(700,NULL,NULL,37,NULL,'',NULL,5,1458553517,NULL,'test test',1,0,0,0),(701,NULL,NULL,37,NULL,'',NULL,5,1458035117,NULL,'test test',1,0,0,0),(702,NULL,NULL,37,NULL,'',NULL,5,1458035117,NULL,'test test',1,0,0,0),(703,NULL,NULL,37,NULL,'',NULL,5,1458726317,NULL,'test test',1,0,0,0),(704,NULL,NULL,37,NULL,'',NULL,5,1458812717,NULL,'test test',1,0,0,0),(705,NULL,NULL,37,NULL,'',NULL,5,1458553517,NULL,'test test',1,0,0,0),(706,NULL,NULL,37,NULL,'',NULL,5,1458899117,NULL,'test test',1,0,0,0),(707,NULL,NULL,37,NULL,'',NULL,5,1458380717,NULL,'test test',1,0,0,0),(708,NULL,NULL,38,NULL,'',NULL,5,1458035117,NULL,'test test',1,0,0,0),(709,NULL,NULL,38,NULL,'',NULL,4,1458726317,NULL,'test test',1,0,0,0),(710,NULL,NULL,38,NULL,'',NULL,5,1458035117,NULL,'test test',1,0,0,0),(711,NULL,NULL,38,NULL,'',NULL,4,1458812717,NULL,'test test',1,0,0,0),(712,NULL,NULL,38,NULL,'',NULL,5,1458121517,NULL,'test test',1,0,0,0),(713,NULL,NULL,38,NULL,'',NULL,5,1458380717,NULL,'test test',1,0,0,0),(714,NULL,NULL,38,NULL,'',NULL,5,1458294317,NULL,'test test',1,0,0,0),(715,NULL,NULL,38,NULL,'',NULL,5,1458035117,NULL,'test test',1,0,0,0),(716,NULL,NULL,38,NULL,'',NULL,5,1458207917,NULL,'test test',1,0,0,0),(717,NULL,NULL,38,NULL,'',NULL,5,1458035117,NULL,'test test',1,0,0,0),(718,NULL,NULL,38,NULL,'',NULL,5,1458467117,NULL,'test test',1,0,0,0),(719,NULL,NULL,38,NULL,'',NULL,5,1458639917,NULL,'test test',1,0,0,0),(720,NULL,NULL,38,NULL,'',NULL,5,1458553517,NULL,'test test',1,0,0,0),(721,NULL,NULL,38,NULL,'',NULL,5,1458294317,NULL,'test test',1,0,0,0),(722,NULL,NULL,38,NULL,'',NULL,5,1458639917,NULL,'test test',1,0,0,0),(723,NULL,NULL,38,NULL,'',NULL,5,1458812717,NULL,'test test',1,0,0,0),(724,NULL,NULL,38,NULL,'',NULL,5,1458553517,NULL,'test test',1,0,0,0),(725,NULL,NULL,38,NULL,'',NULL,5,1458380717,NULL,'test test',1,0,0,0),(726,NULL,NULL,39,NULL,'',NULL,4,1458812717,NULL,'test test',1,0,0,0),(727,NULL,NULL,39,NULL,'',NULL,4,1458294317,NULL,'test test',1,0,0,0),(728,NULL,NULL,39,NULL,'',NULL,5,1458035117,NULL,'test test',1,0,0,0),(729,NULL,NULL,39,NULL,'',NULL,5,1458121517,NULL,'test test',1,0,0,0),(730,NULL,NULL,39,NULL,'',NULL,5,1458812717,NULL,'test test',1,0,0,0),(731,NULL,NULL,39,NULL,'',NULL,5,1458639917,NULL,'test test',1,0,0,0),(732,NULL,NULL,39,NULL,'',NULL,4,1458207917,NULL,'test test',1,0,0,0),(733,NULL,NULL,39,NULL,'',NULL,5,1458812717,NULL,'test test',1,0,0,0),(734,NULL,NULL,39,NULL,'',NULL,5,1458380717,NULL,'test test',1,0,0,0),(735,NULL,NULL,39,NULL,'',NULL,5,1458035117,NULL,'test test',1,0,0,0),(736,NULL,NULL,39,NULL,'',NULL,5,1458380717,NULL,'test test',1,0,0,0),(737,NULL,NULL,39,NULL,'',NULL,5,1458380717,NULL,'test test',1,0,0,0),(738,NULL,NULL,39,NULL,'',NULL,5,1458380717,NULL,'test test',1,0,0,0),(739,NULL,NULL,39,NULL,'',NULL,5,1458467117,NULL,'test test',1,0,0,0),(740,NULL,NULL,39,NULL,'',NULL,5,1458121517,NULL,'test test',1,0,0,0),(741,NULL,NULL,39,NULL,'',NULL,5,1458467117,NULL,'test test',1,0,0,0),(742,NULL,NULL,39,NULL,'',NULL,5,1458294317,NULL,'test test',1,0,0,0),(743,NULL,NULL,39,NULL,'',NULL,5,1458294317,NULL,'test test',1,0,0,0),(744,NULL,NULL,39,NULL,'',NULL,5,1458812717,NULL,'test test',1,0,0,0),(745,NULL,NULL,39,NULL,'',NULL,5,1458553517,NULL,'test test',1,0,0,0),(746,NULL,NULL,39,NULL,'',NULL,5,1458380717,NULL,'test test',1,0,0,0),(747,NULL,NULL,40,NULL,'',NULL,4,1458121517,NULL,'test test',1,0,0,0),(748,NULL,NULL,40,NULL,'',NULL,4,1458639917,NULL,'test test',1,0,0,0),(749,NULL,NULL,40,NULL,'',NULL,5,1458899117,NULL,'test test',1,0,0,0),(750,NULL,NULL,40,NULL,'',NULL,4,1458726317,NULL,'test test',1,0,0,0),(751,NULL,NULL,40,NULL,'',NULL,5,1458207917,NULL,'test test',1,0,0,0),(752,NULL,NULL,40,NULL,'',NULL,5,1458207917,NULL,'test test',1,0,0,0),(753,NULL,NULL,40,NULL,'',NULL,5,1458467117,NULL,'test test',1,0,0,0),(754,NULL,NULL,40,NULL,'',NULL,5,1458121517,NULL,'test test',1,0,0,0),(755,NULL,NULL,40,NULL,'',NULL,5,1458812717,NULL,'test test',1,0,0,0),(756,NULL,NULL,40,NULL,'',NULL,5,1458899117,NULL,'test test',1,0,0,0),(757,NULL,NULL,40,NULL,'',NULL,5,1458035117,NULL,'test test',1,0,0,0),(758,NULL,NULL,40,NULL,'',NULL,5,1458121517,NULL,'test test',1,0,0,0),(759,NULL,NULL,40,NULL,'',NULL,5,1458899117,NULL,'test test',1,0,0,0),(760,NULL,NULL,40,NULL,'',NULL,5,1458207917,NULL,'test test',1,0,0,0),(761,NULL,NULL,40,NULL,'',NULL,5,1458899117,NULL,'test test',1,0,0,0),(762,NULL,NULL,41,NULL,'',NULL,4,1458639917,NULL,'test test',1,0,0,0),(763,NULL,NULL,41,NULL,'',NULL,5,1458380717,NULL,'test test',1,0,0,0),(764,NULL,NULL,41,NULL,'',NULL,5,1458812717,NULL,'test test',1,0,0,0),(765,NULL,NULL,41,NULL,'',NULL,5,1458121517,NULL,'test test',1,0,0,0),(766,NULL,NULL,41,NULL,'',NULL,5,1458467117,NULL,'test test',1,0,0,0),(767,NULL,NULL,41,NULL,'',NULL,5,1458207917,NULL,'test test',1,0,0,0),(768,NULL,NULL,41,NULL,'',NULL,5,1458467117,NULL,'test test',1,0,0,0),(769,NULL,NULL,41,NULL,'',NULL,4,1458899117,NULL,'test test',1,0,0,0),(770,NULL,NULL,41,NULL,'',NULL,5,1458639917,NULL,'test test',1,0,0,0),(771,NULL,NULL,41,NULL,'',NULL,4,1458553517,NULL,'test test',1,0,0,0),(772,NULL,NULL,41,NULL,'',NULL,5,1458380717,NULL,'test test',1,0,0,0),(773,NULL,NULL,41,NULL,'',NULL,5,1458035117,NULL,'test test',1,0,0,0),(774,NULL,NULL,41,NULL,'',NULL,5,1458812717,NULL,'test test',1,0,0,0),(775,NULL,NULL,41,NULL,'',NULL,5,1458294317,NULL,'test test',1,0,0,0),(776,NULL,NULL,41,NULL,'',NULL,5,1458553517,NULL,'test test',1,0,0,0),(777,NULL,NULL,41,NULL,'',NULL,5,1458207917,NULL,'test test',1,0,0,0),(778,NULL,NULL,41,NULL,'',NULL,5,1458380717,NULL,'test test',1,0,0,0),(779,NULL,NULL,41,NULL,'',NULL,5,1458294317,NULL,'test test',1,0,0,0),(780,NULL,NULL,41,NULL,'',NULL,5,1458207917,NULL,'test test',1,0,0,0),(781,NULL,NULL,41,NULL,'',NULL,5,1458207917,NULL,'test test',1,0,0,0),(782,NULL,NULL,41,NULL,'',NULL,5,1458553517,NULL,'test test',1,0,0,0),(783,NULL,NULL,42,NULL,'',NULL,5,1458380717,NULL,'test test',1,0,0,0),(784,NULL,NULL,42,NULL,'',NULL,4,1458639917,NULL,'test test',1,0,0,0),(785,NULL,NULL,42,NULL,'',NULL,5,1458726317,NULL,'test test',1,0,0,0),(786,NULL,NULL,42,NULL,'',NULL,5,1458207917,NULL,'test test',1,0,0,0),(787,NULL,NULL,42,NULL,'',NULL,5,1458553517,NULL,'test test',1,0,0,0),(788,NULL,NULL,42,NULL,'',NULL,5,1458726317,NULL,'test test',1,0,0,0),(789,NULL,NULL,42,NULL,'',NULL,5,1458294317,NULL,'test test',1,0,0,0),(790,NULL,NULL,42,NULL,'',NULL,5,1458553517,NULL,'test test',1,0,0,0),(791,NULL,NULL,42,NULL,'',NULL,5,1458899117,NULL,'test test',1,0,0,0),(792,NULL,NULL,42,NULL,'',NULL,5,1458294317,NULL,'test test',1,0,0,0),(793,NULL,NULL,42,NULL,'',NULL,5,1458207917,NULL,'test test',1,0,0,0),(794,NULL,NULL,42,NULL,'',NULL,5,1458380717,NULL,'test test',1,0,0,0),(795,NULL,NULL,42,NULL,'',NULL,5,1458121517,NULL,'test test',1,0,0,0),(796,NULL,NULL,42,NULL,'',NULL,5,1458294317,NULL,'test test',1,0,0,0),(797,NULL,NULL,42,NULL,'',NULL,5,1458812717,NULL,'test test',1,0,0,0);
/*!40000 ALTER TABLE `xc_reviews` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_role_permissions`
--

DROP TABLE IF EXISTS `xc_role_permissions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_role_permissions` (
  `permission_id` int(10) unsigned NOT NULL,
  `role_id` int(10) unsigned NOT NULL,
  PRIMARY KEY (`permission_id`,`role_id`),
  KEY `IDX_4594D50124FED90CCA` (`permission_id`),
  KEY `IDX_4594D50124D60322AC` (`role_id`),
  CONSTRAINT `FK_4594D50124D60322AC` FOREIGN KEY (`role_id`) REFERENCES `xc_roles` (`id`) ON DELETE CASCADE,
  CONSTRAINT `FK_4594D50124FED90CCA` FOREIGN KEY (`permission_id`) REFERENCES `xc_permissions` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_role_permissions`
--

LOCK TABLES `xc_role_permissions` WRITE;
/*!40000 ALTER TABLE `xc_role_permissions` DISABLE KEYS */;
INSERT INTO `xc_role_permissions` VALUES (1,1),(10,2),(11,3),(12,3),(13,4);
/*!40000 ALTER TABLE `xc_role_permissions` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_role_translations`
--

DROP TABLE IF EXISTS `xc_role_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_role_translations` (
  `label_id` int(11) NOT NULL AUTO_INCREMENT,
  `id` int(10) unsigned DEFAULT NULL,
  `name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `code` char(2) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`label_id`),
  KEY `IDX_4527007A52BF396750` (`id`),
  CONSTRAINT `FK_4527007A52BF396750` FOREIGN KEY (`id`) REFERENCES `xc_roles` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_role_translations`
--

LOCK TABLES `xc_role_translations` WRITE;
/*!40000 ALTER TABLE `xc_role_translations` DISABLE KEYS */;
INSERT INTO `xc_role_translations` VALUES (1,1,'Administrator','en'),(2,1,'Administrator','ru'),(3,2,'Coupons management','en'),(4,2,'Управление купонами','ru'),(5,3,'Content management','en'),(6,3,'Управлением контентом','ru'),(7,4,'Volume discounts management','en'),(8,4,'Управление скидками','ru');
/*!40000 ALTER TABLE `xc_role_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_roles`
--

DROP TABLE IF EXISTS `xc_roles`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_roles` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `enabled` tinyint(1) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_roles`
--

LOCK TABLES `xc_roles` WRITE;
/*!40000 ALTER TABLE `xc_roles` DISABLE KEYS */;
INSERT INTO `xc_roles` VALUES (1,1),(2,1),(3,1),(4,1);
/*!40000 ALTER TABLE `xc_roles` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_sales_tax_rates`
--

DROP TABLE IF EXISTS `xc_sales_tax_rates`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_sales_tax_rates` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `tax_id` int(10) unsigned DEFAULT NULL,
  `zone_id` int(11) DEFAULT NULL,
  `tax_class_id` int(10) unsigned DEFAULT NULL,
  `membership_id` int(10) unsigned DEFAULT NULL,
  `value` decimal(14,4) NOT NULL,
  `type` char(1) COLLATE utf8_unicode_ci NOT NULL,
  `position` int(11) NOT NULL,
  `noTaxClass` tinyint(1) NOT NULL,
  `taxableBase` varchar(16) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`),
  KEY `IDX_451ACD2E0EB2A824D8` (`tax_id`),
  KEY `IDX_451ACD2E0E9F2C3FAB` (`zone_id`),
  KEY `IDX_451ACD2E0EA94AAAE` (`tax_class_id`),
  KEY `IDX_451ACD2E0E1FB354CD` (`membership_id`),
  CONSTRAINT `FK_451ACD2E0E1FB354CD` FOREIGN KEY (`membership_id`) REFERENCES `xc_memberships` (`membership_id`) ON DELETE CASCADE,
  CONSTRAINT `FK_451ACD2E0E9F2C3FAB` FOREIGN KEY (`zone_id`) REFERENCES `xc_zones` (`zone_id`) ON DELETE CASCADE,
  CONSTRAINT `FK_451ACD2E0EA94AAAE` FOREIGN KEY (`tax_class_id`) REFERENCES `xc_tax_classes` (`id`) ON DELETE CASCADE,
  CONSTRAINT `FK_451ACD2E0EB2A824D8` FOREIGN KEY (`tax_id`) REFERENCES `xc_sales_taxes` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_sales_tax_rates`
--

LOCK TABLES `xc_sales_tax_rates` WRITE;
/*!40000 ALTER TABLE `xc_sales_tax_rates` DISABLE KEYS */;
/*!40000 ALTER TABLE `xc_sales_tax_rates` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_sales_tax_translations`
--

DROP TABLE IF EXISTS `xc_sales_tax_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_sales_tax_translations` (
  `label_id` int(11) NOT NULL AUTO_INCREMENT,
  `id` int(10) unsigned DEFAULT NULL,
  `name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `code` char(2) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`label_id`),
  KEY `ci` (`code`,`id`),
  KEY `id` (`id`),
  CONSTRAINT `FK_45F11466F5BF396750` FOREIGN KEY (`id`) REFERENCES `xc_sales_taxes` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_sales_tax_translations`
--

LOCK TABLES `xc_sales_tax_translations` WRITE;
/*!40000 ALTER TABLE `xc_sales_tax_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `xc_sales_tax_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_sales_taxes`
--

DROP TABLE IF EXISTS `xc_sales_taxes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_sales_taxes` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `enabled` tinyint(1) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_sales_taxes`
--

LOCK TABLES `xc_sales_taxes` WRITE;
/*!40000 ALTER TABLE `xc_sales_taxes` DISABLE KEYS */;
/*!40000 ALTER TABLE `xc_sales_taxes` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_search_filter_translations`
--

DROP TABLE IF EXISTS `xc_search_filter_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_search_filter_translations` (
  `label_id` int(11) NOT NULL AUTO_INCREMENT,
  `id` int(11) DEFAULT NULL,
  `name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `code` char(2) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`label_id`),
  KEY `IDX_455D64D191BF396750` (`id`),
  KEY `name` (`name`),
  CONSTRAINT `FK_455D64D191BF396750` FOREIGN KEY (`id`) REFERENCES `xc_search_filters` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_search_filter_translations`
--

LOCK TABLES `xc_search_filter_translations` WRITE;
/*!40000 ALTER TABLE `xc_search_filter_translations` DISABLE KEYS */;
INSERT INTO `xc_search_filter_translations` VALUES (1,1,'Unpaid','en'),(2,1,'Не оплаченные','ru'),(3,2,'Paid but not shipped','en'),(4,2,'Оплаченные','ru');
/*!40000 ALTER TABLE `xc_search_filter_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_search_filters`
--

DROP TABLE IF EXISTS `xc_search_filters`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_search_filters` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `filterKey` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `parameters` longtext COLLATE utf8_unicode_ci NOT NULL COMMENT '(DC2Type:array)',
  PRIMARY KEY (`id`),
  KEY `filterKey` (`filterKey`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_search_filters`
--

LOCK TABLES `xc_search_filters` WRITE;
/*!40000 ALTER TABLE `xc_search_filters` DISABLE KEYS */;
INSERT INTO `xc_search_filters` VALUES (1,'search-filter-order_list','a:2:{s:13:\"paymentStatus\";a:3:{i:0;i:1;i:1;i:2;i:2;i:3;}s:14:\"shippingStatus\";a:0:{}}'),(2,'search-filter-order_list','a:2:{s:13:\"paymentStatus\";a:1:{i:0;i:4;}s:14:\"shippingStatus\";a:2:{i:0;i:1;i:1;i:2;}}');
/*!40000 ALTER TABLE `xc_search_filters` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_segment_membership`
--

DROP TABLE IF EXISTS `xc_segment_membership`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_segment_membership` (
  `segment_id` varchar(32) COLLATE utf8_unicode_ci NOT NULL,
  `membership_id` int(10) unsigned NOT NULL,
  PRIMARY KEY (`segment_id`,`membership_id`),
  KEY `IDX_45958B38A0DB296AAD` (`segment_id`),
  KEY `IDX_45958B38A01FB354CD` (`membership_id`),
  CONSTRAINT `FK_45958B38A01FB354CD` FOREIGN KEY (`membership_id`) REFERENCES `xc_memberships` (`membership_id`) ON DELETE CASCADE,
  CONSTRAINT `FK_45958B38A0DB296AAD` FOREIGN KEY (`segment_id`) REFERENCES `xc_mailchimp_list_segments` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_segment_membership`
--

LOCK TABLES `xc_segment_membership` WRITE;
/*!40000 ALTER TABLE `xc_segment_membership` DISABLE KEYS */;
/*!40000 ALTER TABLE `xc_segment_membership` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_segment_products`
--

DROP TABLE IF EXISTS `xc_segment_products`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_segment_products` (
  `segment_id` varchar(32) COLLATE utf8_unicode_ci NOT NULL,
  `product_id` int(10) unsigned NOT NULL,
  PRIMARY KEY (`segment_id`,`product_id`),
  KEY `IDX_45768E358DDB296AAD` (`segment_id`),
  KEY `IDX_45768E358D4584665A` (`product_id`),
  CONSTRAINT `FK_45768E358D4584665A` FOREIGN KEY (`product_id`) REFERENCES `xc_products` (`product_id`) ON DELETE CASCADE,
  CONSTRAINT `FK_45768E358DDB296AAD` FOREIGN KEY (`segment_id`) REFERENCES `xc_mailchimp_list_segments` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_segment_products`
--

LOCK TABLES `xc_segment_products` WRITE;
/*!40000 ALTER TABLE `xc_segment_products` DISABLE KEYS */;
/*!40000 ALTER TABLE `xc_segment_products` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_session_cells`
--

DROP TABLE IF EXISTS `xc_session_cells`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_session_cells` (
  `cell_id` int(11) NOT NULL AUTO_INCREMENT,
  `id` int(11) DEFAULT NULL,
  `name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `value` longtext COLLATE utf8_unicode_ci NOT NULL,
  `type` varchar(16) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`cell_id`),
  UNIQUE KEY `iname` (`id`,`name`),
  KEY `id` (`id`),
  CONSTRAINT `FK_45C8BF5944BF396750` FOREIGN KEY (`id`) REFERENCES `xc_sessions` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=29 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_session_cells`
--

LOCK TABLES `xc_session_cells` WRITE;
/*!40000 ALTER TABLE `xc_session_cells` DISABLE KEYS */;
INSERT INTO `xc_session_cells` VALUES (1,1,'language','a:1:{s:8:\"customer\";s:2:\"en\";}','array'),(2,2,'language','a:1:{s:8:\"customer\";s:2:\"en\";}','array'),(5,4,'language','a:1:{s:8:\"customer\";s:2:\"en\";}','array'),(6,5,'language','a:1:{s:8:\"customer\";s:2:\"en\";}','array'),(7,6,'language','a:1:{s:8:\"customer\";s:2:\"en\";}','array'),(8,7,'language','a:1:{s:8:\"customer\";s:2:\"en\";}','array'),(9,8,'language','a:1:{s:8:\"customer\";s:2:\"en\";}','array'),(10,9,'language','a:1:{s:8:\"customer\";s:2:\"en\";}','array'),(11,10,'language','a:1:{s:8:\"customer\";s:2:\"en\";}','array'),(12,11,'language','a:1:{s:8:\"customer\";s:2:\"en\";}','array'),(13,12,'language','a:1:{s:8:\"customer\";s:2:\"en\";}','array'),(14,11,'continueShoppingURL','a:2:{s:6:\"target\";s:4:\"page\";s:2:\"id\";i:2;}','array'),(15,12,'continueShoppingURL','a:2:{s:6:\"target\";s:4:\"page\";s:2:\"id\";i:1;}','array'),(16,13,'language','a:2:{s:5:\"admin\";s:2:\"en\";s:8:\"customer\";s:2:\"en\";}','array'),(18,13,'profile_id','7','integer'),(19,13,'forceChangePassword','','boolean'),(23,13,'geolocation_cell','a:1:{s:7:\"country\";s:2:\"RU\";}','array'),(24,13,'XLiteViewItemsListModuleManage','a:4:{s:6:\"sortBy\";s:14:\"m.revisionDate\";s:9:\"sortOrder\";s:3:\"asc\";s:6:\"pageId\";s:1:\"1\";s:12:\"itemsPerPage\";s:2:\"75\";}','array'),(25,13,'XLiteViewPagerAdminModuleManage_XLiteControllerAdminAddonsListInstalled','a:2:{s:6:\"pageId\";s:1:\"1\";s:12:\"itemsPerPage\";s:2:\"75\";}','array'),(26,13,'returnURL','','string'),(27,14,'language','a:1:{s:8:\"customer\";s:2:\"en\";}','array'),(28,15,'language','a:1:{s:8:\"customer\";s:2:\"en\";}','array');
/*!40000 ALTER TABLE `xc_session_cells` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_sessions`
--

DROP TABLE IF EXISTS `xc_sessions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_sessions` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `sid` char(32) COLLATE utf8_unicode_ci NOT NULL,
  `expiry` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `sid` (`sid`),
  KEY `expiry` (`expiry`)
) ENGINE=InnoDB AUTO_INCREMENT=16 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_sessions`
--

LOCK TABLES `xc_sessions` WRITE;
/*!40000 ALTER TABLE `xc_sessions` DISABLE KEYS */;
INSERT INTO `xc_sessions` VALUES (1,'B8Z6jcsZwWtfzKYWj0ktGmDL09ruTPTK',1540554491),(2,'lxq6CabdvSyZ08jOdFvxkyLuByIJxqVy',1540554492),(4,'0N2HeNaU0UcRgUq0LKeHNFAny7dhgLzT',1540554506),(5,'wXt9vzyTkmILjWytLXkXIqccRUdTcvgM',1540554507),(6,'DABZvINuhuLH11NVDlTEuEKpMqvkIihR',1540554508),(7,'kycKVdm9pIzNEbY9NckcGbqkvSWpYS3s',1540554509),(8,'kb9qoPGdbjGht6OlRnDsFlJWND41169g',1540554509),(9,'PdhmxGdFUK2pDCpTS5tv0K9ByrpfGdKV',1540554512),(10,'cRNVj2cgho8yitvqpsecZ8AY60bBBTId',1540554513),(11,'KD2TMkpjtQAhmIdeGDpzNPlbq5v8RyiG',1540554526),(12,'oHeDFzfwxLn6khX3ubNfbg7M1ke2e4Jv',1540554526),(13,'6a1XGmxggRxVRS0bZiQ6iEtObq879eFg',1539993100),(14,'25n0xGk3ny01OInZg0VsXvyiUnHGsfNB',1540554677),(15,'wvgzPKGa3jnF2rbhuwZasof4XYQLTVMq',1540554680);
/*!40000 ALTER TABLE `xc_sessions` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_shipping_markups`
--

DROP TABLE IF EXISTS `xc_shipping_markups`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_shipping_markups` (
  `markup_id` int(11) NOT NULL AUTO_INCREMENT,
  `method_id` int(11) DEFAULT NULL,
  `zone_id` int(11) DEFAULT NULL,
  `min_weight` decimal(14,2) NOT NULL,
  `max_weight` decimal(14,2) NOT NULL,
  `min_total` decimal(14,2) NOT NULL,
  `max_total` decimal(14,2) NOT NULL,
  `min_items` decimal(14,0) NOT NULL,
  `max_items` decimal(14,0) NOT NULL,
  `markup_flat` decimal(14,2) NOT NULL,
  `markup_percent` decimal(14,2) NOT NULL,
  `markup_per_item` decimal(14,2) NOT NULL,
  `markup_per_weight` decimal(14,2) NOT NULL,
  PRIMARY KEY (`markup_id`),
  KEY `IDX_452BE8DC419883967` (`method_id`),
  KEY `IDX_452BE8DC49F2C3FAB` (`zone_id`),
  KEY `rate` (`method_id`,`zone_id`,`min_weight`,`min_total`,`min_items`),
  KEY `max_weight` (`max_weight`),
  KEY `max_total` (`max_total`),
  KEY `max_items` (`max_items`),
  KEY `markup_flat` (`markup_flat`),
  KEY `markup_per_item` (`markup_per_item`),
  KEY `markup_percent` (`markup_percent`),
  KEY `markup_per_weight` (`markup_per_weight`),
  CONSTRAINT `FK_452BE8DC419883967` FOREIGN KEY (`method_id`) REFERENCES `xc_shipping_methods` (`method_id`) ON DELETE CASCADE,
  CONSTRAINT `FK_452BE8DC49F2C3FAB` FOREIGN KEY (`zone_id`) REFERENCES `xc_zones` (`zone_id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=12 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_shipping_markups`
--

LOCK TABLES `xc_shipping_markups` WRITE;
/*!40000 ALTER TABLE `xc_shipping_markups` DISABLE KEYS */;
INSERT INTO `xc_shipping_markups` VALUES (1,89,2,0.00,999999999.00,0.00,999999999.00,0,999999999,2.45,1.50,0.00,0.00),(2,89,3,0.00,999999999.00,0.00,999999999.00,0,999999999,2.50,1.50,0.00,0.00),(3,89,1,0.00,999999999.00,0.00,999999999.00,0,999999999,5.50,1.75,0.00,0.00),(4,90,2,0.00,999999999.00,0.00,999999999.00,0,999999999,3.45,1.75,0.00,0.00),(5,90,3,0.00,999999999.00,0.00,999999999.00,0,999999999,3.50,1.75,0.00,0.00),(6,90,1,0.00,999999999.00,0.00,999999999.00,0,999999999,6.50,1.85,0.00,0.00),(7,91,2,0.00,999999999.00,0.00,999999999.00,0,999999999,100.00,10.00,0.00,0.00),(8,92,1,0.00,999999999.00,0.00,999999999.00,0,999999999,0.00,0.00,0.00,0.00),(9,93,1,0.00,999999999.00,50.00,999999999.00,0,999999999,0.00,0.00,0.00,0.00),(10,94,1,0.00,999999999.00,0.00,999999999.00,0,999999999,0.00,0.00,0.00,0.00),(11,95,1,0.00,999999999.00,0.00,999999999.00,0,999999999,0.00,0.00,0.00,0.00);
/*!40000 ALTER TABLE `xc_shipping_markups` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_shipping_method_translations`
--

DROP TABLE IF EXISTS `xc_shipping_method_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_shipping_method_translations` (
  `label_id` int(11) NOT NULL AUTO_INCREMENT,
  `id` int(11) DEFAULT NULL,
  `name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `deliveryTime` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `code` char(2) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`label_id`),
  KEY `IDX_45674AA5A0BF396750` (`id`),
  CONSTRAINT `FK_45674AA5A0BF396750` FOREIGN KEY (`id`) REFERENCES `xc_shipping_methods` (`method_id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=108 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_shipping_method_translations`
--

LOCK TABLES `xc_shipping_method_translations` WRITE;
/*!40000 ALTER TABLE `xc_shipping_method_translations` DISABLE KEYS */;
INSERT INTO `xc_shipping_method_translations` VALUES (1,1,'FedEx','','en'),(2,2,'FedEx Europe First International Priority','','en'),(3,3,'FedEx 1Day<sup>&reg;</sup> Freight','','en'),(4,4,'FedEx 2Day<sup>&reg;</sup>','','en'),(5,5,'FedEx 2Day AM<sup>&reg;</sup>','','en'),(6,6,'FedEx 2Day<sup>&reg;</sup> Freight','','en'),(7,7,'FedEx 3Day<sup>&reg;</sup> Freight','','en'),(8,8,'FedEx Express Saver<sup>&reg;</sup>','','en'),(9,9,'FedEx First Freight<sup>&reg;</sup>','','en'),(10,10,'FedEx Ground<sup>&reg;</sup>','','en'),(11,11,'FedEx First Overnight<sup>&reg;</sup>','','en'),(12,12,'FedEx Home Delivery<sup>&reg;</sup>','','en'),(13,13,'FedEx International Distribution<sup>&reg;</sup> Freight','','en'),(14,14,'FedEx International Economy<sup>&reg;</sup>','','en'),(15,15,'FedEx International Economy Distribution<sup>&reg;</sup>','','en'),(16,16,'FedEx International Economy<sup>&reg;</sup> Freight','','en'),(17,17,'FedEx International First<sup>&reg;</sup>','','en'),(18,18,'FedEx International Priority<sup>&reg;</sup>','','en'),(19,19,'FedEx International Priority<sup>&reg;</sup> Distribution','','en'),(20,20,'FedEx International Priority Freight<sup>&reg;</sup>','','en'),(21,21,'FedEx Priority Overnight<sup>&reg;</sup>','','en'),(22,22,'FedEx SmartPost<sup>&reg;</sup>/FedEx SmartPost<sup>&reg;</sup> International','','en'),(23,23,'FedEx Standard Overnight<sup>&reg;</sup>','','en'),(24,24,'UPS','','en'),(25,25,'UPS Next Day Air&reg;','','en'),(26,26,'UPS 2nd Day Air&reg;','','en'),(27,27,'UPS Ground','','en'),(28,28,'UPS Worldwide Express','','en'),(29,29,'UPS Worldwide Expedited','','en'),(30,30,'UPS Standard','','en'),(31,31,'UPS 3 Day Select&reg;','','en'),(32,32,'UPS Next Day Air Saver&reg;','','en'),(33,33,'UPS Next Day Air&reg; Early A.M.','','en'),(34,34,'UPS Worldwide Express Plus','','en'),(35,35,'UPS 2nd Day Air A.M.&reg;','','en'),(36,36,'UPS Saver','','en'),(37,37,'UPS Today StandardSM','','en'),(38,38,'UPS Today Dedicated CourrierSM','','en'),(39,39,'UPS Today Intercity','','en'),(40,40,'UPS Today Express','','en'),(41,41,'UPS Today Express Saver','','en'),(42,42,'UPS WorldWide Express Freight','','en'),(43,43,'UPS Express','','en'),(44,44,'UPS Express Plus','','en'),(45,45,'UPS ExpeditedSM','','en'),(46,46,'UPS Worldwide ExpeditedSM','','en'),(47,47,'UPS Worldwide ExpressSM','','en'),(48,48,'UPS SaverSM','','en'),(49,49,'UPS Express Early A.M. SM','','en'),(50,50,'UPS Next Day Air&reg; Early A.M. SM','','en'),(51,51,'UPS Worldwide Express PlusSM','','en'),(52,52,'AustraliaPost','','en'),(53,53,'U.S.P.S','','en'),(54,54,'U.S.P.S. First Class Mail','','en'),(55,55,'U.S.P.S. Priority Mail','','en'),(56,56,'U.S.P.S. Priority Mail Express','','en'),(57,57,'U.S.P.S. Standard Post','','en'),(58,58,'U.S.P.S. Parcel Select','','en'),(59,59,'U.S.P.S. Media Mail','','en'),(60,60,'U.S.P.S. Library Mail','','en'),(61,61,'U.S.P.S. First Class International','','en'),(62,62,'U.S.P.S. First Class Package International Service','','en'),(63,63,'U.S.P.S. Priority Mail Express International','','en'),(64,64,'U.S.P.S. Priority Mail International','','en'),(65,65,'CanadaPost','','en'),(66,66,'Regular Parcel','','en'),(67,67,'Expedited Parcel','','en'),(68,68,'Xpresspost','','en'),(69,69,'Xpresspost Certified','','en'),(70,70,'Priority','','en'),(71,71,'Library Books','','en'),(72,72,'Expedited Parcel USA','','en'),(73,73,'Priority Worldwide Envelope USA','','en'),(74,74,'Priority Worldwide pak USA','','en'),(75,75,'Priority Worldwide Parcel USA','','en'),(76,76,'Small Packet USA Air','','en'),(77,77,'Tracked Packet – USA','','en'),(78,78,'Tracked Packet – USA (LVM)','','en'),(79,79,'Xpresspost USA','','en'),(80,80,'Xpresspost International','','en'),(81,81,'International Parcel Air','','en'),(82,82,'International Parcel Surface','','en'),(83,83,'Priority Worldwide Envelope International','','en'),(84,84,'Priority Worldwide pak International','','en'),(85,85,'Priority Worldwide parcel International','','en'),(86,86,'Small Packet International Air','','en'),(87,87,'Small Packet International Surface','','en'),(88,88,'Tracked Packet – International','','en'),(89,89,'Courier','2 - 4 days','en'),(90,89,'Доставка курьером','2 - 4 дня','ru'),(91,90,'Local shipping','up to one week','en'),(92,90,'Местная доставка','до одной недели','ru'),(93,91,'One day shipping','1 day','en'),(94,91,'Экспресс доставка','1 день','ru'),(95,92,'Local pickup','','en'),(96,92,'Самовывоз','','ru'),(97,93,'Free shipping on orders over $50','','en'),(98,93,'Бесплатная доставка при заказе от $50','','ru'),(99,94,'Free shipping','5 - 7 days','en'),(100,94,'Бесплатная доставка','5 - 7 дней','ru'),(101,95,'Fixed rate shipping','5 - 7 days','en'),(102,95,'Фиксированная стоимость доставки','5 - 7 дней','ru'),(103,96,'DHL','','en'),(104,96,'DHL','','ru'),(105,97,'EMS Russian Post','','en'),(106,97,'Доставка EMS Почта России','','ru'),(107,98,'Pilibaba Chinese Checkout','','en');
/*!40000 ALTER TABLE `xc_shipping_method_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_shipping_methods`
--

DROP TABLE IF EXISTS `xc_shipping_methods`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_shipping_methods` (
  `method_id` int(11) NOT NULL AUTO_INCREMENT,
  `tax_class_id` int(10) unsigned DEFAULT NULL,
  `free` tinyint(1) NOT NULL,
  `processor` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `carrier` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `code` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `enabled` tinyint(1) NOT NULL,
  `position` int(11) NOT NULL,
  `added` tinyint(1) NOT NULL,
  `moduleName` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `fromMarketplace` tinyint(1) NOT NULL,
  `iconURL` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `tableType` char(3) COLLATE utf8_unicode_ci DEFAULT NULL,
  `handlingFee` decimal(14,4) NOT NULL,
  `handlingFeeType` varchar(1) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`method_id`),
  KEY `IDX_453BC5646FA94AAAE` (`tax_class_id`),
  KEY `processor` (`processor`),
  KEY `carrier` (`carrier`),
  KEY `enabled` (`enabled`),
  KEY `position` (`position`),
  CONSTRAINT `FK_453BC5646FA94AAAE` FOREIGN KEY (`tax_class_id`) REFERENCES `xc_tax_classes` (`id`) ON DELETE SET NULL
) ENGINE=InnoDB AUTO_INCREMENT=99 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_shipping_methods`
--

LOCK TABLES `xc_shipping_methods` WRITE;
/*!40000 ALTER TABLE `xc_shipping_methods` DISABLE KEYS */;
INSERT INTO `xc_shipping_methods` VALUES (1,NULL,0,'fedex','','',0,0,0,'CDev_FedEx',0,NULL,NULL,0.0000,'a'),(2,NULL,0,'fedex','fedex','EUROPE_FIRST_INTERNATIONAL_PRIORITY',1,10,0,'',0,NULL,NULL,0.0000,'a'),(3,NULL,0,'fedex','fedex','FEDEX_1_DAY_FREIGHT',1,20,0,'',0,NULL,NULL,0.0000,'a'),(4,NULL,0,'fedex','fedex','FEDEX_2_DAY',1,30,0,'',0,NULL,NULL,0.0000,'a'),(5,NULL,0,'fedex','fedex','FEDEX_2_DAY_AM',1,40,0,'',0,NULL,NULL,0.0000,'a'),(6,NULL,0,'fedex','fedex','FEDEX_2_DAY_FREIGHT',1,50,0,'',0,NULL,NULL,0.0000,'a'),(7,NULL,0,'fedex','fedex','FEDEX_3_DAY_FREIGHT',1,60,0,'',0,NULL,NULL,0.0000,'a'),(8,NULL,0,'fedex','fedex','FEDEX_EXPRESS_SAVER',1,70,0,'',0,NULL,NULL,0.0000,'a'),(9,NULL,0,'fedex','fedex','FEDEX_FIRST_FREIGHT',1,80,0,'',0,NULL,NULL,0.0000,'a'),(10,NULL,0,'fedex','fedex','FEDEX_GROUND',1,90,0,'',0,NULL,NULL,0.0000,'a'),(11,NULL,0,'fedex','fedex','FIRST_OVERNIGHT',1,100,0,'',0,NULL,NULL,0.0000,'a'),(12,NULL,0,'fedex','fedex','GROUND_HOME_DELIVERY',1,110,0,'',0,NULL,NULL,0.0000,'a'),(13,NULL,0,'fedex','fedex','INTERNATIONAL_DISTRIBUTION_FREIGHT',1,120,0,'',0,NULL,NULL,0.0000,'a'),(14,NULL,0,'fedex','fedex','INTERNATIONAL_ECONOMY',1,130,0,'',0,NULL,NULL,0.0000,'a'),(15,NULL,0,'fedex','fedex','INTERNATIONAL_ECONOMY_DISTRIBUTION',1,140,0,'',0,NULL,NULL,0.0000,'a'),(16,NULL,0,'fedex','fedex','INTERNATIONAL_ECONOMY_FREIGHT',1,150,0,'',0,NULL,NULL,0.0000,'a'),(17,NULL,0,'fedex','fedex','INTERNATIONAL_FIRST',1,160,0,'',0,NULL,NULL,0.0000,'a'),(18,NULL,0,'fedex','fedex','INTERNATIONAL_PRIORITY',1,170,0,'',0,NULL,NULL,0.0000,'a'),(19,NULL,0,'fedex','fedex','INTERNATIONAL_PRIORITY_DISTRIBUTION',1,180,0,'',0,NULL,NULL,0.0000,'a'),(20,NULL,0,'fedex','fedex','INTERNATIONAL_PRIORITY_FREIGHT',1,190,0,'',0,NULL,NULL,0.0000,'a'),(21,NULL,0,'fedex','fedex','PRIORITY_OVERNIGHT',1,200,0,'',0,NULL,NULL,0.0000,'a'),(22,NULL,0,'fedex','fedex','SMART_POST',1,210,0,'',0,NULL,NULL,0.0000,'a'),(23,NULL,0,'fedex','fedex','STANDARD_OVERNIGHT',1,220,0,'',0,NULL,NULL,0.0000,'a'),(24,NULL,0,'ups','','',0,0,0,'XC_UPS',0,NULL,NULL,0.0000,'a'),(25,NULL,0,'ups','ups','NDA',1,10,0,'',0,NULL,NULL,0.0000,'a'),(26,NULL,0,'ups','ups','2DA',1,20,0,'',0,NULL,NULL,0.0000,'a'),(27,NULL,0,'ups','ups','GND',1,30,0,'',0,NULL,NULL,0.0000,'a'),(28,NULL,0,'ups','ups','WEXP',1,40,0,'',0,NULL,NULL,0.0000,'a'),(29,NULL,0,'ups','ups','WEXD',1,50,0,'',0,NULL,NULL,0.0000,'a'),(30,NULL,0,'ups','ups','STD',1,60,0,'',0,NULL,NULL,0.0000,'a'),(31,NULL,0,'ups','ups','3DS',1,70,0,'',0,NULL,NULL,0.0000,'a'),(32,NULL,0,'ups','ups','NDAS',1,80,0,'',0,NULL,NULL,0.0000,'a'),(33,NULL,0,'ups','ups','NDAE',1,90,0,'',0,NULL,NULL,0.0000,'a'),(34,NULL,0,'ups','ups','WEXPP',1,100,0,'',0,NULL,NULL,0.0000,'a'),(35,NULL,0,'ups','ups','2DAAM',1,110,0,'',0,NULL,NULL,0.0000,'a'),(36,NULL,0,'ups','ups','SAV',1,120,0,'',0,NULL,NULL,0.0000,'a'),(37,NULL,0,'ups','ups','TSTD',1,130,0,'',0,NULL,NULL,0.0000,'a'),(38,NULL,0,'ups','ups','TDC',1,140,0,'',0,NULL,NULL,0.0000,'a'),(39,NULL,0,'ups','ups','TI',1,150,0,'',0,NULL,NULL,0.0000,'a'),(40,NULL,0,'ups','ups','TEXP',1,160,0,'',0,NULL,NULL,0.0000,'a'),(41,NULL,0,'ups','ups','TEXPS',1,170,0,'',0,NULL,NULL,0.0000,'a'),(42,NULL,0,'ups','ups','WEXPF',1,180,0,'',0,NULL,NULL,0.0000,'a'),(43,NULL,0,'ups','ups','EXP',1,190,0,'',0,NULL,NULL,0.0000,'a'),(44,NULL,0,'ups','ups','EXPP',1,200,0,'',0,NULL,NULL,0.0000,'a'),(45,NULL,0,'ups','ups','EXDSM',1,210,0,'',0,NULL,NULL,0.0000,'a'),(46,NULL,0,'ups','ups','WEXDSM',1,220,0,'',0,NULL,NULL,0.0000,'a'),(47,NULL,0,'ups','ups','WEXPSM',1,230,0,'',0,NULL,NULL,0.0000,'a'),(48,NULL,0,'ups','ups','SAVSM',1,240,0,'',0,NULL,NULL,0.0000,'a'),(49,NULL,0,'ups','ups','EXPEAMSM',1,250,0,'',0,NULL,NULL,0.0000,'a'),(50,NULL,0,'ups','ups','NDAEAMSM',1,260,0,'',0,NULL,NULL,0.0000,'a'),(51,NULL,0,'ups','ups','WEXPPSM',1,270,0,'',0,NULL,NULL,0.0000,'a'),(52,NULL,0,'aupost','','',0,0,0,'CDev_AustraliaPost',0,NULL,NULL,0.0000,'a'),(53,NULL,0,'usps','','',0,0,0,'CDev_USPS',0,NULL,NULL,0.0000,'a'),(54,NULL,0,'usps','pb_usps','FCM',1,10,0,'',0,NULL,NULL,0.0000,'a'),(55,NULL,0,'usps','pb_usps','PM',1,20,0,'',0,NULL,NULL,0.0000,'a'),(56,NULL,0,'usps','pb_usps','EM',1,30,0,'',0,NULL,NULL,0.0000,'a'),(57,NULL,0,'usps','pb_usps','STDPOST',1,40,0,'',0,NULL,NULL,0.0000,'a'),(58,NULL,0,'usps','pb_usps','PRCLSEL',1,50,0,'',0,NULL,NULL,0.0000,'a'),(59,NULL,0,'usps','pb_usps','MEDIA',1,60,0,'',0,NULL,NULL,0.0000,'a'),(60,NULL,0,'usps','pb_usps','LIB',1,70,0,'',0,NULL,NULL,0.0000,'a'),(61,NULL,0,'usps','pb_usps','FCMI',1,80,0,'',0,NULL,NULL,0.0000,'a'),(62,NULL,0,'usps','pb_usps','FCPIS',1,90,0,'',0,NULL,NULL,0.0000,'a'),(63,NULL,0,'usps','pb_usps','EMI',1,100,0,'',0,NULL,NULL,0.0000,'a'),(64,NULL,0,'usps','pb_usps','PMI',1,110,0,'',0,NULL,NULL,0.0000,'a'),(65,NULL,0,'capost','','',0,0,0,'XC_CanadaPost',0,NULL,NULL,0.0000,'a'),(66,NULL,0,'capost','capost','DOM.RP',1,10,0,'',0,NULL,NULL,0.0000,'a'),(67,NULL,0,'capost','capost','DOM.EP',1,20,0,'',0,NULL,NULL,0.0000,'a'),(68,NULL,0,'capost','capost','DOM.XP',1,30,0,'',0,NULL,NULL,0.0000,'a'),(69,NULL,0,'capost','capost','DOM.XP.CERT',1,40,0,'',0,NULL,NULL,0.0000,'a'),(70,NULL,0,'capost','capost','DOM.PC',1,50,0,'',0,NULL,NULL,0.0000,'a'),(71,NULL,0,'capost','capost','DOM.LIB',1,60,0,'',0,NULL,NULL,0.0000,'a'),(72,NULL,0,'capost','capost','USA.EP',1,70,0,'',0,NULL,NULL,0.0000,'a'),(73,NULL,0,'capost','capost','USA.PW.ENV',1,80,0,'',0,NULL,NULL,0.0000,'a'),(74,NULL,0,'capost','capost','USA.PW.PAK',1,90,0,'',0,NULL,NULL,0.0000,'a'),(75,NULL,0,'capost','capost','USA.PW.PARCEL',1,100,0,'',0,NULL,NULL,0.0000,'a'),(76,NULL,0,'capost','capost','USA.SP.AIR',1,110,0,'',0,NULL,NULL,0.0000,'a'),(77,NULL,0,'capost','capost','USA.TP',1,120,0,'',0,NULL,NULL,0.0000,'a'),(78,NULL,0,'capost','capost','USA.TP.LVM',1,130,0,'',0,NULL,NULL,0.0000,'a'),(79,NULL,0,'capost','capost','USA.XP',1,140,0,'',0,NULL,NULL,0.0000,'a'),(80,NULL,0,'capost','capost','INT.XP',1,150,0,'',0,NULL,NULL,0.0000,'a'),(81,NULL,0,'capost','capost','INT.IP.AIR',1,160,0,'',0,NULL,NULL,0.0000,'a'),(82,NULL,0,'capost','capost','INT.IP.SURF',1,170,0,'',0,NULL,NULL,0.0000,'a'),(83,NULL,0,'capost','capost','INT.PW.ENV',1,180,0,'',0,NULL,NULL,0.0000,'a'),(84,NULL,0,'capost','capost','INT.PW.PAK',1,190,0,'',0,NULL,NULL,0.0000,'a'),(85,NULL,0,'capost','capost','INT.PW.PARCEL',1,200,0,'',0,NULL,NULL,0.0000,'a'),(86,NULL,0,'capost','capost','INT.SP.AIR',1,210,0,'',0,NULL,NULL,0.0000,'a'),(87,NULL,0,'capost','capost','INT.SP.SURF',1,220,0,'',0,NULL,NULL,0.0000,'a'),(88,NULL,0,'capost','capost','INT.TP',1,230,0,'',0,NULL,NULL,0.0000,'a'),(89,NULL,0,'offline','','courier',1,10,1,'',0,NULL,'S',0.0000,'a'),(90,NULL,0,'offline','','',1,20,1,'',0,NULL,'S',0.0000,'a'),(91,NULL,0,'offline','','',1,30,1,'',0,NULL,'S',0.0000,'a'),(92,NULL,0,'offline','','',1,40,1,'',0,NULL,'S',0.0000,'a'),(93,NULL,0,'offline','','',1,50,1,'',0,NULL,'S',0.0000,'a'),(94,NULL,1,'offline','','FREESHIP',1,30,1,'',0,NULL,'S',0.0000,'a'),(95,NULL,0,'offline','','FIXEDFEE',1,40,1,'',0,NULL,'S',0.0000,'a'),(96,NULL,0,'dhl','','',0,0,0,'XC_DHL',1,'//my.x-cart.com/sites/default/files/addons/XC/DHL/method_icon.jpg',NULL,0.0000,'a'),(97,NULL,0,'ems','','',0,0,0,'XC_EMS',1,'//my.x-cart.com/sites/default/files/addons/XC/EMS/method_icon.jpg',NULL,0.0000,'a'),(98,NULL,0,'Pilibaba','','',0,0,0,'XC_Pilibaba',1,'//my.x-cart.com/sites/default/files/addons/XC/Pilibaba/method_icon_Pilibaba.png',NULL,0.0000,'a');
/*!40000 ALTER TABLE `xc_shipping_methods` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_states`
--

DROP TABLE IF EXISTS `xc_states`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_states` (
  `state_id` int(11) NOT NULL AUTO_INCREMENT,
  `country_code` char(2) COLLATE utf8_unicode_ci DEFAULT NULL,
  `region_code` varchar(10) COLLATE utf8_unicode_ci DEFAULT NULL,
  `state` varchar(64) COLLATE utf8_unicode_ci NOT NULL,
  `code` varchar(64) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`state_id`),
  UNIQUE KEY `code` (`code`,`country_code`),
  KEY `IDX_454E766996F026BB7C` (`country_code`),
  KEY `IDX_454E766996AEB327AF` (`region_code`),
  KEY `state` (`state`),
  CONSTRAINT `FK_454E766996AEB327AF` FOREIGN KEY (`region_code`) REFERENCES `xc_regions` (`code`) ON DELETE CASCADE,
  CONSTRAINT `FK_454E766996F026BB7C` FOREIGN KEY (`country_code`) REFERENCES `xc_countries` (`code`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=612 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_states`
--

LOCK TABLES `xc_states` WRITE;
/*!40000 ALTER TABLE `xc_states` DISABLE KEYS */;
INSERT INTO `xc_states` VALUES (1,'AR',NULL,'Buenos Aires','B'),(2,'AR',NULL,'Catamarca','K'),(3,'AR',NULL,'Chaco','H'),(4,'AR',NULL,'Chubut','U'),(5,'AR',NULL,'Ciudad de Buenos Aires','C'),(6,'AR',NULL,'Córdoba','X'),(7,'AR',NULL,'Corrientes','W'),(8,'AR',NULL,'Entre Ríos','E'),(9,'AR',NULL,'Formosa','P'),(10,'AR',NULL,'Jujuy','Y'),(11,'AR',NULL,'La Pampa','L'),(12,'AR',NULL,'La Rioja','F'),(13,'AR',NULL,'Mendoza','M'),(14,'AR',NULL,'Misiones','N'),(15,'AR',NULL,'Neuquén','Q'),(16,'AR',NULL,'Río Negro','R'),(17,'AR',NULL,'Salta','A'),(18,'AR',NULL,'San Juan','J'),(19,'AR',NULL,'San Luis','D'),(20,'AR',NULL,'Santa Cruz','Z'),(21,'AR',NULL,'Santa Fe','S'),(22,'AR',NULL,'Santiago del Estero','G'),(23,'AR',NULL,'Tierra del Fuego','V'),(24,'AR',NULL,'Tucumán','T'),(25,'BR',NULL,'Distrito Federal','DF'),(26,'BR',NULL,'Acre','AC'),(27,'BR',NULL,'Alagoas','AL'),(28,'BR',NULL,'Amapá','AP'),(29,'BR',NULL,'Amazonas','AM'),(30,'BR',NULL,'Bahia','BA'),(31,'BR',NULL,'Ceará','CE'),(32,'BR',NULL,'Espírito Santo','ES'),(33,'BR',NULL,'Goiás','GO'),(34,'BR',NULL,'Maranhão','MA'),(35,'BR',NULL,'Mato Grosso','MT'),(36,'BR',NULL,'Mato Grosso do Sul','MS'),(37,'BR',NULL,'Minas Gerais','MG'),(38,'BR',NULL,'Pará','PA'),(39,'BR',NULL,'Paraíba','PB'),(40,'BR',NULL,'Paraná','PR'),(41,'BR',NULL,'Pernambuco','PE'),(42,'BR',NULL,'Piauí','PI'),(43,'BR',NULL,'Rio de Janeiro','RJ'),(44,'BR',NULL,'Rio Grande do Norte','RN'),(45,'BR',NULL,'Rio Grande do Sul','RS'),(46,'BR',NULL,'Rondônia','RO'),(47,'BR',NULL,'Roraima','RR'),(48,'BR',NULL,'Santa Catarina','SC'),(49,'BR',NULL,'São Paulo','SP'),(50,'BR',NULL,'Sergipe','SE'),(51,'BR',NULL,'Tocantins','TO'),(52,'CA',NULL,'Alberta','AB'),(53,'CA',NULL,'British Columbia','BC'),(54,'CA',NULL,'Manitoba','MB'),(55,'CA',NULL,'New Brunswick','NB'),(56,'CA',NULL,'Newfoundland and Labrador','NF'),(57,'CA',NULL,'Nova Scotia','NS'),(58,'CA',NULL,'Northwest Territories','NT'),(59,'CA',NULL,'Nunavut','NU'),(60,'CA',NULL,'Ontario','ON'),(61,'CA',NULL,'Prince Edward Island','PE'),(62,'CA',NULL,'Quebec','QC'),(63,'CA',NULL,'Saskatchewan','SK'),(64,'CA',NULL,'Yukon','YT'),(65,'CN',NULL,'Anhui','34'),(66,'CN',NULL,'Beijing','11'),(67,'CN',NULL,'Chongqing','50'),(68,'CN',NULL,'Fujian','35'),(69,'CN',NULL,'Gansu','62'),(70,'CN',NULL,'Guangdong','44'),(71,'CN',NULL,'Guangxi','45'),(72,'CN',NULL,'Guizhou','52'),(73,'CN',NULL,'Hainan','46'),(74,'CN',NULL,'Hebei','13'),(75,'CN',NULL,'Heilongjiang','23'),(76,'CN',NULL,'Henan','41'),(77,'CN',NULL,'Hong Kong','91'),(78,'CN',NULL,'Hubei','42'),(79,'CN',NULL,'Hunan','43'),(80,'CN',NULL,'Jiangsu','32'),(81,'CN',NULL,'Jiangxi','36'),(82,'CN',NULL,'Jilin','22'),(83,'CN',NULL,'Liaoning','21'),(84,'CN',NULL,'Macao','92'),(85,'CN',NULL,'Nei Mongol','15'),(86,'CN',NULL,'Ningxia','64'),(87,'CN',NULL,'Qinghai','63'),(88,'CN',NULL,'Shaanxi','61'),(89,'CN',NULL,'Shandong','37'),(90,'CN',NULL,'Shanghai','31'),(91,'CN',NULL,'Shanxi','14'),(92,'CN',NULL,'Sichuan','51'),(93,'CN',NULL,'Taiwan','71'),(94,'CN',NULL,'Tianjin','12'),(95,'CN',NULL,'Xinjiang','65'),(96,'CN',NULL,'Xizang','54'),(97,'CN',NULL,'Yunnan','53'),(98,'CN',NULL,'Zhejiang','33'),(99,'IN',NULL,'Andaman and Nicobar Islands','AN'),(100,'IN',NULL,'Andhra Pradesh','AP'),(101,'IN',NULL,'Arunachal Pradesh','AR'),(102,'IN',NULL,'Assam','AS'),(103,'IN',NULL,'Bihar','BR'),(104,'IN',NULL,'Chandigarh','CH'),(105,'IN',NULL,'Chhattisgar','CT'),(106,'IN',NULL,'Dadra and Nagar Haveli','DN'),(107,'IN',NULL,'Daman and Diu','DD'),(108,'IN',NULL,'Delhi','DL'),(109,'IN',NULL,'Goa','GA'),(110,'IN',NULL,'Gujarat','GJ'),(111,'IN',NULL,'Haryana','HR'),(112,'IN',NULL,'Himachal Pradesh','HP'),(113,'IN',NULL,'Jammu and Kashmir','JK'),(114,'IN',NULL,'Jharkhand','JH'),(115,'IN',NULL,'Karnataka','KA'),(116,'IN',NULL,'Kerala','KL'),(117,'IN',NULL,'Lakshadweep','LD'),(118,'IN',NULL,'Madhya Pradesh','MP'),(119,'IN',NULL,'Maharashtra','MH'),(120,'IN',NULL,'Manipur','MN'),(121,'IN',NULL,'Meghalaya','ML'),(122,'IN',NULL,'Mizoram','MZ'),(123,'IN',NULL,'Nagaland','NL'),(124,'IN',NULL,'Odish','OR'),(125,'IN',NULL,'Puducherry','PY'),(126,'IN',NULL,'Punjab','PB'),(127,'IN',NULL,'Rajasthan','RJ'),(128,'IN',NULL,'Sikkim','SK'),(129,'IN',NULL,'Tamil Nadu','TN'),(130,'IN',NULL,'Telangan','TG'),(131,'IN',NULL,'Tripura','TR'),(132,'IN',NULL,'Uttarakhan','UT'),(133,'IN',NULL,'Uttar Pradesh','UP'),(134,'IN',NULL,'West Bengal','WB'),(135,'ID',NULL,'Aceh','AC'),(136,'ID',NULL,'Bali','BA'),(137,'ID',NULL,'Bangka–Belitung Islands','BB'),(138,'ID',NULL,'Banten','BT'),(139,'ID',NULL,'Bengkulu','BE'),(140,'ID',NULL,'Central Java','JT'),(141,'ID',NULL,'Central Kalimantan','KT'),(142,'ID',NULL,'Central Sulawesi','ST'),(143,'ID',NULL,'East Java','JI'),(144,'ID',NULL,'East Kalimantan','KI'),(145,'ID',NULL,'East Nusa Tenggara','NT'),(146,'ID',NULL,'Gorontalo','GO'),(147,'ID',NULL,'Jakarta','JK'),(148,'ID',NULL,'Jambi','JA'),(149,'ID',NULL,'Lampung','LA'),(150,'ID',NULL,'Maluku','MA'),(151,'ID',NULL,'North Kalimantan','KU'),(152,'ID',NULL,'North Maluku','MU'),(153,'ID',NULL,'North Sulawesi','SA'),(154,'ID',NULL,'North Sumatra','SU'),(155,'ID',NULL,'Papua','PA'),(156,'ID',NULL,'Riau','RI'),(157,'ID',NULL,'Riau Islands','KR'),(158,'ID',NULL,'South Kalimantan','KS'),(159,'ID',NULL,'South Sulawesi','SN'),(160,'ID',NULL,'South Sumatra','SS'),(161,'ID',NULL,'Southeast Sulawesi','SG'),(162,'ID',NULL,'West Java','JB'),(163,'ID',NULL,'West Kalimantan','KB'),(164,'ID',NULL,'West Nusa Tenggara','NB'),(165,'ID',NULL,'West Papua','PB'),(166,'ID',NULL,'West Sulawesi','SR'),(167,'ID',NULL,'West Sumatra','SB'),(168,'ID',NULL,'Yogyakarta','YO'),(169,'JP',NULL,'Aichi','23'),(170,'JP',NULL,'Akita','05'),(171,'JP',NULL,'Aomori','02'),(172,'JP',NULL,'Chiba','12'),(173,'JP',NULL,'Ehime','38'),(174,'JP',NULL,'Fukui','18'),(175,'JP',NULL,'Fukuoka','40'),(176,'JP',NULL,'Fukushima','07'),(177,'JP',NULL,'Gifu','21'),(178,'JP',NULL,'Gumma','10'),(179,'JP',NULL,'Hiroshima','34'),(180,'JP',NULL,'Hokkaido','01'),(181,'JP',NULL,'Hyogo','28'),(182,'JP',NULL,'Ibaraki','08'),(183,'JP',NULL,'Ishikawa','17'),(184,'JP',NULL,'Iwate','03'),(185,'JP',NULL,'Kagawa','37'),(186,'JP',NULL,'Kagoshima','46'),(187,'JP',NULL,'Kanagawa','14'),(188,'JP',NULL,'Kochi','39'),(189,'JP',NULL,'Kumamoto','43'),(190,'JP',NULL,'Kyoto','26'),(191,'JP',NULL,'Mie','24'),(192,'JP',NULL,'Miyagi','04'),(193,'JP',NULL,'Miyazaki','45'),(194,'JP',NULL,'Nagano','20'),(195,'JP',NULL,'Nagasaki','42'),(196,'JP',NULL,'Nara','29'),(197,'JP',NULL,'Niigata','15'),(198,'JP',NULL,'Oita','44'),(199,'JP',NULL,'Okayama','33'),(200,'JP',NULL,'Okinawa','47'),(201,'JP',NULL,'Osaka','27'),(202,'JP',NULL,'Saga','41'),(203,'JP',NULL,'Saitama','11'),(204,'JP',NULL,'Shiga','25'),(205,'JP',NULL,'Shimane','32'),(206,'JP',NULL,'Shizuoka','22'),(207,'JP',NULL,'Tochigi','09'),(208,'JP',NULL,'Tokushima','36'),(209,'JP',NULL,'Tokyo','13'),(210,'JP',NULL,'Tottori','31'),(211,'JP',NULL,'Toyama','16'),(212,'JP',NULL,'Wakayama','30'),(213,'JP',NULL,'Yamagata','06'),(214,'JP',NULL,'Yamaguchi','35'),(215,'JP',NULL,'Yamanashi','19'),(216,'MX',NULL,'Aguascalientes','AG'),(217,'MX',NULL,'Baja California','BN'),(218,'MX',NULL,'Baja California Sur','BS'),(219,'MX',NULL,'Campeche','CM'),(220,'MX',NULL,'Coahuila','CA'),(221,'MX',NULL,'Colima','CL'),(222,'MX',NULL,'Chiapas','CP'),(223,'MX',NULL,'Chihuahua','CH'),(224,'MX',NULL,'Distrito Federal','DF'),(225,'MX',NULL,'Durango','DU'),(226,'MX',NULL,'Guanajuato','GT'),(227,'MX',NULL,'Guerrero','GR'),(228,'MX',NULL,'Hidalgo','HI'),(229,'MX',NULL,'Jalisco','JA'),(230,'MX',NULL,'México','MX'),(231,'MX',NULL,'Michoacán','MC'),(232,'MX',NULL,'Morelos','MR'),(233,'MX',NULL,'Nayarit','NA'),(234,'MX',NULL,'Nuevo León','NL'),(235,'MX',NULL,'Oaxaca','OA'),(236,'MX',NULL,'Puebla','PU'),(237,'MX',NULL,'Querétaro','QE'),(238,'MX',NULL,'Quintana Roo','QR'),(239,'MX',NULL,'San Luis Potosí','SL'),(240,'MX',NULL,'Sinaloa','SI'),(241,'MX',NULL,'Sonora','SO'),(242,'MX',NULL,'Tabasco','TB'),(243,'MX',NULL,'Tamaulipas','TM'),(244,'MX',NULL,'Tlaxcala','TL'),(245,'MX',NULL,'Veracruz','VE'),(246,'MX',NULL,'Yucatán','YU'),(247,'MX',NULL,'Zacatecas','ZA'),(248,'TH',NULL,'Amnat Charoen','37'),(249,'TH',NULL,'Ang Thong','15'),(250,'TH',NULL,'Bueng Kan','38'),(251,'TH',NULL,'Buri Ram','31'),(252,'TH',NULL,'Chachoengsao','24'),(253,'TH',NULL,'Chai Nat','18'),(254,'TH',NULL,'Chaiyaphum','36'),(255,'TH',NULL,'Chanthaburi','22'),(256,'TH',NULL,'Chiang Mai','50'),(257,'TH',NULL,'Chiang Rai','57'),(258,'TH',NULL,'Chon Buri','20'),(259,'TH',NULL,'Chumphon','86'),(260,'TH',NULL,'Kalasin','46'),(261,'TH',NULL,'Kamphaeng Phet','62'),(262,'TH',NULL,'Kanchanaburi','71'),(263,'TH',NULL,'Khon Kaen','40'),(264,'TH',NULL,'Krabi','81'),(265,'TH',NULL,'Krung Thep Maha Nakhon (Bangkok)','10'),(266,'TH',NULL,'Lampang','52'),(267,'TH',NULL,'Lamphun','51'),(268,'TH',NULL,'Loei','42'),(269,'TH',NULL,'Lop Buri','16'),(270,'TH',NULL,'Mae Hong Son','58'),(271,'TH',NULL,'Maha Sarakham','44'),(272,'TH',NULL,'Mukdahan','49'),(273,'TH',NULL,'Nakhon Nayok','26'),(274,'TH',NULL,'Nakhon Pathom','73'),(275,'TH',NULL,'Nakhon Phanom','48'),(276,'TH',NULL,'Nakhon Ratchasima','30'),(277,'TH',NULL,'Nakhon Sawan','60'),(278,'TH',NULL,'Nakhon Si Thammarat','80'),(279,'TH',NULL,'Nan','55'),(280,'TH',NULL,'Narathiwat','96'),(281,'TH',NULL,'Nong Bua Lam Phu','39'),(282,'TH',NULL,'Nong Khai','43'),(283,'TH',NULL,'Nonthaburi','12'),(284,'TH',NULL,'Pathum Thani','13'),(285,'TH',NULL,'Pattani','94'),(286,'TH',NULL,'Phangnga','82'),(287,'TH',NULL,'Phatthalung','93'),(288,'TH',NULL,'Phatthaya','S'),(289,'TH',NULL,'Phayao','56'),(290,'TH',NULL,'Phetchabun','67'),(291,'TH',NULL,'Phetchaburi','76'),(292,'TH',NULL,'Phichit','66'),(293,'TH',NULL,'Phitsanulok','65'),(294,'TH',NULL,'Phrae','54'),(295,'TH',NULL,'Phra Nakhon Si Ayutthaya','14'),(296,'TH',NULL,'Phuket','83'),(297,'TH',NULL,'Prachin Buri','25'),(298,'TH',NULL,'Prachuap Khiri Khan','77'),(299,'TH',NULL,'Ranong','85'),(300,'TH',NULL,'Ratchaburi','70'),(301,'TH',NULL,'Rayong','21'),(302,'TH',NULL,'Roi Et','45'),(303,'TH',NULL,'Sa Kaeo','27'),(304,'TH',NULL,'Sakon Nakhon','47'),(305,'TH',NULL,'Samut Prakan','11'),(306,'TH',NULL,'Samut Sakhon','74'),(307,'TH',NULL,'Samut Songkhram','75'),(308,'TH',NULL,'Saraburi','19'),(309,'TH',NULL,'Satun','91'),(310,'TH',NULL,'Sing Buri','17'),(311,'TH',NULL,'Si Sa Ket','33'),(312,'TH',NULL,'Songkhla','90'),(313,'TH',NULL,'Sukhothai','64'),(314,'TH',NULL,'Suphan Buri','72'),(315,'TH',NULL,'Surat Thani','84'),(316,'TH',NULL,'Surin','32'),(317,'TH',NULL,'Tak','63'),(318,'TH',NULL,'Trang','92'),(319,'TH',NULL,'Trat','23'),(320,'TH',NULL,'Ubon Ratchathani','34'),(321,'TH',NULL,'Udon Thani','41'),(322,'TH',NULL,'Uthai Thani','61'),(323,'TH',NULL,'Uttaradit','53'),(324,'TH',NULL,'Yala','95'),(325,'TH',NULL,'Yasothon','35'),(326,'GB','GB-SCT','Aberdeen City','ABE'),(327,'GB','GB-SCT','Aberdeenshire','ABD'),(328,'GB','GB-SCT','Angus','ANS'),(329,'GB','GB-NIR','Antrim','ANT'),(330,'GB','GB-NIR','Ards','ARD'),(331,'GB','GB-SCT','Argyll and Bute','AGB'),(332,'GB','GB-NIR','Armagh','ARM'),(333,'GB','GB-NIR','Ballymena','BLA'),(334,'GB','GB-NIR','Ballymoney','BLY'),(335,'GB','GB-NIR','Banbridge','BNB'),(336,'GB','GB-ENG','Barking and Dagenham','BDG'),(337,'GB','GB-ENG','Barnet','BNE'),(338,'GB','GB-ENG','Barnsley','BNS'),(339,'GB','GB-ENG','Bath and North East Somerset','BAS'),(340,'GB','GB-ENG','Bedford','BDF'),(341,'GB','GB-NIR','Belfast','BFS'),(342,'GB','GB-ENG','Bexley','BEX'),(343,'GB','GB-ENG','Birmingham','BIR'),(344,'GB','GB-ENG','Blackburn with Darwen','BBD'),(345,'GB','GB-ENG','Blackpool','BPL'),(346,'GB','GB-WLS','Blaenau Gwent','BGW'),(347,'GB','GB-ENG','Bolton','BOL'),(348,'GB','GB-ENG','Bournemouth','BMH'),(349,'GB','GB-ENG','Bracknell Forest','BRC'),(350,'GB','GB-ENG','Bradford','BRD'),(351,'GB','GB-ENG','Brent','BEN'),(352,'GB','GB-WLS','Bridgend','BGE'),(353,'GB','GB-ENG','Brighton and Hove','BNH'),(354,'GB','GB-ENG','Bristol, City of','BST'),(355,'GB','GB-ENG','Bromley','BRY'),(356,'GB','GB-ENG','Buckinghamshire','BKM'),(357,'GB','GB-ENG','Bury','BUR'),(358,'GB','GB-WLS','Caerphilly','CAY'),(359,'GB','GB-ENG','Calderdale','CLD'),(360,'GB','GB-ENG','Cambridgeshire','CAM'),(361,'GB','GB-ENG','Camden','CMD'),(362,'GB','GB-WLS','Cardiff','CRF'),(363,'GB','GB-WLS','Carmarthenshire','CMN'),(364,'GB','GB-NIR','Carrickfergus','CKF'),(365,'GB','GB-NIR','Castlereagh','CSR'),(366,'GB','GB-ENG','Central Bedfordshire','CBF'),(367,'GB','GB-WLS','Ceredigion','CGN'),(368,'GB','GB-ENG','Cheshire East','CHE'),(369,'GB','GB-ENG','Cheshire West and Chester','CHW'),(370,'GB','GB-SCT','Clackmannanshire','CLK'),(371,'GB','GB-NIR','Coleraine','CLR'),(372,'GB','GB-WLS','Conwy','CWY'),(373,'GB','GB-NIR','Cookstown','CKT'),(374,'GB','GB-ENG','Cornwall','CON'),(375,'GB','GB-ENG','Coventry','COV'),(376,'GB','GB-NIR','Craigavon','CGV'),(377,'GB','GB-ENG','Croydon','CRY'),(378,'GB','GB-ENG','Cumbria','CMA'),(379,'GB','GB-ENG','Darlington','DAL'),(380,'GB','GB-WLS','Denbighshire','DEN'),(381,'GB','GB-ENG','Derby','DER'),(382,'GB','GB-ENG','Derbyshire','DBY'),(383,'GB','GB-NIR','Derry','DRY'),(384,'GB','GB-ENG','Devon','DEV'),(385,'GB','GB-ENG','Doncaster','DNC'),(386,'GB','GB-ENG','Dorset','DOR'),(387,'GB','GB-NIR','Down','DOW'),(388,'GB','GB-ENG','Dudley','DUD'),(389,'GB','GB-SCT','Dumfries and Galloway','DGY'),(390,'GB','GB-SCT','Dundee City','DND'),(391,'GB','GB-NIR','Dungannon and South Tyrone','DGN'),(392,'GB','GB-ENG','Durham, County','DUR'),(393,'GB','GB-ENG','Ealing','EAL'),(394,'GB','GB-SCT','East Ayrshire','EAY'),(395,'GB','GB-SCT','East Dunbartonshire','EDU'),(396,'GB','GB-SCT','East Lothian','ELN'),(397,'GB','GB-SCT','East Renfrewshire','ERW'),(398,'GB','GB-ENG','East Riding of Yorkshire','ERY'),(399,'GB','GB-ENG','East Sussex','ESX'),(400,'GB','GB-SCT','Edinburgh, City of','EDH'),(401,'GB','GB-SCT','Eilean Siar','ELS'),(402,'GB','GB-ENG','Enfield','ENF'),(403,'GB','GB-ENG','Essex','ESS'),(404,'GB','GB-SCT','Falkirk','FAL'),(405,'GB','GB-NIR','Fermanagh','FER'),(406,'GB','GB-SCT','Fife','FIF'),(407,'GB','GB-WLS','Flintshire','FLN'),(408,'GB','GB-ENG','Gateshead','GAT'),(409,'GB','GB-SCT','Glasgow City','GLG'),(410,'GB','GB-ENG','Gloucestershire','GLS'),(411,'GB','GB-ENG','Greenwich','GRE'),(412,'GB','GB-WLS','Gwynedd','GWN'),(413,'GB','GB-ENG','Hackney','HCK'),(414,'GB','GB-ENG','Halton','HAL'),(415,'GB','GB-ENG','Hammersmith and Fulham','HMF'),(416,'GB','GB-ENG','Hampshire','HAM'),(417,'GB','GB-ENG','Haringey','HRY'),(418,'GB','GB-ENG','Harrow','HRW'),(419,'GB','GB-ENG','Hartlepool','HPL'),(420,'GB','GB-ENG','Havering','HAV'),(421,'GB','GB-ENG','Herefordshire','HEF'),(422,'GB','GB-ENG','Hertfordshire','HRT'),(423,'GB','GB-SCT','Highland','HLD'),(424,'GB','GB-ENG','Hillingdon','HIL'),(425,'GB','GB-ENG','Hounslow','HNS'),(426,'GB','GB-SCT','Inverclyde','IVC'),(427,'GB','GB-WLS','Isle of Anglesey','AGY'),(428,'GB','GB-ENG','Isle of Wight','IOW'),(429,'GB','GB-ENG','Isles of Scilly','IOS'),(430,'GB','GB-ENG','Islington','ISL'),(431,'GB','GB-ENG','Kensington and Chelsea','KEC'),(432,'GB','GB-ENG','Kent','KEN'),(433,'GB','GB-ENG','Kingston upon Hull','KHL'),(434,'GB','GB-ENG','Kingston upon Thames','KTT'),(435,'GB','GB-ENG','Kirklees','KIR'),(436,'GB','GB-ENG','Knowsley','KWL'),(437,'GB','GB-ENG','Lambeth','LBH'),(438,'GB','GB-ENG','Lancashire','LAN'),(439,'GB','GB-NIR','Larne','LRN'),(440,'GB','GB-ENG','Leeds','LDS'),(441,'GB','GB-ENG','Leicester','LCE'),(442,'GB','GB-ENG','Leicestershire','LEC'),(443,'GB','GB-ENG','Lewisham','LEW'),(444,'GB','GB-NIR','Limavady','LMV'),(445,'GB','GB-ENG','Lincolnshire','LIN'),(446,'GB','GB-NIR','Lisburn','LSB'),(447,'GB','GB-ENG','Liverpool','LIV'),(448,'GB','GB-ENG','London, City of','LND'),(449,'GB','GB-ENG','Luton','LUT'),(450,'GB','GB-NIR','Magherafelt','MFT'),(451,'GB','GB-ENG','Manchester','MAN'),(452,'GB','GB-ENG','Medway','MDW'),(453,'GB','GB-WLS','Merthyr Tydfil','MTY'),(454,'GB','GB-ENG','Merton','MRT'),(455,'GB','GB-ENG','Middlesbrough','MDB'),(456,'GB','GB-SCT','Midlothian','MLN'),(457,'GB','GB-ENG','Milton Keynes','MIK'),(458,'GB','GB-WLS','Monmouthshire','MON'),(459,'GB','GB-SCT','Moray','MRY'),(460,'GB','GB-NIR','Moyle','MYL'),(461,'GB','GB-WLS','Neath Port Talbot','NTL'),(462,'GB','GB-ENG','Newcastle upon Tyne','NET'),(463,'GB','GB-ENG','Newham','NWM'),(464,'GB','GB-WLS','Newport','NWP'),(465,'GB','GB-NIR','Newry and Mourne District','NYM'),(466,'GB','GB-NIR','Newtownabbey','NTA'),(467,'GB','GB-ENG','Norfolk','NFK'),(468,'GB','GB-SCT','North Ayrshire','NAY'),(469,'GB','GB-NIR','North Down','NDN'),(470,'GB','GB-ENG','North East Lincolnshire','NEL'),(471,'GB','GB-SCT','North Lanarkshire','NLK'),(472,'GB','GB-ENG','North Lincolnshire','NLN'),(473,'GB','GB-ENG','North Somerset','NSM'),(474,'GB','GB-ENG','North Tyneside','NTY'),(475,'GB','GB-ENG','North Yorkshire','NYK'),(476,'GB','GB-ENG','Northamptonshire','NTH'),(477,'GB','GB-ENG','Northumberland','NBL'),(478,'GB','GB-ENG','Nottingham','NGM'),(479,'GB','GB-ENG','Nottinghamshire','NTT'),(480,'GB','GB-ENG','Oldham','OLD'),(481,'GB','GB-NIR','Omagh','OMH'),(482,'GB','GB-SCT','Orkney Islands','ORK'),(483,'GB','GB-ENG','Oxfordshire','OXF'),(484,'GB','GB-WLS','Pembrokeshire','PEM'),(485,'GB','GB-SCT','Perth and Kinross','PKN'),(486,'GB','GB-ENG','Peterborough','PTE'),(487,'GB','GB-ENG','Plymouth','PLY'),(488,'GB','GB-ENG','Poole','POL'),(489,'GB','GB-ENG','Portsmouth','POR'),(490,'GB','GB-WLS','Powys','POW'),(491,'GB','GB-ENG','Reading','RDG'),(492,'GB','GB-ENG','Redbridge','RDB'),(493,'GB','GB-ENG','Redcar and Cleveland','RCC'),(494,'GB','GB-SCT','Renfrewshire','RFW'),(495,'GB','GB-WLS','Rhondda, Cynon, Taff','RCT'),(496,'GB','GB-ENG','Richmond upon Thames','RIC'),(497,'GB','GB-ENG','Rochdale','RCH'),(498,'GB','GB-ENG','Rotherham','ROT'),(499,'GB','GB-ENG','Rutland','RUT'),(500,'GB','GB-ENG','St. Helens','SHN'),(501,'GB','GB-ENG','Salford','SLF'),(502,'GB','GB-ENG','Sandwell','SAW'),(503,'GB','GB-SCT','Scottish Borders, The','SCB'),(504,'GB','GB-ENG','Sefton','SFT'),(505,'GB','GB-ENG','Sheffield','SHF'),(506,'GB','GB-SCT','Shetland Islands','ZET'),(507,'GB','GB-ENG','Shropshire','SHR'),(508,'GB','GB-ENG','Slough','SLG'),(509,'GB','GB-ENG','Solihull','SOL'),(510,'GB','GB-ENG','Somerset','SOM'),(511,'GB','GB-SCT','South Ayrshire','SAY'),(512,'GB','GB-ENG','South Gloucestershire','SGC'),(513,'GB','GB-SCT','South Lanarkshire','SLK'),(514,'GB','GB-ENG','South Tyneside','STY'),(515,'GB','GB-ENG','Southampton','STH'),(516,'GB','GB-ENG','Southend-on-Sea','SOS'),(517,'GB','GB-ENG','Southwark','SWK'),(518,'GB','GB-ENG','Staffordshire','STS'),(519,'GB','GB-SCT','Stirling','STG'),(520,'GB','GB-ENG','Stockport','SKP'),(521,'GB','GB-ENG','Stockton-on-Tees','STT'),(522,'GB','GB-ENG','Stoke-on-Trent','STE'),(523,'GB','GB-NIR','Strabane','STB'),(524,'GB','GB-ENG','Suffolk','SFK'),(525,'GB','GB-ENG','Sunderland','SND'),(526,'GB','GB-ENG','Surrey','SRY'),(527,'GB','GB-ENG','Sutton','STN'),(528,'GB','GB-WLS','Swansea','SWA'),(529,'GB','GB-ENG','Swindon','SWD'),(530,'GB','GB-ENG','Tameside','TAM'),(531,'GB','GB-ENG','Telford and Wrekin','TFW'),(532,'GB','GB-ENG','Thurrock','THR'),(533,'GB','GB-ENG','Torbay','TOB'),(534,'GB','GB-WLS','Torfaen','TOF'),(535,'GB','GB-ENG','Tower Hamlets','TWH'),(536,'GB','GB-ENG','Trafford','TRF'),(537,'GB','GB-WLS','Vale of Glamorgan, The','VGL'),(538,'GB','GB-ENG','Wakefield','WKF'),(539,'GB','GB-ENG','Walsall','WLL'),(540,'GB','GB-ENG','Waltham Forest','WFT'),(541,'GB','GB-ENG','Wandsworth','WND'),(542,'GB','GB-ENG','Warrington','WRT'),(543,'GB','GB-ENG','Warwickshire','WAR'),(544,'GB','GB-ENG','West Berkshire','WBK'),(545,'GB','GB-SCT','West Dunbartonshire','WDU'),(546,'GB','GB-SCT','West Lothian','WLN'),(547,'GB','GB-ENG','West Sussex','WSX'),(548,'GB','GB-ENG','Westminster','WSM'),(549,'GB','GB-ENG','Wigan','WGN'),(550,'GB','GB-ENG','Wiltshire','WIL'),(551,'GB','GB-ENG','Windsor and Maidenhead','WNM'),(552,'GB','GB-ENG','Wirral','WRL'),(553,'GB','GB-ENG','Wokingham','WOK'),(554,'GB','GB-ENG','Wolverhampton','WLV'),(555,'GB','GB-ENG','Worcestershire','WOR'),(556,'GB','GB-WLS','Wrexham','WRX'),(557,'GB','GB-ENG','York','YOR'),(558,'US',NULL,'Alabama','AL'),(559,'US',NULL,'Alaska','AK'),(560,'US',NULL,'Arizona','AZ'),(561,'US',NULL,'Arkansas','AR'),(562,'US',NULL,'California','CA'),(563,'US',NULL,'Colorado','CO'),(564,'US',NULL,'Connecticut','CT'),(565,'US',NULL,'Delaware','DE'),(566,'US',NULL,'District of Columbia','DC'),(567,'US',NULL,'Florida','FL'),(568,'US',NULL,'Georgia','GA'),(569,'US',NULL,'Guam','GU'),(570,'US',NULL,'Hawaii','HI'),(571,'US',NULL,'Idaho','ID'),(572,'US',NULL,'Illinois','IL'),(573,'US',NULL,'Indiana','IN'),(574,'US',NULL,'Iowa','IA'),(575,'US',NULL,'Kansas','KS'),(576,'US',NULL,'Kentucky','KY'),(577,'US',NULL,'Louisiana','LA'),(578,'US',NULL,'Maine','ME'),(579,'US',NULL,'Maryland','MD'),(580,'US',NULL,'Massachusetts','MA'),(581,'US',NULL,'Michigan','MI'),(582,'US',NULL,'Minnesota','MN'),(583,'US',NULL,'Mississippi','MS'),(584,'US',NULL,'Missouri','MO'),(585,'US',NULL,'Montana','MT'),(586,'US',NULL,'Nebraska','NE'),(587,'US',NULL,'Nevada','NV'),(588,'US',NULL,'New Hampshire','NH'),(589,'US',NULL,'New Jersey','NJ'),(590,'US',NULL,'New Mexico','NM'),(591,'US',NULL,'New York','NY'),(592,'US',NULL,'North Carolina','NC'),(593,'US',NULL,'North Dakota','ND'),(594,'US',NULL,'Ohio','OH'),(595,'US',NULL,'Oklahoma','OK'),(596,'US',NULL,'Oregon','OR'),(597,'US',NULL,'Pennsylvania','PA'),(598,'US',NULL,'Puerto Rico','PR'),(599,'US',NULL,'Rhode Island','RI'),(600,'US',NULL,'South Carolina','SC'),(601,'US',NULL,'South Dakota','SD'),(602,'US',NULL,'Tennessee','TN'),(603,'US',NULL,'Texas','TX'),(604,'US',NULL,'Utah','UT'),(605,'US',NULL,'Vermont','VT'),(606,'US',NULL,'Virgin Islands','VI'),(607,'US',NULL,'Virginia','VA'),(608,'US',NULL,'Washington','WA'),(609,'US',NULL,'West Virginia','WV'),(610,'US',NULL,'Wisconsin','WI'),(611,'US',NULL,'Wyoming','WY');
/*!40000 ALTER TABLE `xc_states` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_tag_translations`
--

DROP TABLE IF EXISTS `xc_tag_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_tag_translations` (
  `label_id` int(11) NOT NULL AUTO_INCREMENT,
  `id` int(10) unsigned DEFAULT NULL,
  `name` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `code` char(2) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`label_id`),
  KEY `ci` (`code`,`id`),
  KEY `id` (`id`),
  CONSTRAINT `FK_45EDCE6447BF396750` FOREIGN KEY (`id`) REFERENCES `xc_tags` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_tag_translations`
--

LOCK TABLES `xc_tag_translations` WRITE;
/*!40000 ALTER TABLE `xc_tag_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `xc_tag_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_tags`
--

DROP TABLE IF EXISTS `xc_tags`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_tags` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `position` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_tags`
--

LOCK TABLES `xc_tags` WRITE;
/*!40000 ALTER TABLE `xc_tags` DISABLE KEYS */;
/*!40000 ALTER TABLE `xc_tags` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_tasks`
--

DROP TABLE IF EXISTS `xc_tasks`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_tasks` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `owner` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `triggerTime` int(11) NOT NULL,
  `data` longtext COLLATE utf8_unicode_ci NOT NULL COMMENT '(DC2Type:array)',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_tasks`
--

LOCK TABLES `xc_tasks` WRITE;
/*!40000 ALTER TABLE `xc_tasks` DISABLE KEYS */;
INSERT INTO `xc_tasks` VALUES (1,'XLite\\Core\\Task\\EventListener',0,'a:0:{}'),(2,'XLite\\Core\\Task\\OrdersGarbageCleaner',0,'a:0:{}'),(3,'XLite\\Core\\Task\\JobQueueCronRunner',0,'a:0:{}'),(4,'XLite\\Core\\Task\\SessionsGarbageCleaner',0,'a:0:{}'),(5,'XLite\\Core\\Task\\DataCacheGarbageCleaner',0,'a:0:{}'),(6,'XLite\\Module\\CDev\\XMLSitemap\\Core\\Task\\GenerateSitemap',0,'a:0:{}'),(7,'XLite\\Module\\XC\\Reviews\\Core\\Task\\SendReviewKeys',0,'a:0:{}'),(8,'XLite\\Module\\XC\\MailChimp\\Core\\Task\\UpdateLists',0,'a:0:{}');
/*!40000 ALTER TABLE `xc_tasks` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_tax_class_translations`
--

DROP TABLE IF EXISTS `xc_tax_class_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_tax_class_translations` (
  `label_id` int(11) NOT NULL AUTO_INCREMENT,
  `id` int(10) unsigned DEFAULT NULL,
  `name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `code` char(2) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`label_id`),
  KEY `ci` (`code`,`id`),
  KEY `id` (`id`),
  CONSTRAINT `FK_4595C1403BF396750` FOREIGN KEY (`id`) REFERENCES `xc_tax_classes` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_tax_class_translations`
--

LOCK TABLES `xc_tax_class_translations` WRITE;
/*!40000 ALTER TABLE `xc_tax_class_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `xc_tax_class_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_tax_classes`
--

DROP TABLE IF EXISTS `xc_tax_classes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_tax_classes` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `position` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_tax_classes`
--

LOCK TABLES `xc_tax_classes` WRITE;
/*!40000 ALTER TABLE `xc_tax_classes` DISABLE KEYS */;
/*!40000 ALTER TABLE `xc_tax_classes` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_temporary_files`
--

DROP TABLE IF EXISTS `xc_temporary_files`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_temporary_files` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `width` int(11) NOT NULL,
  `height` int(11) NOT NULL,
  `hash` char(32) COLLATE utf8_unicode_ci DEFAULT NULL,
  `needProcess` tinyint(1) NOT NULL,
  `path` varchar(512) COLLATE utf8_unicode_ci NOT NULL,
  `fileName` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `mime` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `storageType` varchar(1) COLLATE utf8_unicode_ci NOT NULL,
  `size` int(10) unsigned NOT NULL,
  `date` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_temporary_files`
--

LOCK TABLES `xc_temporary_files` WRITE;
/*!40000 ALTER TABLE `xc_temporary_files` DISABLE KEYS */;
/*!40000 ALTER TABLE `xc_temporary_files` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_temporary_videos`
--

DROP TABLE IF EXISTS `xc_temporary_videos`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_temporary_videos` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `path` varchar(512) COLLATE utf8_unicode_ci NOT NULL,
  `fileName` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `mime` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `storageType` varchar(1) COLLATE utf8_unicode_ci NOT NULL,
  `size` int(10) unsigned NOT NULL,
  `date` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_temporary_videos`
--

LOCK TABLES `xc_temporary_videos` WRITE;
/*!40000 ALTER TABLE `xc_temporary_videos` DISABLE KEYS */;
/*!40000 ALTER TABLE `xc_temporary_videos` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_theme_tweaker_template`
--

DROP TABLE IF EXISTS `xc_theme_tweaker_template`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_theme_tweaker_template` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `enabled` tinyint(1) NOT NULL DEFAULT '1',
  `template` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `date` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_theme_tweaker_template`
--

LOCK TABLES `xc_theme_tweaker_template` WRITE;
/*!40000 ALTER TABLE `xc_theme_tweaker_template` DISABLE KEYS */;
/*!40000 ALTER TABLE `xc_theme_tweaker_template` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_tmp_vars`
--

DROP TABLE IF EXISTS `xc_tmp_vars`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_tmp_vars` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `value` longtext COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `name` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=62 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_tmp_vars`
--

LOCK TABLES `xc_tmp_vars` WRITE;
/*!40000 ALTER TABLE `xc_tmp_vars` DISABLE KEYS */;
INSERT INTO `xc_tmp_vars` VALUES (7,'get_XC5_notificationsData','a:4:{i:0;a:7:{s:4:\"type\";s:6:\"module\";s:6:\"module\";s:24:\"QSL-AuthorizenetAcceptjs\";s:5:\"image\";s:66:\"https://my.x-cart.com/sites/default/files/news/images/auth.net.png\";s:5:\"title\";s:43:\"Authorize.Net Accept.js library integration\";s:11:\"description\";s:192:\"With Authorize.Net you can go beyond the gateway and connect to everything your business needs: invoicing, account updater, subscriptions, fraud management, accounting, tokenization,\nand more.\";s:4:\"link\";s:61:\"https://market.x-cart.com/addons/authorize-net-accept-js.html\";s:4:\"date\";s:10:\"1531170000\";}i:1;a:7:{s:4:\"type\";s:6:\"module\";s:6:\"module\";s:9:\"XC-AvaTax\";s:5:\"image\";s:64:\"https://my.x-cart.com/sites/default/files/news/images/avatax.png\";s:5:\"title\";s:27:\"AvaTax Sales Tax Automation\";s:11:\"description\";s:115:\"Simple tax compliance process and low sales tax audit risk for merchants in the United States, Canada, and Europe. \";s:4:\"link\";s:0:\"\";s:4:\"date\";s:10:\"1534712400\";}i:2;a:7:{s:4:\"type\";s:4:\"news\";s:6:\"module\";s:0:\"\";s:5:\"image\";s:95:\"https://my.x-cart.com/sites/default/files/news/images/BillriantPay%2520LOGO%2520%25281%2529.png\";s:5:\"title\";s:28:\"Billriant Pay via X-Payments\";s:11:\"description\";s:40:\"Receive Payment Globally, Safe and Fast!\";s:4:\"link\";s:63:\"https://market.x-cart.com/addons/billriant-payment-gateway.html\";s:4:\"date\";s:10:\"1538686800\";}i:3;a:7:{s:4:\"type\";s:6:\"module\";s:6:\"module\";s:18:\"XC-ShopperApproved\";s:5:\"image\";s:94:\"https://my.x-cart.com/sites/default/files/news/images/Webp.net-resizeimage%2520%25281%2529.png\";s:5:\"title\";s:24:\"Shopper Approved Reviews\";s:11:\"description\";s:72:\"Imagine Your Reviews Everywhere - Stand out in Google, Bing &amp; Yahoo!\";s:4:\"link\";s:0:\"\";s:4:\"date\";s:10:\"1525640400\";}}'),(8,'get_XC5_notificationsTTL','i:1539949711;'),(9,'get_coresData','a:0:{}'),(10,'get_coresTTL','i:1539949732;'),(11,'get_addonsTTL','i:1539949734;'),(15,'phpOldVersionStatusTimestamp','i:1539949729;'),(16,'lowStockUpdateTimestamp','i:1539949729;'),(17,'upgradeInfoStatusTimestamp','i:1539949729;'),(18,'upgradeInfoStatus','a:2:{s:6:\"status\";s:7:\"updates\";s:5:\"count\";i:2;}'),(28,'update_pmTTL','i:1539949751;'),(29,'update_shmTTL','i:1539949752;'),(30,'get_all_bannersData','a:4:{i:0;a:4:{s:10:\"banner_img\";s:92:\"http://my.x-cart.com/sites/default/files/addons/banners2/Banner_2800x650%2520%25282%2529.jpg\";s:13:\"banner_module\";N;s:10:\"banner_url\";s:63:\"https://market.x-cart.com/addons/billriant-payment-gateway.html\";s:14:\"banner_section\";s:7:\"landing\";}i:1;a:4:{s:10:\"banner_img\";s:79:\"http://my.x-cart.com/sites/default/files/addons/banners2/2800-x-680-Banner2.jpg\";s:13:\"banner_module\";s:16:\"XC-SecureTrading\";s:10:\"banner_url\";s:0:\"\";s:14:\"banner_section\";s:7:\"landing\";}i:2;a:4:{s:10:\"banner_img\";s:77:\"http://my.x-cart.com/sites/default/files/addons/banners2/Shopper-Approved.jpg\";s:13:\"banner_module\";s:18:\"XC-ShopperApproved\";s:10:\"banner_url\";s:0:\"\";s:14:\"banner_section\";s:7:\"landing\";}i:3;a:4:{s:10:\"banner_img\";s:67:\"http://my.x-cart.com/sites/default/files/addons/banners2/zapier.jpg\";s:13:\"banner_module\";s:9:\"XC-Zapier\";s:10:\"banner_url\";s:0:\"\";s:14:\"banner_section\";s:7:\"landing\";}}'),(31,'get_all_bannersTTL','i:1539949752;'),(32,'get_all_tagsData','a:28:{i:1;a:5:{s:8:\"tag_name\";s:9:\"Marketing\";s:26:\"tag_banner_expiration_date\";s:0:\"\";s:14:\"tag_banner_img\";s:105:\"http://my.x-cart.com/sites/default/files/tags/banners/Special%2520Offers_%2520Buy%2520X%2520Get%2520Y.jpg\";s:17:\"tag_module_banner\";s:25:\"QSL-SpecialOffersBuyXGetY\";s:14:\"tag_banner_url\";s:0:\"\";}i:2;a:5:{s:8:\"tag_name\";s:15:\"User experience\";s:26:\"tag_banner_expiration_date\";s:0:\"\";s:14:\"tag_banner_img\";s:0:\"\";s:17:\"tag_module_banner\";s:0:\"\";s:14:\"tag_banner_url\";s:0:\"\";}i:3;a:5:{s:8:\"tag_name\";s:13:\"Design tweaks\";s:26:\"tag_banner_expiration_date\";s:0:\"\";s:14:\"tag_banner_img\";s:94:\"http://my.x-cart.com/sites/default/files/tags/banners/Advanced%2520Contact%2520us%2520form.jpg\";s:17:\"tag_module_banner\";s:21:\"QSL-AdvancedContactUs\";s:14:\"tag_banner_url\";s:0:\"\";}i:4;a:5:{s:8:\"tag_name\";s:14:\"Administration\";s:26:\"tag_banner_expiration_date\";s:0:\"\";s:14:\"tag_banner_img\";s:0:\"\";s:17:\"tag_module_banner\";s:0:\"\";s:14:\"tag_banner_url\";s:0:\"\";}i:5;a:5:{s:8:\"tag_name\";s:5:\"Taxes\";s:26:\"tag_banner_expiration_date\";s:0:\"\";s:14:\"tag_banner_img\";s:75:\"http://my.x-cart.com/sites/default/files/tags/banners/TaxJar-banner-tag.png\";s:17:\"tag_module_banner\";s:9:\"XC-TaxJar\";s:14:\"tag_banner_url\";s:0:\"\";}i:6;a:5:{s:8:\"tag_name\";s:11:\"Fulfillment\";s:26:\"tag_banner_expiration_date\";s:0:\"\";s:14:\"tag_banner_img\";s:0:\"\";s:17:\"tag_module_banner\";s:0:\"\";s:14:\"tag_banner_url\";s:0:\"\";}i:7;a:5:{s:8:\"tag_name\";s:18:\"Payment processing\";s:26:\"tag_banner_expiration_date\";s:0:\"\";s:14:\"tag_banner_img\";s:75:\"http://my.x-cart.com/sites/default/files/tags/banners/2048-x-180-Banner.jpg\";s:17:\"tag_module_banner\";s:19:\"XC-EWAYStoredShared\";s:14:\"tag_banner_url\";s:0:\"\";}i:8;a:5:{s:8:\"tag_name\";s:11:\"Translation\";s:26:\"tag_banner_expiration_date\";s:0:\"\";s:14:\"tag_banner_img\";s:0:\"\";s:17:\"tag_module_banner\";s:0:\"\";s:14:\"tag_banner_url\";s:0:\"\";}i:9;a:5:{s:8:\"tag_name\";s:8:\"Shipping\";s:26:\"tag_banner_expiration_date\";s:0:\"\";s:14:\"tag_banner_img\";s:0:\"\";s:17:\"tag_module_banner\";s:0:\"\";s:14:\"tag_banner_url\";s:0:\"\";}i:11;a:5:{s:8:\"tag_name\";s:11:\"Development\";s:26:\"tag_banner_expiration_date\";s:0:\"\";s:14:\"tag_banner_img\";s:0:\"\";s:17:\"tag_module_banner\";s:0:\"\";s:14:\"tag_banner_url\";s:0:\"\";}i:12;a:5:{s:8:\"tag_name\";s:10:\"Statistics\";s:26:\"tag_banner_expiration_date\";s:0:\"\";s:14:\"tag_banner_img\";s:0:\"\";s:17:\"tag_module_banner\";s:0:\"\";s:14:\"tag_banner_url\";s:0:\"\";}i:13;a:5:{s:8:\"tag_name\";s:15:\"Mobile Commerce\";s:26:\"tag_banner_expiration_date\";s:0:\"\";s:14:\"tag_banner_img\";s:0:\"\";s:17:\"tag_module_banner\";s:0:\"\";s:14:\"tag_banner_url\";s:0:\"\";}i:15;a:5:{s:8:\"tag_name\";s:3:\"SEO\";s:26:\"tag_banner_expiration_date\";s:0:\"\";s:14:\"tag_banner_img\";s:84:\"http://my.x-cart.com/sites/default/files/tags/banners/SEO%2520Health%2520Check_1.jpg\";s:17:\"tag_module_banner\";s:0:\"\";s:14:\"tag_banner_url\";s:42:\"https://www.x-cart.com/seo-consulting.html\";}i:16;a:5:{s:8:\"tag_name\";s:21:\"Search and Navigation\";s:26:\"tag_banner_expiration_date\";s:0:\"\";s:14:\"tag_banner_img\";s:70:\"http://my.x-cart.com/sites/default/files/tags/banners/Cloud_Search.jpg\";s:17:\"tag_module_banner\";s:15:\"QSL-CloudSearch\";s:14:\"tag_banner_url\";s:0:\"\";}i:17;a:5:{s:8:\"tag_name\";s:6:\"Social\";s:26:\"tag_banner_expiration_date\";s:0:\"\";s:14:\"tag_banner_img\";s:66:\"http://my.x-cart.com/sites/default/files/tags/banners/livechat.jpg\";s:17:\"tag_module_banner\";s:0:\"\";s:14:\"tag_banner_url\";s:46:\"https://market.x-cart.com/addons/livechat.html\";}i:18;a:5:{s:8:\"tag_name\";s:18:\"Catalog Management\";s:26:\"tag_banner_expiration_date\";s:0:\"\";s:14:\"tag_banner_img\";s:71:\"http://my.x-cart.com/sites/default/files/tags/banners/Shop_by_Brand.jpg\";s:17:\"tag_module_banner\";s:15:\"QSL-ShopByBrand\";s:14:\"tag_banner_url\";s:0:\"\";}i:21;a:5:{s:8:\"tag_name\";s:4:\"Blog\";s:26:\"tag_banner_expiration_date\";s:0:\"\";s:14:\"tag_banner_img\";s:0:\"\";s:17:\"tag_module_banner\";s:0:\"\";s:14:\"tag_banner_url\";s:0:\"\";}i:22;a:5:{s:8:\"tag_name\";s:10:\"Accounting\";s:26:\"tag_banner_expiration_date\";s:0:\"\";s:14:\"tag_banner_img\";s:0:\"\";s:17:\"tag_module_banner\";s:0:\"\";s:14:\"tag_banner_url\";s:0:\"\";}i:23;a:5:{s:8:\"tag_name\";s:6:\"Orders\";s:26:\"tag_banner_expiration_date\";s:0:\"\";s:14:\"tag_banner_img\";s:86:\"http://my.x-cart.com/sites/default/files/tags/banners/Backorder%2520-%2520Preorder.jpg\";s:17:\"tag_module_banner\";s:13:\"QSL-Backorder\";s:14:\"tag_banner_url\";s:0:\"\";}i:24;a:5:{s:8:\"tag_name\";s:8:\"Security\";s:26:\"tag_banner_expiration_date\";s:0:\"\";s:14:\"tag_banner_img\";s:0:\"\";s:17:\"tag_module_banner\";s:0:\"\";s:14:\"tag_banner_url\";s:0:\"\";}i:25;a:5:{s:8:\"tag_name\";s:8:\"Checkout\";s:26:\"tag_banner_expiration_date\";s:0:\"\";s:14:\"tag_banner_img\";s:73:\"http://my.x-cart.com/sites/default/files/tags/banners/banner_2048x180.jpg\";s:17:\"tag_module_banner\";s:24:\"QSL-AuthorizenetAcceptjs\";s:14:\"tag_banner_url\";s:0:\"\";}i:27;a:5:{s:8:\"tag_name\";s:8:\"Products\";s:26:\"tag_banner_expiration_date\";s:0:\"\";s:14:\"tag_banner_img\";s:0:\"\";s:17:\"tag_module_banner\";s:0:\"\";s:14:\"tag_banner_url\";s:0:\"\";}i:29;a:5:{s:8:\"tag_name\";s:9:\"Migration\";s:26:\"tag_banner_expiration_date\";s:0:\"\";s:14:\"tag_banner_img\";s:0:\"\";s:17:\"tag_module_banner\";s:0:\"\";s:14:\"tag_banner_url\";s:0:\"\";}i:30;a:5:{s:8:\"tag_name\";s:16:\"Fraud prevention\";s:26:\"tag_banner_expiration_date\";s:0:\"\";s:14:\"tag_banner_img\";s:0:\"\";s:17:\"tag_module_banner\";s:0:\"\";s:14:\"tag_banner_url\";s:0:\"\";}i:31;a:5:{s:8:\"tag_name\";s:15:\"Price modifiers\";s:26:\"tag_banner_expiration_date\";s:0:\"\";s:14:\"tag_banner_img\";s:0:\"\";s:17:\"tag_module_banner\";s:0:\"\";s:14:\"tag_banner_url\";s:0:\"\";}i:32;a:5:{s:8:\"tag_name\";s:14:\"Sales Channels\";s:26:\"tag_banner_expiration_date\";s:0:\"\";s:14:\"tag_banner_img\";s:103:\"http://my.x-cart.com/sites/default/files/tags/banners/ShopperApproved-xcart-banner-2048x1802048x180.jpg\";s:17:\"tag_module_banner\";s:18:\"XC-ShopperApproved\";s:14:\"tag_banner_url\";s:0:\"\";}i:33;a:5:{s:8:\"tag_name\";s:9:\"Templates\";s:26:\"tag_banner_expiration_date\";s:0:\"\";s:14:\"tag_banner_img\";s:0:\"\";s:17:\"tag_module_banner\";s:0:\"\";s:14:\"tag_banner_url\";s:0:\"\";}i:34;a:5:{s:8:\"tag_name\";s:21:\"Multi-vendor friendly\";s:26:\"tag_banner_expiration_date\";s:0:\"\";s:14:\"tag_banner_img\";s:0:\"\";s:17:\"tag_module_banner\";s:0:\"\";s:14:\"tag_banner_url\";s:0:\"\";}}'),(33,'get_all_tagsTTL','i:1539949752;'),(34,'is_landing_availableData','a:1:{s:7:\"landing\";i:1;}'),(35,'is_landing_availableTTL','i:1539949752;'),(36,'get_wavesData','a:2:{i:1;s:9:\"Developer\";i:127;s:8:\"Merchant\";}'),(37,'get_wavesTTL','i:1539949752;'),(47,'cache_build_timestamp','i:1539949867;'),(49,'cloud_search_reg_scheduled','b:0;'),(51,'inactiveMPKeysData','a:0:{}'),(52,'inactiveMPKeysTTL','i:1539949881;'),(55,'check_for_updatesData','a:3:{s:18:\"isUpgardeAvailable\";i:0;s:18:\"isUpgradeAvailable\";i:0;s:19:\"areUpdatesAvailable\";i:1;}'),(56,'check_for_updatesTTL','i:1539949883;'),(58,'modulesMessageLastTimestamp','s:10:\"1534712400\";'),(59,'newsMessageLastTimestamp','s:10:\"1538686800\";'),(60,'warningMessageLastTimestamp','i:0;'),(61,'upgradeCell','a:6:{i:0;a:2:{s:15:\"QSL\\BraintreeVZ\";O:38:\"XLite\\Upgrade\\Entry\\Module\\Marketplace\":11:{s:17:\"\0*\0repositoryPath\";N;s:16:\"\0*\0errorMessages\";a:0:{}s:24:\"\0*\0premiumLicenseModules\";a:0:{}s:14:\"\0*\0customFiles\";a:0:{}s:19:\"\0*\0wrongPermissions\";a:0:{}s:21:\"\0*\0postRebuildHelpers\";N;s:19:\"\0*\0postUpgradeNotes\";N;s:27:\"\0*\0postUpgradeActionsCalled\";b:0;s:17:\"\0*\0isFreshInstall\";b:0;s:22:\"\0*\0moduleInfoInstalled\";a:6:{s:15:\"fromMarketplace\";b:0;s:6:\"author\";s:3:\"QSL\";s:4:\"name\";s:11:\"BraintreeVZ\";s:12:\"majorVersion\";s:3:\"5.3\";s:12:\"minorVersion\";i:4;s:5:\"build\";i:1;}s:23:\"\0*\0moduleInfoForUpgrade\";a:6:{s:15:\"fromMarketplace\";b:1;s:6:\"author\";s:3:\"QSL\";s:4:\"name\";s:11:\"BraintreeVZ\";s:12:\"majorVersion\";s:3:\"5.3\";s:12:\"minorVersion\";i:4;s:5:\"build\";i:2;}}s:15:\"QSL\\CloudSearch\";O:38:\"XLite\\Upgrade\\Entry\\Module\\Marketplace\":11:{s:17:\"\0*\0repositoryPath\";N;s:16:\"\0*\0errorMessages\";a:0:{}s:24:\"\0*\0premiumLicenseModules\";a:0:{}s:14:\"\0*\0customFiles\";a:0:{}s:19:\"\0*\0wrongPermissions\";a:0:{}s:21:\"\0*\0postRebuildHelpers\";N;s:19:\"\0*\0postUpgradeNotes\";N;s:27:\"\0*\0postUpgradeActionsCalled\";b:0;s:17:\"\0*\0isFreshInstall\";b:0;s:22:\"\0*\0moduleInfoInstalled\";a:6:{s:15:\"fromMarketplace\";b:0;s:6:\"author\";s:3:\"QSL\";s:4:\"name\";s:11:\"CloudSearch\";s:12:\"majorVersion\";s:3:\"5.3\";s:12:\"minorVersion\";i:14;s:5:\"build\";i:1;}s:23:\"\0*\0moduleInfoForUpgrade\";a:6:{s:15:\"fromMarketplace\";b:1;s:6:\"author\";s:3:\"QSL\";s:4:\"name\";s:11:\"CloudSearch\";s:12:\"majorVersion\";s:3:\"5.3\";s:12:\"minorVersion\";i:14;s:5:\"build\";i:3;}}}i:1;b:0;i:2;a:0:{}i:3;a:64:{s:32:\"d7a5b79c3cd4b437287dc43a70885c07\";b:0;s:32:\"4a4fd7ec004a1c2e8896e5f4a57e992f\";b:0;s:32:\"4e58499fcd4dbe1293f7927c9e92c08b\";b:0;s:32:\"0d5a5dc92929dfd8e80585eed8c689d9\";b:0;s:32:\"20a562b9190f78076f9bb46d3c1a6dda\";b:0;s:32:\"a92e0fd0e9c202699fb11848a1fa29d5\";b:0;s:32:\"af7dfae753eb83a406ab23ab8466a4b6\";b:0;s:32:\"7a2bf8cb14b93b0c44402f5c9ba993e0\";b:0;s:32:\"e53b2c3dd4dafc7a62b5ddb3fd52834f\";b:0;s:32:\"ccc20d54457ff9cf74d1d665b9d27ef4\";b:0;s:32:\"8a613da4fa0a8ee51055317de3d94304\";b:0;s:32:\"822e05adb301b18aa64c8b1d6726d0ad\";b:0;s:32:\"934d841b20f010323efadc6338635397\";b:0;s:32:\"a61cf1635f1dd98b4f25e61ff7e92d87\";b:0;s:32:\"aaea02b6e26af6bcd16d47e08056d125\";b:0;s:32:\"81ebea3fd08237358f55d3fdd2fddf72\";b:0;s:32:\"d9cc1b0d8f096bb5853877f41fc02d1c\";b:0;s:32:\"9174d81127e68f22da6558c143b19338\";b:0;s:32:\"c0720d57e23d7054db9258ee346d6a3c\";b:0;s:32:\"96c33d4cf6ae690a6c8b6811cd553897\";b:0;s:32:\"47e233ac6116490f450e19e9ae2dcd08\";b:0;s:32:\"057c048783c9fb9097e74810867caab0\";b:0;s:32:\"90fe586d484b0097d4cc6ce0e74fca4b\";b:0;s:32:\"0aca04ab782e0bbdc1a46c68fbb7ef5b\";b:0;s:32:\"4371a8746418d7e70353f04b6ec3d7a0\";b:0;s:32:\"baca23c11fd12a2d048c0c556c7390bc\";b:0;s:32:\"f1f3820439ec0be1505f0bcb759d1560\";b:0;s:32:\"01bacdae0d8b40700f9805c04c15158c\";b:0;s:32:\"3c8bd95ebe12e56b0ef6d87571218b41\";b:0;s:32:\"3bea1f99613c31e8a7f97216606da247\";b:0;s:32:\"1a248aac0aff68acd2a523b0c2e9d210\";b:0;s:32:\"53712b532f909cc2ebb8200615edc10e\";b:0;s:32:\"b5f7d101dd565f03abc879522ec9d8d3\";b:0;s:32:\"ceb48fd30680c7be361f09c18fdfa7fb\";b:0;s:32:\"ef82955fb290b27c923cd70d5a6b6019\";b:0;s:32:\"355dc29f9023df3e1a6e218a565c0f1a\";b:0;s:32:\"833fe3c0728d593cc0417a7f95a7bd73\";b:0;s:32:\"33b5a1979478e0af44605513191f4b18\";b:0;s:32:\"11a77f4c38b24da466e08ec4f8b11175\";b:0;s:32:\"cb42856a1d89c38adbe03698247c1070\";b:0;s:32:\"e73d60ea06519d06aaf9f1269e89ec05\";b:0;s:32:\"29537e76c5dddc32196443a1f09d2299\";b:0;s:32:\"ef327a5262e23ab7ab140d3ffbeee29a\";b:0;s:32:\"4444879ea6c1d2a64c2c806fd475cd6c\";b:0;s:32:\"01ea8df378a59145ad90953e26982885\";b:0;s:32:\"53dbdaf9731020b5cc4ae4587b140923\";b:0;s:32:\"46b234091d89a70997f451f632c6bc7e\";b:0;s:32:\"c35427a7ea6d8b9daafbc08c65d5775d\";b:0;s:32:\"3e7d16347b3475c7e5a04cd6a9fa7c87\";b:0;s:32:\"269d61cd2dc32a3b3aa04d45d9838a6b\";b:0;s:32:\"3bd411a370d2f284e80ca5bfd2ca40ea\";b:0;s:32:\"1e5a42091662482a46ad40944af82538\";b:0;s:32:\"8c0271b25eb8d8319ebd7565f5b358e4\";b:0;s:32:\"1a808b0eeee52fd7a29fb413830e379e\";b:0;s:32:\"e0806835cdf2238bf3fb42f3448c4663\";b:0;s:32:\"b9393213c04461c68f66ca5d4cce2a0d\";b:0;s:32:\"1b64ef96f16c2b366d4c6108fe0d2b0d\";b:0;s:32:\"7f60da17884e27bfc943c9f4cd2dbb06\";b:0;s:32:\"fa973e751eb705115379f72d4994ae78\";b:0;s:32:\"e70fdb27e636c124a587aafee4712d75\";b:0;s:32:\"22dec21af43e530d0c7b4af38b094af0\";b:0;s:32:\"390ec330b9cfc1653535bdd0466fce43\";b:0;s:32:\"37f45698d1d3deaf50afddad1b5c1c2e\";b:0;s:32:\"9bed637c14e7775d49df1f58b584fe8e\";b:0;}i:4;a:0:{}i:5;a:0:{}}');
/*!40000 ALTER TABLE `xc_tmp_vars` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_upselling_products`
--

DROP TABLE IF EXISTS `xc_upselling_products`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_upselling_products` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `product_id` int(10) unsigned DEFAULT NULL,
  `parent_product_id` int(10) unsigned DEFAULT NULL,
  `orderBy` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `IDX_451DF3D3E14584665A` (`product_id`),
  KEY `parent_product_index` (`parent_product_id`),
  CONSTRAINT `FK_451DF3D3E12C7E20A` FOREIGN KEY (`parent_product_id`) REFERENCES `xc_products` (`product_id`) ON DELETE CASCADE,
  CONSTRAINT `FK_451DF3D3E14584665A` FOREIGN KEY (`product_id`) REFERENCES `xc_products` (`product_id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=50 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_upselling_products`
--

LOCK TABLES `xc_upselling_products` WRITE;
/*!40000 ALTER TABLE `xc_upselling_products` DISABLE KEYS */;
INSERT INTO `xc_upselling_products` VALUES (1,12,16,0),(2,16,12,0),(3,13,16,0),(4,16,13,0),(5,14,16,0),(6,16,14,0),(7,17,16,0),(8,16,17,0),(9,13,12,0),(10,12,13,0),(11,14,12,0),(12,12,14,0),(13,17,12,0),(14,12,17,0),(15,14,13,0),(16,13,14,0),(17,17,13,0),(18,13,17,0),(19,14,17,0),(20,17,14,0),(27,28,41,0),(29,30,41,0),(31,39,41,0),(33,40,37,0),(35,40,41,0),(37,28,37,0),(39,30,37,0),(41,39,37,0),(43,28,42,0),(45,30,42,0),(47,39,42,0),(49,40,42,0);
/*!40000 ALTER TABLE `xc_upselling_products` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_usps_shipment`
--

DROP TABLE IF EXISTS `xc_usps_shipment`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_usps_shipment` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `order_id` int(11) DEFAULT NULL,
  `transactionId` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `requestData` longtext COLLATE utf8_unicode_ci NOT NULL COMMENT '(DC2Type:array)',
  `responseData` longtext COLLATE utf8_unicode_ci NOT NULL COMMENT '(DC2Type:array)',
  `printDate` int(11) NOT NULL,
  `price` decimal(14,4) NOT NULL,
  `shipmentId` varchar(32) COLLATE utf8_unicode_ci NOT NULL,
  `trackingNumber` varchar(32) COLLATE utf8_unicode_ci NOT NULL,
  `trackingData` longtext COLLATE utf8_unicode_ci NOT NULL COMMENT '(DC2Type:array)',
  `labelURL` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `labelContent` longtext COLLATE utf8_unicode_ci NOT NULL COMMENT '(DC2Type:array)',
  PRIMARY KEY (`id`),
  KEY `IDX_459426ED218D9F6D38` (`order_id`),
  CONSTRAINT `FK_459426ED218D9F6D38` FOREIGN KEY (`order_id`) REFERENCES `xc_orders` (`order_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_usps_shipment`
--

LOCK TABLES `xc_usps_shipment` WRITE;
/*!40000 ALTER TABLE `xc_usps_shipment` DISABLE KEYS */;
/*!40000 ALTER TABLE `xc_usps_shipment` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_vendor_convo_message_reads`
--

DROP TABLE IF EXISTS `xc_vendor_convo_message_reads`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_vendor_convo_message_reads` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `message_id` int(10) unsigned DEFAULT NULL,
  `profile_id` int(11) DEFAULT NULL,
  `date` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `id` (`message_id`,`profile_id`),
  KEY `IDX_4525816BBA537A1329` (`message_id`),
  KEY `IDX_4525816BBACCFA12B8` (`profile_id`),
  CONSTRAINT `FK_4525816BBA537A1329` FOREIGN KEY (`message_id`) REFERENCES `xc_vendor_convo_messages` (`id`) ON DELETE CASCADE,
  CONSTRAINT `FK_4525816BBACCFA12B8` FOREIGN KEY (`profile_id`) REFERENCES `xc_profiles` (`profile_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_vendor_convo_message_reads`
--

LOCK TABLES `xc_vendor_convo_message_reads` WRITE;
/*!40000 ALTER TABLE `xc_vendor_convo_message_reads` DISABLE KEYS */;
/*!40000 ALTER TABLE `xc_vendor_convo_message_reads` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_vendor_convo_messages`
--

DROP TABLE IF EXISTS `xc_vendor_convo_messages`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_vendor_convo_messages` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `conversation_id` int(10) unsigned DEFAULT NULL,
  `profile_id` int(11) DEFAULT NULL,
  `date` int(10) unsigned NOT NULL,
  `body` longtext COLLATE utf8_unicode_ci NOT NULL,
  `type` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`),
  KEY `IDX_45329529AC0396` (`conversation_id`),
  KEY `IDX_4532952CCFA12B8` (`profile_id`),
  CONSTRAINT `FK_45329529AC0396` FOREIGN KEY (`conversation_id`) REFERENCES `xc_conversations` (`id`) ON DELETE CASCADE,
  CONSTRAINT `FK_4532952CCFA12B8` FOREIGN KEY (`profile_id`) REFERENCES `xc_profiles` (`profile_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_vendor_convo_messages`
--

LOCK TABLES `xc_vendor_convo_messages` WRITE;
/*!40000 ALTER TABLE `xc_vendor_convo_messages` DISABLE KEYS */;
/*!40000 ALTER TABLE `xc_vendor_convo_messages` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_view_lists`
--

DROP TABLE IF EXISTS `xc_view_lists`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_view_lists` (
  `list_id` int(11) NOT NULL AUTO_INCREMENT,
  `list_override` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `weight_override` int(11) NOT NULL,
  `override_mode` int(11) NOT NULL,
  `class` varchar(255) CHARACTER SET latin1 NOT NULL,
  `list` varchar(255) CHARACTER SET latin1 NOT NULL,
  `zone` varchar(16) CHARACTER SET latin1 NOT NULL,
  `child` varchar(512) CHARACTER SET latin1 NOT NULL,
  `weight` int(11) NOT NULL,
  `tpl` varchar(512) CHARACTER SET latin1 NOT NULL,
  `version` varchar(32) COLLATE utf8_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`list_id`),
  KEY `tl` (`tpl`,`list`),
  KEY `lzv` (`list`,`zone`,`version`)
) ENGINE=InnoDB AUTO_INCREMENT=3306 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_view_lists`
--

LOCK TABLES `xc_view_lists` WRITE;
/*!40000 ALTER TABLE `xc_view_lists` DISABLE KEYS */;
INSERT INTO `xc_view_lists` VALUES (1639,'',0,0,'','sidebar.footer','customer','XLite\\View\\PoweredBy',16777215,'',NULL),(1640,'',0,0,'','center','customer','XLite\\View\\ChangeAttributeValues',16777215,'',NULL),(1641,'',0,0,'','center','customer','XLite\\View\\Authorization',16777215,'',NULL),(1642,'',0,0,'','admin.center','admin','XLite\\View\\HttpsSettings',16777215,'',NULL),(1643,'',0,0,'','checkout.review.selected','customer','XLite\\View\\Checkout\\CartItems',10,'',NULL),(1644,'',0,0,'','checkout.shipping.selected.sub.payment','customer','XLite\\View\\Checkout\\PaymentMethodsList',300,'',NULL),(1645,'',0,0,'','checkout.review.selected.placeOrder','customer','XLite\\View\\Checkout\\Payment',100,'',NULL),(1646,'',0,0,'','checkout.main','customer','XLite\\View\\Checkout\\Steps',200,'',NULL),(1647,'',0,0,'','admin.main.page.header','admin','XLite\\View\\HeaderSearch',500,'',NULL),(1648,'',0,0,'','admin.center','admin','XLite\\View\\Dashboard',16777215,'',NULL),(1649,'',0,0,'','admin.main.page.header','admin','XLite\\View\\QueryMarketplace',0,'',NULL),(1650,'',0,0,'','admin.main.page.header.right','admin','XLite\\View\\Job\\HeaderJobsState',90,'',NULL),(1651,'',0,0,'','admin.center','admin','XLite\\View\\RecoverPasswordAdmin',16777215,'',NULL),(1652,'',0,0,'','center','customer','XLite\\View\\BackFromPayment',16777215,'',NULL),(1653,'',0,0,'','center','customer','XLite\\View\\CheckoutSuccess',16777215,'',NULL),(1654,'',0,0,'','center.bottom','customer','XLite\\View\\Subcategories',100,'',NULL),(1655,'',0,0,'','admin.center','admin','XLite\\View\\MembershipsQuickData\\Main',16777215,'',NULL),(1658,'',0,0,'','header.language.menu','customer','XLite\\View\\LanguageSelector\\Customer',100,'',NULL),(1659,'',0,0,'','main','admin','XLite\\View\\AdminPanel',100,'',NULL),(1660,'',0,0,'','layout.header.mobile','customer','XLite\\View\\MobileHeader',100,'',NULL),(1661,'',0,0,'','checkout.review.surcharge.info','customer','XLite\\View\\SurchargeInfo\\CODSurchargeInfo',10,'',NULL),(1662,'',0,0,'','admin.main.page.header.left','admin','XLite\\View\\CoreVersionPlacer',200,'',NULL),(1663,'',0,0,'','admin.center','admin','XLite\\View\\Promotions',16777215,'',NULL),(1664,'',0,0,'','center.bottom','customer','XLite\\View\\Search',100,'',NULL),(1665,'',0,0,'','center','customer','XLite\\View\\Cart',16777215,'',NULL),(1666,'',0,0,'','sidebar.first','customer','XLite\\View\\TopCategories',100,'',NULL),(1667,'',0,0,'','admin.center','admin','XLite\\View\\ProductSelections',16777215,'',NULL),(1668,'',0,0,'','admin.center','admin','XLite\\View\\Attribute',16777215,'',NULL),(1669,'',0,0,'','admin.center','admin','XLite\\View\\Accounting',16777215,'',NULL),(1670,'',0,0,'','center','customer','XLite\\View\\CheckoutCanceled',16777215,'',NULL),(1672,'',0,0,'','admin.center','admin','XLite\\View\\SafeMode',16777215,'',NULL),(1673,'',0,0,'','import.completed.content','admin','XLite\\View\\Import\\Warnings',1000,'',NULL),(1675,'',0,0,'','layout.main','customer','XLite\\View\\TopMessage',100,'',NULL),(1676,'',0,0,'','center','customer','XLite\\View\\CheckoutFailed',16777215,'',NULL),(1677,'',0,0,'','layout.main.breadcrumb','customer','XLite\\View\\Location',100,'',NULL),(1678,'',0,0,'','admin.center','admin','XLite\\View\\Tabs\\BackupRestore',16777215,'',NULL),(1679,'',0,0,'','admin.center','admin','XLite\\View\\Tabs\\AdminProfile',16777215,'',NULL),(1680,'',0,0,'','admin.center','admin','XLite\\View\\Tabs\\Shipping',16777215,'',NULL),(1681,'',0,0,'','admin.center','admin','XLite\\View\\Tabs\\Notifications',16777215,'',NULL),(1682,'',0,0,'','add_shipping','admin','XLite\\View\\Tabs\\ShippingType',10,'',NULL),(1683,'',0,0,'','admin.center','admin','XLite\\View\\Tabs\\Countries',16777215,'',NULL),(1684,'',0,0,'','admin.center','admin','XLite\\View\\Tabs\\CartCheckout',16777215,'',NULL),(1685,'',0,0,'','admin.center','admin','XLite\\View\\Tabs\\Statistics',16777215,'',NULL),(1686,'',0,0,'','admin.center','admin','XLite\\View\\Tabs\\PaymentSettings',16777215,'',NULL),(1687,'',0,0,'','admin.center','admin','XLite\\View\\Tabs\\Translations',16777215,'',NULL),(1688,'',0,0,'','add_payment','admin','XLite\\View\\Tabs\\OnlinePaymentType',10,'',NULL),(1689,'',0,0,'','admin.center','admin','XLite\\View\\Tabs\\Category',16777215,'',NULL),(1690,'',0,0,'','admin.center','admin','XLite\\View\\Tabs\\FrontPage',16777215,'',NULL),(1691,'',0,0,'','admin.center','admin','XLite\\View\\Tabs\\ShippingSettings',16777215,'',NULL),(1692,'',0,0,'','admin.center','admin','XLite\\View\\Tabs\\Localization',16777215,'',NULL),(1693,'',0,0,'','center','customer','XLite\\View\\Tabs\\Account',16777215,'',NULL),(1694,'',0,0,'','admin.center','admin','XLite\\View\\Tabs\\Taxes',20,'',NULL),(1695,'',0,0,'','center','customer','XLite\\View\\Welcome',16777215,'',NULL),(1696,'',0,0,'','admin.center','admin','XLite\\View\\SalesCalculation\\Progress',16777215,'',NULL),(1697,'',0,0,'','center','customer','XLite\\View\\AccessDenied',16777215,'',NULL),(1699,'',0,0,'','center','customer','XLite\\View\\ShippingEstimator\\ShippingEstimate',16777215,'',NULL),(1700,'',0,0,'','admin.center','admin','XLite\\View\\FileSelectorDialog',16777215,'',NULL),(1703,'',0,0,'','center','customer','XLite\\View\\Product\\Details\\Customer\\Page\\QuickLook',16777215,'',NULL),(1704,'',0,0,'','center','customer','XLite\\View\\Product\\Details\\Customer\\Page\\Main',16777215,'',NULL),(1705,'',0,0,'','product.details.page.image.photo','customer','XLite\\View\\Product\\Details\\Customer\\Image',10,'',NULL),(1706,'',0,0,'','product.details.quicklook.image','customer','XLite\\View\\Product\\Details\\Customer\\Image',10,'',NULL),(1707,'',0,0,'','center','customer','XLite\\View\\Order',16777215,'',NULL),(1708,'',0,0,'','body','customer','XLite\\View\\Content',100,'',NULL),(1709,'',0,0,'','body','admin','XLite\\View\\Content',100,'',NULL),(1710,'',0,0,'','admin.main.page.header.right','admin','XLite\\View\\StorefrontStatus',100,'',NULL),(1711,'',0,0,'','center','customer','XLite\\View\\Terms',16777215,'',NULL),(1712,'',0,0,'','order.children','admin','XLite\\View\\PackingSlip',30,'',NULL),(1713,'',0,0,'','admin.main.page.header.left','admin','XLite\\View\\CoreVersion',200,'',NULL),(1714,'',0,0,'','admin.center','admin','XLite\\View\\Tabber',1000,'',NULL),(1715,'',0,0,'','center','customer','XLite\\View\\PageNotFound',16777215,'',NULL),(1716,'',0,0,'','admin.center','admin','XLite\\View\\PageNotFound',16777215,'',NULL),(1717,'',0,0,'','layout.main.footer','customer','XLite\\View\\Menu\\Customer\\Footer',100,'',NULL),(1718,'',0,0,'','slidebar.menu','customer','XLite\\View\\Menu\\Customer\\Top',50,'',NULL),(1719,'',0,0,'','header.menu','customer','XLite\\View\\Menu\\Customer\\Top',50,'',NULL),(1720,'',0,0,'','admin.main.page.header.right','admin','XLite\\View\\Menu\\Admin\\LanguageSelector\\TopMenuNode',200,'',NULL),(1721,'',0,0,'','admin.main.page.header','admin','XLite\\View\\Menu\\Admin\\Info\\TopMenuNode',200,'',NULL),(1722,'',0,0,'','admin.main.page.header','admin','XLite\\View\\Menu\\Admin\\Marketplace\\TopMenuNode',300,'',NULL),(1723,'',0,0,'','admin.main.page.header.right','admin','XLite\\View\\Menu\\Admin\\Account\\TopMenuNode',300,'',NULL),(1724,'',0,0,'','admin.main.page.content.left','admin','XLite\\View\\Menu\\Admin\\LeftMenu',100,'',NULL),(1725,'',0,0,'','admin.main.page.header','admin','XLite\\View\\Menu\\Admin\\QuickMenu\\TopMenuNode',400,'',NULL),(1726,'',0,0,'','invoice.item.name','customer','XLite\\View\\InvoiceAttributeValues',50,'',NULL),(1727,'',0,0,'','invoice.item.name','admin','XLite\\View\\InvoiceAttributeValues',20,'',NULL),(1728,'',0,0,'','invoice.item.name','mail','XLite\\View\\InvoiceAttributeValues',50,'',NULL),(1729,'',0,0,'','invoice.item.name','pdf','XLite\\View\\InvoiceAttributeValues',20,'',NULL),(1730,'',0,0,'','order.items.item.name','admin','XLite\\View\\InvoiceAttributeValues',20,'',NULL),(1731,'',0,0,'','body','customer','XLite\\View\\JSContainer',999999,'',NULL),(1732,'',0,0,'','body','admin','XLite\\View\\JSContainer',10,'',NULL),(1733,'',0,0,'','admin.center','admin','XLite\\View\\ProductClass',16777215,'',NULL),(1734,'',0,0,'','layout.main','customer','XLite\\View\\OperateAsUserNotification',0,'',NULL),(1735,'',0,0,'','center','customer','XLite\\View\\SelectAddress',16777215,'',NULL),(1736,'',0,0,'','taxes.help.section','admin','XLite\\View\\TaxBanner',10,'',NULL),(1737,'',0,0,'','layout.main.breadcrumb','admin','XLite\\View\\AdminLocation',100,'',NULL),(1738,'',0,0,'','layout.header.categories','customer','XLite\\View\\TopCategoriesSlidebar',10,'',NULL),(1739,'',0,0,'','dashboard-sidebar','admin','XLite\\View\\RSS\\RSSLazyLoad',400,'',NULL),(1740,'',0,0,'','center','customer','XLite\\View\\Checkout',16777215,'',NULL),(1741,'',0,0,'','orders.panel','customer','XLite\\View\\Sort\\Order',20,'',NULL),(1742,'',0,0,'','layout.slidebar','customer','XLite\\View\\Slidebar',10,'',NULL),(1743,'',0,0,'','taxes.top.section','admin','XLite\\View\\TaxBannerAlert',10,'',NULL),(1744,'',0,0,'','admin.center','admin','XLite\\View\\LanguagesModify\\LanguageImport',16777215,'',NULL),(1745,'',0,0,'','admin.center','admin','XLite\\View\\Attributes',16777215,'',NULL),(1746,'',0,0,'','admin.center','admin','XLite\\View\\Shipping\\AddMethod',16777215,'',NULL),(1747,'',0,0,'','admin.center','admin','XLite\\View\\Shipping\\EditMethod',16777215,'',NULL),(1748,'',0,0,'','admin.center','admin','XLite\\View\\CommonResources',16777215,'',NULL),(1749,'',0,0,'','layout.main','customer','XLite\\View\\CommonResources',16777215,'',NULL),(1750,'',0,0,'','admin.center','admin','XLite\\View\\AttributeGroup',16777215,'',NULL),(1751,'',0,0,'','admin.center','admin','XLite\\View\\Model\\Profile\\ForceChangePassword',16777215,'',NULL),(1752,'',0,0,'','cart.item.info','customer','XLite\\View\\SelectedAttributeValues',20,'',NULL),(1753,'',0,0,'','center','customer','XLite\\View\\AccessControl',16777215,'',NULL),(1754,'',0,0,'','admin.center','admin','XLite\\View\\Upgrade\\UpgradeWaveWarning',0,'',NULL),(1755,'',0,0,'','admin.center','admin','XLite\\View\\Upgrade\\Tabber',1000,'',NULL),(1756,'',0,0,'','admin.center','admin','XLite\\View\\Upgrade\\EmptyCells',100,'',NULL),(1757,'',0,0,'','admin.center','admin','XLite\\View\\Upgrade\\Step\\Prepare\\UpgradeDisallowed',1,'',NULL),(1758,'',0,0,'','admin.center','admin','XLite\\View\\Upgrade\\Step\\Prepare\\Buttons',300,'',NULL),(1759,'',0,0,'','admin.center','admin','XLite\\View\\Upgrade\\Step\\Prepare\\PremiumLicenseModules',1,'',NULL),(1760,'',0,0,'','admin.center','admin','XLite\\View\\Upgrade\\Step\\Prepare\\StatusMessages',0,'',NULL),(1761,'',0,0,'','admin.center','admin','XLite\\View\\Upgrade\\Step\\Prepare\\EntriesList',100,'',NULL),(1762,'',0,0,'','admin.center','admin','XLite\\View\\Upgrade\\Step\\Completed\\Backup',200,'',NULL),(1763,'',0,0,'','admin.center','admin','XLite\\View\\Upgrade\\Step\\Completed\\Log',400,'',NULL),(1764,'',0,0,'','admin.center','admin','XLite\\View\\Upgrade\\Step\\Completed\\StatusMessages',0,'',NULL),(1765,'',0,0,'','admin.center','admin','XLite\\View\\Upgrade\\Step\\Completed\\EntriesList',300,'',NULL),(1766,'',0,0,'','admin.center','admin','XLite\\View\\Upgrade\\Step\\ReadyToInstall\\Buttons',100,'',NULL),(1767,'',0,0,'','admin.center','admin','XLite\\View\\Upgrade\\Step\\ReadyToInstall\\StatusMessages',0,'',NULL),(1768,'',0,0,'','admin.center','admin','XLite\\View\\Upgrade\\InstallUpdates',16777215,'',NULL),(1769,'',0,0,'','admin.center','admin','XLite\\View\\BrowseServer',16777215,'',NULL),(1770,'',0,0,'','admin.center','admin','XLite\\View\\RecentLogin',16777215,'',NULL),(1771,'',0,0,'','admin.main.page.header_wrapper','admin','XLite\\View\\ActivateTopBox',500,'',NULL),(1773,'',0,0,'','minicart.vertical.item','customer','XLite\\View\\MinicartAttributeValues',30,'',NULL),(1774,'',0,0,'','center','customer','XLite\\View\\Category',16777215,'',NULL),(1775,'',0,0,'','admin.center','admin','XLite\\View\\CacheManagement',16777215,'',NULL),(1776,'',0,0,'','admin.center','admin','XLite\\View\\AttributeOption',16777215,'',NULL),(1777,'',0,0,'','center','customer','XLite\\View\\InvoicePage',16777215,'',NULL),(1778,'',0,0,'','admin.main.page.header_wrapper','admin','XLite\\View\\UpgradeTopBox',1000,'',NULL),(1779,'',0,0,'','admin.center','admin','XLite\\View\\Page\\Performance',16777215,'',NULL),(1780,'',0,0,'','admin.center','admin','XLite\\View\\Page\\PaymentTransaction',16777215,'',NULL),(1781,'',0,0,'','admin.center','admin','XLite\\View\\Page\\Layout',16777215,'',NULL),(1782,'',0,0,'','admin.center','admin','XLite\\View\\Page\\Logs',16777215,'',NULL),(1783,'',0,0,'','admin.center','admin','XLite\\View\\Page\\Admin\\Export',16777215,'',NULL),(1784,'',0,0,'','admin.center','admin','XLite\\View\\Page\\Admin\\Import',16777215,'',NULL),(1785,'',0,0,'','environment.before','admin','XLite\\View\\Page\\Admin\\OldPhpVersionWarning',16777215,'',NULL),(1786,'',0,0,'','admin.center','admin','XLite\\View\\Page\\Images',16777215,'',NULL),(1787,'',0,0,'','itemsList.product.cart','customer','XLite\\View\\ItemsList\\Product\\Customer\\CartTray',16777215,'',NULL),(1788,'',0,0,'','center.bottom','customer','XLite\\View\\ItemsList\\Product\\Customer\\Category\\Main',200,'',NULL),(1789,'',0,0,'','admin.center','admin','XLite\\View\\ItemsList\\Model\\Product\\Admin\\Cloned',16777215,'',NULL),(1790,'',0,0,'','admin.center','admin','XLite\\View\\ItemsList\\Model\\Product\\Admin\\Search',16777215,'',NULL),(1791,'',0,0,'','admin.center','admin','XLite\\View\\ItemsList\\Model\\ProductClass',16777215,'',NULL),(1792,'',0,0,'','admin.center','admin','XLite\\View\\ItemsList\\Model\\AttributeGroup',16777215,'',NULL),(1793,'',0,0,'','order.actions','admin','XLite\\View\\ItemsList\\Model\\OrderTrackingNumber',9999,'',NULL),(1794,'',0,0,'','admin.center','admin','XLite\\View\\ItemsList\\Model\\AttributeOption',16777215,'',NULL),(1795,'',0,0,'','admin.center','admin','XLite\\View\\ItemsList\\Model\\Membership',16777215,'',NULL),(1796,'',0,0,'','admin.center','admin','XLite\\View\\ItemsList\\Model\\Order\\Admin\\Recent',16777215,'',NULL),(1797,'',0,0,'','dashboard-center','admin','XLite\\View\\ItemsList\\Model\\Order\\Admin\\RecentBlock',100,'',NULL),(1798,'',0,0,'','pager.admin.model.table.right','admin','XLite\\View\\ItemsList\\Model\\Order\\Admin\\SearchTotal',100,'',NULL),(1799,'',0,0,'','admin.center','admin','XLite\\View\\ItemsList\\Model\\Payment\\Transaction',16777215,'',NULL),(1800,'',0,0,'','admin.center','admin','XLite\\View\\ItemsList\\Model\\Profile',16777215,'',NULL),(1801,'',0,0,'','cli.center','console','XLite\\View\\Console\\Main',16777215,'',NULL),(1802,'',0,0,'','cli.center','console','XLite\\View\\Console\\Error',16777215,'',NULL),(1803,'',0,0,'','cli.center','console','XLite\\View\\Console\\Db',16777215,'',NULL),(1804,'',0,0,'','center','customer','XLite\\View\\BackToTop',16777215,'',NULL),(1805,'',0,0,'','admin.center','admin','XLite\\View\\IntegrityCheck\\Page',16777215,'',NULL),(1806,'',0,0,'','admin.center','admin','XLite\\View\\RemoveData',16777215,'',NULL),(1807,'',0,0,'','admin.center','admin','XLite\\View\\Order\\Search\\Search',16777215,'',NULL),(1808,'',0,0,'','order.details.payment_actions','admin','XLite\\View\\Order\\Details\\Admin\\PaymentActionsUnit',16777215,'',NULL),(1809,'',0,0,'','page.tabs.after','admin','XLite\\View\\Order\\Details\\Admin\\NextPrevious',200,'',NULL),(1810,'',0,0,'','order.actions','admin','XLite\\View\\Order\\Actions',200,'',NULL),(1811,'',0,0,'','dashboard-sidebar','admin','XLite\\View\\Order\\Statistics\\MiniInformer',100,'',NULL),(1812,'',0,0,'','center','customer','XLite\\View\\RecoverPassword',16777215,'',NULL),(1813,'',0,0,'','order.children','customer','XLite\\View\\Invoice',30,'',NULL),(1814,'',0,0,'','carriers.before','admin','XLite\\View\\Promo\\FreeShippingHowTo',16777215,'',NULL),(1815,'',0,0,'','crud.settings.header','admin','XLite\\View\\Promo\\SMTP',100,'',NULL),(1816,'',0,0,'','checkout.main','customer','XLite\\View\\AllInOneSolutions',1,'',NULL),(1817,'',0,0,'','admin.center','admin','XLite\\View\\ModulesManager\\Install',16777215,'',NULL),(1818,'',0,0,'','admin.center','admin','XLite\\View\\ModulesManager\\Manage',16777215,'',NULL),(1819,'',0,0,'','admin.center','admin','XLite\\View\\ModulesManager\\LicenseKey',16777215,'',NULL),(1820,'',0,0,'','admin.center','admin','XLite\\View\\ModulesManager\\KeysNotice',0,'',NULL),(1821,'',0,0,'','admin.center','admin','XLite\\View\\ModulesManager\\TrialNotice',0,'',NULL),(1822,'',0,0,'','admin.center','admin','XLite\\View\\ModulesManager\\ModuleLicense',16777215,'',NULL),(1823,'',0,0,'','admin.center','admin','XLite\\View\\ModulesManager\\InstallationType',16777215,'',NULL),(1824,'',0,0,'','admin.center','admin','XLite\\View\\ModulesManager\\UploadAddons',16777215,'',NULL),(1825,'',0,0,'','admin.center','admin','XLite\\View\\ModulesManager\\Purchased',16777215,'',NULL),(1826,'',0,0,'','itemsList.module.manage.columns.module-main-section.actions','admin','XLite\\View\\ModulesManager\\Action\\Uninstall',100,'',NULL),(1827,'',0,0,'','itemsList.module.manage.columns.module-main-section.actions','admin','XLite\\View\\ModulesManager\\Action\\Main',10,'',NULL),(1828,'',0,0,'','itemsList.module.manage.columns.module-main-section.actions','admin','XLite\\View\\ModulesManager\\Action\\ManageLayout',17,'',NULL),(1829,'',0,0,'','itemsList.module.manage.columns.module-main-section.actions','admin','XLite\\View\\ModulesManager\\Action\\Settings',15,'',NULL),(1830,'',0,0,'','itemsList.module.manage.columns.module-main-section.actions','admin','XLite\\View\\ModulesManager\\Action\\Pack',30,'',NULL),(1831,'',0,0,'','admin.center','admin','XLite\\View\\ModulesManager\\AddonKey',16777215,'',NULL),(1832,'',0,0,'','admin.center','admin','XLite\\View\\ModulesManager\\ModuleWarnings',16777215,'',NULL),(1833,'',0,0,'','admin.center','admin','XLite\\View\\ConsistencyCheck\\Page',16777215,'',NULL),(1834,'',0,0,'','modules.pager.buttons','admin','XLite\\View\\Button\\AllAddons',100,'',NULL),(1835,'',0,0,'','marketplace.addons-filters','admin','XLite\\View\\Button\\Addon\\EnterLicenseKey',300,'',NULL),(1836,'',0,0,'','marketplace.addons-filters','admin','XLite\\View\\Button\\Addon\\ActivateLicenseKey',300,'',NULL),(1837,'',0,0,'','page.tabs.after','admin','XLite\\View\\Button\\PrintPackingSlip',100,'',NULL),(1838,'',0,0,'','page.tabs.after','admin','XLite\\View\\Button\\PrintInvoice',200,'',NULL),(1839,'',0,0,'','admin.center','admin','XLite\\View\\Payment\\AddMethod',16777215,'',NULL),(1840,'',0,0,'','admin.center','admin','XLite\\View\\Payment\\Method',16777215,'',NULL),(1841,'',0,0,'','center','customer','XLite\\View\\Payment\\Iframe',16777215,'',NULL),(1842,'',0,0,'','admin.center','admin','XLite\\View\\ActivateFreeLicense',16777215,'',NULL),(1843,'',0,0,'','layout.main','customer','XLite\\View\\CategoryBanner',350,'',NULL),(1844,'',0,0,'','admin.center','admin','XLite\\View\\Login',16777215,'',NULL),(1845,'',0,0,'','layout.header.right','customer','XLite\\View\\Minicart',100,'',NULL),(1846,'',0,0,'','dashboard-center','admin','XLite\\View\\WelcomeBlock\\Admin',50,'',NULL),(1847,'',0,0,'','dashboard-center','admin','XLite\\View\\WelcomeBlock\\RootAdmin',50,'',NULL),(1848,'',0,0,'','order','admin','XLite\\View\\OrderHistory',150,'',NULL),(1849,'',0,0,'','dashboard-sidebar','admin','XLite\\View\\BenchmarkSummary',300,'',NULL),(1850,'',0,0,'','center.top','customer','XLite\\Module\\Amazon\\PayWithAmazon\\View\\CheckoutButton',100,'',NULL),(1851,'',0,0,'','center','customer','XLite\\Module\\Amazon\\PayWithAmazon\\View\\AmazonCheckout',16777215,'',NULL),(1852,'',0,0,'','center','customer','XLite\\Module\\CDev\\Bestsellers\\View\\BestsellersPage',16777215,'',NULL),(1853,'',0,0,'','center.bottom','customer','XLite\\Module\\CDev\\Bestsellers\\View\\Bestsellers',400,'',NULL),(1854,'',0,0,'','center','customer','XLite\\Module\\CDev\\ContactUs\\View\\ContactUs',16777215,'',NULL),(1855,'',0,0,'','admin.center','admin','XLite\\Module\\CDev\\Coupons\\View\\Coupon',16777215,'',NULL),(1856,'',0,0,'','coupons.itemsList.footer','admin','XLite\\Module\\CDev\\Coupons\\View\\Panel\\Coupons',16777215,'',NULL),(1857,'',0,0,'','cart.panel.box','customer','XLite\\Module\\CDev\\Coupons\\View\\CartCoupons',200,'',NULL),(1859,'',0,0,'','checkout_fastlane.sections.details','customer','XLite\\Module\\CDev\\Coupons\\View\\CartCoupons',200,'',NULL),(1860,'',0,0,'','invoice.item.name','customer','XLite\\Module\\CDev\\Egoods\\View\\Order\\ItemBox',16777215,'',NULL),(1861,'',0,0,'','invoice.item.name','mail','XLite\\Module\\CDev\\Egoods\\View\\Order\\ItemBox',16777215,'',NULL),(1862,'',0,0,'','page.tabs.after','admin','XLite\\Module\\CDev\\Egoods\\View\\Button\\RenewAll',0,'',NULL),(1863,'',0,0,'','page.tabs.after','admin','XLite\\Module\\CDev\\Egoods\\View\\Button\\BlockAll',0,'',NULL),(1864,'',0,0,'','admin.center','admin','XLite\\Module\\CDev\\FeaturedProducts\\View\\ProductSelections',16777215,'',NULL),(1865,'',0,0,'','admin.center','admin','XLite\\Module\\CDev\\FeaturedProducts\\View\\FProducts',16777215,'',NULL),(1866,'',0,0,'','center.bottom','customer','XLite\\Module\\CDev\\FeaturedProducts\\View\\Customer\\FeaturedProducts',300,'',NULL),(1867,'',0,0,'','product.details.page.tab.description.file-attachments','customer','XLite\\Module\\CDev\\FileAttachments\\View\\Product\\Customer',10,'',NULL),(1868,'',0,0,'','product.details.page.tab.comments','customer','XLite\\Module\\CDev\\GoSocial\\View\\FacebookComments',16777215,'',NULL),(1869,'',0,0,'','body','customer','XLite\\Module\\CDev\\GoSocial\\View\\ExternalSDK\\Facebook',999998,'',NULL),(1870,'',0,0,'','product.modify.list','admin','XLite\\Module\\CDev\\GoSocial\\View\\ProductModify',1015,'',NULL),(1871,'',0,0,'','buttons.share','customer','XLite\\Module\\CDev\\GoSocial\\View\\Button\\Pinterest',400,'',NULL),(1872,'',0,0,'','buttons.share','customer','XLite\\Module\\CDev\\GoSocial\\View\\Button\\Tweet',200,'',NULL),(1873,'',0,0,'','buttons.share','customer','XLite\\Module\\CDev\\GoSocial\\View\\Button\\GooglePlus',300,'',NULL),(1874,'',0,0,'','buttons.share','customer','XLite\\Module\\CDev\\GoSocial\\View\\Button\\FacebookLike',50,'',NULL),(1875,'',0,0,'','buttons.share','customer','XLite\\Module\\CDev\\GoSocial\\View\\Button\\Facebook',100,'',NULL),(1876,'',0,0,'','head','customer','XLite\\Module\\CDev\\GoogleAnalytics\\View\\Header\\Traditional',16777215,'',NULL),(1877,'',0,0,'','head','customer','XLite\\Module\\CDev\\GoogleAnalytics\\View\\Header\\Universal',16777215,'',NULL),(1878,'',0,0,'','head','admin','XLite\\Module\\CDev\\GoogleAnalytics\\View\\Header\\Universal',16777215,'',NULL),(1879,'',0,0,'','tabs.content','admin','XLite\\Module\\CDev\\GoogleAnalytics\\View\\TabberLink',16777215,'',NULL),(1880,'',0,0,'','layout.footer','customer','XLite\\Module\\CDev\\GoogleAnalytics\\View\\GAActions',16777215,'',NULL),(1881,'',0,0,'','body','admin','XLite\\Module\\CDev\\GoogleAnalytics\\View\\GAActions',16777215,'',NULL),(1882,'',0,0,'','admin.center','admin','XLite\\Module\\CDev\\Moneybookers\\View\\MoneybookersSettings',16777215,'',NULL),(1883,'',0,0,'','admin.center','admin','XLite\\Module\\CDev\\PINCodes\\View\\AddPinCodesDialog',16777215,'',NULL),(1884,'',0,0,'','product.pinCodes','admin','XLite\\Module\\CDev\\PINCodes\\View\\ItemsList\\Model\\PinCode\\Admin\\Manage',500,'',NULL),(1885,'',0,0,'','invoice.item.name','customer','XLite\\Module\\CDev\\PINCodes\\View\\InvoicePinCodes',200,'',NULL),(1886,'',0,0,'','invoice.item.name','admin','XLite\\Module\\CDev\\PINCodes\\View\\InvoicePinCodes',30,'',NULL),(1887,'',0,0,'','admin.center','admin','XLite\\Module\\CDev\\Paypal\\View\\Tabs\\Settings',16777215,'',NULL),(1888,'',0,0,'','crud.paypalbutton.formHeader','admin','XLite\\Module\\CDev\\Paypal\\View\\ItemsList\\Model\\PaypalButton',100,'',NULL),(1889,'',0,0,'','checkout.review.selected.placeOrder','customer','XLite\\Module\\CDev\\Paypal\\View\\Button\\Checkout\\ExpressCheckout',450,'',NULL),(1890,'',0,0,'','checkout_fastlane.sections.place-order.before','customer','XLite\\Module\\CDev\\Paypal\\View\\Button\\Checkout\\ExpressCheckout',100,'',NULL),(1891,'',0,0,'','checkout.review.selected.placeOrder','customer','XLite\\Module\\CDev\\Paypal\\View\\Button\\Checkout\\PaypalCredit',450,'',NULL),(1892,'',0,0,'','checkout_fastlane.sections.place-order.before','customer','XLite\\Module\\CDev\\Paypal\\View\\Button\\Checkout\\PaypalCredit',100,'',NULL),(1893,'',0,0,'','checkout.review.selected.placeOrder','customer','XLite\\Module\\CDev\\Paypal\\View\\Button\\Checkout\\PaypalForMarketplaces',450,'',NULL),(1894,'',0,0,'','checkout_fastlane.sections.place-order.before','customer','XLite\\Module\\CDev\\Paypal\\View\\Button\\Checkout\\PaypalForMarketplaces',100,'',NULL),(1895,'',0,0,'','cart.panel.totals','customer','XLite\\Module\\CDev\\Paypal\\View\\Button\\Cart\\ExpressCheckout',100,'',NULL),(1896,'',0,0,'','cart.panel.totals','customer','XLite\\Module\\CDev\\Paypal\\View\\Button\\Cart\\ButtonsSeparator',90,'',NULL),(1897,'',0,0,'','minicart.horizontal.buttons','customer','XLite\\Module\\CDev\\Paypal\\View\\Button\\Minicart\\ExpressCheckout',100,'',NULL),(1898,'',0,0,'','minicart.horizontal.buttons','customer','XLite\\Module\\CDev\\Paypal\\View\\Button\\Minicart\\ButtonsSeparator',90,'',NULL),(1899,'',0,0,'','dashboard-center','admin','XLite\\Module\\CDev\\Paypal\\View\\WelcomeBlock\\Paypal',20,'',NULL),(1900,'',0,0,'','center.bottom','customer','XLite\\Module\\CDev\\ProductAdvisor\\View\\BoughtBought',700,'',NULL),(1901,'',0,0,'','center.bottom','customer','XLite\\Module\\CDev\\ProductAdvisor\\View\\ViewedBought',800,'',NULL),(1902,'',0,0,'','sidebar.second','customer','XLite\\Module\\CDev\\ProductAdvisor\\View\\ComingSoon',700,'',NULL),(1903,'',0,0,'','center.bottom','customer','XLite\\Module\\CDev\\ProductAdvisor\\View\\RecentlyViewed',500,'',NULL),(1904,'',0,0,'','center','customer','XLite\\Module\\CDev\\ProductAdvisor\\View\\NewArrivalsPage',16777215,'',NULL),(1905,'',0,0,'','center','customer','XLite\\Module\\CDev\\ProductAdvisor\\View\\ComingSoonPage',16777215,'',NULL),(1906,'',0,0,'','sidebar.second','customer','XLite\\Module\\CDev\\ProductAdvisor\\View\\NewArrivals',600,'',NULL),(1907,'',0,0,'','sidebar.first','customer','XLite\\Module\\CDev\\Sale\\View\\SaleBlock',1000,'',NULL),(1908,'',0,0,'','admin.center','admin','XLite\\Module\\CDev\\Sale\\View\\SaleSelectedDialog',16777215,'',NULL),(1909,'',0,0,'','center','customer','XLite\\Module\\CDev\\Sale\\View\\SalePage',16777215,'',NULL),(1910,'',0,0,'','admin.center','admin','XLite\\Module\\CDev\\SimpleCMS\\View\\Page',16777215,'',NULL),(1911,'',0,0,'','admin.main.page.content.center','admin','XLite\\Module\\CDev\\SimpleCMS\\View\\MenuFormattedPath',7,'',NULL),(1912,'',0,0,'','admin.center','admin','XLite\\Module\\CDev\\SimpleCMS\\View\\Page\\LogoFavicon',16777215,'',NULL),(1913,'',0,0,'','admin.center','admin','XLite\\Module\\CDev\\SimpleCMS\\View\\ItemsList\\Model\\Page',16777215,'',NULL),(1914,'',0,0,'','center','customer','XLite\\Module\\CDev\\SimpleCMS\\View\\CustomerPage',16777215,'',NULL),(1915,'',0,0,'','admin.center','admin','XLite\\Module\\CDev\\UserPermissions\\View\\Role',16777215,'',NULL),(1916,'',0,0,'','admin.center','admin','XLite\\Module\\CDev\\UserPermissions\\View\\Roles',16777215,'',NULL),(1917,'',0,0,'','cart.panel.totals','customer','XLite\\Module\\CDev\\VolumeDiscounts\\View\\CartPromo',300,'',NULL),(1918,'',0,0,'','checkout.review.selected','customer','XLite\\Module\\CDev\\VolumeDiscounts\\View\\CheckoutPromo',14,'',NULL),(1919,'',0,0,'','checkout.review.inactive','customer','XLite\\Module\\CDev\\VolumeDiscounts\\View\\CheckoutPromo',14,'',NULL),(1920,'',0,0,'','admin.center','admin','XLite\\Module\\CDev\\XMLSitemap\\View\\Admin\\SitemapTabs',16777215,'',NULL),(1921,'',0,0,'','center','customer','XLite\\Module\\CDev\\XPaymentsConnector\\View\\XpcPopup',16777215,'',NULL),(1922,'',0,0,'','admin.center','admin','XLite\\Module\\CDev\\XPaymentsConnector\\View\\PopupAddInfo',16777215,'',NULL),(1923,'',0,0,'','center','customer','XLite\\Module\\CDev\\XPaymentsConnector\\View\\AddNewCard',16777215,'',NULL),(1924,'',0,0,'','center','admin','XLite\\Module\\CDev\\XPaymentsConnector\\View\\SavedCards',16777215,'',NULL),(1925,'',0,0,'','admin.center','admin','XLite\\Module\\CDev\\XPaymentsConnector\\View\\AdminAddNewCard',16777215,'',NULL),(1926,'',0,0,'','admin.center','admin','XLite\\Module\\CDev\\XPaymentsConnector\\View\\PopupSavedCards',16777215,'',NULL),(1927,'',0,0,'','admin.center','admin','XLite\\Module\\QSL\\BraintreeVZ\\View\\BraintreeCreditCardsAdmin',16777215,'',NULL),(1928,'',0,0,'','admin.center','admin','XLite\\Module\\QSL\\BraintreeVZ\\View\\Tabs\\Config',16777215,'',NULL),(1929,'',0,0,'','cart.panel.totals','customer','XLite\\Module\\QSL\\BraintreeVZ\\View\\Button\\PayPal',100,'',NULL),(1930,'',0,0,'','minicart.horizontal.buttons','customer','XLite\\Module\\QSL\\BraintreeVZ\\View\\Button\\PayPal',100,'',NULL),(1931,'',0,0,'','add2cart_popup.item.buttons','customer','XLite\\Module\\QSL\\BraintreeVZ\\View\\Button\\PayPal',300,'',NULL),(1932,'',0,0,'','layout.slidebar','customer','XLite\\Module\\QSL\\CloudSearch\\View\\CloudFilters\\Slidebar',20,'',NULL),(1933,'',0,0,'','sidebar.single','customer','XLite\\Module\\QSL\\CloudSearch\\View\\CloudFilters\\FiltersBoxPlaceholder',102,'',NULL),(1934,'',0,0,'','sidebar.first','customer','XLite\\Module\\QSL\\CloudSearch\\View\\CloudFilters\\FiltersBoxPlaceholder',102,'',NULL),(1935,'',0,0,'','admin.center','admin','XLite\\Module\\XC\\BulkEditing\\View\\FormModel\\Product',16777215,'',NULL),(1936,'',0,0,'','checkout.shipping.selected.sub.payment','customer','XLite\\Module\\XC\\CanadaPost\\View\\Checkout\\PostOfficesList',210,'',NULL),(1937,'',0,0,'','admin.center','admin','XLite\\Module\\XC\\CanadaPost\\View\\ProductsReturn',16777215,'',NULL),(1938,'',0,0,'','admin.center','admin','XLite\\Module\\XC\\CanadaPost\\View\\ProductsReturns',16777215,'',NULL),(1939,'',0,0,'','order.children','admin','XLite\\Module\\XC\\CanadaPost\\View\\PackingSlip',30,'',NULL),(1940,'',0,0,'','center','customer','XLite\\Module\\XC\\CanadaPost\\View\\TrackingDetails',16777215,'',NULL),(1941,'',0,0,'','admin.center','admin','XLite\\Module\\XC\\CanadaPost\\View\\TrackingDetails',16777215,'',NULL),(1942,'',0,0,'','invoice.bottom','customer','XLite\\Module\\XC\\CanadaPost\\View\\Invoice\\Tracking',25,'',NULL),(1943,'',0,0,'','invoice.bottom','customer','XLite\\Module\\XC\\CanadaPost\\View\\Invoice\\DeliveryToPost',15,'',NULL),(1944,'',0,0,'','center','customer','XLite\\Module\\XC\\CanadaPost\\View\\ReturnProducts',16777215,'',NULL),(1945,'',0,0,'','head','admin','XLite\\Module\\XC\\Concierge\\View\\Initialization',16777215,'',NULL),(1946,'',0,0,'','slidebar.settings','customer','XLite\\Module\\XC\\CrispWhiteSkin\\View\\LanguageSelector\\WrapperSlidebar',200,'',NULL),(1947,'',0,0,'','layout.header.right.settings','customer','XLite\\Module\\XC\\CrispWhiteSkin\\View\\LanguageSelector\\Wrapper',200,'',NULL),(1948,'',0,0,'','layout.header.bar.locale.menu','customer','XLite\\Module\\XC\\CrispWhiteSkin\\View\\LanguageSelector\\WrapperSingle',30,'',NULL),(1949,'',0,0,'','layout.header.bar','customer','XLite\\Module\\XC\\CrispWhiteSkin\\View\\LanguageSelector\\LocaleIndicator',80,'',NULL),(1950,'',0,0,'','contact_us.parts.last','customer','XLite\\Module\\XC\\CrispWhiteSkin\\View\\ContactsContactUsFooter',10,'',NULL),(1951,'',0,0,'','product.details.page.image','customer','XLite\\Module\\XC\\CrispWhiteSkin\\View\\Product\\Details\\Customer\\GalleryMobile',11,'',NULL),(1952,'',0,0,'','layout.header.right','customer','XLite\\Module\\XC\\CrispWhiteSkin\\View\\HeaderSettings',30,'',NULL),(1953,'',0,0,'','layout.header.bar.links.logged','customer','XLite\\Module\\XC\\CrispWhiteSkin\\View\\Menu\\Customer\\OrdersList',300,'',NULL),(1954,'',0,0,'','itemsList.product.grid.customer.header','customer','XLite\\Module\\XC\\CrispWhiteSkin\\View\\FiltersMobile',40,'',NULL),(1955,'',0,0,'','itemsList.product.list.customer.header','customer','XLite\\Module\\XC\\CrispWhiteSkin\\View\\FiltersMobile',40,'',NULL),(1956,'',0,0,'','itemsList.product.table.customer.header','customer','XLite\\Module\\XC\\CrispWhiteSkin\\View\\FiltersMobile',40,'',NULL),(1957,'',0,0,'','admin.center','admin','XLite\\Module\\XC\\CustomProductTabs\\View\\ProductTabs',16777215,'',NULL),(1958,'',0,0,'','admin.center','admin','XLite\\Module\\XC\\CustomProductTabs\\View\\ProductTab',16777215,'',NULL),(1959,'',0,0,'','admin.center','admin','XLite\\Module\\XC\\CustomProductTabs\\View\\GlobalTab',16777215,'',NULL),(1960,'',0,0,'','admin.center','admin','XLite\\Module\\XC\\CustomProductTabs\\View\\GlobalTabs',16777215,'',NULL),(1961,'',0,0,'','invoice.item.name','admin','XLite\\Module\\XC\\CustomerAttachments\\View\\AttachmentsList',100,'',NULL),(1962,'',0,0,'','cart.item.info','customer','XLite\\Module\\XC\\CustomerAttachments\\View\\AddPopup',80,'',NULL),(1963,'',0,0,'','product.details.page.info','customer','XLite\\Module\\XC\\CustomerAttachments\\View\\Product\\CustomerAttachmentsInput',45,'',NULL),(1964,'',0,0,'','product.details.quicklook.info','customer','XLite\\Module\\XC\\CustomerAttachments\\View\\Product\\CustomerAttachmentsInput',65,'',NULL),(1965,'',0,0,'','center','customer','XLite\\Module\\XC\\CustomerAttachments\\View\\AttachmentPopup',16777215,'',NULL),(1966,'',0,0,'','center','customer','XLite\\Module\\XC\\FastLaneCheckout\\View\\CheckoutFastlane',16777215,'',NULL),(1967,'',0,0,'','checkout_fastlane','customer','XLite\\Module\\XC\\FastLaneCheckout\\View\\Blocks\\AddressMetadata',99999,'',NULL),(1968,'',0,0,'','checkout_fastlane','customer','XLite\\Module\\XC\\FastLaneCheckout\\View\\Blocks\\AddressForm\\BillingMetadata',99999,'',NULL),(1969,'',0,0,'','checkout_fastlane','customer','XLite\\Module\\XC\\FastLaneCheckout\\View\\Blocks\\AddressForm\\ShippingMetadata',99999,'',NULL),(1970,'',0,0,'','import.failed.content','admin','XLite\\Module\\XC\\FreeShipping\\View\\Promo\\FreeShippingUpdateImport',0,'',NULL),(1971,'',0,0,'','crud.modulesettings.header','admin','XLite\\Module\\XC\\FreeShipping\\View\\Promo\\FreeShippingUpdate',100,'',NULL),(1972,'',0,0,'','admin.center','admin','XLite\\Module\\XC\\FroalaEditor\\View\\Settings',16777215,'',NULL),(1973,'',0,0,'','crud.modulesettings.header','admin','XLite\\Module\\XC\\Geolocation\\View\\Settings\\GeolocationHeader',100,'',NULL),(1975,'',0,0,'','admin.center','admin','XLite\\Module\\XC\\MailChimp\\View\\MailChimpSegment',200,'',NULL),(1976,'',0,0,'','admin.center','admin','XLite\\Module\\XC\\MailChimp\\View\\Tabs\\Settings',16777215,'',NULL),(1977,'',0,0,'','admin.center','admin','XLite\\Module\\XC\\MailChimp\\View\\MailChimpLists',200,'',NULL),(1978,'',0,0,'','admin.center','admin','XLite\\Module\\XC\\MailChimp\\View\\MailChimpSegments',200,'',NULL),(1979,'',0,0,'','crud.modulesettings.header','admin','XLite\\Module\\XC\\MailChimp\\View\\Settings\\MailChimpHeader',100,'',NULL),(1980,'',0,0,'','admin.center','admin','XLite\\Module\\XC\\MailChimp\\View\\ItemsList\\Model\\MailChimpGroupNames',16777215,'',NULL),(1981,'',0,0,'','admin.center','admin','XLite\\Module\\XC\\MailChimp\\View\\ItemsList\\Model\\MailChimpGroup',16777215,'',NULL),(1982,'',0,0,'','admin.center','admin','XLite\\Module\\XC\\News\\View\\NewsMessages',16777215,'',NULL),(1983,'',0,0,'','sidebar.first','customer','XLite\\Module\\XC\\News\\View\\TopNewsSideBar',16777215,'',NULL),(1984,'',0,0,'','admin.center','admin','XLite\\Module\\XC\\News\\View\\NewsMessage',16777215,'',NULL),(1985,'',0,0,'','center','customer','XLite\\Module\\XC\\News\\View\\Page\\Customer\\NewsMessages',16777215,'',NULL),(1986,'',0,0,'','center','customer','XLite\\Module\\XC\\News\\View\\Page\\Customer\\NewsMessage',16777215,'',NULL),(1987,'',0,0,'','admin.center','admin','XLite\\Module\\XC\\NewsletterSubscriptions\\View\\MailChimpPlaceholder',0,'',NULL),(1989,'',0,0,'','admin.center','admin','XLite\\Module\\XC\\NewsletterSubscriptions\\View\\ItemsList\\Subscribers',16777215,'',NULL),(1991,'',0,0,'','head','customer','XLite\\Module\\XC\\NextPreviousProduct\\View\\Initialization',1305,'',NULL),(1992,'',0,0,'','admin.center','admin','XLite\\Module\\XC\\Onboarding\\View\\MiniWizardStatus',100,'',NULL),(1993,'',0,0,'','admin.center','admin','XLite\\Module\\XC\\Onboarding\\View\\Wizard',16777215,'',NULL),(1994,'',0,0,'','dashboard-sidebar','admin','XLite\\Module\\XC\\Onboarding\\View\\Dashboard\\WizardStatus',50,'',NULL),(1996,'',0,0,'','center','customer','XLite\\Module\\XC\\ProductComparison\\View\\ComparisonTable',16777215,'',NULL),(1997,'',0,0,'','comparison_table.data','customer','XLite\\Module\\XC\\ProductComparison\\View\\ComparisonTable\\Attributes',300,'',NULL),(1998,'',0,0,'','product.details.page.info.buttons.cart-buttons','customer','XLite\\Module\\XC\\ProductComparison\\View\\AddToCompare\\Product',120,'',NULL),(1999,'',0,0,'','product.details.page.info.buttons-added.cart-buttons','customer','XLite\\Module\\XC\\ProductComparison\\View\\AddToCompare\\Product',120,'',NULL),(2001,'',0,0,'','sidebar.first','customer','XLite\\Module\\XC\\ProductFilter\\View\\Filter',300,'',NULL),(2002,'',0,0,'','center.bottom','customer','XLite\\Module\\XC\\ProductFilter\\View\\ItemsList\\Product\\Customer\\Category\\CategoryFilter',200,'',NULL),(2003,'',0,0,'','sidebar.filter','customer','XLite\\Module\\XC\\ProductFilter\\View\\Filter\\Attributes',300,'',NULL),(2004,'',0,0,'','sidebar.filter','customer','XLite\\Module\\XC\\ProductFilter\\View\\Filter\\PriceRange',100,'',NULL),(2005,'',0,0,'','sidebar.filter','customer','XLite\\Module\\XC\\ProductFilter\\View\\Filter\\InStockOnly',200,'',NULL),(2006,'',0,0,'','admin.center','admin','XLite\\Module\\XC\\ProductTags\\View\\Tags',16777215,'',NULL),(2007,'',0,0,'','sidebar.first','customer','XLite\\Module\\XC\\ProductTags\\View\\TagsBox',200,'',NULL),(2008,'',0,0,'','product.details.page.info','customer','XLite\\Module\\XC\\ProductTags\\View\\TagsList',15,'',NULL),(2009,'',0,0,'','sidebar.filter','customer','XLite\\Module\\XC\\ProductTags\\View\\Filter\\Tags',400,'',NULL),(2010,'',0,0,'','admin.product.variants','admin','XLite\\Module\\XC\\ProductVariants\\View\\Product\\Variants',30,'',NULL),(2011,'',0,0,'','admin.product.variants','admin','XLite\\Module\\XC\\ProductVariants\\View\\Product\\VariantsAreBased',20,'',NULL),(2012,'',0,0,'','admin.product.variants','admin','XLite\\Module\\XC\\ProductVariants\\View\\Product\\Attributes',10,'',NULL),(2013,'',0,0,'','admin.product.variants','admin','XLite\\Module\\XC\\ProductVariants\\View\\Product\\NoAttributes',10,'',NULL),(2014,'',0,0,'','admin.center','admin','XLite\\Module\\XC\\ProductVariants\\View\\ProductVariantTitle',10,'',NULL),(2015,'',0,0,'','admin.center','admin','XLite\\Module\\XC\\Reviews\\View\\Review',16777215,'',NULL),(2016,'',0,0,'','product.details.page.tab.reviews','customer','XLite\\Module\\XC\\Reviews\\View\\Product\\ReviewsTab',16777215,'',NULL),(2017,'',0,0,'','center','customer','XLite\\Module\\XC\\Reviews\\View\\Customer\\ProductReviews',16777215,'',NULL),(2018,'',0,0,'','product.reviews.tab','customer','XLite\\Module\\XC\\Reviews\\View\\Customer\\ReviewsTab',300,'',NULL),(2019,'',0,0,'','admin.center','admin','XLite\\Module\\XC\\Reviews\\View\\ItemsList\\Model\\Review',16777215,'',NULL),(2020,'',0,0,'','center','customer','XLite\\Module\\XC\\Sitemap\\View\\Page\\Customer\\Map',16777215,'',NULL),(2021,'',0,0,'','layout_settings.settings','admin','XLite\\Module\\XC\\ThemeTweaker\\View\\PanelHelp',100,'',NULL),(2022,'',0,0,'','admin.center','admin','XLite\\Module\\XC\\ThemeTweaker\\View\\Tabs\\CustomCssJS',16777215,'',NULL),(2023,'',0,0,'','admin.center','admin','XLite\\Module\\XC\\ThemeTweaker\\View\\FlexyToTwig',16777215,'',NULL),(2024,'',0,0,'','themetweaker-panel--content','customer','XLite\\Module\\XC\\ThemeTweaker\\View\\ThemeTweaker\\WebmasterMode',100,'',NULL),(2025,'',0,0,'','themetweaker-panel--content','customer','XLite\\Module\\XC\\ThemeTweaker\\View\\ThemeTweaker\\CssEditor',100,'',NULL),(2026,'',0,0,'','themetweaker-panel--content','customer','XLite\\Module\\XC\\ThemeTweaker\\View\\ThemeTweaker\\InlineEditor',100,'',NULL),(2027,'',0,0,'','themetweaker-panel-extensions','customer','XLite\\Module\\XC\\ThemeTweaker\\View\\ThemeTweaker\\Modal',999,'',NULL),(2028,'',0,0,'','themetweaker-panel--content','customer','XLite\\Module\\XC\\ThemeTweaker\\View\\ThemeTweaker\\LayoutEditor',100,'',NULL),(2029,'',0,0,'','themetweaker-panel--content','customer','XLite\\Module\\XC\\ThemeTweaker\\View\\ThemeTweaker\\LabelsEditor',100,'',NULL),(2030,'',0,0,'','layout.main','customer','XLite\\Module\\XC\\ThemeTweaker\\View\\ThemeTweakerPanel',0,'',NULL),(2031,'',0,0,'','admin.center','admin','XLite\\Module\\XC\\ThemeTweaker\\View\\NotificationEditor',16777215,'',NULL),(2032,'',0,0,'','admin.center','admin','XLite\\Module\\XC\\ThemeTweaker\\View\\ThemeTweakerTemplate',16777215,'',NULL),(2033,'',0,0,'','admin.center','admin','XLite\\Module\\XC\\ThemeTweaker\\View\\ThemeTweakerTemplates',16777215,'',NULL),(2034,'',0,0,'','admin.center','admin','XLite\\Module\\XC\\UpdateInventory\\View\\UpdateInventory',16777215,'',NULL),(2035,'',0,0,'','admin.center','admin','XLite\\Module\\XC\\Upselling\\View\\ProductSelections',16777215,'',NULL),(2036,'',0,0,'','center.bottom','customer','XLite\\Module\\XC\\Upselling\\View\\ItemsList\\UpsellingProducts',700,'',NULL),(2037,'',0,0,'','product.vendor_info.popover_content','customer','XLite\\Module\\XC\\VendorMessages\\View\\ContactNow',40,'',NULL),(2038,'',0,0,'','vendorpage.vendor_info','customer','XLite\\Module\\XC\\VendorMessages\\View\\ContactNow',2000,'',NULL),(2039,'',0,0,'','layout.header.bar.links.logged','customer','XLite\\Module\\XC\\VendorMessages\\View\\CustomerTopLink',100,'',NULL),(2040,'',0,0,'','center','customer','XLite\\Module\\XC\\VendorMessages\\View\\Page\\Customer\\OrderMessages',16777215,'',NULL),(2041,'',0,0,'','admin.center','admin','XLite\\Module\\XC\\VendorMessages\\View\\Page\\Conversation',16777215,'',NULL),(2042,'',0,0,'','center','customer','XLite\\Module\\XC\\VendorMessages\\View\\Page\\Conversation',16777215,'',NULL),(2043,'',0,0,'','admin.center','admin','XLite\\Module\\XC\\VendorMessages\\View\\Page\\Admin\\Messages',16777215,'',NULL),(2044,'',0,0,'','invoice.base.totals.after','pdf','',20,'order/invoice/parts/totals.includedModifiers.twig',NULL),(2045,'',0,0,'','invoice.item','pdf','',20,'order/invoice/parts/items/item.price.twig',NULL),(2046,'',0,0,'','invoice.item','pdf','',40,'order/invoice/parts/items/item.total.twig',NULL),(2047,'',0,0,'','add2cart_popup.item.buttons','customer','',1000,'modules/Amazon/PayWithAmazon/checkout_button/add2cart_popup.twig',NULL),(2048,'',0,0,'','cart.panel.totals.modifier','customer','',16777215,'modules/CDev/Coupons/coupons_minilist.twig',NULL),(2049,'',0,0,'','checkout.review.selected.items.modifier','customer','',16777215,'modules/CDev/Coupons/coupons_minilist.twig',NULL),(2050,'',0,0,'','invoice.base.totals.modifier.name','customer','',16777215,'modules/CDev/Coupons/coupons_minilist.twig',NULL),(2051,'',0,0,'','product.reviews.tab','customer','',200,'modules/XC/Reviews/reviews_tab/parts/tab.reviews_list_header.twig',NULL),(2052,'',0,0,'','reviews.product.rating.average','customer','',100,'modules/XC/Reviews/product/details/rating.twig',NULL),(2053,'',0,0,'','reviews','customer','',16777215,'modules/XC/Reviews/reviews_page/reviews.twig',NULL),(2054,'',0,0,'','reviews.review.title','customer','',200,'modules/XC/Reviews/reviews_page/parts/title.right.twig',NULL),(2055,'',0,0,'','product.reviews.page','customer','',200,'modules/XC/Reviews/reviews_page/parts/page.reviews_list_header.twig',NULL),(2056,'',0,0,'','next_previous.product.body.dropdown','customer','',200,'modules/XC/NextPreviousProduct/product/parts/dropdown_parts/name.twig',NULL),(2057,'',0,0,'','customer.signin.links','customer','',100,'authorization/parts/link.create.twig',NULL),(2058,'',0,0,'','customer.signin.fields','customer','',400,'authorization/parts/field.button.twig',NULL),(2059,'',0,0,'','customer.signin.popup.fields','customer','',400,'authorization/parts/field.button.twig',NULL),(2060,'',0,0,'','customer.signin.fields','customer','',500,'authorization/parts/field.links.twig',NULL),(2061,'',0,0,'','customer.signin.fields','customer','',200,'authorization/parts/field.password.twig',NULL),(2062,'',0,0,'','customer.signin.popup.fields','customer','',200,'authorization/parts/field.password.twig',NULL),(2063,'',0,0,'','customer.signin.links','customer','',200,'authorization/parts/link.forgot.twig',NULL),(2064,'',0,0,'','customer.signin.fields','customer','',300,'authorization/parts/field.message.twig',NULL),(2065,'',0,0,'','customer.signin.popup.fields','customer','',300,'authorization/parts/field.message.twig',NULL),(2066,'',0,0,'','customer.signin.fields','customer','',100,'authorization/parts/field.name.twig',NULL),(2067,'',0,0,'','customer.signin.popup.fields','customer','',100,'authorization/parts/field.name.twig',NULL),(2068,'',0,0,'','contact_us.parts','customer','',10,'contact_us/parts/contact_us.address.twig',NULL),(2069,'',0,0,'','layout.footer','customer','',500,'layout/footer/main.footer.twig',NULL),(2070,'',0,0,'','layout.main.footer','customer','',50,'layout/footer/main.footer.contacts.twig',NULL),(2071,'',0,0,'','layout.header.bar','customer','',100,'layout/header/header.bar.links.logged.twig',NULL),(2072,'',0,0,'','layout.header.bar.links.logged','customer','',500,'layout/header/header.bar.links.logged.logout.twig',NULL),(2073,'',0,0,'','layout.header.bar.links.logged','customer','',-100,'layout/header/header.bar.links.logged.email.twig',NULL),(2074,'',0,0,'','layout.header.right','customer','',10,'layout/header/header.right.search.twig',NULL),(2075,'',0,0,'','layout.header.right.mobile','customer','',10,'layout/header/header.right.search.twig',NULL),(2076,'',0,0,'','layout.main','customer','',200,'layout/header/main.header.twig',NULL),(2077,'',0,0,'','layout.header.mobile.menu','customer','',1000,'layout/header/mobile_header_parts/right_menu.twig',NULL),(2078,'',0,0,'','header.menu','customer','',1000,'layout/header/mobile_header_parts/additional_menu.twig',NULL),(2079,'',0,0,'','layout.header.mobile.menu','customer','',10,'layout/header/mobile_header_parts/logo.twig',NULL),(2080,'',0,0,'','layout.header','customer','',200,'layout/header/header.bar.twig',NULL),(2081,'',0,0,'','layout.header.bar','customer','',100,'layout/header/header.bar.links.twig',NULL),(2082,'',0,0,'','slidebar.additional-menu','customer','',100,'layout/header/header_settings/links.twig',NULL),(2083,'',0,0,'','layout.header.right.settings','customer','',100,'layout/header/header_settings/links.twig',NULL),(2084,'',0,0,'','slidebar.additional-menu','customer','',400,'layout/header/header_settings/login.twig',NULL),(2085,'',0,0,'','layout.header.right.settings','customer','',400,'layout/header/header_settings/login.twig',NULL),(2086,'',0,0,'','slidebar.additional-menu','customer','',1000,'layout/header/header_settings/logout.twig',NULL),(2087,'',0,0,'','layout.header.right.settings','customer','',1000,'layout/header/header_settings/logout.twig',NULL),(2088,'',0,0,'','slidebar.additional-menu','customer','',-100,'layout/header/header_settings/email.twig',NULL),(2089,'',0,0,'','layout.header.right.settings','customer','',-100,'layout/header/header_settings/email.twig',NULL),(2090,'',0,0,'','slidebar.additional-menu.links','customer','',10,'layout/header/header_settings/profile.twig',NULL),(2091,'',0,0,'','slidebar.additional-menu','customer','',390,'layout/header/header_settings/settings.twig',NULL),(2092,'',0,0,'','layout.header.bar.locale','customer','',10,'layout/header/locale/country.twig',NULL),(2093,'',0,0,'','layout.header.bar.locale','customer','',20,'layout/header/locale/language.twig',NULL),(2094,'',0,0,'','layout.header.bar.locale','customer','',30,'layout/header/locale/currency.twig',NULL),(2095,'',0,0,'','layout.header.right.mobile','customer','',100,'layout/header/header.right.mobile.minicart.twig',NULL),(2096,'',0,0,'','layout.header.bar.links.logged','customer','',200,'layout/header/header.bar.links.logged.account.twig',NULL),(2097,'',0,0,'','recover.password.fields','customer','',100,'recover_password/parts/form.email.twig',NULL),(2098,'',0,0,'','recover.password.fields','customer','',200,'recover_password/parts/form.user.twig',NULL),(2099,'',0,0,'','recover.password.fields','customer','',300,'recover_password/parts/form.button.twig',NULL),(2100,'',0,0,'','customer.account.details.after','customer','',100,'account/parts/link.login.twig',NULL),(2102,'',0,0,'','cart.panel.totals.modifier','customer','',16777215,'shopping_cart/parts/item.shipping.estimator.twig',NULL),(2103,'',0,0,'','cart.panel.totals','customer','',30,'shopping_cart/parts/total.total.twig',NULL),(2104,'',0,0,'','cart.buttons','customer','',20,'shopping_cart/parts/button.clear.twig',NULL),(2105,'',0,0,'','cart.panel','customer','',10,'shopping_cart/parts/button.continue.twig',NULL),(2106,'',0,0,'','cart.children','customer','',10,'shopping_cart/parts/button.continue.twig',NULL),(2107,'',0,0,'','cart.panel.totals','customer','',25,'shopping_cart/parts/total.separator.twig',NULL),(2108,'',0,0,'','minicart.horizontal.children','customer','',10,'mini_cart/horizontal/parts/items.twig',NULL),(2109,'',0,0,'','minicart.horizontal.item','customer','',20,'mini_cart/horizontal/parts/item.price.twig',NULL),(2110,'',0,0,'','minicart.horizontal.item','customer','',10,'mini_cart/horizontal/parts/item.name.twig',NULL),(2111,'',0,0,'','minicart.horizontal.item','customer','',5,'mini_cart/horizontal/parts/item.image.twig',NULL),(2112,'',0,0,'','minicart.horizontal.item','customer','',18,'mini_cart/horizontal/parts/item.amount.twig',NULL),(2113,'',0,0,'','itemsList.product.table.customer.columns','customer','',9999999,'items_list/product/parts/table.product-representation.twig',NULL),(2117,'',0,0,'','itemsList.product.grid.customer.info','customer','',998,'items_list/product/parts/common.marks.twig',NULL),(2118,'',0,0,'','itemsList.product.list.customer.photo','customer','',998,'items_list/product/parts/common.marks.twig',NULL),(2119,'',0,0,'','itemsList.product.table.customer.columns','customer','',45,'items_list/product/parts/common.marks.twig',NULL),(2120,'',0,0,'','signin-anonymous-title','customer','',200,'signin/signin_anonymous_box.twig',NULL),(2121,'',0,0,'','signin.main','customer','',10,'signin/signin.twig',NULL),(2122,'',0,0,'','signin-anonymous-title.continue','customer','',110,'signin/parts/continue.button.twig',NULL),(2123,'',0,0,'','signin-anonymous-title.continue','customer','',100,'signin/parts/continue.email.twig',NULL),(2124,'',0,0,'','product.details.page','customer','',40,'product/details/parts/page.tabs.twig',NULL),(2126,'',0,0,'','product.details.quicklook.info','customer','',10,'product/details/parts/common.product-title-link.twig',NULL),(2127,'',0,0,'','product.details.page','customer','',20,'product/details/parts/page.image.twig',NULL),(2128,'',0,0,'','productBlock.info','customer','',100,'product_box/parts/photo.twig',NULL),(2129,'',0,0,'','productBlock.info','customer','',400,'product_box/parts/add2cart.twig',NULL),(2130,'',0,0,'','customer.signin','customer','',100,'modules/Amazon/PayWithAmazon/login/signin/signin.twig',NULL),(2132,'',0,0,'','layout.header.bar.links.newby','customer','',101,'modules/Amazon/PayWithAmazon/login/signin/layout.header.bar.links.newby.twig',NULL),(2133,'',0,0,'','minicart.horizontal.buttons','customer','',1000,'modules/Amazon/PayWithAmazon/checkout_button/mini_cart.twig',NULL),(2134,'',0,0,'','cart.panel.totals','customer','',1000,'modules/Amazon/PayWithAmazon/checkout_button/cart.twig',NULL),(2135,'',0,0,'','head','customer','',1310,'modules/Amazon/PayWithAmazon/header/parts/amazon_config.twig',NULL),(2136,'',0,0,'','itemsList.product.grid.customer.header','customer','',100,'modules/QSL/CloudSearch/cloud_filters/items_list/product/parts/common.filters.twig',NULL),(2137,'',0,0,'','itemsList.product.list.customer.header','customer','',100,'modules/QSL/CloudSearch/cloud_filters/items_list/product/parts/common.filters.twig',NULL),(2138,'',0,0,'','itemsList.product.table.customer.header','customer','',100,'modules/QSL/CloudSearch/cloud_filters/items_list/product/parts/common.filters.twig',NULL),(2139,'',0,0,'','invoice.bottom.address.billing','customer','',30,'modules/QSL/BraintreeVZ/invoice/credit_card.twig',NULL),(2140,'',0,0,'','product.details.page.tab.description','customer','',50,'modules/CDev/FileAttachments/file_attachments.twig',NULL),(2141,'',0,0,'','cart.item.info','customer','',1000,'modules/CDev/Coupons/item.freeship.twig',NULL),(2142,'',0,0,'','itemsList.product.grid.customer.recently.info','customer','',100,'modules/CDev/ProductAdvisor/parts/info.twig',NULL),(2143,'',0,0,'','itemsList.product.text_links.customer.recently.info','customer','',100,'modules/CDev/ProductAdvisor/parts/info_textlinks.twig',NULL),(2148,'',0,0,'','static_page.info','customer','',100,'modules/CDev/SimpleCMS/page/parts/content.twig',NULL),(2149,'',0,0,'','itemsList.product.grid.customer.info','customer','',20,'modules/CDev/GoogleAnalytics/impression-block.twig',NULL),(2150,'',0,0,'','itemsList.product.list.customer.info','customer','',20,'modules/CDev/GoogleAnalytics/impression-block.twig',NULL),(2151,'',0,0,'','itemsList.product.small_thumbnails.customer.details','customer','',20,'modules/CDev/GoogleAnalytics/impression-block.twig',NULL),(2152,'',0,0,'','itemsList.product.big_thumbnails.customer.info','customer','',200,'modules/CDev/GoogleAnalytics/impression-block.twig',NULL),(2153,'',0,0,'','itemsList.product.text_links.customer.info','customer','',100,'modules/CDev/GoogleAnalytics/impression-block.twig',NULL),(2154,'',0,0,'','productBlock.info','customer','',200,'modules/CDev/GoogleAnalytics/impression-block.twig',NULL),(2156,'',0,0,'','static_page.info','customer','',100000,'modules/CDev/GoSocial/page/parts/share.twig',NULL),(2157,'',0,0,'','wholesale-quicklook','customer','',100,'modules/CDev/Wholesale/product_product_price_quicklook.twig',NULL),(2158,'',0,0,'','wholesale.minquantity','customer','',10,'modules/CDev/Wholesale/min_quantity/parts/price-purchase-limit.twig',NULL),(2159,'',0,0,'','product.details.quicklook.info','customer','',60,'modules/CDev/Wholesale/product_quicklook.twig',NULL),(2160,'',0,0,'','wholesale.price','customer','',20,'modules/CDev/Wholesale/product_price/parts/price-block.twig',NULL),(2161,'',0,0,'','wholesale.price.widgetlist','customer','',60,'modules/CDev/Wholesale/product_price/parts/block-parts/save-price-zero.twig',NULL),(2162,'',0,0,'','wholesale.price.widgetlist','customer','',50,'modules/CDev/Wholesale/product_price/parts/block-parts/save-price.twig',NULL),(2163,'',0,0,'','wholesale.price.widgetlist','customer','',20,'modules/CDev/Wholesale/product_price/parts/block-parts/qty-range-zero.twig',NULL),(2164,'',0,0,'','wholesale.price.widgetlist','customer','',40,'modules/CDev/Wholesale/product_price/parts/block-parts/price.twig',NULL),(2165,'',0,0,'','wholesale.price.widgetlist','customer','',10,'modules/CDev/Wholesale/product_price/parts/block-parts/qty-range.twig',NULL),(2166,'',0,0,'','wholesale.price','customer','',10,'modules/CDev/Wholesale/product_price/parts/price-header.twig',NULL),(2167,'',0,0,'','wholesale','customer','',200,'modules/CDev/Wholesale/product_min_quantity.twig',NULL),(2168,'',0,0,'','wholesale-quicklook','customer','',200,'modules/CDev/Wholesale/product_min_quantity.twig',NULL),(2169,'',0,0,'','wholesale-quicklook.price','customer','',20,'modules/CDev/Wholesale/product_price_quicklook/parts/price-block.twig',NULL),(2170,'',0,0,'','wholesale-quicklook.price.widgetlist','customer','',20,'modules/CDev/Wholesale/product_price_quicklook/parts/block-parts/qty-range-zero.twig',NULL),(2171,'',0,0,'','wholesale-quicklook.price.widgetlist','customer','',40,'modules/CDev/Wholesale/product_price_quicklook/parts/block-parts/price.twig',NULL),(2172,'',0,0,'','wholesale-quicklook.price.widgetlist','customer','',10,'modules/CDev/Wholesale/product_price_quicklook/parts/block-parts/qty-range.twig',NULL),(2173,'',0,0,'','wholesale-quicklook.price','customer','',10,'modules/CDev/Wholesale/product_price_quicklook/parts/price-header.twig',NULL),(2175,'',0,0,'','wholesale','customer','',100,'modules/CDev/Wholesale/product_product_price.twig',NULL),(2176,'',0,0,'','product.plain_price.tail','customer','',45,'modules/CDev/MarketPrice/details.twig',NULL),(2177,'',0,0,'','product.plain_price.tail.market_price.label','customer','',100,'modules/CDev/MarketPrice/details/label.twig',NULL),(2178,'',0,0,'','product.plain_price.tail.market_price.text','customer','',100,'modules/CDev/MarketPrice/details/market_price.twig',NULL),(2179,'',0,0,'','product.plain_price.tail.market_price.text','customer','',200,'modules/CDev/MarketPrice/details/you_save.twig',NULL),(2180,'',0,0,'','cart.panel','customer','',15,'modules/CDev/Paypal/banner/cartPage/nearCheckoutButton.twig',NULL),(2181,'',0,0,'','center.top','customer','',100,'modules/CDev/Paypal/banner/categoryPages/aboveProducts.twig',NULL),(2182,'',0,0,'','center.bottom','customer','',99999,'modules/CDev/Paypal/banner/categoryPages/belowProducts.twig',NULL),(2183,'',0,0,'','product.details.page.info','customer','',105,'modules/CDev/Paypal/banner/ProductDetailsPages/nearAddToCartButton.twig',NULL),(2184,'',0,0,'','center','customer','',10,'modules/CDev/Paypal/banner/homePage/aboveProducts.twig',NULL),(2185,'',0,0,'','center.bottom','customer','',99999,'modules/CDev/Paypal/banner/homePage/belowProducts.twig',NULL),(2186,'',0,0,'','customer.signin','customer','',100,'modules/CDev/Paypal/login/signin/signin.paypal.twig',NULL),(2188,'',0,0,'','layout.header.bar.links.newby','customer','',101,'modules/CDev/Paypal/login/signin/layout.header.bar.links.newby.twig',NULL),(2189,'',0,0,'','itemsList.product.list.customer.info','customer','',1100,'modules/CDev/Paypal/item_list/product/parts/express_checkout.twig',NULL),(2190,'',0,0,'','add2cart_popup.item.buttons','customer','',300,'modules/CDev/Paypal/add2cart_popup/express_checkout.twig',NULL),(2191,'',0,0,'','product.details.page.info.buttons-added.cart-buttons','customer','',40,'modules/CDev/Paypal/product/details/parts/express_checkout.twig',NULL),(2192,'',0,0,'','product.details.quicklook.info.buttons-added.cart-buttons','customer','',40,'modules/CDev/Paypal/product/details/parts/express_checkout.twig',NULL),(2193,'',0,0,'','product.details.page.info.buttons.cart-buttons','customer','',30,'modules/CDev/Paypal/product/details/parts/express_checkout.twig',NULL),(2194,'',0,0,'','product.details.quicklook.info.buttons.cart-buttons','customer','',30,'modules/CDev/Paypal/product/details/parts/express_checkout.twig',NULL),(2195,'',0,0,'','product.plain_price.tail','customer','',40,'modules/CDev/Sale/label.twig',NULL),(2196,'',0,0,'','product.plain_price.tail.sale_price.label','customer','',100,'modules/CDev/Sale/details/label.twig',NULL),(2197,'',0,0,'','product.plain_price.tail.sale_price.text','customer','',200,'modules/CDev/Sale/details/you_save.twig',NULL),(2198,'',0,0,'','product.plain_price.tail.sale_price.text','customer','',100,'modules/CDev/Sale/details/sale_price.twig',NULL),(2199,'',0,0,'','invoice.bottom.address.billing','customer','',30,'modules/CDev/XPaymentsConnector/invoice/invoice.twig',NULL),(2200,'',0,0,'','customer.account.add_new_card.before','customer','',200,'modules/CDev/XPaymentsConnector/account/add_new_card.header.twig',NULL),(2201,'',0,0,'','customer.account.add_new_card.form','customer','',100,'modules/CDev/XPaymentsConnector/account/add_new_card.form.twig',NULL),(2202,'',0,0,'','customer.account.saved_cards.table','customer','',100,'modules/CDev/XPaymentsConnector/account/saved_cards.table.twig',NULL),(2203,'',0,0,'','customer.account.saved_cards.before','customer','',100,'modules/CDev/XPaymentsConnector/account/saved_cards.header.twig',NULL),(2204,'',0,0,'','customer.account.add_new_card.before','customer','',100,'modules/CDev/XPaymentsConnector/account/saved_cards.header.twig',NULL),(2205,'',0,0,'','customer.account.add_new_card.address','customer','',100,'modules/CDev/XPaymentsConnector/account/add_new_card.address.twig',NULL),(2206,'',0,0,'','checkout.review.selected','customer','',20,'modules/CDev/XPaymentsConnector/checkout/script.twig',NULL),(2207,'',0,0,'','checkout_fastlane.sections.payment.left','customer','',500,'modules/CDev/XPaymentsConnector/checkout/script.twig',NULL),(2208,'',0,0,'','comparison_table.header_fixed','customer','',200,'modules/XC/ProductComparison/comparison_table/parts/buttons.twig',NULL),(2209,'',0,0,'','comparison_table.data','customer','',100,'modules/XC/ProductComparison/comparison_table/parts/prices.twig',NULL),(2210,'',0,0,'','comparison_table.data','customer','',200,'modules/XC/ProductComparison/comparison_table/parts/weight.twig',NULL),(2211,'',0,0,'','comparison_table.header','customer','',100,'modules/XC/ProductComparison/comparison_table/parts/images.twig',NULL),(2212,'',0,0,'','comparison_table.header_fixed','customer','',100,'modules/XC/ProductComparison/comparison_table/parts/product_name.twig',NULL),(2213,'',0,0,'','NewsletterSubscriptions.footer.error-block','customer','',100,'modules/XC/NewsletterSubscriptions/form/parts/error.twig',NULL),(2214,'',0,0,'','NewsletterSubscriptions.footer.form-block','customer','',100,'modules/XC/NewsletterSubscriptions/form/parts/form.twig',NULL),(2215,'',0,0,'','NewsletterSubscriptions.footer.success-block','customer','',100,'modules/XC/NewsletterSubscriptions/form/parts/success.twig',NULL),(2216,'',0,0,'','product.details.quicklook.image','customer','',10,'modules/XC/ProductVariants/product/has_variants_mark.twig',NULL),(2217,'',0,0,'','product.details.quicklook.image','customer','',16777215,'modules/XC/ProductVariants/product/default_image_quicklook.twig',NULL),(2218,'',0,0,'','product.details.page.image','customer','',16777215,'modules/XC/ProductVariants/product/default_image.twig',NULL),(2219,'',0,0,'','location-select.address','customer','',10,'modules/XC/Geolocation/location_popup/parts/address.country.twig',NULL),(2220,'',0,0,'','location-select.address','customer','',30,'modules/XC/Geolocation/location_popup/parts/address.zipcode.twig',NULL),(2221,'',0,0,'','location-select.main','customer','',10,'modules/XC/Geolocation/location_popup/parts/main.address.twig',NULL),(2222,'',0,0,'','location-select.address','customer','',20,'modules/XC/Geolocation/location_popup/parts/address.state.twig',NULL),(2223,'',0,0,'','location-select.address','customer','',40,'modules/XC/Geolocation/location_popup/parts/address.type.twig',NULL),(2224,'',0,0,'','itemsList.newsMessages.customer.center.row','customer','',100,'modules/XC/News/news_messages/list/parts/cell.date.twig',NULL),(2225,'',0,0,'','itemsList.newsMessages.customer.center.row','customer','',200,'modules/XC/News/news_messages/list/parts/cell.name.twig',NULL),(2226,'',0,0,'','itemsList.newsMessages.customer.center.row','customer','',250,'modules/XC/News/news_messages/list/parts/cell.brief.twig',NULL),(2227,'',0,0,'','itemsList.newsMessages.customer.top.row','customer','',100,'modules/XC/News/top_news_messages/list/parts/cell.date.twig',NULL),(2228,'',0,0,'','itemsList.newsMessages.customer.top.row','customer','',200,'modules/XC/News/top_news_messages/list/parts/cell.name.twig',NULL),(2229,'',0,0,'','itemsList.newsMessages.customer.top.row','customer','',250,'modules/XC/News/top_news_messages/list/parts/cell.brief.twig',NULL),(2230,'',0,0,'','newsMessage.details','customer','',300,'modules/XC/News/page/news_message/parts/body.twig',NULL),(2231,'',0,0,'','newsMessage.details','customer','',200,'modules/XC/News/page/news_message/parts/date.twig',NULL),(2232,'',0,0,'','newsMessage.details','customer','',400,'modules/XC/News/page/news_message/parts/link.twig',NULL),(2233,'',0,0,'','products.search.conditions.advanced.options','customer','',400,'modules/XC/ProductTags/product/search/parts/advanced.options.tag.twig',NULL),(2235,'',0,0,'','reviews.page.rating','customer','',200,'modules/XC/Reviews/average_rating/separator.twig',NULL),(2236,'',0,0,'','reviews.product.rating.form.content','customer','',100,'modules/XC/Reviews/average_rating/rating.twig',NULL),(2237,'',0,0,'','reviews.page.rating','customer','',200,'modules/XC/Reviews/average_rating/text.twig',NULL),(2238,'',0,0,'','reviews.tooltip.rating','customer','',200,'modules/XC/Reviews/average_rating/text.twig',NULL),(2239,'',0,0,'','reviews.product.rating','customer','',100,'modules/XC/Reviews/average_rating/form.twig',NULL),(2241,'',0,0,'','reviews.tab.rating','customer','',200,'modules/XC/Reviews/average_rating/form.twig',NULL),(2242,'',0,0,'','reviews.page.rating','customer','',300,'modules/XC/Reviews/average_rating/details.twig',NULL),(2243,'',0,0,'','reviews.rating.details','customer','',200,'modules/XC/Reviews/average_rating/details.twig',NULL),(2244,'',0,0,'','review.add.buttons','customer','',500,'modules/XC/Reviews/review/parts/buttons.twig',NULL),(2245,'',0,0,'','review.add.fields','customer','',200,'modules/XC/Reviews/review/parts/field.reviewer_name.twig',NULL),(2246,'',0,0,'','review.add.fields','customer','',300,'modules/XC/Reviews/review/parts/field.email.twig',NULL),(2247,'',0,0,'','review.add.fields','customer','',400,'modules/XC/Reviews/review/parts/field.review.twig',NULL),(2248,'',0,0,'','review.add.fields','customer','',100,'modules/XC/Reviews/review/parts/field.rating.twig',NULL),(2249,'',0,0,'','reviews.general','customer','',20,'modules/XC/Reviews/button/add_review.twig',NULL),(2250,'',0,0,'','product.reviews.tab','customer','',500,'modules/XC/Reviews/reviews_tab/parts/tab.all_reviews_link.twig',NULL),(2253,'',0,0,'','reviews.review.title','customer','',100,'modules/XC/Reviews/reviews_page/parts/title.left.twig',NULL),(2254,'',0,0,'','reviews.review.response','customer','',100,'modules/XC/Reviews/reviews_page/parts/response.title.twig',NULL),(2255,'',0,0,'','reviews.review','customer','',500,'modules/XC/Reviews/reviews_page/parts/review.response.twig',NULL),(2256,'',0,0,'','reviews.review','customer','',300,'modules/XC/Reviews/reviews_page/parts/review.text.twig',NULL),(2257,'',0,0,'','product.reviews.page','customer','',300,'modules/XC/Reviews/reviews_page/parts/page.reviews_list.twig',NULL),(2258,'',0,0,'','reviews.review','customer','',200,'modules/XC/Reviews/reviews_page/parts/review.rating.twig',NULL),(2259,'',0,0,'','reviews.review.response','customer','',300,'modules/XC/Reviews/reviews_page/parts/response.text.twig',NULL),(2260,'',0,0,'','product.reviews.page','customer','',100,'modules/XC/Reviews/reviews_page/parts/page.product.twig',NULL),(2261,'',0,0,'','reviews.review','customer','',100,'modules/XC/Reviews/reviews_page/parts/review.title.twig',NULL),(2262,'',0,0,'','checkout.review.selected.placeOrder','customer','',350,'modules/XC/MailChimp/model/profile/subscriptions_list.twig',NULL),(2263,'',0,0,'','checkout_fastlane.sections.place-order.before','customer','',100,'modules/XC/MailChimp/model/profile/subscriptions_list.twig',NULL),(2264,'',0,0,'','checkout.review.selected.items','customer','',2000,'modules/XC/MailChimp/model/profile/subscriptions_list.twig',NULL),(2265,'',0,0,'','product.details.page.info','customer','',105,'modules/XC/CustomProductTabs/product/brief_info.twig',NULL),(2266,'',0,0,'','themetweaker-panel--tabs','customer','',10,'modules/XC/ThemeTweaker/themetweaker_panel/panel/tabs.webmaster.twig',NULL),(2267,'',0,0,'','themetweaker-panel--tabs','customer','',20,'modules/XC/ThemeTweaker/themetweaker_panel/panel/tabs.custom_css.twig',NULL),(2268,'',0,0,'','themetweaker-panel--tabs','customer','',40,'modules/XC/ThemeTweaker/themetweaker_panel/panel/tabs.labels_editor.twig',NULL),(2269,'',0,0,'','themetweaker-panel--body','customer','',100,'modules/XC/ThemeTweaker/themetweaker_panel/panel/content.twig',NULL),(2270,'',0,0,'','themetweaker-panel--actions','customer','',999,'modules/XC/ThemeTweaker/themetweaker_panel/panel/actions.save.twig',NULL),(2271,'',0,0,'','themetweaker-panel--tabs','customer','',50,'modules/XC/ThemeTweaker/themetweaker_panel/panel/tabs.inline_editor.twig',NULL),(2272,'',0,0,'','themetweaker-panel--actions','customer','',100,'modules/XC/ThemeTweaker/themetweaker_panel/panel/actions.switcher.twig',NULL),(2273,'',0,0,'','themetweaker-panel--header','customer','',100,'modules/XC/ThemeTweaker/themetweaker_panel/panel/tabs.twig',NULL),(2274,'',0,0,'','themetweaker-panel--tabs','customer','',0,'modules/XC/ThemeTweaker/themetweaker_panel/panel/tabs.hide.twig',NULL),(2275,'',0,0,'','themetweaker-panel--header','customer','',200,'modules/XC/ThemeTweaker/themetweaker_panel/panel/actions.twig',NULL),(2276,'',0,0,'','themetweaker-panel--tabs','customer','',30,'modules/XC/ThemeTweaker/themetweaker_panel/panel/tabs.layout_editor.twig',NULL),(2277,'',0,0,'','themetweaker-panel-extensions','customer','',100,'modules/XC/ThemeTweaker/themetweaker_panel/panel_extensions/shortcut.twig',NULL),(2278,'',0,0,'','themetweaker-panel-extensions','customer','',200,'modules/XC/ThemeTweaker/themetweaker_panel/panel_extensions/confirm_exit_modal.twig',NULL),(2279,'',0,0,'','list-item.actions','customer','',10,'modules/XC/ThemeTweaker/themetweaker/layout_editor/list_item_parts/action_unhide.twig',NULL),(2280,'',0,0,'','list-item.actions','customer','',10,'modules/XC/ThemeTweaker/themetweaker/layout_editor/list_item_parts/action_hide.twig',NULL),(2281,'',0,0,'','layout_editor','customer','',100,'modules/XC/ThemeTweaker/themetweaker/layout_editor/panel_parts/help_message.twig',NULL),(2282,'',0,0,'','layout_editor','customer','',10,'modules/XC/ThemeTweaker/themetweaker/layout_editor/panel_parts/hidden_count.twig',NULL),(2283,'',0,0,'','layout_editor','customer','',20,'modules/XC/ThemeTweaker/themetweaker/layout_editor/panel_parts/hidden_blocks.twig',NULL),(2284,'',0,0,'','inline_editor','customer','',200,'modules/XC/ThemeTweaker/themetweaker/inline_editable/tinymce_warning_modal.twig',NULL),(2285,'',0,0,'','head.css','customer','',9999,'modules/XC/ThemeTweaker/themetweaker/custom_css/css.twig',NULL),(2286,'',0,0,'','customer.attachments.popup.item','customer','',90,'modules/XC/CustomerAttachments/parts/file_name.twig',NULL),(2287,'',0,0,'','customer.attachments.popup','customer','',50,'modules/XC/CustomerAttachments/parts/files_table.twig',NULL),(2288,'',0,0,'','customer.attachments.popup','customer','',100,'modules/XC/CustomerAttachments/parts/add_files.twig',NULL),(2289,'',0,0,'','customer.attachments.popup.item','customer','',40,'modules/XC/CustomerAttachments/parts/delete_btn.twig',NULL),(2290,'',0,0,'','invoice.item.name','customer','',100,'modules/XC/CustomerAttachments/order/invoice/parts/items/item.attachments.twig',NULL),(2291,'',0,0,'','itemsList.product.grid.customer.info','customer','',20,'modules/XC/NextPreviousProduct/items-list/cookie-data.twig',NULL),(2292,'',0,0,'','itemsList.product.grid.customer.recently.info','customer','',20,'modules/XC/NextPreviousProduct/items-list/cookie-data.twig',NULL),(2293,'',0,0,'','itemsList.product.list.customer.info','customer','',20,'modules/XC/NextPreviousProduct/items-list/cookie-data.twig',NULL),(2294,'',0,0,'','itemsList.product.table.customer.column.after','customer','',20,'modules/XC/NextPreviousProduct/items-list/cookie-data.twig',NULL),(2295,'',0,0,'','itemsList.product.small_thumbnails.customer.details','customer','',20,'modules/XC/NextPreviousProduct/items-list/cookie-data.twig',NULL),(2296,'',0,0,'','itemsList.product.big_thumbnails.customer.info','customer','',200,'modules/XC/NextPreviousProduct/items-list/cookie-data.twig',NULL),(2297,'',0,0,'','itemsList.product.text_links.customer.info','customer','',100,'modules/XC/NextPreviousProduct/items-list/cookie-data.twig',NULL),(2298,'',0,0,'','productBlock.info','customer','',200,'modules/XC/NextPreviousProduct/items-list/cookie-data.twig',NULL),(2299,'',0,0,'','next_previous.product.body.dropdown','customer','',100,'modules/XC/NextPreviousProduct/product/parts/dropdown_parts/image.twig',NULL),(2300,'',0,0,'','next_previous.product.body.dropdown','customer','',300,'modules/XC/NextPreviousProduct/product/parts/dropdown_parts/price.twig',NULL),(2301,'',0,0,'','next_previous.product.body','customer','',100,'modules/XC/NextPreviousProduct/product/parts/body.link.twig',NULL),(2302,'',0,0,'','next_previous.product.body','customer','',300,'modules/XC/NextPreviousProduct/product/parts/body.dropdown.twig',NULL),(2303,'',0,0,'','next_previous.product.body','customer','',200,'modules/XC/NextPreviousProduct/product/parts/body.cookie_data.twig',NULL),(2304,'',0,0,'','capost_create_return.form','customer','',200,'modules/XC/CanadaPost/products_return/create/parts/main.form.message.twig',NULL),(2305,'',0,0,'','capost_create_return.form.captions','customer','',15,'modules/XC/CanadaPost/products_return/create/parts/table.captions.image.twig',NULL),(2306,'',0,0,'','capost_create_return.form.columns','customer','',20,'modules/XC/CanadaPost/products_return/create/parts/table.common.name.twig',NULL),(2307,'',0,0,'','capost_create_return','customer','',200,'modules/XC/CanadaPost/products_return/create/parts/main.form.twig',NULL),(2308,'',0,0,'','capost_create_return.form.columns','customer','',30,'modules/XC/CanadaPost/products_return/create/parts/table.common.ret_amount.twig',NULL),(2309,'',0,0,'','capost_create_return.form','customer','',100,'modules/XC/CanadaPost/products_return/create/parts/main.form.products.twig',NULL),(2310,'',0,0,'','capost_create_return.form','customer','',300,'modules/XC/CanadaPost/products_return/create/parts/main.form.button.twig',NULL),(2311,'',0,0,'','capost_create_return.form.captions','customer','',25,'modules/XC/CanadaPost/products_return/create/parts/table.captions.amount.twig',NULL),(2312,'',0,0,'','capost_create_return.form.columns','customer','',25,'modules/XC/CanadaPost/products_return/create/parts/table.common.amount.twig',NULL),(2313,'',0,0,'','capost_create_return.form.captions','customer','',5,'modules/XC/CanadaPost/products_return/create/parts/table.captions.field.twig',NULL),(2314,'',0,0,'','capost_create_return.form.columns','customer','',10,'modules/XC/CanadaPost/products_return/create/parts/table.common.field.twig',NULL),(2315,'',0,0,'','capost_create_return','customer','',100,'modules/XC/CanadaPost/products_return/create/parts/main.info.twig',NULL),(2316,'',0,0,'','capost_create_return.form.captions','customer','',10,'modules/XC/CanadaPost/products_return/create/parts/table.captions.sku.twig',NULL),(2317,'',0,0,'','capost_create_return.form.captions','customer','',30,'modules/XC/CanadaPost/products_return/create/parts/table.captions.ret_amount.twig',NULL),(2318,'',0,0,'','capost_create_return.form.columns','customer','',15,'modules/XC/CanadaPost/products_return/create/parts/table.common.image.twig',NULL),(2319,'',0,0,'','capost_create_return.form.captions','customer','',20,'modules/XC/CanadaPost/products_return/create/parts/table.captions.name.twig',NULL),(2320,'',0,0,'','capost_create_return.form.columns','customer','',10,'modules/XC/CanadaPost/products_return/create/parts/table.common.sku.twig',NULL),(2321,'',0,0,'','invoice.bottom.d2po','customer','',10,'modules/XC/CanadaPost/order/invoice/parts/bottom.d2po.details.twig',NULL),(2322,'',0,0,'','order.links','customer','',30,'modules/XC/CanadaPost/order/parts/link.return.twig',NULL),(2323,'',0,0,'','checkout_fastlane','customer','',10,'modules/XC/FastLaneCheckout/checkout_fastlane/header.twig',NULL),(2324,'',0,0,'','checkout_fastlane','customer','',20,'modules/XC/FastLaneCheckout/checkout_fastlane/sections.twig',NULL),(2326,'',0,0,'','checkout_fastlane.header.right','customer','',10,'modules/XC/FastLaneCheckout/checkout_fastlane/header/navigation.twig',NULL),(2328,'',0,0,'','select-address.after','customer','',100,'modules/XC/FastLaneCheckout/select_address/add_button.twig',NULL),(2329,'',0,0,'','checkout_fastlane.sections.after','customer','',10,'modules/XC/FastLaneCheckout/sections/details_box.twig',NULL),(2330,'',0,0,'','checkout_fastlane.sections.details.right','customer','',20,'modules/XC/FastLaneCheckout/sections/section_change_button.twig',NULL),(2331,'',0,0,'','checkout_fastlane.sections.payment.left','customer','',0,'modules/XC/FastLaneCheckout/sections/payment/heading.left.twig',NULL),(2332,'',0,0,'','checkout_fastlane.sections.payment.left','customer','',30,'modules/XC/FastLaneCheckout/sections/payment/note.twig',NULL),(2333,'',0,0,'','checkout_fastlane.sections.payment.right','customer','',0,'modules/XC/FastLaneCheckout/sections/payment/heading.right.twig',NULL),(2334,'',0,0,'','checkout_fastlane.sections.payment.right','customer','',10,'modules/XC/FastLaneCheckout/sections/payment/methods.twig',NULL),(2335,'',0,0,'','checkout_fastlane.sections.payment.left','customer','',20,'modules/XC/FastLaneCheckout/sections/payment/billing.twig',NULL),(2336,'',0,0,'','checkout_fastlane.sections.payment','customer','',10,'modules/XC/FastLaneCheckout/sections/payment/columns.twig',NULL),(2337,'',0,0,'','checkout_fastlane.sections.shipping.left','customer','',0,'modules/XC/FastLaneCheckout/sections/shipping/heading.left.twig',NULL),(2338,'',0,0,'','checkout_fastlane.sections.shipping.left','customer','',30,'modules/XC/FastLaneCheckout/sections/shipping/note.twig',NULL),(2339,'',0,0,'','checkout_fastlane.sections.shipping.right','customer','',0,'modules/XC/FastLaneCheckout/sections/shipping/heading.right.twig',NULL),(2340,'',0,0,'','checkout_fastlane.sections.shipping.right','customer','',10,'modules/XC/FastLaneCheckout/sections/shipping/methods.twig',NULL),(2341,'',0,0,'','checkout_fastlane.sections.shipping.left','customer','',20,'modules/XC/FastLaneCheckout/sections/shipping/address.twig',NULL),(2342,'',0,0,'','checkout_fastlane.sections.shipping.left','customer','',10,'modules/XC/FastLaneCheckout/sections/shipping/email.twig',NULL),(2343,'',0,0,'','checkout_fastlane.sections.shipping','customer','',10,'modules/XC/FastLaneCheckout/sections/shipping/columns.twig',NULL),(2344,'',0,0,'','checkout_fastlane.sections.address','customer','',10,'modules/XC/FastLaneCheckout/sections/address/shipping.twig',NULL),(2345,'',0,0,'','checkout_fastlane.sections.address','customer','',20,'modules/XC/FastLaneCheckout/sections/address/billing.twig',NULL),(2346,'',0,0,'','checkout_fastlane.sections.details.left','customer','',10,'modules/XC/FastLaneCheckout/sections/details/order_details.twig',NULL),(2347,'',0,0,'','checkout_fastlane.sections.details.left','customer','',15,'modules/XC/FastLaneCheckout/sections/details/shipping_details.twig',NULL),(2348,'',0,0,'','checkout_fastlane.sections.details.right','customer','',19,'modules/XC/FastLaneCheckout/sections/details/order_total.twig',NULL),(2349,'',0,0,'','checkout_fastlane.blocks.address.billing.prepend','customer','',10,'modules/XC/FastLaneCheckout/blocks/address_form/address_book.twig',NULL),(2350,'',0,0,'','checkout_fastlane.blocks.address.shipping.prepend','customer','',10,'modules/XC/FastLaneCheckout/blocks/address_form/address_book.twig',NULL),(2351,'',0,0,'','checkout_fastlane.blocks.address.shipping.email','customer','',100,'modules/XC/FastLaneCheckout/blocks/address_form/shipping/address.create.twig',NULL),(2352,'',0,0,'','checkout_fastlane.blocks.address.billing.before','customer','',10,'modules/XC/FastLaneCheckout/blocks/address_form/billing/same.twig',NULL),(2353,'',0,0,'','checkout_fastlane.blocks.address.billing.email','customer','',100,'modules/XC/FastLaneCheckout/blocks/address_form/billing/address.create.twig',NULL),(2354,'',0,0,'','checkout_fastlane.blocks.payment_methods.available','customer','',10,'modules/XC/FastLaneCheckout/blocks/payment_methods/available/payment_tpl.twig',NULL),(2355,'',0,0,'','checkout_fastlane.blocks.popup_address_form.shipping','customer','',999,'modules/XC/FastLaneCheckout/blocks/popup_address_form/apply_to_billing.twig',NULL),(2356,'',0,0,'','checkout_fastlane.blocks.popup_address_form.billing','customer','',999,'modules/XC/FastLaneCheckout/blocks/popup_address_form/apply_to_shipping.twig',NULL),(2358,'',0,0,'','product.details.quicklook.info','customer','',19,'modules/XC/FreeShipping/free_ship.label.twig',NULL),(2359,'',0,0,'','order.links','customer','',10,'modules/XC/VendorMessages/order/parts/link.messages.twig',NULL),(2360,'',0,0,'','orders.children.spec','customer','',350,'modules/XC/VendorMessages/order/list/parts/spec.messages.twig',NULL),(2361,'',0,0,'','customer.signin.links','customer','',200,'authorization/parts/link.bullet.twig',NULL),(2362,'',0,0,'','pager.itemsTotal','customer','',20,'pager/parts/items_total.twig',NULL),(2363,'',0,0,'','layout.main.footer','customer','',1000,'layout/footer/main.footer.section.twig',NULL),(2370,'',0,0,'','layout.header.bar.links.newby','customer','',200,'layout/header/header.bar.links.newby.register.twig',NULL),(2372,'',0,0,'','layout.header','customer','',190,'layout/header/header.bar.checkout.logos.twig',NULL),(2373,'',0,0,'','layout.responsive.search','customer','',200,'layout/header/header.bar.mobilesearch.twig',NULL),(2374,'',0,0,'','layout.header','customer','',100,'layout/header/header.logo.twig',NULL),(2375,'',0,0,'','layout.header.bar.links.newby','customer','',100,'layout/header/header.bar.links.newby.login.twig',NULL),(2376,'',0,0,'','layout.main.center','customer','',300,'layout/content/main.center.right.twig',NULL),(2377,'',0,0,'','layout.main.center','customer','',200,'layout/content/main.center.center.twig',NULL),(2378,'',0,0,'','layout.main.center','customer','',100,'layout/content/main.center.left.twig',NULL),(2380,'',0,0,'','layout.main','customer','',400,'layout/content/main.center.twig',NULL),(2381,'',0,0,'','recover.password','customer','',100,'recover_password/parts/note.twig',NULL),(2382,'',0,0,'','recover.password','customer','',200,'recover_password/parts/form.twig',NULL),(2383,'',0,0,'','surcharge.common','customer','',100,'common/surcharge_parts/surcharge.twig',NULL),(2384,'',0,0,'','order_status.wrapper','customer','',10,'common/order_status_wrapper.twig',NULL),(2385,'',0,0,'','product.plain_price','customer','',10,'common/price_parts/price.twig',NULL),(2386,'',0,0,'','product.plain_price_only','customer','',10,'common/price_parts/price.twig',NULL),(2387,'',0,0,'','order_status.nowrapper','customer','',10,'common/order_status_nowrapper.twig',NULL),(2388,'',0,0,'','checkout.success.panel','customer','',200,'checkout/success/parts/buttons.twig',NULL),(2389,'',0,0,'','checkout.success.panel.buttons','customer','',200,'checkout/success/parts/button.print.twig',NULL),(2390,'',0,0,'','checkout.success','customer','',200,'checkout/success/parts/invoice.twig',NULL),(2391,'',0,0,'','checkout.success','customer','',100,'checkout/success/parts/panel.twig',NULL),(2392,'',0,0,'','checkout.success.panel','customer','',300,'checkout/success/parts/panel_line.twig',NULL),(2393,'',0,0,'','checkout.cart','customer','',20,'checkout/parts/cart.totals.twig',NULL),(2394,'',0,0,'','checkout.review.selected','customer','',20,'checkout/steps/review/parts/place_order.twig',NULL),(2395,'',0,0,'','checkout.review.selected.items','customer','',50,'checkout/steps/review/parts/items.paid.twig',NULL),(2396,'',0,0,'','checkout.review.inactive.items','customer','',50,'checkout/steps/review/parts/items.paid.twig',NULL),(2397,'',0,0,'','checkout.review.selected.items','customer','',35,'checkout/steps/review/parts/items.separator.twig',NULL),(2398,'',0,0,'','checkout.review.inactive.items','customer','',35,'checkout/steps/review/parts/items.separator.twig',NULL),(2399,'',0,0,'','checkout.review.selected.items','customer','',10,'checkout/steps/review/parts/items.subtotal.twig',NULL),(2400,'',0,0,'','checkout.review.inactive.items','customer','',10,'checkout/steps/review/parts/items.subtotal.twig',NULL),(2401,'',0,0,'','checkout.review.selected.placeOrder','customer','',500,'checkout/steps/review/parts/place_order.agree_note.twig',NULL),(2402,'',0,0,'','checkout.review.selected.items','customer','',20,'checkout/steps/review/parts/items.list.twig',NULL),(2403,'',0,0,'','checkout.review.inactive.items','customer','',20,'checkout/steps/review/parts/items.list.twig',NULL),(2404,'',0,0,'','checkout.review.selected.items','customer','',30,'checkout/steps/review/parts/items.modifiers.twig',NULL),(2405,'',0,0,'','checkout.review.selected.items','customer','',40,'checkout/steps/review/parts/items.total.twig',NULL),(2406,'',0,0,'','checkout.review.inactive.items','customer','',40,'checkout/steps/review/parts/items.total.twig',NULL),(2407,'',0,0,'','checkout.review.selected.items','customer','',45,'checkout/steps/review/parts/items.includedModifiers.twig',NULL),(2408,'',0,0,'','checkout.review.selected.placeOrder','customer','',200,'checkout/steps/review/parts/place_order.note.twig',NULL),(2409,'',0,0,'','checkout.review.selected.placeOrder','customer','',400,'checkout/steps/review/parts/place_order.button.twig',NULL),(2410,'',0,0,'','checkout.payment.address.email','customer','',100,'checkout/steps/shipping/parts/address.billing.create.twig',NULL),(2412,'',0,0,'','checkout.shipping.selected','customer','',200,'checkout/steps/shipping/parts/subsection.payment.twig',NULL),(2413,'',0,0,'','checkout.shipping.selected.sub.payment','customer','',200,'checkout/steps/shipping/parts/shippingMethods.twig',NULL),(2414,'',0,0,'','checkout.shipping.selected','customer','',100,'checkout/steps/shipping/parts/subsection.shipping.twig',NULL),(2415,'',0,0,'','checkout.shipping.selected.sub.shipping','customer','',100,'checkout/steps/shipping/parts/address.first.twig',NULL),(2416,'',0,0,'','checkout.shipping.address.email','customer','',100,'checkout/steps/shipping/parts/address.shipping.create.twig',NULL),(2417,'',0,0,'','checkout.shipping.selected.sub.payment','customer','',100,'checkout/steps/shipping/parts/address.second.twig',NULL),(2418,'',0,0,'','checkout.success.panel','customer','',100,'checkout/success_message.twig',NULL),(2419,'',0,0,'','shippingEstimator.address','customer','',10,'shopping_cart/shipping_estimator/parts/address.country.twig',NULL),(2420,'',0,0,'','shippingEstimator.address','customer','',30,'shopping_cart/shipping_estimator/parts/address.zipcode.twig',NULL),(2421,'',0,0,'','shippingEstimator.main','customer','',20,'shopping_cart/shipping_estimator/parts/main.methods.twig',NULL),(2422,'',0,0,'','shippingEstimator.main','customer','',10,'shopping_cart/shipping_estimator/parts/main.address.twig',NULL),(2423,'',0,0,'','shippingEstimator.address','customer','',25,'shopping_cart/shipping_estimator/parts/address.city.twig',NULL),(2424,'',0,0,'','shippingEstimator.address','customer','',20,'shopping_cart/shipping_estimator/parts/address.state.twig',NULL),(2425,'',0,0,'','shippingEstimator.address','customer','',40,'shopping_cart/shipping_estimator/parts/address.type.twig',NULL),(2426,'',0,0,'','cart.bottom.right','customer','',20,'shopping_cart/checkout_buttons.twig',NULL),(2427,'',0,0,'','cart.panel.totals','customer','',40,'shopping_cart/parts/total.button.twig',NULL),(2428,'',0,0,'','cart.group','customer','',10,'shopping_cart/parts/group.title.twig',NULL),(2429,'',0,0,'','cart.panel.totals','customer','',50,'shopping_cart/parts/total.disabled.reason.twig',NULL),(2430,'',0,0,'','cart.item.info','customer','',100,'shopping_cart/parts/item.info.out.twig',NULL),(2432,'',0,0,'','cart.item','customer','',50,'shopping_cart/parts/item.qty.twig',NULL),(2433,'',0,0,'','cart.children','customer','',10,'shopping_cart/parts/items.twig',NULL),(2434,'',0,0,'','checkout.cart','customer','',10,'shopping_cart/parts/items.twig',NULL),(2435,'',0,0,'','cart.children','customer','',20,'shopping_cart/parts/buttons.twig',NULL),(2436,'',0,0,'','cart.panel','customer','',10,'shopping_cart/parts/panel.totals.twig',NULL),(2437,'',0,0,'','cart.panel.totals','customer','',20,'shopping_cart/parts/total.modifiers.twig',NULL),(2438,'',0,0,'','cart.totals','customer','',30,'shopping_cart/parts/cartItems.includedModifiers.twig',NULL),(2439,'',0,0,'','cart.children','customer','',30,'shopping_cart/parts/totals.twig',NULL),(2440,'',0,0,'','cart.item','customer','',30,'shopping_cart/parts/item.info.twig',NULL),(2441,'',0,0,'','cart.item','customer','',60,'shopping_cart/parts/item.subtotal.twig',NULL),(2442,'',0,0,'','cart.panel.totals','customer','',35,'shopping_cart/parts/total.includedModifiers.twig',NULL),(2443,'',0,0,'','cart.panel','customer','',20,'shopping_cart/parts/panel.box.twig',NULL),(2444,'',0,0,'','cart.item','customer','',40,'shopping_cart/parts/item.price.twig',NULL),(2445,'',0,0,'','cart.item.info','customer','',10,'shopping_cart/parts/item.info.name.twig',NULL),(2446,'',0,0,'','cart.totals','customer','',10,'shopping_cart/parts/total.subtotal.twig',NULL),(2447,'',0,0,'','cart.panel.totals','customer','',10,'shopping_cart/parts/total.subtotal.twig',NULL),(2448,'',0,0,'','cart.item','customer','',20,'shopping_cart/parts/item.image.twig',NULL),(2449,'',0,0,'','minicart.horizontal.buttons','customer','',20,'mini_cart/horizontal/parts/disabled_reason.twig',NULL),(2450,'',0,0,'','minicart.horizontal.buttons','customer','',10,'mini_cart/horizontal/parts/checkout.twig',NULL),(2452,'',0,0,'','minicart.horizontal.buttons','customer','',5,'mini_cart/horizontal/parts/cart.twig',NULL),(2453,'',0,0,'','minicart.horizontal.children','customer','',5,'mini_cart/horizontal/parts/link.twig',NULL),(2454,'',0,0,'','footer','customer','',100,'footer/parts/css_aggrefation.twig',NULL),(2455,'',0,0,'','itemsList.product.table.customer.columns','customer','',10,'items_list/product/parts/common.product-sku.twig',NULL),(2456,'',0,0,'','itemsList.product.table.customer.captions','customer','',50,'items_list/product/parts/table.captions.add2cart-button.twig',NULL),(2457,'',0,0,'','itemsList.product.grid.customer.info','customer','',30,'items_list/product/parts/common.product-price.twig',NULL),(2458,'',0,0,'','itemsList.product.small_thumbnails.customer.details','customer','',25,'items_list/product/parts/common.product-price.twig',NULL),(2459,'',0,0,'','itemsList.product.list.customer.info','customer','',40,'items_list/product/parts/common.product-price.twig',NULL),(2460,'',0,0,'','itemsList.product.table.customer.columns','customer','',40,'items_list/product/parts/common.product-price.twig',NULL),(2461,'',0,0,'','productBlock.info','customer','',300,'items_list/product/parts/common.product-price.twig',NULL),(2462,'',0,0,'','itemsList.product.table.customer.captions','customer','',25,'items_list/product/parts/table.captions.labels.twig',NULL),(2464,'',0,0,'','itemsList.product.table.customer.columns','customer','',20,'items_list/product/parts/common.product-link.twig',NULL),(2469,'',0,0,'','itemsList.product.big_thumbnails.customer.info','customer','',0,'items_list/product/parts/common.drag-n-drop-handle.twig',NULL),(2470,'',0,0,'','itemsList.product.grid.customer.info.photo','customer','',999,'items_list/product/parts/common.quicklook-button.twig',NULL),(2471,'',0,0,'','itemsList.product.list.customer.quicklook','customer','',999,'items_list/product/parts/common.quicklook-button.twig',NULL),(2472,'',0,0,'','productBlock.info','customer','',999,'items_list/product/parts/common.quicklook-button.twig',NULL),(2473,'',0,0,'','itemsList.product.table.customer.captions','customer','',40,'items_list/product/parts/table.captions.price.twig',NULL),(2477,'',0,0,'','itemsList.product.grid.customer.info.photo','customer','',10,'items_list/product/parts/common.product-thumbnail.twig',NULL),(2478,'',0,0,'','itemsList.product.small_thumbnails.customer.info.photo','customer','',10,'items_list/product/parts/common.product-thumbnail.twig',NULL),(2479,'',0,0,'','itemsList.product.big_thumbnails.customer.info.photo','customer','',10,'items_list/product/parts/common.product-thumbnail.twig',NULL),(2480,'',0,0,'','productBlock.info.photo','customer','',100,'items_list/product/parts/common.product-thumbnail.twig',NULL),(2482,'',0,0,'','itemsList.product.grid.customer.info','customer','',998,'items_list/product/parts/common.labels.twig',NULL),(2484,'',0,0,'','itemsList.product.list.customer.photo','customer','',998,'items_list/product/parts/common.labels.twig',NULL),(2485,'',0,0,'','itemsList.product.table.customer.columns','customer','',25,'items_list/product/parts/common.labels.twig',NULL),(2486,'',0,0,'','itemsList.product.big_thumbnails.customer.info','customer','',998,'items_list/product/parts/common.labels.twig',NULL),(2487,'',0,0,'','productBlock.info.photo','customer','',998,'items_list/product/parts/common.labels.twig',NULL),(2488,'',0,0,'','product.details.page.image','customer','',17,'items_list/product/parts/common.labels.twig',NULL),(2489,'',0,0,'','itemsList.product.list.customer.photo','customer','',10,'items_list/product/parts/common.product-thumbnail-aligned-top.twig',NULL),(2490,'',0,0,'','itemsList.product.grid.customer.info','customer','',10,'items_list/product/parts/grid.photo.twig',NULL),(2491,'',0,0,'','itemsList.product.small_thumbnails.customer.info','customer','',10,'items_list/product/parts/grid.photo.twig',NULL),(2492,'',0,0,'','itemsList.product.big_thumbnails.customer.info','customer','',100,'items_list/product/parts/grid.photo.twig',NULL),(2493,'',0,0,'','itemsList.product.small_thumbnails.customer.info','customer','',20,'items_list/product/parts/small-thumbnails.details.twig',NULL),(2494,'',0,0,'','itemsList.product.list.customer.info','customer','',30,'items_list/product/parts/common.product-description.twig',NULL),(2496,'',0,0,'','itemsList.product.table.customer.captions','customer','',10,'items_list/product/parts/table.captions.sku.twig',NULL),(2497,'',0,0,'','itemsList.product.list.customer.info','customer','',1000,'items_list/product/parts/list.button-add2cart.twig',NULL),(2498,'',0,0,'','itemsList.product.table.customer.captions','customer','',20,'items_list/product/parts/table.captions.name.twig',NULL),(2499,'',0,0,'','itemsList.product.table.customer.buttons','customer','',50,'items_list/product/parts/common.button-buy-selected.twig',NULL),(2504,'',0,0,'','itemsList.product.grid.customer.info','customer','',20,'items_list/product/parts/common.product-name.twig',NULL),(2506,'',0,0,'','itemsList.product.small_thumbnails.customer.details','customer','',20,'items_list/product/parts/common.product-name.twig',NULL),(2507,'',0,0,'','itemsList.product.big_thumbnails.customer.info','customer','',200,'items_list/product/parts/common.product-name.twig',NULL),(2508,'',0,0,'','itemsList.product.text_links.customer.info','customer','',100,'items_list/product/parts/common.product-name.twig',NULL),(2509,'',0,0,'','productBlock.info','customer','',200,'items_list/product/parts/common.product-name.twig',NULL),(2510,'',0,0,'','itemsList.product.table.customer.columns','customer','',50,'items_list/product/parts/common.button-add2cart.twig',NULL),(2511,'',0,0,'','itemsList.product.table.customer.captions','customer','',30,'items_list/product/parts/table.captions.qty.twig',NULL),(2512,'',0,0,'','itemsList.product.list.customer.body','customer','',40,'items_list/product/center/list/parts/body/body.twig',NULL),(2513,'',0,0,'','itemsList.product.list.customer.body','customer','',20,'items_list/product/center/list/parts/body/thumbnail.twig',NULL),(2514,'',0,0,'','orders.children.actions','customer','',100,'items_list/order/parts/actions.reorder.twig',NULL),(2515,'',0,0,'','orders.children.spec','customer','',500,'items_list/order/parts/spec.total.twig',NULL),(2516,'',0,0,'','orders.children.view_all_items_link','customer','',10,'items_list/order/parts/view_all_items_link.twig',NULL),(2517,'',0,0,'','orders.children.shipping','customer','',100,'items_list/order/parts/shipping.name.twig',NULL),(2518,'',0,0,'','orders.children.spec','customer','',100,'items_list/order/parts/spec.switcher.twig',NULL),(2519,'',0,0,'','orders.children.spec','customer','',600,'items_list/order/parts/spec.count.twig',NULL),(2520,'',0,0,'','orders.children.spec','customer','',200,'items_list/order/parts/spec.number.twig',NULL),(2521,'',0,0,'','orders.children.spec','customer','',400,'items_list/order/parts/spec.break.twig',NULL),(2522,'',0,0,'','orders.children.spec','customer','',300,'items_list/order/parts/spec.date.twig',NULL),(2523,'',0,0,'','signin-anonymous-title','customer','',20,'signin/signin_title.twig',NULL),(2524,'',0,0,'','customer.checkout.signin','customer','',10,'signin/signin_login_form.twig',NULL),(2525,'',0,0,'','checkout.signin.form','customer','',30,'signin/parts_login_form/button.twig',NULL),(2526,'',0,0,'','checkout.signin.form','customer','',20,'signin/parts_login_form/password.twig',NULL),(2527,'',0,0,'','checkout.signin.form','customer','',10,'signin/parts_login_form/email.twig',NULL),(2528,'',0,0,'','head','customer','',16777215,'header/meta.twig',NULL),(2529,'',0,0,'','head','customer','',200,'header/parts/meta_content_type.twig',NULL),(2530,'',0,0,'','head','customer','',1310,'header/parts/layout_options.twig',NULL),(2531,'',0,0,'','head.css','customer','',200,'header/parts/parts.css/css_aggregation.twig',NULL),(2532,'',0,0,'','head.css','customer','',100,'header/parts/parts.css/css.twig',NULL),(2533,'',0,0,'','head','customer','',2,'header/parts/canonical.twig',NULL),(2534,'',0,0,'','head','customer','',1,'header/parts/base.twig',NULL),(2535,'',0,0,'','head','customer','',700,'header/parts/meta_keywords.twig',NULL),(2536,'',0,0,'','head','customer','',550,'header/parts/meta_title.twig',NULL),(2537,'',0,0,'','head','customer','',500,'header/parts/meta_generator.twig',NULL),(2538,'',0,0,'','head','customer','',600,'header/parts/meta_description.twig',NULL),(2539,'',0,0,'','head','customer','',800,'header/parts/meta_compat_ie.twig',NULL),(2540,'',0,0,'','head','customer','',700,'header/parts/meta_mobile_capable.twig',NULL),(2541,'',0,0,'','head','customer','',3,'header/parts/alternate_lang.twig',NULL),(2542,'',0,0,'','head','customer','',700,'header/parts/meta_upgrade_insecure.twig',NULL),(2543,'',0,0,'','head','customer','',1300,'header/parts/script_config.twig',NULL),(2544,'',0,0,'','head','customer','',100,'header/parts/title.twig',NULL),(2545,'',0,0,'','head','customer','',1100,'header/parts/link_css.twig',NULL),(2546,'',0,0,'','head','customer','',650,'header/parts/meta_viewport.twig',NULL),(2547,'',0,0,'','head','customer','',1500,'header/parts/preloaded_labels.twig',NULL),(2548,'',0,0,'','head','customer','',1000,'header/parts/link_favicon.twig',NULL),(2549,'',0,0,'','operate_as_user','customer','',40,'operate_as_user/parts/finish-button.twig',NULL),(2550,'',0,0,'','operate_as_user','customer','',10,'operate_as_user/parts/desc.twig',NULL),(2551,'',0,0,'','operate_as_user','customer','',30,'operate_as_user/parts/login.twig',NULL),(2552,'',0,0,'','operate_as_user','customer','',20,'operate_as_user/parts/name.twig',NULL),(2553,'',0,0,'','jscontainer.js','customer','',200,'jscontainer/parts/js_aggregation.twig',NULL),(2554,'',0,0,'','jscontainer.js','customer','',50,'jscontainer/parts/register_resources.twig',NULL),(2555,'',0,0,'','jscontainer.js','customer','',100,'jscontainer/parts/js.twig',NULL),(2556,'',0,0,'','products.search.conditions.advanced','customer','',100,'product/search/parts/advanced.options.twig',NULL),(2557,'',0,0,'','products.search.conditions.phrase','customer','',100,'product/search/parts/phrase.all.twig',NULL),(2558,'',0,0,'','products.search.conditions.phrase','customer','',200,'product/search/parts/phrase.any.twig',NULL),(2559,'',0,0,'','products.search.conditions.advanced.options','customer','',300,'product/search/parts/advanced.options.sku.twig',NULL),(2560,'',0,0,'','products.search.conditions.substring','customer','',100,'product/search/parts/substring.input.twig',NULL),(2561,'',0,0,'','products.search.conditions.phrase','customer','',300,'product/search/parts/phrase.phrase.twig',NULL),(2562,'',0,0,'','products.search.conditions.advanced.options','customer','',100,'product/search/parts/advanced.options.title.twig',NULL),(2563,'',0,0,'','products.search.conditions.advanced','customer','',200,'product/search/parts/advanced.category.twig',NULL),(2564,'',0,0,'','products.search.conditions.substring','customer','',200,'product/search/parts/substring.button.twig',NULL),(2565,'',0,0,'','products.search.conditions-responsive.substring','customer','',200,'product/search/parts/substring.button.twig',NULL),(2566,'',0,0,'','products.search.conditions.advanced.options','customer','',200,'product/search/parts/advanced.options.descr.twig',NULL),(2567,'',0,0,'','product.simple-search-form.simple-box.elements','customer','',10,'product/search/simple-search-parts/input.twig',NULL),(2568,'',0,0,'','product.simple-search-form.simple-box.elements','customer','',20,'product/search/simple-search-parts/submit.twig',NULL),(2569,'',0,0,'','product.simple-search-form.simple-box','customer','',10,'product/search/simple-search-parts/simple-box.twig',NULL),(2570,'',0,0,'','product.quantity-box','customer','',20,'product/quantity_box/parts/quantity_box.twig',NULL),(2573,'',0,0,'','product.details.quicklook.rotator','customer','',20,'product/details/parts/quicklook.rotator.twig',NULL),(2574,'',0,0,'','product.details.page.tab.description','customer','',100,'product/details/parts/common.product-main-attributes.twig',NULL),(2578,'',0,0,'','product.details.page.info.buttons.cart-buttons','customer','',10,'product/details/parts/common.qty.twig',NULL),(2579,'',0,0,'','product.details.page.info.buttons-added.cart-buttons','customer','',10,'product/details/parts/common.qty.twig',NULL),(2580,'',0,0,'','product.details.quicklook.info.buttons.cart-buttons','customer','',10,'product/details/parts/common.qty.twig',NULL),(2581,'',0,0,'','product.details.quicklook.info.buttons-added.cart-buttons','customer','',10,'product/details/parts/common.qty.twig',NULL),(2582,'',0,0,'','product.details.page.info','customer','',42,'product/details/parts/common.notify-on-price-drop.twig',NULL),(2583,'',0,0,'','product.details.page.info','customer','',10,'product/details/parts/common.product-title.twig',NULL),(2585,'',0,0,'','product.details.page.tab.attributes','customer','',10,'product/details/parts/page.tabs.attributes.twig',NULL),(2586,'',0,0,'','product.details.page.info.buttons-added.cart-buttons','customer','',30,'product/details/parts/common.add-button.twig',NULL),(2587,'',0,0,'','product.details.quicklook.info.buttons-added.cart-buttons','customer','',30,'product/details/parts/common.add-button.twig',NULL),(2588,'',0,0,'','product.details.page.info.buttons.cart-buttons','customer','',20,'product/details/parts/common.add-button.twig',NULL),(2589,'',0,0,'','product.details.quicklook.info.buttons.cart-buttons','customer','',20,'product/details/parts/common.add-button.twig',NULL),(2590,'',0,0,'','product.details.quicklook','customer','',20,'product/details/parts/quicklook.image.twig',NULL),(2591,'',0,0,'','product.details.page','customer','',30,'product/details/parts/page.info.twig',NULL),(2592,'',0,0,'','product.details.page','customer','',1000,'product/details/parts/common.javascript-add2cart.twig',NULL),(2593,'',0,0,'','product.details.page.info','customer','',40,'product/details/parts/common.price.twig',NULL),(2594,'',0,0,'','product.details.quicklook.info','customer','',40,'product/details/parts/common.price.twig',NULL),(2595,'',0,0,'','product.details.quicklook','customer','',30,'product/details/parts/quicklook.info.twig',NULL),(2596,'',0,0,'','product.details.page.info.buttons','customer','',10,'product/details/parts/common.info.buttons.cart-buttons.twig',NULL),(2597,'',0,0,'','product.details.page.info.buttons-added','customer','',10,'product/details/parts/common.info.buttons.cart-buttons.twig',NULL),(2598,'',0,0,'','product.details.quicklook.info.buttons','customer','',20,'product/details/parts/common.info.buttons.cart-buttons.twig',NULL),(2599,'',0,0,'','product.details.quicklook.info.buttons-added','customer','',20,'product/details/parts/common.info.buttons.cart-buttons.twig',NULL),(2600,'',0,0,'','product.details.page.info','customer','',100,'product/details/parts/common.info.buttons.twig',NULL),(2601,'',0,0,'','product.details.quicklook.info','customer','',100,'product/details/parts/common.info.buttons.twig',NULL),(2602,'',0,0,'','product.details.page.tab.description','customer','',50,'product/details/parts/common.product-common-attributes.twig',NULL),(2603,'',0,0,'','product.details.common.product-attributes.attributes','customer','',10,'product/details/parts/common.product-attributes-list.twig',NULL),(2605,'',0,0,'','product.details.page.tab.description','customer','',100,'product/details/parts/common.product-description.twig',NULL),(2608,'',0,0,'','product.details.quicklook.info','customer','',18,'product/details/parts/common.stock.twig',NULL),(2612,'',0,0,'','product.details.common.product-attributes.elements','customer','',100,'product/details/common_attributes/common.product-attributes.weight.twig',NULL),(2613,'',0,0,'','product.details.common.product-attributes.elements','customer','',200,'product/details/common_attributes/common.product-attributes.sku.twig',NULL),(2614,'',0,0,'','invoice.base.totals.after','customer','',20,'order/invoice/parts/totals.includedModifiers.twig',NULL),(2615,'',0,0,'','invoice.item','customer','',20,'order/invoice/parts/items/item.price.twig',NULL),(2616,'',0,0,'','invoice.item','customer','',40,'order/invoice/parts/items/item.total.twig',NULL),(2617,'',0,0,'','invoice.base','customer','',10,'order/invoice/parts/head.twig',NULL),(2618,'',0,0,'','order.children','customer','',20,'order/parts/links.twig',NULL),(2619,'',0,0,'','order.status','customer','',10,'order/parts/status.payment.twig',NULL),(2620,'',0,0,'','order.status','customer','',20,'order/parts/status.shipping.twig',NULL),(2621,'',0,0,'','order.children','customer','',10,'order/parts/status.twig',NULL),(2622,'',0,0,'','order.links','customer','',100,'order/parts/link.print.twig',NULL),(2623,'',0,0,'','product.plain_price','common','',10,'common/price_parts/price.twig',NULL),(2624,'',0,0,'','product.plain_price_only','common','',10,'common/price_parts/price.twig',NULL),(2625,'',0,0,'','invoice.subhead.companyAddress','common','',300,'order/invoice/parts/head.companyAddress.phone.twig',NULL),(2626,'',0,0,'','invoice.subhead.companyAddress','common','',400,'order/invoice/parts/head.companyAddress.fax.twig',NULL),(2627,'',0,0,'','invoice.base','common','',60,'order/invoice/parts/totals.twig',NULL),(2628,'',0,0,'','invoice.subhead','common','',20,'order/invoice/parts/head.address.twig',NULL),(2629,'',0,0,'','invoice.bottom.method.shipping','common','',20,'order/invoice/parts/bottom.methods.shipping.twig',NULL),(2630,'',0,0,'','invoice.subhead.companyAddress','common','',200,'order/invoice/parts/head.companyAddress.address.twig',NULL),(2631,'',0,0,'','invoice.subhead','common','',10,'order/invoice/parts/bottom.twig',NULL),(2632,'',0,0,'','invoice.bottom.address.billing','common','',10,'order/invoice/parts/bottom.address.billing.twig',NULL),(2633,'',0,0,'','invoice.base','common','',40,'order/invoice/parts/note.twig',NULL),(2634,'',0,0,'','invoice.subhead.companyAddress','common','',500,'order/invoice/parts/head.companyAddress.website.twig',NULL),(2635,'',0,0,'','invoice.base.totals.after','common','',10,'order/invoice/parts/totals.total.twig',NULL),(2636,'',0,0,'','invoice.base.totals','common','',200,'order/invoice/parts/totals.modifiers.twig',NULL),(2637,'',0,0,'','invoice.subhead.companyAddress','common','',100,'order/invoice/parts/head.companyAddress.name.twig',NULL),(2638,'',0,0,'','invoice.bottom.lines','common','',10,'order/invoice/parts/bottom.methods.twig',NULL),(2639,'',0,0,'','invoice.head','common','',20,'order/invoice/parts/head.logo.twig',NULL),(2640,'',0,0,'','invoice.bottom.method.payment','common','',20,'order/invoice/parts/bottom.methods.payment.twig',NULL),(2641,'',0,0,'','invoice.base.totals.after','common','',20,'order/invoice/parts/totals.includedModifiers.twig',NULL),(2642,'',0,0,'','invoice.base','common','',55,'order/invoice/parts/instruction.twig',NULL),(2643,'',0,0,'','invoice.item','common','',30,'order/invoice/parts/items/item.qty.twig',NULL),(2644,'',0,0,'','invoice.base','common','',50,'order/invoice/parts/items/items.twig',NULL),(2645,'',0,0,'','invoice.item.name','common','',10,'order/invoice/parts/items/item.sku.twig',NULL),(2646,'',0,0,'','invoice.item','common','',20,'order/invoice/parts/items/item.price.twig',NULL),(2647,'',0,0,'','invoice.item','common','',10,'order/invoice/parts/items/item.name.twig',NULL),(2648,'',0,0,'','invoice.items.head','common','',30,'order/invoice/parts/items/items.head.qty.twig',NULL),(2649,'',0,0,'','invoice.items.head','common','',40,'order/invoice/parts/items/items.head.total.twig',NULL),(2650,'',0,0,'','invoice.items.head','common','',10,'order/invoice/parts/items/items.head.item.twig',NULL),(2651,'',0,0,'','invoice.items.head','common','',20,'order/invoice/parts/items/items.head.price.twig',NULL),(2652,'',0,0,'','invoice.item','common','',40,'order/invoice/parts/items/item.total.twig',NULL),(2653,'',0,0,'','invoice.head','common','',10,'order/invoice/parts/title.twig',NULL),(2654,'',0,0,'','invoice.bottom.address.shipping','common','',20,'order/invoice/parts/bottom.address.shipping.twig',NULL),(2655,'',0,0,'','invoice.base.totals','common','',100,'order/invoice/parts/totals.subtotal.twig',NULL),(2656,'',0,0,'','invoice.base','common','',10,'order/invoice/parts/head.twig',NULL),(2657,'',0,0,'','invoice.base','common','',20,'order/invoice/parts/subhead.twig',NULL),(2658,'',0,0,'','admin.main.page.header.left','admin','',100,'main_center/page_container_parts/header_parts/logo.twig',NULL),(2659,'',0,0,'','admin.main.page.header','admin','',100,'main_center/page_container_parts/header_parts/menu_control.twig',NULL),(2660,'',0,0,'','payment.methods.list.header','admin','',9999,'modules/Amazon/PayWithAmazon/method_style.twig',NULL),(2661,'',0,0,'','payment_status.after.PayPal_powered_by_Braintree','admin','',20,'modules/QSL/BraintreeVZ/config/status.twig',NULL),(2662,'',0,0,'','order.payment','admin','',120,'modules/QSL/BraintreeVZ/order/credit_card.twig',NULL),(2663,'',0,0,'','invoice.base.totals.modifier.name','admin','',16777215,'modules/CDev/Coupons/coupons_minilist.twig',NULL),(2664,'',0,0,'','coupons.itemsList.header','admin','',100,'modules/CDev/Coupons/coupons/list/add.twig',NULL),(2665,'',0,0,'','itemsList.coupons.cell.code','admin','',16777215,'modules/CDev/Coupons/coupons/list/code.twig',NULL),(2666,'',0,0,'','product.modify.list','admin','',832,'modules/CDev/ProductAdvisor/product/parts/new_arrival.twig',NULL),(2667,'',0,0,'','product.modify.list','admin','',832,'modules/CDev/ProductAdvisor/product/parts/coming_soon.twig',NULL),(2668,'',0,0,'','itemsList.cdev.simplecms.menu.header','admin','',10,'modules/CDev/SimpleCMS/menus/default_option.twig',NULL),(2669,'',0,0,'','payment.methods.body','admin','',150,'modules/CDev/Moneybookers/register.twig',NULL),(2670,'',0,0,'','itemsList.shipping-methods.header','admin','',20,'modules/CDev/USPS/refresh.twig',NULL),(2671,'',0,0,'','itemsList.category.cell.featured_products','admin','',100,'modules/CDev/FeaturedProducts/items_list/category/parts/info.featured_products.twig',NULL),(2672,'',0,0,'','itemsList.product.admin.featured.columns','admin','',40,'modules/CDev/FeaturedProducts/items_list/product/featured/parts/columns/category.twig',NULL),(2673,'',0,0,'','itemsList.product.admin.featured.columns','admin','',30,'modules/CDev/FeaturedProducts/items_list/product/featured/parts/columns/name.twig',NULL),(2674,'',0,0,'','itemsList.product.admin.featured.columns','admin','',10,'modules/CDev/FeaturedProducts/items_list/product/featured/parts/columns/checkbox.twig',NULL),(2675,'',0,0,'','itemsList.product.admin.featured.columns','admin','',20,'modules/CDev/FeaturedProducts/items_list/product/featured/parts/columns/sku.twig',NULL),(2676,'',0,0,'','itemsList.product.admin.featured.header','admin','',40,'modules/CDev/FeaturedProducts/items_list/product/featured/parts/header/category.twig',NULL),(2677,'',0,0,'','itemsList.product.admin.featured.header','admin','',30,'modules/CDev/FeaturedProducts/items_list/product/featured/parts/header/name.twig',NULL),(2678,'',0,0,'','itemsList.product.admin.featured.header','admin','',10,'modules/CDev/FeaturedProducts/items_list/product/featured/parts/header/checkbox.twig',NULL),(2679,'',0,0,'','itemsList.product.admin.featured.header','admin','',20,'modules/CDev/FeaturedProducts/items_list/product/featured/parts/header/sku.twig',NULL),(2680,'',0,0,'','itemsList.wholesalePrices.header','admin','',100,'modules/CDev/Wholesale/pricing/parts/note.twig',NULL),(2681,'',0,0,'','browseServer.item','admin','',200,'modules/CDev/Egoods/encrypt_mark.twig',NULL),(2682,'',0,0,'','product.modify.list','admin','',550,'modules/CDev/MarketPrice/price.twig',NULL),(2683,'',0,0,'','welcome-block.paypal.content','admin','',20,'modules/CDev/Paypal/welcome_block/paypal/block.footer.twig',NULL),(2684,'',0,0,'','welcome-block.paypal','admin','',100,'modules/CDev/Paypal/welcome_block/paypal/block.twig',NULL),(2685,'',0,0,'','welcome-block.paypal.content','admin','',10,'modules/CDev/Paypal/welcome_block/paypal/block.content.twig',NULL),(2686,'',0,0,'','payment_status.after.ExpressCheckout','admin','',100,'modules/CDev/Paypal/settings/ExpressCheckout/payment_status.twig',NULL),(2687,'',0,0,'','payment.methods.list.row.after.PayflowLink','admin','',100,'modules/CDev/Paypal/items_list/payment/methods/parts/action.right.after.twig',NULL),(2688,'',0,0,'','payment.methods.list.row.after.PaypalAdvanced','admin','',100,'modules/CDev/Paypal/items_list/payment/methods/parts/action.right.after.twig',NULL),(2689,'',0,0,'','payment.methods.list.row.after.PaypalWPS','admin','',100,'modules/CDev/Paypal/items_list/payment/methods/parts/action.right.after.twig',NULL),(2690,'',0,0,'','payment.methods.list.row.after.ExpressCheckout','admin','',100,'modules/CDev/Paypal/items_list/payment/methods/parts/action.right.after.expressCheckout.twig',NULL),(2691,'',0,0,'','order.payment','admin','',110,'modules/CDev/Paypal/order/payment.id.twig',NULL),(2692,'',0,0,'','order.actions.paymentActionsRow','admin','',100,'modules/CDev/Paypal/order/refund_in_progress.twig',NULL),(2693,'',0,0,'','sale_discount_types','admin','',20,'modules/CDev/Sale/sale_discount_types/parts/percent.twig',NULL),(2694,'',0,0,'','sale_discount_types','admin','',30,'modules/CDev/Sale/sale_discount_types/parts/hidden_price.twig',NULL),(2695,'',0,0,'','sale_discount_types','admin','',40,'modules/CDev/Sale/sale_discount_types/parts/hidden_percent.twig',NULL),(2696,'',0,0,'','sale_discount_types','admin','',10,'modules/CDev/Sale/sale_discount_types/parts/price.twig',NULL),(2697,'',0,0,'','itemsList.products.search.cell.name','admin','',10,'modules/CDev/Sale/product/sale_label.twig',NULL),(2698,'',0,0,'','itemsList.product_selector.cell.name','admin','',10,'modules/CDev/Sale/product/sale_label.twig',NULL),(2699,'',0,0,'','admin.account.add_new_card.form','admin','',100,'modules/CDev/XPaymentsConnector/account/add_new_card.form.twig',NULL),(2700,'',0,0,'','admin.account.saved_cards.table','admin','',100,'modules/CDev/XPaymentsConnector/account/saved_cards.table.twig',NULL),(2701,'',0,0,'','admin.account.saved_cards.before','admin','',100,'modules/CDev/XPaymentsConnector/account/saved_cards.header.twig',NULL),(2702,'',0,0,'','admin.account.add_new_card.address','admin','',100,'modules/CDev/XPaymentsConnector/account/add_new_card.address.twig',NULL),(2703,'',0,0,'','order.operations','admin','',290,'modules/CDev/XPaymentsConnector/order/transactions/body.twig',NULL),(2704,'',0,0,'','order','admin','',1100,'modules/CDev/XPaymentsConnector/order/fraud_status/check.twig',NULL),(2705,'',0,0,'','order','admin','',1000,'modules/CDev/XPaymentsConnector/order/fraud_status/kount.twig',NULL),(2706,'',0,0,'','order.actions.paymentActionsRow','admin','',19000,'modules/CDev/XPaymentsConnector/order/order/payment_actions/recharge.twig',NULL),(2707,'',0,0,'','product.inventory.parts','admin','',20,'modules/CDev/PINCodes/inv_track_amount.twig',NULL),(2708,'',0,0,'','product.pinCodes','admin','',200,'modules/CDev/PINCodes/product/auto_generate.twig',NULL),(2709,'',0,0,'','product.pinCodes','admin','',10,'modules/CDev/PINCodes/product/script_init.twig',NULL),(2710,'',0,0,'','product.pinCodes','admin','',400,'modules/CDev/PINCodes/product/actions.twig',NULL),(2711,'',0,0,'','product.pinCodes','admin','',300,'modules/CDev/PINCodes/product/pins_status.twig',NULL),(2712,'',0,0,'','product.pinCodes','admin','',100,'modules/CDev/PINCodes/product/enabled_checkbox.twig',NULL),(2713,'',0,0,'','product.inventory.parts','admin','',10,'modules/CDev/PINCodes/inv_track_selector.twig',NULL),(2714,'',0,0,'','form_model.xc.bulkediting.product.after','admin','',100,'modules/XC/BulkEditing/bulk_edit/selected.twig',NULL),(2715,'',0,0,'','itemsList.xc.bulkediting.category.header','admin','',100,'modules/XC/BulkEditing/items_list/selected/count.twig',NULL),(2716,'',0,0,'','itemsList.xc.bulkediting.inventory.header','admin','',100,'modules/XC/BulkEditing/items_list/selected/count.twig',NULL),(2717,'',0,0,'','itemsList.xc.bulkediting.priceandmembership.header','admin','',100,'modules/XC/BulkEditing/items_list/selected/count.twig',NULL),(2718,'',0,0,'','itemsList.xc.bulkediting.shippinginfo.header','admin','',100,'modules/XC/BulkEditing/items_list/selected/count.twig',NULL),(2719,'',0,0,'','product.search.conditions.by-keywords','admin','',40,'modules/XC/ProductTags/product/search/parts/by_conditions_parts/by_tag.twig',NULL),(2720,'',0,0,'','itemsList.xc.reviews.review.header','admin','',16777215,'modules/XC/Reviews/reviews/buttons/addReview.twig',NULL),(2721,'',0,0,'','itemsList.xc.reviews.productreview.header','admin','',16777215,'modules/XC/Reviews/reviews/buttons/addReview.twig',NULL),(2722,'',0,0,'','crud.review.footer','admin','',100,'modules/XC/Reviews/review/promo.twig',NULL),(2723,'',0,0,'','crud.modulesettings.formHeader','admin','',50,'modules/XC/Reviews/review/promo_settings.twig',NULL),(2724,'',0,0,'','images_settings','admin','',100,'modules/XC/ThemeTweaker/images_settings/parts/custom_images.twig',NULL),(2725,'',0,0,'','payment_status.after.SagePay_form_protocol','admin','',100,'modules/XC/SagePay/payment_status.twig',NULL),(2726,'',0,0,'','payment.methods.list.header','admin','',400,'modules/XC/SagePay/sagepay_description.twig',NULL),(2727,'',0,0,'','capost_return','admin','',100,'modules/XC/CanadaPost/products_return/parts/created.twig',NULL),(2728,'',0,0,'','capost_return.form','admin','',100,'modules/XC/CanadaPost/products_return/parts/form.actions.twig',NULL),(2729,'',0,0,'','capost_return.form.actions.right','admin','',100,'modules/XC/CanadaPost/products_return/parts/form.action.right.note.twig',NULL),(2730,'',0,0,'','capost_return.form','admin','',400,'modules/XC/CanadaPost/products_return/parts/form.notes.twig',NULL),(2731,'',0,0,'','capost_return.form','admin','',300,'modules/XC/CanadaPost/products_return/parts/form.files.twig',NULL),(2732,'',0,0,'','capost_return','admin','',200,'modules/XC/CanadaPost/products_return/parts/form.twig',NULL),(2733,'',0,0,'','capost_return.form.actions.left','admin','',100,'modules/XC/CanadaPost/products_return/parts/form.action.left.status.twig',NULL),(2734,'',0,0,'','capost_return.form','admin','',200,'modules/XC/CanadaPost/products_return/parts/form.products.twig',NULL),(2735,'',0,0,'','searchPanel.xc.canadapost.productsreturn.admin.main.actions','admin','',16777215,'modules/XC/CanadaPost/search_panel/return/clear_search.twig',NULL),(2736,'',0,0,'','order.shipping','admin','',250,'modules/XC/CanadaPost/order/page/parts/shipping.d2po.twig',NULL),(2737,'',0,0,'','onboarding-wizard.header','admin','',100,'modules/XC/Onboarding/wizard/header.twig',NULL),(2738,'',0,0,'','onboarding-wizard.header','admin','',50,'modules/XC/Onboarding/wizard/close_button.twig',NULL),(2739,'',0,0,'','browseServer','admin','',100,'browse_server/parts/items.twig',NULL),(2740,'',0,0,'','browseServer','admin','',200,'browse_server/parts/buttons.twig',NULL),(2741,'',0,0,'','browseServer.item','admin','',100,'browse_server/parts/item.name.twig',NULL),(2742,'',0,0,'','pager.admin.model.table.left','admin','',100,'pager/model/table/parts/page.twig',NULL),(2743,'',0,0,'','pager.admin.model.table.left','admin','',300,'pager/model/table/parts/more.twig',NULL),(2744,'',0,0,'','pager.admin.model.table.left','admin','',400,'pager/model/table/parts/items_per_page.twig',NULL),(2745,'',0,0,'','pager.itemsTotal','admin','',20,'pager/parts/items_total.twig',NULL),(2746,'',0,0,'','layout_settings','admin','',10,'layout_settings/parts/layout_settings.settings.twig',NULL),(2747,'',0,0,'','layout_settings','admin','',20,'layout_settings/parts/layout_settings.change_template.twig',NULL),(2748,'',0,0,'','layout_settings.settings','admin','',20,'layout_settings/settings/parts/settings.current_template.twig',NULL),(2749,'',0,0,'','layout_settings.settings','admin','',30,'layout_settings/settings/parts/settings.layout_type.twig',NULL),(2750,'',0,0,'','layout_settings.settings','admin','',40,'layout_settings/settings/parts/settings.settings_form.twig',NULL),(2751,'',0,0,'','zones.zone.details','admin','',300,'zones/details/parts/field.city.twig',NULL),(2752,'',0,0,'','zones.zone.details','admin','',400,'zones/details/parts/field.zipcode.twig',NULL),(2753,'',0,0,'','zones.zone.details','admin','',200,'zones/details/parts/field.state.twig',NULL),(2754,'',0,0,'','zones.zone.details','admin','',100,'zones/details/parts/field.country.twig',NULL),(2755,'',0,0,'','zones.zone','admin','',200,'zones/details/parts/details.twig',NULL),(2756,'',0,0,'','zones.zone','admin','',300,'zones/details/parts/actions.twig',NULL),(2757,'',0,0,'','zones.zone.details','admin','',500,'zones/details/parts/field.address.twig',NULL),(2758,'',0,0,'','zones.zone','admin','',100,'zones/details/parts/field.name.twig',NULL),(2759,'',0,0,'','file-uploader.menu','admin','',30,'file_uploader/parts/menu.upload.twig',NULL),(2760,'',0,0,'','file-uploader.menu','admin','',20,'file_uploader/parts/menu.view.twig',NULL),(2761,'',0,0,'','file-uploader.menu','admin','',50,'file_uploader/parts/menu.alt.twig',NULL),(2762,'',0,0,'','file-uploader.menu','admin','',100,'file_uploader/parts/menu.delete.twig',NULL),(2763,'',0,0,'','file-uploader.menu','admin','',10,'file_uploader/parts/menu.message.twig',NULL),(2764,'',0,0,'','upgrade.step.ready_to_install.entries_list.sections','admin','',100,'upgrade/step/ready_to_install/entries_list/parts/table.twig',NULL),(2765,'',0,0,'','upgrade.step.completed.entries_list.sections','admin','',200,'upgrade/step/ready_to_install/entries_list/parts/table.twig',NULL),(2766,'',0,0,'','upgrade.step.ready_to_install.entries_list.sections.permissions.buttons','admin','',100,'upgrade/step/ready_to_install/entries_list/parts/permissions/buttons/copy.twig',NULL),(2767,'',0,0,'','upgrade.step.ready_to_install.entries_list.sections.table.columns','admin','',100,'upgrade/step/ready_to_install/entries_list/parts/table/columns/component.twig',NULL),(2768,'',0,0,'','upgrade.step.completed.entries_list.sections.table.columns','admin','',100,'upgrade/step/ready_to_install/entries_list/parts/table/columns/component.twig',NULL),(2769,'',0,0,'','upgrade.step.ready_to_install.entries_list.sections.table.columns.error','admin','',400,'upgrade/step/ready_to_install/entries_list/parts/table/columns/error.twig',NULL),(2770,'',0,0,'','upgrade.step.ready_to_install.entries_list.sections.table.columns','admin','',300,'upgrade/step/ready_to_install/entries_list/parts/table/columns/changelog_link.twig',NULL),(2771,'',0,0,'','upgrade.step.ready_to_install.entries_list.sections.table.columns','admin','',300,'upgrade/step/ready_to_install/entries_list/parts/table/columns/version.twig',NULL),(2772,'',0,0,'','upgrade.step.completed.entries_list.sections.table.columns','admin','',300,'upgrade/step/ready_to_install/entries_list/parts/table/columns/version.twig',NULL),(2773,'',0,0,'','upgrade.step.ready_to_install.entries_list.sections.table.columns','admin','',200,'upgrade/step/ready_to_install/entries_list/parts/table/columns/status.twig',NULL),(2774,'',0,0,'','upgrade.step.completed.entries_list.sections.table.columns','admin','',200,'upgrade/step/ready_to_install/entries_list/parts/table/columns/status.twig',NULL),(2775,'',0,0,'','upgrade.step.ready_to_install.entries_list.sections.table.columns.changelog','admin','',350,'upgrade/step/ready_to_install/entries_list/parts/table/columns/changelog.twig',NULL),(2776,'',0,0,'','upgrade.step.ready_to_install.entries_list.sections.table.header','admin','',100,'upgrade/step/ready_to_install/entries_list/parts/table/header/component.twig',NULL),(2777,'',0,0,'','upgrade.step.completed.entries_list.sections.table.header','admin','',100,'upgrade/step/ready_to_install/entries_list/parts/table/header/component.twig',NULL),(2778,'',0,0,'','upgrade.step.ready_to_install.entries_list.sections.table.header','admin','',300,'upgrade/step/ready_to_install/entries_list/parts/table/header/version.twig',NULL),(2779,'',0,0,'','upgrade.step.completed.entries_list.sections.table.header','admin','',300,'upgrade/step/ready_to_install/entries_list/parts/table/header/version.twig',NULL),(2780,'',0,0,'','upgrade.step.ready_to_install.entries_list.sections.table.header','admin','',200,'upgrade/step/ready_to_install/entries_list/parts/table/header/status.twig',NULL),(2781,'',0,0,'','upgrade.step.completed.entries_list.sections.table.header','admin','',200,'upgrade/step/ready_to_install/entries_list/parts/table/header/status.twig',NULL),(2782,'',0,0,'','upgrade.step.ready_to_install.entries_list.sections.table.header','admin','',300,'upgrade/step/ready_to_install/entries_list/parts/table/header/changelog.twig',NULL),(2783,'',0,0,'','upgrade.step.ready_to_install.buttons.sections.left','admin','',150,'upgrade/step/ready_to_install/buttons/parts/remove_agree.twig',NULL),(2784,'',0,0,'','upgrade.step.ready_to_install.buttons.sections','admin','',200,'upgrade/step/ready_to_install/buttons/parts/right.twig',NULL),(2785,'',0,0,'','upgrade.step.ready_to_install.buttons.sections.left','admin','',100,'upgrade/step/ready_to_install/buttons/parts/agree.twig',NULL),(2786,'',0,0,'','upgrade.step.ready_to_install.buttons.sections.left','admin','',200,'upgrade/step/ready_to_install/buttons/parts/install.twig',NULL),(2787,'',0,0,'','upgrade.step.ready_to_install.buttons.sections.right','admin','',200,'upgrade/step/ready_to_install/buttons/parts/try_again.twig',NULL),(2788,'',0,0,'','upgrade.step.ready_to_install.entries_list.sections.permissions.buttons','admin','',200,'upgrade/step/ready_to_install/buttons/parts/try_again.twig',NULL),(2789,'',0,0,'','upgrade.step.ready_to_install.buttons.sections','admin','',100,'upgrade/step/ready_to_install/buttons/parts/left.twig',NULL),(2790,'',0,0,'','upgrade.step.prepare.entries_list_upgrade.sections','admin','',100,'upgrade/step/prepare/entries_list_upgrade/parts/table.twig',NULL),(2791,'',0,0,'','upgrade.step.prepare.entries_list_upgrade.sections.table','admin','',200,'upgrade/step/prepare/entries_list_upgrade/parts/table/info.twig',NULL),(2792,'',0,0,'','upgrade.step.prepare.entries_list_upgrade.sections.table.info','admin','',200,'upgrade/step/prepare/entries_list_upgrade/parts/table/info/module.twig',NULL),(2793,'',0,0,'','upgrade.step.prepare.entries_list_upgrade.sections.table.info.module','admin','',200,'upgrade/step/prepare/entries_list_upgrade/parts/table/info/module/author.twig',NULL),(2794,'',0,0,'','upgrade.step.prepare.entries_list_upgrade.sections.table.info.module','admin','',100,'upgrade/step/prepare/entries_list_upgrade/parts/table/info/module/version.twig',NULL),(2795,'',0,0,'','upgrade.step.prepare.entries_list_upgrade.sections.table.info.module','admin','',300,'upgrade/step/prepare/entries_list_upgrade/parts/table/info/module/status.twig',NULL),(2796,'',0,0,'','upgrade.step.prepare.entries_list_upgrade.sections.table.info','admin','',100,'upgrade/step/prepare/entries_list_upgrade/parts/table/info/name.twig',NULL),(2797,'',0,0,'','upgrade.step.prepare.entries_list_upgrade.sections.table','admin','',100,'upgrade/step/prepare/entries_list_upgrade/parts/table/icon.twig',NULL),(2798,'',0,0,'','upgrade.step.prepare.incompatible_entries_update.sections','admin','',200,'upgrade/step/prepare/incompatible_entries_update/parts/table.twig',NULL),(2799,'',0,0,'','upgrade.step.prepare.incompatible_entries_update.sections','admin','',300,'upgrade/step/prepare/incompatible_entries_update/parts/agree.twig',NULL),(2800,'',0,0,'','upgrade.step.prepare.incompatible_entries_update.sections.table.columns','admin','',200,'upgrade/step/prepare/incompatible_entries_update/parts/table/columns/icon.twig',NULL),(2801,'',0,0,'','upgrade.step.prepare.incompatible_entries_update.sections.table.columns','admin','',100,'upgrade/step/prepare/incompatible_entries_update/parts/table/columns/name.twig',NULL),(2802,'',0,0,'','upgrade.step.prepare.incompatible_entries_update.sections.table.columns','admin','',300,'upgrade/step/prepare/incompatible_entries_update/parts/table/columns/checkbox.twig',NULL),(2803,'',0,0,'','upgrade.step.prepare.incompatible_entries_update.sections','admin','',100,'upgrade/step/prepare/incompatible_entries_update/parts/description.twig',NULL),(2804,'',0,0,'','upgrade.step.prepare.incompatible_entries_upgrade.sections','admin','',200,'upgrade/step/prepare/incompatible_entries_upgrade/parts/table.twig',NULL),(2805,'',0,0,'','upgrade.step.prepare.incompatible_entries_upgrade.sections.table','admin','',200,'upgrade/step/prepare/incompatible_entries_upgrade/parts/table/info.twig',NULL),(2806,'',0,0,'','upgrade.step.prepare.incompatible_entries_upgrade.sections.table.info','admin','',200,'upgrade/step/prepare/incompatible_entries_upgrade/parts/table/info/module.twig',NULL),(2807,'',0,0,'','upgrade.step.prepare.incompatible_entries_upgrade.sections.table.info.module','admin','',200,'upgrade/step/prepare/incompatible_entries_upgrade/parts/table/info/module/author.twig',NULL),(2808,'',0,0,'','upgrade.step.prepare.incompatible_entries_upgrade.sections.table.info.module','admin','',100,'upgrade/step/prepare/incompatible_entries_upgrade/parts/table/info/module/version.twig',NULL),(2809,'',0,0,'','upgrade.step.prepare.incompatible_entries_upgrade.sections.table.info','admin','',100,'upgrade/step/prepare/incompatible_entries_upgrade/parts/table/info/name.twig',NULL),(2810,'',0,0,'','upgrade.step.prepare.incompatible_entries_upgrade.sections.table','admin','',100,'upgrade/step/prepare/incompatible_entries_upgrade/parts/table/icon.twig',NULL),(2811,'',0,0,'','upgrade.step.prepare.incompatible_entries_upgrade.sections','admin','',100,'upgrade/step/prepare/incompatible_entries_upgrade/parts/description.twig',NULL),(2812,'',0,0,'','upgrade.step.prepare.buttons.sections','admin','',200,'upgrade/step/prepare/buttons/parts/continue.twig',NULL),(2813,'',0,0,'','upgrade.step.prepare.buttons.sections','admin','',50,'upgrade/step/prepare/buttons/parts/expired_keys.twig',NULL),(2814,'',0,0,'','upgrade.step.prepare.buttons.sections','admin','',200,'upgrade/step/prepare/buttons/parts/trial_notice.twig',NULL),(2815,'',0,0,'','upgrade.step.prepare.entries_list_update.sections','admin','',100,'upgrade/step/prepare/entries_list_update/parts/table.twig',NULL),(2816,'',0,0,'','upgrade.step.prepare.entries_list_update.sections.table.columns','admin','',400,'upgrade/step/prepare/entries_list_update/parts/table/columns/version_separator.twig',NULL),(2817,'',0,0,'','upgrade.step.prepare.entries_list_update.sections.table.columns','admin','',300,'upgrade/step/prepare/entries_list_update/parts/table/columns/version_old.twig',NULL),(2818,'',0,0,'','upgrade.step.prepare.entries_list_update.sections.table.columns','admin','',100,'upgrade/step/prepare/entries_list_update/parts/table/columns/name.twig',NULL),(2819,'',0,0,'','upgrade.step.prepare.entries_list_update.sections.table.columns','admin','',200,'upgrade/step/prepare/entries_list_update/parts/table/columns/status.twig',NULL),(2820,'',0,0,'','upgrade.step.prepare.entries_list_update.sections.table.columns','admin','',600,'upgrade/step/prepare/entries_list_update/parts/table/columns/size.twig',NULL),(2821,'',0,0,'','upgrade.step.prepare.entries_list_update.sections.table.columns','admin','',500,'upgrade/step/prepare/entries_list_update/parts/table/columns/version_new.twig',NULL),(2822,'',0,0,'','upgrade.step.prepare.entries_list_update.sections.table.header','admin','',100,'upgrade/step/prepare/entries_list_update/parts/table/header/component.twig',NULL),(2823,'',0,0,'','upgrade.step.prepare.entries_list_update.sections.table.header','admin','',200,'upgrade/step/prepare/entries_list_update/parts/table/header/version.twig',NULL),(2824,'',0,0,'','upgrade.step.prepare.entries_list_update.sections.table.header','admin','',300,'upgrade/step/prepare/entries_list_update/parts/table/header/size.twig',NULL),(2825,'',0,0,'','upgrade.step.completed.backup.actions','admin','',100,'upgrade/step/completed/backup/part/actions/soft_reset.twig',NULL),(2826,'',0,0,'','upgrade.step.ready_to_install.create_backup.actions','admin','',100,'upgrade/step/completed/backup/part/actions/soft_reset.twig',NULL),(2827,'',0,0,'','upgrade.step.completed.backup.actions','admin','',300,'upgrade/step/completed/backup/part/actions/restore_backup.twig',NULL),(2828,'',0,0,'','upgrade.step.completed.backup.actions','admin','',200,'upgrade/step/completed/backup/part/actions/hard_reset.twig',NULL),(2829,'',0,0,'','upgrade.step.ready_to_install.create_backup.actions','admin','',200,'upgrade/step/completed/backup/part/actions/hard_reset.twig',NULL),(2830,'',0,0,'','upgrade.step.ready_to_install.create_backup.actions','admin','',50,'upgrade/step/completed/backup/part/actions/restore_snapshot.twig',NULL),(2831,'',0,0,'','upgrade.step.completed.backup.sections','admin','',100,'upgrade/step/completed/backup/part/description.twig',NULL),(2832,'',0,0,'','upgrade.install_updates.sections','admin','',200,'upgrade/install_updates/parts/form.twig',NULL),(2833,'',0,0,'','upgrade.install_updates.sections.form','admin','',200,'upgrade/install_updates/parts/form/info.twig',NULL),(2834,'',0,0,'','upgrade.install_updates.sections.form.info','admin','',200,'upgrade/install_updates/parts/form/info/module.twig',NULL),(2835,'',0,0,'','upgrade.install_updates.sections.form.info','admin','',300,'upgrade/install_updates/parts/form/info/version.twig',NULL),(2836,'',0,0,'','upgrade.install_updates.sections.form.info.module','admin','',100,'upgrade/install_updates/parts/form/info/module/author.twig',NULL),(2837,'',0,0,'','upgrade.install_updates.sections.form.info.module','admin','',200,'upgrade/install_updates/parts/form/info/module/status.twig',NULL),(2838,'',0,0,'','upgrade.install_updates.sections.form.info','admin','',100,'upgrade/install_updates/parts/form/info/name.twig',NULL),(2839,'',0,0,'','upgrade.install_updates.sections.form','admin','',100,'upgrade/install_updates/parts/form/icon.twig',NULL),(2840,'',0,0,'','upgrade.install_updates.sections','admin','',300,'upgrade/install_updates/parts/advanced_link.twig',NULL),(2841,'',0,0,'','upgrade.install_updates.sections','admin','',100,'upgrade/install_updates/parts/top.twig',NULL),(2842,'',0,0,'','languages.add-language','admin','',300,'languages/languages/parts/import_language.twig',NULL),(2843,'',0,0,'','install-addon.buttons','admin','',16777215,'modules_manager/license/select_type_button.twig',NULL),(2844,'',0,0,'','install-addon.buttons','admin','',16777215,'modules_manager/license/install_button.twig',NULL),(2845,'',0,0,'','installation_types.buttons','admin','',16777215,'modules_manager/installation_type/buttons.twig',NULL),(2846,'',0,0,'','file_select_dialog.file_selections','admin','',600,'file_selector/parts/url_input.twig',NULL),(2847,'',0,0,'','file_select_dialog.file_selections_url','admin','',600,'file_selector/parts/url_input.twig',NULL),(2848,'',0,0,'','file_select_dialog.file_selections','admin','',100,'file_selector/parts/local_computer_label.twig',NULL),(2849,'',0,0,'','file_select_dialog.actions','admin','',100,'file_selector/parts/file_select_actions.twig',NULL),(2850,'',0,0,'','file_select_dialog.file_selections','admin','',700,'file_selector/parts/url_copy_to_local.twig',NULL),(2851,'',0,0,'','file_select_dialog.file_selections_url','admin','',700,'file_selector/parts/url_copy_to_local.twig',NULL),(2852,'',0,0,'','file_select_dialog.file_selections','admin','',200,'file_selector/parts/local_computer_input.twig',NULL),(2853,'',0,0,'','file_select_dialog.file_selections','admin','',500,'file_selector/parts/url_label.twig',NULL),(2854,'',0,0,'','file_select_dialog.file_selections_url','admin','',500,'file_selector/parts/url_label.twig',NULL),(2855,'',0,0,'','file_select_dialog.file_selections','admin','',300,'file_selector/parts/local_server_label.twig',NULL),(2856,'',0,0,'','file_select_dialog.file_selections','admin','',400,'file_selector/parts/local_server_input.twig',NULL),(2857,'',0,0,'','admin.main.page.content.center','admin','',10,'center.twig',NULL),(2858,'',0,0,'','itemsList.attributegroup.footer','admin','',10,'attribute_groups/note.twig',NULL),(2859,'',0,0,'','product.plain_price','admin','',10,'common/price_parts/price.twig',NULL),(2860,'',0,0,'','product.plain_price_only','admin','',10,'common/price_parts/price.twig',NULL),(2861,'',0,0,'','welcome-block.root.content','admin','',10,'welcome_block/root_admin/block.items.twig',NULL),(2862,'',0,0,'','welcome-block.root.content','admin','',20,'welcome_block/root_admin/block.footer.twig',NULL),(2863,'',0,0,'','welcome-block.root','admin','',100,'welcome_block/root_admin/block.twig',NULL),(2864,'',0,0,'','welcome-block.root.title','admin','',10,'welcome_block/root_admin/title.twig',NULL),(2865,'',0,0,'','welcome-block.non-root.content','admin','',10,'welcome_block/admin/block.items.twig',NULL),(2866,'',0,0,'','welcome-block.non-root.content','admin','',20,'welcome_block/admin/block.footer.twig',NULL),(2867,'',0,0,'','welcome-block.non-root','admin','',100,'welcome_block/admin/block.twig',NULL),(2868,'',0,0,'','welcome-block.non-root.title','admin','',10,'welcome_block/admin/title.twig',NULL),(2869,'',0,0,'','export.begin.content','admin','',200,'export/parts/begin.options.twig',NULL),(2870,'',0,0,'','export.begin.options','admin','',100,'export/parts/option.files.twig',NULL),(2871,'',0,0,'','export.failed.buttons','admin','',100,'export/parts/failed.buttons.export.twig',NULL),(2872,'',0,0,'','export.completed.buttons','admin','',100,'export/parts/completed.buttons.export.twig',NULL),(2873,'',0,0,'','export.completed.content','admin','',100,'export/parts/completed.download.twig',NULL),(2874,'',0,0,'','export.popup.completed.content','admin','',100,'export/parts/completed.download.twig',NULL),(2875,'',0,0,'','export.begin.options','admin','',200,'export/parts/option.attrs.twig',NULL),(2876,'',0,0,'','export.begin.buttons','admin','',100,'export/parts/begin.buttons.export.twig',NULL),(2877,'',0,0,'','export.failed.content','admin','',100,'export/parts/failed.errors.twig',NULL),(2878,'',0,0,'','export.popup.completed.content','admin','',100,'export/parts/popup.completed.message.twig',NULL),(2879,'',0,0,'','export.begin.options','admin','',400,'export/parts/option.delimiter.twig',NULL),(2880,'',0,0,'','export.begin.options','admin','',300,'export/parts/option.charset.twig',NULL),(2881,'',0,0,'','export.begin.content','admin','',100,'export/parts/begin.sections.twig',NULL),(2882,'',0,0,'','export.completed.content','admin','',200,'export/parts/completed.downloadLarge.twig',NULL),(2883,'',0,0,'','admin.center','admin','',16777215,'settings/module.twig',NULL),(2884,'',0,0,'','crud.settings.footer','admin','',100,'settings/clean_aggregation.twig',NULL),(2885,'',0,0,'','crud.settings.field','admin','',100,'settings/contacts/anchor.twig',NULL),(2886,'',0,0,'','crud.settings.footer','admin','',200,'settings/clean_view_cache.twig',NULL),(2887,'',0,0,'','crud.settings.footer','admin','',100,'settings/email.twig',NULL),(2888,'',0,0,'','admin.main.page.footer.right','admin','',100,'footer/right/site.twig',NULL),(2889,'',0,0,'','admin.main.page.footer.right','admin','',300,'footer/right/social_link.twig',NULL),(2890,'',0,0,'','admin.main.page.footer.left','admin','',100,'footer/right/marketplace_terms.twig',NULL),(2891,'',0,0,'','itemsList.notification.header','admin','',100,'notifications/list.twig',NULL),(2892,'',0,0,'','itemsList.notification.cell.name','admin','',100,'notifications/cell.name.twig',NULL),(2893,'',0,0,'','crud.notificationattachments.formHeader','admin','',100,'notifications/parts/warning.twig',NULL),(2894,'',0,0,'','itemsList.notification.cell.enabledForAdmin','admin','',100,'notifications/cell.enabledForAdmin.twig',NULL),(2895,'',0,0,'','itemsList.methods.header','admin','',10,'payment/appearance/note.twig',NULL),(2896,'',0,0,'','itemsList.onlinemethods.header','admin','',10,'payment/add_method/parts/payment_gateways.note.twig',NULL),(2897,'',0,0,'','payment.method.add.offline','admin','',16777215,'payment/add_method/parts/add_offline_method.twig',NULL),(2898,'',0,0,'','itemsList.country.cell.states','admin','',100,'items_list/model/table/countries/parts/cell.states.twig',NULL),(2899,'',0,0,'','itemsList.orderitem.cell.price','admin','',100,'items_list/model/table/order_item/restore.twig',NULL),(2900,'',0,0,'','itemsList.orderitem.dumpCell.price','admin','',100,'items_list/model/table/order_item/restore.twig',NULL),(2901,'',0,0,'','itemsList.category.cell.info','admin','',100,'items_list/model/table/category/parts/info.products.twig',NULL),(2902,'',0,0,'','itemsList.category.cell.subcategories','admin','',100,'items_list/model/table/category/parts/info.subcategories.twig',NULL),(2903,'',0,0,'','itemsList.shipping-methods.cell.rates','admin','',100,'items_list/model/table/shipping/methods/cell.rates.twig',NULL),(2904,'',0,0,'','itemsList.orders.search.cell.status','admin','',16777215,'items_list/model/table/order/cell.actions.twig',NULL),(2905,'',0,0,'','itemsList.orders.search.cell.status','admin','',16777215,'items_list/model/table/order/cell.payment_actions.twig',NULL),(2906,'',0,0,'','payment.methods.list.line','admin','',200,'items_list/payment/methods/parts/line.row.twig',NULL),(2907,'',0,0,'','payment.methods.list.header','admin','',300,'items_list/payment/methods/parts/header.switcher.twig',NULL),(2908,'',0,0,'','payment.methods.list.line','admin','',100,'items_list/payment/methods/parts/line.header.twig',NULL),(2909,'',0,0,'','payment.methods.list.header','admin','',200,'items_list/payment/methods/parts/header.title.twig',NULL),(2910,'',0,0,'','payment.methods.list.header','admin','',500,'items_list/payment/methods/parts/header.alt_icon.twig',NULL),(2911,'',0,0,'','payment.methods.list.header','admin','',100,'items_list/payment/methods/parts/header.icon.twig',NULL),(2912,'',0,0,'','payment.methods.list.header','admin','',400,'items_list/payment/methods/parts/header.description.twig',NULL),(2913,'',0,0,'','payment.methods.list.row','admin','',300,'items_list/payment/methods/parts/action.right.twig',NULL),(2914,'',0,0,'','itemsList.module.install.columns.module-main-section','admin','',15,'items_list/module/install/parts/columns/info.twig',NULL),(2915,'',0,0,'','itemsList.module.sales-channels.columns.module-main-section','admin','',15,'items_list/module/install/parts/columns/info.twig',NULL),(2916,'',0,0,'','itemsList.module.purchased.columns.module-main-section','admin','',15,'items_list/module/install/parts/columns/info.twig',NULL),(2917,'',0,0,'','itemsList.module.install.columns.module-description-section.info-element','admin','',10,'items_list/module/install/parts/columns/info/vote.twig',NULL),(2918,'',0,0,'','itemsList.module.install.columns.module-description-section','admin','',40,'items_list/module/install/parts/columns/info/tags.twig',NULL),(2919,'',0,0,'','itemsList.module.sales-channels.columns.module-description-section','admin','',40,'items_list/module/install/parts/columns/info/tags.twig',NULL),(2920,'',0,0,'','itemsList.module.purchased.columns.module-description-section','admin','',40,'items_list/module/install/parts/columns/info/tags.twig',NULL),(2921,'',0,0,'','itemsList.module.install.columns.module-main-section','admin','',200,'items_list/module/install/parts/columns/info/xcn_notice.twig',NULL),(2922,'',0,0,'','itemsList.module.sales-channels.columns.module-main-section','admin','',200,'items_list/module/install/parts/columns/info/xcn_notice.twig',NULL),(2923,'',0,0,'','itemsList.module.purchased.columns.module-main-section','admin','',200,'items_list/module/install/parts/columns/info/xcn_notice.twig',NULL),(2924,'',0,0,'','itemsList.module.install.columns.module-main-section','admin','',25,'items_list/module/install/parts/columns/info/popularity.twig',NULL),(2925,'',0,0,'','itemsList.module.sales-channels.columns.module-main-section','admin','',25,'items_list/module/install/parts/columns/info/popularity.twig',NULL),(2926,'',0,0,'','itemsList.module.purchased.columns.module-main-section','admin','',25,'items_list/module/install/parts/columns/info/popularity.twig',NULL),(2927,'',0,0,'','itemsList.module.install.columns.module-main-section.actions','admin','',100,'items_list/module/install/parts/columns/info/purchase.twig',NULL),(2928,'',0,0,'','itemsList.module.sales-channels.columns.module-main-section.actions','admin','',100,'items_list/module/install/parts/columns/info/purchase.twig',NULL),(2929,'',0,0,'','itemsList.module.purchased.columns.module-main-section.actions','admin','',100,'items_list/module/install/parts/columns/info/purchase.twig',NULL),(2930,'',0,0,'','itemsList.module.install.columns.module-main-section','admin','',200,'items_list/module/install/parts/columns/info/not_avail_notice.twig',NULL),(2931,'',0,0,'','itemsList.module.sales-channels.columns.module-main-section','admin','',200,'items_list/module/install/parts/columns/info/not_avail_notice.twig',NULL),(2932,'',0,0,'','itemsList.module.purchased.columns.module-main-section','admin','',200,'items_list/module/install/parts/columns/info/not_avail_notice.twig',NULL),(2933,'',0,0,'','itemsList.module.install.columns.module-main-section.actions','admin','',100,'items_list/module/install/parts/columns/info/install.twig',NULL),(2934,'',0,0,'','itemsList.module.sales-channels.columns.module-main-section','admin','',200,'items_list/module/install/parts/columns/info/install.twig',NULL),(2935,'',0,0,'','itemsList.module.purchased.columns.module-main-section.actions','admin','',100,'items_list/module/install/parts/columns/info/install.twig',NULL),(2936,'',0,0,'','itemsList.module.install.columns.module-main-section','admin','',100,'items_list/module/install/parts/columns/info/already_installed.twig',NULL),(2937,'',0,0,'','itemsList.module.sales-channels.columns.module-main-section','admin','',100,'items_list/module/install/parts/columns/info/already_installed.twig',NULL),(2938,'',0,0,'','itemsList.module.purchased.columns.module-main-section','admin','',100,'items_list/module/install/parts/columns/info/already_installed.twig',NULL),(2939,'',0,0,'','itemsList.module.install.columns.module-main-section','admin','',30,'items_list/module/install/parts/columns/info/actions.twig',NULL),(2940,'',0,0,'','itemsList.module.sales-channels.columns.module-main-section','admin','',30,'items_list/module/install/parts/columns/info/actions.twig',NULL),(2941,'',0,0,'','itemsList.module.purchased.columns.module-main-section','admin','',30,'items_list/module/install/parts/columns/info/actions.twig',NULL),(2942,'',0,0,'','itemsList.module.install.columns.icon','admin','',210,'items_list/module/install/parts/columns/info/price.twig',NULL),(2943,'',0,0,'','itemsList.module.sales-channels.columns.icon','admin','',210,'items_list/module/install/parts/columns/info/price.twig',NULL),(2944,'',0,0,'','itemsList.module.install.columns.module-description-section','admin','',400,'items_list/module/install/parts/columns/info/purchase_state.twig',NULL),(2945,'',0,0,'','itemsList.module.purchased.columns.module-description-section','admin','',400,'items_list/module/install/parts/columns/info/purchase_state.twig',NULL),(2946,'',0,0,'','itemsList.module.install.columns.module-description-section','admin','',40,'items_list/module/install/parts/columns/upgrade_notes.twig',NULL),(2947,'',0,0,'','itemsList.module.sales-channels.columns.module-description-section','admin','',40,'items_list/module/install/parts/columns/upgrade_notes.twig',NULL),(2948,'',0,0,'','itemsList.module.purchased.columns.module-description-section','admin','',40,'items_list/module/install/parts/columns/upgrade_notes.twig',NULL),(2949,'',0,0,'','marketplace.top-controls','admin','',400,'items_list/module/install/parts/header.twig',NULL),(2950,'',0,0,'','marketplace.addons-filters','admin','',250,'items_list/module/install/parts/sections/my_purchases.twig',NULL),(2951,'',0,0,'','marketplace.top-controls','admin','',100,'items_list/module/install/parts/sections/filter.twig',NULL),(2952,'',0,0,'','marketplace.addons-filters','admin','',200,'items_list/module/install/parts/sections/addons_search_box.twig',NULL),(2953,'',0,0,'','marketplace.top-controls','admin','',300,'items_list/module/install/parts/sections/sorting.twig',NULL),(2954,'',0,0,'','itemsList.module.install.footer','admin','',10,'items_list/module/install/parts/footer.twig',NULL),(2955,'',0,0,'','marketplace.top-controls','admin','',500,'items_list/module/install/items_list/list.twig',NULL),(2956,'',0,0,'','marketplace.top-controls','admin','',200,'items_list/module/install/items_list/banner.twig',NULL),(2957,'',0,0,'','marketplace.top-controls','admin','',700,'items_list/module/install/footer.twig',NULL),(2958,'',0,0,'','itemsList.module.purchased.columns.icon','admin','',210,'items_list/module/purchased/parts/columns/info/price.twig',NULL),(2959,'',0,0,'','sales-channels.top-controls','admin','',400,'items_list/module/sales_channels/items_list/list.twig',NULL),(2960,'',0,0,'','sales-channels.top-controls','admin','',500,'items_list/module/sales_channels/items_list/footer.twig',NULL),(2961,'',0,0,'','sales-channels.top-controls','admin','',300,'items_list/module/sales_channels/items_list/clear.twig',NULL),(2962,'',0,0,'','itemsList.module.manage.columns.module-main-section','admin','',200,'items_list/module/manage/parts/columns/xcn_notice.twig',NULL),(2963,'',0,0,'','itemsList.module.manage.columns.module-description-section.messages.cannot_enable','admin','',100,'items_list/module/manage/parts/columns/module-description-section/cannot_enable/dependencies.twig',NULL),(2964,'',0,0,'','itemsList.module.install.columns.module-description-section.cannot_enable','admin','',100,'items_list/module/manage/parts/columns/module-description-section/cannot_enable/dependencies.twig',NULL),(2965,'',0,0,'','itemsList.module.sales-channels.columns.module-description-section.cannot_enable','admin','',100,'items_list/module/manage/parts/columns/module-description-section/cannot_enable/dependencies.twig',NULL),(2966,'',0,0,'','itemsList.module.purchased.columns.module-description-section.cannot_enable','admin','',100,'items_list/module/manage/parts/columns/module-description-section/cannot_enable/dependencies.twig',NULL),(2967,'',0,0,'','itemsList.module.manage.columns.module-description-section.messages.cannot_enable','admin','',200,'items_list/module/manage/parts/columns/module-description-section/cannot_enable/core_upgrade_needed.twig',NULL),(2968,'',0,0,'','itemsList.module.install.columns.module-description-section.cannot_enable','admin','',200,'items_list/module/manage/parts/columns/module-description-section/cannot_enable/core_upgrade_needed.twig',NULL),(2969,'',0,0,'','itemsList.module.sales-channels.columns.module-description-section.cannot_enable','admin','',200,'items_list/module/manage/parts/columns/module-description-section/cannot_enable/core_upgrade_needed.twig',NULL),(2970,'',0,0,'','itemsList.module.purchased.columns.module-description-section.cannot_enable','admin','',200,'items_list/module/manage/parts/columns/module-description-section/cannot_enable/core_upgrade_needed.twig',NULL),(2971,'',0,0,'','itemsList.module.manage.columns.module-description-section.messages.cannot_enable.core_upgrade_needed','admin','',100,'items_list/module/manage/parts/columns/module-description-section/cannot_enable/core_upgrade_needed/note_1_enable.twig',NULL),(2972,'',0,0,'','itemsList.module.install.columns.module-description-section.cannot_enable.core_upgrade_needed','admin','',100,'items_list/module/manage/parts/columns/module-description-section/cannot_enable/core_upgrade_needed/note_1_install.twig',NULL),(2973,'',0,0,'','itemsList.module.manage.columns.module-description-section.messages.cannot_enable.core_upgrade_needed','admin','',200,'items_list/module/manage/parts/columns/module-description-section/cannot_enable/core_upgrade_needed/note_2.twig',NULL),(2974,'',0,0,'','itemsList.module.install.columns.module-description-section.cannot_enable.core_upgrade_needed','admin','',200,'items_list/module/manage/parts/columns/module-description-section/cannot_enable/core_upgrade_needed/note_2.twig',NULL),(2975,'',0,0,'','itemsList.module.sales-channels.columns.module-description-section.cannot_enable.core_upgrade_needed','admin','',200,'items_list/module/manage/parts/columns/module-description-section/cannot_enable/core_upgrade_needed/note_2.twig',NULL),(2976,'',0,0,'','itemsList.module.purchased.columns.module-description-section.cannot_enable.core_upgrade_needed','admin','',200,'items_list/module/manage/parts/columns/module-description-section/cannot_enable/core_upgrade_needed/note_2.twig',NULL),(2977,'',0,0,'','itemsList.module.manage.columns.module-description-section.messages.cannot_enable.module_upgrade_needed','admin','',100,'items_list/module/manage/parts/columns/module-description-section/cannot_enable/module_upgrade_needed/note.twig',NULL),(2978,'',0,0,'','itemsList.module.install.columns.module-description-section.cannot_enable.module_upgrade_needed','admin','',100,'items_list/module/manage/parts/columns/module-description-section/cannot_enable/module_upgrade_needed/note.twig',NULL),(2979,'',0,0,'','itemsList.module.sales-channels.columns.module-description-section.cannot_enable.module_upgrade_needed','admin','',100,'items_list/module/manage/parts/columns/module-description-section/cannot_enable/module_upgrade_needed/note.twig',NULL),(2980,'',0,0,'','itemsList.module.purchased.columns.module-description-section.cannot_enable.module_upgrade_needed','admin','',100,'items_list/module/manage/parts/columns/module-description-section/cannot_enable/module_upgrade_needed/note.twig',NULL),(2981,'',0,0,'','itemsList.module.manage.columns.module-description-section.messages.cannot_enable.dependencies','admin','',400,'items_list/module/manage/parts/columns/module-description-section/cannot_enable/dependencies/list_mutual.twig',NULL),(2982,'',0,0,'','itemsList.module.install.columns.module-description-section.cannot_enable.dependencies','admin','',400,'items_list/module/manage/parts/columns/module-description-section/cannot_enable/dependencies/list_mutual.twig',NULL),(2983,'',0,0,'','itemsList.module.sales-channels.columns.module-description-section.cannot_enable.dependencies','admin','',400,'items_list/module/manage/parts/columns/module-description-section/cannot_enable/dependencies/list_mutual.twig',NULL),(2984,'',0,0,'','itemsList.module.purchased.columns.module-description-section.cannot_enable.dependencies','admin','',400,'items_list/module/manage/parts/columns/module-description-section/cannot_enable/dependencies/list_mutual.twig',NULL),(2985,'',0,0,'','itemsList.module.manage.columns.module-description-section.messages.cannot_enable.dependencies','admin','',200,'items_list/module/manage/parts/columns/module-description-section/cannot_enable/dependencies/list.twig',NULL),(2986,'',0,0,'','itemsList.module.install.columns.module-description-section.cannot_enable.dependencies','admin','',200,'items_list/module/manage/parts/columns/module-description-section/cannot_enable/dependencies/list.twig',NULL),(2987,'',0,0,'','itemsList.module.sales-channels.columns.module-description-section.cannot_enable.dependencies','admin','',200,'items_list/module/manage/parts/columns/module-description-section/cannot_enable/dependencies/list.twig',NULL),(2988,'',0,0,'','itemsList.module.purchased.columns.module-description-section.cannot_enable.dependencies','admin','',200,'items_list/module/manage/parts/columns/module-description-section/cannot_enable/dependencies/list.twig',NULL),(2989,'',0,0,'','itemsList.module.manage.columns.module-description-section.messages.cannot_enable.dependencies','admin','',100,'items_list/module/manage/parts/columns/module-description-section/cannot_enable/dependencies/note.twig',NULL),(2990,'',0,0,'','itemsList.module.install.columns.module-description-section.cannot_enable.dependencies','admin','',100,'items_list/module/manage/parts/columns/module-description-section/cannot_enable/dependencies/note.twig',NULL),(2991,'',0,0,'','itemsList.module.sales-channels.columns.module-description-section.cannot_enable.dependencies','admin','',100,'items_list/module/manage/parts/columns/module-description-section/cannot_enable/dependencies/note.twig',NULL),(2992,'',0,0,'','itemsList.module.purchased.columns.module-description-section.cannot_enable.dependencies','admin','',100,'items_list/module/manage/parts/columns/module-description-section/cannot_enable/dependencies/note.twig',NULL),(2993,'',0,0,'','itemsList.module.manage.columns.module-description-section.messages.cannot_enable.dependencies','admin','',300,'items_list/module/manage/parts/columns/module-description-section/cannot_enable/dependencies/note_mutual.twig',NULL),(2994,'',0,0,'','itemsList.module.install.columns.module-description-section.cannot_enable.dependencies','admin','',300,'items_list/module/manage/parts/columns/module-description-section/cannot_enable/dependencies/note_mutual.twig',NULL),(2995,'',0,0,'','itemsList.module.sales-channels.columns.module-description-section.cannot_enable.dependencies','admin','',300,'items_list/module/manage/parts/columns/module-description-section/cannot_enable/dependencies/note_mutual.twig',NULL),(2996,'',0,0,'','itemsList.module.purchased.columns.module-description-section.cannot_enable.dependencies','admin','',300,'items_list/module/manage/parts/columns/module-description-section/cannot_enable/dependencies/note_mutual.twig',NULL),(2997,'',0,0,'','itemsList.module.manage.columns.module-description-section.messages.cannot_enable.dependencies.details','admin','',100,'items_list/module/manage/parts/columns/module-description-section/cannot_enable/dependencies/details/link.twig',NULL),(2998,'',0,0,'','itemsList.module.install.columns.module-description-section.cannot_enable.dependencies.details','admin','',100,'items_list/module/manage/parts/columns/module-description-section/cannot_enable/dependencies/details/link.twig',NULL),(2999,'',0,0,'','itemsList.module.sales-channels.columns.module-description-section.cannot_enable.dependencies.details','admin','',100,'items_list/module/manage/parts/columns/module-description-section/cannot_enable/dependencies/details/link.twig',NULL),(3000,'',0,0,'','itemsList.module.purchased.columns.module-description-section.cannot_enable.dependencies.details','admin','',100,'items_list/module/manage/parts/columns/module-description-section/cannot_enable/dependencies/details/link.twig',NULL),(3001,'',0,0,'','itemsList.module.manage.columns.module-description-section.messages.cannot_enable','admin','',300,'items_list/module/manage/parts/columns/module-description-section/cannot_enable/module_upgrade_needed.twig',NULL),(3002,'',0,0,'','itemsList.module.install.columns.module-description-section.cannot_enable','admin','',300,'items_list/module/manage/parts/columns/module-description-section/cannot_enable/module_upgrade_needed.twig',NULL),(3003,'',0,0,'','itemsList.module.sales-channels.columns.module-description-section.cannot_enable','admin','',300,'items_list/module/manage/parts/columns/module-description-section/cannot_enable/module_upgrade_needed.twig',NULL),(3004,'',0,0,'','itemsList.module.purchased.columns.module-description-section.cannot_enable','admin','',300,'items_list/module/manage/parts/columns/module-description-section/cannot_enable/module_upgrade_needed.twig',NULL),(3005,'',0,0,'','itemsList.module.install.columns.module-description-section','admin','',15,'items_list/module/manage/parts/columns/module-description-section/translation_notice.twig',NULL),(3006,'',0,0,'','itemsList.module.manage.columns.module-description-section.messages','admin','',30,'items_list/module/manage/parts/columns/module-description-section/cannot_disable.twig',NULL),(3007,'',0,0,'','itemsList.module.manage.columns.module-description-section.messages','admin','',40,'items_list/module/manage/parts/columns/module-description-section/upgrade_notes.twig',NULL),(3008,'',0,0,'','itemsList.module.manage.columns.module-description-section','admin','',30,'items_list/module/manage/parts/columns/module-description-section/messages.twig',NULL),(3009,'',0,0,'','itemsList.module.manage.columns.module-description-section.messages','admin','',30,'items_list/module/manage/parts/columns/module-description-section/cannot_enable.twig',NULL),(3010,'',0,0,'','itemsList.module.install.columns.module-description-section','admin','',400,'items_list/module/manage/parts/columns/module-description-section/cannot_enable.twig',NULL),(3011,'',0,0,'','itemsList.module.sales-channels.columns.module-description-section','admin','',400,'items_list/module/manage/parts/columns/module-description-section/cannot_enable.twig',NULL),(3012,'',0,0,'','itemsList.module.purchased.columns.module-description-section','admin','',400,'items_list/module/manage/parts/columns/module-description-section/cannot_enable.twig',NULL),(3013,'',0,0,'','itemsList.module.manage.columns.module-description-section.messages','admin','',40,'items_list/module/manage/parts/columns/module-description-section/update_notes.twig',NULL),(3014,'',0,0,'','itemsList.module.manage.columns.module-description-section','admin','',10,'items_list/module/manage/parts/columns/module-description-section/description.twig',NULL),(3015,'',0,0,'','itemsList.module.install.columns.module-description-section','admin','',10,'items_list/module/manage/parts/columns/module-description-section/description.twig',NULL),(3016,'',0,0,'','itemsList.module.sales-channels.columns.module-description-section','admin','',10,'items_list/module/manage/parts/columns/module-description-section/description.twig',NULL),(3017,'',0,0,'','itemsList.module.purchased.columns.module-description-section','admin','',10,'items_list/module/manage/parts/columns/module-description-section/description.twig',NULL),(3018,'',0,0,'','itemsList.module.manage.columns','admin','',50,'items_list/module/manage/parts/columns/main.twig',NULL),(3019,'',0,0,'','itemsList.module.install.columns','admin','',50,'items_list/module/manage/parts/columns/main.twig',NULL),(3020,'',0,0,'','itemsList.module.sales-channels.columns','admin','',50,'items_list/module/manage/parts/columns/main.twig',NULL),(3021,'',0,0,'','itemsList.module.purchased.columns','admin','',50,'items_list/module/manage/parts/columns/main.twig',NULL),(3022,'',0,0,'','itemsList.module.manage.columns','admin','',30,'items_list/module/manage/parts/columns/icon.twig',NULL),(3023,'',0,0,'','itemsList.module.install.columns','admin','',30,'items_list/module/manage/parts/columns/icon.twig',NULL),(3024,'',0,0,'','itemsList.module.sales-channels.columns','admin','',30,'items_list/module/manage/parts/columns/icon.twig',NULL),(3025,'',0,0,'','itemsList.module.purchased.columns','admin','',30,'items_list/module/manage/parts/columns/icon.twig',NULL),(3026,'',0,0,'','itemsList.module.manage.columns.icon','admin','',200,'items_list/module/manage/parts/columns/icon/image.twig',NULL),(3027,'',0,0,'','itemsList.module.install.columns.icon','admin','',200,'items_list/module/manage/parts/columns/icon/image.twig',NULL),(3028,'',0,0,'','itemsList.module.sales-channels.columns.icon','admin','',200,'items_list/module/manage/parts/columns/icon/image.twig',NULL),(3029,'',0,0,'','itemsList.module.purchased.columns.icon','admin','',200,'items_list/module/manage/parts/columns/icon/image.twig',NULL),(3030,'',0,0,'','itemsList.module.manage.columns','admin','',70,'items_list/module/manage/parts/columns/description.twig',NULL),(3031,'',0,0,'','itemsList.module.install.columns','admin','',70,'items_list/module/manage/parts/columns/description.twig',NULL),(3032,'',0,0,'','itemsList.module.sales-channels.columns','admin','',70,'items_list/module/manage/parts/columns/description.twig',NULL),(3033,'',0,0,'','itemsList.module.purchased.columns','admin','',70,'items_list/module/manage/parts/columns/description.twig',NULL),(3034,'',0,0,'','itemsList.module.manage.columns.module-main-section','admin','',20,'items_list/module/manage/parts/columns/module-main-section/author.twig',NULL),(3035,'',0,0,'','itemsList.module.install.columns.module-main-section','admin','',20,'items_list/module/manage/parts/columns/module-main-section/author.twig',NULL),(3036,'',0,0,'','itemsList.module.sales-channels.columns.module-main-section','admin','',20,'items_list/module/manage/parts/columns/module-main-section/author.twig',NULL),(3037,'',0,0,'','itemsList.module.purchased.columns.module-main-section','admin','',20,'items_list/module/manage/parts/columns/module-main-section/author.twig',NULL),(3038,'',0,0,'','itemsList.module.manage.columns.module-main-section','admin','',40,'items_list/module/manage/parts/columns/module-main-section/request_for_upgrade.twig',NULL),(3039,'',0,0,'','itemsList.module.install.columns.module-main-section','admin','',40,'items_list/module/manage/parts/columns/module-main-section/request_for_upgrade.twig',NULL),(3040,'',0,0,'','itemsList.module.sales-channels.columns.module-main-section','admin','',40,'items_list/module/manage/parts/columns/module-main-section/request_for_upgrade.twig',NULL),(3041,'',0,0,'','itemsList.module.purchased.columns.module-main-section','admin','',40,'items_list/module/manage/parts/columns/module-main-section/request_for_upgrade.twig',NULL),(3042,'',0,0,'','itemsList.module.manage.columns.module-main-section','admin','',21,'items_list/module/manage/parts/columns/module-main-section/author_email.twig',NULL),(3043,'',0,0,'','itemsList.module.install.columns.module-main-section','admin','',21,'items_list/module/manage/parts/columns/module-main-section/author_email.twig',NULL),(3044,'',0,0,'','itemsList.module.sales-channels.columns.module-main-section','admin','',21,'items_list/module/manage/parts/columns/module-main-section/author_email.twig',NULL),(3045,'',0,0,'','itemsList.module.purchased.columns.module-main-section','admin','',21,'items_list/module/manage/parts/columns/module-main-section/author_email.twig',NULL),(3046,'',0,0,'','itemsList.module.manage.columns.module-main-section','admin','',25,'items_list/module/manage/parts/columns/module-main-section/version.twig',NULL),(3047,'',0,0,'','itemsList.module.manage.columns.module-main-section','admin','',10,'items_list/module/manage/parts/columns/module-main-section/name.twig',NULL),(3048,'',0,0,'','itemsList.module.install.columns.module-main-section','admin','',10,'items_list/module/manage/parts/columns/module-main-section/name.twig',NULL),(3049,'',0,0,'','itemsList.module.sales-channels.columns.module-main-section','admin','',10,'items_list/module/manage/parts/columns/module-main-section/name.twig',NULL),(3050,'',0,0,'','itemsList.module.purchased.columns.module-main-section','admin','',10,'items_list/module/manage/parts/columns/module-main-section/name.twig',NULL),(3051,'',0,0,'','itemsList.module.manage.columns.module-main-section','admin','',1000,'items_list/module/manage/parts/columns/module-main-section/js_code.twig',NULL),(3052,'',0,0,'','itemsList.module.manage.columns.module-main-section','admin','',30,'items_list/module/manage/parts/columns/module-main-section/actions.twig',NULL),(3053,'',0,0,'','itemsList.module.manage.sections','admin','',400,'items_list/module/manage/parts/sections/list.twig',NULL),(3054,'',0,0,'','modules-manage.top-controls','admin','',100,'items_list/module/manage/parts/sections/header.twig',NULL),(3055,'',0,0,'','itemsList.module.manage.sections','admin','',100,'items_list/module/manage/parts/sections/javascript.twig',NULL),(3056,'',0,0,'','itemsList.product.modify.common.admin.columns','admin','',70,'items_list/product/modify/common/parts/columns/inventory.twig',NULL),(3057,'',0,0,'','itemsList.product.modify.common.admin.columns','admin','',30,'items_list/product/modify/common/parts/columns/name.twig',NULL),(3058,'',0,0,'','itemsList.product.modify.common.admin.columns','admin','',60,'items_list/product/modify/common/parts/columns/price.twig',NULL),(3059,'',0,0,'','itemsList.product.modify.common.admin.columns','admin','',10,'items_list/product/modify/common/parts/columns/checkbox.twig',NULL),(3060,'',0,0,'','itemsList.product.modify.common.admin.columns','admin','',20,'items_list/product/modify/common/parts/columns/sku.twig',NULL),(3061,'',0,0,'','itemsList.product.modify.common.admin.header','admin','',70,'items_list/product/modify/common/parts/header/inventory.twig',NULL),(3062,'',0,0,'','itemsList.product.modify.common.admin.header','admin','',30,'items_list/product/modify/common/parts/header/name.twig',NULL),(3063,'',0,0,'','itemsList.product.modify.common.admin.header','admin','',60,'items_list/product/modify/common/parts/header/price.twig',NULL),(3064,'',0,0,'','itemsList.product.modify.common.admin.header','admin','',10,'items_list/product/modify/common/parts/header/checkbox.twig',NULL),(3065,'',0,0,'','itemsList.product.modify.common.admin.header','admin','',20,'items_list/product/modify/common/parts/header/sku.twig',NULL),(3066,'',0,0,'','itemsList.product.modify.brief.admin.columns','admin','',70,'items_list/product/modify/brief/parts/columns/inventory.twig',NULL),(3067,'',0,0,'','itemsList.product.modify.brief.admin.columns','admin','',30,'items_list/product/modify/brief/parts/columns/name.twig',NULL),(3068,'',0,0,'','itemsList.product.modify.brief.admin.columns','admin','',60,'items_list/product/modify/brief/parts/columns/price.twig',NULL),(3069,'',0,0,'','itemsList.product.modify.brief.admin.columns','admin','',20,'items_list/product/modify/brief/parts/columns/sku.twig',NULL),(3070,'',0,0,'','itemsList.product.modify.brief.admin.header','admin','',70,'items_list/product/modify/brief/parts/header/inventory.twig',NULL),(3071,'',0,0,'','itemsList.product.modify.brief.admin.header','admin','',30,'items_list/product/modify/brief/parts/header/name.twig',NULL),(3072,'',0,0,'','itemsList.product.modify.brief.admin.header','admin','',60,'items_list/product/modify/brief/parts/header/price.twig',NULL),(3073,'',0,0,'','itemsList.product.modify.brief.admin.header','admin','',20,'items_list/product/modify/brief/parts/header/sku.twig',NULL),(3074,'',0,0,'','itemsList.product.table.admin.search.columns','admin','',70,'items_list/product/table/parts/columns/inventory.twig',NULL),(3075,'',0,0,'','itemsList.product.table.admin.search.columns','admin','',30,'items_list/product/table/parts/columns/name.twig',NULL),(3076,'',0,0,'','itemsList.product.table.admin.search.columns','admin','',50,'items_list/product/table/parts/columns/position.twig',NULL),(3077,'',0,0,'','itemsList.product.table.admin.search.columns','admin','',60,'items_list/product/table/parts/columns/price.twig',NULL),(3078,'',0,0,'','itemsList.product.table.admin.search.columns','admin','',10,'items_list/product/table/parts/columns/checkbox.twig',NULL),(3079,'',0,0,'','itemsList.product.table.admin.search.columns','admin','',20,'items_list/product/table/parts/columns/sku.twig',NULL),(3080,'',0,0,'','itemsList.product.table.admin.search.header','admin','',70,'items_list/product/table/parts/header/inventory.twig',NULL),(3081,'',0,0,'','itemsList.product.table.admin.search.header','admin','',30,'items_list/product/table/parts/header/name.twig',NULL),(3082,'',0,0,'','itemsList.product.table.admin.search.header','admin','',50,'items_list/product/table/parts/header/position.twig',NULL),(3083,'',0,0,'','itemsList.product.table.admin.search.header','admin','',60,'items_list/product/table/parts/header/price.twig',NULL),(3084,'',0,0,'','itemsList.product.table.admin.search.header','admin','',10,'items_list/product/table/parts/header/checkbox.twig',NULL),(3085,'',0,0,'','itemsList.product.table.admin.search.header','admin','',20,'items_list/product/table/parts/header/sku.twig',NULL),(3086,'',0,0,'','head','admin','',80,'header/parts/favicon.twig',NULL),(3087,'',0,0,'','head','admin','',90,'header/parts/css.twig',NULL),(3088,'',0,0,'','head','admin','',700,'header/parts/meta_mobile-capable.twig',NULL),(3089,'',0,0,'','head','admin','',40,'header/parts/ie.twig',NULL),(3090,'',0,0,'','head.css','admin','',200,'header/parts/parts.css/css_aggregation.twig',NULL),(3091,'',0,0,'','head.css','admin','',100,'header/parts/parts.css/css.twig',NULL),(3092,'',0,0,'','head','admin','',100,'header/parts/js_static.twig',NULL),(3093,'',0,0,'','head','admin','',70,'header/parts/nofollow.twig',NULL),(3094,'',0,0,'','head','admin','',40,'header/parts/noindex.twig',NULL),(3095,'',0,0,'','head','admin','',10,'header/parts/title.twig',NULL),(3096,'',0,0,'','head','admin','',1500,'header/parts/preloaded_labels.twig',NULL),(3097,'',0,0,'','head','admin','',20,'header/parts/content-type.twig',NULL),(3098,'',0,0,'','import.begin.content','admin','',200,'import/parts/begin.options.twig',NULL),(3099,'',0,0,'','import.failed.buttons','admin','',100,'import/parts/failed.buttons.reupload.twig',NULL),(3100,'',0,0,'','import.begin.content','admin','',100,'import/parts/begin.files.twig',NULL),(3101,'',0,0,'','import.begin.buttons','admin','',100,'import/parts/begin.buttons.import.twig',NULL),(3102,'',0,0,'','import.failed.content','admin','',100,'import/parts/failed.errors.twig',NULL),(3103,'',0,0,'','import.begin.options','admin','',200,'import/parts/option.delete_temporary_files.twig',NULL),(3104,'',0,0,'','import.begin.options','admin','',100,'import/parts/option.update_only.twig',NULL),(3105,'',0,0,'','import.completed.buttons','admin','',100,'import/parts/completed.buttons.new_import.twig',NULL),(3106,'',0,0,'','import.begin.options','admin','',400,'import/parts/option.delimiter.twig',NULL),(3107,'',0,0,'','import.begin.options','admin','',300,'import/parts/option.charset.twig',NULL),(3108,'',0,0,'','import.failed.buttons','admin','',200,'import/parts/failed.buttons.proceed.twig',NULL),(3109,'',0,0,'','import.begin.options','admin','',50,'import/parts/option.ignore_images_verification.twig',NULL),(3110,'',0,0,'','import.completed.content','admin','',100,'import/parts/completed.messages.twig',NULL),(3111,'',0,0,'','import.failed.content.errors','admin','',100,'import/parts/common.errors.twig',NULL),(3112,'',0,0,'','import.completed.content.errors','admin','',100,'import/parts/common.errors.twig',NULL),(3113,'',0,0,'','import.begin.content.files','admin','',100,'import/parts/begin.files.orders_note.twig',NULL),(3114,'',0,0,'','jscontainer.js','admin','',200,'jscontainer/parts/js_aggregation.twig',NULL),(3115,'',0,0,'','jscontainer.js','admin','',50,'jscontainer/parts/register_resources.twig',NULL),(3116,'',0,0,'','jscontainer.js','admin','',100,'jscontainer/parts/js.twig',NULL),(3117,'',0,0,'','images_settings','admin','',20,'images_settings/parts/resize_images.twig',NULL),(3118,'',0,0,'','images_settings','admin','',50,'images_settings/parts/layout_settings.cloud_zoom_mode.twig',NULL),(3119,'',0,0,'','images_settings','admin','',40,'images_settings/parts/layout_settings.cloud_zoom.twig',NULL),(3120,'',0,0,'','images_settings','admin','',55,'images_settings/parts/lazy_load.twig',NULL),(3121,'',0,0,'','images_settings','admin','',60,'images_settings/parts/default_settings.twig',NULL),(3122,'',0,0,'','images_settings','admin','',35,'images_settings/parts/unsharp_mask.twig',NULL),(3123,'',0,0,'','images_settings','admin','',30,'images_settings/parts/resize_quality.twig',NULL),(3124,'',0,0,'','profiles.search.dateTypes','admin','',200,'profiles/parts/search_form/date_type.logged.twig',NULL),(3125,'',0,0,'','profiles.search.dateTypes','admin','',100,'profiles/parts/search_form/date_type.registered.twig',NULL),(3126,'',0,0,'','tabs.after.items','admin','',100,'profiles/parts/actions.twig',NULL),(3127,'',0,0,'','itemsList.shipping-methods.header','admin','',10,'shipping/methods.status.twig',NULL),(3128,'',0,0,'','edit_shipping','admin','',16777215,'shipping/add_method/parts/offline_create.twig',NULL),(3129,'',0,0,'','crud.shipping.offline.formFooter','admin','',16777215,'shipping/add_method/parts/rates.twig',NULL),(3130,'',0,0,'','searchPanel.order.admin.main.actions','admin','',16777215,'search_panel/order/clear_search.twig',NULL),(3131,'',0,0,'','dashboard','admin','',100,'dashboard/parts/body_markup.twig',NULL),(3132,'',0,0,'','dashboard-center','admin','',200,'dashboard/parts/center/panel.twig',NULL),(3133,'',0,0,'','itemsList.productclass.header.before','admin','',10,'product_classes/header_note.twig',NULL),(3134,'',0,0,'','itemsList.state.header','admin','',10,'states/header.twig',NULL),(3135,'',0,0,'','address.text.main','admin','',100,'address/text/parts/field.twig',NULL),(3136,'',0,0,'','address.order.main','admin','',400,'address/order/parts/buttons.twig',NULL),(3137,'',0,0,'','address.order.main','admin','',100,'address/order/parts/info.twig',NULL),(3138,'',0,0,'','address.order.main','admin','',300,'address/order/parts/shipping.twig',NULL),(3139,'',0,0,'','address.order.main','admin','',200,'address/order/parts/billing.twig',NULL),(3140,'',0,0,'','product.search.conditions.by-keywords','admin','',10,'product/search/parts/by_conditions_parts/by_title.twig',NULL),(3141,'',0,0,'','product.search.conditions.by-keywords','admin','',30,'product/search/parts/by_conditions_parts/by_description.twig',NULL),(3142,'',0,0,'','product.search.conditions.by-keywords','admin','',20,'product/search/parts/by_conditions_parts/by_sku.twig',NULL),(3143,'',0,0,'','product.inventory.parts','admin','',100,'product/inventory/buttons.twig',NULL),(3144,'',0,0,'','product.inventory.parts','admin','',30,'product/inventory/low_limit_selector.twig',NULL),(3145,'',0,0,'','product.inventory.parts','admin','',40,'product/inventory/low_limit_amount.twig',NULL),(3148,'',0,0,'','product.attributes.actions','admin','',10,'product/attributes/parts/action.remove.twig',NULL),(3149,'',0,0,'','crud.bannerrotation.formFooter','admin','',200,'banner_rotation/parts/images.twig',NULL),(3150,'',0,0,'','itemsList.profile.search.footer','admin','',20,'profile/add_user.twig',NULL),(3151,'',0,0,'','itemsList.profile.search.footer','admin','',10,'profile/delete_user.twig',NULL),(3152,'',0,0,'','itemsList.removedata.header','admin','',100,'page/remove_data/parts/remove.twig',NULL),(3153,'',0,0,'','admin.main.page.header','admin','',16777215,'top_links/version_notes/parts/key_notice.twig',NULL),(3154,'',0,0,'','admin.main.page.header','admin','',20,'top_links/version_notes/parts/base.twig',NULL),(3155,'',0,0,'','order.history.base.events.details.info','admin','',20,'order/history/parts/event_details_comment.twig',NULL),(3156,'',0,0,'','order.history.base.events.details','admin','',150,'order/history/parts/event_details_author.twig',NULL),(3157,'',0,0,'','order.history.base.events.details','admin','',10,'order/history/parts/event_date.twig',NULL),(3158,'',0,0,'','order.history.base.events','admin','',20,'order/history/parts/event.twig',NULL),(3159,'',0,0,'','order.history.base.events.details.info','admin','',10,'order/history/parts/event_details.twig',NULL),(3160,'',0,0,'','order.history.base.events.details','admin','',30,'order/history/parts/event_description.twig',NULL),(3161,'',0,0,'','order.history.base.events.details.info','admin','',30,'order/history/parts/event_details_data.twig',NULL),(3162,'',0,0,'','order.history.base','admin','',10,'order/history/parts/block.twig',NULL),(3163,'',0,0,'','order.history.base.events.details','admin','',20,'order/history/parts/event_details_action.twig',NULL),(3164,'',0,0,'','order.history.base.events','admin','',10,'order/history/parts/event_block_header.twig',NULL),(3165,'',0,0,'','packing_slip.head','admin','',20,'order/packing_slip/parts/head/head.logo.twig',NULL),(3166,'',0,0,'','packing_slip.head','admin','',10,'order/packing_slip/parts/head/head.title.twig',NULL),(3167,'',0,0,'','packing_slip.base','admin','',10,'order/packing_slip/parts/head/head.twig',NULL),(3168,'',0,0,'','packing_slip.footer','admin','',20,'order/packing_slip/parts/footer/footer.additional.twig',NULL),(3169,'',0,0,'','packing_slip.base','admin','',60,'order/packing_slip/parts/footer/footer.twig',NULL),(3170,'',0,0,'','packing_slip.addresses.shipping','admin','',10,'order/packing_slip/parts/addresses/purchaser.address.shipping.twig',NULL),(3171,'',0,0,'','packing_slip.base','admin','',20,'order/packing_slip/parts/addresses/addresses.twig',NULL),(3172,'',0,0,'','packing_slip.addresses.billing','admin','',10,'order/packing_slip/parts/addresses/purchaser.address.billing.twig',NULL),(3173,'',0,0,'','packing_slip.addresses','admin','',20,'order/packing_slip/parts/addresses/addresses.merchant.twig',NULL),(3174,'',0,0,'','packing_slip.addresses','admin','',10,'order/packing_slip/parts/addresses/addresses.purchaser.twig',NULL),(3175,'',0,0,'','packing_slip.base','admin','',30,'order/packing_slip/parts/body/items.twig',NULL),(3176,'',0,0,'','packing_slip.items','admin','',10,'order/packing_slip/parts/body/totals.twig',NULL),(3177,'',0,0,'','packing_slip.item','admin','',30,'order/packing_slip/parts/body/items/item.qty.twig',NULL),(3178,'',0,0,'','packing_slip.items.head','admin','',20,'order/packing_slip/parts/body/items/items.head.name.twig',NULL),(3179,'',0,0,'','packing_slip.items.head','admin','',40,'order/packing_slip/parts/body/items/items.head.qty_ship.twig',NULL),(3180,'',0,0,'','packing_slip.item','admin','',20,'order/packing_slip/parts/body/items/item.name.twig',NULL),(3181,'',0,0,'','packing_slip.items.head','admin','',30,'order/packing_slip/parts/body/items/items.head.qty.twig',NULL),(3182,'',0,0,'','packing_slip.item','admin','',10,'order/packing_slip/parts/body/items/item.name.sku.twig',NULL),(3183,'',0,0,'','packing_slip.items.head','admin','',10,'order/packing_slip/parts/body/items/items.head.sku.twig',NULL),(3184,'',0,0,'','packing_slip.item','admin','',40,'order/packing_slip/parts/body/items/item.qty_ship.twig',NULL),(3185,'',0,0,'','packing_slip.base','admin','',25,'order/packing_slip/parts/body/body.note.twig',NULL),(3186,'',0,0,'','order.items.bottom','admin','',100,'order/page/parts/totals.twig',NULL),(3187,'',0,0,'','order','admin','',1000,'order/page/parts/antifraud_ad.twig',NULL),(3188,'',0,0,'','order.actions.paymentActionsRow','admin','',100,'order/page/parts/action.transactions.twig',NULL),(3189,'',0,0,'','order.actions','admin','',1000,'order/page/parts/action.statuses.twig',NULL),(3190,'',0,0,'','order.payment','admin','',200,'order/page/parts/payment.address.twig',NULL),(3191,'',0,0,'','order.title.box','admin','',200,'order/page/parts/title.box.history.twig',NULL),(3192,'',0,0,'','order.payment','admin','',100,'order/page/parts/payment.method.twig',NULL),(3193,'',0,0,'','order.actions.statuses','admin','',200,'order/page/parts/action.payment_status.twig',NULL),(3194,'',0,0,'','order.items.bottom','admin','',200,'order/page/parts/customerNotes.twig',NULL),(3195,'',0,0,'','order.operations','admin','',50,'order/page/parts/staff_note.twig',NULL),(3196,'',0,0,'','order.actions.statuses','admin','',1000,'order/page/parts/action.row.twig',NULL),(3197,'',0,0,'','order.base.totals','admin','',300,'order/page/parts/totals.total.twig',NULL),(3198,'',0,0,'','order.operations','admin','',100,'order/page/parts/line1.twig',NULL),(3199,'',0,0,'','order.base.totals','admin','',200,'order/page/parts/totals.modifiers.twig',NULL),(3200,'',0,0,'','order.title.row','admin','',200,'order/page/parts/title.box.twig',NULL),(3201,'',0,0,'','order','admin','',100,'order/page/parts/title.row.twig',NULL),(3202,'',0,0,'','order.items.wrapper','admin','',100,'order/page/parts/items_bottom_box.twig',NULL),(3203,'',0,0,'','order.note','admin','',100,'order/page/parts/note.note.twig',NULL),(3204,'',0,0,'','order','admin','',400,'order/page/parts/operations.twig',NULL),(3205,'',0,0,'','order.actions.statuses','admin','',100,'order/page/parts/action.shipping_status.twig',NULL),(3206,'',0,0,'','order.shipping','admin','',100,'order/page/parts/shipping.method.twig',NULL),(3207,'',0,0,'','order.operations','admin','',30,'order/page/parts/placed.twig',NULL),(3208,'',0,0,'','order.item','admin','',30,'order/page/parts/items/item.qty.twig',NULL),(3209,'',0,0,'','order.items.wrapper','admin','',10,'order/page/parts/items/items.twig',NULL),(3210,'',0,0,'','order.item.name','admin','',10,'order/page/parts/items/item.sku.twig',NULL),(3211,'',0,0,'','order.items.head','admin','',10,'order/page/parts/items/items.head.name.twig',NULL),(3212,'',0,0,'','order.item','admin','',20,'order/page/parts/items/item.price.twig',NULL),(3213,'',0,0,'','order.item','admin','',10,'order/page/parts/items/item.name.twig',NULL),(3214,'',0,0,'','order.items.head','admin','',30,'order/page/parts/items/items.head.qty.twig',NULL),(3215,'',0,0,'','order.items.head','admin','',40,'order/page/parts/items/items.head.total.twig',NULL),(3216,'',0,0,'','order.items.head','admin','',20,'order/page/parts/items/items.head.price.twig',NULL),(3217,'',0,0,'','order.item','admin','',40,'order/page/parts/items/item.total.twig',NULL),(3218,'',0,0,'','order.actions.paymentActionsRow','admin','',200,'order/page/parts/action.payment_actions.twig',NULL),(3219,'',0,0,'','order.shipping','admin','',200,'order/page/parts/shipping.address.twig',NULL),(3220,'',0,0,'','order.title.row','admin','',100,'order/page/parts/title.twig',NULL),(3221,'',0,0,'','order.base.totals','admin','',100,'order/page/parts/totals.subtotal.twig',NULL),(3222,'',0,0,'','order.operations','admin','',300,'order/page/parts/line3.twig',NULL),(3223,'',0,0,'','top_sellers.selectors','admin','',20,'top_sellers/parts/period_selector.twig',NULL),(3224,'',0,0,'','top_sellers.selectors','admin','',10,'top_sellers/parts/availability_selector.twig',NULL),(3225,'',0,0,'','crud.currency.currency.formHeader','admin','',50,'promotions/simple_blocks/multicurrency.twig',NULL),(3226,'',0,0,'','form_model.product.inventory.before','admin','',5,'promotions/simple_blocks/wholesale.twig',NULL),(3227,'',0,0,'','crud.notificationattachments.formHeader','admin','',50,'promotions/simple_blocks/pdf_invoice.twig',NULL),(3228,'',0,0,'','crud.bannerrotation.formHeader','admin','',50,'promotions/simple_blocks/banner_system.twig',NULL),(3229,'',0,0,'','crud.modulesettings.formHeader','admin','',50,'promotions/simple_blocks/modules_settings.twig',NULL),(3230,'',0,0,'','crud.settings.field','admin','',100,'email_settings/queues_note.twig',NULL),(3231,'',0,0,'','invoice.base.totals.modifier.name','mail','',16777215,'modules/CDev/Coupons/coupons_minilist.twig',NULL),(3232,'',0,0,'','invoice.bottom.address.billing','mail','',30,'modules/CDev/XPaymentsConnector/invoice.twig',NULL),(3233,'',0,0,'','invoice.base','mail','',60,'modules/CDev/XPaymentsConnector/fraud_check.twig',NULL),(3234,'',0,0,'','invoice.base','mail','',60,'modules/CDev/XPaymentsConnector/kount.twig',NULL),(3235,'',0,0,'','invoice.item.name','mail','',10,'modules/CDev/PINCodes/invoice_item_pin_codes.twig',NULL),(3236,'',0,0,'','invoice.item.name','mail','',100,'modules/XC/CustomerAttachments/order/invoice/parts/items/item.attachments.twig',NULL),(3237,'',0,0,'','tracking.info','mail','',10,'order_tracking_information/parts/tracking_info.twig',NULL),(3238,'',0,0,'','invoice.bottom.lines','mail','',20,'order/invoice/parts/bottom.statuses.twig',NULL),(3239,'',0,0,'','invoice.head','mail','',10,'order/invoice/parts/title.twig',NULL),(3240,'',0,0,'','minicart.horizontal.item.name','customer','XLite\\View\\MinicartAttributeValues',10,'',NULL),(3241,'',0,0,'','product.details.page.image','customer','XLite\\View\\Product\\Details\\Customer\\PhotoBox',5,'',NULL),(3242,'',0,0,'','product.details.page','customer','XLite\\View\\Product\\Details\\Customer\\Gallery',15,'',NULL),(3243,'',0,0,'','product.details.quicklook','customer','XLite\\View\\Product\\Details\\Customer\\Gallery',15,'',NULL),(3244,'',0,0,'','layout.main','customer','XLite\\View\\BannerRotation\\BannerRotation',350,'',NULL),(3245,'',0,0,'','checkout.review.selected','customer','XLite\\Module\\CDev\\Coupons\\View\\CartCoupons',200,'',NULL),(3246,'',0,0,'','product.details.page','customer','XLite\\Module\\XC\\NextPreviousProduct\\View\\Product\\Details\\Customer\\NextPreviousProduct',17,'',NULL),(3247,'',0,0,'','layout.main.footer.before','customer','XLite\\Module\\XC\\NewsletterSubscriptions\\View\\SubscribeBlock',10,'',NULL),(3248,'',0,0,'','product.details.quicklook.info.buttons.cart-buttons','customer','XLite\\Module\\XC\\ProductComparison\\View\\AddToCompare\\Product',120,'',NULL),(3249,'',0,0,'','product.details.quicklook.info.buttons-added.cart-buttons','customer','XLite\\Module\\XC\\ProductComparison\\View\\AddToCompare\\Product',129,'',NULL),(3250,'',0,0,'','layout.header.right','customer','XLite\\Module\\XC\\ProductComparison\\View\\AddToCompare\\ProductCompareIndicator',50,'',NULL),(3251,'',0,0,'','layout.header.right.mobile','customer','XLite\\Module\\XC\\ProductComparison\\View\\AddToCompare\\ProductCompareIndicator',50,'',NULL),(3252,'',0,0,'','slidebar.additional-menu.links','customer','XLite\\Module\\XC\\ProductComparison\\View\\AddToCompare\\ProductCompareLink',20,'',NULL),(3253,'',0,0,'','itemsList.product.grid.customer.marks','customer','XLite\\Module\\XC\\ProductComparison\\View\\AddToCompare\\Products',200,'',NULL),(3254,'',0,0,'','itemsList.product.list.customer.marks','customer','XLite\\Module\\XC\\ProductComparison\\View\\AddToCompare\\Products',200,'',NULL),(3255,'',0,0,'','itemsList.product.table.customer.marks','customer','XLite\\Module\\XC\\ProductComparison\\View\\AddToCompare\\Products',200,'',NULL),(3256,'',0,0,'','customer.signin.popup.fields','customer','',500,'authorization/parts/field.links.twig',NULL),(3257,'',0,0,'','center.top','customer','',1000,'layout/content/main.location.twig',NULL),(3258,'',0,0,'','product.details.page.info','customer','',5,'layout/content/product.location.twig',NULL),(3259,'',0,0,'','layout.header','customer','',300,'layout/header/top_menu.twig',NULL),(3260,'',0,0,'','layout.header','customer','',350,'layout/header/header.right.twig',NULL),(3261,'',0,0,'','layout.header.bar','customer','',50,'layout/header/header.bar.search.twig',NULL),(3262,'',0,0,'','layout.header.right.mobile','customer','',1100,'layout/header/header.bar.checkout.logos.twig',NULL),(3263,'',0,0,'','layout.header.mobile.menu','customer','',2000,'layout/header/mobile_header_parts/slidebar_menu.twig',NULL),(3264,'',0,0,'','itemsList.product.small_thumbnails.customer.info.photo','customer','',30,'items_list/product/parts/common.labels.twig',NULL),(3265,'',0,0,'','product.details.quicklook.image','customer','',17,'items_list/product/parts/common.labels.twig',NULL),(3266,'',0,0,'','cart.item','customer','',100,'shopping_cart/parts/item.remove.twig',NULL),(3267,'',0,0,'','cart.item.info','customer','',15,'shopping_cart/parts/item.info.weight.twig',NULL),(3268,'',0,0,'','itemsList.product.grid.customer.info','customer','',24,'product/details/stock/label.twig',NULL),(3269,'',0,0,'','itemsList.product.list.customer.info','customer','',32,'product/details/stock/label.twig',NULL),(3270,'',0,0,'','itemsList.product.grid.customer.header','customer','',10,'items_list/product/parts/common.sort-options.twig',NULL),(3271,'',0,0,'','itemsList.product.list.customer.header','customer','',10,'items_list/product/parts/common.sort-options.twig',NULL),(3272,'',0,0,'','itemsList.product.table.customer.header','customer','',10,'items_list/product/parts/common.sort-options.twig',NULL),(3273,'',0,0,'','itemsList.product.grid.customer.header','customer','',20,'items_list/product/parts/common.display-modes.twig',NULL),(3274,'',0,0,'','itemsList.product.list.customer.header','customer','',20,'items_list/product/parts/common.display-modes.twig',NULL),(3275,'',0,0,'','itemsList.product.table.customer.header','customer','',20,'items_list/product/parts/common.display-modes.twig',NULL),(3276,'',0,0,'','itemsList.product.list.customer.info','customer','',20,'items_list/product/center/list/parts/common.product-name.twig',NULL),(3277,'',0,0,'','itemsList.product.grid.customer.marks','customer','',100,'items_list/product/parts/common.added-mark.twig',NULL),(3278,'',0,0,'','itemsList.product.list.customer.marks','customer','',100,'items_list/product/parts/common.added-mark.twig',NULL),(3279,'',0,0,'','itemsList.product.table.customer.marks','customer','',100,'items_list/product/parts/common.added-mark.twig',NULL),(3280,'',0,0,'','product.details.page.image.photo','customer','',100,'product/details/parts/common.loupe.twig',NULL),(3281,'',0,0,'','product.details.page.info','customer','',19,'product/details/parts/common.briefDescription.twig',NULL),(3282,'',0,0,'','product.details.page.info','customer','',16,'product/details/parts/common.stock.twig',NULL),(3283,'',0,0,'','product.details.page.info','customer','',35,'product/details/parts/common.product-editable-attributes.twig',NULL),(3284,'',0,0,'','product.details.quicklook.info','customer','',30,'product/details/parts/common.product-editable-attributes.twig',NULL),(3285,'',0,0,'','product.details.quicklook.image','customer','',30,'product/details/parts/common.more-info-link.twig',NULL),(3286,'',0,0,'','itemsList.product.grid.customer.info.photo','customer','',998,'items_list/product/parts/grid.button-add2cart-wrapper.twig',NULL),(3287,'',0,0,'','product.details.page.image','customer','',10,'product/details/parts/common.product-added.twig',NULL),(3288,'',0,0,'','product.details.quicklook.image','customer','',5,'product/details/parts/common.product-added.twig',NULL),(3289,'',0,0,'','checkout.payment.address.before','customer','',10,'checkout/steps/shipping/parts/address.billing.same.twig',NULL),(3290,'',0,0,'','product.details.page.image','customer','',20,'modules/CDev/GoSocial/product/details/parts/common.share.twig',NULL),(3291,'',0,0,'','product.details.page.info','customer','',17,'modules/XC/FreeShipping/free_ship.label.twig',NULL),(3292,'',0,0,'','product.details.page.info','customer','',16,'modules/CDev/ProductAdvisor/product/details/parts/common.coming_soon.twig',NULL),(3293,'',0,0,'','product.details.quicklook.info','customer','',16,'modules/CDev/ProductAdvisor/product/details/parts/common.coming_soon.twig',NULL),(3294,'',0,0,'','itemsList.product.grid.customer.info','customer','',27,'modules/CDev/ProductAdvisor/expected.twig',NULL),(3295,'',0,0,'','itemsList.product.list.customer.info','customer','',33,'modules/CDev/ProductAdvisor/expected.twig',NULL),(3296,'',0,0,'','itemsList.product.grid.customer.info','customer','',16,'modules/XC/Reviews/product.items_list.rating.twig',NULL),(3297,'',0,0,'','itemsList.product.list.customer.info','customer','',35,'modules/XC/Reviews/product.items_list.rating.twig',NULL),(3298,'',0,0,'','product.details.quicklook.image','customer','',20,'modules/XC/Reviews/product_details.rating.twig',NULL),(3299,'',0,0,'','product.details.page.info','customer','',18,'modules/XC/Reviews/product_details.rating.twig',NULL),(3300,'',0,0,'','reviews.page.rating','customer','',100,'modules/XC/Reviews/reviews_page/parts/average_rating.form.twig',NULL),(3301,'',0,0,'','signin-anonymous-title','customer','',300,'modules/Amazon/PayWithAmazon/login/signin/signin.checkout.twig',NULL),(3302,'',0,0,'','signin-anonymous-title','customer','',300,'modules/CDev/Paypal/login/signin/signin.checkout.paypal.twig',NULL),(3303,'',0,0,'','product.details.page.info','customer','',37,'modules/CDev/Wholesale/product.twig',NULL),(3304,'',0,0,'','checkout_fastlane.header.top','customer','XLite\\View\\AllInOneSolutions',100,'',NULL),(3305,'',0,0,'','checkout_fastlane.header.top','customer','',100,'layout/header/header.bar.checkout.logos.twig',NULL);
/*!40000 ALTER TABLE `xc_view_lists` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_volume_discounts`
--

DROP TABLE IF EXISTS `xc_volume_discounts`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_volume_discounts` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `membership_id` int(10) unsigned DEFAULT NULL,
  `value` decimal(14,4) NOT NULL,
  `type` char(1) COLLATE utf8_unicode_ci NOT NULL,
  `subtotalRangeBegin` decimal(14,4) NOT NULL,
  `subtotalRangeEnd` decimal(14,4) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `IDX_453959CFC81FB354CD` (`membership_id`),
  KEY `range` (`subtotalRangeBegin`,`subtotalRangeEnd`),
  CONSTRAINT `FK_453959CFC81FB354CD` FOREIGN KEY (`membership_id`) REFERENCES `xc_memberships` (`membership_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_volume_discounts`
--

LOCK TABLES `xc_volume_discounts` WRITE;
/*!40000 ALTER TABLE `xc_volume_discounts` DISABLE KEYS */;
/*!40000 ALTER TABLE `xc_volume_discounts` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_wholesale_prices`
--

DROP TABLE IF EXISTS `xc_wholesale_prices`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_wholesale_prices` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `product_id` int(10) unsigned DEFAULT NULL,
  `membership_id` int(10) unsigned DEFAULT NULL,
  `type` varchar(32) COLLATE utf8_unicode_ci NOT NULL,
  `price` decimal(14,4) NOT NULL COMMENT '(DC2Type:money)',
  `quantityRangeBegin` int(10) unsigned NOT NULL,
  `quantityRangeEnd` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  KEY `IDX_804BFCAF4584665A` (`product_id`),
  KEY `IDX_804BFCAF1FB354CD` (`membership_id`),
  KEY `range` (`product_id`,`membership_id`,`quantityRangeBegin`,`quantityRangeEnd`),
  CONSTRAINT `FK_804BFCAF1FB354CD` FOREIGN KEY (`membership_id`) REFERENCES `xc_memberships` (`membership_id`) ON DELETE CASCADE,
  CONSTRAINT `FK_804BFCAF4584665A` FOREIGN KEY (`product_id`) REFERENCES `xc_products` (`product_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_wholesale_prices`
--

LOCK TABLES `xc_wholesale_prices` WRITE;
/*!40000 ALTER TABLE `xc_wholesale_prices` DISABLE KEYS */;
/*!40000 ALTER TABLE `xc_wholesale_prices` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_xpc_payment_data_cells`
--

DROP TABLE IF EXISTS `xc_xpc_payment_data_cells`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_xpc_payment_data_cells` (
  `data_id` int(11) NOT NULL AUTO_INCREMENT,
  `transaction_id` int(11) DEFAULT NULL,
  `name` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `value` longtext COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`data_id`),
  KEY `IDX_45CD89A76F2FC0CB0F` (`transaction_id`),
  KEY `tn` (`transaction_id`,`name`),
  CONSTRAINT `FK_45CD89A76F2FC0CB0F` FOREIGN KEY (`transaction_id`) REFERENCES `xc_payment_transactions` (`transaction_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_xpc_payment_data_cells`
--

LOCK TABLES `xc_xpc_payment_data_cells` WRITE;
/*!40000 ALTER TABLE `xc_xpc_payment_data_cells` DISABLE KEYS */;
/*!40000 ALTER TABLE `xc_xpc_payment_data_cells` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_xpc_payment_fraud_check_data`
--

DROP TABLE IF EXISTS `xc_xpc_payment_fraud_check_data`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_xpc_payment_fraud_check_data` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `transaction_id` int(11) DEFAULT NULL,
  `code` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `service` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `module` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `result` int(11) NOT NULL,
  `status` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `score` int(11) NOT NULL,
  `message` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `serviceTransactionId` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `url` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `errors` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `warnings` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `rules` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `data` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`),
  KEY `IDX_45FC3E8B932FC0CB0F` (`transaction_id`),
  CONSTRAINT `FK_45FC3E8B932FC0CB0F` FOREIGN KEY (`transaction_id`) REFERENCES `xc_payment_transactions` (`transaction_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_xpc_payment_fraud_check_data`
--

LOCK TABLES `xc_xpc_payment_fraud_check_data` WRITE;
/*!40000 ALTER TABLE `xc_xpc_payment_fraud_check_data` DISABLE KEYS */;
/*!40000 ALTER TABLE `xc_xpc_payment_fraud_check_data` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_xpc_payment_transaction_data`
--

DROP TABLE IF EXISTS `xc_xpc_payment_transaction_data`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_xpc_payment_transaction_data` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `address_id` int(11) DEFAULT NULL,
  `transaction_id` int(11) DEFAULT NULL,
  `card_number` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `card_type` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `card_expire` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `use_for_recharges` char(1) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `UNIQ_46DDB2932FC0CB0F` (`transaction_id`),
  KEY `IDX_4546DDB293F5B7AF75` (`address_id`),
  CONSTRAINT `FK_4546DDB2932FC0CB0F` FOREIGN KEY (`transaction_id`) REFERENCES `xc_payment_transactions` (`transaction_id`) ON DELETE CASCADE,
  CONSTRAINT `FK_4546DDB293F5B7AF75` FOREIGN KEY (`address_id`) REFERENCES `xc_profile_addresses` (`address_id`) ON DELETE SET NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_xpc_payment_transaction_data`
--

LOCK TABLES `xc_xpc_payment_transaction_data` WRITE;
/*!40000 ALTER TABLE `xc_xpc_payment_transaction_data` DISABLE KEYS */;
/*!40000 ALTER TABLE `xc_xpc_payment_transaction_data` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_zone_elements`
--

DROP TABLE IF EXISTS `xc_zone_elements`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_zone_elements` (
  `element_id` int(11) NOT NULL AUTO_INCREMENT,
  `zone_id` int(11) DEFAULT NULL,
  `element_value` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `element_type` char(1) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`element_id`),
  KEY `IDX_452AF5A18A9F2C3FAB` (`zone_id`),
  KEY `type_value` (`element_type`,`element_value`),
  KEY `id_type` (`zone_id`,`element_type`),
  CONSTRAINT `FK_452AF5A18A9F2C3FAB` FOREIGN KEY (`zone_id`) REFERENCES `xc_zones` (`zone_id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=43 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_zone_elements`
--

LOCK TABLES `xc_zone_elements` WRITE;
/*!40000 ALTER TABLE `xc_zone_elements` DISABLE KEYS */;
INSERT INTO `xc_zone_elements` VALUES (1,2,'US','C'),(2,2,'VI','C'),(3,2,'UM','C'),(4,3,'US','C'),(5,3,'VI','C'),(6,3,'UM','C'),(7,3,'CA','C'),(8,3,'US_NY','S'),(9,3,'US_ME','S'),(10,3,'US_VT','S'),(11,3,'US_NH','S'),(12,3,'US_MI','S'),(13,3,'US_MN','S'),(14,3,'US_WI','S'),(15,4,'AT','C'),(16,4,'BE','C'),(17,4,'BG','C'),(18,4,'HR','C'),(19,4,'CY','C'),(20,4,'CZ','C'),(21,4,'DK','C'),(22,4,'EE','C'),(23,4,'FL','C'),(24,4,'FR','C'),(25,4,'DE','C'),(26,4,'GR','C'),(27,4,'HU','C'),(28,4,'IE','C'),(29,4,'IT','C'),(30,4,'LV','C'),(31,4,'LT','C'),(32,4,'LU','C'),(33,4,'MT','C'),(34,4,'NL','C'),(35,4,'PL','C'),(36,4,'PT','C'),(37,4,'RO','C'),(38,4,'SK','C'),(39,4,'SI','C'),(40,4,'ES','C'),(41,4,'SE','C'),(42,4,'GB','C');
/*!40000 ALTER TABLE `xc_zone_elements` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xc_zones`
--

DROP TABLE IF EXISTS `xc_zones`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xc_zones` (
  `zone_id` int(11) NOT NULL AUTO_INCREMENT,
  `zone_name` varchar(64) COLLATE utf8_unicode_ci NOT NULL,
  `is_default` tinyint(1) NOT NULL,
  PRIMARY KEY (`zone_id`),
  KEY `zone_name` (`zone_name`),
  KEY `zone_default` (`is_default`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xc_zones`
--

LOCK TABLES `xc_zones` WRITE;
/*!40000 ALTER TABLE `xc_zones` DISABLE KEYS */;
INSERT INTO `xc_zones` VALUES (1,'All Addresses (default zone)',1),(2,'United States',0),(3,'North of United States & Canada',0),(4,'Europe',0);
/*!40000 ALTER TABLE `xc_zones` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2018-10-19  5:54:15
